gmax User Reference

What Is gmax?

Getting Started with gmax

Documentation Set

Using the Reference Online


What's gmax

What Is gmax?

gmax is a special version of 3ds max 4 designed for use by the producers and players of video games. It includes the majority of features found in 3ds max 4 that are useful to the developers of real-time video games. 3ds max 4 features have been removed that are not required or supported for real-time game production.

gmax allows the professional video game producer to supply video game players with a free version of gmax to modify their video game. gmax is enabled for use with a particular game via a Game Pack that is published and distributed for gmax by licensed game developers.

Who is gmax For?

gmax is intended to be used by two distinct groups of gamers: professional game producers, and gamer enthusiasts who want to modify their video game characters, vehicles, terrain, weapons, or animation.

For the Professional Games Developer

Professional game producers can use their copies of gmax to model and texture characters and levels. They can also use gmax to animate using either forward or inverse kinematics. They can create bone structures, rig characters with two-bone IK chains, and animate using constraints.

For the Video Game Player

Gaming enthusiasts will be able to use gmax to customize and personalize their game play. They can build and export animated 3D characters, vehicles, weapons, and terrains, directly to real-time 3D game formats.

What is the Difference Between gmax and 3ds max 4?

gmax is a subset of 3ds max 4. It contains the majority of the features for modeling and animating. Features for rendering and compositing and effects production have been removed. Materials that are not applicable to video games have been removed as well. The complex material editor in 3ds max 4 has been replaced with a simplified material editor in gmax.
Feature | 3ds max 4 | gmax
Modeling |  |
Primitive Objects | x | x (except Pyramid)
Extended Primitives | x |
Patch Modeling | x | x
Surface Tools | x | x
Spline Tools | x | x (except Section)
Editable Mesh | x | x
Editable Poly | x | x
Editable Spline | x | x
Lattice Deformations (FFDs) | x | x
NURBS Modeling | x |
Loft Objects | x | x
Boolean Objects | x | x
ShapeMerge Objects | x | x
Morph Objects | x | x
Connect Objects | x | x
Conform Objects | x |
Scatter Objects | x |
Terrain Objects | x |
Mesher Objects | x |
Animation |  |
Track View | x | x
Track Bar | x | x
Time Slider | x | x
Animate Button | x | x
VCR Playback Controls | x | x
Function Curve Editing | x | x
Constraints | x | x
Interactive IK | x | x
Applied IK | x | x
HI IK Solver | x |
HD IK Solver | x |
IK Limb Solver | x | x
Dynamics | x |
Particles | x |
Space Warps | x |
Schematic View | x |
User Interface |  |
Customizable UI | x | x
MAXScript Recordable Tools | x | x
Tab Panel | x | x (off by default)
Viewport Backgrounds | x | x (no animated backgrounds)
Keyboard Shortcuts | x | x
Materials |  |
Texture Mapping | x | x
Self-illumination Mapping | x | x
Opacity Mapping | x | x
Bump Mapping | x | x
Multi/sub-object Materials | x | x
Glossiness Mapping | x | x
Shaders | x |
Reflection Mapping | x |
Raytrace Materials | x |
Displacement Mapping | x |
Drag and Drop Textures | x | x
Material Libraries | x | x
Effects Production |  |
Environment Mapping | x |
Atmospherics | x |
Particles | x |
Rendering and Compositing |  |
Render to Still Image | x |
Render to Animation | x |
Video Post | x |
Lights and Cameras |  |
Omni Lights | x | x
Spotlights | x | x
Shadow Casting | x | x
Direct Lights | x | x
Target Cameras | x | x
Free Cameras | x | x
Camera Rendering |  |
Save .max Files | x | x
Save .gmax Files | x | x
Selection Modifiers | x | x
Patch/Spline Editing Modifiers | x | x
Mesh Editing Modifiers | x | x
Animation Modifiers | x | x
UV Coordinates | x | x (no Camera map)
Subdivision Surfaces | x | x (MeshSmooth only)
Free-Form Deformers | x | x
Parametric Deformers | x | x (not all included)
Surface | x | x (material only)
NURBS Editing | x |
Systems |  |
Bones | x | x
Ring Array | x | x
Sunlight | x |
Utilities |  |
Asset Browser | x | x
File Finder | x | x
Resource Collector | x | x
Assign Vertex Colors | x | x
UVW Remove | x | x
Map Path Editor | x | x
Reset Transform | x | x
Follow/Bank | x | x
Polygon Counter | x | x
MAXScript | x | x
Visual MAXScript | x | x
Camera Tracker | x |
Camera Match | x |
Motion Capture | x |
Rescale World Units | x |
Collapse | x |
Other Utilities | x |


gmax Documentation Set

The documentation set for gmax combines online and printed material.

  • gmax Developer Guide: Contains complete installation, configuration instructions, and uninstall information, as well as system requirements and troubleshooting. It also tells you how to uninstall the program.

    The Developer Guide includes information about building a game pack. This guide is available only in print.

  • gmax User Reference: Contains complete reference material describing the features of gmax, as well as many step-by-step procedures. Covers fundamental concepts and strategies for using the product.

    Access the user reference by choosing Help > User Reference. This reference is available online only.

  • gmax Tutorials: Contain tutorial information and detailed procedures to walk you through increasingly complex operations. This is the best source for learning gmax, whether you are a new user or just want to expand your current skills.

    Access the online tutorials by choosing Help > Tutorials. You'll need to extract the tutorial scene files before you can do the tutorials. The Tutorials are available online only.

  • MAXScript Reference: Describes the MAXScript scripting language. This reference is available online only.

    Access the MAXScript Reference by choosing Help > MAXScript Reference.


Copyrights and Trademarks

Copyright © 2001 Autodesk, Inc.

All Rights Reserved

This publication, or parts thereof, may not be reproduced in any form, by any method, for any purpose.

AUTODESK, INC. MAKES NO WARRANTY, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, REGARDING THESE MATERIALS AND MAKES SUCH MATERIALS AVAILABLE SOLELY ON AN "AS-IS" BASIS.

IN NO EVENT SHALL AUTODESK, INC. BE LIABLE TO ANYONE FOR SPECIAL, COLLATERAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES IN CONNECTION WITH OR ARISING OUT OF PURCHASE OR USE OF THESE MATERIALS. THE SOLE AND EXCLUSIVE LIABILITY TO AUTODESK, INC., REGARDLESS OF THE FORM OF ACTION, SHALL NOT EXCEED THE PURCHASE PRICE OF THE MATERIALS DESCRIBED HEREIN.

Autodesk, Inc. reserves the right to revise and improve its products as it sees fit. This publication describes the state of this product at the time of its publication, and may not reflect the product at all times in the future.

Autodesk Trademarks

The following are registered trademarks of Autodesk, Inc., in the USA and/or other countries: 3D Plan, 3D Props, 3D Studio, 3D Studio MAX, 3D Studio VIZ, 3DSurfer, ActiveShapes, ActiveShapes (logo), Actrix, ADE, ADI, Advanced Modeling Extension, AEC Authority (logo), AEC-X, AME, Animator Pro, Animator Studio, ATC, AUGI, AutoCAD, AutoCAD Data Extension, AutoCAD Development System, AutoCAD LT, AutoCAD Map, Autodesk, Autodesk Animator, Autodesk (logo), Autodesk MapGuide, Autodesk University, Autodesk View, Autodesk WalkThrough, Autodesk World, AutoLISP, AutoShade, AutoSketch, AutoSurf, AutoVision, Biped, bringing information down to earth, CAD Overlay, Character Studio, Design Companion, Design Your World, Design Your World (logo), Drafix, Education by Design, Generic, Generic 3D Drafting, Generic CADD, Generic Software, Geodyssey, Heidi, HOOPS, Hyperwire, Inside Track, Kinetix, MaterialSpec, Mechanical Desktop, Multimedia Explorer, NAAUG, ObjectARX, Office Series, Opus, PeopleTracker, Physique, Planix, Powered with Autodesk Technology, Powered with Autodesk Technology (logo), RadioRay, Rastation, Softdesk, Softdesk (logo), Solution 3000, Texture Universe, The AEC Authority, The Auto Architect, TinkerTech, VISION*, WHIP!, WHIP! (logo), Woodbourne, WorkCenter, and World-Creating Toolkit.

The following are trademarks of Autodesk, Inc., in the USA and/or other countries: 3D on the PC, 3ds max, ACAD, Advanced User Interface, AME Link, Animation Partner, Animation Player, Animation Pro Player, A Studio in Every Computer, ATLAST, Auto-Architect, AutoCAD Architectural Desktop, AutoCAD Architectural Desktop Learning Assistance, AutoCAD Learning Assistance, AutoCAD LT Learning Assistance, AutoCAD Simulator, AutoCAD SQL Extension, AutoCAD SQL Interface, Autodesk Animator Clips, Autodesk Animator Theatre, Autodesk Device Interface, Autodesk Inventor, Autodesk PhotoEDIT, Autodesk Software Developer's Kit, Autodesk Streamline, Autodesk View DwgX, AutoFlix, AutoSnap, AutoTrack, Built with ObjectARX (logo), ClearScale, Colour Warper, Combustion, Concept Studio, Content Explorer, cornerStone Toolkit, Dancing Baby (image), DesignCenter, Design Doctor, Designer's Toolkit, DesignProf, DesignServer, DWG Linking, DXF, Extending the Design Team, FLI, FLIC, GDX Driver, Generic 3D, gmax, gmax (logo), gmax ready (logo),Heads-up Design, Home Series, i-drop, Kinetix (logo), ObjectDBX, onscreen onair online, Ooga-Chaka, Photo Landscape, Photoscape, Plasma, Plugs and Sockets, PolarSnap, Pro Landscape, Reactor, Real-Time Roto, Render Queue, SchoolBox, Simply Smarter Diagramming, SketchTools, Sparks, Suddenly Everything Clicks, Supportdesk, The Dancing Baby, Transform Ideas Into Reality, Visual LISP, Visual Syllabus, VIZable, Volo, and Where Design Connects.

Discreet Logic Inc. Trademarks

The following are registered trademarks of Discreet Logic Inc., in the USA and/or Canada, and/or other countries: fire, flame, flint, flint RT, frost, glass, inferno, MountStone, riot, river, smoke, stone, stream, vapour, wire.

The following are trademarks of Discreet Logic Inc., in the USA, Canada, and/or other countries: backdraft, discreet, heatwave, jobnet, multi-master editing.

Third-Party Trademarks

All other brand names, product names, or trademarks belong to their respective holders.

Third-Party Software Program Credits

© 2000 Microsoft Corporation. All rights reserved.

Licensing Technology Copyright © Macrovision Corp. 1996-2001.

Portions Copyrighted © 2000 Intel Corporation.

Certain patents licensed from Viewpoint Corporation.

Portions developed by Lyric Media, Inc. for the exclusive use of Autodesk, Inc.

Portions of this software are based on the copyrighted work of the Independent JPEG Group.

Wise for Windows Installer © 2000 Wise Solutions, Inc. All rights reserved.

InstallShield™ Copyrighted © 2001 InstallShield Software Corporation. All rights reserved.

AnswerWorks® Copyright © 1997-2000 WexTech Systems, Inc. Portions of this software © Lernout & Hauspie, Inc. All rights reserved.

gmax contains Macromedia Flash™ Player software by Macromedia, Inc., Copyright © 1995-1999 Macromedia, Inc. All rights reserved. Macromedia and Flash are trademarks of Macromedia, Inc.

GOVERNMENT USE

Use, duplication, or disclosure by the U.S. Government is subject to restrictions as set forth in FAR 12.212 (Commercial Computer Software-Restricted Rights) and DFAR 227.7202 (Rights in Technical Data and Computer Software), as applicable.


About MAXScript

MAXScript is the built-in scripting language for gmax. It provides users with the ability to:

  • Script all aspects of the software’s use, such as modeling, animation, materials, etc.

  • Control the software interactively through a command-line shell window.

  • Package scripts within custom utility panel rollouts or modeless windows, giving them a standard gmax user interface.

  • Build custom import/export tools using the built-in file I/O.

  • Write procedural controllers that can access the entire state of the scene. Build batch-processing tools.

  • Set up live interfaces to external system using OLE Automation.

The MAXScript language is specifically designed to complement the software. It is object-oriented, just like the software, and has several special features and constructs that mirror high-level concepts in the software’s user interface. These include coordinate-system contexts, an animation mode with automatic keyframing, and access to scene objects using hierarchical path names that match the software’s object hierarchy.

The syntax is simple enough for non-programmers to use, with minimal punctuation and formatting rules.

Visual MAXScript

Visual MAXScript is a powerful addition to MAXScript, making the MAXScript feature easier to learn and use. With Visual MAXScript, you can quickly create UI elements and layouts for scripting.

For detailed information about Visual MAXScript, open the MAXScript Reference, available from Help menu > MAXScript Reference.

See also

MAXScript Menu

Procedure

To access MAXScript, do one of the following:

  • On the menu bar, choose MAXScript. The MAXScript menu appears.

  • Choose Utilities panel > MAXScript.

    From here, you can either write new scripts, run existing scripts, open the MAXScript Listener, or use the Macro Recorder.

    To access the MAXScript Listener, you can also right-click in the Mini Listener and choose Open Listener Window from the right-click menu.

For detailed information about the MAXScript utility, open the MAXScript Reference, available from Help menu > MAXScript Reference.


Using the Reference Online

The gmax User Reference gives you information about every aspect of the software. Each topic contains an overview discussion, typically preceded by a path annotation showing how to access the feature in the program, and followed by a "Procedures" section with steps for using a command or feature, and an “Interface” section detailing controls and parameters for the user interface.

  • Path Annotation: Gives one or more sequences of steps indicating how to access the feature via the user interface.

  • Topic Overview: Tells you the name of the feature, command, user-interface control, or concept and gives you a description.

  • Procedures: Contains steps for tasks that illustrate the typical use of the feature.

  • Interface: Describes the behaviors, parameters, and settings as they appear in the user interface.

User Interface Colors

The screen shots in this reference use colors that might differ from the default gmax colors, or the colors you see in your own installation of gmax. Other color sets for the user interface are available. You can choose them, or create your own, using the Colors tab in the Customize User Interface dialog.

See also

Finding Information Fast

Using the HTML Help Viewer

Searching for Help Topics


Finding Information Fast

Use the Navigation pane in the Help Window to get to information quickly. It contains tabs that let you use Contents, Index, or Search techniques to get to topics you need.

Contents Tab

The Contents tab displays the main sections of this online system as book icons. When you click a book, it expands to show the list of topics contained within it, like chapters in hard-copy books.

To go to a topic from the Contents tab:

  1. Click the Contents tab to display the Table of Contents view.

  2. Click the book icon representing the area for which you want information.

    The page icons for the book expand below representing all the topics for the book’s feature area.

  3. Click the page icon for the topic you want.

Index Tab

The Index is an alphabetical listing of keywords found in each topic. A single keyword may be linked to more than one topic. You may type the first few letters of a subject to jump to an index entry that matches what you are looking for.

To go to a topic from the Index tab:

  1. Click the Index tab to display the Help Index.

  2. In the form at the top of the Index, type the subject you want to find, or scroll through the alphabetical list to find the term for which you need information.

  3. Click the term, then click Display to see the topic for that term, or double-click the term to see its topic.

    The topic displays in the right pane and may show links to related topics.

Search Tab

The Search tab summons a full-text search engine that operates on a database of every word in the help system, created when the HTML Help system was compiled. You can use tools on the Search tab to find the help topics containing any word or phrase.

Favorites Tab

Use tools on the Favorites tab to create and store a set of topics you use often; you can name them as you choose.

Query Tab

Using a natural language query involves posing a question using everyday language.

You can perform a natural language query in Help by choosing the Query tab and entering a question, a word, or a phrase. For example, you could enter: How do I create a skeleton?

The results of natural language queries are often more accurate than the results of searches.


Using the HTML Help Viewer

This online information system is a compiled HTML help (.chm) file; you view it using Microsoft's HTML Help Viewer, powered by Internet Explorer. The HTML Help Viewer is a three-pane window:

  • The Navigation pane is on the left side of the window. It contains five navigational tabs, for Contents, Index, Search, Favorites, and Query.

  • The Topic pane is on the right side of the window. It displays the selected help topic, or the default help topic.

  • The toolbar is the third pane, located below the help window title bar.

Here are some tips on how to find more information when using the HTML Help Viewer:

  • To link to another topic or a list of other topics, click the colored, underlined words in the Topic pane.

  • If you use a particular help topic often, you can add it to your favorites list.

  • Right-click the Contents or Favorites tab or the Topic pane for shortcut menu commands.

Comments

Each topic in the User Reference online ends with a Comments link. When you click Comments, the program displays a dialog you can use to send us comments or requests about that topic. We'll use that information when we revise the documentation set for a future release.

See also

Finding Information Fast

Searching for Help Topics

Note: Most of information about using the HTML Help Viewer has been supplied directly by Microsoft. It has been made freely available for inclusion in HTML help projects such as this one. This information has been edited and reformatted to match that of the other online information systems shipping with the software.

Procedures

To find a help topic:

  1. In the Navigation pane, click one of the following tabs:

    • To browse through a table of contents, click the Contents tab. The table of contents is an expandable list of important topics.

    • To see a list of index entries, click the Index tab, and then type a word or scroll through the list. Topics are often indexed under more than one entry.

    • To locate every occurrence of a word or phrase that may be contained in a help file, click the Search tab, and then type the word.

  2. Click the contents entry, index entry, or search results entry to display the corresponding topic.

To copy a help topic:

  1. In the Topic pane, right-click the topic you want to copy, and then click Select All.

  2. Right-click again, and then click Copy. This copies the topic to the Clipboard.

  3. Open the document you want to copy the topic to.

  4. Position your cursor where you want the information to appear.

  5. On the Edit menu, click Paste.

To copy only part of a topic:

  • Select the text you want to copy, right-click, and then click Copy.

To print the current help topic:

  • Right-click a topic, and then click Print.

    If you print from the Contents tab (by right-clicking an entry, and then clicking Print) you will see options to print only the current topic, or the current topic and all subtopics.

To hide or show the Navigation pane:

  • On the toolbar, click Hide or Show to close or display the Navigation pane, which contains the Contents, Index, Search, and Favorites tabs.

    If you close the Help Viewer with the Navigation pane hidden, it will appear that way when you open the Help Viewer again.

To see where the current topic fits in the information hierarchy (contents):

  • Press ALT+C.

    The Contents pane displays, with the current topic highlighted.


Searching for Help Topics

A basic search consists of the word or phrase you want to find. You can use Boolean, wildcard, and nested expressions. You can also limit the search to previous results, match similar words, or search topic titles only to further define your search.

The basic rules for formulating queries are as follows:

  • Searches are not case-sensitive, so you can type your search in uppercase or lowercase characters.

  • You may search for any combination of letters (a through z) and numbers (0 through 9).

  • Punctuation marks such as the period, colon, semicolon, comma, and hyphen are ignored during a search.

  • Group the elements of your search using double quotes or parentheses to set apart each element. You cannot search for quotation marks.

    Note: If you are searching for a file name with an extension, you should group the entire string in double quotes, ("filename.ext"). Otherwise, the period will break the file name into two separate terms. The default operation between terms is AND, so you will create the logical equivalent to "filename AND ext."

Searching for Words or Phrases: Using Wildcards

You can search for words or phrases and use wildcard expressions. Wildcard expressions allow you to search for one or more characters using a question mark or asterisk. The table below describes the results of these different kinds of searches.

Search for

Example

Results

A single word

select

Topics that contain the word "select." (You will also find its grammatical variations, such as "selector" and "selection.")

A phrase

"new operator"
or
new operator

Topics that contain the literal phrase "new operator" and all its grammatical variations.

Without the quotation marks, the query is equivalent to specifying "new AND operator," which will find topics containing both of the individual words, instead of the phrase.

Wildcard expressions

esc*
or
80?86

Topics that contain the terms "ESC," "escape," "escalation," and so on. The asterisk cannot be the only character in the term.

Topics that contain the terms "80186," "80286," "80386," and so on. The question mark cannot be the only character in the term.

Turn on Match Similar Words to include minor grammatical variations for the phrase you search.

Defining Search Terms: Using Boolean Expressions

The AND, OR, NOT, and NEAR operators enable you to precisely define your search by creating a relationship between search terms. The following table shows how you can use each of these operators. If no operator is specified, AND is used. For example, the query "spacing border printing" is equivalent to "spacing AND border AND printing."
Search for | Example | Results
Both terms in the same topic. | dib AND palette | Topics containing both the words "dib" and "palette."
Either term in a topic. | raster OR vector | Topics containing either the word "raster" or the word "vector" or both.
The first term without the second term. | ole NOT dde | Topics containing the word "OLE," but not the word "DDE."
Both terms in the same topic, close together. | user NEAR kernel | Topics containing the word "user" within eight words of the word "kernel."

Note: The |, &, and ! characters don't work as Boolean operators (you must use OR, AND, and NOT).

Using Nested Expressions When Searching

Nested expressions allow you to create complex searches for information. For example, "control AND ((active OR dde) NEAR window)" finds topics containing the word "control" along with the words "active" and "window" close together, or containing "control" along with the words "dde" and "window" close together.

The basic rules for searching help topics using nested expressions are as follows:

  • You can use parentheses to nest expressions within a query. The expressions in parentheses are evaluated before the rest of the query.

  • If a query does not contain a nested expression, it is evaluated from left to right. For example: "Control NOT active OR dde" finds topics containing the word "control" without the word "active," or topics containing the word "dde." On the other hand, "control NOT (active OR dde)" finds topics containing the word "control" without either of the words "active" or "dde."

  • You cannot nest expressions more than five levels deep.

Procedures

To go to a topic from the Search tab:

  1. Click the Search tab, and then type the word or phrase you want to find.

  2. Click the Boolean button to the right of the text field, and then one of the operator names to add Boolean operators to your search.

  3. Click List Topics, choose the topic you want, and then click Display.

  4. To sort the topic list alphabetically, click the Title column heading.

    You can precisely define a search by using wildcard expressions, nested expressions, and Boolean operators.

    You can request similar word matches, search only the topic titles, or search the results of a previous search.

    You can set the Help Viewer to highlight all instances of search terms that are found in topic files. Click the Options button, and then click Search Highlight On.

To highlight words in searched topics:

When searching for words in help topics, you can have each occurrence of the word or phrase highlighted in the topics that are found.

  • To highlight all instances of a search word or phrase, click Options on the toolbar, and then click Search Highlight On.

    To turn off this option, click Options on the toolbar, and then click Search Highlight Off.

    If you are viewing a long topic, only the first 500 instances of a search word or phrase will be highlighted.

To search for words in the titles of HTML files:

  1. Click the Search tab, type the word or phrase you want to find, and then turn on Search Titles Only.

  2. Click List Topics, choose the topic you want, and then click Display.

    If you use this option, all HTML topic files will be searched, including any that are not listed in the table of contents.

To find words similar to your search term:

This feature enables you to include minor grammatical variations for the phrase you search. For example, a search on the word "add" will find "add," "adds," and "added."

  1. Click the Search tab, type the word or phrase you want to find, and then turn on Match Similar Words.

  2. Click List Topics, choose the topic you want, and then click Display.

    This feature only locates variations of the word with common suffixes. For example, a search on the word "add" will find "added," but it will not find "additive."

To search only the last group of topics you searched:

This feature enables you to narrow a search that results in too many topics found. You can search through your results list from previous search by using this option.

  1. On the Search tab, turn on Search Previous Results.

  2. Click List Topics, choose the topic you want, and then click Display.

    If you want to search through all of the files in a help system, this check box must be off.

    If you previously used this feature, the Search tab opens with this check box turned on.

To repeat an earlier search:

  • Click the down arrow on the text-entry field and choose a previously used search string, and then click List Topics.


Favorites Tab (HTML Help Viewer)

Favorites Tab

Use tools on the Favorites tab to create a set of topics you use often; you can name them as you choose.

Procedures

To create a list of favorite help topics:

  1. Locate the help topic you want to make a favorite topic.

  2. Click the Favorites tab, and then click Add.

To return to a favorite topic:

  1. Click the Favorites tab.

  2. Choose the topic, and then click Display.

To rename a topic in the Favorites list:

  • Choose the topic, and then enter a new name in the Current topic box.

To remove a favorite topic:

  • Choose the topic, and then click Remove.


Query Tab

Using a natural language query involves posing a question using everyday language.

You can perform a natural language query in Help by choosing the Query tab and entering a question, a word, or a phrase. For example, you could enter: How do I create a skeleton?

The results of natural language queries are often more accurate than the results of searches.

Query Tips

The following tips can help you get more useful results from your questions.

  • Check your question for typographical errors. Important words may be ignored if they can't be recognized.

  • Write your query in the form of a question (How do I adjust keys in Track View?), or a phrase (adjust keys), or a keyword (keys). Each yields slightly different results.

  • Enter fewer words. Fewer words often produce better results.

  • Order your words differently. The order of words can affect your results.

  • Don't use punctuation characters. Use the Search tab if you need to search for terms that include any punctuation characters.

  • Don't enter words that contain numbers.

  • Don't enter words that might be very commonly found in Help topics.


HTML Help Viewer Toolbar

The Help Viewer toolbar contains the following features.

Hide/Show: Click this toggle to hide the Navigation pane when it is displaying, or show it when it's hidden.

Back/Forward: Click to move to the previously viewed topic, or forward to the following previously viewed topic.

Print: Prints the current topic (if the Topic pane is active). If the table of contents is active on the Navigation pane, you can choose to print the current topic, or the topic and its subtopics. This is a way of printing a collection of topics.

Options: Displays the options menu:

Hide/Show Tabs: Same as Hide/Show buttons, described above.

Back/Forward: Same as Back/Forward buttons, described above.

Home: Displays the main topic of this online system.

Stop: Halts display of a topic.

Refresh: Redraws the Help Viewer display.

Internet Options: Displays a dialog to change Internet Explorer (IE) settings. Changes you make here do not affect the online reference or tutorials, but do affect your IE browser settings. We do not recommend you use this option.

Print: Same as the Print button, described above.

Search Highlight On/Off: Toggles highlighting on and off for each occurance of a word or phrase found with a search.


HTML Help Viewer Right-Click Menus

There are several commands on the shortcut menu that you can use to display information.
Command | Description
Right-click in the table of contents, and then click Open All. | Opens all books or folders in the table of contents. This command only works if the Contents tab is displayed.
Right-click in the table of contents, and then click Close All. | Closes all books or folders. This command only works if the Contents tab is displayed.
Right-click in the Topic pane, or an entry in the table of contents, and then click Print. | Prints the topic.
Right-click an entry in the Favorites tab. | Choose to display, add, remove, or rename a topic.


Keyboard Shortcuts in the Help Viewer

The following keyboard shortcuts can be used for navigation in the HTML Help Viewer, or the Contents, Index, Search, Favorites, or Query tabs on the Navigation pane.

Help Viewer

To | Press
Close the Help Viewer. | ALT+F4
Switch between the Help Viewer and other open windows. | ALT+TAB
Display the Options menu. | ALT+O
Hide or show the Navigation pane. | ALT+O, and then press T
Print a topic. | ALT+O, and then press P, or right-click in the Topic pane and choose Print.
Move back to the previous topic. | ALT+LEFT ARROW, or ALT+O, and then press B
Move forward to the next topic (provided you have viewed it just previously). | ALT+RIGHT ARROW, or ALT+O, and then press F
Turn on or off search highlighting. | ALT+O, and then press O
Return to the home page (help authors can specify a home page for a help system). | ALT+O, and then press H
Switch between the Navigation and Topic panes. | F6
Scroll through a topic. | UP ARROW and DOWN ARROW, or PAGE UP and PAGE DOWN
Scroll through all the links in a topic. | TAB

Contents Tab

To | Press
Display the Contents tab. Tip: Use this shortcut to see where a topic fits in the information hierarchy. | ALT+C
Open and close a book or folder. | PLUS SIGN and MINUS SIGN, or LEFT ARROW and RIGHT ARROW
Choose a topic. | DOWN ARROW and UP ARROW
Display the selected topic. | ENTER

Index Tab

To | Press
Display the Index tab. | ALT+N
Type a keyword to search for. | ALT+W, and then type the word
Choose a keyword in the list. | UP ARROW and DOWN ARROW
Display the associated topic. | ALT+D

Search Tab

To | Press
Display the Search tab. | ALT+S
Type a keyword to search for. | ALT+W, and then type the word
Start a search. | ALT+L
Choose a topic in the results list. | ALT+T, and then UP ARROW and DOWN ARROW
Display the selected topic. | ALT+D
Search for a keyword in the result list of a prior search. | ALT+U and press ENTER
Search for words similar to the keyword. For example, to find words like "running" and "runs" for the keyword "run." | ALT+M and press ENTER
Search through topic titles only. | ALT+R and press ENTER

Favorites Tab

To | Press
Display the Favorites tab. | ALT+I
Add the currently displayed topic to the Favorites list. | ALT+A
Choose a topic in the Favorites list. | ALT+P, and then UP ARROW and DOWN ARROW
Display the selected topic. | ALT+D
Remove the selected topic from the list. | ALT+R

Notes

  • There are also shortcut menu commands that can be accessed through the keyboard.

  • The Match Similar Words check box, on the Search tab, will be turned on if you used it for your last search.

Query Tab

To | Press
Display the Query tab. | ALT+Q


User Reference (Help Menu)

User Reference

Help menu > User Reference

Click User Reference to display the gmax User Reference online. This reference provides navigation and search methods to help you to find the information you want.

Contents: Starting from the topmost topic, you click to select different levels of topics, proceeding from more general to more specific. Click a book icon to see the topics in that book. Click the page icon for the topic you want to display.

Index: Lists keywords for topics alphabetically in index format.

Search: All words in all topics are indexed when the reference was compiled. When you enter the words you want to search for, the Search engine gives you a list of all topics containing those words.

See also

Using the Reference Online

Finding Information Fast


MAXScript Reference (Help Menu)

MAXScript Reference

Help menu > MAXScript Reference

Click MAXScript Reference to display the MAXScript Reference online. This separate online reference system provides navigation and search methods to help you to find the MAXScript information you want.

Contents: Starting from the topmost topic, you click to select different levels of topics, proceeding from more general to more specific. Click a book icon to see the topics in that book. Click the page icon for the topic you want to display.

Index: Lists keywords for topics alphabetically in index format.

Search: All words in all topics are indexed when the reference was compiled. When you enter the words you want to search for, the Search engine gives you a list of all topics containing those words.

See also

About MAXScript


Tutorials (Help Menu)

Tutorials

Help menu > Tutorials

Click Tutorials to display the online tutorials for gmax. These display as a separate online help system.


Additional Help (Help Menu)

Additional Help

Help menu > Additional Help

Click Additional Help to display help files for installed third-party plug-ins, and for add-on products from Discreet.

This command is set by default to look for third-party help files installed to \help subdirectory, though that location may have changed if you've edited plug-in path settings. Plug-in path information is stored in the plugin.ini file.

To view help for the plug-ins:

  1. Choose Help > Additional Help.

  2. Choose the plug-in for which you want help.

  3. Click Display Help.


Connect to Support and Information (Help Menu)

Connect to Support and Information

Help menu > Connect to Support and Information

Click Connect to Support And Information to start your Internet browser and connect to the gmax Product Support page.

The URL for the support page for gmax is http://www.discreet.com/support/gmax.


Authorize gmax dev

(gmax dev only) Help menu > Authorize gmax dev

Click this command to re-launch Register Today in order to enter a new license authorization code. You’d need to reauthorize gmax dev, for example, if you’re changing from a trial license to a permanent license.


About gmax (Help Menu)

About gmax

Help menu > About gmax

Click About gmax to display copyright and license information about your copy of gmax. The About box also records release and serial numbers, as well as the current graphic display driver.

See also

Copyrights and Trademarks


Getting Started with gmax

You use gmax to quickly create professional-quality 3D models of characters and environments, texture and animate them on your PC. You can then save them as .gmax files and bring them back into your game.

gmax comes in two flavors, one for the game developer and one for the game player. The game developer uses gmax to model and texture levels and characters, and to create game animation as well. The game player can use gmax to customize the levels and characters in their game, through the use of a gmax game pack.

If you are a game developer and already familiar with 3ds max, read the reference section entitled What is gmax? to find out the differences between the two programs.

If you a game player and new to gmax, you can learn to use the software by following the tutorials that accompany the product. You can access the tutorials using the Help menu > Tutorial command. You'll have to extract the tutorial scene files before you can do the tutorials. Be sure to do the beginner level tutorials first, if you are new to the program.

Reading the following will provide you with a conceptual understanding of gmax. These brief topics are designed to help you quickly start understanding and using the program.

Project Workflow

Setting Up Your Scene

  • Modeling Objects

  • Using Materials

  • Placing Lights and Cameras

  • Animating Your Scene

Using the gmax Window

  • Special Controls

  • Quad Menu

Managing Files

  • Importing, Merging and Replacing Scenes

  • Startup Files

  • Backing Up and Archiving Scenes


Project Workflow

gmax main window

Once you have installed the program (see the installation guide), you open it from the Start menu, or use any other Windows method. The figure above shows the application window with a scene file loaded.

Note: If you open the program from a Command Prompt window or batch file, you can add command-line switches. See Starting gmax from the Command Line.

gmax is a single-document application, meaning you can work on only one scene at a time. However, you can open more than one copy of the program and open a different scene in each copy. Opening additional copies of the program requires a lot of RAM. For the best performance, you should plan to open one copy and work on one scene at a time.

Opening multiple copies of the program is not supported in Windows 95/98.

Modeling Objects

The cornerstone of this program is an interactive, unified environment for all operations. You perform 2D drawing, 3D modeling, and animation, all within the unified workspace, at the slice of time or in the context that's most useful to you.

Your modeling, editing, and animation tools are always available in the command panels and Main toolbar. See Modeling Objects. Also, you can learn a good deal about modeling from the tutorials available from Help menu > Tutorials.

Material Design

gmax provides an easy to use Material Editor in a floating window. You use the Material Editor to create realistic materials by defining hierarchies of surface characteristics. The surface characteristics can represent static materials or be animated for special effects. See Material Editor.

gmax also includes a Material Navigator that allows you to browse textures found in the scene, in a material library or in any directory. You can drag and drop these textures directly onto geometry in the viewports.

You can learn about the Material Editor and Material Navigator by doing the tutorial entitled "Adding Materials and Mapping."

Lights and Cameras

You create lights with various properties to illuminate your scene. The lights can cast shadows and project images. See Lights. You can learn more about lighting by following the Using Lighting tutorial.

The cameras you create have real-world controls for lens length, field of view, and motion control such as truck, dolly, and pan. See Cameras. Follow the Camera tutorials to become familiar with camera usage in gmax.

Animation

You can begin animating your scene at any time by turning on the Animate button. Turn the button off to return to modeling. You can also perform animated modeling effects by animating the parameters of objects in your scene. See Animating Your Scene. You can learn more about animating in gmax in the tutorial entitled "Creating Animation".

You use Track View to control animation. Track View is a floating window where you edit animation keys, set up animation controllers, or edit motion curves for your animated effects. You can also use the track bar to copy and edit animation keys and ranges.

A Typical Project Workflow

These topics explain the basic procedures for creating scenes:

Setting Up Your Scene

Modeling Objects

Using Materials

Placing Lights and Cameras

Animating Your Scene


Setting Up Your Scene

You start with a new unnamed scene when you open the program. You can also start a new scene at any time by choosing New or Reset from the File menu. If you choose New and turn on Keep Objects and Hierarchy, you can remove all the animation from a scene to start a new animation.

Choosing a Unit Display

You choose a system of unit display on the Units Setup dialog. Choose from Metric, Standard US, and Generic methods, or design a custom measuring system. You can switch between different systems of unit display at any time.

Note: It is useful to use consistent units when you are going to:

  • Merge scenes and objects.

  • Use XRefs.

Setting the System Unit

The System Unit setting, in the Preferences dialog > General tab, determines how the software relates to distance information you input to your scene. The setting also determines the range for round-off error. Consider changing the system unit value only when you model very large or very small scenes.

Setting Grid Spacing

Set spacing for the visible grid in the Grid And Snap Settings dialog > Home Grid panel. You can change grid spacing at any time.

See Precision and Drawing Aids for information about the system unit, unit display, and grid spacing.

Setting Viewport Display

Viewport layout options

The default four viewports in gmax represent an efficient and popular screen layout. Set options in the Viewport Configuration dialog to change viewport layout and display properties.

See Viewing and Navigating 3D Space for more information.

Saving Scenes

Save your scene frequently to protect yourself from mistakes and loss of work. See Backing Up and Archiving Scenes.


Modeling Objects

1 Modify panel
2 Create panel
3 Object categories

You model objects in your scene by creating standard objects, such as 3D geometry and 2D shapes, and then applying modifiers to those objects. The program includes a wide range of standard objects and modifiers.

Creating Objects

You create objects by clicking an object category on the Create panel and then clicking, or dragging, in a viewport to define the object's creation parameters. The program organizes the Create panel into these basic categories: Geometry, Shapes, Lights, Cameras, Helpers, and Systems. Each category contains multiple subcategories from which you can choose.

See Basics of Creating and Modifying Objects.

Selecting and Positioning Objects

You select objects by clicking or dragging a region around them. You can also select objects by name or other properties such as color or object category.

After selecting objects, you position them in your scene using the transform tools Move, Rotate, and Scale. Use alignment tools to precisely position objects.

See Selecting Objects, Using Transforms, and Precision and Drawing Aids.

Modifying Objects

You sculpt and edit objects into their final form by applying modifiers from the Modify panel. The modifiers you apply to an object are stored in a stack. You can go back at any time and change the effect of the modifier, or remove it from the object.

See Basics of Creating and Modifying Objects.


Using Materials

A material in the Material Editor

House on left uses the default standard material.
House on right uses a compound material.

You use the Material Editor to design materials and maps to control the appearance of object surfaces.

Basic Material Properties

You set basic material properties to control such surface characteristics as default color, shininess, and level of opacity. You can create realistic, single color materials using just the basic properties.

Using Maps

You extend the realism of materials by applying maps to control surface properties such as texture, bumpiness, opacity, and reflection. Most of the basic properties can be enhanced with a map. Any image file, such as one you might create in a paint program, can be used as a map based on parameters you set.

Viewing Materials in the Scene

You can view the effect of materials on objects in a shaded viewport, but the display is just an approximation of the final effect. Import your work into your game to see the actual results.

See Designing Materials.


Placing Lights and Cameras

Lights and cameras placed to compose a scene

The resulting scene

You place lights and cameras to complete your scene in much the same way lights and cameras are placed on a movie set prior to filming.

Default Lighting

Default lighting evenly illuminates the entire scene. Such lighting is useful while modeling, but it is not very artistic or realistic.

Placing Lights

You create and place lights from the Light category of the Create panel when you are ready to take control of your scene lighting.

The program includes the following light types: omni, spot, and directional lights. You can set a light to any color and even animate the color to simulate dimming or color-shifting lights. All of these lights can cast shadows and project maps.

See Guidelines for Lighting.

Viewing Lighting Effects in the Scene

When you place lights in a scene, the default lighting turns off and the scene is illuminated by the lights you create. The illumination you see in a viewport is just an approximation of the true lighting. Import your scene back into your game to see the actual effect.

Placing Cameras

You create and place cameras from the Camera category of the Create panel. Cameras define viewpoints, and cameras can be animated to produce cinematic effects such as dollies and truck shots

See Common Camera Parameters.


Animating Your Scene

You can animate almost anything in your scene. Click the Animate button to turn it on, drag the time slider, and change something in your scene to create an animated effect.

Controlling Time

The program starts each new scene with 100 frames for animation. Frames are a way of measuring time, and you move through time by dragging the time slider. You can also open the Time Configuration dialog to set the number of frames used by your scene and the speed at which the frames are displayed.

Animating Transforms and Parameters

When the Animate button is on, the software creates an animation key whenever you transform an object or change a parameter. To animate a value over a range of frames, specify the value at the first and last frames of the range. The software calculates the values for all of the frames in between.

See Animation Concepts and Methods.

Editing Animation

You edit your animation by opening the Track View window or by changing options on the Motion panel. Track View is like a spreadsheet that displays animation keys along a time line. You edit the animation by changing the keys. You can also display the animation as a series of function curves that graphically show how a value changes over time. You can also edit the animation using the track bar.

See Track View and Track bar.


The gmax Window

  1. Menu bar

  2. Command panels

  3. Object categories

  4. Rollout

  5. Active viewport

  6. Viewport navigation controls

  7. Time controls

  8. Snaps

  9. Adaptive degradation override

  10. Window/Crossing

  11. Keyboard shortcut override toggle

  12. Coordinate display

  13. Status bar and Prompt line

  14. MAXScript Mini Listener

  15. Track bar

  16. Time slider

  17. Main toolbar

Most of the main window is occupied by the viewports, where you view and work with your scene. The remaining areas of the window hold controls and show status information.

One of the most important aspects of using gmax is its versatility. Many program functions are available from multiple user-interface elements. For example, you can open Track View for animation control from the Main toolbar as well as the Track View menu, but the easiest way to get to a specific object's track in Track View is to right-click the object, and then choose Track View Selected from the quad menu.

You can customize the gmax interface in a variety of ways: by adding keyboard shortcuts, moving toolbars and command panels around, creating new toolbars and tool buttons, and even recording scripts into toolbar buttons.

MAXScript lets you create and use custom commands in the built-in scripting language for gmax. For more information, access the MAXScript Reference file from the Help menu.

Menu Bar

A standard Windows menu bar with typical File, Edit, Views, and Help menus. Special menus include:

  • Tools contains duplicates of many of the Main toolbar commands.

  • Group contains commands for managing grouped objects.

  • Create contains commands for creating objects.

  • Modifiers contains commands for modifying objects.

  • Animation Menu contains commands for animating and constraining objects.

  • Graph Editors provides graphical access to editing animation: Track View lets you open and manage animation tracks in Track View windows.

  • Customize Menu gives you access to controls that let you customize the user interface.

Tab Panel

The Tab panel is off by default in gmax, but you can turn it on by right-clicking on the any blank area of the Main Toolbar, and selecting Tab panel. When visible, the tab panel appears directly under the main toolbar. It holds a collection of toolbars organized by index tabs. The toolbars contain buttons for creating, selecting, and modifying geometry in a scene, as well as most other functions in gmax. Some toolbar buttons are shortcuts for menu commands; others appear only on the Main toolbar.

Click a tab to display the collection of tools on each tab. When you click a tool button, the tool's parameters appear on the command panel or in a dialog.

You can "tear off" the entire tab panel as well as individual toolbars and place them wherever you like. You can also create new functions and toolbars and set them up any way you like.

If not all of a toolbar's buttons are visible, position the mouse cursor on a blank area of the toolbar and begin dragging horizontally when the "hand" cursor appears.

You can turn on and off the tab display by double-clicking a blank area of the menu bar.

See Tab Panel.

Time Controls

The Animate button turns on animation mode. The other controls navigate through time and play back an animation.

Command Panels

These six panels hold most of the modeling and animation features. In gmax, you have the ability to "float" the command panels and place them anywhere you like.

You can float or dismiss the command panels by right-clicking just above them. The default setting is to display the Command panel docked at the right of your screen. If it is not displayed, or you want to change its location and docking or floating status, right-click in a blank area on the tab panel, and choose from the shortcut menu.

  • Create holds all object creation tools.

  • Modify holds modifiers and editing tools.

  • Hierarchy holds linking and inverse kinematics parameters.

  • Motion holds animation controllers and trajectories.

  • Display holds object display controls.

  • Utilities holds miscellaneous utilities.

Status Bar and Prompt Line

These two lines display prompts and information about your scene and the active command. They also contain system toggles controlling selections, precision, and display properties. See Status Bar Controls.

Viewports

You can display from one to four viewports. These can show multiple views of the same geometry, as well as the Track View, and other informational displays. See Viewports.

Viewport Navigation buttons

The button cluster at the lower-right of the main window contains controls for zooming, panning, and navigating within the viewports. See Viewport Controls.


Special Controls

gmax uses some special user interface controls.

1 Collapsed rollout panel
2 Open rollout panel
3 Numeric field
4 Spinner arrows

Right-Click Menus

The program uses several different types of right-click menu.

For object editing, you use the quad menu. Commands on the quad menu vary depending on the kind of object you are editing and the mode you are in.

Right-clicking the label of a viewport displays the Viewport Right-Click Menu, which lets you change viewport display settings, choose which view appears in the viewport, and so on.

Also, command panels and the Material Editor have right-click menus that let you manage rollouts and navigate the panel quickly. And most other windows, including Track View, have right-click menus that provide fast access to commonly used functions.

Flyouts

1 Flyout arrow
2 Flyout buttons

A flyout is similar to a menu, except that the items are buttons. A flyout button is indicated by a small arrow in the lower-right corner. Clicking a button on a flyout makes the button active.

Note: You can define customized text annotations for flyouts by editing the maxstart.cui file. See Customize.

Rollouts

Rollouts are areas in the command panels and dialogs that you can expand (roll out) or collapse (roll in) to manage screen space. In the illustration above, the Keyboard entry rollout is collapsed, as indicated by the + sign, and the Parameters rollout is expanded, as indicated by the – sign.

To open and close rollouts:

  • Click the rollout title bar to toggle between expanded and collapsed.

Scrolling Panels and Toolbars

Sometimes a command panel or dialog, or the tab panel, is not large enough to display all of its rollouts or tabs. In this case, a pan ("hand") cursor appears over the nonactive parts of the panel. You can scroll command panels and dialogs vertically, and you can scroll a toolbar or the tab panel along its major axis. In addition, you can scroll the tab panel's tabs independently of the active toolbar.

To scroll panels:

  1. Place the pointer over an empty area of a panel to display the pan cursor.

  2. When the pointer becomes a [image], drag the panel up or down.

    A thin scroll bar also appears on the right side of the scrolling panel. You can use the pointer to drag the scroll bar as well.

To scroll toolbars and tabs:

You can scroll toolbars and the tab panel tabs only when some tool buttons or tabs are not visible. This typically occurs when the program window is smaller than full screen.

  1. First, follow either of the procedures below:

    • Place the pointer over an empty area of a toolbar or between two tabs to display the pan cursor.

    • Place the pointer over any part of a toolbar, then press and hold the middle mouse button.

  2. When the pointer becomes a [image], drag the Main toolbar or tab row horizontally.

Spinners

A spinner is a control for numeric fields. You can click or drag the spinner arrows to change the value in the field.

To change a value using a spinner, do any of the following:

  • Click the spinner to increment or decrement the value.

  • Drag up to increase the value, or drag down to decrease it.

  • Press CTRL while you drag to increase the rate at which the value changes.

  • Press ALT while you drag to decrease the rate at which the value changes.

  • Right-click a spinner to reset the field to its minimum value.

Numerical Expression Evaluator

While a spinner is active, you can display a calculator called the Numerical Expression Evaluator. To display the calculator, press CTRL+N.

The expression you enter is evaluated, and its result is displayed in the Result field. Clicking Paste replaces the spinner value with the result of the calculation. Clicking Cancel exits the Expression Evaluator.

The expressions you can enter are like the expressions used with MAXScript or the Expression Controller. You can't use variables in the Expression Evaluator, but you can enter the constants pi (circular ratio), e (natural logarithm base), and TPS (ticks per second). These constants are case-sensitive: the Expression Evaluator does not recognize PI, E, or tps.

You can also enter a vector expression or an Expression Controller function call, but the result of the expression or function must be a scalar value. Otherwise, the Expression Evaluator won't evaluate it.

Entering Numbers

You can change a numeric value by a relative offset by typing R or r followed by the offset amount.

For example, a radius field shows 70 and you highlight it:

  • If you type R30, 30 is added to the radius and the value changes to 100.

  • If you type R–30, 30 is subtracted from the radius and the value changes to 40.

Controls and Color

The gmax interface uses color cues to remind you what state the program is in.

Note: You can customize most of these colors by using the Colors panel of the Customize User Interface dialog.

  • Red for animation: The Animate button, the time slider background, and the border of the active viewport turn red when you are in Animate mode.

  • Gold for modal function buttons: When you turn on a button that puts you in a generic creation or editing mode, the button turns gold.

  • Yellow for special action modes: When you turn on a button that alters the normal behavior of other functions, the button is highlighted in yellow. Common examples of this behavior include sub-object selection and locking your current selection set.

You can exit a functional mode by clicking another modal button. Other exit methods supported by some buttons include right-clicking in a viewport, or clicking the modal button a second time.

Undoing Actions

You can easily undo changes you make to your scene and your viewports. The software manages separate Undo buffers for both the scene objects and each viewport.

Use the Main toolbar Undo and Redo buttons or the Edit menu > Undo and Redo commands to reverse the effects of most scene operations. You can also use CTRL+Z for Undo and CTRL+A for Redo. Most things you do in the program can be undone.

Use the Views menu > Undo and Redo commands to reverse the effects of most viewport operations, such as zooming and panning. You can also use SHIFT+Z for Undo View Change and SHIFT+A for Redo View Change.

You can also undo actions by using the Hold and Fetch commands on the Edit menu. Choose Edit menu > Hold to save a copy of your scene in a temporary file. Then choose Edit menu > Fetch to discard your current scene and revert to the held scene at any time.


Managing Files

File-management dialogs [Replace this illustration]

gmax supports many types of files for working with plug-ins, image maps, models from other programs, of course saving and opening your .gmax scene files.

In gmax, file dialogs (such as Open, Save, Save As) remember the previous path you used, and default to that location.

Configuring File Paths

The default locations the software searches for all file types are specified in the Configure Paths dialog.

You can choose to open and save files in any path location. The Configure Paths dialog contains four panels for the general categories of support files.

Setting General File Paths

The General panel contains paths for the standard support files. You can specify one path for each of file types the software uses.

Setting Plug-In File Paths

Most functions in the software are implemented as plug-ins. This means you can change and extend program functionality by adding new plug-ins from Discreet or third-party developers.

You tell the software where to find additional plug-in files by adding path entries to the Plug Ins panel. If you place all of your plug-ins in a single directory, plug-in file management quickly becomes a mess. That's why the program supports multiple entries in the Plug Ins panel.

Setting Bitmap File Paths

The Bitmaps panel contains multiple path entries that the program searches for image files. Image files are used for many purposes, such as material and map definition, light projections, and environment effects.

Setting XRefs File Paths

The XRefs panel contains multiple path entries that the program searches for externally referenced files. These are used for sharing files in a workgroup situation.


Importing, Merging, Replacing, and Externally Referencing Scenes

Gear model imported to become part of another scene

You realize great productivity gains when you reuse work by combining geometry from scenes or other programs. The software supports this technique with the Import, Merge, and Replace commands. You can also share scenes and objects with others working on the same project using XRef functionality.

Importing Geometry from Other Programs

Use Import to bring objects from other 3D programs into gmax. The types of files that you can import are listed in the Files Of Type list in the Select File To Import dialog.

Depending on the file type you choose, you may have options available for that import plug-in.

Merging Scenes Together

Pipe and ashtray models merged into one scene

Use Merge to combine multiple scenes into a single large scene. When you merge a file, you can select which objects to merge. If objects being merged have the same name as objects in your scene, you have the option to rename or skip over the merged object.

Merging Animation into a Scenes

Use Merge Animation to merge the animation from one scene into another with the same (or similar) geometry.

Replacing Scene Objects

Use Replace to replace objects in your scene with objects in another scene that have duplicate names. Replace is useful when you want to set up and animate your scene with simplified objects, and then replace the simple objects with detailed objects.

The Replace dialog looks and functions the same as Merge, except that it lists only objects that have the same name as objects in your current scene.

Using External References

Use XRef Objects and XRef Scenes to use objects and scene setups in your scene that are actually referenced from external .gmax files. These functions allow sharing files with others in your workgroup, with options for updating and protecting external files.


Using the Asset Browser

The Asset Browser provides access from your desktop to design content on the World Wide Web. From within gmax, you can browse the Internet for texture samples and product models. This includes bitmap textures, or geometry files. You can drag these samples and models into your scene for immediate visualization and presentation. You can snap geometry into predefined locations, or drag and drop them interactively in your scene. You can also use the Asset Browser to browse thumbnail displays of bitmap textures and geometry files on your hard disk or shared network drives. Then you can either view them or drag and drop them into your scene or into valid map buttons or slots.

Note: The thumbnail display of a geometry file is a bitmap representation of a view of the geometry. Since the thumbnail display is not a vector-based representation, you can't rotate it or perform zooms on it.

You can drag and drop most graphic images that are embedded in a Web page into your scene. The exception is images or regions of a Web page that are tagged as hyperlinks or other HTML controls (such as when a bitmap is tagged as a button).

Important: Downloaded content might be subject to use restrictions or the license of the site owner. You are responsible for obtaining all content license rights.

For complete details, see Asset Browser.


Startup Files

When you run the program, it loads several auxiliary files and uses their settings. In some cases, the program also updates files when you change settings and when you quit the program. In general, you don't need to work directly with these files, but it's good to know about them. Among the auxiliary files the program uses are:

gmax.ini – This file gets updated upon starting and quitting gmax, as well as when you change most Preferences settings. It contains values relating to program defaults, including the graphics driver, directories used to access external files such as sounds and images, dialog positions, snap settings, and other preferences and default settings. If you edit this file, be sure to make a copy first, so you can return to the original if anything goes wrong.

gmaxstart.gmax – At startup and when you reset, gmax looks for this file in the Scenes directory specified in Configure Paths, and if found, loads it. This allows you to specify the default state of the workspace whenever you start or reset the program. For example, if you always use a ground plane, you can make it the default setup by creating one, then saving it as gmaxstart.gmax. If you save a different file over gmaxstart.gmax, you can return to program defaults by deleting the gmaxstart.gmax file, then resetting the program.

gmaxstart.cui – This is the default custom user interface file gmax uses. You can load and save .cui files, and set the program to use a different default .cui file. See Customize Menu.

plugin.ini – This file contains directory paths for gmax plug-ins. Most other paths are kept in gmax.ini, but plugin.ini is maintained as a separate file because third-party plug-ins often add entries to the list at installation.

Note: It is possible to use more than one plugin.ini by nesting additional paths in your plugin.ini file. This can be very useful for allowing an entire network of users to share one plugin.ini file, making the system easier to maintain for the network administrator. For more information, see Network Plug-in Configuration.

startup.ms – A MAXScript file that automatically executes when you start gmax. For more information, see Startup Script (Glossary).

splash.bmp - To substitute a custom splash screen (startup screen) for the default image, copy any Windows Bitmap (.bmp) file into the program root directory and rename it splash.bmp. The program will thereafter use this image at launch.


gmax.ini File

The file gmax uses to store settings between sessions is named gmax.ini. It can be found in the root directory of the gmax installation.

Tip: If you encounter unusual and unexplained user-interface problems using gmax, try deleting the gmax.ini file and restarting. gmax writes a new gmax.ini file to replace the deleted one. Often this will fix problems related to the state of the user interface.

You can make changes to gmax startup conditions by directly editing the gmax.ini file using Notepad. If you do try and edit the file by hand, be sure to maintain the structure and syntax of the original file.

Start-up conditions are also defined by the gmaxstart.gmax file. To save any particular start-up condition, create a GMAX file with the condition present and then save it as gmaxstart.gmax. gmax will automatically use this file when you start the software.

The gmax.ini file has the following categories:

[Directories]: Defines the default paths for various file operations.

[BitmapDirs]: Defines the default map paths for bitmaps used by materials.

[Performance]: Controls that speed up viewport performance.

[PlugInKeys]: Turns on or off the Keyboard shortcuts for plugins.

[CommandPanel]: Sets number of columns, and controls rollout display in multiple columns.

[ModStack]: Controls modifier stack button sets and icon display.

[WindowState]: Settings for Heidi, OpenGL, or Direct3D drivers.

[CustomMenus]: Defines path for the .mnu file.

[Material Editor]: Material Editor settings.

[ObjectSnapSettings]: Settings associated with snaps.


Backing Up and Archiving Scenes

You should regularly back up and archive your work. One convenient method is to save incremental copies of your scenes. This method creates a history of your work process.

Saving Incremental Files

If you select the Increment On Save option in the Files of the Preferences dialog, the current scene is renamed each time you save by incrementing a two-digit number appended to the end of the file. For example, if you open a file named myfile.gmax and then save it, the saved file is named myfile01.gmax. Each time you save the file its name is incremented, producing the files myfile02.gmax, myfile03.gmax, and so on.

You can also use Save As to increment the file name manually with a two-digit number by clicking the increment button on the Save As dialog.

Using Auto Backup

You can automatically save backup files at regular intervals by setting the Auto Backup options in the Preferences dialog. The backup files are named autobak#.gx, where the # is a number from 1 to 9. You can rename autobak#.gx with a .gmax file name extension and load it like any other scene file.

Archiving a Scene

gmax scenes make use of many different files. When you want to exchange scenes with other users or store scenes for archival purposes, you need to save more than just the scene file.

Use the Archive command to pass the scene file and any bitmap files used in the scene to a PKZIP-compatible archiving program.


Crash Recovery System

If gmax encounters an unexpected crash, it attempts to recover and save the file currently in memory. This is fairly reliable, but it does not always work: the recovered scene could be damaged during the software crash.

The recovered file is stored in the configured Auto Backup path. It is saved as "<filename>_recover.gmax" in this path. It is also placed in the INI file as the most recently used file in the File menu. This makes it very easy to return to the file, if you choose to do so.

The crash recovery system will identify when something in an object's modifier stack is corrupt. gmax identifies these cases and replaces the corrupt object with a red dummy object to maintain the object's position and any linked object hierarchy.

Note: We don't recommend that you rely on this file-recovery mechanism as an alternative to good data backup practices:

  • Save your work frequently.

  • Take advantage of automatic incremental file naming: Go to Customize menu > Preferences > Files tab > File Handling group, and turn on Increment On Save.

  • Use File menu > Save As, and click the Increment button (+) to save incremental copies of work in progress.

  • If you are forgetful about saving, turn on Auto Backup. Go to Customize menu > Preferences > Files tab > Auto Backup group, and turn on Enable.


Starting gmax from the Command Line

You can start the program from the command line in a Command Prompt window, or include the command line in a batch file. There are a number of switches that you can use on the command line.

To start gmax from the command line:

  1. Open a Command Prompt window.

  2. Change directory to the gmax root directory, if this directory is not in your PATH statement.

  3. Enter gmax to start the program. Optionally add a command-line switch (see following).

Command-line Switches

You can use the following switches after gmax on the command line.
Switch | Effect
-a C:\mysplash.bmp | Starts program using custom splash screen (must be .bmp file format)
-c othercui | Starts program using othercui.cui instead of gmaxstart.cui.
-d | Causes Track View to use a double-buffered display, which is smoother than the single-buffered display but uses more system resources.
-g | Makes background white (instead of gray) in the following dialogs: Track View, Loft, and Falloff Curve. Useful for screen captures when using a display mode less than 24 bits deep, for avoiding background patterns.
-h | Allows choice of graphics drivers: Heidi, Open GL, Direct3D, and Custom.
-i otherfile | Starts program using otherfile.ini instead of gmax.ini.
-l | Loads the last .gmax file automatically.
-ma | Open maximized.
-mi | Open minimized.
-p otherfile | Starts program using otherfile.ini instead of plugin.ini.
-q | Starts program "quietly," without the splash screen.
-u | Opens utility.
-v | Loads a display driver. See details following, under "Using the –V Option."
-z | Writes version number to file. See details following, under "Using the –Z Option."
anyscene | Starts program with a file called anyscene.gmax.

Examples:

gmax –l

gmax –i otherfile

gmax anyscene

gmax –c maxCustom

gmax –c mycoolcolors

See also

Startup Files

Load Custom UI

Save Custom UI As

Driver Setup

Using the –V Option

You use the -V option to load a different display driver at startup. This option overrides the setting in gmax.ini.

Follow the -V with one of these letters for the driver you want to use:

s: Loads software Z-Buffer.

o: Loads OpenGL.

d: Loads Direct3D.

n: Loads null driver.

For example, if you ordinarily run OpenGL and want to switch to Software Z-Buffer for a session, you would enter: gmax –vs

Using the -Z Option

If you call product support, the representative might ask you to run this option to determine the exact version of your software. This option only writes to a file; it does not start gmax.

Follow the –Z with a file name:

gmax –z id.txt

The file (in this example, id.txt) is written to the gmax root directory.


Viewing and Navigating 3D Space

Everything you create in gmax is located in a three-dimensional world. You have a variety of options for viewing this enormous stage-like space, from the details of the smallest object to the full extent of your scene.

Using the view options discussed in this section you move from one view to another, as your work and imagination require. You can fill your screen with a single, large viewport, or set multiple viewports to track various aspects of your scene. For exact positioning, flat drawing views are available, as are 3D perspective and axonometric views.

You navigate 3D space by adjusting the position, rotation and magnification of your views. You have full control over how objects are rendered and displayed on the screen.

This section presents these brief topics designed to help you quickly start learning how to organize viewports and navigate through 3D space:

General Viewport Concepts

Home Grid: Views Based on the World Coordinate Axes

Understanding Axonometric Views

Understanding Perspective Views

Setting Viewport Layout

Controlling Viewport Rendering

Controlling Display Performance

Using Standard View Navigation

Zooming, Panning, and Rotating Views

Navigating Camera and Light Views

See Viewports and Viewport Controls for details about viewport commands.


General Viewport Concepts

gmax main window, with a typical viewport layout

Viewports are openings into the three-dimensional space of your scene, like windows looking into an enclosed garden or atrium. But viewports are more than passive observation points. While creating a scene, you can use them as dynamic and flexible tools to understand the 3D relationships among objects.

At times you might want to look at your scene through a large, undivided viewport, giving you a "picture-window" view of the world you’re creating. More often, you use multiple viewports, each set to a different orientation.

If you want to move an object horizontally in the world space, you might do this in a top viewport, looking directly down on the object as you move it. At the same time, you could be watching a shaded perspective viewport to see when the object you’re moving slides behind another. Using the two windows together, you can get exactly the position and alignment you want.

You also have pan and zoom features available in either view, as well as grid alignment. With a few mouse clicks or keystrokes, you can reach any level of detail you need for the next step in your work.

Another way to use viewports is to place a camera in your scene and set a viewport to look through its lens. When you move the camera, the viewport tracks the change. You can do the same thing with spotlights.

In addition to geometry, viewports can display other views such as Track View which displays the structure of the scene and the animation. Viewports can be extended to display other tools such as the MAXScript Listener and the Asset Browser.

Active Viewport

One viewport, marked with a highlighted border, is always active. The active viewport is where commands and other actions take effect. Only one viewport can be in the active state at a time. Other viewports are set for observation only; unless disabled, they simultaneously track actions taken in the active viewport.

Saving the Active Viewport

You can save the view in any active viewport and later restore it with the Views menu's Save Active View and Restore Active View functions. One view can be saved for each of the following view types: Top, Bottom, Left, Right, Front, Back, User, Perspective.

As an example, while in the Front view, you choose Save Active Front View, and then zoom and pan that view. You then activate the Top viewport, choose Save Active Top View, and then click Zoom Extents. You return to the Front view, and choose Restore Active Front View to return to its original zoom and pan. At any time, you can activate the Top viewport, and then choose Restore Active Top View to restore its saved view.


Home Grid: Views Based on the World Coordinate Axes

The grid you see in each viewport represents one of three planes that intersect at right angles to one another at a common point called the origin. Intersection occurs along three lines (the world coordinate axes: X, Y, and Z) familiar from geometry as the basis of the Cartesian coordinate system.

Home Grid

Using the home grid to position houses

The three planes based on the world coordinate axes are called the home grid; this is the basic reference system of the 3D world.

To simplify the positioning of objects, only one plane of the home grid is visible in each viewport. The figure shows all three planes as they would appear if you could see them in a single perspective viewport.

Axes, Planes, and Views

Home grid axes and planes

Two axes define each plane of the home grid. In the default Perspective viewport, you are looking across the XY plane (ground plane), with the X axis running left-to-right, and the Y axis running front-to-back. The third axis, Z, runs vertically through this plane at the origin.

Home Grid and Grid Objects

Above: Inactive grid object in a scene
Below: Activated grid object

The home grid is aligned with the world coordinate axes. You can turn it on and off for any viewport, but you can’t change its orientation.

For flexibility, the home grid is supplemented by grid objects: independent grids you can place anywhere, at any angle, aligned with any object or surface. They function as "construction planes" you can use once and discard or save for reuse. See Precision and Drawing Aids.

AutoGrid

The AutoGrid feature lets you create and activate temporary grid objects on the fly. This lets you create geometry off the face of any object by first creating the temporary grid, then the object. You also have the option to make the temporary grids permanent. See AutoGrid.


Understanding Axonometric Views

Axonometric view of the ice-cream shop

Axonometric views refer to the parallel projection of a 3D object onto a drawing surface (or computer screen). If the object is inclined so that three sides are visible, the projection maintains horizontal and vertical scale, but distorts diagonals and curved lines. Orthographic views, rotated user views, and isometric views are all forms of axonometric views.

Orthographic Views

Orthographic views of the ice-cream shop

Whether produced on computer or paper, most 3D design relies on orthographic views for accurate description of objects and their positioning. Maps, plans, cross-sections, and elevations are all orthographic views. In familiar terms, you might think of these views as "flat" or "straight-on," or as "looking at right angles."

Orthographic views are two-dimensional, each defined by two world coordinate axes. Combinations of these axes produce three pairs of orthographic views: top, bottom; front, back; left, right.

You can set viewports to the various orthographic views using the Viewport Right-Click Menu or keyboard shortcuts (see Change to ... View). For example, to set an active viewport to Right view, press the R key.

User Views

The label User appears on rotated axonometric viewports. In such views parallel lines remain parallel, no matter how extreme the foreshortening. You get a sense of three-dimensional relationship without the single viewpoint implied by perspective views.

You can change any view to a User view by doing one of the following:

  • Press U as a keyboard shortcut.

  • Use Arc Rotate to rotate an orthographic view. The viewport label changes to User as you do this.

  • Right-click the viewport label, and then choose Views > User.

  • Use the Layout panel in the Viewport Configuration dialog to change the viewport type. See Layout.

Isometric Views

Isometric view of the ice-cream shop

Isometric is special case of axonometric, with the sides of the object equally inclined to the screen, producing equal foreshortening along the edges.

You can produce an isometric view in the program by rotating the home grid in the viewport. However, you cannot produce an isometric drawing view, which maintains scale along the diagonals and therefore has no foreshortening.


Understanding Perspective Views

Perspective view of the ice-cream shop

Perspective views most closely resemble human vision. Objects appear to recede into the distance, creating a sense of depth and space. For most 3D computer graphics, this is the view used in the final output. It’s what the client sees on-screen or on the page.

Perspective View

A perspective viewport, labeled Perspective, is one of the startup viewports in gmax. You can change any active viewport to this "eye-like" point of view by pressing the keyboard shortcut P.

Camera View

Camera view requires that you first create a camera object in your scene. You can change the active viewport to a camera view by pressing the keyboard shortcut C and then selecting from a list of cameras in your scene.

A camera viewport tracks the view through the lens of the selected camera. As you move the camera (or target) in another viewport, you see the scene move accordingly. This is the advantage of the Camera view over the Perspective view, which can't be animated over time.

If you turn on Orthographic Projection on a camera’s Parameters rollout, that camera produces an axonometric view like a User view.

See Cameras.

Light View

Light view works much like a targeted camera view. You first create a spotlight or directional light and then set the active viewport to that spotlight. The easiest way is to press the keyboard shortcut $.

See Lights.


Setting Viewport Layout

Layout panel of the Viewport Configuration dialog

gmax defaults to a two-over-two arrangement of viewports. Thirteen other layouts are possible, but the maximum number of viewports on the screen remains four.

Using the Layout panel of the Viewport Configuration dialog, you can pick from the different layouts and customize the viewports in each. Your viewport configuration is saved with your work.

Resizing the Viewport

After choosing a layout you can resize the viewports so they have different proportions by moving the splitter bars that separate the viewports.

Resized viewport

Changing the View Type

As you work, you can quickly change the view in any viewport. For example, you can switch from front view to back view. You can use either of two methods: menu or keyboard shortcut.

  • Right-click the label of the viewport you want to change and click Views. Then, click the view type that you want.

  • Click in the viewport you want to change, and then press one of the keyboard shortcuts in the following table.

Key | View type
T | Top view
B | Bottom view
F | Front view
K | Back view
L | Left view
R | Right view
C | Camera view. If your scene has only one camera, or you select a camera before using this keyboard shortcut, that camera supplies the view. If your scene has more than one camera, and none are selected, a list of cameras appears.
$ | Light view. Works like Camera view.
P | Perspective view. Retains viewing angle of previous view.
U | User (axonometric) view. Retains viewing angle of previous view. Allows use of region zoom.
None | Grid view. Automatically changes to the active grid type. If you first activate a grid object, the view switches to an orthographic Top view of that object. If you don't activate a grid object, the view switches to the ground plane (identical to a Top view).
E | Track view. Displays the same view as a Track View window.
None | Shape view. Use viewport right-click menu. Automatically aligns view to the extents of a selected shape and its local XY axes.
W | Toggles the active viewport between full screen and the current layout.

See also

Layout

Camera Viewport Controls

Light Viewport Controls

Precision and Drawing Aids (for Grid view)

Track View

Default Keyboard Shortcuts


Controlling Viewport Rendering

Box display, wireframe display, and smooth shading

You can choose from multiple options to display your scene. You can display objects as simple boxes, or render them with smooth shading and texture mapping. If you want, you can choose a different display method for each viewport.

Using Viewport Rendering Controls

Viewport rendering options are found on the Rendering Methods panel of the Viewport Configuration dialog. Using this panel you choose a viewport rendering level and any options associated with that level. You can then choose whether to apply those settings to the active viewport or all viewports.

The rendering level you choose is determined by your need for realistic display, accuracy, and speed. For example, Box Mode display is much faster than Smooth Shading with Highlights. The more realistic the rendering level, the slower the display speed.

After choosing a rendering level, you can set rendering options. Different options are available for different rendering levels.

Rendering Methods and Display Speed

The rendering methods not only affect the quality of your view display, they can also have a profound effect on display performance. Using higher quality rendering levels and realistic options slows display performance.

After setting a rendering method, you can choose additional options that adjust display performance. One of these controls, Adaptive Degradation, speeds up display performance when you use realistic rendering levels.

See Rendering Method.


Controlling Display Performance

gmax contains controls to help you adjust display performance: the balance between quality and time in displaying objects.

Depending on your needs, you might give up some display speed to work at higher levels of rendering quality, or you might choose to maximize display speed by using Wireframe or Bounding Box display. Which method you choose depends on your preferences and the requirements of your work.

Display Performance Controls

You use display performance controls to determine how objects are rendered and displayed in the viewport.

Viewport Preferences

The Preferences dialog's Viewports panel contains options for fine tuning the performance of the viewport display software.

See Viewports Preferences Settings.

How Objects Are Rendered

The Viewport Configuration dialog contains a panel labeled Adaptive Degradation that dynamically drops the rendering level on display performance. You set the parameters controlling the trade-off between display quality and display speed.

How Objects Are Displayed

To see and modify an object's display properties, right-click the object, select Properties, and go to the Display Properties group box; see Properties. These options affect display performance much the same way as viewport rendering options. For example, turning on Vertex Ticks for an object with a lot of vertices will slow performance.

Which Objects Are Displayed

One way to increase display speed is not to display something. You use the Hide and Freeze features on the Display panel to change the display state of objects in your scene. See Hide Rollout and Freeze Rollout.

Setting Adaptive Degradation

Adaptive Degradation dynamically adjusts your rendering levels to maintain a desired level of display speed. You have direct control over how much "degradation" occurs and when it occurs.

Active and General Degradation use the same choices as the viewport Rendering Levels panel. Active Degradation controls rendering in the active viewport while General Degradation controls rendering in all other viewports.

The selected levels determine which viewport rendering levels gmax falls back to when it cannot maintain the desired display speed. You can choose as many levels as you want but you are advised to choose only one or two levels for each type of degradation.

See Adaptive Degradation.


Using Standard View Navigation

To navigate through your scene, use view navigation buttons located at the lower-right corner of the program window. All view types, except for Camera and Light views, use a standard set of view navigation buttons.

standard navigation controls

Button Operation

Clicking standard view navigation buttons produces one of two results:

  • Executes the command and returns to your previous action.

  • Activates a view navigation mode.

You can tell that you are in a mode because the button remains selected and is highlighted. This mode remains active until you right-click or choose another command.

While in a navigation mode, you can activate other viewports of the same type, without exiting the mode, by clicking in any viewport.

See Viewport Controls.

Undoing Standard View Navigation Commands

You use the Undo View Change and Redo View Change commands on the Views menu to reset standard view navigation commands without affecting other viewports or the geometry in your scene. These commands are also found in the menu displayed when you right-click a viewport label.

Views menu > Undo and Views menu > Redo are separate from Undo and Redo on the Edit menu or the Main toolbar. gmax maintains separate Undo/Redo buffers for scene editing and for each viewport.

The View Undo/Redo buffer stores your last 20 view navigation commands for each viewport. You can step back through the Undo View/Redo View buffer until you have undone all of the stored view-navigation commands.


Zooming, Panning, and Rotating Views

Before and after zooming a viewport

Before and after rotating a viewport

When you click one of the view navigation buttons, you can change these basic view properties:

View magnification: Zooming

View position: Panning

View rotation: Rotating

Zooming a View

Click Zoom or Zoom All and drag in a viewport to change view magnification. Zoom changes only the active view while Zoom All simultaneously changes all non-camera views.

If a perspective view is active, you can also click Field of View (FOV). The effect of changing FOV is similar to changing the lens on a camera. As FOV gets larger you see more of your scene and perspective becomes distorted, similar to using a wide-angle lens. As FOV gets smaller you see less of your scene and the perspective flattens, similar to using a telephoto lens.

Zooming a Region

Click Region Zoom to drag a rectangular region within the active viewport and magnify that region to fill the viewport. Region Zoom is available for all standard views.

In a perspective viewport, Region Zoom is available from the Field of View Flyout.

Zooming to Extents

Click the Zoom Extents or Zoom Extents All flyout buttons to change the magnification and position of your view to display the extents of objects in your scene. Your view is centered on the objects and the magnification changed so the objects fill the viewport.

  • The Zoom Extents, Zoom Extents Selected buttons zoom the active viewport to the extents of all visible or selected objects in the scene.

  • The Zoom Extents All, Zoom Extents All Selected buttons zoom all viewports to the extents of all objects or the current selection.

Panning a View

Click Pan and drag in a viewport to move your view parallel to the viewport plane. You can also pan a viewport by dragging with the middle mouse button held down while any tool is active.

Rotating a View

Click Arc Rotate/Arc Rotate on Selection/Arc Rotate Sub-Object to rotate your view around the view center, the selection, or the current sub-object selection respectively. When you rotate an orthogonal view, such as a Top view, it is converted to a User view.

With Arc Rotate, if objects are near the edges of the viewport they may rotate out of view.

With Arc Rotate Selected, selected objects remain at the same position in the viewport while the view rotates around them. If no objects are selected, the function reverts to the standard Arc Rotate.

With Arc Rotate Sub-Object, selected sub-objects or objects remain at the same position in the viewport while the view rotates around them.

Note: You can rotate a view by holding down the ALT key while middle-button dragging in a viewport. This uses the current Arc Rotate mode, whether or not the button is active. You can also active Arc Rotate by pressing CTRL+R.


Navigating Camera and Light Views

Camera navigation buttons

The Camera and Light view navigation buttons are the same with a few exceptions. The buttons are visible when a viewport with a Camera or Light view is active. The Camera and Light view navigation buttons do more than adjust your view. They transform and change the parameters of the associated camera or light object.

Light views treat the light (spotlight or directional light) as if it were a camera. The light falloff is treated the same as the camera field of view.

Keep in mind the following:

  • Using the Camera and Light viewport navigation buttons is the same as moving or rotating the camera or light, or changing their base parameters.

  • Changes made with Camera or Light view navigation buttons can be animated the same as other object changes.

Zooming a Camera or Light View

Zooming a camera

You zoom a camera view by clicking FOV and then dragging in the Camera viewport.

The field of view defines the width of your view as an angle with its apex at your eye level and the ends at the sides of the view. The effect of changing FOV is exactly like changing the lens on a camera. As the FOV gets larger you see more of your scene and the perspective becomes distorted, similar to using a wide-angle lens. As the FOV gets smaller you see less of your scene and the perspective flattens, similar to using a telephoto lens. See Cameras.

Click Light Hotspot for a light viewport to achieve the same effect as zooming.

The hotspot is the inner of the two circles or rectangles visible in a light viewport. Objects inside the hotspot are illuminated with the full intensity of the light. Objects between the hotspot and falloff are illuminated with decreasing intensity as objects approach the falloff boundary. See Using Lights.

Moving a Camera or Light View

You move a camera or light view by clicking one of the following buttons and dragging in the camera or light viewport.

  • Dolly moves the camera or light along its line of sight.

  • Truck moves the camera or light and its target parallel to the view plane.

  • Pan moves the target in a circle around the camera or light. This button is a flyout that shares the same location with Orbit.

  • Orbit moves the camera or light in a circle around the target. The effect is similar to Arc Rotate for non-camera viewports.

Rolling a Camera or Light View

Rolling a camera

Click Roll, and drag in a camera or a light viewport to rotate the camera or the light about its line of sight. The line of sight is defined as the line drawn from the camera or light to its target. The line of sight is also the same as the camera’s or the light’s local Z-axis.

Changing Camera Perspective

Changing perspective

Click Perspective, and drag in a camera viewport to change the Field of View (FOV) and dolly the camera simultaneously. The effect is to change the amount of perspective flare while maintaining the composition of the view.


View-Handling Commands

Main menu > Views menu

These viewport-handling commands are provided on the default main menu:

Undo/Redo (Views Menu)

Save Active View

Restore Active View

Grids

Viewport Background

Viewport Background Dialog

Select Background Image Dialog

Update Background Image

Reset Background Transform

Show Transform Gizmo

Show Ghosting

Show Key Times

Shade Selected

Show Dependencies

Match Camera to View

Add Default Lights to Scene

Add Default Lights to Scene Dialog

Redraw All Views

Deactivate All Maps

Update During Spinner Drag

Expert Mode

See also

Viewing and Navigating 3D Space

Views Menu

Quad Menu


Undo View Change / Redo View Change

Views menu > Undo View Change or Redo View Change

Keyboard > SHIFT+Z (Undo) or SHIFT+A (Redo)

Undo View Change cancels the last change made to the current viewport. Redo View Change cancels the last Undo in the current viewport.

These commands act like Undo and Redo on the Main toolbar and Edit menu, but operate on a different list of events. They affect changes made to the viewport, rather than changes made to objects in the viewport.

Use Undo View Change and Redo View Change when you have inadvertently made a view unusable by zooming in too close, or rotating the wrong way. You can keep stepping back until a useful view appears. The keyboard shortcuts are handy for multiple commands.

You can also access Undo View Change and Redo View Change of view changes by right-clicking the viewport label and choosing Undo View or Redo View. The last change made in that viewport will be indicated (for example, "Undo View Zoom"). Each viewport has its own independent undo/redo stack.

Camera or Spotlight viewports use object-based Undo and Redo, because the viewport change is actually a change to the spotlight or camera object. In these viewports, use Edit > Undo (CTRL+Z) or Edit > Redo (CTRL+A).

Interface

Undo View Change: Cancels viewport changes. The name of the change you're undoing is displayed in the View menu beside the command.

Undo is useful when you are working with a background image in the viewport. You can zoom into the geometry to adjust it, then use Undo Viewport Zoom to restore the original alignment of the geometry with the background.

Redo View Change: Cancels the previous Undo View Change. The name of the change you're redoing appears in the View menu beside the command.


Save Active View

Views menu > Save Active View (the name of the active viewport is part of the command)

Save Active View stores the active view to an internal buffer. If you have framed a shot in any view other than a camera or light viewport, use Save Active View to preserve the viewport’s appearance. The saved active view is saved with the GMAX file. Once saved, you can retrieve it using Restore Active View.

The viewport that will be restored is displayed in the menu item (for example, "Save Active Perspective View"). You can save and restore up to eight different views (Top, Bottom, Left, Right, Front, Back, User, Perspective).

Viewport changes that are saved include viewport type, zoom and rotations, and field-of-view (FOV).

The options available on the viewport right-click menu, such as Viewport Clipping, are not saved. If these settings are important to the view, make a note of what they are so you can reset them after restoring the view.

Procedure

To save an active view:

  1. Activate the viewport with the view you want to save.

  2. Choose Views menu > Save Active View.

    The view is now saved and can be recalled using Restore Active View.


Restore Active View

Views menu > Restore Active View (the name of the active viewport is part of the command)

Restore Active View displays the view previously stored with Save Active View.

The viewport to be restored is displayed in the menu item (for example, "Restore Active Perspective View").

The active view is restored if the same viewport and layout are active.

If an active view won’t restore with this command, check the following:

  • Be sure the viewport is active.

  • Make sure the layout is the same as before. Use Viewport Configuration (right-click any viewport label and choose Configure) and choose Layout.

  • If the layout and active viewport are the same, be sure Viewport Clipping is set the same as it was when the viewport was saved.

Procedure

To restore a saved view:

  1. Activate the viewport where you saved the view.

  2. Choose Views menu > Restore Active View. This option is available only in a viewport with a saved view.

  3. The viewport returns to the saved view.

    If you're not sure whether a viewport has a saved view, check the Views menu. Restore Active View is unavailable unless a view is saved in the active viewport.


Viewport Background

Views menu > Viewport Background

Keyboard > ALT+B

This command displays the Viewport Background dialog which controls the display of the background image in the active viewport.


Viewport Background Dialog

Views menu > Viewport Background > Viewport Background dialog

Keyboard > ALT+B

The Viewport Background dialog controls display of an image or animation as the background for one or all viewports, for example for alignment or rotoscoping. You can assign different background images to different viewports.

You select the image to display in the active viewport, and turn the assigned image on and off.

See also

Update Background Image

Procedures

To assign an image to one or all viewports:

  1. Activate a viewport where you want the background image.

  2. Choose View menu > Viewport Background to display the Viewport Background dialog.

  3. In the Background group, click Files to display the Select Background Image dialog.

  4. Select the image you want to use.

  5. If you want to display the image in all viewports, click All Views in the Apply Source And Display To group.

  6. Click OK.

    The image is displayed in a single viewport or all viewports.

To update the image or map in the viewport:

Because of the time it takes to render the image or map in the viewport, the map is not automatically updated when you alter the bitmap or assign a new bitmap.

  • Choose Views menu > Update Background Image.

    The revised image or map is displayed in the viewport.

Interface

Background group

Color: Lets you select the background color.

Files: Displays the Select Background Image dialog, which lets you select an image file for your background.

The name and path of the file you select appears in the center of the Background group.

Ambient Light group

Color: Lets you choose a color for the ambient light in the scene.

Current group

Display Background: Turns on display of the background image or animation in the viewport.

Lock Zoom/Pan: Locks the background to the geometry during zoom and pan operations in orthographic or user viewports. When you Zoom or Pan the viewport, the background zooms and pans along with it. When Lock Zoom/Pan is turned off, the background stays where it is, and the geometry moves independently of it. Use Match Bitmap to enable Lock Zoom/Pan. This control is disabled if you select Match Viewport.

Warning: If you zoom in too far, you can exceed the limit of virtual memory in the operating system, and crash the software. When you perform a zoom that requires more than 16 megabytes of virtual memory, an alert asks if you want to display the background during the zoom. Choose No to perform the zoom and turn off the background. Choose Yes to zoom with the background image. Your machine may run out of memory as a result, and crash.

Aspect Ratio group

Controls the proportions of the viewport background by matching it to the bitmap, or to the viewport itself.

Match Viewport: Changes the aspect ratio of the image to match the aspect ratio of the viewport.

Match Bitmap: Locks the aspect ratio of the image to the native aspect ratio of the bitmap.

Apply Source And Display To group

All Views: Assigns the background image to all viewports.

Active Only: Assigns the background image to only the active viewport.

Viewport: The name of the currently active viewport appears in a list to the left of the OK and Cancel buttons. This reminds you which viewport you're working with and lets you change the active viewport by selecting its name from the list.

Note: When you use different images for different viewports, the settings for each viewport are stored separately. Each time you display the Viewport Background dialog, the settings of the currently active viewport are displayed. If you switch the viewport using the list, the settings remain the same. This is useful for copying settings from one viewport to another.


Select Background Image Dialog

Views menu > Viewport Background > Background group > Files > Select Background Image dialog

Dragon with viewport background

The Select Background Image dialog allows you to choose a file for a viewport background.

Procedures

To select a background image for a viewport:

  1. Activate the viewport where you want the image.

  2. Choose Views menu > Viewport Background.

  3. Under Background, click Files.

  4. In the Look In field, navigate to the directory containing the file you want to use for the background.

    Note: The Select Background Image File dialog uses the last location where a bitmap was chosen, rather than the default bitmap path defined in Customize menu > Configure Paths.

  5. Highlight the file name in the file list window.

  6. Click Open to select the image and close the dialog.

  7. Click OK to close the Viewport Background dialog and display the background image.

Interface

History: Displays a list of the directories most recently searched.

Look In: Opens a navigation window to move to other directories or drives.

Up One Level: Move up a level in the directory structure.

Create New Folder: Lets you create a new folder while in this dialog.

List: Displays the contents of a directory by file name.

Details: Displays the contents of a directory including all the file details.

List Window: When Details is on, the contents of the directory are displayed with Name, Size, Type, Date Modified, and Attributes. You can sort the files by clicking the label of each parameter.

File Name: Displays the name of the file selected in the list.

Files of Type: Displays all the file types that can be displayed. This serves as a filter for the list.

Open: Selects the highlighted file and closes the dialog.

Cancel: Cancels the selection and closes the dialog.

Info: Displays expanded information about the file such as frame rate, compression quality, file size and resolution. The information here is dependent on the type of information that is saved with the file type.

View: Displays the file at its actual resolution. If the file is a movie, the Media Player is opened to play the file.

Gamma: Selects the type of gamma to be used for the selected file. Available only when Enable Gamma Selection is turned on in the Gamma panel of the Preferences dialog.

Use Image’s Own Gamma: Uses the gamma of the incoming bitmap.

Use System Default Gamma: Ignores the image’s own gamma and uses the system default gamma instead, as set in the Gamma panel of the Preferences dialog.

Override: Defines a new gamma for the bitmap that is neither the image’s own, nor the system default.

Preview: Displays the image as a thumbnail in the Image Window.

Image Window: Displays a thumbnail of the selected file if Preview is on.

Statistics: Displays the resolution, color depth, file type and number of frames of the selected file.

Location: Displays the full path for the file. With this information at the bottom of the dialog, you always know exactly where you are.


Update Background Image

Views menu > Update Background Image (available only when a viewport background is displayed)

This command updates the background image displayed in the active viewport. If the active viewport is not displaying a background image, this command is unavailable.

Use this command to update the background for changes that are not updated automatically, such as the following:

  • Reassigning the map, or changing any parameters affecting the map in the Viewport Background dialog.

  • Changing the aspect ratio.

The following changes update the viewport background image automatically:

  • Changing the camera view.

  • Undo (for views).

  • Undo (for objects).

  • Assigning a different view type.

Procedure

To update the background image displayed in a viewport:

  1. Activate a viewport that contains a background image.

  2. Choose Views menu > Update Background Image.


Reset Background Transform

Views menu > Reset Background Transform (available only when a viewport background image is displayed and Lock Zoom/Pan is turned on)

Reset Background Transform rescales and recenters the current background to fit an orthographic or user viewport. Use this command when you want to reset the background to the new position of your geometry. See Procedure for detailed requirements.

Procedure

To reset the background to fit the viewport:

  1. Activate an orthographic or user viewport that has a background image.

  2. Press ALT+B to display the Viewport Background dialog.

  3. Turn on Match Bitmap and then turn on Lock Zoom/Pan.

  4. Choose Views menu > Reset Background Transform.

    The background image readjusts in the viewport.


Show Transform Gizmo

Views menu > Show Transform Gizmo

Keyboard > X

Show Transform Gizmo toggles the display of the Transform gizmo axis tripod for all viewports when objects are selected and a transform is active.

Additional controls for the Transform gizmo are found in Viewport Preferences Settings. When the Transform gizmo is turned off, Show Transform Gizmo controls the display of the axis tripod on selected objects.

The state of Transform gizmo is saved in gmax.ini, so it's maintained between scenes and sessions.

Procedure

To scale the transform gizmo, do one of the following:

  • Press – (hyphen) to shrink the Transform gizmo.

  • Press = (equal sign) to enlarge the Transform gizmo.


Show Ghosting

Views menu > Show Ghosting

Ghosting is a method of displaying wireframe "ghost copies" of an animated object at a number of frames before or after the current frame. Use it to analyze and adjust your animation. Ghosts that overlap indicate slower motion; ghosts that are spread further apart show faster motion.

When Show Ghosting is on, ghosting is displayed for selected objects in the scene. Only currently selected objects display the ghosting.

Ghosting helps to visualize animation.

Ghosting controls are found in Customize menu > Preferences > Viewports panel > Ghosting group. Here you can control:

  • How many ghosts are spread over how many frames.

  • Whether the ghosts appear ahead or behind the current frame, or both.

  • How the ghosts are displayed (wireframe or shaded).

The ghosts that appear before the current frame are a different color than those that appear after the current frame. You can change these colors in the Colors panel of the Customize User Interface dialog by choosing Ghost (Before) or Ghost (After) from the Main UI list.

Procedure

To show wireframe ghost copies of an animated object:

  1. Choose Views menu > Show Ghosting.

  2. Make additional adjustments if needed in Customize menu > Preferences > Viewports tab > Ghosting group.


Show Key Times

Select an object with animation. > Views menu > Show Key Times

Key Times shows the frame numbers along a displayed animation trajectory. Key times correspond to the settings in Time Configuration for Frames or SMPTE. By default, key times are shown as frame numbers.

Procedure

To display trajectory time values in the viewport:

  1. Select an object with animation.

  2. In the Display panel > Display Properties rollout, turn on Trajectory.

  3. Choose Views menu > Show Key Times.

    The time values are displayed as white numbers along the trajectory. They remain displayed in red when the animated object is deselected.


Shade Selected

Select an object to be shaded. > Views menu > Shade Selected

Shade Selected shades only the selected objects in the scene when the viewport is set to Wireframe or Bounding Box. When Smooth + Highlights is on, all objects are shaded whether they are selected or not.

Shade Selected lets you work with a wireframe scene and shade only the selected objects when you want to visualize them more clearly. All other objects in the scene will appear in wireframe.

Procedure

To shade only selected objects in a scene:

  1. Choose Views menu > Shade Selected.

  2. Right-click the viewport label, and choose Wireframe.

  3. Select the object.

    Only the selected object is shaded.


Show Dependencies

Views menu > Show Dependencies

While you are using the Modify panel, Show Dependencies toggles viewport highlighting of objects dependent on the currently selected object.

When Show Dependencies is on and the Modify panel is active, any object that is dependent upon the currently selected object in any way appears green. This includes instances, references, and shared modifiers. Default=off.

Procedures

To show dependencies between objects:

  1. Select an object with an instanced modifier.

  2. In the Modify panel > Modifier Stack rollout, choose the instanced modifier in the modifier stack.

  3. Choose Views menu > Show Dependencies.

    Other objects with instances of the same modifier appear in bright green.

Example: To use Show Dependencies when animating with Linked Xform:

  1. Select the sub-object geometry you want to animate, and apply a Linked Xform Modifier.

  2. On the Parameters rollout, click Pick Control Object.

  3. Click an object to be the control object.

  4. The chosen object is now linked as parent to the sub-object selection and its name is listed on the Parameters rollout.

  5. Choose Views menu > Show Dependencies to make the link visible when the control object is selected.

  6. Use any of the transforms to animate the control object.

    The selection is animated in parallel with the control object.


Match Camera to View

Select a camera. > Views menu > Match Camera to View

Match Camera to View moves a selected camera so that its view matches that of the active Perspective view. This is handy if you’ve been framing a shot in a perspective view, but need the view animated. You can’t animate a perspective viewport, but you can animate a camera view by animating the camera.

Match Camera to View is available only when the current viewport is some form of perspective view, and a camera is the selected object. If you match a camera to another camera's view, the two cameras occupy the same location in the scene.

Procedure

To match a camera to a viewport:

  1. Select a camera in any viewport.

  2. Activate a Perspective, Spotlight, or other Camera viewport.

  3. Choose Views menu > Match Camera to View.

    The selected camera (and target) are moved to match the active viewport.

  4. Choose a viewport and assign it to the selected camera.


Add Default Lights to Scene

Right-click a viewport label. > Configure > Viewport Configuration dialog > Rendering Method tab > Rendering Options group > Turn on Default Lighting and 2 Lights (to activate the Add Default Lights To Scene menu item). > Views menu > Add Default Lights to Scene

This command displays the Add Default Lights to Scene dialog, which contains options that let you convert the default scene lighting into actual light objects.

The default lighting for gmax viewports consists of a single key light, positioned in front and to the left of the scene. In the Viewport Configuration dialog, you can change this to two lights: the key light and a fill light, positioned behind and to the right of the scene. Both these lights behave as omni lights.

This command is unavailable unless you configure viewports to use two lights. When viewports use two lights, and you choose this command, the lights are added to the scene as omni lights. You can add either the key light, the fill light, or both.


Add Default Lights to Scene Dialog

Right-click a viewport label. > Configure > Viewport Configuration dialog > Rendering Method tab > Rendering Options group > Turn on Default Lighting and 2 Lights (to activate the Add Default Lights To Scene menu item). > Views menu > Add Default Lights to Scene > Add Default Lights to Scene dialog

The Add Default Lights To Scene dialog lets you convert the default scene lighting into actual light objects.

The default lighting for gmax viewports consists of a single key light, positioned in front and to the left of the scene. In the Viewport Configuration dialog, you can change this to two lights: the key light and a fill light, positioned behind and to the right of the scene. Both these default lights behave as omni lights and can be added to the scene as omni lights when you choose Add Default Lights To Scene.

You can add either the key light, the fill light, or both. The omni light objects have the names DefaultKeyLight and DefaultFillLight.

If you have already added one or both default lights, a warning prompts you to rename or delete the previous default light object before you add another.

Procedure

To add the default lights as objects:

  1. Right-click a viewport label, and click Configure.

  2. In the Viewport Configuration dialog > Rendering Method tab > Rendering Options group, turn on Default Lighting and 2 Lights.

  3. Choose Views menu > Add Default Lights To Scene.

  4. In the Add Default Lights To Scene dialog, decide if you want to add both the key light and fill light. Choose the ones you want.

  5. Activate the Top viewport and click Zoom Extents.

    The lights are now visible in the viewport.

Interface

Add Default Key Light: When on, adds the default key light to the scene. The key light is in front of the scene and to the left. The key light becomes an omni light with the name, DefaultKeyLight. Default=on.

Add Default Fill Light: When on, adds the default fill light to the scene. The fill light is behind the scene and to the right. The fill light becomes an omni light with the name, DefaultFillLight. Default=on.

Distance Scaling: Affects how far the lights are placed from the origin (0,0,0). The default value leaves the scene's lighting unchanged. Larger values move the lights further away, dimming the scene, and smaller values move them closer, brightening the scene. Default=10.0; range=0.0 to 1000.0.


Redraw All Views

Views menu > Redraw All Views

Keyboard > 1

Redraw All Views refreshes the display in all viewports. When you move, rotate, scale, or otherwise manipulate geometry, the viewports may display the scene with some irregularities or with objects or parts of objects missing. Use Redraw All Views to redisplay your scene with all lines and shading restored.


Deactivate All Maps

Views menu > Deactivate All Maps

Deactivate All Maps turns off the Show Map in Viewport flag for all materials assigned to the scene.

You can't undo this action,so perform a Hold operation first. Because this turns off the Show Map In Viewport flag for all materials in the scene, the only way to turn them back on is to transfer each mapped material back to the Material Editor, go to the map level that was originally displayed, and turn on the Show Map In Viewport button.

Procedure

To deactivate all maps:

  1. Choose Edit menu > Hold.

  2. Choose Views menu > Deactivate All Maps.


Update During Spinner Drag

Views menu > Update During Spinner Drag

When Update During Spinner Drag is on, dragging a spinner (such as a Radius spinner for a sphere), updates the effects in real time in the viewports. Default=on.

When Update During Spinner Drag is off, the effect is updated after the drag, when you release the mouse. Use this option when you're adjusting processor-intensive controls.


Expert Mode

Views menu > Expert Mode

Keyboard > CTRL+X

When Expert Mode is on, the menu bar, toolbar, tab panel, command panel, status bar, and all of the viewport navigation buttons are removed from the display, leaving only the title bar, time slider, viewports, and any custom floaters. Use Expert Mode when you need to view your composition alone without the rest of the gmax interface.

With the ability to customize the user interface in the software you can create your own versions of Expert Mode by hiding whatever you want on an item-by-item basis. Expert Mode is only a quick way to hide everything that can be hidden at once.

When in Expert Mode use Keyboard Shortcuts to hide and unhide the command panel, toolbars and so on. You can use the quad menu to access tools quickly in Expert mode, as well.

Procedures

To turn on Expert Mode, do one of the following:

  • Choose Views menu > Expert Mode.

  • Press CTRL+X.

To turn off Expert Mode and return to full display:

  • Click the Cancel Expert Mode button to the right of the time slider.

To display and hide the tab panel while in Expert Mode:

  • Press 2.

    Note: In order to hide and unhide the tab panel, it must be displayed in the UI before entering Expert mode.

To display and hide command panels while in Expert Mode:

  • Press 3.

To display and hide the menu bar or floating toolbars while in Expert Mode:

  1. Float the menu bar.

  2. Enter Expert Mode.

  3. Press 4.


Controlling Object Display

You use the Display panel to control how objects and selected objects are displayed in viewports, and to hide or freeze objects.

Display Color Rollout

Hide by Category Rollout

Hide Rollout

Freeze Rollout

Display Properties Rollout

Link Display Rollout

See also

Object Properties Dialog


Display Color Rollout

Display panel > Display Color rollout

The Display Color rollout specifies whether the software displays objects using their object colors or their diffuse material colors. You can choose one method for wireframe display and a different one for shaded display. In each shading mode you can specify whether the material or the object color is used.

Interface

Wireframe: Controls the color of the object when the viewport is in wireframe display mode.

Object Color: Displays the wireframe in object color.

Material: Displays the wireframe using the material color.

Shaded: Controls the color of the object when the viewport is in any shaded display mode.

Object Color: Displays the shaded object using the object color.

Material: Display the shaded object using the material color.


Hide by Category Rollout

Display panel > Hide by Category rollout

The Hide by Category rollout toggles the display of objects by category (objects, cameras, lights, and so on).

By default, the software displays all objects in the scene. Objects hidden by category aren’t evaluated in the scene, so hiding objects by category improves performance.

You can use any of the default display filters provided, or add new display filters for fast selection of objects to hide.

Procedures

Example: To add categories to hide:

  1. On the Display panel, click Add in the Hide By Category rollout.

    The Add Display Filter Dialog appears.

  2. Hold down CTRL and highlight Box and Cylinder in the filter list, then click OK.

    Box and Cylinder are added to the Display Filter Box.

  3. In the Display Filter box, holding down CTRTL, click Box and then Cylinder.

    All the boxes and cylinders in the scene are hidden from view.

Interface

Turn on the check boxes to hide objects of that category. You can use the All, None, and Invert buttons to quickly change the settings of the check boxes.

The Display Filter box gives you finer control in creating categories to hide. Click the Add button to display a list of display filters. Hold down the CTRL key and click on the filter name to select whatever category you'd like to hide.

Geometry: Hides all geometry in the scene.

Shapes: Hides all shapes in the scene.

Lights: Hides all lights in the scene.

Cameras: Hides all cameras in the scene.

Helpers: Hides all helpers in the scene.

Bones: Hides all bones in the scene.

IK Chain: Hides all IK chains in the scene.

Point: Hides all points in the scene.

All: Hides everything in the scene.

None: Unhides everything in the scene

Invert: Hides everything that is visible and unhides everything currently hidden.

Add: Adds a display filter category to the list.

Remove: Removes a display filter category.

None: Deselects all highlighted display filters in the list.


Hide Rollout

Display panel > Hide rollout

The Hide rollout provides controls that let you hide and unhide individual objects by selecting them, regardless of their category.

Interface

Hide Selected: Hides the selected object(s).

Hide Unselected: Hides all visible objects except the selected ones. Use this to hide all objects except the one you're working on. Objects hidden by category aren’t affected.

Hide By Name: Displays a dialog you use to hide objects you choose from a list. See Select Objects Dialog, which describes nearly identical controls.

Hide By Hit: Hides any object you click in the viewport. If you hold the CTRL key while selecting an object, that object and all of its children are hidden. To exit Hide by Hit mode, right-click, press ESC, or select a different function. This mode is automatically turned off if you hide all objects in the scene.

Unhide All: Unhides all hidden objects. The unhide buttons are available only when you have specifically hidden one or more objects. They won't unhide objects hidden by category.

Unhide By Name: Displays a dialog you use to unhide objects you choose from a list. See Select Objects Dialog, which describes nearly identical controls.

Hide Frozen Objects: Hides any frozen objects. Turn it off to display hidden frozen objects.


Freeze Rollout

Display panel > Freeze rollout

The Freeze rollout provides controls that let you freeze or unfreeze individual objects by selecting them, regardless of their category.

Frozen objects remain on the screen, but you can't select, transform, or modify them. By default, frozen objects turn dark gray. Frozen lights and cameras, and their associated viewports, continue to work as they normally do.

You can choose to have frozen objects retain their usual color or texture in viewports. Use the Show Frozen In Gray toggle in the Object Properties dialog.

Interface

Freeze Selected: Freezes the selected object(s).

Freeze Unselected: Freezes all visible objects except the selected ones. Use this to quickly freeze all the objects except the one you're working on.

Freeze By Name: Displays a dialog you use to freeze objects you choose from a list. See Select Objects Dialog, which describes nearly identical controls.

Freeze By Hit: Freezes any object you click in a viewport. If you press CTRL while selecting an object, that object and all of its children are frozen. To exit Freeze by Hit mode, right-click, press ESC, or select a different function. This mode is automatically turned off if you freeze all objects in the scene.

Unfreeze All: Unfreezes all frozen objects.

Unfreeze By Name: Displays a dialog you use to unfreeze objects you choose from a list. See Select Objects Dialog, which describes nearly identical controls.

Unfreeze By Hit: Unfreezes any object you click in the viewport. If you press CTRL while selecting an object, that object and all of its children are unfrozen.


Display Properties Rollout

Display panel > Display Properties rollout

The Display Properties rollout provides controls that alter the display of selected objects.

See also

Link Display Rollout

Procedure

To display trajectories using the Display panel:

  1. Select one or more animated objects.

  2. Expand the Display Properties rollout in the Display panel.

  3. Turn on Trajectory.

    By default, object trajectories appear with the following properties:

    • The trajectory curve is drawn in blue.

    • Frame increments display as white dots on the curve.

    • Position keys display as red boxes surrounding the appropriate frame dot on the curve. The boxes are white when the object is selected.

    • If Views > Show Key Times is turned on, the key frame numbers are displayed along side the keys on the trajectory.

      You can change the colors for these items on the Colors panel of the Customize User Interface dialog.

      You can also use object properties to display trajectories: right-click any object and choose Properties, then turn on Trajectory.

Interface

The first three options reduce the geometric complexity of selected objects in a scene, resulting in faster response time because the computer has less to calculate. These options are also available in the Display Properties group of the Object Properties dialog and the Display floater.

Display as Box: Toggles the display of selected objects, including 3D objects and 2D shapes as bounding boxes. Produces minimum geometric complexity.

Backface Cull: Toggles the display of faces and vertices with normals pointing away from view. When turned on, you see through the wireframe to the back faces. Applies to Wireframe viewport display only.

Edges Only: Toggles the display of face edges. When turned on, only faces appear. When turned on, all mesh geometry appears. Applies to Wireframe viewport display only.

Vertex Ticks: Displays the vertices in the selected geometry as tick marks.

If the current selection has no displayed tick marks, the check box is clear. If some of the vertices in the current selection display tick marks, the check box contains a gray X. If all vertices in the current selection display tick marks, the check box contains a black X.

Trajectory: Toggles trajectory display for the selected object so you can display its trajectory wherever you are in the software.

See-Through: When turned on, this toggle makes the object or selection translucent in viewports. It simply lets you see what’s behind or inside an object in a crowded scene, and is especially useful in adjusting the position of objects behind or inside the See-Through object. This is very handy when you have characters with bones inside. Default=off

This option is also available from Object Properties dialog and the Tools > Display Floater.

You can customize the color of see-through objects by using the Colors panel of the Customize > Customize User Interface dialog.

Keyboard shortcut (default): ALT+X

Ignore Extents: When turned on, the object is ignored when you use the display control Zoom Extents. Use this on distant lights.

Show Frozen in Gray: When on, the object turns gray in viewports when you freeze it. When off, viewports display the object with its usual color or texture even when it is frozen. Default=on.

Vertex Colors: Displays the effect of assigned vertex colors. You assign vertex colors in the editable mesh in vertex or face sub-object level.

The Shaded button determines whether the object with the assigned vertex colors appears shaded in the viewport. When this button is off, the colors are unshaded and appear in their pure RGB values, looking a little like self-illuminated materials. When the Shaded button is on, the colors appear like any other assigned color in the viewports.


Link Display Rollout

Display panel > Link Display rollout

The Link Display rollout provides controls that alter the display of hierarchical linkages.

Interface

Display Links: Displays a wireframe representation of any hierarchical links affecting the selected object.

Note: Display Links must be turned on in order to see Joint Limits on a inverse kinematics chain.

Link Replaces Object: Replaces the selected object with the wireframe representation of the hierarchical link. This option offers another way to reduce the geometric complexity of selected objects in a scene. See also Display Properties Rollout.

The Draw Links as Lines option in the Viewports panel of the Preference Settings dialog further reduces the display of links to a single line.


Selecting Objects

Most actions in gmax are performed on selected objects in your scene. You must select an object in a viewport before you can apply a command. As a result, the act of selection is an essential part of the modeling and animation process.

This section presents the selection tools available in gmax. Besides the basic techniques of selecting single and multiple objects using mouse and keyboard, these topics cover the use of named selection sets and other features that help you manage object selection, such as hiding and freezing objects. Also included is an introduction to sub-object selection, essential to working with an object’s underlying geometry.

Finally, a technique for grouping objects is presented. Grouping lets you create more permanent selections that have many of the characteristics of independent objects.

This section presents the following topics:

Introducing Object Selection

Basics of Selecting Objects

Selecting by Region

Using Select By Name

Using Named Selection Sets

Using Selection Filters

Selecting with Track View

Freezing and Unfreezing Objects

Hiding and Unhiding Objects by Selection

Hiding and Unhiding Objects by Category

Isolate Tool

Introduction to Sub-Object Selection

Using Groups


Introducing Object Selection

gmax is an object-oriented program. This means that each object in the 3D scene carries instructions that tell the program what you can do with it. These instructions vary with the type of object.

Because each object can respond to a different set of commands, you apply commands by first selecting the object and then selecting the command. This is known as a noun-verb interface because you first select the object (the noun), and then select the command (the verb).

Identifying the Selection Interface

In the program interface, selection commands or functions appear in the following areas:

  • Main toolbar

  • Tab panel

  • Edit menu

  • Quad menu (while objects are selected)

  • Tools menu

  • Track View

  • Display panel

The buttons on the main toolbar and tab panels are the most direct means of selection. The Selection Floater on the Tools menu is easy to use, while the Edit menu provides more general selection commands, plus methods of selecting objects by property. Track View lets you select objects from a hierarchical list.

Main Toolbar Selection Buttons

Select Object

Select By Name

Select And Move

Select And Rotate

Select And Scale

Select And Manipulate

The main toolbar has several selection-mode buttons. When any of the selection buttons is active, the program is in a state where you can select objects by clicking them.

Of the selection buttons, you use Select Object or Select By Name when you want selection only. The remaining buttons let you both select and transform or manipulate your selection. Transforms move, rotate, and scale your selection. See Using Transforms and Select and Manipulate.

Crossing Versus Window Selection

Above: Window selection selects the trashcan and bench, but not the streetlight
Below: Crossing selection selects all three: trashcan, bench, and streetlight

1 Crossing Selection

The Selection toggle switches between window and crossing modes when you select by region. In window mode, you select only the objects within the selection. In crossing mode, you select all objects that are within the region, plus any objects crossing the boundaries of the region.

Edit Menu Commands

The Edit menu contains selection commands that operate globally on your objects.

Edit menu commands include:

Select All

Select None

Select Invert

Select By > Color

Select By > Name (also a toolbar button)

Region > Window (also a status bar button)

Region > Crossing (also a status bar button)

Edit Named Selections (dialog)

Tools Menu Commands

The Tools menu contains two options for modeless selection dialogs or "floaters." These can be placed anywhere on the screen or minimized.

  • Selection Floater: Same features as Select By Name. See Selection Floater.

  • Display Floater: Provides options for hiding and freezing selections as well as some display options. See Display Floater.

Track View Selection

Track View is primarily designed as an animation tool, but you can also use its hierarchy list as an alternative method of selecting objects by name and hierarchy.

Display Panel Selection

The Display panel provides options for hiding and freezing objects. These techniques exclude objects from other selection methods, and are useful in simplifying complex scenes. Frozen objects are still visible, but hidden objects are not.


Basics of Selecting Objects

Bed selected in wireframe

Bed selected in smooth and shaded view

The most basic selection techniques use either the mouse, or the mouse in conjunction with a keystroke.

Procedures

To select an object:

  1. Click one of the selection buttons on the main toolbar: Select Object, Select by Name, Select and Move, Select and Rotate, Select and Scale, or Select and Manipulate.

  2. In any viewport, move the cursor over the object you want to select.

    The cursor changes to a small cross when it’s positioned over an object that can be selected.

    The valid selection zones of an object depend on the type of object and the display mode in the viewport. In shaded mode, any visible surface of an object is valid. In wireframe mode, any edge or segment of an object is valid, including hidden lines.

  3. While the cursor displays the selection cross, click to select the object (and to deselect any previously selected object).

    A selected wireframe object turns white. A selected shaded object displays white brackets at the corners of its bounding box.

To select all objects:

  • Choose Edit menu > Select All.

    This selects all objects in your scene.

To invert the current selection:

  • Choose Edit menu > Select Invert.

    This reverses the current selection pattern. For example, assume you begin with five objects in your scene, and two of them are selected. After choosing Invert, the two are deselected, and the remaining objects are selected.

To extend or reduce a selection:

  • Hold down CTRL while you click to make selections.

    This toggles the selection state of the objects you select. Use this method to select or deselect objects. For example, if you have two objects selected and CTRL+click to select a third, the third object is added to the selection. If you now CTRL+click any of the three selected objects, that object is deselected.

To lock a selection:

  1. Select an object.

  2. Click the Lock Selection Set button in the status bar to turn on locked selection mode.

    While your selection is locked, you can click and drag anywhere on the screen without losing the selection. The cursor displays the current selection icon. When you want to deselect or alter your selection, click the Lock button again to turn off locked selection mode. SPACEBAR is the keyboard toggle for locked selection mode.

To deselect an object, do any of the following:

  • Click anywhere outside the current selection.

  • Hold down the ALT key, and either click an object, or drag a region around the object to deselect it.

  • Hold down the CTRL key, and click to either deselect selected objects or select deselected objects.

  • Choose Edit menu > Select None to deselect all objects in the scene.


Selecting by Region

1 Selected faces in a circular region

1 Selected vertices in a fence region

1 Selected edges in a circular region

Using any of the four selection modes, you can select one or more objects by dragging the mouse to define a region around them.

Region Selection

By default, when you drag the mouse a rectangular region is created. When you release the mouse all objects within and touched by the region are selected. The following topics describe how you can change each of these settings.

Setting Region Type

The type of region you define when you drag the mouse is set by the Region flyout button to the right of the Select Object button. You can choose three types of region:

  • Rectangular Region: Dragging the mouse creates a rectangular region. See Rectangular Selection Region.

  • Circular Region: Dragging the mouse creates a circular region. See Circular Selection Region.

  • Fence Region: Dragging the mouse and clicking repeatedly creates an irregular region. See Fence Selection Region.

Setting Region Inclusion

Two items in the Edit menu let you set the method for selecting objects by region.

Choose Edit menu > Region to display a submenu of the following two items. Only one can be active at a time.

  • Window: Selects only those objects that are within the region. See Region > Window.

  • Crossing: Selects all objects that are within the region and crossing the boundaries of the region. This is the default region. See Region > Crossing.

The Window/Crossing toggle on the status bar also switches between these two modes.

Procedure

To make a region selection using defaults:

  1. Click Select Object.

  2. Drag the mouse to define a region.

    A dash-lined rectangle appears.

  3. Release the mouse button to select all objects within or touching the region.

    The selected objects turn white.

You can also use the Select and Transform buttons on the toolbar to select by region. You must start defining the region over an unselectable area of the viewport. Otherwise, you’ll transform the object beneath your mouse when you begin to drag.


Using Select By Name

You can select objects by their assigned names, choosing them from a list.

Procedure

To select objects by name:

  1. Do one of the following:

    • On the main toolbar, click Select By Name.

    • Choose Edit menu > Select By > Name.

    • Choose Tools menu > Selection Floater.

      The Select Objects or Selection Floater dialog is displayed. By default, these dialogs list all objects in the scene. Any selected objects are highlighted in the list.

  2. Choose one or more objects in the list. Use CTRL or SHIFT to add to the selection.

  3. Click Select to make the selection.

    Select Object closes, while Selection Floater remains active.

For more information, see Select Objects Dialog.


Using Named Selection Sets

Named Selection Sets from toolbar

You can assign a name to the current selection, and then later reselect those objects by picking their selection set name from a list. You can also edit the contents of named sets from a dedicated dialog.

Editing Named Selections

As you model and create a scene, you’re likely to rearrange the objects making up your named selection sets. If you do, you’ll need to edit the contents of those sets.

For more information, see Edit Named Selections.

Procedures

To assign a name to a selection set:

  1. Select one or more objects or sub-objects using any combination of selection methods.

  2. Click in the Named Selection Sets field on the main toolbar.

  3. Enter a name of up to 15 characters (including spaces). Names are case sensitive.

  4. Press ENTER to complete the selection set.

    You can now select another combination of objects or sub-objects and repeat the process to create another named selection set.

To retrieve a named selection set:

  1. In the Named Selection field, click the arrow.

    Note: If you're working with a sub-object selection set, you must be at the same level at which you created the selection set (for example, editable mesh > vertex) for it to appear on the list.

  2. On the list, click a name.

    The objects defined by that name are selected. The name of the selection set is displayed in the Named Selection field.

To edit named selection sets:

  • Choose Edit menu > Edit Named Selections to display the Edit Named Selections dialog.


Using Selection Filters

The Selection Filter list is on the main toolbar. Use it to deactivate selection for all but a specific category of object. By default, all categories can be selected, but you can set the Selection Filter so that only one category, such as lights, can be selected. You can also create combinations of filters to add to the list.

For greater ease of use while working with animations, you can now choose filters that let you select only Bones, objects in IK chains, or Points.

Using Combo

The Combo feature allows you to combine two or more categories into a single filter category.

Procedures

To use the selection filter:

  • Click the Selection Filter arrow and click a category from the Selection Filter list.

    Selection is now limited to objects defined in this category. The category remains in effect until you change it.

    The following categories are available:

    All: All categories can be selected. This is the default setting.

    Geometry: Only geometric objects can be selected. This includes meshes, patches, and other kinds of objects not specifically included in this list.

    Shapes: Only shapes can be selected.

    Lights: Only lights (and their targets) can be selected.

    Cameras: Only cameras (and their targets) can be selected.

    Helpers: Only helper objects can be selected.

    Combo: Displays a Filter Combinations dialog that lets you create a custom filter.

    Bones: Only bones objects can be selected.

    IK Chain: Only objects in IK chains can be selected.

    Point: Only point objects can be selected.

To create a combo category:

  1. Choose Combo on the drop-down list to display the Filter Combinations dialog. All single categories are listed. Select the categories you want to combine.

  2. Click Add. The combination appears in a list to the right, abbreviated by the first letter of each category. Click OK.

    For example, if you selected Geometry, Lights, and Cameras, the Combo would be named GLC. This name appears below Combo on the dropdown list. For more information, see Selection Filters List.


Selecting with Track View

Track View provides sophisticated methods to edit your animation tracks. In addition, its Hierarchy list displays all objects in the scene by name and hierarchy. Using Track View, you can select any object in the scene by clicking its object icon in the Hierarchy list.

Procedure

To open Track View and display and select objects:

  1. Click Open Track View on the main toolbar.

  2. Right-click the Object text label to display a pop-up menu.

  3. Click Expand Objects. A list of all objects in the scene appears. Each object is signified by a yellow-cube icon.

  4. Click any yellow cube in the list to select the named object.

You can make the following kinds of selections:

  • Select several adjacent objects in the list. Click the first object, hold down SHIFT, and click another object elsewhere in the list.

  • Add to the selection by pressing CTRL while clicking. CTRL lets you toggle individual items on and off without deselecting others in the list.

  • Select all items at one level of the hierarchy by holding down ALT and clicking one object at that level.

  • Select all descendants of an object. Select the object, right-click, and choose Select Children from the menu.

You can open a Track View window for the sole purpose of selecting objects by name. Shrink the window until only a portion of the Hierarchy appears, and then move the window to a convenient area on your screen.


Freezing and Unfreezing Objects

Above: No objects frozen
Below: Trashcan and streetlight are frozen, and displayed in gray

You can freeze any selection of objects in your scene. By default, frozen objects, whether wireframe or rendered, turn a dark gray. They remain on-screen, but can’t be selected, and therefore can’t be directly transformed or modified. Freezing lets you protect objects from accidental editing and speeds up redraws.

In gmax, you can choose to have frozen objects retain their usual color or texture in viewports. Use the Show Frozen in Gray toggle in the Object Properties dialog.

Frozen objects are similar to hidden objects. Linked, instanced, and referenced objects behave when frozen just as they would if unfrozen. Frozen lights and cameras and any associated viewports continue to work as they normally do.

For more information, see Freeze Rollout.

Freezing Objects

You can freeze one or more selected objects. This is the usual method to put objects "on hold."

You can also freeze all objects that are not selected. This method lets you keep only the selected object active, useful in a cluttered scene, for example, where you want to be sure no other objects are affected.

Procedure

To access Freeze options, do one of the following:

  • Open the Display panel, then expand the Freeze rollout.

  • Choose Tools menu > Display Floater. This modeless dialog has the same options as the Freeze rollout. It also contains Hide options.


Hiding and Unhiding Objects by Selection

Original scene

Scene with bed hidden

You can hide any selection of individual objects in your scene. They disappear from view, making it easier to select remaining objects. Hide also speeds up redraws. You can then unhide them all at once or by individual object name. You can also filter the names by category, so only hidden objects of a certain type are listed.

Hidden objects are similar to frozen objects. Linked, instanced, and referenced objects behave when hidden just as they would if unhidden. Hidden lights and cameras and any associated viewports continue to work as they normally do.

For more information, see Hide Rollout.

Hiding Objects

Hiding objects is similar to freezing objects. See Freezing and Unfreezing Objects. You can hide one or more selected objects. You can also hide all objects that are not selected.

Another option is to hide objects by category. See Hiding and Unhiding Objects by Category.

Unhiding Objects

You can unhide objects in either of two ways:

  • Use Unhide All to unhide all objects at the same time.

  • Use Unhide By Name to unhide object selectively. When you click Unhide By Name, the same dialog is displayed as for hiding, now called Unhide Objects.

The Unhide buttons turn gray when no object in the scene is hidden.

Objects that were first hidden by selection and then hidden by category do not reappear. Although they are unhidden at the selection level, they are still hidden at the category level. See Hiding and Unhiding Objects by Category for more details.

Procedure

To access Hide options, do one of the following:

  • Open the Display panel. Click Hide, if necessary, to expand the rollout.

  • Choose Tools menu > Display Floater. This modeless dialog has the same options as the Hide rollout. It also contains Freeze options.

  • Access the Properties dialog from either the right-click (quad) menu or the Edit menu. Turn on Hide and/or Freeze.


Hiding and Unhiding Objects by Category

Above: All objects displayed
Below: Lights and shapes are hidden

The lights are an omni light at street level and a spotlight inside the streetlight shade.
The shapes are the support for the streetlight shade and the scrollwork supporting the street sign.

You can hide objects by category, that is, by the type of object. For example, you can hide all lights in your scene at one time, or all shapes, or any combination of categories. If you hide all categories, your scene appears empty. Hidden objects, while not displayed, continue to exist as part of the geometry of your scene but cannot be selected.

Effects of Hiding by Category

  • If you create an object in a category that is hidden, gmax turns off hiding for the category and unhides the objects in that category.

  • Unhiding by category has no effect on objects hidden with the controls on the Hide rollout (see Hiding and Unhiding Objects by Selection). These objects remain hidden. You need to use the controls on that rollout to unhide them.

  • Unhiding by name does not return a hidden object to the scene if the category of the object is hidden. The Unhide All and Unhide By Name controls continue to work, but the effect is not visible until you turn off hiding for the category.

  • Lights hidden by category continue to shine. Views through cameras and targeted lights are still active.

  • Linked, instanced, and referenced objects behave when hidden just as they would if visible.

Procedures

To hide a category of objects:

  1. Open the Display panel.

  2. Click Hide by Category, if necessary, to expand the rollout. By default, all categories are turned off (unhidden) on this rollout.

  3. Choose the category you want to hide. All objects of that category disappear from your scene as soon as you make the selection.

    The same Hide By Category options appear on the Object Level panel of the Display Floater (Tools menu > Display Floater).

To unhide a category of objects:

  • Deselect the category.

    All objects in the category reappear, unless some have been hidden by selection. See "Effects of Hiding by Category."


Isolate Tool

Tools menu > Isolate

Tab panel > Modeling panel > Isolate Tool button

The Isolate Tool lets you edit a single object while hiding the rest of the scene. This guards against selecting other objects while working on a single object. It also reduces the performance overhead that can come from displaying other objects in the viewports.

When you turn on the Isolate Tool, the isolated object is centered in all viewports. The active viewport also does a Zoom Extents on the isolated object.

The Isolate Tool works only when a single object is selected. If multiple objects are selected, a warning asks you to select just one.

Interface

While the Isolate Tool is active, a dialog labeled ISOLATED appears.

Exit Isolation: Click to end isolation, close the dialog, and unhide the rest of the scene.

The views are restored to what they showed before you chose Isolate Tool.


Introduction to Sub-Object Selection

This is a general introduction to sub-object selection. For specific information, see Editable Mesh, Editable Patch, Editable Spline, or Editable Poly.

When you model an object, often you edit a portion of its underlying geometry, such as a set of its faces or vertices. Use the methods described in this topic to make sub-object selections.

1 Selected vertices

1 Selected edges

1 Selected faces

You can access sub-object geometry through a variety of methods. The most common technique is to convert an object into "editable" geometry such as a mesh, spline, patch, or poly object. These object types let you select and edit geometry at the sub-object level.

If you have a primitive object and want to retain control of its creation parameters, you can apply a modifier such as Edit Mesh, Edit Spline, or Edit Patch.

The Spline Line object is the exception: you can edit its sub-objects as soon as you create this kind of object.

You choose a sub-object level in the stack display. Click the plus sign that appears to the right of the name of an object that has sub-objects. This expands the hierarchy, showing the available sub-object levels. Click a level to choose it. The name of the sub-object level highlights in yellow, and the icon for that sub-object level appears to the right of both its name, and the name of the top-level object.

Stack display shows the sub-object hierarchy, letting you choose a sub-object level.

Editing at the Sub-Object Level

When you edit an object at the sub-object level, you can select only components at that level, such as vertex, edge, face sub-objects, and so on. You can’t deselect the current object, nor can you select other objects. To leave sub-object editing and return to object-level editing, click the top-level name of the object, or click the highlighted sub-object name in the stack display, or click the highlighted sub-object icon button in the Selection rollout.

Selecting the top-level object name exits sub-object editing

Procedures

To make a sub-object selection:

  1. Select the object you want to edit.

  2. Open the Modify panel.

  3. On the Modifier Stack Display, click the plus icon to expand the object's hierarchy.

    If the object has no sub-object levels (for example, a primitive such as a sphere), the plus icon is not present. In this case, you need to convert the object to editable format or apply an Edit modifier before you can edit its sub-object geometry.

  4. On the stack display, click to choose a level of selection, such as vertex, edge, face, and so on.

    Tip: For some kinds of objects, such as editable meshes, shaded viewports don't display certain sub-object selections. If this is the case, switch to Wireframe by right-clicking the viewport label.

    Tip: For a detailed selection, you might want to zoom in on the object.

  5. Click one of the four toolbar selection buttons, and then use the same selection methods you’d use on objects to select the sub-object components.

    There are two alternative ways to go to a sub-object level:

    • Select the object and go to the Modify panel. Then right-click the object, and use Sub-objects sub-menu of the Tools 1 (upper-left) quadrant of the quad menu.

    • Choose the selection level using buttons in the Modify panel's Selection rollout, if one is present for the type of object you're editing.

      Once you're at a sub-object level, the INSERT key cycles through the levels of other kinds of sub-objects.

To exit sub-object selection mode, do one of the following:

  • Click the top-level name of the object.

  • If the object has a Selection rollout, click to turn off the button of the active sub-object level.

  • Right-click the object, then in the Tools 1 (upper-left) quadrant of the quad menu, choose Switch to Top Level.

  • Open another command panel. This turns off sub-object editing.

    If you think you’ve turned off sub-object editing but top-level object selection is still not restored, it might be due to the following reasons:

  • Your selection is locked. Click the Lock Selection Set button in the prompt line to turn it off.

  • You’ve set the Selection Filter on the main toolbar to a specific category of object, so you can’t select any of the other categories. To fix this, select All in the Selection Filter list.


Using Groups

Object on the right is a group and treated as a single entity.

Grouping lets you combine two or more objects into a single grouped object. The grouped object is given a name, and then treated much like any other object.

Group names are similar to object names, except that they’re carried by the group object. In lists like the one for the Select Object dialog, group names appear in square brackets, for example [Group01].

The commands to manage groups are on the default Group Menu.

General Features of Groups

Once you group objects, you can treat them as a single object in your scene. You can click any object in the group to select the group object.

When you create a group, all of its member objects are rigidly linked to an invisible dummy object. The group object uses the pivot point and the local transform coordinate system of this dummy object.

Groups can be nested. That is, groups can contain other groups, up to any level.

Transforming and Modifying a Group

You can transform or modify a group as if it were a single object, and you can animate the transforms and the modifiers.

When you apply a modifier to the group, this applies an instance of the modifier to each object in the group. A grouped object retains its modifier instance, even if you later remove it from the group.

When you apply a transform to the group, on the other hand, this applies only to the group as a whole. More precisely, the software applies transforms to the dummy object that represents the group.

You can transform and animate individual objects within a group independently from the group itself. However, when you transform the group itself, the transform affects all grouped objects equally. The group transform is uniformly added to objects that have independent motions. An analogy is a cage of birds, each flying around on its own, while the cage itself is being moved. In the case of groups, the "cage" (the dummy object) expands to surround all objects in the group, wherever the objects’ independent transforms take them.

Accessing Objects in a Group

You can open and close groups to access the individual objects contained in them without dissolving the group. These commands maintain the integrity of the group.

  • Open: Temporarily opens the group so that you can access its member objects. While a group is open, you can treat the objects (or nested groups) as individuals. You can transform them, apply modifiers, and access their modifier stacks.

  • Close: Restores the group when you’re finished working with the individual objects.

Dissolving Groups

You can permanently dissolve groups by either ungrouping or exploding them. Both commands dissolve groups, but to different levels.

  • Ungroup: Goes one level deep in the group hierarchy. It separates the current group into its component objects (or groups), and deletes the group dummy object.

  • Explode: Similar to Ungroup, but dissolves all nested groups as well, leaving independent objects.

When you Ungroup or Explode a group, the objects within the group lose all group transforms that were applied on nonzero frames. However, objects retain any individual animation.

To transform or modify the objects within a group, you must first remove them from the group, either temporarily or permanently. The Open command lets you do this.

Comparing Groups with Other Selection Methods

Compared to the other methods you can use to combine objects in the software, grouping is more permanent than selection sets, but less permanent than attaching objects.

  • Selection sets: Form a temporary collection of objects to which you apply the current commands. As soon as you select another object, the selection set is gone.

  • Named selection sets: Let you reselect the same pattern of objects, but the positional relationship between those objects (their transforms) might be different each time you recall the named set.

  • Grouped objects: Maintain their positional relationships unless you open the group and rearrange them. A group also keeps its identity as an individual object.

    Each object in a group retains its modifier stack, including its base parameters. At any time, you can open the group to edit an object, and then close the group to restore the group identity.

  • Attached objects (see Editable Mesh (Object)): Attached objects form a single object. The modifier stacks of the original objects are lost, including their base parameters. You can regain the form of the original objects by detaching them, but they become plain meshes.


Selection Commands

Selection commands appear on the default main toolbar, on the default Edit menu, and on the status bar.

The simplest method of selection is to turn on the Select Object mode, and then click an object in a viewport (or drag to surround the object). While the method is simple, it is not effective for selecting multiple objects, especially in a crowded scene. Other tools let you select objects by name, filter out the kinds of objects you want to select, and to create named selection sets you can select repeatedly.

See also

Selecting Objects

Isolate Tool

Selection Commands on the Main Toolbar

The following selection commands appear by default on the main toolbar.

The Selection Floater, available from the default Tools menu, is a modeless alternative to using the Select by Name button.

Select Object

Rectangular Selection Region

Circular Selection Region

Fence Selection Region

Selection Filters List

Filter Combinations Dialog

Select by Name Button

Select Objects Dialog

Named Selection Sets

Selection Commands on the Edit Menu

The following selection commands appear by default on the Edit menu. They complement the toolbar selection commands.

Select All

Select None

Select Invert

Select By

Select By Color

Select By Name

Region

Select Region Window

Select Region Crossing

Edit Named Selections

Selection Commands on the Status Bar

The following selection commands appear on the status bar. Locking a selection is useful when you are doing a lot of editing on a selection, and don't want to select something else by mistake. The Crossing Selection toggle determines how the region selection options (on the main toolbar) behave.

Lock Selection Set

Crossing Selection toggle


Select Object

Main toolbar > Select Object

Use the Select Object button to select an object or objects for manipulation.

Object selection is affected by several other controls:

  • The active selection region type (Rectangle, Circular, or Fence).

  • The active selection filter (All, Geometry, Shapes, Lights, etc.)

  • The state of the crossing selection tool (which determines whether completely surrounded objects or surrounded and crossing objects are selected).

You can also select objects by name using the Select by Name list (Keyboard > H) .

A number of objects selected together are called a selection set. You can name selection sets in the prompt area of the toolbar.

Procedures

To add or remove objects from the selection set:

  • Hold down the CTRL key and select the objects to add or remove.

    Adding or removing objects doesn't change a named selection set.

    Holding down the ALT key also works to remove objects from a select set.

To toggle the selected/deselected state of objects in the selection set:

  • Hold down the SHIFT key and region-select (using a drag box) the objects to toggle.

To select objects and move, rotate, or scale them:

  • Use the Select and Move, Select and Rotate, or Select and Scale tools.

    When you rotate a selection set, the pivot of rotation depends on which option is selected on the Use Pivot Point Center flyout on the toolbar. These tools are restricted to a specific axis or plane, which you choose from the toolbar.


Select By Name Button (Main Toolbar)

Select By Name

Main toolbar > Select By Name

Edit menu > Select By > Name

Select By Name lets you select objects by picking them from a list of all objects currently in the scene using the Select Objects dialog.

Caution: The Select By Name button and Select Objects dialog are context dependent. When Select Object, one of the transforms (such as Select and Move), or Select and Manipulate is active, the dialog lets you choose from all objects in the scene. But when certain modes are active, the choices in the dialog are more limited. For example, when Select and Link is active, the dialog is entitled Select Parent, and shows linkable objects but not the child object already selected. Similarly, if Group > Attach is active, the dialog lists groups but not solitary objects.


Select Objects Dialog

Main toolbar > Select By Name > Select Objects dialog

The Select Objects dialog allows you to select objects by picking them from a list of all objects in the scene.

Caution: The Select By Name button and Select Objects dialog are context dependent. When Select Object, one of the transforms (such as Select and Move), or Select and Manipulate is active, the dialog lets you choose from all objects in the scene. But when certain modes are active, the choices in the dialog are more limited. For example, when Select and Link is active, the dialog is entitled Select Parent, and shows linkable objects but not the child object already selected. Similarly, if Group > Attach is active, the dialog lists groups but not solitary objects.

Procedure

To select objects by name:

  1. Do one of the following:

    • Click the Select by Name button on the Main toolbar.

    • Choose Edit menu > Select By > Name.

      The Select Objects dialog appears. By default, it lists all objects in the scene. Currently selected objects are highlighted in the list.

  2. Choose one or more objects in the list.

    Drag, or click and then SHIFT+click to select a continuous range of objects and CTRL+click to select noncontinuous objects.

    In the field above the list, you can type a name to select that object. You can use the asterisk (*) and the question mark (?) as wildcards to select multiple names.

  3. Click Select.

    The selection is made as the dialog disappears.

Interface

Select Objects List

Objects are listed according to the current Sort and List Types selections.

All, None, and Invert: These buttons alter the pattern of selection in the list window.

Display Subtree: Displays each item in the list so that its hierarchical branch is included (for example, Thigh/Shin/Foot). Hierarchical branches are indented.

Case Sensitive: When on, the software considers the case of the characters for each item in the list. Uppercase letters are listed above lowercase letters. In addition, the field above the list becomes case-sensitive.

Select Subtree: When this is on and you select an item in the list window, all of its hierarchical children are selected as well.

Select Dependents: When this is on and you select an item in the list, all of its dependent objects are selected as well. Dependents include instances, references, and objects sharing a common modifier (the same objects that appear green when Show Dependencies is on in the View menu).

When both Select Subtree and Select Dependents are on, the subtree of any newly selected node is selected, and then the dependents are selected. (Dependents of the subtree are selected, but not the subtrees of all dependents.)

If you click Select by Name while Select and Link is active, Select Subtree and Select Dependents are not available.

Sort group

Specifies the sort order of the items displayed in the list.

Alphabetical: Sorts from numeric characters at the top, then A to Z at the bottom.

By Type: Sorts by category, using the same order as the check boxes in the List Types group.

By Color: Sorts by object wireframe color. The sorting order is arbitrary; the value of this option is that objects of the same color are grouped together.

By Size: Sorts based on the number of faces in each object. The object with the least number of faces is listed first, followed by objects with successively greater number of faces.

List Types group

Determines the types of objects to display in the list.

All, None, and Invert: These buttons alter the pattern of selection in the list window.

Selection Sets group

Lists any named selection sets that you have defined in the scene. When you select a selection set from the list, the software highlights its component objects in the main list.


Selection Floater

Tools menu > Selection Floater

This modeless dialog lets you select objects in the scene.

You can leave this dialog up while you work in your scene, making it easier to select objects. The selection options are the same as those in the Select By Name dialog.

You can display the Selection Floater only from the Tools menu. If you use the H key during selection, the modal Select Objects dialog appears instead.

For a full description of the items you can select, see Select By Name button.


Rectangular Selection Region

Main toolbar > Rectangular Select Region (Selection Region flyout)

The Rectangular Selection Region button, available from the Selection Region flyout, provides one of three methods you can use to select objects by region. The other two methods are Circular and Fence.

For all three methods, you can select either objects that are completely within the selection region (window method), or objects that are either within or touched by the selection shape (crossing method). Toggle between the window and crossing selection methods by using the Crossing Selection button on the status bar.

Procedure

To select using a rectangle:

  1. Click the Rectangular Selection Region button.

  2. Drag in a viewport, then release the mouse. The first location you click is one corner of the rectangle, and where you release the mouse is the opposite corner.

    To cancel the selection, right-click before you release the mouse.


Circular Selection Region

Main toolbar > Circular Select Region (Selection Region flyout)

The Circular Selection Region button, available from the Selection Region flyout, provides one of three methods you can use to select objects by region. The other two methods are Rectangle and Fence.

For all three methods, you can select either objects that are completely within the selection region (window method), or objects that are either within or touched by the selection shape (crossing method). Toggle between the window and crossing selection methods by using the Crossing Selection button on the status bar.

Procedure

To select using a circle:

  1. Click the Circular Selection Region button.

  2. Drag in a viewport, then release the mouse. The first location you click is the center of the circle, where you release the mouse defines the circle's radius.

    To cancel the selection, right-click before you release the mouse.


Fence Selection Region

Main toolbar > Fence Select Region (Selection Region flyout)

The Fence Selection Region button, available from the Selection Region flyout, provides one of three methods you can use to select objects by region. The other two methods are Rectangle and Circular.

For all three methods, you can select either objects that are completely within the selection region (window method), or objects that are either within or touched by the selection shape (crossing method). Toggle between the window and crossing selection methods by using the Window/Crossing button on the status bar.

Procedure

To select using a fence:

  1. Click the Fence Selection Region button.

  2. Drag to draw the first segment of a polygon, then release the mouse button.

    A "rubber-band line" is now attached to the cursor, anchored at the point of release.

  3. Move the mouse and click to define the next segment of the fence. You can make as many steps as you want.

  4. To complete the fence, either click the first point, or double-click.

    A crosshair appears when you're near enough to click the first point. This creates a closed fence.

    Double-clicking creates an open fence, which can select objects only by the crossing method.

    To cancel the selection, right-click before you release the mouse.


Selection Filters List

Main toolbar > Selection Filter

The Selection Filter list lets you restrict to specific types and combinations of objects that can be selected by the selection tools. For example, if Cameras is selected, you can select only cameras with the selection tools. Other objects do not respond. This is useful as a quick method of freezing objects when you need to select objects of a certain type.

Use the drop-down list to select a single filter. Select Combos from the drop-down list to use multiple filters from the Filter Combinations dialog.


Filter Combinations Dialog

Main toolbar > Selection Filter list > Combos > Filter Combinations dialog

Use the Filter Combinations Dialog to create your own custom combinations of categories for selection.

Procedures

To create a combination filter:

  1. Open the Selection Filter list and choose Combos.

    The Filter Combinations dialog appears.

  2. Turn on one or more of the check boxes in the Create Combination group.

  3. Click the Add button.

    The specified combination appears in the window at the right as a combination of the first letters of each selected category.

  4. Click OK.

    The new combo item appears at the bottom of the Select Filter list.

    Combos are stored in the gmax.ini file, so they remain in effect for all scenes through all sessions.

To delete a combination filter:

  1. Open the Select Filter list, and choose Combos.

    The Filter Combinations dialog appears.

  2. Choose one or more of the combos in the list.

  3. Click the Delete button.

  4. Click OK.

Interface

Create Combination group

Geometry, Shapes, Lights, Cameras, Helpers: Choose the category or categories you want included in the combination.

Add: After choosing the categories to include in a combination, click this button to place the categories, labeled with the categories' initials, in the Current Combinations list, as well as at the bottom of the Selection Filter list.

Current Combinations group

Combinations list: Lists current combinations. To delete one or more combinations, choose them, and then click Delete.

Delete: After choosing one or more combinations in the Current Combinations list, click this button to delete them.

All Class ID group

Class ID list: Lists all the available categories that can be added to custom filters for display and selection. Highlight a category you wish to add, then click Add.

Add: After choosing a class to include in the filter list, click this button to place the class in the Current Class ID Filter list, as well as at the bottom of the Selection Filter list.

Current Class ID Filter group

Class ID list: Lists current classes to filter. To delete a class, choose it, and then click Delete.

Delete: After choosing a class in the Current Class ID Filter list, click this button to delete the class.


Named Selection Sets

Main toolbar > Named Selection Sets

The Named Selection Sets list allows you to name a selection set and recall the selection for later use. See also Edit Named Selections on the Edit menu for ways to edit named sub-object selections.

A named selection set is removed from the list if all of its objects have been deleted from the scene, or if all of its objects have been removed from the named set in the Edit Named Selections dialog.

Both object-level and sub-object-level named selections are case sensitive.

You can transfer sub-object named selections from one level in the Stack to another. The Copy and Paste buttons let you copy named selections from one modifier to another.

While at a specific sub-object level (vertex, for example), you can make selections, and name those selections in the named selection field of the toolbar. The named sets are specific to both the selection level and the level on the Stack.

Keep in mind the following restrictions:

  • You can transfer named selections only between the same type of sub-object level. In other words, you can transfer named selections from vertex sub-object to another vertex sub-object, but you can't transfer it to face or edge sub-object level.

  • You must transfer the selection between modifiers that handle like geometry. You can copy and paste between an editable mesh and a mesh select modifier, but you can't copy and paste between a mesh select modifier and an editable spline.

  • You can copy and paste between two modifiers in two different objects, as long as you're at the same level and both modifiers handle the same type of geometry.

  • If you change the topology of a mesh after creating a named selection (such as deleting some vertices), the named selections will probably no longer select the same geometry.

Procedures

To create a named selection set:

  1. Select the objects you want to be in a set.

  2. Type the name of the set in the Named Selection Set field and press ENTER.

  3. Whenever you want to access the selection, choose its name from the Named Selection Sets list.

To select a named selection set, do one of the following:

  • To select a single item, click it in the list.

  • To select more than one item in the list, select one, and then select others while holding down the CTRL key.

  • To deselect single items after you've selected multiple items, hold down the ALT key.


Select All

Edit menu > Select All

This command selects all objects in the scene matching the current selection filter type on the Main toolbar.


Select None

Edit menu > Select None

This command deselects all objects in the scene conforming to the current selection filter type on the Main toolbar.


Select Invert

Edit menu > Select Invert

This command inverts the current selection set. All objects not currently selected are selected, and all objects currently selected are deselected.

Procedure

To invert the current selection:

  • Choose Edit > Select Invert.


Select By (Edit Menu)

Select By

Edit menu > Select By

The Select By command provides options for selecting objects in the scene by color or by name.

Select By Color

Select By Name


Select By Color (Edit Menu)

Select By Color

Edit menu > Select By > Color

Select By Color lets you select all objects having the same color as the selected object. Selection is made by wireframe color (see Object Color Dialog), rather than by any materials associated with the objects.

After you choose this command, click any object in the scene to determine the color for the selection set.


Select By Name (Edit Menu)

Select By Name

Edit menu > Select By > Name

Select By Name lets you select objects by picking them from a list of all objects in the scene.

For a full description of the Select By Name function, see Select By Name button.


Region

Edit menu > Region

Status bar > Window Selection or Crossing Selection

When dragging the mouse to select one or more objects, the Region options let you switch between selecting objects within, or crossed by, a rectangular window. Choose the appropriate Region sub-menu item, or use the Window/Crossing button toggle on the status bar.

See also

Select Region Window

Select Region Crossing


Select Region Window

Edit menu > Region > Window

Status bar > Window Selection

Select Region Window selects only those objects within the window: the trash can and bench.

Select Region Window selects objects within a selection region.

After you choose this command, draw a rectangle, circle, or fence around any objects in the scene. Only those objects that are entirely within the region boundary are selected.

Procedure

To select objects within a selection region, do one of the following:

  • Choose Edit >Region > Window.

  • Click the Window/Crossing toggle to display the Window icon.


Select Region Crossing

Edit menu > Region > Crossing

Status bar > Crossing Selection

Select Region Crossing selects objects within the window and also objects it crosses: the trash can, bench, and streetlight.

Select Region Crossing selects objects within or crossed by a selection region.

After you choose this command, draw a rectangle, circle, or fence around or crossing any objects in the scene. Those objects that are within the region boundary or that are crossed by it are selected.


Edit Named Selections

Edit menu > Edit Named Selections

Edit Named Selections displays the Edit Named Selections dialog, letting you manage named selection sets.

Procedure

To edit a named selection:

  1. Click the selection name from the list.

    The defined objects are selected.

  2. Choose Edit > Edit Named Selections.

Interface

In the Edit Named Selections dialog, the window at left lists all of the current named selections. When you select any of the items in the leftmost window, those objects are listed in the window at right. The buttons beneath the windows let you delete, merge, rename, and edit the listed items.

You can use Edit Named Selections while editing sub-objects, but the dialog displays only the left half of the dialog.

Named Selections window

Lists all existing named selection sets. When a single item is selected, you can rename it by typing a new name in the field below the list.

Combine: Merges all objects from the highlighted selection sets into a single, new selection set. Select two or more selection sets, and then click Combine and enter a new name for the selection set. Use Delete to delete the original sets.

Delete: Deletes all selected items in the Named Selections window.

Subtract (A-B): Subtracts the objects contained in one selection set from another. Select one item in the Named Selections window, and then select the other. The top highlighted item in the window is operand A, and the bottom is operand B (regardless of the order of their selection). Click Subtract (A-B) to subtract the objects in the bottom item from those in the top item.

Subtract (B-A): Subtracts the objects in the top selected item from those in the bottom item.

Intersection: Creates a selection set that consists of objects in common between the highlighted selections sets. Select two or more items from the Named Selections window and click Intersection. In the dialog that appears, enter a new name and click OK.

Objects window

Displays the names of objects that are common to the named selections that have been highlighted in the leftmost window. For example, if you select two named selections that both have a torus, but all other objects in their sets are mutually exclusive, only the torus appears in the Objects window.

Add: Adds objects to the highlighted selection set(s). The Select by Name dialog appears, listing all objects in the scene that are not common to the highlighted selection sets. Choose one or more items from the dialog, and then click Add.

To add to a named selection for a sub-object, select the geometry you want to add, give it a name, then Combine the newly named geometry with an existing name in the Edit dialog.

Remove: Select one or more items from the Objects window, and then click Remove to remove that item from the selection set. Since the Objects window displays only the objects that are common to all highlighted selection sets, you can remove objects from more than one selection set at once. Remove is available only when you select one or more items from the Objects window.

To Remove geometry from a named selection for a sub-object, select and name the geometry you want to remove, then use Subtract.


Edit Commands

These commands on the default Edit menu are for basic edit manipulations of selections.

Undo and Redo are as in standard Windows applications. These commands are available on the default main toolbar as well. In gmax, there is an additional history of commands. Right-clicking the Undo or Redo buttons displays a list of commands you can undo or redo. Not all operations are undoable.

Note: Viewport changes such as panning and zooming have a separate Undo and Redo. See View-Handling Commands.

The Hold and Fetch command set is an alternative to Undo and Redo. Hold saves the current state of the gmax scene. After performing Hold, you can restore that state at a later point by invoking Fetch. Sometimes when you are about to perform a risky operation, an alert prompts you to perform a Hold first.

gmax does not have Cut and Paste as many Windows applications do. The Delete command simply removes the selection from the scene.

Undo/Redo (Edit Menu)

Undo (Main Toolbar)

Redo (Main Toolbar)

Hold

Fetch

Delete


Undo/Redo (Edit Menu)

Undo/Redo

Edit menu > Undo or Redo

Toolbar > Undo or Redo

Keyboard > CTRL+Z (Undo) or CTRL+A (Redo)

The Undo command reverses the last operation performed on any selected object(s). Redo reverses the last operation performed by the Undo command.

When you create an object, the Create operation is recorded by the software and displayed next to the activated Undo command in the Edit menu. When you undo the Create operation, the Redo Create operation is displayed next to the activated Redo command in the Edit menu. The Undo and Redo commands in the Edit menu are unavailable when no valid operation was performed or recorded.

Undo and Redo are also available as buttons on the Main toolbar. When you right-click the Undo or Redo button, a History list box opens, listing the last operations performed. One or more of these operations can be highlighted and reversed by the respective Undo or Redo command.


Undo (Main Toolbar)

Undo

Main toolbar > Undo

Edit menu > Undo

Keyboard > CTRL+Z

Undo reverses the effect of the last action.

Right-click the Undo button to display a list of recent actions, where you can choose the level of Undo.

On the Edit menu, the name of the function to undo is also displayed. By default, there are 20 levels of Undo. You can change the number of levels in Preferences > General tab (see Scene Undo).

Some actions cannot be undone (for example, applying modifiers, deleting modifiers, and changing parameters in the command panels). When you know something cannot be undone, use Hold first. Then if you want to undo it, use Fetchidh_edit_fetch. Hold and Fetch are also commands on the Edit menu.

Procedures

To undo the most recent action:

  • Click Undo (or press CTRL+Z).

To undo several actions:

  1. Right-click Undo.

  2. From the list, select the level where you want to return. You must choose a continuous selection, you can’t skip over items in the list.

  3. Click the Undo button.

    To exit the list without performing an action, click the Cancel button, or click somewhere outside of the list.


Redo (Main Toolbar)

Redo

Main toolbar > Redo

Edit menu > Redo

Keyboard > CTRL+A

Use the Redo button to cancel the last undo.

On the Edit menu, the name of the function to be redone is displayed.

Right-clicking the Redo button displays a list of the last actions where you can choose the level of Redo. You must select a continuous selection; you cannot skip over any items in the list.

Procedure

To redo an action:

  • Click Redo (or press CTRL+A).

To redo several actions:

  1. Right-click Redo.

  2. From the list, select the action to return to.

  3. Click the Redo button.

    To exit the list without performing an action, click the Cancel button or click somewhere outside of the list.


Hold

Edit menu > Hold

Hold stores the current scene and its settings in a restorable buffer, which includes all geometry, lights, cameras, viewport configuration, and selection sets.

Use Hold before you undertake an operation that may not work as expected. Use Hold before performing an operation which can not be Undone The Fetch command restores the contents of the Hold buffer, allowing you to get back to a particular point if you need to.

If you use Hold and then you crash, when you restart gmax, you can retrieve your file with Fetch.

See also

Fetch


Fetch

Edit menu > Fetch

Fetch restores the scene and settings previously stored by the Hold command. Information stored includes all geometry, lights, cameras, viewport configuration, and selection sets.

Use Hold before you undertake an operation that may not work as expected or any operation that cannot be undone. The Fetch command restores the contents of the Hold buffer, allowing you to get back to a particular point if you need to.

See also

Hold


Delete

Make a selection. > Edit menu > Delete

Make a selection. > Keyboard > DELETE

The Delete command deletes the current selection from the model.

The Undo menu command restores the deleted selection to the model. The Undo command is also available as a button on the Main toolbar.

See also

Undo


Group Commands

The commands to manage groups are on the default Group Menu.

Group

Open

Close

Ungroup

Attach

Detach

Explode

See also

Using Groups


Group

Group menu > Group

The Group command combines a selection set of objects or groups into a single group.

Once you group objects, you can treat them as a single object in your scene. You can click any object in the group to select the group object. You can transform the group as a single object, and you can apply modifiers as if it were a single object.

Groups can contain other groups, up to any level.

Group names are similar to object names, except that they’re carried by the group object. In lists like the one in the Select by Name dialog, group names appear in square brackets. For example: [Group01].

All members of a group inherit the visibility of the parent when a visibility controller is assigned to the parent.

Groups are considered whole objects in the Light Exclude/Include dialog, so you can exclude (or include) all objects in a group by selecting the group in the list. If a group is nested within another group, only the "outer" group is available in the list. To exclude only certain objects in a group, open the group before displaying the Exclude/Include dialog.

Procedures

To define a group:

  1. Select two or more objects.

  2. Choose Group menu > Group.

    A dialog appears requesting a name for the group.

  3. Enter a name for the group and click OK.

To define a nested group:

  1. Select two or more groups or any combination of groups and objects.

  2. Choose Group > Group.

    A dialog appears requesting a name for the group.

  3. Enter a name for the new group object.


Open (Group)

Open

Select one or more groups. > Group menu > Open

The Open command lets you temporarily ungroup and access objects within a group.

You can transform and modify the objects within the group independently from the rest of the group, then restore the original group using the Close command.

Procedures

To open a group:

  1. Select one or more groups.

  2. Choose Group > Open.

    A pink dummy object appears, and the objects in the group are now accessible.

To open nested groups:

  1. Select the group within the opened group.

  2. Choose Group > Open.


Close (Group)

Close

Select the pink dummy object. > Group menu > Close

The Close command regroups an opened group. For nested groups, closing the outer most group object closes all open inner groups.

When you link an object to a closed group, the object becomes a child of the group parent rather than of any member of the group. The entire group flashes to show that you've linked to the group.

Procedures

To close all opened groups nested within a main group:

  1. Select the pink dummy representing the main group.

  2. Choose Group > Close.

To close a nested group:

  1. Select any object in the nested group or its dummy.

  2. Choose Group > Close.


Ungroup

Select one or more groups. > Group menu > Ungroup

Ungroup separates the current group into its component objects or groups.

The Ungroup command ungroups one level, unlike Explode, which ungroups all levels of nested groups.

When you Ungroup a group, the objects within the group lose all group transforms that were applied on nonzero frames, but they retain any individual animation.

All ungrouped entities remain in the current selection set.

Procedure

To ungroup a group:

  1. Select one or more groups.

  2. Choose Group > Ungroup.

    All components of the group remain selected, but are no longer part of the group. The group dummy is deleted.


Explode (Groups)

Explode

Select one or more groups. > Group menu > Explode

The Explode command ungroups all objects in a group, regardless of the number of nested groups, unlike Ungroup, which ungroups one level only.

As with the Ungroup command, all exploded entities remain in the current selection set.

Warning: Ungroup and Explode remove all transform animations that have been applied to the group as a whole. As with the Ungroup command, all exploded entities remain in the current selection set.

Procedure

To explode a group:

  1. Select one or more groups.

  2. Choose Group > Explode.

    All objects in the groups remain selected but no longer belong to groups. All nested groups are exploded. All group dummies in the selection are deleted.

    Warning: Ungroup and Explode remove all transform animations that have been applied to the group as a whole.


Detach

Select a group. > Group menu > Open > Select one or more objects detach. > Group menu > Detach

The Detach command detaches the selected object from its group.

This command becomes active when you open the group by choosing the Open command from the Group menu.

Procedure

To detach an object from a group:

  1. Open the group.

  2. Select one or more objects to detach.

  3. Choose Group > Detach.

    The selected objects are now separate, independent objects, no longer members of the group.


Attach

Select one or more objects. > Group menu > Attach

The Attach command makes the selected object part of an existing group.

With an object selected, choose this command, and then click a (closed) group in the scene.

Procedure

To attach an object to a group:

  1. Select one or more objects to attach.

  2. Choose Group > Attach.

  3. Click any member of a group.

    The selected objects become part of the group, which is now selected.


Properties (Object)

Object Properties

Edit menu > Object Properties

Right-click an object. > Transform (lower-right) quadrant of the quad menu > Properties

Object Properties displays the Object Properties dialog, which lets you view and edit the properties of selected objects.

Procedure

To display object properties for the current selection, do one of the following:

  • Choose Edit > Object Properties.

  • Right-click an object and choose Properties from the Transform (lower-right) quadrant of the quad menu.


Object Properties Dialog

Select object or objects. > Right-click > Transform (lower-right) quadrant of the quad menu > Properties > Object Properties dialog

Edit menu > Object Properties

The Object Properties dialog lets you inspect an object's state, and set a variety of parameters that relates to how the object behaves in the viewports. Here you can find information about the object such as the number of vertices and faces, dimensions, materials, etc. You can also set various display options such as turning on trajectories, or displaying the mesh as a box. Object properties is also where you can choose to have the mesh display as bones.

Procedures

To display object properties for the current selection, do one of the following:

  • Choose Edit > Object Properties.

  • Right-click a selected object and choose Properties from the Transform (lower-right) quadrant of the quad menu.

Interface

General panel

Object Information group

Displays information about the selected object, including the following:

Name: Shows the name of the object. When a single object is selected, you can edit this field to give the object a new name. When multiple objects are selected, this field shows "Multiple Selected," and cannot be edited.

Color: The color swatch shows the object's color. You can click it to display the Color Selector and select a different color.

Hide: Hides the selected object or objects.

To unhide hidden objects, use the Display panel or choose Tools > Display Floater.

Freeze: Freezes the selected object or objects.

To unfreeze frozen objects, use the Display panel or choose Tools > Display Floater.

Dimensions: Displays the X, Y, and Z dimensions of the object's extents.

Vertices and Faces: Display the number of vertices and faces in the object.

These values can change over time: they are valid only for the current frame and the current view.

Shape Vertices and Shape Curves: Appear only for shape objects. Shape Vertices is the number of vertices in the shape, and Shape Curves is the number of polygons.

Parent: Displays the name of the object's parent in a hierarchy. Shows "Scene Root" if the object has no hierarchical parent.

Material Name: Displays the name of the material assigned to the object. Shows "None" if no material is assigned.

Num. Children: Displays the number of children hierarchically linked to the object.

In Group: Displays the name of the group to which the object belongs. Shows "None" if the object is not part of a group.

Display Properties group

Display as Box: Toggles the display of selected objects, both 3D objects and 2D shapes, as bounding boxes. Produces minimum geometric complexity for rapid display in viewports. Default=off.

Backface Cull: Toggles the display of faces with normals that point away from the view. When on, you see through the wireframe to the backfaces. Applies only to wireframe viewports. Default=on.

Edges Only: Displays only faces of the object in wireframe viewports. When off, all of the object's mesh geometry is displayed. Applies only to wireframe viewports. Default=on.

Vertex Ticks: Displays the object's vertices as tick marks. Default=off.

Trajectory: Displays the object's trajectory. Default=off.

See-Through: Makes the object or selection translucent in viewports. This setting has no effect on rendering: it simply lets you see what is behind an object in a crowded scene, and especially to adjust the position of objects behind the see-through object. Default=off.

This option is also available in the Display command panel and the Tools > Display Floater.

You can customize the color of see-through objects by using the Colors panel of the Customize > Preference Settings dialog.

Keyboard shortcut (default): ALT+X

Ignore Extents: When on, this object is ignored when you use the display control Zoom Extents.

This option is also available in the Display panel and by choosing Tools > Display Floater.

Keyboard shortcut: No default, but you can customize it using the Keyboard panel of the Customize > Customize User Interface dialog.

Show Frozen in Gray: When on, the object turns gray in viewports when you freeze it. When off, viewports display the object with its usual color or texture even when it is frozen. Default=on.

Vertex Colors: For editable mesh objects, displays the assigned vertex colors in viewports. The drop-down list lets you choose to display the vertices' Color, Illumination, or Alpha channel. Default=off.

You assign vertex colors at the vertex or face sub-object levels.

Shaded: When on, if the object is an editable mesh with vertex colors, shaded viewports use vertex colors to shade the mesh. When off, colors are unshaded. Default=off.

Bone group

Here are the controls for the bone objects. Any object can be displayed as a bone object, just by selecting the object and clicking Bone On/Off. Here you can also control whether the bones will be rigid, or will stretch. There are tools to realign the bones and reset the stretch.

Some of these options are also available by selecting Bone Options from the Animation menu.

Bone On/Off: Controls the display of the object as a bone. Select any object and turn this on, then in the Display panel, in the Link Display rollout turn on Display Links and Link Replaces Object. The bone will be visible instead of the object.

Auto-Align: Automatically aligns the bones.

Freeze Length: Determines whether the bone's length can change.

Caution: When you turn on Freeze Length, this has no visible effect unless you transform the child of the object to which Freeze Length is applied.

Realign: Pressing this button points the selected bone back toward the correct direction, if it has become unaligned and is pointing away from the next bone in the chain.

Reset Stretch: Returns the bone to its original length.

Stretch: Determines what kind of stretch takes place. Freeze Length must be off.

None: No stretch takes place.

Scale: Lets the bone scale. The stretch happens along one axis.

Squash: Lets the bone squash. The bone gets fatter as it gets shorter, and thinner as it gets longer.

Axis: Determines the axis used for the stretch.

X/Y/Z: Choose the axis for scaling or squashing.

Flip: Flips the stretch along the selected axis.

User Defined panel

User Defined Properties: In this text box, you can enter properties for the object, or comments about it, that you define yourself. gmax doesn't use these properties, but it saves them with the scene, and they reappear whenever you view the Object Properties dialog for the object.


Custom Attributes

Animation Menu > Add Custom Attribute

Custom attributes let you create and assign additional parameters to any object, modifier, or material in your scene. These are abstract parameters, in the sense that the object to which they are applied does not know about them. They do not directly extend the functionality of the object; however, they can indirectly affect the functionality of the object by using wire parameters or expression controllers. They can also be useful for keeping and editing job-specific data.

These parameters behave like other parameters in the object:

  • They get saved and loaded in the .gmax file along with the object.

  • They can be animated, keyframed, and so on.

  • They are displayed in Track View along with the base parameters.

Custom attributes can contain integers, floating numbers, Booleans, arrays, nodes, colors, or texture maps. They are displayed in custom rollouts which appear on the Modify panel. For each custom attribute that you create, you can edit the name, layout, default values, and UI type (spinner or slider for floats and integers, checkbox for Booleans, and so on.).

As you customize your attribute, the result is displayed in the Testing Attribute rollout at the bottom of the dialog.

Interface

Attribute Style rollout

Parameter Type group

Parameter Type: Selects the type of parameter to create.

Custom parameters can have float, integer, Boolean, array, node, color, or texture map values.

UI Type group

UI Type: Selects the type of UI element that controls the parameter.

The UI types available depend on which parameter type you specify. Float and integer values are controlled by spinners or sliders, and Boolean values by check boxes or check buttons. However, array values are always controlled by drop-down lists, node values by pick buttons, color values by color pickers, and texture map values by map buttons.

Name: Changes the name of the attribute.

Float/Integer UI Options rollout: Spinner

Size group

Width: Sets the width of the spinner.

Range group

From: Sets the minimum value of the spinner.

To: Sets the maximum value of the spinner.

Default: Sets the default value of the spinner.

Alignment group

Left, Right, and Center buttons: Sets the alignment of the spinner in the rollout.

Float/Integer UI Options rollout: Slider

Size group

Width: Sets the width of the slider.

Range group

From: Sets the minimum value of the slider.

To: Sets the maximum value of the slider.

Default: Sets the default value of the slider.

Alignment group

Left, Right, and Center buttons: Sets the alignment of the slider in the rollout.

Orientation And Ticks group

Vertical: When checked, the slider will be displayed vertically. When unchecked, the slider is displayed horizontally.

Ticks: Sets the number of ticks along the slider. These ticks are automatically spread out along the length of the slider.

Note: Ticks are only available on vertical sliders. They do not appear on horizontal sliders.

Boolean UI Options rollout: Check Box

Size group

Width: Sets the width of the check box.

Height: Sets the height of the check box.

Alignment group

Left, Right, and Center buttons: Sets the alignment of the check box in the rollout.

Boolean UI Options rollout: Check Button

Size group

Width: Sets the width of the check button.

Height: Sets the height of the check button.

Alignment group

Left, Right, and Center buttons: Sets the alignment of the check button in the rollout.

Check Button Options group

Highlight Color: Sets the color of the button when it is pressed.

Array UI Options rollout: Drop-Down List

Size group

Width: Sets the width of the drop-down list.

Height: Sets the height of the drop-down list.

Alignment group

Left, Right, and Center buttons: Sets the alignment of the drop-down list in the rollout.

Array group

Item name: Lets you enter a name into the drop-down list.

Press Add Item to add the name into the array list. Press Clear Array to remove all items from the list.

Array list: Displays the contents of the drop-down list.

The item at the top of the array list is the default selection.

Node UI Options rollout: Pick Button

Size group

Width: Sets the width of the pick button.

Height: Sets the height of the pick button.

Alignment group

Left, Right, and Center buttons: Sets the alignment of the pick button in the rollout.

Color UI Options rollout: Color Picker

Size group

Width: Sets the width of the color picker.

Height: Sets the height of the color picker.

Alignment group

Left, Right, and Center buttons: Sets the alignment of color picker in the rollout.

Color Picker Default Color group

Default Color: Sets the default color of the color picker.

[MG - check for validity once new MaterialED is in]

Texture Map UI Options rollout: Map Button

Size group

Width: Sets the width of the map button.

Height: Sets the height of the map button.

Alignment group

Left, Right, and Center buttons: Sets the alignment of the map button in the rollout.

Finish rollout

Add Attribute to Type group

Type list: Select whether the custom attribute is assigned to the currently selected object, modifier, or material.

Add\Delete Custom Attribute group

Add: This will attach the custom attribute that you have created to the currently selected object, modifier, or material (depending on what you have selected in the type list).

The custom attribute will immediately display in the Modify panel.

Delete: Opens the Delete UI Item dialog.

This dialog displays a list of all of the custom attributes assigned to the currently selected object. Select an attribute and press Delete Selected to remove it from the object. You can also press Delete All to delete all of the custom attributes assigned to the currently selected object.

Testing Attribute rollout

This rollout displays the UI layout for the custom attribute that you are working on. It updates continuously so that you can see how different settings in the various rollouts affect the UI display of the attribute.

The attribute is operational in this rollout, in the sense that it can be moved, pressed, checked, and so on.


Basics of Creating and Modifying Objects

In gmax, you model basic parametric objects into more complex ones by:

  • Changing parameters

  • Applying modifiers

  • Directly manipulating sub-object geometry

This section provides an introduction to creation techniques and modeling possibilities.

The Create panel contains the controls for creating new objects: the first step in building a scene. Despite the variety of object types, the creation process is consistent for most objects.

The Modify panel provides the controls to complete the modeling process. Any object can be reworked, from its creation parameters to its internal geometry. Both object-space and world-space modifiers let you apply a wide range of effects to objects in your scene. The modifier stack allows editing of the modifier sequence.

These brief topics will help you quickly start learning how to create and modify objects:

Using the Create Panel

Identifying the Basic Building Blocks

Creating an Object

Using the Modify Panel

Modifier Types Defined

Object Space and World Space

Using the Modifier Stack

Editing the Stack

Modifying at Sub-Object Level

Using the Stack at Sub-Object Level

Modifying Multiple Objects

How Instanced Modifiers Work

Understanding Object Data Flow


Using the Create Panel

The Create panel provides the controls for creating objects and adjusting their parameters.

To access the Create panel:

  1. Click the Create tab in the command panels. By default, this panel is open when you start the program.

  2. Click an object type to display its Parameters rollout.

The Creation Process

The actual creation of objects is accomplished with a single click of the mouse, a drag, or some combination, depending on the object type. This is the general sequence:

  • Choose an object type.

  • Click or drag in a viewport to create an object of approximate size and location.

  • Adjust the object’s parameters and position, either immediately or later.

See Creating an Object.

Create Panel Interface

Controls in the Create panel vary depending on the kind of object you are creating. However, certain controls are always present, and others are shared by nearly all object types.

Category: Buttons at the top of the panel access the six main categories of objects. Geometry is the default category.

Subcategory: A list lets you select subcategories. For example, subcategories under Geometry include Standard Primitives, Compound Objects, and Patch Grids.

Each subcategory contains one or more object types. If you’ve installed plug-in components for additional object types, these might be grouped as a single subcategory.

Object Type: A rollout contains labeled buttons for creating objects in a particular subcategory, plus the AutoGrid check box.

Name and Color: The text field lists the automatically assigned name of the object. You can edit this name or replace it with another, including duplicate names. Clicking the square color swatch brings up an Object Color dialog.

Creation Method: This rollout provides a choice of how you use the mouse to create an object. For example, you can use either the center (radius) or edge (diameter) to define the size of a Circle shape.

You always have a default creation method. If you want to use an alternate method, choose the option before you create the object. The creation method has no effect on a finished object; the options are for your convenience during creation.

Keyboard Entry: This rollout lets you enter creation parameters from the keyboard for geometric primitive and shape objects.

Parameters: This rollout shows creation parameters: the defining values for that object. Some parameters can be preset, while others are only for adjustment after an object has been created.

Other rollouts: Additional rollouts can appear on the Create panel, depending on what kind of object you create.


Identifying the Basic Building Blocks

On the Create panel, the categories for Geometry and Shapes supply the "building blocks" to combine and modify into more sophisticated objects. These parametric objects are ready to use. By adjusting values and turning some buttons on or off, you can create dozens of "new" building blocks from the ones listed here.

Geometry Types

See Geometry for details about types of objects and individual objects.

Standard Primitives: Relatively simple 3D objects such as a Box, Sphere, and Cylinder, as well as a Torus and Teapot.

Compound Objects: Compound objects include Booleans, ShapeMerge, and Loft. Booleans combine the geometry of two objects using union, intersection, and difference operations. Morphs are animated objects that change one geometric shape into other shapes over time. ShapeMerge lets you embed a spline shape into a geometric mesh. Loft uses shapes as cross sections along a path to produce a 3D object.

Patch Grids: Simple 2D surfaces ready for modeling or repairing existing meshes.

Shape Types

Splines: Common 2D shapes such as a Line, Rectangle, Circle, Ellipse, Arc, Donut, NGon, and Star. Text shapes support True Type fonts. Helix is a 3D shape.

Varying the Parameters

Unlike physical building blocks, with fixed shape and size, you can change the parameters of objects and shapes to dramatically alter topology. Here are some examples of changes you can make:

  • Turn a cone into a four-sided pyramid by reducing the number of sides and turning the Smooth option off.

  • Slice any circular object as if it were a pie.

  • Animate almost all creation parameters, and interactively change their settings during animation playback.

Collapsing Primitives to Base Geometry

You can collapse a building-block object to one of a variety of base geometric types once you no longer need access to its creation parameters. For example, you can convert any standard primitive to an editable mesh or editable patch, and you can convert a spline shape to an editable mesh or editable spline. The easiest way to collapse an object is to select it, right-click it, and choose a "Convert to" option from the quad menu (Transform quadrant). This lets you use explicit editing methods with the object, such as transforming vertices.

Mapping Coordinates

Most Geometry objects have an option for generating mapping coordinates. Objects need these mapping coordinates if you plan to apply a mapped material to them. See Mapping Coordinates and Using Maps to Enhance a Material. If mapping coordinates have already been applied to an object, the check box for this feature is turned on.


Creating an Object

1 Diameter defined
2 Height defined
3 Sides increased
4 Height segments defined
5 Smoothing and shadows enabled

With some variations, these steps apply to creating any type of object on the Create panel. For concrete examples, see the Procedures section in any object's topic.

Choose a category of object:

  1. Click the Create tab to view the Create panel.

  2. Click one of the buttons at the top of the Create panel. For example, click Geometry.

  3. Choose the subcategory Standard Primitives (also known as Surface Objects) from the list.

    A number of buttons appear on the Object Type rollout.

Choose an object type:

  • Click the button for the type of object you want to create.

    The button highlights, showing that it is active. Four rollouts appear: Name and Color, Creation Method, Keyboard Entry, and Parameters.

Choose a creation method (optional):

You can accept the default method and skip this step.

  • Choose a method in the Creation Method rollout.

Preset the creation parameters (optional):

You can adjust all creation parameters after you create an object. Skip this step if you prefer.

In the Parameters rollout, you can set parameters before you create an object. However, changing the values of parameters you set by dragging the mouse (for example, the Radius and Height of a cylinder) has no effect until after you create the object.

Create the object:

  1. Move the cursor into the viewport where you want to place the object, and hold the mouse button down (do not release the button).

  2. Drag the mouse to define the first parameter of the object; for example, the circular base of a cylinder.

  3. Release the mouse button.

    This sets the first parameter.

  4. Move up or down without touching the mouse button.

    This sets the next parameter; for example, the height of a cylinder.

    If you want to cancel: Until you complete the next step, you can cancel the creation process with a right-click.

  5. Click when the second parameter has the value you want, and so on.

    The number of times you press or release the mouse button depends on how many spatial dimensions are required to define the object. (For some kinds of objects, such as Line or Bones, the process is open-ended.)

When the object is complete, it is in a selected state and ready for adjustments.

Name the object (optional):

  • Highlight the default object name in the Name and Color rollout, and then enter a name. Available only when a single object is selected. This is useful for organizing your scenes. You can also name a group of selected objects, see Named Selection Sets.

Change the object’s display color (optional):

  • Displays the selected object's color and lets you select a new one. The color is the one used to display the object in viewports. Click the color swatch to display the Object Color dialog.

Adjust the parameters:

  • Change the creation parameters immediately after you complete an object, while it’s still selected. Or, you can select the object later and adjust its creation parameters on the Modify panel.

While making adjustments, you can use viewport navigation controls like Zoom, Pan, and Arc Rotate to change your view of the selected object. You can also adjust the time slider.

Ending the creation process:

While the object type button remains active, you can continue creating objects of the same type until you do one of the following:

  • Select an object other than the one you created most recently.

  • Transform an object.

  • Change to another command panel.

  • Use commands other than viewport navigation or the time slider.

    When you end the creation process, the Parameters rollout disappears from the Create panel. To make further changes to the object’s parameters, you must go to the Modify panel. See Using the Modify Panel.

See also

Assigning Colors to Objects

Editable Spline


Select And Manipulate

Default main toolbar > Select And Manipulate button

Quad menu > Common quadrant > Manipulate mode

The Select And Manipulate command lets you edit the parameters of certain objects, modifiers, and controllers by dragging "manipulators" in viewports.

Note: Unlike Select And Move and the other transforms, this button's state is nonexclusive. As long as Select mode or one of the transform modes is active, and Select And Manipulate is turned on, you can manipulate objects. However, you must turn off Select And Manipulate before you can select a manipulator helper.

These are the features that have manipulators:

IK Solver

Spotlights (both Target and Free): see Spotlight Parameters

UVW Map modifier

In addition, you can add these custom manipulators to your scene:

Cone Angle Manipulator

Plane Angle Manipulator

Slider Manipulator

See also

Manipulator Helper Objects


Using the Modify Panel

After adding objects to your scene from the Create panel, you move to the Modify panel to change an object's original creation parameters and to apply modifiers. Modifiers are the basic tools for reshaping objects.

Note: You can float or dismiss the command panels by right-clicking just above them. The default setting is to display the Command panel docked at the right of your screen. If it is not displayed or you want to change its location and docking or floating status, right-click in a blank area on the tab panel, and choose from the shortcut menu.

To use the Modify panel:

  1. Select an object in your scene.

  2. Click Modify to display the Modify panel.

    The name of the object appears at the top of the Modify panel, and fields change to match this object.

    A Parameters rollout is at the bottom of the panel. This is where you change creation parameters for an object. As you change them, the object updates in the viewport.

The Modify panel stays in view until you dismiss it by clicking the tab of another command panel. The panel updates to show whatever options and controls are available for the currently selected object or modifier.

Applying Modifiers

With the Modify panel open for a selected object, do one of the following:

  • Choose a modifier from the modifier list. This is a drop-down list at the top of the Modify panel.

  • Drag the name of the modifier from the stack display or the drop-down modifier list to the object in a viewport.

    SHIFT+drag from the stack display moves the modifier, removing it from the original object and applying it to the new one.

    CTRL+drag from the stack display copies the modifier, creating an instanced modifier applied to both the original object and the new one.

  • Choose a modifier from the Modifiers menu. Like the modifier list, this menu is organized into sets.

    Not all modifiers appear on the Modifiers menu.

  • Click the Configure Modifier Sets button (below the modifier stack display) and choose Show Buttons. A set of buttons with the names of modifiers appears between the modifier list and the stack display. Click Configure Modifier Sets again, choose the set of modifiers you want to use (for example, Free Form Deformations), and then click the button for the modifier you want to apply.

  • Click the modifier's button in the Modifiers tab panel.

The Parameters rollout now shows the settings for the modifier. As you change these settings, the object updates in the viewport.

Using Modifiers

Once you've applied modifiers to an object, you can use the Modifier Stack to find a particular modifier, change its parameters, edit its sequence in the modifier stack, copy its settings to another object, or delete it entirely.

See Modifier Types Defined for an overview of available modifiers, and see the documentation on specific modifiers for details and parameters. You can find a complete alphabetical list of modifiers in List of Available Modifiers.

General Rules

You can generally do the following:

  • Modify anything you can select. This includes any object or set of objects, or any part of an object down to the sub-object level. For example, you can select a single face and apply a Taper modifier.

  • Apply an unlimited number of modifiers to an object or part of an object.

    The order or sequence in which you make modifications is important. Each modification affects those that come after it. See Using the Modifier Stack.

Note: Some modifiers can be applied only to certain object types.

How Modifiers Differ from Transforms

Modifiers are applied in object space and transforms in world space, but they differ in more ways than which space they are applied in. They also differ in how they affect an object and the order in which they are applied to an object.

Modifiers

Modifiers are operations that act on the internal structure of an object in object space. For example, when you apply a modifier such as Twist to a mesh object, the position of each vertex of the object is changed in object space to produce the twist effect.

Modifiers operate at the sub-object level and are dependent on the internal structure of the object when the modifier is applied.

Modifiers have the following properties. They are:

  • Applied to all of an object, or part of an object (using sub-object selection).

  • Dependent on the order of application. Applying a Bend followed by a Twist produces a result different from applying a Twist followed by a Bend.

  • Displayed as individual entries in the modifier stack, where you can turn them on and off and apply them in a specific order.

Transforms

Transforms are the most basic of 3D manipulations. Unlike modifiers, transforms are independent of an object's internal structure; they act directly on the object's local coordinate system. An object can carry any number of modifiers, but only one set of transforms.

The local coordinate system of an object can be expressed as a matrix of values that specify the following information in world space:

  • Position of the object's center in world space

  • Rotation of the object in world space

  • Scale of the object along its local axes

The matrix is called the transformation matrix and its information relates directly to the transforms Move, Rotate, and Scale. These transforms represent addition and multiplication of the values in the transformation matrix.

Transforms have the following properties. They are:

  • Applied to the entire object.

  • Stored as single values independent of the order of application. No matter how many times you transform an object, the results are stored as one set of values in the matrix.

  • Applied after all object-space modifiers have been evaluated, but before the world-space modifiers. See Using the Modifier Stack.

Most transforms produce equal displacement along one or more axes of an object, or part of an object. For Move, Rotate, and Uniform Scale transforms, the displacement is equal along all three axes. When you rotate a box, all sides remain parallel. In general, all vertices keep the same relative position to one another. The exceptions are Squash and Non-Uniform Scale, which displace axes by different amounts.


Modifier Types Defined

Modifiers are the basic tools for modeling and reshaping objects. Modifiers can be categorized in two different ways: whether they work on explicit topology or parametrically, and the space that they work in. In the latter grouping, there are two basic types: object-space modifiers and world-space modifiers; for definitions of these spaces, see Object Space and World Space.

A large number of modifiers ship with the software. Only selected modifiers are mentioned here as examples of their type. See the documentation on specific modifiers for details and parameters. You can also find a complete list of modifiers in List of Available Modifiers.

Topology-dependent and Parametric Modifiers

Topologically Dependent Modifiers: Perform operations on explicit, topological sub-object selections. The Edit modifiers and Mesh Select are examples of modifiers that perform operations or selections on explicit vertex or face numbers. When these modifiers are present in the stack, you can adversely affect their results if you visit previous stack operations and change the topology (the number and order of faces and vertices) being passed to them. When you do this, a topology-dependence warning alerts you to the situation.

Constructive operations can still occur below these modifiers if you do not change the topology being passed up the stack to them. For example, you can use a Mesh Select modifier to define a face selection that is then passed to another modifier. You can return to the object's base level (for example, editable mesh) and safely ignore the warning as long as you restrict yourself to nondestructive operations like transforming vertices, turning edges, or changing surface properties.

Parametric Modifiers: Affect the selection passed to them without explicitly depending upon topology. Examples include Twist and Bend. These modifiers can be layered as much as you want in order to accomplish a result and can usually be independently adjusted and animated at any later time. A common practice is to keep operations parametric for as long as possible to ensure maximum flexibility.

Object-Space Modifiers

Object-space modifiers operate explicitly on topology or generically in object/local space, and constitute the largest set of modifiers. The following list is a rough grouping of the different kinds of object-space modifiers. Some modifiers fall into two or more groups. Many of these same modifiers are available from the Tab Panel as well.

Explicit Editing: Is performed either at the base object level (Editable Mesh, Editable Patch, Editable Spline, Editable Poly) or within a modifier (Edit Mesh, Edit Spline, Edit Patch). Edits are explicit rather than procedural, meaning actions freely affect the geometry's status rather than behave as a defined procedure on a generic selection. While you usually can undo an edit operation, you cannot revisit or animate the edit in a later session.

Most explicit modeling is done at the base, "editable" level. The Edit modifiers duplicate the functionality of the base level and let you store a series of edits. A common technique is to add an Edit modifier, perform a series of operations, and then collapse the object to editable status once you are satisfied with the result.

Mesh Modifiers: Can act on any object in the scene, because all geometric classes in gmax can be converted to a mesh. Non-mesh objects assigned these modifiers (patches, splines) are converted to a mesh from that point on in the modifier stack. The Mesh Select and Volume Select modifiers define either explicit or parametric sub-object selections that are passed up the stack for other modifiers to act upon.

Patch Modifiers: Edit or create patches.

Spline/Shape Modifiers: Require a spline shape to act upon (splines and shapes are the same thing). Some modifiers retain the spline geometry in the stack (Edit Spline), while others change it to a mesh, and still others let you choose of the type of geometry they produce (Lathe).

Surface Modifiers: Define surface properties used primarily by the renderer. With the exception of UVW Map, they convert the geometry to a mesh for subsequent operations. Mapping modifiers work in conjunction with the map coordinates within materials, and are applied to the face selection passed to them in the modifier stack.

Several surface modifiers (Normal, Material, Smooth) offer subsets of the editable mesh feature set, and are provided so their operations can be kept parametric. You commonly use these modifiers in conjunction with other modifiers that define sub-object selections.

General Modifiers: Affect the geometry passed to them generically, treating mesh/patch/spline vertices as simple points. Any geometry can pass through these modifiers without changing type. If you start with one type of base geometry, add any or all of these modifiers, and collapse the stack, you're left with the base geometry you started with.

World-Space Modifiers

World-space modifiers (WSMs) are applied like other modifiers and are carried with the object. The primary difference is that they base their effects on world space instead of object space. For example, Map Scaler, a world-space modifier, maintains the scale of a map applied to the object. As you increase the object's size, the map maintains a constant size based on world coordinates. Without Map Scaler, the pattern would enlarge with the object.

World-space modifiers in gmax include Map Scaler.

Common Features

Most modifiers share a number of common features. A modifier typically consists of a parameter set and one or more "sub-modifier objects" like a gizmo and a center.

Gizmo: Displays in viewports as a wireframe that initially surrounds the selected object. A gizmo acts like a mechanical apparatus that transfers the modification to the object it's attached to. You can move, scale, and rotate a gizmo as you would any object, altering the effect of the modifier on the object.

Center: Marked with a 3D-pivot point like other objects in gmax. You can move a modifier's center, altering the effect of the modifier on the object.

Gizmos and centers are sub-object features you access from the modifier stack. For more information on using them, see Modifier Stack.


Object Space and World Space

A book in object space rests on a table in world space

There are two spatial coordinate systems at work in gmax. These two systems are called Object Space and World Space.

Object Space

Object space is the coordinate system unique to each object in your scene. It tracks the location of everything applied to an object. The location of object vertices, the placement of modifiers, mapping coordinates, and materials are all defined in object space.

As mentioned in Modifier Types Defined, each object has its own local center and coordinate system as defined by the location and orientation of the object’s pivot point. The local center and coordinate system of an object combine to define its object space.

When you choose Use Pivot Point Centers from the Main toolbar or Use Pivot Points from the Modify panel you are telling the program to use the Object Space origin of one or more selected objects as the center of a transform or modifier effect.

When you choose Local from the Reference Coordinate System list (on the Main toolbar), you tell the program to use a selected object’s object space for the orientation of the active coordinate axes.

World Space

World space is the universal coordinate system used to track objects in the scene. When you look at the home grid in the viewports, you see the world-space coordinate system. World space is constant and immovable.

All objects in your scene are located in world space by their position, rotation, and scale (their transforms).


Using the Modifier Stack

The modifier stack and its editing dialog are the keys to managing all aspects of modification. You use these tools to:

  • Find a particular modifier and adjust its parameters.

  • View and manipulate the sequence of modifiers.

  • Copy, cut, and paste modifiers between objects, or sets of objects.

  • Inactivate the effect of a modifier in either the stack or the viewport display, or both.

  • Select a modifier’s components, such as gizmo or center.

  • Delete modifiers.

See also

Editing the Stack

Modifier Stack

Examining the Modifier Stack

The modifier stack (or "stack" for short) is a list on the Modify panel. It contains the accumulated history of a selected object and any modifiers you have applied to it.

Internally, the software "evaluates" an object beginning at the bottom of the stack and applies changes to the object by moving sequentially to the top of the stack. You should therefore "read" the stack from bottom up to follow the sequence used by the software in displaying or rendering the final object.

Here is an example of stack entries for a cylinder object (a standard primitive):

  • At the bottom of the stack, the first entry always lists the object type (in this case, Cylinder). You click this entry to display the object’s creation parameters so you can adjust them. If you haven’t applied any modifiers yet, this is the only entry in the stack.

  • Object-space modifiers appear above the object. You click a modifier entry to display the modifier’s parameters so you can adjust them, or to delete the modifier.

    Modifiers are preceded by a plus or minus icon if they have sub-object (or sub-modifier) levels. See Using the Stack at Sub-Object Level.

  • At the top of the stack are world-space modifiers. (In the illustration, Map Scaler is a world-space modifier.) These always appear at the top, and are described as "Bindings."

Basics of Using the Stack

With the stack, no modification you make is "cast in concrete." By clicking an entry in the stack, you go back to the point where you made that modification. You can then rework your decisions or discard the modification entirely by deleting it. You can also insert a new modifier in the stack at that point. The changes you make ripple upward through the stack, changing the current state of the object.

Adding Multiple Modifiers

You can apply any number of modifiers to an object, including repeated applications of the same modifier. As you start applying object modifiers to an object, the modifiers "stack up" in the order they’re applied. The first modifier appears just above the object type at the bottom of the stack.

  • The program inserts a new modifier in the stack just above the current selection, but always in the proper location. If you try to insert a world-space modifier between two object-space modifiers, the program automatically places it at the top of the stack.

  • If you select the object and then insert a new object-space modifier, it appears at the bottom of the other modifiers and becomes the first modifier evaluated.

Effect of Stack Sequence

Because the software applies modifiers in their stack order (beginning at the bottom and carrying the cumulative change upward), where you put a modifier in the stack can be critical. The following figure shows the difference between the objects based entirely on a reversal in the stack order of two modifiers. On one cylinder the bend is first, on the other the taper is first.

Result of reversing stack order of two modifiers

Using the Buttons

The Modifier Stack rollout has the following buttons to help you manage the stack:

Pin Stack: Locks the stack and all Modify panel controls to the selected object. You can continue to edit the object even if you select a different object in the viewports.

Show End Result: When on, shows the effect of the entire stack on the selected object. When off, shows the effect of the stack only up to the current modifier.

Make Unique: Makes an instanced object unique, or an instanced modifier unique to a selected object. See details in Editing the Stack. This option is also available from the right-click menu.

Remove Modifier: Deletes the current modifier from the stack, eliminating all changes caused by that modifier.

Configure Modifier Sets: Click to display a pop-up menu that lets you configure how to display and choose modifiers on the Modify panel.


Editing the Stack

You can copy, cut, and paste modifiers within an object’s stack, or into the stacks of other objects. Among other features, you can give modifiers explicit names to help you remember the intended effect.

To edit the stack:

  1. Choose an item in the stack.

  2. Right-click.

    This displays the Modifier Stack Right-Click Menu, which is briefly introduced in this topic.

Rearranging and Sharing Modifiers

To rearrange modifiers:

The easiest way to move a modifier to a different location in the stack is simply to drag it there. Alternatively, you can use the following cut/copy and paste procedure.

  1. Choose one or more modifiers, right-click, and choose Copy or Cut.

  2. Choose a new location in the list, and click Paste. The paste occurs immediately above the new location.

    You can also drag the modifier to a different location in the stack.

To share modifiers with other objects:

  1. Choose one or more modifiers, right-click, and choose Copy or Cut.

  2. Select a different object or group of objects.

  3. Choose a location in the new stack, and click Paste.

    You can also drag from the modifier stack display to an object in a viewport.

Tip: Select world-space and object-space modifiers separately. Cut, Copy, and Paste are disabled if both types are selected. If you try to paste a world-space modifier into the section for object-space types, the paste occurs at the top of the world-space section. The reverse is also true.

Unique and Instanced Modifiers

By default, pasted modifiers are unique: they lose all connection with the modifier from which they were copied.

To create an instance of a modifier:

  • After copying or cutting the modifier, right-click and choose Paste Instanced.

    In the stack, the name of an instanced modifier appears in italics.

Any instance of a modifier controls all other instances. Use this feature when you want a number of objects to take on the same feature. For example, copying an instanced Bend modifier to a number of trees would make them all bend identically. Changing Bend parameters on any one tree would change all the others.

To remove the instancing from a modifier:

  • Select the instanced modifier and click Make Unique.

Using Make Unique with Multiple Items

Assume you have a group of trees all sharing the same instanced Bend modifier. If you select two of them and click Make Unique, a message asks, "Do you want to make the selected objects unique with respect to each other?"

  • If you click Yes, the two trees become independent of one another. Each has a unique copy of the modifier and can be bent separately.

  • If you click No, the two trees continue to share the same instanced modifier, but separately from the instance in the original group. The two trees can be bent together.

See How Instanced Modifiers Work.

Collapsing a Stack

You can collapse all or part of a stack into a mesh that preserves the effect of the collapsed modifiers on the base object. You might choose to do this in these cases:

  • You’ve finished modifying an object and want to keep it as is.

  • You want to discard animation tracks.

  • You want to simplify a scene and save some memory. However, some modifiers, such as Bevel, increase file size and memory use.

After you collapse an object’s stack, you can no longer parametrically adjust either its creation parameters or the individual modifiers affected by the collapse. Animation tracks that were assigned to such parameters also disappear.

Collapsing a stack does not affect the object’s transforms or world-space bindings. Collapsing a stack also has no effect if the stack contains no modifiers.

Tip: Before you use either Collapse option, use File menu > Save Selected to preserve a copy of the original parametric object.

To collapse the stack:

  1. Right-click the modifier stack display.

  2. Choose Collapse To or Collapse All.

    Collapse To: Collapses the stack, up to and including the chosen modifier, into an editable mesh. Modifiers on the stack above the chosen modifier are not affected, and you can still adjust them individually.

    Collapse All: Collapses the entire stack into an editable mesh. The stack list shows a single entry: Editable Mesh.

Note: When the base object is a geometric primitive (or other editable mesh), the result of collapsing a stack is an editable mesh. However, with other kinds of base objects, the result can be a different kind of editable object. For example, if you begin with a spline and apply only spline-editing modifiers to it, the result of collapsing the stack is an editable spline.


Edit Modifiers and Editable Objects

To achieve highly detailed modeling effects, you can directly transform, modify, and align the geometry of objects at a sub-object level, using the Modify panel. The following table shows the different object types and their respective sub-objects.
Object Type | Sub-Object Geometry
Meshes | Vertex, Edge, Face, Polygon, Element
Splines | Vertex, Segment, Spline
Patches | Vertex, Edge, Patch, Element

To gain access to an object's sub-objects, in most cases you must first either convert the object into an editable object, or apply any of various modifiers to the object, such as Edit Mesh/Spline/Patch or Mesh/Spline Select. The Select modifiers simply let you specify sub-objects for modification by subsequently applied modifiers. The distinctions between transforming an object into an editable object and applying an Edit modifier to it are as follows:
Method | Advantage | Disadvantage
Editable object | More efficient, can animate sub-objects | Lose creation parameters
Edit modifier | Keep creation parameters | Less efficient, cannot animate sub-objects

To convert a parametric object to an editable object, see any of the following topics:

Editable Mesh

Editable Poly

Editable Spline

Editable Patch

To apply an Edit modifier, see any of the following topics:

Edit Mesh Modifier

Edit Spline Modifier

Edit Patch Modifier

To apply a Select modifier, see the following topics:

Mesh Select Modifier

Poly Select Modifier

Volume Select Modifier

Patch Select Modifier


Modifying at Sub-Object Level

In a row of column sub-objects, a single column has been modified.

To achieve highly detailed modeling effects, you can directly transform, modify, and align the geometry of objects at a sub-object level.

You can also access and transform the sub-object components of modifiers.

The particular geometry available at sub-object level depends on the object type. See Edit Modifiers and Editable Objects for details on each object type.

Making a Sub-Object Selection

These are the general steps in setting up an object for sub-object selection. See Edit Modifiers and Editable Objects for more information.

  1. Convert the object into an editable object such as an editable mesh, editable spline, editable poly, and so on. (Some modifiers you can apply to the object, such as Mesh Select or Patch Select, also have sub-object levels.)

    Tip: Work in a wireframe viewport so you can see the geometry.

  2. On the modifier stack display, click the plus icon to the left of the name of the modifier or editable object. This expands the object's hierarchy, showing the names of the sub-object levels at which you can work.

    Alternatively, you can access sub-object levels for editable mesh, editable spline, and editable patch objects with the buttons at the top of the Selection rollout. You can work in sub-object mode only while the button is on.

  3. On the stack display, choose the kind of sub-object geometry you want to work with: for example, Vertex, Face, or Edge. Each sub-object selection level has rollouts with their own sets of options.

  4. Use standard selection techniques to select sub-object geometry, from a single sub-object to the entire object. By default, the sub-object selection highlights in red.

Once you make a sub-object selection of geometry, you can do any of the following:

  • Apply any options supplied for the kind of object and the selection level.

  • Apply standard transforms (move, scale, rotate). See Transforming a Sub-Object Selection (below).

  • Apply object-space modifiers (Bend, Taper, and Twist, for example) to perform useful modeling operations.

  • Use the Main toolbar commands Align, Normal Align, and Align To View with face selections.

Transforming a Sub-Object Selection

Using an editable mesh, patch, or spline, you can directly transform any sub-object selection. However, Mesh Select and Spline Select enable only selection.

To transform a sub-object selection made with a Select modifier:

  1. Add an XForm modifier to the stack, following (or somewhere above) the Select modifier.

  2. In the stack, open the Select modifier and make a sub-object selection.

  3. Choose XForm in the stack. You then transform the XForm gizmo, which applies the transform to the selection.

Selecting and Transforming Modifier Components

Most modifiers have sub-object components, such as a gizmo and center. Like sub-object geometry, these components can be accessed and transformed at sub-object level, directly modifying the object’s shape.

Other modifiers, like those for free-form deformation, have control points and lattices at a sub-object level. Moving these components creates the modeling effects of the modifier.


Using the Stack at Sub-Object Level

With editable objects such as meshes and splines, or modifiers with sub-object levels such as Mesh Select and Spline Select, you can continue to model a single sub-object selection by applying any number of other modifiers. When you go back and change the original selection, the new selection is "passed up the stack" to the modifiers that follow.

Editable meshes and splines have "built-in" sub-object selection at their base level. But the selections you make with Mesh Select and Spline Select work exactly the same way on the stack.

This topic uses meshes for its examples. You can apply the same concepts to editable splines, patches, and polymeshes.

Working at Two Levels

When you select an object and apply modifiers (for example, Bend and Taper), you’re working with the object as a single unit, or "whole object", at the object level.

When you make a sub-object selection, the stack display changes to show you are no longer working with the whole object. Consider the effect of a Mesh Select applied between Bend and Taper modifiers (Bend is below Taper). To the right of the Mesh Select and Taper modifiers, a sub-object icon (similar to the sub-object button in the Selection rollout) appears to show that sub-object selection is now in effect.

Sub-object icon (in this case, for Vertex) to the right of modifier names in the stack display

Sub-object selection carries upward through the stack. If you add more modifiers, each shows the sub-object icon to indicate this state.

By learning to "read the stack," you can move back and forth between the object and sub-object levels while you model an object.

Returning to Whole-Object Level

When you finish modeling a certain sub-object selection, you can return to work on the whole object.

To return the stack to object level:

  1. At any point in the stack, apply another Mesh Select modifier.

  2. Leave this Mesh Select modifier at the top level (the object level, which highlights in gray). Any modifiers already on the stack above this modifier no longer show the sub-object icon. Any modifiers you add above the second Mesh Select now apply to the whole object.

  3. To continue sending the sub-object selection up the stack, delete the second Mesh Select.

Naming Sub-Object Selections

Sub-object selections are often quite complex, involving a great many small elements that would be impossible to select a second time. For this reason, it’s a good idea to name important selection sets using the Named Selection Sets list on the Main toolbar.

Named sub-object selections appear only at the level where they were first named. For example, if you have a named set of vertices, you can access that set only at the vertex level of the editable mesh or Mesh Select where you first named the set. This is the only place the selection exists.

Copying Sub-Object Selections

Once you name a sub-object selection set, you can copy it between modifiers in the same stack, or to the stack of another object of the same type. Editable meshes and Mesh Select (and their spline counterparts, and editable patch) have buttons for Copy and Paste at each level of geometry, in the Modify panel > Selection rollout.

To copy named sub-object selections:

  1. Click Copy. From the dialog, choose any available named selection set for that level of geometry.

  2. Go to another Mesh Select modifier or to an editable mesh, at the same level of geometry. Click Paste to complete the copy.


Modifying Multiple Objects

Original objects (top); single modifier applied to objects (bottom)

Original objects

Single modifier applied to all objects

Single modifier applied with Use Pivot Points turned on

You can apply modifiers to multiple objects. In general, the process is parallel to modifying a single object. You make a selection set and apply an available modifier. The modifier then appears on a special stack that refers only to the commonality of that selection set.

The Principle of Commonality

When you select multiple objects, gmax determines what the particular selected set of geometry has in common, if anything.

Given any "commonality" among objects, gmax presents the options as available modifiers.

Unavailable modifiers represent areas where commonality does not hold.

You can apply modifiers to different categories of objects, depending on the modifier. For example, you might apply a Bend to both a 3D object and a 2D shape. You can apply Mesh Select to a spline primitive and convert it to a mesh, but the reverse is not true: Spline Select is restricted to objects of like category.

To modify multiple objects:

  1. Select two or more objects.

    For selection sets, the name at the top of the Modify panel changes to read "Multiple Selected." If the objects are grouped, the group name appears.

  2. Decide on the kind of pivot point you want to use. See Using Pivot Points, below.

  3. Apply a modifier and adjust its parameters.

    If you apply a Mesh Select modifier, you can select geometry on one or more of the objects to use as a sub-object selection set.

Using Pivot Points

The first item in the Modifier List is a toggle called Use Pivot Points. This toggle is unavailable unless multiple objects are selected.

  • When on, the program uses the pivot point of each object as the center of a modifier’s operation. If you bend a line of trees around the Z axis, they all bend along their trunks.

  • When off, the program calculates a central pivot point for the entire selection set, and modifies the selection as a whole. For a Z-axis bend, trees at the end of a line would deform more than those at the center where the pivot is located.

Tip: Choose the pivot setting before you apply the modifier. You can’t change the pivot point afterward, although you can delete the modifier and start over without deselecting the selection set.

Instanced Modifiers

When you apply a modifier to multiple objects, each object receives an identical version of the modifier. These are called instanced modifiers. They are interchangeable. A change to any one of the instances affects all the other instances. How Instanced Modifiers Work covers instanced modifiers in detail.

Tip: Sometimes you might apply modifiers to a selection set, perform some other operations, and select the set again, only to find its modifier stack is empty. This happens if you applied a modifier to an individual object in the original selection set. When you select the set again, the modifier stack is empty because all members of the set no longer have all modifiers in common. You can still access the instanced modifiers by selecting a single object in the set. The individual object’s stacks still contain the modifiers you applied to the set as a whole.


How Instanced Modifiers Work

When you apply a modifier to a selection set, the same modifier is carried on the stack for each individual object. These are instanced modifiers: they are all exactly the same, and a change to the instance for any one object will change all the others.

In the stack, the name of an instanced modifier appears in italic.

Identifying Instanced Modifiers

You can quickly lose track of which objects share the same modifier. An option on the Views menu highlights those objects.

To identify objects sharing instanced modifiers:

  1. Select an object with an instanced modifier. Choose the instanced modifier in its stack.

  2. Choose Views menu > Show Dependencies. Other objects with instances of the same modifier appear in bright green.

Adjusting Instanced Modifiers

You can make changes to an entire set of objects from a single instance. This is a major advantage of instanced modifiers.

To adjust instanced modifiers:

  1. Select any object in a set of objects with instances of the same modifier.

  2. Choose the instanced modifier in its stack.

    The single object highlights and the appropriate gizmos appear for the entire selection set. Adjustments to this modifier now affect the entire set.

Making Instanced Modifiers Unique

At some point in your work, you might want to turn a modifier instance into a local copy that affects only a single object. To do so, click Make Unique on the Modify panel. This button appears beneath the modifier stack display. (Make Unique is also available as a pop-up menu choice when you right-click the instanced modifier's name in the stack display.)

To make an instanced modifier unique:

  1. Select an object with an instanced modifier.

  2. Choose the instanced modifier in its stack.

  3. Click Make Unique beneath the modifier stack display. If Show Dependencies is set, the green highlight disappears from the other objects.

    The modifier is now separate from the set of instanced modifiers. Adjustments you make to this modifier no longer affect other objects. Its parameters and gizmo remain unchanged from their original, instanced settings until you adjust them.

To make multiple modifier instances unique:

  1. Select two or more objects with the same instanced modifier. The stack now shows what the objects have in common.

  2. Choose the instanced modifier in the stack.

    There can be more than one instanced modifier in this stack. Click the one you want to make unique for each of the selected objects.

  3. Click Make Unique.

  4. Click Yes to make the two objects become independent of one another. Click No for the two objects to continue to share the same instanced modifier, but separate from the instance in the original group.

    The parameters for this modifier disappear, because the objects no longer share the modifier. For each object, the modifier is now separate from the set of instanced modifiers.

As with a single object, the parameters and gizmo are unchanged in the now unique modifiers.

  • To access the unique modifiers, select the objects individually.

Note: If both the object and the modifier are instances, you can choose either in the stack before you click Make Unique.


Understanding Object Data Flow

Once you have defined an object, gmax evaluates changes affecting the base object and displays the result in the scene. What these changes are, and the order in which they are evaluated, is called the object data flow.

Master Object

Master object refers to an object defined by a set of creation parameters and the original position and orientation of its pivot point. You never see the master object. What you see on the screen is always the result of at least the following data flow:

Master Object

-> Object Transforms

-> Object Properties

Object creation parameters in the Create panel and Track View

Object Modifiers

The Object Modifiers are the next group evaluated in the data flow. Each modifier is evaluated in the order it was placed on the modifier stack. The modifications all occur in the object’s object space and the result is called the modified object.

Object modifiers in the Modify panel and Track View

Object Transforms

Once the modified object has been evaluated, it is transformed within the world coordinate system. Transforms cover the position, rotation, and scale changes applied from the transform buttons on the Main toolbar.

Object transforms on the Main toolbar and Track View

The method of evaluating all modifiers first and then evaluating the combined transforms has important ramifications for the way you work with gmax.

Transforms are completely independent from the order of application. For example, imagine a cylinder that is 40 units high. If you scale the cylinder along its Z axis, increase its height, and then bend the cylinder 180 degrees, you get the same result as if you bent the cylinder first and then scaled it. The scale transform is always evaluated after the bend modifier.

If you want to apply a transform that is evaluated in a specific order in the modifier stack, use the XForm modifier. See XForm Modifier.

Object Properties

Object properties are the last to be evaluated before the object is displayed. These are properties unique to each named object such as its name, wireframe color, and display properties. This is the end of the data flow and the result is the named object you see in your scene. See Properties.

Right-click an object and choose Properties to display its Object Properties dialog.

Data flow diagram of a typical gmax object


Assigning Colors to Objects

gmax is a truecolor program. When you pick a color in the program, you are specifying 24 bits of color data, which provide a range of over 16 million colors.

Object wireframe colors are used primarily as an organizational tool. Object naming strategies, named selection sets, and object wireframe color strategies provide a rich set of tools for organizing even the most complex scenes.

You can use two dialogs to specify colors:

  • The Object Color dialog contains two preset palettes of colors that you use to set an object’s wireframe color. This is also the surface color you see in a shaded viewport. The two color palettes are gmax palette and AutoCAD ACI palette.

  • The Color Selector is a generic dialog that you use to define any color in the 24-bit color range. For the purpose of defining colors to assign to objects, it is available only through the gmax palette.


Object Color Dialog

Click the color swatch by the object's name in any command panel.

Procedures Interface

The Object Color dialog contains two preset palettes of colors that you use to set an object's wireframe color. This is also the surface color you see in a shaded viewport.

Using Random Color Assignment

By default, gmax assigns colors randomly as objects are created. The colors are chosen from the current palette in the Object Color dialog.

Defining Custom Colors

The gmax version of the Object Color dialog contains a palette of 16 custom color swatches. You can define any color for each of the 16 color swatches.

Switching Between Palettes

You can alternate between two versions of the Object Color dialog at any time by clicking the appropriate toggle:

  • gmax version: Contains a fixed palette of 64 colors, plus a custom palette of 16 user-defined custom colors.

    Use this version when you want to work with a smaller palette of colors or when you want to define custom object wireframe colors.

  • AutoCAD-compatible version: Contains a fixed palette of 256 colors matching the colors in the AutoCAD Color Index (ACI).

    Use this version when you want to assign object colors that match the AutoCAD Color Index.

Procedures

To set object color:

This is the general procedure for selecting object color.

  1. Select one or more objects.

  2. In any command panel, click the color swatch to the right of the Object Name field to display the Object Color dialog.

  3. Click a color swatch from the palette and click OK to apply the color to the selection.

To create objects of the same color:

  • Choose the color you want to use and turn off Assign Random Colors.

    Newly created objects appear in this color until you change the setting.

To define a custom color:

  1. On the gmax version of the Object Color dialog, click one of the 16 custom color swatches.

  2. Click Add Custom Colors to display the Color Selector dialog.

  3. Define a custom color and click Add Color.

    The custom color is stored in the selected color swatch of the Object Color dialog and is set as the current color.

To copy a custom color from an object in your scene to one of your custom color swatches:

  • Drag the Current Color swatch up to one of the custom color swatches.

    The Current Color swatch is in the Object Color dialog, to the left of the OK button.

To select objects by color:

  • Click Select By Color. This displays the Select Objects dialog. All objects that have the same color as the current object are highlighted in the list. Click Select.

Interface

Basic Colors: Choose the gmax palette or the AutoCAD ACI palette.

Custom Colors: Displays 16 custom colors. To select a custom color, click its swatch. To redefine a custom color, click its swatch, and then click Add Custom Colors. Available only with the gmax palette.

Add Custom Colors: Displays the Color Selector dialog, which allows you to modify the current custom color. If you click Add Custom Colors with a basic color chosen, the dialog switches to the first custom color before opening the Color Selector dialog. Available only with the gmax palette.

Select by Color: Displays a Select Objects dialog with all objects having the same color as the current object highlighted in the list.

Assign Random Colors: When on, gmax will assign a random color to each object created. When off, gmax will assign the same color to every object created until the color swatch is changed.

Active Color: Shows you the active color. When you click the color swatch, this displays the Color Selector dialog.


Color Selector Dialog

Any command panel > Name and Color fields > Click color swatch. > Object Color dialog > Add Custom Colors button or Current Color swatch

Create panel or Modify panel > Create or select light object. > General Parameters rollout > Click light color swatch.

Material Editor > Click any color swatch

Procedures Interface

You use the Color Selector whenever you specify a custom color parameter in gmax. You can work simultaneously with three different color models to help you zero in on the exact color you want.

The Color Selector is used to specify many color parameters, such as light colors, material colors, background colors, and custom object colors. (Another way to choose an object's viewport color is to use the predefined colors in the Object Color dialog.)

In most contexts, the Color Selector dialog is modeless; that is, it remains on the screen until you dismiss it, and you can use other gmax controls or work in a viewport while the dialog is still visible. In other contexts, the Color Selector is modal, and you must click OK or Cancel before proceeding.

The dialog is divided into three different color selection models. You can use the controls for any model to define a color. The three color models are:

  • Hue/Blackness/Whiteness (HBW)

    The most prominently displayed and intuitive color model is the HBW model. This model represents a natural, pigment-based way of mixing color by starting with a pure color (hue) and then making it darker by adding black, or lighter by adding white.

    The main feature of the HBW model is a large square box displaying the color spectrum. Across the top of this box you have the spectrum of pure colors, or hue. Down the side of the box you see increasing levels of blackness, making the color dark as you approach the bottom.

    To the right of the color spectrum box is the Whiteness box, which controls the amount of white in the color. Use higher positions to decrease the whiteness, or lower positions to increase the whiteness.

  • Red/Blue/Green (RGB)

    The RGB model adjusts the mix of Red, Green, and Blue to define a color. This model represents the way colored light can be mixed. This is additive color mixing, as opposed to the subtractive color mixing for paint and other pigments. You can adjust values using the color sliders, the numeric fields to their right (via the keyboard), or the spinners to the right of the numeric fields.

  • Hue/Saturation/Value (HSV)

    The HSV color model adjusts Hue, Saturation, and Value. Hue sets the color; Saturation (labeled "Sat") sets the color's purity; and Value sets the color's brightness, or intensity. You can adjust values using the color sliders, the numeric fields to their right (via the keyboard), or the spinners to the right of the numeric fields.

As you adjust the controls of one color model, the controls of the other two models change to match. The color defined by the color model is displayed in the right half of the Color Output box. The original color, before you began making changes, is displayed in the left half.

Procedures

To display the Color Selector:

  1. Click the color swatch of a color parameter such as the color of a light or of a material component.

    Note: The object color displayed by an object's name in command panels use a different, Object Color dialog. In the Object Color dialog, clicking the Current Color swatch or the Add Custom Colors button displays a Color Selector.

  2. Make a color selection and click Close.

  3. To keep the original color, click Reset.

To choose the hue of a color, do one of the following:

  • Click the Hue rainbow.

  • Drag the Hue slider at the top of the rainbow.

  • Drag the Red, Green, and Blue sliders.

  • Drag the Hue slider.

  • Use the Red, Green, Blue, or Hue spinners.

To make a color lighter, do one of the following:

  • Drag the vertical Whiteness slider (at the right of the Hue rainbow) downward.

  • Drag the vertical Blackness slider (at the left of the Hue rainbow) upward.

  • Drag the Saturation (Sat.) slider to the left.

  • Use the Saturation spinner to decrease saturation.

  • Drag the Value (Val.) slider to the right.

  • Use the Value spinner to increase the value.

To make a color darker, do one of the following:

  • Drag the vertical Whiteness slider (at the right of the Hue rainbow) upward.

  • Drag the vertical Blackness slider (at the left of the Hue rainbow) downward.

  • Drag the Saturation (Sat.) slider to the right.

  • Use the Saturation spinner to increase saturation.

  • Drag the Value (Val.) slider to the left.

  • Use the Value spinner to decrease the value.

To return to the original color:

  • Click Reset.

    The new color is replaced by the original color, and all parameter values are reset.

To dismiss the Color Selector, do one of the following:

  • Click Close.

  • Click the dialog's Close (X) button.

Interface

Hue: Define a pure color by dragging the hue pointer across the top of the box.

Blackness: Drag the blackness pointer down the side to darken the pure color by adding black. You can also click or drag inside the box to change hue and blackness at the same time.

Whiteness: The vertical bar to the right controls the amount of whiteness. The color set by the hue and blackness pointers is displayed at the top of the bar and pure white at the bottom. Drag the whiteness pointer down to lighten the color by adding white.

Red, Green, and Blue: When a red, green, or blue slider is all the way to the left, its field reads 0. None of the color controlled by that slider is used. If the slider is all the way to the right, the field reads 255. The maximum amount of that color is being used.

The spinners to the right of each slider are another way of setting the red, blue, or green component.

The colors in the sliders change to show an approximation of what the color result will be if you move the slider to that location, without adjusting any other color parameter.

Hue: Sets the pure color. Locating the slider all the way to the left gives you pure red. As you drag the slider to the right you move through the spectrum of Red, Yellow, Green, Cyan, Blue, Magenta, and back to Red again. Hue is more accurately represented as a color wheel rather than a linear slider. That is why the Hue slider is red at both ends. Think of the hue range from 0 to 255 as being points on a circle where the numbers 0 and 255 are right next to each other.

Saturation ("Sat"): Sets the purity or strength of the color. A weak color, with a saturation near 0, is dull and gray. A strong color, with a saturation near 255 is very bright and pure.

Value: Sets the lightness or darkness of a color. Low values darken the color towards black. High values lighten the color towards white. A value in the middle, at a setting of 127, gives you the color defined only by hue and saturation.

Color Output: This pair of color swatches, below the Value slider, lets you compare the new color, shown on the right, to the original color, shown on the left.

Reset: Click to restore color settings to the original color.


Adjusting Normals and Smoothing

A normal is a unit vector that defines which way a face or vertex is pointing. The direction in which the normal points represents the front, or outer surface of the face or vertex.

You can manually flip or unify face normals to fix surface errors caused by modeling operations or by importing meshes from other programs.

Smoothing groups define whether a surface is rendered with sharp edges or smooth surfaces. Smoothing groups are numbers assigned to the faces of an object. Each face can carry any number of smoothing groups up to the maximum of 32. If two faces share an edge and share the same smoothing group, they appear as a smooth surface. If they don’t share the same smoothing group, the edge between them renders as a corner. You can manually change or animate smoothing group assignment.

See also

Viewing and Changing Normals

Viewing and Changing Smoothing


Viewing and Changing Normals

When you create an object, normals are generated automatically. Usually objects render correctly using these default normals. Sometimes, however, you need to adjust the normals.

Undesired normals can appear in these objects:

  • Meshes imported from other applications.

  • Geometry generated by complex operations such as Boolean objects, lathe objects, or lofts.

Normals are used to define which side of a face or vertex is considered the "out" side. The out side of a face or vertex is the side that's visible in viewports unless you are using two-sided materials, or turn on the Force 2-Sided option. Normal facing can also affect rendering in game engines.

Do one of the following to view or change face normals:

  • Apply a Normal modifier. If a Face (or Polygon or Element) sub-object selection is active, Normal applies to the selected faces. If no faces are selected, Normal applies to the entire object.

  • Apply an Edit Mesh modifier, enable Face (or Polygon or Element) sub-object mode, and then use the features on the Surface Properties rollout.

  • Convert the object to an editable mesh, enable Face (or Polygon or Element) sub-object mode, and then use the features on the Surface Properties rollout.

Viewing Normals

The easiest way to view normals is to look at an object in a shaded viewport. In this case, you are not viewing the normals but rather their effect on the shaded surface. If the object looks as if it is inside-out, or has holes, then some of the normals may be pointing in the wrong direction.

You can display the normal vectors for selected faces or vertices by enabling Show Normals on the Selection rollout of an editable mesh object or the Edit Mesh modifier.

Unifying Normals

Use Unify Normals to make normals point in a consistent direction. If an object has normals that are inconsistent (some point outward and others inward) the object will appear to have holes in its surface.

Unify Normals is found on the Surface Properties rollout and on the Normal modifier.

If you are animating the creation of a complex object such as a nested Boolean or a loft, and you think the operation might result in inconsistent faces, apply a Normal modifier to the result, and turn on Unify Normals.

Flipping Normals

Use Flip Normals to reverse the direction of all selected faces. Flipping the normals of an object turns it inside-out.

Flip Normals is found on the Surface Properties rollout and on the Normal modifier.

The Lathe modifier sometimes creates an object with normals pointing inward. Use the Normal modifier with both Unify and Flip turned on to fix inside-out lathed objects.


Viewing and Changing Smoothing

Smoothing blends edges between faces to produce a smooth curved surface. You can control how smoothing is applied to a surface so your objects can have both smooth surfaces and sharp faceted edges.

Smoothing is controlled by smoothing groups, which are integers from 1 to 32. Whether edges display between adjacent faces depends on whether the faces share a common smoothing group.

  • If faces have no smoothing groups in common, the faces have an edge between them.

  • If faces have at least one smoothing group in common, the edge between the faces is smoothed.

Because each face has three edges, only three smoothing groups can be in effect for any face. Extra smoothing groups assigned to a face are ignored.

Do one of the following to view or change smoothing group assignments:

  • Turn on the Smooth check box on the Parameters rollout of a parametric object to set default smoothing for the object.

  • Apply a Smooth modifier. If a Face sub-object selection is active, Smooth applies to the selected faces. If no faces are selected, Smooth applies to the entire object.

  • Apply an Edit Mesh modifier, enable Face (or Polygon or Element) sub-object mode, then use the features on the Surface Properties rollout.

  • Convert the object to an editable mesh, enable Face (or Polygon or Element) sub-object mode, then use the features on the Surface Properties rollout.

Viewing Smoothing Groups

The easiest way to view smoothing is to look at an object in a shaded viewport. In this case, you are not viewing the smoothing groups but rather their effect on the shaded surface.

You can see the smoothing group numbers for selected faces by looking at the Smoothing Group buttons on the Surface Properties rollout of an editable mesh object or the Edit Mesh modifier.

Smoothing Group buttons appear as follows:

  • Group numbers not used by any face in the selection, appear normal.

  • Group numbers used by all faces in the selection, appear selected.

  • Group numbers used by some, but not all, faces in the selection, appear blank.

Automatically Smoothing an Object

Click Auto Smooth to assign smoothing automatically. You set a Threshold angle to determine whether to smooth adjacent faces.

  • If the angle between face normals is less than or equal to the threshold, the faces are assigned to a common smoothing group.

  • If the angle between face normals is greater than the threshold, the faces are assigned to separate groups.

Auto Smooth is found on the Surface Properties rollout and on the Smooth modifier.

Manually Applying Smoothing Groups

You manually assign smoothing groups to a selection of faces by clicking Smoothing Group buttons on the Surface Properties rollout or the Smooth modifier. The smoothing group of each button you click is assigned to the selection.

Selecting Faces by Smoothing Group

You can also select faces according to the assigned smoothing groups. Click Select by Smooth Group on the Surface Properties rollout and then click the smoothing group of the faces you want to select.

This is a convenient way to examine smoothing groups on an object someone else created.


Geometric Primitives

Geometric primitives are basic shapes that gmax provides as parametric objects.

See also

Basics of Creating and Modifying Objects

Creating Primitives from the Keyboard


Creating Primitives from the Keyboard

Create panel > Geometry > Standard Primitives > Keyboard Entry rollout

You can create most geometric primitives from your keyboard using the Keyboard Entry rollout. In a single operation, you define both the initial size of an object and its three-dimensional position. The object's name, color, and default material (optional), are automatically assigned. See Name and Color Rollout.

This method is generally the same for all primitives; differences occur in the type and number of parameters.

Procedures

To open the Keyboard Entry rollout:

  1. On the Create panel for Standard, click any of the primitive Object Type rollout buttons.

  2. Click the Keyboard Entry rollout to open it. This rollout is closed by default.

    Note: The buttons on the Creation Method rollout have no effect on keyboard entry.

To create a primitive from the keyboard:

  1. On the Keyboard Entry rollout, select a numeric field with the mouse and then enter a number.

  2. Press TAB to move to the next field. You do not have to press ENTER after entering a value. Press SHIFT+TAB to reverse direction.

  3. When you have all fields set, press TAB to move the focus to the Create button. Press ENTER.

  4. The object appears in the active viewport.

    Once created, a new primitive is unaffected by the numeric fields in the Keyboard Entry rollout. You can adjust parameter values on the Parameters rollout, either immediately after creation or on the Modify panel.

Interface

The Keyboard Entry rollout contains a common set of position fields, labeled X, Y, and Z. The numbers you enter are offsets along the axes of the active construction plane; either the home grid or a grid object. Plus and minus values correspond to positive and negative directions for these axes. Defaults=0,0,0; the center of the active grid.

The location set by X,Y is equivalent to the first mouse-down position in the standard method of creating objects.

Each standard primitive has the following parameters on its Keyboard Entry rollout.
Primitive | Parameters | XYZ point
Box | Length, Width, Height | Center of base
Cone | Radius 1, Radius 2, Height | Center of base
Sphere | Radius | Center
GeoSphere | Radius | Center
Cylinder | Radius, Height | Center of base
Tube | Inner Radius, Outer Radius, Height | Center of base
Torus | Major Radius, Minor Radius | Center
Teapot | Radius | Center of base
Plane | Length, Width | Center


Standard Primitives

A collection of standard primitive objects

Geometric primitives are familiar as objects in the real world such as beach balls, pipes, boxes, doughnuts, and ice cream cones. In gmax, you can model many such objects using a single primitive. You can also combine primitives into more complex objects, and further refine them with modifiers.

The program includes a set of nine basic primitives. You can easily create the primitives with the mouse, and most can be generated from the keyboard as well.

These primitives are listed in the Object Type rollout and the Create menu:

Box

Cone

Sphere

GeoSphere

Cylinder

Tube

Torus

Teapot

Plane

Also available from the Object Type rollout is the AutoGrid option.

You can convert standard primitive objects to editable mesh objects. You can also convert primitives to patch objects; see the path annotation at Editable Patch.

Two rollouts in each standard primitive's creation panel function identically for all primitives. These are:

Name and Color

Keyboard Entry

The remaining rollouts are covered in each primitive's topic.


Box

Create panel > Geometry button > Standard Primitives > Object Type rollout > Box button

Create menu > Standard Primitives > Box

Tab panels > Objects tab > Box Object

Tab panels > Modeling tab > Box Object

Box produces the simplest of the primitives. The only variation of Box is Cube. However, you can vary the scale and proportion to make many different kinds of rectangular objects, from large, flat panels and slabs to tall columns and small blocks.

Examples of boxes

Procedures

To create a box:

  1. On the Object Type rollout, click Box.

  2. In any viewport, drag to define a rectangular base, then release to set length and width.

  3. Move the mouse up or down to define the height.

  4. Click to set the finished height and create the box.

To create a box with a square base:

  • Hold down CTRL as you drag the base of the box. This keeps length and width the same. CTRL has no effect on height.

To create a cube:

  1. On the Creation Method rollout, click Cube.

  2. In any viewport, drag to define the size of the cube.

  3. As you drag, a cube emerges with the pivot point at the center of its base.

  4. Release to set the dimensions of all sides.

  5. You can adjust parameters to vary the length of one or more sides of the finished cube.

Interface

Creation Method rollout

Cube: Forces length, width, and height to be equal. Creating a cube is a one-step operation. Starting at the center of the cube, drag in a viewport to set all three dimensions simultaneously. You can change a cube's individual dimensions in the Parameters rollout.

Box: Creates a standard box primitive from one corner to the diagonally opposite corner, with different settings for length, width, and height.

Keyboard Entry rollout

See Creating Primitives from the Keyboard.

Parameters rollout

The defaults produce a box with one segment on each side.

Length, Width, Height: Sets the length, width, and height of the Box object. These fields also act as readouts while you drag the sides of the box. Default=0,0,0.

Length, Width, Height Segments: Sets the number of divisions along each axis of the object. Can be set before or after creation. By default, each side of the box is a single segment. When you reset these values, the new values become the default during a session. Default=1,1,1.

Tip: Increase the Segments settings to give objects extra resolution for being affected by modifiers. For example, if you're going to bend a box on the Z axis, you might want to set its Height Segments parameter to 4 or more.

Generate Mapping Coordinates: Generates coordinates for applying mapped materials to the box. Default=off.

Note: If a visible viewport is set to a non-wireframe or non-bounding-box display, Generate Mapping Coordinates is on for all primitives to which you apply a material containing a map with Show Map In Viewport on.


Cone

Create panel > Geometry button > Standard Primitives > Object Type rollout > Cone button

Create menu > Standard Primitives > Cone

Tab panels > Objects tab > Cone Object

The Cone button on the Creation command panel lets you produce round cones, either upright or inverted.

Examples of cones

Procedure

To create a cone:

  1. In any viewport, drag to define a radius for the base of the cone, then release to set it.

  2. Move to up or down to define a height, either positive or negative, then click to set it.

  3. Move to define a radius for the other end of the cone. Decrease this radius to 0 for a pointed cone.

  4. Click to set the second radius and create the cone.

Interface

Creation Method rollout

Edge: Draws a cone from edge to edge. You can change the center location by moving the mouse.

Center: Draws a cone from the center out.

Keyboard Entry rollout

See Creating Primitives from the Keyboard.

Parameters rollout

The defaults produce a smooth, round cone of 24 sides with the pivot point at the center of the base. There are five height segments and one cap segment.

Radius 1, Radius 2: Sets first and second radius for the cone. The minimum setting is 0. Minus values are converted to 0. You can combine these settings to create pointed and flat-topped cones, upright or inverted. The following combinations assume a positive height:
Radius Combinations | Effect
Radius 2 is 0 | Creates a pointed cone
Radius 1 is 0 | Creates an inverted pointed cone
Radius 1 is larger than Radius 2 | Creates a flat-topped cone
Radius 2 is larger than Radius 1 | Creates an inverted flat-topped cone

If Radius 1 and 2 are the same, a cylinder is created. If the two radius settings are close in size, the effect is similar to applying a Taper modifier to a cylinder.

Effect of Radius settings

Height: Sets dimension along the central axis. Negative values create the cone below the construction plane.

Height Segments: Sets the number of divisions along the cone's major axis.

Cap Segments: Sets the number of concentric divisions around the center of the cone's top and bottom.

Sides: Sets the number of sides around the cone. Higher numbers shade and closely approach true circles with Smooth selected. Lower numbers create regular polygonal objects with Smooth off.

Smooth: Blends the faces of the cone, creating a smooth appearance in rendered views.

Slice On: Enables the Slice function. Default=off.

When you create a slice and then turn off Slice On, the complete cone reappears. You can use this check box to switch between the two topologies.

Slice From, Slice To: Sets the number of degrees around the local Z axis from a zero point at the local X axis.

For both settings, positive values move the end of the slice counterclockwise; negative values move it clockwise. Either setting can be made first. When the ends meet, the whole cone reappears.

Generate Mapping Coordinates: Sets up required coordinates for applying mapped materials to the cone. Default=off.

Note: If a visible viewport is set to a non-wireframe or non-bounding-box display, Generate Mapping Coordinates is on for all primitives to which you apply a material containing a map with Show Map In Viewport on.


Sphere

Create panel > Geometry button > Standard Primitives > Object Type rollout > Sphere button

Create menu > Standard Primitives > Sphere

Tab panels > Objects tab > Sphere Object

Tab panels > Modeling tab > Sphere Object

Sphere produces a full sphere, or a hemisphere or other portion of a sphere. You can also "slice" a sphere around its vertical axis.

Examples of spheres

Procedures

To create a sphere:

  1. In any viewport, drag to define a radius.

  2. As you drag, a sphere emerges with its center at the pivot point.

  3. Release the mouse to set the radius and create the sphere.

To create a hemisphere:

You can reverse the order of the following steps, if you like.

  1. Create a sphere of desired radius.

  2. Type 0.5 in the Hemisphere field.

    The sphere is reduced to exactly the upper half, a hemisphere. If you use the spinner, the sphere changes in size.

Interface

Creation Method rollout

Edge: Draws a sphere from edge to edge. You can change the center location by moving the mouse.

Center: Draws a sphere from the center out.

Keyboard Entry rollout

See Creating Primitives from the Keyboard.

Parameters rollout

The defaults produce a smooth sphere of 32 segments with the pivot point at its center.

Radius: Specifies the radius of the sphere.

Segments: Sets the number of polygonal divisions for the sphere.

Smooth: Blends the faces of the sphere, creating a smooth appearance in rendered views.

Hemisphere: Increasing values will progressively "cut off" the sphere, starting at the base, to create a partial sphere. Values range from 0.0 to 1.0. The default is 0.0, producing a full sphere. A setting of 0.5 produces a hemisphere, and 1.0 reduces the sphere to nothing. Default=0.0.

The Chop/Squash choice specifies how Hemisphere reduces the sphere.

Chop: Reduces the number of vertices and faces in the sphere by "chopping" them out as the hemisphere is cut off. Default=on.

Squash: Maintains the number of vertices and faces in the original sphere, "squashing" the geometry into a smaller and smaller volume toward the top of the sphere. Since the geometry is maintained, you can use different versions of a squashed sphere for morph objects.

Effects of Chop and Squash during hemisphere cut-off

Slice On: Uses the From and To angles to create a partial sphere. The effect is similar to lathing a semicircular shape fewer than 360 degrees.

Slice From: Sets the start angle.

Slice To: Sets the stop angle.

For both settings, positive values move the end of the slice counterclockwise; negative values move it clockwise. Either setting can be made first. When the ends meet, the whole sphere reappears.

Smoothing groups are assigned to sliced spheres as follows: The surface of the sphere is always assigned group 1; the bottom, when Smooth is on, gets group 2. Facing the pie-slice surfaces, the cut on the left gets group 3, and the cut on the right gets group 4.

Material IDs are assigned to sliced spheres as follows: The bottom is 1 (when Hemisphere is greater than 0.0), the surface is 2, and the slice surfaces are 3 and 4.

Base To Pivot: Moves a sphere upward along its local Z axis so the pivot point is at its base. When off, the pivot point is on the construction plane at the center of the sphere. Default=off.

Turning on Base To Pivot lets you animate a hemisphere so it appears to grow out of the construction plane or sink into it. It also lets you place spheres so they rest on the construction plane, like pool balls on a table.

Effect of using Base To Pivot setting

Generate Mapping Coordinates: Generates coordinates for applying mapped materials to the box. Default=off.

Note: If a visible viewport is set to a non-wireframe or non-bounding-box display, Generate Mapping Coordinates is on for all primitives to which you apply a material containing a map with Show Map In Viewport on.


GeoSphere

Create panel > Geometry button > Standard Primitives > Object Type rollout > GeoSphere button

Create menu > Standard Primitives > GeoSphere

Tab panels > Objects tab > GeoSphere Object

Use the GeoSphere button in the Create panel to make spheres and hemispheres based on three classes of regular polyhedrons.

Examples of geospheres

Geospheres produce a more regular surface than standard spheres. In a game engine, they can potentially render with a slightly smoother profile than a standard sphere given the same number of faces. Unlike a standard sphere, a geosphere has no poles, which can be an advantage when you apply certain modifiers such as Free Form Deformation (FFD) modifiers.

Procedures

To create a geosphere:

  1. In any viewport, drag to set the center and radius of the geosphere.

  2. Set parameters such as Geodesic Base Type and Segments.

To create a geo-hemisphere:

  1. Create a geosphere.

  2. In the Parameters rollout, turn on the Hemisphere check box. The geosphere is converted to a hemisphere.

Interface

Creation Method rollout

Diameter: Draws a geosphere from edge to edge. You can change the center location by moving the mouse.

Center: Draws a geosphere from the center out.

Keyboard Entry rollout

See Creating Primitives from the Keyboard.

Parameters rollout

Radius: Sets the size of the geosphere.

Segments: Sets the total number of faces in the geosphere. The number of faces in a geosphere is equal to the sides of the base polyhedron times the segments squared.

Lower segment values work best. Using the maximum segment value of 200 can generate up to 800,000 faces, impairing performance.

Geodesic Base Type group

Lets you choose one of three types of regular polyhedrons for the geosphere's basic geometry.

  • Tetra: Based on a four-sided tetrahedron. The triangular facets can vary in shape and size. The sphere can be divided into four equal segments.

  • Octa: Based on an eight-sided octahedron. The triangular facets can vary in shape and size. The sphere can be divided into eight equal segments.

  • Icosa: Based on a 20-sided icosahedron. The facets are all equally sized equilateral triangles. The sphere can be divided into any number of equal segments, based on multiples and divisions of 20 faces.

Smooth: Applies smoothing groups to the surface of the sphere.

Hemisphere: Creates a half-sphere.

Base To Pivot: Sets the pivot point location. When on, the pivot is at the bottom of the sphere. When off, the pivot is at the center of the sphere. This option has no effect when Hemisphere is on.

Generate Mapping Coords: Applies default mapping coordinates to the geosphere.

Note: If a visible viewport is set to a non-wireframe or non-bounding-box display, Generate Mapping Coordinates is on for all primitives to which you apply a material containing a map with Show Map In Viewport on.


Cylinder

Create panel > Geometry button > Standard Primitives > Object Type rollout > Cylinder button

Create menu > Standard Primitives > Cylinder

Tab panels > Objects tab > Cylinder Object

Tab panels > Modeling tab > Cylinder Object

Cylinder produces a cylinder, which you can "slice" around its major axis.

Examples of cylinders

Procedure

To create a cylinder:

  1. In any viewport, drag to define the radius of the base, then release to set the radius.

  2. Move up or down to define a height, either positive or negative.

  3. Click to set the height and create the cylinder.

Interface

Creation Method rollout

Edge: Draws a cylinder from edge to edge. You can change the center location by moving the mouse.

Center: Draws a cylinder from the center out.

Keyboard Entry rollout

See Creating Primitives from the Keyboard.

Parameters rollout

The defaults produce a smooth cylinder of 18 sides with the pivot point at the center of the base. There are five height segments and one cap segment. If you don't plan to modify the cylinder's shape, such as with a Bend modifier, set Height Segments to 1 to reduce scene complexity. If you plan to modify the ends of the cylinder, consider increasing the Cap Segments setting.

Radius: Sets the radius of the cylinder.

Height: Sets the dimension along the central axis. Negative values create the cylinder below the construction plane.

Height Segments: Sets the number of divisions along the cylinder's major axis.

Cap Segments: Sets the number of concentric divisions around the center of the cylinder's top and bottom.

Sides: Sets the number of sides around the cylinder. With Smooth on, higher numbers shade and closely approach true circles. With Smooth off, lower numbers create regular polygonal objects.

Smooth: The faces of the cylinder are blended together, creating a smooth appearance in rendered views.

Slice On: Enables the Slice function. Default=off.

When you create a slice and then turn off Slice On, the complete cylinder reappears. You can use this check box to switch between the two topologies.

Slice From, Slice To: Sets the number of degrees around the local Z axis from a zero point at the local X axis.

For both settings, positive values move the end of the slice counterclockwise; negative values move it clockwise. Either setting can be made first. When the ends meet, the whole cylinder reappears.

Generate Mapping Coordinates: Sets up the required coordinates for applying mapped materials to the cylinder. Default=off.

Note: If a visible viewport is set to a non-wireframe or non-bounding-box display, Generate Mapping Coordinates is on for all primitives to which you apply a material containing a map with Show Map In Viewport on.


Tube

Create panel > Geometry button > Standard Primitives > Object Type rollout > Tube button

Create menu > Standard Primitives > Tube

Tab panels > Objects tab > Tube Object

Tube produces both round and prismatic tubes. The tube is similar to the cylinder with a hole in it.

Examples of tubes

Procedures

To create a tube:

  1. In any viewport, drag to define the first radius, which can be either the inner or outer radius of the tube. Release to set the first radius.

  2. Move to define the second radius, then click to set it.

  3. Move up or down to define a height, either positive or negative.

  4. Click to set the height and create the tube.

To create a prismatic tube:

  1. Set the number of sides for the kind of prism you want (5 creates a pentagonal prism).

  2. Turn Smooth off.

  3. Create a tube.

Interface

Creation Method rollout

Edge: Draws a tube from edge to edge. You can change the center location by moving the mouse.

Center: Draws a tube from the center out.

Keyboard Entry rollout

See Creating Primitives from the Keyboard.

Parameters rollout

The defaults produce a smooth, round tube of 18 sides with the pivot point at the center of the base. There are five height segments and one cap segment. If you don't plan to modify the cylinder's shape, such as with a Bend modifier, set Height Segments to 1 to reduce scene complexity. If you plan to modify the ends of the cylinder, consider increasing the Cap Segments setting.

Inner Radius, Outer Radius: The larger setting specifies the outside radius of the tube, while the smaller specifies the inside radius.

Height: Sets the dimension along the central axis. Negative values create the tube below the construction plane.

Height Segments: Sets the number of divisions along the tube's major axis.

Cap Segments: Sets the number of concentric divisions around the center of the tube's top and bottom.

Sides: Sets the number of sides around the tube. Higher numbers shade and closely approach true circles with Smooth on. Lower numbers create regular polygonal objects with Smooth off.

Smooth: When on (the default), faces of the tube are blended together, creating a smooth appearance in rendered views.

Slice On: Enables the Slice feature, which removes part of the tube's circumference. Default=off.

When you create a slice and then turn off Slice On, the complete tube reappears. You can therefore use this check box to switch between the two topologies.

Slice From, Slice To: Sets the number of degrees around the local Z axis from a zero point at the local X axis.

For both settings, positive values move the end of the slice counterclockwise; negative values move it clockwise. Either setting can be made first. When the ends meet, the whole tube reappears.

Generate Mapping Coordinates: Sets up required coordinates for applying mapped materials to the tube. Default=off.

Note: If a visible viewport is set to a non-wireframe or non-bounding-box display, Generate Mapping Coordinates is on for all primitives to which you apply a material containing a map with Show Map In Viewport on.


Torus

Create panel > Geometry button > Standard Primitives > Object Type rollout > Torus button

Create menu > Standard Primitives > Torus

Tab panels > Objects tab > Torus Object

Torus produces toruses, or rings with circular cross sections, sometimes referred to as donuts. You can combine three smoothing options with rotation and twist settings to create complex variations.

Examples of toruses

Procedure

To create a torus:

  1. In any viewport, drag to define a torus.

    As you drag, a torus emerges with its center at the pivot point.

  2. Release to set the radius of the torus ring.

  3. Move the mouse to define the radius of the cross-sectional circle, then click to create the torus.

Interface

Creation Method rollout

Edge: Draws a torus from edge to edge. You can change the center location by moving the mouse.

Center: Draws a torus from the center out.

Keyboard Entry rollout

See Creating Primitives from the Keyboard.

Parameters rollout

The defaults produce a smooth torus with 12 sides and 24 segments. The pivot point is at the center of the torus on the plane, cutting through the center of the torus. Higher settings for sides and segments produce a denser geometry.

Major Radius: Sets the distance from the center of the torus to the center of the cross-sectional circle. This is the radius of the torus ring.

Minor Radius: Sets the radius of the cross-sectional circle. The default is 10 units. This value is replaced each time you create a torus.

Major Radius and Minor Radius

Rotation: Sets the degree of rotation. Vertices are uniformly rotated about the circle running through the center of the torus ring. Positive and negative values for this setting "roll" the vertices in either direction over the surface of the torus.

Rotation and Twist

Twist: Sets the degree of twist. Cross sections are progressively rotated about the circle running through the center of the torus. Beginning with twist, each successive cross section is rotated until the last one has the number of degrees specified.

Twisting a closed (unsliced) torus creates a constriction in the first segment. You can avoid this either by twisting in increments of 360 degrees, or turning Slice on and setting both Slice From and Slice To to 0 to maintain a complete torus.

Segments: Sets the number of radial divisions around the torus. By reducing this number, you can create polygonal rings instead of circular ones.

Sides: Sets the number of sides on the cross-sectional circle of the torus. By reducing this number, you can create prism-like cross sections instead of circular ones.

Smooth group

Choose one of four levels of smoothing:

  • All: (default) Produces complete smoothing on all surfaces of the torus.

  • Sides: Smoothes the edges between adjacent segments, producing smooth bands running around the torus.

  • None: Turns off smoothing entirely, producing prism-like facets on the torus.

  • Segments: Smoothes each segment individually, producing ring-like segments along the torus.

Slice On: Creates a portion of a sliced torus rather than the entire 360 degrees.

Slice From: When Slice On is on, specifies the angle where the torus slice begins.

Slice To: When Slice On is on, specifies the angle where the torus slice ends.

Generate Mapping Coordinates: Sets up required coordinates for applying mapped materials to the torus. Default=off.

Note: If a visible viewport is set to a non-wireframe or non-bounding-box display, Generate Mapping Coordinates is on for all primitives to which you apply a material containing a map with Show Map In Viewport on.


Teapot

Create panel > Geometry button > Standard Primitives > Object Type rollout > Teapot button

Create menu > Standard Primitives > Teapot

Tab panels > Objects tab > Teapot Object

Teapot produces a teapot. You can choose to make the whole teapot at once (the default), or any of its parts. Since the Teapot is a parametric object, you can choose which parts of the teapot to display after creation.

Examples of teapots

History of the Teapot

This teapot derives from the original data developed by Martin Newell in 1976. Beginning with a graph-paper sketch of a teapot that he kept on his desk, Newell calculated cubic Bezier splines to create a wireframe model. James Blinn, also at the University of Utah during this period, produced early renderings of exceptional quality using this model.

The teapot has since become a classic in computer graphics. Its complexly curved and intersecting surfaces are well suited to testing different kinds of material mappings on a real-world object.

Procedures

To create a teapot:

  1. In any viewport, drag to define a radius.

    As you drag, a teapot emerges with the pivot point at the center of its base.

  2. Release the mouse to set the radius and create the teapot.

To create a teapot part:

  1. In Parameters rollout > Teapot Parts group, turn off all parts except the one you want to create.

  2. Create a teapot.

    The part you left on appears. The pivot point remains at the center of the teapot's base.

    The teapot has four separate parts: body, handle, spout, and lid. Controls are located in the Teapot Parts group of the Parameters rollout. You can turn on any combination of parts to create at the same time. The body alone is a ready-made bowl, or a pot with optional lid.

To turn a part into a teapot:

  1. Check all parts. This is the default.

    The whole teapot appears.

    You can apply modifiers to any separate part. If you later turn on another part, the modifier affects the additional geometry as well.

Interface

Creation Method rollout

Edge: Draws a teapot from edge to edge. You can change the center location by moving the mouse.

Center: Draws a teapot from the center out.

Keyboard Entry rollout

See Creating Primitives from the Keyboard.

Parameters rollout

Radius: Sets the radius of the teapot

Segments: Sets the number of divisions for the teapot or its individual parts.

Smooth: Blends faces of the teapot, creating a smooth appearance in rendered views.

Teapot Parts group

Turn check boxes on or off for teapot parts. By default, all are on, producing a complete teapot.

Generate Mapping Coordinates: Sets up required coordinates for applying mapped materials to the teapot. Default=off.

Note: If a visible viewport is set to a non-wireframe or non-bounding-box display, Generate Mapping Coordinates is on for all primitives to which you apply a material containing a map with Show Map In Viewport on.


Plane

Create panel > Geometry button > Standard Primitives > Object Type rollout > Plane button

Create menu > Standard Primitives > Plane

Tab panels > Objects tab > Plane Object

Tab panels > Modeling tab > Plane Object

The Plane object is a flat polygon mesh. Use the Plane object for creating a ground plane. You can apply any type of modifier to the plane object, such as Displace to simulate a hilly terrain.

Example of plane

Procedure

To create a plane:

  • In any viewport, drag to create the Plane.

Interface

Creation Method rollout

Rectangle: Creates the plane primitive from one corner to the diagonally opposite corner, interactively setting different values for length and width.

Square: Creates a square plane where length and width are equal. You can change dimensions in the Parameters rollout subsequent to creation.

Keyboard Entry rollout

See Creating Primitives from the Keyboard.

Parameters rollout

Length, Width: Sets the length, width, and height of the plane object. These fields act also as readouts while you drag the sides of the box. You can revise these values. Defaults= 0.0, 0.0.

Length Segs, Width Segs: Sets the number of divisions along each axis of the object. Can be set before or after creation. By default, each side of the plane has four segments. When you reset these values, the new values become the default during a session.

Generate Mapping Coords: Generates coordinates for applying mapped materials to the box. Default=off.

Note: If a visible viewport is set to a non-wireframe or non-bounding-box display, Generate Mapping Coordinates is on for all primitives to which you apply a material containing a map with Show Map In Viewport on.


Shapes

Create panel > Shapes

Create menu > Shapes

The program includes the following shape types:

Splines

Using Shapes

Shapes are 2D and 3D lines and groups of lines that you typically use as components of other objects. Most of the default shapes are made from splines. You use these spline shapes to do the following:

  • Generate planar and thin 3D surfaces

  • Define loft components such as paths, shapes, and fit curves

  • Generate surfaces of revolution

  • Generate extrusions

  • Define motion paths

The program supplies 10 basic spline shape objects. You can quickly create these shapes using mouse or keyboard entry and combine them to form compound shapes. The Splines section describes the methods and parameters used to create these shapes.

Shapes as Planar Objects

A straightforward usage for shapes is 2D cutouts or planar objects. Examples include ground planes, text for signs, and cutout billboards. You create a planar object by applying an Edit Mesh modifier to a closed shape, or by converting it to an editable mesh object.

You can also apply an Edit Mesh modifier to a 3D shape (for example, a shape whose vertices have been moved vertically away from the construction plane by different amounts) to create a curved surface. The resulting 3D surface often requires manual editing of faces and edges to smooth surface ridges.

Extruded and Lathed Shapes

You can apply modifiers to a shape to create a 3D object. Two of these modifiers are Extrude and Lathe. Extrude creates a 3D object by adding height to a shape. Lathe creates a 3D object by rotating a shape around an axis.

Initial text shape with extruded shape below

Lathed object with initial shape on right

Lofting Shapes

You create Lofts by combining two or more splines in special ways. Shapes form the lofting path, loft cross-sections, and loft fit curves.

Shapes as Animation Paths

You can use shapes to define the position of an animated object. You create a shape and use it to define a path that some other object follows.

Two possible ways for a shape to control animated position are:

  • You can use a Path constraint to use a shape to control object motion.

  • You can convert a shape into position keys using the Motion panel > Trajectories > Convert From function (see Trajectories).

Trajectory created from path (top) and path created from trajectory (bottom)

Creating Shapes

Click the Create panel > Shapes button in the to gain access to the shape creation tools. You'll find the standard shapes under Splines in the category list. As you add plug-ins, other shape categories might appear in this list.

The Object Type rollout contains the spline creation buttons. You can combine one or more of these spline types into a single shape.

Create Shape from Edges

You can create shapes from edge selections in mesh objects. In Edit/Editable Mesh objects, at the Edge selection level, in the Edit Geometry rollout, is a button called Create Shape from Edges that creates a spline shape based on selected edges. See Editable Mesh (Edge).

Editable Splines

You can convert a basic spline to an editable spline object. The editable spline has a variety of controls that let you directly manipulate it and its sub-objects. For example, at the Vertex sub-object level you can move vertices or adjust their Bezier handles. Editable splines let you create shapes that are less regular, more free-form than the basic spline options.

When you convert a spline to an editable spline, you lose the ability to adjust or animate its creation parameters.

See also

Edit Modifiers and Editable Objects

Modifying at Sub-Object Level

Modifier Stack


Splines

Create panel > Shapes > Splines

Splines include the following object types:

Line

Rectangle

Circle

Ellipse

Arc

Donut

NGon

Star

Text

Helix

This topic covers aspects of spline creation that are common to all object types, including the parameters available in the General rollout. For parameters unique to a particular spline type, see its section by clicking the appropriate link, above.

Procedures

To control starting new shapes manually:

  1. Turn off the check box next to the Start New Shape button.

  2. Click the Start New Shape button.

  3. Begin creating splines.

    Each spline is added to the compound shape. You can tell you are creating a compound shape because all the splines remain selected.

  4. Click Start New Shape to complete the current shape and prepare to start another.

    Issues to remember about creating shapes:

    • You can go back and change the parameters of a shape containing a single spline after the shape is created.

    • You cannot change the parameters of a compound shape. For example, create a compound shape by creating a circle and then adding an arc. Once you create the arc, you cannot change the circle parameters.

    • You can add splines to a shape by selecting the shape and then creating splines with the Start New Shape check box off.

To create a spline using keyboard entry:

  1. Click a spline creation button.

  2. Expand the Keyboard Entry rollout.

  3. Enter X, Y, and Z values for the first point.

  4. Enter values in any remaining parameter fields.

  5. Click Create.

Interface

Object Type rollout

AutoGrid: Lets you automatically create objects on the surface of other objects by generating and activating a temporary construction plane based on normals of the face that you click.

For more information, see AutoGrid.

Start New Shape: A shape can contain a single spline or it can be a compound shape containing multiple splines. You control how many splines are in a shape using the Start New Shape button and check box on the Object Type rollout. The check box next to the Start New Shape button determines when new shapes are created. When the box is on, the program creates a new shape object for every spline you create. When the box is off, splines are added to the current shape until you click the Start New Shape button.

Shape Selection buttons: Let you specify the type of shape to create.

Name and Color rollout

Lets you name an object and assign it a viewport color. For details, see Name and Color rollout.

Mesh Settings rollout

Lets you create a mesh based on the spline. You can also convert the displayed mesh into a mesh object by applying an Edit Mesh modifier or converting to an Editable Mesh.

Thickness: Set this to specify the diameter of the mesh. (Spinner value: float, 0.0 to 1.0E30)

Sides: Sets the number of sides for the spline mesh. For example, a value of 4 will give you a square cross section.

Angle: Adjust the rotational position of the cross-section. For example, if you have a square cross section you can use Angle to position a "flat" side down.

Display Mesh: Displays the mesh in the viewports.

Interpolation rollout

These settings control how a spline is generated. All spline curves are divided into small straight lines that approximate the true curve. The number of divisions between each vertex on the spline are called steps. The more steps used, the smoother the curve appears.

Steps: Spline steps can be either adaptive (that is, set automatically by turning on Adaptive) or specified manually.

When Adaptive is off, use the Steps field/spinner to set the number of divisions between each vertex. The valid range is 0 to 100 steps. Splines with tight curves require many steps to look smooth while gentle curves require fewer steps.

Optimize: When on, removes unneeded steps from straight segments in the spline. Optimize is not available when Adaptive is on. Default=on.

Adaptive: When off, enables manual interpolation control using Optimize and Steps. Default=off.

When on, Adaptive sets the number of steps for each spline to produce a smooth curve. Straight segments always receive 0 steps.

Optimized spline left and adaptive spline right. Resulting wireframe view of each, respectively, on the right.

The main use for manual interpolation of splines is in morphing or other operations where you must have exact control over the number of vertices created.

Creation Method rollout

Many spline tools use the Creation Methods rollout. On this rollout you choose to define splines by either their center point or their diagonal.

Edge: Your first mouse press defines a point on the side or at a corner of the shape and you drag a diameter or the diagonal corner.

Center: Your first mouse press defines the center of the shape and you drag a radius or corner point.

Text and Star do not have a Creation Methods rollout.

Line and Arc have unique Creation Methods rollouts that are discussed in their respective topics.

Keyboard Entry rollout

You can create most splines using keyboard entry. The process is generally the same for all splines and the parameters are found under the Keyboard Entry rollout. Keyboard entry varies primarily in the number of optional parameters. The image above shows a sample Keyboard Entry rollout for the Circle shape.

The Keyboard Entry rollout contains three fields for the X, Y, and Z coordinates of the initial creation point, plus a variable number of parameters to complete the spline. Enter values in each field and click the Create button to create the spline.


Line

Create panel > Shapes > Splines > Object Type rollout > Line

Create menu > Shapes > Line

Use Line to create a free-form spline made of multiple segments.

Example of line

Procedures

To create a line:

  1. Go to the Create panel and choose Shapes.

  2. In the Object Type rollout, click the Line button.

  3. Choose a creation method.

  4. Click or drag the start point.

  5. Click or drag additional points.

  6. Do one of the following:

    • Right-click to create an open spline.

    • Click the first vertex and click Yes in the "Close spline?" dialog to create a closed spline.

To create a line using rectilinear and angle-snap options:

These two options aid in creating regular shapes:

  • While creating a spline with the mouse, press and hold SHIFT to constrain new points to 90-degree-angle increments from previous points. Use the default Initial type setting of Corner and click all subsequent points to create fully rectilinear shapes.

  • While creating a spline with the mouse, press and hold CTRL to constrain new points to angle increments determined by the current Angle Snap setting. To set this angle, go to Customize menu > Grid and Snap Settings, click the Options tab in the Grid and Snap Settings dialog, and change the value in the Angle (deg) field.

    The angle for each new segment relates to the previous segment, so the angle snap works only after you've placed the first two spline vertices (that is, the first segment). Angle Snap need not be enabled for this feature to work.

To create a line from the keyboard:

  1. Enter values in the X, Y, and Z fields to specify a vertex coordinate.

  2. Click Add Point to add a vertex to the current line at the specified coordinate.

  3. Repeat steps 1 and 2 for each additional vertex.

  4. Do one of the following:

    • Click Finish to create an open spline.

    • Click Close to connect the current vertex to the first vertex and create a closed spline.

Interface

Automatic Conversion to an Editable Spline

Because the Line tool has no dimension parameters to be carried over to the Modify panel, it converts to an editable spline when you move from the Create panel to the Modify panel. While you are creating the line, the Create panel displays the original controls, such as Interpolation, Mesh Settings, Creation Method, and Keyboard Entry. After creating the line, when you go to the Modify panel you have immediate access to the Selection and Geometry rollouts to edit the vertices or any part of the shape.

Mesh Settings and Interpolation rollouts

All spline-based shapes share these parameters. See Splines for an explanation of these parameters.

Creation Method rollout

Creation method options for lines are different from other spline tools. You choose options to control the type of vertex created when you click or drag vertices.

You can preset the default types of spline vertices during line creation with these settings:

Initial Type group

Sets the type of vertex you create when you click a vertex location.

Corner: Produces a sharp point. The spline is linear to either side of the vertex.

Smooth: Produces a smooth, non-adjustable curve through the vertex. The amount of curvature is set by the spacing of the vertices.

Drag Type group

Sets the type of vertex you create when you drag a vertex location. The vertex is located at the cursor position where you first press the mouse button. The direction and distance that you drag are used only when creating Bezier vertices.

Corner: Produces a sharp point. The spline is linear to either side of the vertex.

Smooth: Produces a smooth, non-adjustable curve through the vertex. The amount of curvature are set by the spacing of the vertices.

Bezier: Produces a smooth, adjustable curve through the vertex. The amount of curvature and direction of the curve are set by dragging the mouse at each vertex.

Keyboard Entry rollout

Keyboard entry for lines is different from keyboard entry for other splines. Entering keyboard values continues to add vertices to the existing line until you click Close or Finish.

Add Point: Adds a new point to the line at the current X/Y/Z coordinates.

Close: Closes the shape, adding a final spline segment between the most recent vertex and the first.

Finish: Finishes the spline without closing it.


Rectangle

Create panel > Shapes > Splines > Object Type rollout > Rectangle

Create menu > Shapes > Rectangle

Use Rectangle to create square and rectangular splines.

Examples of rectangles

Procedure

To create a rectangle:

  1. Go to the Create panel and choose Shapes.

  2. Click Rectangle.

  3. Choose a creation method.

  4. Drag in a viewport to create a rectangle.

    Optionally, press CTRL while dragging to constrain the spline to a square.

Interface

Mesh Settings and Interpolation rollouts

All spline-based shapes share these parameters. See Splines for an explanation of these parameters.

Creation Method rollout

The Rectangle shape uses the standard creation methods of Center or Edge. Most spline-based shapes share the same Creation Method parameters. See Splines for an explanation of these parameters.

Parameters rollout

Once you have created a rectangle, you can make changes using the following parameters:

Length: Specifies the size of the rectangle along the local Y axis.

Width: Specifies the size of the rectangle along the local X axis.

Corner Radius: Creates rounded corners. When set to 0, the rectangle contains 90-degree corners.


Circle

Create panel > Shapes > Splines > Object Type rollout > Circle

Create menu > Shapes > Circle

Use Circle to create closed circular splines made of four vertices.

Example of circle

Procedure

To create a circle:

  1. Go to the Create panel and choose Shapes.

  2. Click Circle.

  3. Choose a creation method.

  4. Drag in a viewport to draw the circle.

Interface

General rollout

All spline-based shapes share the same general parameters. See Splines for an explanation of these parameters.

Creation Method rollout

The Circle shape uses the standard creation methods of Center or Edge. Most spline-based shapes share the same Creation Method parameters. See Splines for an explanation of these parameters.

Parameters rollout

Once you have created a circle, you can make changes using the following parameter:

Radius: Specifies the radius of the circle.


Ellipse

Create panel > Shapes > Splines > Object Type rollout > Ellipse

Create menu > Shapes > Ellipse

Use Ellipse to create elliptical and circular splines.

Examples of ellipses

Procedure

To create an ellipse:

  1. Go to the Create panel and choose Shapes.

  2. Click Ellipse.

  3. Choose a creation method.

  4. Drag in a viewport to draw the ellipse.

    Optionally, press CTRL while dragging to constrain the spline to a circle.

Interface

Mesh Settings and Interpolation rollouts

All spline-based shapes share these parameters. See Splines for an explanation of these parameters.

Creation Method rollout

The Ellipse shape uses the standard creation methods of Center or Edge. Most spline-based shapes share the same Creation Method parameters. See Splines for an explanation of these parameters.

Parameters rollout

Once you have created an Ellipse, you can make changes using the following parameters:

Length: Specifies the size of the Ellipse along the local Y axis.

Width: Specifies the size of the Ellipse local X axis.


Arc

Create panel > Shapes > Splines > Object Type rollout > Arc

Create menu > Shapes > Arc

Use Arc to create open and closed circular arcs made of four vertices.

Creating an arc using the End-End-Middle creation method

Creating an arch using the Center-End-End creation method

Procedures

To create an arc using the end-end-middle method:

  1. Go to the Create panel and choose Shapes.

  2. Click Arc.

  3. Choose the End-End-Middle creation method.

  4. Drag in a viewport to set the two ends of the arc.

  5. Release the mouse button, then move the mouse and click to specify a third point on an arc between the two endpoints.

To create an arc using the center-end-end method:

  1. Go to the Create panel and choose Shapes.

  2. Click Arc.

  3. Choose the Center-End-End creation method.

  4. Press the mouse button to define the center of the arc.

  5. Drag and release the mouse button to specify the start point of the arc.

  6. Move the mouse and click to specify the other end of the arc.

Interface

Mesh Settings and Interpolation rollouts

All spline-based shapes share these parameters. See Splines for an explanation of these parameters.

Creation Method rollout

These options determine the sequence of mouse clicks involved in the creation of the arc.

End-End-Middle: Drag and release to set the two endpoints of the arc, and then click to specify the third point between the two endpoints.

Center-End-End: Press the mouse button to specify the center point of the arc, drag and release to specify one endpoint of the arc, and click to specify the other endpoint of the arc.

Parameters rollout

Once you have created an arc, you can make changes using the following parameters:

Radius: Specifies the arc radius.

From: Specifies the location of the start point as an angle measured from the local positive X axis.

To: Specifies the location of the end point as an angle measured from the local positive X axis.

Pie Slice: When on, creates a closed spline in the form of a pie. The start point and end point are connected to the center with straight segments.

Closed pie slice arcs

Reverse: When on, the direction of the arc spline is reversed, and the first vertex is placed at the opposite end of an open arc. As long as the shape remains an original shape (and not an editable spline), you can switch its direction by toggling Reverse. Once the arc is converted to an editable spline, you can use Reverse at the Spline sub-object level to reverse direction.


Donut

Create panel > Shapes > Splines > Object Type rollout > Donut

Create menu > Shapes > Donut

Use Donut to create closed shapes from two concentric circles. Each circle is made of four vertices.

Example of donut

Procedure

To create a donut:

  1. Go to the Create panel and choose Shapes.

  2. Click Donut.

  3. Choose a creation method.

  4. Drag and release the mouse button to define the first donut circle.

  5. Move the mouse and then click to define the radius of the second concentric donut circle.

    The second circle can be larger or smaller than the first.

Interface

Mesh Settings and Interpolation rollouts

All spline-based shapes share these parameters. See Splines for an explanation of these parameters.

Creation Method rollout

The Donut shape uses the standard creation methods of Center or Edge. Most spline-based shapes share the same Creation Method parameters. See Splines for an explanation of these parameters.

Parameters rollout

Once you have created a donut, you can make changes using the following parameters:

Radius 1: Sets the radius of the first circle.

Radius 2: Sets the radius of the second circle.


NGon

Create panel > Shapes > Splines > Object Type rollout > NGon

Create menu > Shapes > NGon

Use NGon to create closed flat-sided or circular splines with any number (N) of sides or vertices.

Examples of NGons

Procedure

To create an NGon:

  1. Go to the Create panel and choose Shapes.

  2. Click NGon.

  3. Choose a creation method.

  4. Drag and release the mouse button in a viewport to draw the NGon.

Interface

Mesh Settings and Interpolation rollouts

All spline-based shapes share these parameters. See Splines for an explanation of these parameters.

Creation Method rollout

The NGon shape uses the standard creation methods of Center or Edge. Most spline-based shapes share the same Creation Method parameters. See Splines for an explanation of these parameters.

Parameters rollout

Once you have created an NGon, you can make changes using the following parameters:

Radius: Specifies the NGon radius.

Inscribed: The radius is measured from the center to the corners of the NGon

Circumscribed Radius: the radius is measured from the center to the sides of the NGon.

Sides: Specifies the number of sides and vertices used by the NGon. The range for NGon sides is 3 to 100.

Corner Radius: Specifies the degree of rounding to apply to the corners of the NGon. A setting of 0 specifies a standard unrounded corner.

Circular: When on, specifies a circular NGon.


Star Spline Object

Star

Create panel > Shapes > Splines > Object Type rollout > Star

Create menu > Shapes > Star

Use Star to create closed star-shaped splines with any number of points. Star splines use two radii to set the distance between the outer points and inner valleys.

Examples of stars

Procedure

To create a star:

  1. Go to the Create panel and choose Shapes.

  2. Click Star.

  3. Drag and release the mouse button to define the first star radius.

  4. Move the mouse and then click to define the second star radius.

Interface

Mesh Settings and Interpolation rollouts

All spline-based shapes share these parameters. See Splines for an explanation of these parameters.

Parameters rollout

Once you have created a star, you can make changes using the following parameters:

Radius 1: Specifies the radius of the inner vertices (the valley) of the star.

Radius 2: Specifies the radius of the outer vertices (the points) of the star.

Points: Specifies the number of points on the star. The valid range is from 3 to 100.

A star has twice as many vertices as the specified number of points. Half the vertices lie on one radius, forming points, and the remaining vertices lie on the other radius, forming valleys.

Distortion: Rotates the outer vertices (the points) about the center of the star. This produces a saw-tooth affect.

Fillet Radius 1: Rounds the inner vertices (the valleys) of the star.

Fillet Radius 2: Rounds the outer vertices (the points) of the star.


Text

Create panel > Shapes > Splines > Object Type rollout > Text

Create menu > Shapes > Text

Use Text to create splines in the shape of text. The text can be any Windows font installed on your system, or a Type 1 PostScript font installed in the directory pointed to by the Fonts path in the Configure Paths dialog. Since fonts are loaded only at first-use, changing the font path later in the program has no effect. The program must be restarted before the new path is used, if the font manager has been used by the program.

Examples of text

You can edit the text in the Create panel, or later in the Modify panel.

Tip: You can enter Windows extended characters (such as letters with accents, non-English characters, and so on) in the Text object's Text field. To enter an extended character, hold down the ALT key, and use the number pad to enter the character's numeric value. For example, if you hold down the ALT key and enter 0233 on the number pad, the Text object includes an e with an acute accent. Some characters, such as this one, require you to enter a leading zero. You must use the number pad. The numbers above the alphabetic letters won't work.

Using Text Shapes

Text shapes maintain editable text as a parameter so you can change the text at any time. If the font used by your text is deleted from the system, gmax still properly displays the text shape. However, to edit the text string in the Text edit box you must choose an available font.

The text in your scene is just a shape where each letter and, possibly, pieces of each letter are individual splines. You can apply modifiers like Extrude, Bend, and Edit Shape to Text shapes just like any other shape.

Procedures

To create text:

  1. Go to the Create panel and choose Shapes.

  2. Click Text.

  3. Enter text in the Text box.

  4. Do either of the following to define an insertion point:

    • Click in a viewport to place the text in the scene.

    • Drag the text into position and release the mouse button.

To enter a special Windows character:

  1. Hold down the ALT key.

  2. Enter the character's numeric value on the number pad.

    You must use the number pad, not the row of numbers above the alphabetic keys.

    For some characters, you must enter a leading zero. For example, 0233 to enter an e with an acute accent.

  3. Release the ALT key.

Interface

Settings available for text include kerning, leading, justification, multiple lines, and a manual update option.

Mesh Settings and Interpolation rollouts

All spline-based shapes share these parameters. See Splines for an explanation of these parameters.

Parameters rollout

Once you have created text, you can make changes using the following parameters:

Font list: Choose from a list of all available fonts. Available fonts include:

  • Fonts installed in Windows.

  • Type 1 PostScript fonts located in the directory pointed to by the Fonts path in the Configure Paths dialog.

Italic style button: Toggles italicized text.

Underline style button: Toggles underlined text.

Align Left: Aligns text to the left side of its bounding box.

Center: Aligns text to the center of its bounding box.

Align Right: Aligns text to the right side of its bounding box.

Justify: Spaces all lines of text to fill the extents of the bounding box.

Note: The four text-alignment buttons require multiple lines of text for effect because they act on the text in relation to its bounding box. If there's only one line of text, it's the same size as its bounding box and has nowhere to go.

Size: Sets the text height where the height measuring method is defined by the active font. The first time you enter text, the default size is 100 units.

Kerning: Adjusts the kerning (the distance between letters).

Leading: Adjusts the leading (the distance between lines). This has an effect only when multiple lines of text are included in the shape.

Text edit box: Allows for multiple lines of text. Press ENTER after each line of text to start the next line.

  • The initial session default is gmax Text.

  • The edit box does not support word wrap.

  • You can cut and paste single- and multi-line text from the Clipboard.

Update group

These options let you select a manual update option for situations where the complexity of the text shape is too high for automatic updates.

Update: Updates the text in the viewport to match the current settings in the Text display window. This button is enabled only when Manual Update is on.

Manual Update: When on, the text that you type into the Text display window is not shown in the viewport until you click the Update button.


Helix

Create panel > Shapes > Splines > Object Type rollout > Helix

Create menu > Shapes > Helix

Use Helix to create open flat or 3D spirals.

Examples of helixes

Procedure

To create a helix:

  1. Go to the Create panel and choose Shapes.

  2. Click Helix.

  3. Choose a creation method.

  4. Press the mouse button to define the first point of the Helix start circle.

  5. Drag and release the mouse button to define the second point of the Helix start circle.

  6. Move the mouse and then click to define the height of the Helix.

  7. Move the mouse and then click to define the radius of the Helix end.

Interface

Mesh Settings rollout

All spline-based shapes share these parameters. See Splines for an explanation of these parameters.

Interpolation

The helix differs from other spline-based shapes in that it always uses adaptive interpolation. The number of vertices in a helix is determined by the number of turns.

Creation Method rollout

The Helix shape uses the standard creation methods of Center or Edge. Most spline-based shapes share the same Creation Method parameters. See Splines for an explanation of these parameters.

Parameters rollout

Once you have created a helix, you can make changes using the following parameters:

Radius 1: Specifies the radius for the Helix start.

Radius 2: Specifies the radius for the Helix end.

Height: Specifies the height of the Helix.

Turns: Specifies the number of turns the Helix makes between its start and end points.

Bias: Forces the turns to accumulate at one end of the helix. Bias has no visible affect when the height is 0.0.

Helical spline varied only by bias settings

  • A bias of -1.0 forces the turns towards the start of the helix.

  • A bias of 0.0 evenly distributes the turns between the ends.

  • A bias of 1.0 forces the turns towards the end of the helix.

CW/CCW: The direction buttons set whether the Helix turns clockwise (CW) or counterclockwise (CCW).


Editable Spline

Create or select a spline. > Modify panel > Right-click spline entry in the stack display. > Convert To: Editable Spline

Create or select a spline. > Right-click the spline. > Transform (lower-right) quadrant of the quad menu > Convert To: > Convert to Editable Spline

Editable Spline provides controls for manipulating an object as a spline object and at three sub-object levels: vertex, segment, and spline.

The functions in Editable Spline are the same as those in the Edit Spline modifier. The exception is that when you convert an existing spline shape to an editable spline, the creation parameters are no longer accessible or animatable. However, the spline's interpolation settings (step settings) remain available in the editable spline.

Note: When a spline editing operation (typically, moving a segment or vertex) causes end vertices to overlap, a dialog appears asking if you want to weld the coincident endpoints. Responding in the affirmative causes the overlapping vertices to be welded together.

Show End Result

If you have several modifiers higher in the modifier stack, and want to see the results of edits in an Edit Spline modifier or Editable Spline object, then turn on Show End Result on the Modify panel. As you edit the spline network, you’ll be able to see the result of modifiers above the Editable Spline object. This is useful for Surface Tools work, where you add a Surface modifier above an Editable Spline object in the modifier stack.

See also

Edit Modifiers and Editable Objects

Modifying at Sub-Object Level

Modifier Stack

Procedures

To produce an editable spline object, first select the shape, and then do one of the following:

  • Right-click the shape entry in the stack display and choose Convert To: Editable Spline.

  • Right-click the object and choose Convert To: > Convert to Editable Spline from the Transform (lower-right) quadrant of the quad menu.

  • Create a shape with two or more splines by first turning off Start New Shape (on the Create panel). Any shape made up of two or more splines is automatically an editable spline.

  • Apply an Edit Spline modifier to a shape, and then collapse the stack.

  • Import a .shp file.

To select shape sub-objects:

  1. Expand the object's hierarchy in the stack display and choose a sub-object level, or click one of the sub-object buttons at the top of the Selection rollout.

    You can also right-click the object in the viewports and choose a sub-object level from the quad menu: Tools 1 (upper-left) quadrant > Sub-objects > Choose the sub-object level.

  2. Click a selection or transform tool, and then select sub-objects using standard click or region-selection techniques.

    Because sub-object selections can be complex, you might consider using one of the following techniques to prevent clearing the sub-object selection by accident:

    • Use Lock Selection.

    • Name the sub-object selection (see Named Selection Sets List).

To clone sub-object selections:

  • Hold down the SHIFT key while transforming the sub-objects.

    You can clone segment and spline sub-objects, but not vertices.

Interface

The following controls are available at the object (top) level and at all sub-object levels.

Mesh Settings and Interpolation rollouts

These creation parameters appear in these rollouts for editable splines. For splines to which the Edit Spline modifier has been applied, creation parameters are available by selecting the object type entry (for example, Circle or NGon) at the bottom of the modifier stack.

Mesh Settings rollout

Lets you create a mesh based on the spline. You can also convert the displayed mesh into a mesh object by applying an Edit Mesh modifier or converting to an Editable Mesh.

Thickness: Set this to specify the diameter of the mesh. (Spinner value: float, 0.0 to 1.0E30)

Sides: Sets the number of sides for the spline mesh. For example, a value of 4 will give you a square cross section.

Angle: Adjust the rotational position of the cross-section. For example, if you have a square cross section you can use Angle to position a "flat" side down.

Display Mesh: Displays the mesh in the viewports.

Interpolation rollout

The Interpolation controls set how the program generates a spline. All spline curves are divided into small straight lines that approximate the true curve. The number of divisions between each vertex on the spline is called steps. The more steps used, the smoother the curve appears.

Splines used in above lathed objects contained two steps (left) and 20 steps (right)

Steps: Use the Steps field to set the number of divisions, or steps, the program uses between each vertex. Splines with tight curves require many steps to look smooth while gentle curves require fewer steps. Range=0 to 100.

Spline steps can be either adaptive or manually specified. The method used is set by the state of the Adaptive check box. The main use for manual interpolation is to create splines for morphing or other operations where you must have exact control over the number of vertices created.

Optimize: When on, removes unneeded steps from straight segments in the spline. Default=on.

Note: Optimize is not available when Adaptive is on.

Optimize was used to create spline in the above lathed object.

Adaptive: When on, automatically sets the number of steps for each spline to produce a smooth curve. Straight segments always receive 0 steps. When off, enables manual interpolation control using Optimize and Steps. Default=off.

Selection rollout

Provides controls for turning different sub-object modes on and off, working with named selections and handles, display settings, and information about selected entities.

When you first access the Modify panel with an editable spline selected, you're at the Object level, with access to several functions available as described in Editable Spline (Object). You can toggle the sub-object modes and access relevant functions by clicking sub-object buttons at the top of the Selection rollout.

You can work with parts of shapes and splines using shape sub-object selection of the Editable Spline object. Clicking a button here is the same as selecting a sub-object type in the Modifier List. Click the button again to turn it off and return to object selection level.

Vertices define points and curve tangents.

Segments connect vertices.

Splines are a combination of one or more connected segments.

Named Selections group

Copy: Places a named selection into the copy buffer.

Paste: Pastes a named selection from the copy buffer.

Lock Handles: Normally you can transform the tangent handles of only one vertex at a time, even when multiple vertices are selected. Use the Lock Handles controls to transform multiple Bezier and Bezier Corner handles simultaneously.

Alike: As you drag the handle of an incoming vector, all incoming vectors of the selected vertices move simultaneously. Likewise, moving the outgoing tangent handle on one vertex moves the outgoing tangent handle for all selected vertices.

All: Any handle you move affects all handles in the selection, regardless of whether they're broken. This option is also useful when working with a single Bezier Corner vertex when you want to move both handles.

SHIFT-click a handle to "break" the tangent and move each handle independently. The Alike option must be chosen to break the tangent.

Area Selection: Lets you select automatically all vertices within a specific radius of the vertex you click. At the Vertex sub-object level, turn on Area Selection, and then set the radius with the spinner to the right of the Area Selection check box. This is useful when using Surface Tools modeling to create a spline cage.

Segment End: Select a vertex by clicking on a segment. In Vertex sub-object, turn on and select a segment close to the vertex that you want selected. Use this when there are a number of coincident vertices and you want to select a vertex on a specific segment. The cursor changes to a cross when it is over a segment. By holding down the CTRL key you can add to the selection.

Select By: Selects vertices on the selected spline or segment. First select a spline or segment in sub-object spline or segment, then turn on vertex sub-object and click Select By and choose Spline or Segment. All the vertices on the selected spline or segment are selected. You can then edit the vertices.

Display group

Show Vertex Numbers: When on, the program displays vertex numbers next to the selected spline's vertices at any sub-object level.

Selected Only: When on, the vertex number or numbers appear only next to selected vertices.

Selection Info

At the bottom of the Selection rollout is a text display giving information about the current selection. If 0 or more than one sub-object is selected, the text gives the number selected.

At the Vertex and Segment sub-object levels, if one sub-object is selected, the text gives the identification numbers of the current spline (with respect to the current object) and of the current selected sub-object. Each spline object contains a spline number 1; if it contains more than one spline, the subsequent splines are numbered consecutively higher.

When a single spline is selected at the Spline sub-object level, the first line displays the identification number of the selected spline and whether it's open or closed, and the second line displays the number of vertices it contains. When more than one spline is selected, the number of splines selected is displayed on the first line, and the total number of vertices they contain is displayed on the second line.

Geometry rollout

The Geometry rollout provides functions for editing a spline object and sub-objects. The functions available at the spline object level (when no sub-object level is active; see Editable Spline (Object)) are also available at all sub-object levels, and work exactly the same at each level. Other functions are also available, depending on which sub-object level is active. Those that apply to other sub-object levels are grayed out.

For specific information, select any of the links below:

Editable Spline (Object)

Editable Spline (Vertex)

Editable Spline (Segment)

Editable Spline (Spline)


Editable Spline (Object)

Select an editable spline. > Modify panel > Editable spline (not a sub-object level) selected in the modifier stack

Select an editable spline. > Right-click the spline > Tools 1 (upper-left) quadrant of the quad menu > Sub-objects > Top-level

The functions available at the editable spline object level (that is, when no sub-object level is active) are also available at all sub-object level, and work exactly the same at each level.

Interface

Mesh Settings, Interpolation and Selection rollouts

See Editable Spline for information on the Mesh Settings, Interpolation and Selection rollout settings.

Create Line: Adds more splines to the selected spline. These lines are separate spline sub-objects; create them in the same way as the line spline. To exit line creation, right-click or click to turn off Create Line.

PolyConnect: Turn this off if you don't want the new line connected to the endpoint of an existing line. When PolyConnect is on, when creating lines, if the initial mouse click is over an existing endpoint in the shape, the newly created line is automatically attached to that endpoint. This can be an annoyance, especially when creating spline networks for use in Surface Tools.

Attach: Lets you attach another spline in the scene to the selected spline. Click the object you want to attach to the currently selected spline object. The object you're attaching to must also be a spline.

Unattached splines (left) and attached splines (right)

When you attach an object, the materials of the two objects are combined in the following way:

  • If the object being attached does not have a material assigned, it inherits the material of the object it is being attached to.

  • Likewise if the object you're attaching to doesn't have a material, it inherits the material of the object being attached.

  • If both objects have materials, the resulting new material is a multi/sub-object material that encompasses the input materials. A dialog appears offering three methods of combining the objects' materials and material IDs. For more information, see Attach Options Dialog.

Attached shapes lose their identity as individual shapes, with the following results:

  • The attached shape loses all access to its creation parameters. For example, once you attach a circle to a square you cannot go back and change the radius parameter of the circle.

  • The modifier stack of the attached shape is collapsed. Any edits, modifiers, and animation applied to the attached shape are frozen at the current frame.

Reorient: When on, rotates the attached spline so that its creation local coordinate system is aligned with the creation local coordinate system of the selected spline.

Attach Mult.: Click this button to display the Attach Multiple dialog, which contains a list of all other shapes in the scene. Select the shapes you want to attach to the current editable spline, then click OK.

Insert: Inserts one or more vertices, creating additional segments. Click anywhere in a segment to insert a vertex and attach the vertex to the mouse. Optionally move the mouse and then click to place the new vertex. Continue moving the mouse and clicking to add vertices. A single click inserts a corner vertex, while a drag creates a Bezier (smooth) vertex.

Right-click to complete the operation and release the mouse. At this point, you're still in Insert mode, and can begin inserting vertices in a different segment. Otherwise, right-click again or click Insert to exit Insert mode.


Editable Spline (Vertex)

Select an editable spline. > Modify panel > Expand the editable spline in the stack display. > Vertex sub-object level

Select an editable spline. > Modify panel > Selection rollout > Vertex button

Select an editable spline. > Right-click the spline > Tools 1 (upper-left) quadrant of the quad menu > Sub-objects > Vertex

While at the Editable Spline (Vertex) level, you can select single and multiple vertices and move them using standard methods. If the vertex is of the Bezier or Bezier Corner type, you can also move and rotate handles, thus affecting the shapes of any segments joined at the vertex.

See also

Loft

Path Constraint

Trajectory

Procedure

To set a vertex type:

  1. Right-click any vertex in a selection.

  2. Choose a type from the shortcut menu. Each vertex in a shape can be one of four types:

    • Smooth: Non-adjustable vertices that create smooth continuous curves. The curvature at a smooth vertex is determined by the spacing of adjacent vertices.

    • Corner: Non-adjustable vertices that create sharp corners.

    • Bezier: Adjustable vertex with locked continuous tangent handles that create a smooth curve. The curvature at the vertex is set by the direction and magnitude of the tangent handles.

    • Bezier Corner: Adjustable vertex with discontinuous tangent handles that create a sharp corner. The curvature of the segment as it leaves the corner is set by the direction and magnitude of the tangent handles.

      Smooth vertex (left) and Corner vertex (right)

      Bezier vertex (left) and Bezier Corner vertex (right)

Interface

Mesh Settings, Interpolation and Selection rollouts

See Editable Spline for information on the Mesh Settings, Interpolation and Selection rollout settings.

Soft Selection rollout

See Soft Selection Rollout for information on the Soft Selection rollout settings.

Geometry Rollout

Create Line: Adds more splines to the selected object. These lines are separate spline sub-objects; create them in the same way as the line spline. To exit line creation, right-click or click to turn off Create Line.

PolyConnect: Turn this off if you don't want the new line connected to the endpoint of an existing line. When PolyConnect is on, when creating lines, if the initial mouse click is over an existing endpoint in the shape, the newly created line is automatically attached to that endpoint. This can be an annoyance, especially when creating spline networks for use in Surface Tools.

Break: Splits a spline at the selected vertex or vertices. Select one or more vertices and then click Break to create the split. There are now two superimposed non-connected vertices for every previous one, allowing the once-joined segment ends to be moved away from each other.

Attach: Attaches another spline in the scene to the selected spline. Click the object you want to attach to the currently selected spline object. The object you're attaching must also be a spline.

For further details, see Attach.

Reorient: When on, reorients attached splines so that each spline's creation local coordinate system is aligned with the creation local coordinate system of the selected spline.

Attach Mult.: Click this button to display the Attach Multiple dialog, which contains a list of all other shapes in the scene. Select the shapes you want to attach to the current editable spline, then click OK.

Refine group

The Refine function includes a number of functions useful for building spline networks for use with the Surface Modifier.

Refine: Lets you add vertices without altering the curvature values of the spline. Click Refine, and then select any number of spline segments to add a vertex each time you click (the mouse cursor changes to a "connect" symbol when over an eligible segment). To finish adding vertices, click Refine again, or right-click in the viewport.

You can also click on existing vertices during a refine operation, in which case the software displays a dialog asking if you want to Refine or Connect Only to the vertex. If you choose Connect Only the software will not create a vertex, the software simply connects to the existing vertex.

The Refine operation creates a different type of vertex depending on the types of vertices on the endpoints of the segment being refined.

  • If the bordering vertices are both Smooth types, the Refine operation creates a Smooth type vertex.

  • If the bordering vertices are both Corner types, the Refine operation creates a Corner type vertex.

  • If either of the bordering vertices is a Corner or Bezier Corner, the Refine operation creates a Bezier Corner type.

  • Otherwise, the operation creates a Bezier type vertex.

Connect: When on, creates a new spline sub-object by connecting the new vertices. When you finish adding vertices with Refine, Connect makes a separate copy of each new vertex and then connects all of the copies with a new spline.

Note: You must turn on Connect before clicking Refine.

After turning on Connect and before beginning the refinement process, turn on any combination of these options:

  • Linear: When on, makes all segments in the new spline straight lines by using Corner vertices. When Linear is off, the vertices used to create the new spline are of the Smooth type.

  • Bind First: Causes the first vertex created in a refinement operation to be bound to the center of the selected segment. See Bound Vertex.

  • Closed: When on, connects the first and last vertices in the new spline to create a closed spline. When Closed is off, Connect always creates an open spline.

  • Bind Last: Causes the last vertex created in a refinement operation to be bound to the center of the selected segment. See Bound Vertex.

Weld: Converts two end vertices, or two adjacent vertices within the same spline, into a single vertex. Move either two end vertices or two adjacent vertices near each other, select both vertices, and then click Weld. If the vertices are within the unit distance set by the Weld Threshold spinner (to the right of the button), they're converted into a single vertex. You can weld a selection set of vertices, as long as each pair of vertices is within the threshold.

Connect: Connects any two end vertices, resulting in a linear segment, regardless of the tangent values of the end vertices. Click the Connect button, point the mouse over an end vertex until the cursor changes to a cross, and then drag from one end vertex to another end vertex.

Insert: Inserts one or more vertices, creating additional segments. Click anywhere in a segment to insert a vertex and attach the mouse to the spline. Then optionally move the mouse and click to place the new vertex. Continue moving the mouse and clicking to add vertices. A single click inserts a corner vertex, while a drag creates a Bezier (smooth) vertex.

Right-click to complete the operation and release the mouse. At this point, you're still in Insert mode, and can begin inserting vertices in a different segment. Otherwise, right-click again or click Insert to exit Insert mode.

Make First: Specifies which vertex in the selected shape is the first vertex. The first vertex of a spline is indicated as a vertex with a small box around it. Select one vertex on each spline within the currently edited shape that you want to change and click the Make First button.

On open splines, the first vertex must be the endpoint that is not already the first vertex. On closed splines, it can be any point that isn't already the first vertex. Click the Make First button, and the first vertices will be set.

The first vertex on a spline has special significance. The following table defines how the first vertex is used.
Shape Use | First Vertex Meaning
Loft Path | Start of the path. Level 0.
Loft Shape | Initial skin alignment.
Path Constraint | Start of the motion path. 0% location on the path.
Trajectory | First position key.

Fuse: Moves all selected vertices to their averaged center.

Fuse is useful for making vertices coincide when building a spline network for use with the Surface modifier.

Note: Fuse doesn't join the vertices; it simply moves them to the same location.

Three selected vertices (left); fused vertices (right)

Cycle: Selects successive coincident vertices. Select one of two or more vertices that share the exact same location in 3D space, and then click Cycle repeatedly until the vertex you want is selected.

Cycle is useful for selecting a specific vertex from a group of coincident vertices at a spline intersection when building a spline network for use with the Surface modifier.

Tip: Watch the info display at the bottom of the Selection rollout to see which vertex is selected.

CrossInsert: Adds vertices to two splines belonging to the same spline object at their intersection. Click CrossInsert, and then click the point of intersection between the two splines. If the distance between the splines is within the unit distance set by the CrossInsert Threshold spinner (to the right of the button), the vertices are added to both splines.

You can continue using CrossInsert by clicking different spline intersections. To finish, right-click in an active viewport or click the CrossInsert button again.

CrossInsert is useful for creating vertices at spline intersections when building a spline network for use with the Surface modifier.

Note: CrossInsert doesn't join the two splines, but simply adds vertices where they cross.

Fillet: Lets you round corners where segments meet, adding new control vertices. You can apply this effect interactively (by dragging vertices) or numerically (using the Fillet spinner). Click the Fillet button, and then drag vertices in the active object. The Fillet spinner updates to indicate the chamfer amount as you drag.

Original rectangle (left), after applying Fillet (top right), and after applying Chamfer (bottom right)

If you drag one or more selected vertices, all selected vertices are filleted identically. If you drag an unselected vertex, any selected vertices are first deselected.

You can continue using Fillet by dragging on different vertices. To finish, right-click in an active viewport or click the Fillet button again.

A fillet creates a new segment connecting new points on both segments leading to the original vertex. These new points are exactly <fillet amount> distance from the original vertex along both segments. New fillet segments are created with the material ID of one of the neighboring segments (picked at random).

For example, if you fillet one corner of a rectangle, the single corner vertex is replaced by two vertices moving along the two segments that lead to the corner, and a new rounded segment is created at the corner.

Note: Unlike the Fillet/Chamfer modifier, you can apply the Fillet function to any type of vertex, not just Corner and Bezier Corner vertices. Similarly, adjoining segments need not be linear.

Fillet Amount: Adjust this spinner (to the right of the Fillet button) to apply a fillet effect to selected vertices.

Chamfer: Lets you bevel shape corners using a chamfer function. You can apply this effect interactively (by dragging vertices) or numerically (using the Chamfer spinner). Click the Chamfer button, and then drag vertices in the active object. The Chamfer spinner updates to indicate the chamfer amount as you drag.

If you drag one or more selected vertices, all selected vertices are chamfered identically. If you drag an unselected vertex, any selected vertices are first deselected.

You can continue using Chamfer by dragging on different vertices. To finish, right-click in an active viewport or click the Chamfer button again.

A chamfer "chops off" the selected vertices, creating a new segment connecting new points on both segments leading to the original vertex. These new points are exactly <chamfer amount> distance from the original vertex along both segments. New chamfer segments are created with the material ID of one of the neighboring segments (picked at random).

For example, if you chamfer one corner of a rectangle, the single corner vertex is replaced by two vertices moving along the two segments that lead to the corner, and a new segment is created at the corner.

Note: Unlike the Fillet/Chamfer modifier, you can apply the Chamfer function to any type of vertex, not just Corner and Bezier Corner vertices. Similarly, adjoining segments need not be linear.

Chamfer Amount: Adjust this spinner (to the right of the Chamfer button) to apply a chamfer effect to selected vertices.

Hide: Hides selected vertices and any connected segments. Select one or more vertices, and then click Hide.

Unhide All: Displays any hidden sub-objects.

Bind: Lets you create bound vertices. Click Bind, and then drag from any end vertex in the current selection to any segment in the current selection except the one connected to the vertex. Before dragging, when the cursor is over an eligible vertex, it changes to a + cursor. While dragging, a dashed line connects the vertex and the current mouse position, and when the mouse cursor is over an eligible segment, it changes to a "connect" symbol. When you release over an eligible segment, the vertex jumps to the center of the segment and is bound to it.

Bind is useful for connecting splines when building a spline network for use with the Surface Modifier.

Unbind: Lets you disconnect bound vertices from the segments to which they're attached. Select one or more bound vertices, and the click the Unbind button.

Delete: Deletes the selected vertex or vertices, along with one attached segment per deleted vertex.

Display group

Show selected segs: When on, any selected segments are highlighted in red at the Vertex sub-object level. When off (the default), selected segments are highlighted only at the Segment sub-object level.

This feature is useful for comparing complex curves against each other.


Editable Spline (Segment)

Select an editable spline. > Modify panel > Expand the editable spline in the stack display. > Segment sub-object level

Select an editable spline. > Modify panel > Selection rollout > Segment button

Select an editable spline. > Right-click the spline > Tools 1 (upper-left) quadrant of the quad menu > Sub-objects > Segment

A segment is the portion of a spline curve between two of its vertices. While at the Editable Spline (Segment) level, you can select single and multiple segments and move, rotate, and scale them using standard methods.

Procedure

To change segment properties:

  1. Select an editable spline segment, and then right-click.

  2. On the Tools 1 (upper-left) quadrant of the quad menu, choose Line or Curve.

    The effect of changing segment properties varies according to the type of vertices at the segment end.

    • Corner vertices always result in line segments regardless of the segment property.

    • Smooth vertices can support both line or curve segment properties.

    • Bezier and Bezier Corner vertices apply their tangent handles only to curve segments. Tangent handles are ignored by line segments.

    • A tangent handle associated with a line segment displays an X at the end of the handle. You can still transform the handle, but it has no effect until the segment is converted to a curve segment.

Interface

Mesh Settings, Interpolation and Selection rollouts

See Editable Spline for information on the Mesh Settings, Interpolation and Selection rollout settings.

Soft Selection rollout

See Soft Selection Rollout for information on the Soft Selection rollout settings.

Geometry Rollout

Create Line: Adds more splines to the selected spline. These lines are separate spline sub-objects; create them in the same way as the line spline. To exit line creation, right-click or click to turn off Create Line.

PolyConnect: Turn this off if you don't want the new line connected to the endpoint of an existing line. When PolyConnect is on, when creating lines, if the initial mouse click is over an existing endpoint in the shape, the newly created line is automatically attached to that endpoint. This can be an annoyance, especially when creating spline networks for use in Surface Tools.

Break: Lets you specify a break point at any segment in the shape (you do not have to first select a segment). When on, the mouse icon changes to a Break icon. You can now click any spot on a segment. The clicked spot becomes two coincident vertices, and the segment is split into two parts.

Attach: Attaches another spline in the scene to the selected spline. Click the object you want to attach to the currently selected spline object. The object you're attaching to must also be a spline.

For further details, see Attach.

Reorient: Reorients the attached spline so that its creation local coordinate system is aligned with the creation local coordinate system of the selected spline.

Attach Mult.: Click this button to display the Attach Multiple dialog, which contains a list of all other shapes in the scene. Select the shapes you want to attach to the current editable spline, then click OK.

Refine group

The Refine function includes a number of functions useful for building spline networks for use with the Surface Modifier.

Refine: Lets you add vertices without altering the curvature values of the spline. Click Refine, and then select any number of spline segments to add a vertex each time you click (the mouse cursor changes to a "connect" symbol when over an eligible segment). To finish adding vertices, click Refine again, or right-click in the viewport.

You can also click on existing vertices during a refine operation, in which case the software displays a dialog asking if you want to Refine or Connect Only to the vertex. If you choose Connect Only the software will not create a vertex, the software simply connects to the existing vertex.

The Refine operation creates a different type of vertex depending on the types of vertices on the endpoints of the segment being refined.

  • If the bordering vertices are both Smooth types, the Refine operation creates a Smooth type vertex.

  • If the bordering vertices are both Corner types, the Refine operation creates a Corner type vertex.

  • If either of the bordering vertices is a Corner or Bezier Corner, the Refine operation creates a Bezier Corner type.

  • Otherwise, the operation creates a Bezier type vertex.

Connect: When on, creates a new spline sub-object by connecting the new vertices. When you finish adding vertices with Refine, Connect makes a separate copy of each new vertex and then connects all of the copies with a new spline.

Note: You must turn on Connect before clicking Refine.

After turning on Connect and before beginning the refinement process, turn on any combination of these options:

  • Linear: When on, makes all segments in the new spline linear by using Corner vertices. When Linear is off, the vertices used to create the new spline are of the Smooth type.

  • Bind First: Causes the first vertex created in a refinement operation to be bound to the center of the selected segment.

    For more information, see Bound Vertex.

  • Closed: When on, connects the first and last vertices in the new spline to create a closed spline. When Closed is off, Connect always creates an open spline.

  • Bind Last: Causes the last vertex created in a refinement operation to be bound to the center of the selected segment.

    For more information, see Bound Vertex.

Insert: Inserts one or more vertices, creating additional segments. Click anywhere in a segment to insert a vertex and attach the mouse to the spline. Then optionally move the mouse and click to place the new vertex. Continue moving the mouse and clicking to add vertices. A single click inserts a corner vertex, while a drag creates a Bezier (smooth) vertex.

Right-click to complete the operation and release the mouse. At this point, you're still in Insert mode, and can begin inserting vertices in a different segment. Otherwise, right-click again or click Insert to exit Insert mode.

Hide: Hides selected segments. Select one or more segments, and then click Hide.

Unhide All: Displays any hidden sub-objects.

Delete: Deletes any selected segments in the current shape.

Selected and deleted segment

Divide: Subdivides the selected segment or segments by adding the number of vertices specified by the spinner. Select one or more segments, set the Divisions spinner (to the button's right), and then click Divide. Each selected segment is divided by the number of vertices specified in the Divisions spinner. The distance between the vertices depends on the segment's relative curvature, with areas of greater curvature receiving more vertices.

Selected and divided segment

Detach: Lets you select several segments in various splines and then detach them (or copy them) to form a new shape. Three options are available:

Same Shp: (Same Shape) When on, Reorient is disabled, and a Detach operation keeps the detached segment as part of the shape (rather than producing a new shape). If Copy is also on, you end up with a detached copy of the segment in the same location.

Reorient: The detached segment copies the position and orientation of the source object's creation Local coordinate system. The new detached object is moved and rotated so that its Local coordinate system is positioned and aligned with the origin of the current active grid.

Copy: Copies the detached segment rather than moving it.

Original and detached splines

Display group

Show selected segs: When on, any selected segments are highlighted in red at the Vertex sub-object level. When off (the default), selected segments are highlighted only at the Segment sub-object level.

This feature is useful for comparing complex curves against each other.

Surface Properties rollout

Material group

You can apply different material IDs to spline segments (see Material ID). You can then assign a multi/sub-object material to such splines, which appears when the spline has thickness, or when used for lathing or extrusion. Be sure to turn on Generate Material ID's and Use Shape ID's when lofting, lathing or extruding.

ID: Lets you assign a particular material ID number to selected segments for use with multi/sub-object materials and other applications. Use the spinner or enter the number from the keyboard. The total number of available IDs is 65,535.

Select by ID: Displays a dialog for you to enter a material ID number. Clicking OK selects the segments assigned that material ID. If Clear Selection is on, any previously selected segments are first deselected. If Clear Selection is off, the new selection is added to any previous selection set.


Editable Spline (Spline)

Select an editable spline. > Modify panel > Expand the editable spline in the stack display. > Spline sub-object level

Select an editable spline. > Modify panel > Selection rollout > Spline button

Select an editable spline. > Right-click the spline > Tools 1 (upper-left) quadrant of the quad menu > Sub-objects > Spline

While at the Editable Spline (Spline) level, you can select single and multiple splines within a single spline object and move, rotate, and scale them using standard methods.

Procedure

To change spline properties:

  • You change the properties of a spline from Line to Curve by right-clicking and choosing Line or Curve from the Tools 1 (upper-left) quadrant of the quad menu.

    Changing the spline property also changes the property of all vertices in the spline:

    • Choosing Line converts vertices to Corners.

    • Choosing Curve converts vertices to Beziers.

Interface

Mesh Settings, Interpolation and Selection rollouts

See Editable Spline for information on the Mesh Settings, Interpolation and Selection rollout settings.

Soft Selection rollout

See Soft Selection Rollout for information on the Soft Selection rollout settings.

Geometry rollout

Create Line: Adds more splines to the selected spline. These lines are separate spline sub-objects; create them in the same way as the line spline. To exit line creation, right-click or click to turn off Create Line.

PolyConnect: Turn this off if you don't want the new line connected to the endpoint of an existing line. When PolyConnect is on, when creating lines, if the initial mouse click is over an existing endpoint in the shape, the newly created line is automatically attached to that endpoint. This can be an annoyance, especially when creating spline networks for use in Surface Tools.

Attach: Attaches another spline in the scene to the selected spline. Click the object you want to attach to the currently selected spline object. The object you're attaching to must also be a spline.

For further details, see Attach.

Reorient: Reorients the attached spline so that its creation local coordinate system is aligned with the creation local coordinate system of the selected spline.

Attach Mult.: Click this button to display the Attach Multiple dialog, which contains a list of all other shapes in the scene. Select the shapes you want to attach to the current editable spline, then click OK.

Insert: Inserts one or more vertices, creating additional segments. Click anywhere in a segment to insert a vertex and attach the mouse to the spline. Then optionally move the mouse and click to place the new vertex. Continue moving the mouse and clicking to add vertices. A single click inserts a corner vertex, while a drag creates a Bezier (smooth) vertex.

Right-click to complete the operation and release the mouse. At this point, you're still in Insert mode, and can begin inserting vertices in a different segment. Otherwise, right-click again or click Insert to exit Insert mode.

Reverse: Reverses the direction of the selected spline. If the spline is open, the first vertex will be switched to the opposite end of the spline. Reversing the direction of a spline is usually done in order to reverse the effect of using the Insert tool at vertex selection level.

Original and reversed splines

Outline: Makes a copy of the spline, offset on all sides to the distance specified by the Outline Width spinner (to the right of the Outline button). Select one or more splines and then adjust the outline position dynamically with the spinner, or click Outline and then drag a spline. If the spline is open, the resulting spline and its outline will make a single closed spline.

Original and outlined splines

Note: Normally, if using the spinner, you must first select a spline before using Outline. If, however, the spline object contains only one spline, it is automatically selected for the outlining process.

Center: When off (default), the original spline remains stationary and the outline is offset on one side only to the distance specified by Outline Width. When Center is on, the original spline and the outline move away from an invisible center line to the distance specified by Outline Width.

Boolean: Combines two closed polygons by performing a 2D Boolean operation that alters the first spline you select, and deletes the second one. Select the first spline, then click the Boolean button and the desired operation, and then select the second spline.

Note: 2D Booleans only work on 2D splines that are in the same plane.

There are three Boolean operations:

  • Union: Combines two overlapping splines into a single spline, in which the overlapping portion is removed, leaving non-overlapping portions of the two splines as a single spline.

  • Subtraction: Subtracts the overlapping portion of the second spline from the first spline, and deletes the remainder of the second spline.

  • Intersection: Leaves only the overlapping portions of the two splines, deleting the non-overlapping portion of both.

Original splines (left), Boolean Union, Boolean Subtraction, and Boolean Intersection, respectively

Mirror: Mirrors splines along the length, width, or diagonally. Click the direction you want to mirror first so it is active, then click Mirror.

  • Copy: When selected, copies rather than moves the spline as it is mirrored.

  • About Pivot: When on, mirrors the spline about the spline object's pivot point (see Pivot). When off, mirrors the spline about its geometric center.

Mirrored splines

Trim: Use Trim to clean up overlapping segments in a shape so that ends meet at a single point.

To trim, you need intersecting splines. Click the portion of the spline you want to remove. The spline is searched in both directions along its length until it hits an intersecting spline, and deleted up to the intersection. If the section intersects at two points, the entire section is deleted up to the two intersections. If the section is open on one end and intersects at the other, the entire section is deleted up to the intersection and the open end. If the section is not intersected, or if the spline is closed and only one intersection is found, nothing happens.

Extend: Use Extend to clean up open segments in a shape so that ends meet at a single point.

To extend, you need an open spline. The end of the spline nearest the picked point is extended until it reaches an intersecting spline. If there is no intersecting spline, nothing happens. Curved splines extend in a direction tangent to the end of the spline. If the end of a spline lies directly on a boundary (an intersecting spline), then it looks for an intersection further along.

Infinite Bounds: For the purposes of calculating intersections, turn this on to treat open splines as infinite in length. For example, this lets you trim one linear spline against the extended length of another line that it doesn't actually intersect.

Hide: Hides selected splines. Select one or more splines, and then click Hide.

Unhide All: Displays any hidden sub-objects.

Delete: Deletes the selected spline.

Close: Closes the selected spline by joining its end vertices with a new segment.

Detach: Copies selected spline(s) to a new spline object, and deletes them from the currently selected spline if Copy is clear.

  • Copy: When selected, copies rather than moves the spline as it is detached.

  • Reorient: The spline being detached is moved and rotated so that its creation local coordinate system is aligned with the creation local coordinate system of the selected spline.

Explode: Breaks up any selected splines by converting each segment to a separate spline or object. This is a time-saving equivalent of using Detach on each segment in the spline in succession.

You can choose to explode to splines or objects. If you choose Object, you're prompted for a name; each successive new spline object uses that name appended with an incremented two-digit number.

Surface Properties rollout

Material group

You can apply different material IDs (see material ID) to splines in shapes containing multiple splines. You can then assign a multi/sub-object material to such shapes, which appears when the spline has thickness, or when used for lathing or extrusion.

ID: Lets you assign a particular material ID number to selected splines for use with multi/sub-object materials and other applications. Use the spinner or enter the number from the keyboard. The total number of available IDs is 65,535.

Select by ID: Displays a dialog for you to enter a material ID number. Clicking OK selects the segments assigned that material ID. If Clear Selection is on, any previously selected splines are first deselected. If Clear Selection is off, the new selection is added to any previous selection set.


Compound Objects

Create panel > Geometry > Compound Objects

Compound objects generally combine two or more existing objects into a single object.

Compound objects include the following object types:

Morph

Connect

ShapeMerge

Boolean

Loft


Morph

Select object. > Create panel > Geometry > Compound Objects > Object Type rollout > Morph

Tab panels > Compounds tab > Morph Compound Object

Seed or base object, and the target objects at specific frames

The resulting animation

Morphing is an animation technique similar to tweening in 2D animation. A Morph object combines two or more objects by interpolating the vertices of the first object to match the vertex positions of another object. When this interpolation occurs over time, a morphing animation results.

The original object is known as the seed or base object. The object into which the seed object morphs is known as the target object.

You can morph one seed into multiple targets; the seed object's form changes successively to match the forms of the target objects as the animation plays.

Before you can create a morph, the seed and target objects must meet these conditions:

  • Both objects must be either mesh, patch, or poly objects.

  • Both objects must have an equal number of vertices.

If these conditions don't apply, the Morph button is unavailable.

You can use any kind of object as a morph target, including an animated object or another morph object, as long as the target is a mesh that has the same number of vertices as the seed object.

Creating a morph involves the following steps:

  1. Model the base object and target objects.

  2. Select the base object.

  3. Click Create panel > Geometry > Compound Objects > Morph.

  4. Add the target objects.

  5. Animate.

Setting Up the Morph Geometry

Make sure that the objects you want to use as the seed and targets have the same number of vertices.

Tip: When you create Loft objects that you want to use as morph seeds and targets, make sure that Morph Capping is on and Adaptive Path Steps and Optimize are turned off. All shapes in the Loft object must have the same number of vertices.

You should also turn off Adaptive and Optimize for other shape-based objects that you want to use with Morph, such as those with Extrude or Lathe modifiers.

Warning: The selected object is permanently converted to a morph object as soon as you click Morph, whether or not you proceed to select a target object. The only way to restore the original object is to undo the Morph click.

Morph Object and Morpher Modifier

There are two ways to set up morphing animations: the Morph compound object and the Morpher modifier.

The Morpher modifier is more flexible because you can add it multiple times at any place in an object's modifier stack display. This flexibility lets you animate the base object or the morph targets before reaching the Morpher modifier, for example with a noise modifier. The Morpher modifier is the ideal way to morph characters.

The Barycentric Morph controller can be simpler to use in Track View. The Track View display for Compound Morph has only one animation track regardless of the number of targets. Each key on the track represents a morph result based on a percentage of all the targets. For basic morphing needs, Compound Morph may be preferable to the Morpher modifier.

Lastly, you can add the Morpher modifier to the stack of a Compound Morph object.

Procedures

Example: To create a basic morph:

  1. On the Create panel > Geometry > Patch Grids > Object Type rollout, click Quad Patch.

  2. In the Top viewport, click and drag to create a patch on the left side of the viewport.

  3. Right-click the modifier stack display in the Modify panel and select Convert To Editable Patch from the pop-up menu.

  4. Right-click the patch, and then click Move in the Transform quadrant of the quad menu.

  5. In the Top viewport, hold SHIFT and drag with the patch to create a copy on the right side of the viewport.

  6. On the Modify panel > Selection rollout, go to the Vertex sub-object level.

  7. In the Front viewport, select and move vertices on the selected patch to alter its shape.

  8. On the Modify panel, click Editable Patch to return to the top level.

  9. Select the original patch in the viewports.

  10. On the Create panel > Geometry > Compound Objects > Objects Type rollout, click Morph.

  11. On the Pick Targets rollout, click Pick Target.

  12. In the viewports, click the second patch object.

    Both patch objects are listed in the Morph Targets list.

  13. Click Modify panel.

    Morph displays above the Editable Patch in the modifier stack.

  14. Move the time slider to frame 10.

  15. In the Morph Targets list, click M_QuadPatch01.

  16. On the Current Targets rollout, click Create Morph Key.

    On the track bar, a key is displayed at frame 10.

  17. On the track bar, right-click the key at frame 10 and click QuadPatch01:Morph in the menu.

    A Key Info dialog displays.

  18. On the Key Info dialog, select M_QuadPatch01 from the list.

  19. On the Key Info dialog, drag the percentage spinner.

    The base object changes shape.

  20. Close the Key Info dialog and drag the time slider back and forth. The patch morphs its shape.

To select the targets for a morph:

  1. Select the seed object.

  2. On the Create panel > Geometry > Compound Objects, click Morph.

    The name of the seed object is displayed at the top of the Morph Targets list on the Current Targets rollout.

  3. On the Pick Targets rollout, choose the method for creating targets: Reference, Move, Copy, or Instance.

  4. Click Pick Target.

  5. Select one or more target objects in the viewports.

    As you select each target, its name is added to the Morph Targets list. If an object can't be a target (for example, if it has a different number of vertices than the morph seed), you can't select it.

    If you select a target object while you are not at frame 0, creating the target also creates a morph key. You can create additional morph keys from targets you've already selected, as described in the following procedure.

To create morph keys from existing targets:

  1. Drag the time slider to the frame where you want to place the morph key.

    Note: The Animate button does not need to be on to set morph keys.

  2. Highlight the name of a target object on the Morph Targets list.

    The Create Morph Key button is available only when a target object name is selected.

  3. Click Create Morph Key.

    The software places a morph key at the active frame.

  4. To preview the effect of the morph, drag the time slider back and forth. You can view and edit the morph keys in Track View, which also lets you view the morph's target object parameters.

Interface

Pick Targets rollout

When you pick target objects, you designate each target as a Reference, Move (the object itself), Copy, or Instance. Base your selection on how you want to use the scene geometry after you create the morph.

Pick Target: Use this button to designate the target object or objects.

Reference/Copy/Move/Instance: Lets you specify how the target is transferred to the compound object. It can be transferred either as a reference, a copy, an instance, or it can be moved, in which case the original shape is not left behind.

  • Use Copy when you want to reuse the target geometry for other purposes in the scene.

  • Use Instance to synchronize morphing with animated changes to the original target object.

  • Use Move if you've created the target geometry to be only a morph target, and have no other use for it.

You can use an animated object or another morph as the target of a morph.

Current Targets rollout

Morph Targets: Displays a list of the current morph targets.

Morph Target Name: Use this field to change the name of the selected morph target in the Morph Targets list.

Create Morph Key: Adds a morph key for the selected target at the current frame.

Delete Morph Target: Deletes the currently highlighted morph target. If morph keys reference the deleted target, then those keys are deleted as well.


Connect

Select an object. > Create panel > Geometry > Compound Objects > Object Type rollout > Connect

Tab panels > Compounds tab > Connect Compound Object

The Connect compound object lets you connect two or more objects between "holes" in their surfaces. To do this, you delete faces in each object to create one or more holes in their surfaces, position them so that the holes face one another, and then apply Connect.

Left: Before connect
Right: After connect

Connect generates the best mapping coordinates it can for the bridges between the various holes in the meshes. While some ideal cases, such as a cylinder above another cylinder, can generate good UVW map interpolations, most cases cannot. You'll need to apply mapping to the bridge faces with a UVW map modifier.

Vertex colors, on the other hand, interpolate smoothly.

Procedures

To create a Connect object:

  1. Create two mesh objects.

  2. Delete faces on each to create holes where you want to bridge the objects.

    Position the objects so that the normals of the deleted faces of one object point toward the normals of the deleted faces of the other object (assuming that deleted faces could have normals).

  3. Select one of the objects. On the Create panel > Geometry > Compound Object Type rollout, click Connect.

  4. Click the Pick Operand button, and then select the other object.

  5. Faces are generated connecting the holes in the two objects.

  6. Adjust the connection with the various options.

Example: To connect two cylinders:

  1. Create a cylinder with a radius of 15 and a height of 30. Use the default settings for the remaining parameters.

  2. Create a second cylinder centered on the first with a radius of 30, a height of 30, and 13 sides. (The fewer sides are to demonstrate the mesh interpolation in the connection.)

  3. Move the first, narrower cylinder straight up along Z so its bottom cap is about 15 units above the top cap of the larger cylinder.

  4. Convert both cylinders to editable meshes.

  5. Delete the lower cap of the upper cylinder, and the upper cap of the bottom cylinder. (Hint: Go to Editable Mesh (Polygon) mode, select each end in turn, and then press the DELETE key.)

  6. Exit sub-object mode, select the lower cylinder, and click Connect.

  7. Click the Pick Operand button, and then click the upper cylinder.

    New faces are created that span the openings in the two cylinders.

Example continued: To try out some options and create animation:

  1. Go to the Modify panel and increase the Segments spinner to 5 or more.

    As the segments increase, the connection becomes curved.

  2. Set the Tension spinner to 0 to straighten the connecting surface, increase it to 1, and then return it to 0.5.

  3. Try different combinations of the Bridge and Ends options.

  4. Select the upper cylinder, turn on the Animate button, and apply various transforms at different frames.

  5. Play the animation.

    Notes:

    • You can use Connect on objects that have multiple sets of holes. Connect will do its best to match up the holes between the two objects.

    • The mapping coordinates assigned to the original two objects are maintained to the extent possible. You might find irregularities in the bridged area, depending on the complexity and difference between the two original sets of mapping coordinates and the types of geometry.

Interface

Pick Operand rollout

Pick Operand: Click this button to connect an additional operand to the original object.

For example, you might begin with a single object with two holes, and arrange two additional objects, each with one hole, outside of those holes. Click the Pick Operand button and select one of the objects, which is connected, and then click Pick Operand again and select the other object, which is connected. Both connected objects are added to the Operands list.

Reference/Copy/Move/Instance: Lets you specify how the operand is transferred to the compound object. It can be transferred either as a reference, a copy, an instance, or moved, in which case the original is not left behind.

Note: Connect works only with objects that are capable of being converted into Editable Meshes, Editable Patches, or Editable Polys.

Parameters rollout

Operands group

Operands list: Displays the current operands. Select an operand to rename, delete or extract by clicking it in this list.

Name: Renames a selected operand. Type in a new name, and then press TAB or ENTER.

Delete Operand: Deletes a selected operand from the list.

Extract Operand: Extracts a copy or an instance of the selected operand. Choose an operand in the list to enable this button.

Note: This button is available only in the Modify panel. You can't extract an operand while in the Create panel.

Instance/Copy: Lets you specify how the operand is extracted: as either an instance or a copy.

Interpolation group

Segments: Sets the number of segments in the connecting bridge.

Tension: Controls the curvature in the connecting bridge. A value of 0 provides no curvature, while higher values create curves that attempt to more smoothly match the surface normals on either end of the connecting bridge. This spinner has no apparent effect when Segments is set to 0.

Smoothing group

Bridge: Applies smoothing between the faces in the connecting bridge.

Ends: Applies smoothing between the faces that border the old and new surfaces of the connecting bridge and the original objects. When turned off, The software assigns a new material ID number to the bridge. The new number is one higher than the highest ID number assigned to either of the original objects. When on, the ID number is taken from one of the original objects.

Note: If both Bridge and Ends are on, but the original objects contain no smoothing groups, then smoothing is assigned to the bridge and to the faces bordering the bridge.

Display/Update rollout

Display group

Determines whether the shape operands are displayed.

Result: Displays the result of the operation.

Operands: Displays the operands.

Update group

These options determine when the projection for the compound object is recalculated. Because complex compound objects can slow performance, you can use these options to avoid constant calculation.

Always: The object is updated constantly.

Manually: Activates the Update button for manual recalculation.

Update: Recalculates the projection.


ShapeMerge

Select an object. > Create panel > Geometry > Compound Objects > Object Type rollout > ShapeMerge

Tab panels > Compounds tab > ShapeMerge Compound Object

ShapeMerge combines the lettering, a text shape, with the mesh that models the cake.

ShapeMerge creates a compound object consisting of a mesh object and one or more shapes. The shapes are either embedded in the mesh, altering the edge and face patterns, or subtracted from the mesh.

Procedures

To create a ShapeMerge object:

  1. Create a mesh object and one or more shapes

  2. Align the shapes in the viewport so they can be projected toward the surface of the mesh object.

  3. Select the mesh object, and click the ShapeMerge button.

  4. Click Pick Shape, and then select the shape.

    The geometry of the surface of the mesh object is altered to embed a pattern matching that of the selected shape.

Interface

Pick Operand rollout

Pick Shape: Click this button, and then click the shape you want to embed in the mesh object. The shape is projected onto the mesh object in the direction of the shape's local negative Z axis. For example, if you create a box, and then create a shape in the Top viewport, the shape is projected onto the top of the box. You can repeat this process to add shapes, and the shapes can be projected in different directions. Simply click Pick Shape again, and then pick another shape.

Reference/Copy/Move/Instance: Lets you specify how the shape is transferred to the compound object. It can be transferred either as a reference, a copy, an instance, or moved, in which case the original shape is not left behind.

Parameters rollout

Operands group

Operands list: Lists all operands in the compound object. The first operand is the mesh object, and any number of shape-based operands can follow.

Delete Shape: Remove selected shapes from the compound object.

Extract Operand: Extracts a copy or an instance of the selected operand. Choose an operand in the list window to enable this button.

Instance/Copy: Lets you specify how the operand is extracted. It can be extracted either as an instance or a copy.

Operation group

These options determine how the shape is applied to the mesh.

Cookie Cutter: Cuts the shape out of the mesh object's surface.

Merge: Merges the shape with the surface of the mesh object.

Invert: Reverses the effect of Cookie Cutter or Merge. With the Cookie Cutter option, the effect is obvious. When Invert is off, the shape is a hole in the mesh object. When Invert is on, the shape is solid and the mesh is missing. When you're using Merge, Invert reverses the sub-object mesh selection. As an example, if you merge a circle shape and apply a Face Extrude, the circular area is extruded when Invert is off, and all but the circular area is extruded when Invert is on.

Output Sub-Mesh Selection group

Provides options that let you specify what selection level is passed up the Stack. The ShapeMerge object stores all selection levels; that is, it stores the vertices, faces, and edges of the merged shape with the object. (If you apply a Mesh Select modifier and go to the various sub-object levels, you'll see that the merged shape is selected.) Thus, if you follow the ShapeMerge with a modifier that acts on a specific level, such as Face Extrude, that modifier will work properly.

If you apply a modifier that can work on any selection level, such as Volume Select or Xform, the options will specify which selection level is passed to that modifier. Although you can use a Mesh Select modifier to specify a selection level, the Mesh Select modifier considers the selection only at frame 0. If you've animated the shape operand, that animation will be passed up the Stack for all frames only by using the Output Sub-Mesh Selection options.

None: Outputs the full object.

Face: Outputs the faces within the merged shape.

Edge: Outputs the edge of the merged shape.

Vertex: Outputs the vertices defined by the spline of the shape.

Display/Update rollout

Display group

Determines whether the shape operands are displayed.

Result: Displays the result of the operation.

Operands: Displays the operands.

Update group

These options specify when the display is updated. Typically, you use them when you've animated the merged shape operands and the viewport display is slow.

Always: Updates the display at all times.

Manually: Updates the display only when you click the Update button.

Update: Updates the display when any option except Always is chosen.


Boolean

Select an object. > Create panel > Geometry > Compound Objects > Object Type rollout > Boolean

Tab panels > Compounds tab > Boolean Compound Object

A Boolean object combines two other objects by performing a Boolean operation on them.

Operand A (left); Operand B (right)

These are the Boolean operations for geometry:

Subtraction: A-B (left); B-A (right)

Union (left); Intersection (right)

Union: The Boolean object contains the volume of both original objects. The intersecting or overlapping portion of the geometry is removed.

Intersection: The Boolean object contains only the volume that was common to both original objects (in other words, where they overlapped).

Subtraction (or difference): The Boolean object contains the volume of one original object with the intersection volume subtracted from it.

The two original objects are designated as operand A and B.

You can layer Booleans in the stack display, so that a single object can incorporate many Booleans. By navigating through the stack display, it's possible to revisit the components of each Boolean and make changes to them.

Booleans with Objects That Have Materials Assigned to Them

Most primitives use several material IDs on their surfaces. For example, a box uses material IDs 1-6 on its sides. If you assign a Multi/Sub-Object material with six sub-materials, the software assigns one to each side. If you assign a multi/sub-object material with two sub-materials, the software assigns the first material to sides 1, 3, and 5, and the second goes to sides 2, 4, and 6.

When you create a Boolean from objects that have materials assigned to them, the software combines the materials in the following way:

  • If operand A doesn't have a material, it inherits operand B's material.

  • If operand B doesn't have a material, it inherits operand A's material.

  • If both operands have materials, the new material is a multi/sub-object material that combines the materials from both operands.

For more information, see Material Attach Options Dialog.

Surface Topology

Boolean requires that operands' surface topology be intact: This means no missing or overlapping faces and no unwelded vertices. The surface should be one continuous closed surface.

The Boolean corrects operands that fail to meet this requirement. However, the automatic correction may not be exactly what you want, so in some cases it might be safer to correct the surfaces manually.

To fill the holes, use the Cap Holes modifier.

Face Normals

Booleans require that the face normals of the surface be consistent. Flipped normals can produce unexpected results. Surfaces where some faces are facing one way and adjacent faces are flipped are also problematic, and are commonly found in geometry imported from CAD programs. The Boolean fixes these faces as best it can. Again, it might make more sense to correct these manually.

Use shaded viewports to look for normal problems, watching for objects that appear inside-out or look otherwise incorrect. You can also turn on Show in the Editable Mesh (Face) > Surface Properties rollout > Normals group. Fix normals here, or with a Normal modifier.

Overlapping Elements

Because Boolean operations depend on a clear understanding of what is inside and what is outside a mesh, meshes that overlap themselves can produce invalid results. This is a problem for the Teapot primitive (with all parts turned on), which overlaps itself.

If you need to use such an object as a Boolean operand, you might reconstruct it as a single non-overlapping mesh by separating the components and combining them with Boolean.

Working with Inverted Meshes

Boolean doesn't always produce the ideal result on "inverted meshes" (meshes that have been turned inside-out by having their normals flipped). The problem is that the area inside the flipped mesh is correctly seen as "outside," but the area outside it may also be seen as “outside.” To remedy this, instead of inverting the mesh, make a very large box or other primitive centered on (but not touching) the mesh and subtract the mesh from it using Boolean. Then convert it to an editable mesh, and delete the box faces. This produces a correctly inverted mesh that works correctly with Boolean.

Alignment

If two Boolean operands are perfectly aligned without actually intersecting, the Boolean operation might produce the wrong result. Although this is rare, if it does occur, you can eliminate it by making the operands overlap slightly.

Relative Complexity between Operands

Boolean works best when the two operands are of similar complexity. If you wish to subtract text (a complex object made of many faces and vertices) from a box without any segments, the result is many long, skinny faces. Increasing the number of box segments produces better results. Try to maintain a similar complexity between operands.

Coplanar Faces/Collinear Edges

The Boolean allows for non-overlapping objects. Coincident faces/edges and vertices are not a problem. You can use objects completely encased within another object, where no edges intersect, to create Booleans.

Procedures

To create a Boolean:

  1. Select an object. This object becomes operand A.

  2. Click Boolean. The name of operand A appears in the Operands list on the Parameters rollout.

  3. On the Pick Boolean rollout, choose the copy method for operand B: Reference, Move, Copy, or Instance. (These methods are described in the Pick Boolean rollout section, later in this topic.)

  4. On the Parameters rollout, choose the Boolean operation to perform: Union, Intersection, Subtraction (A-B), or Subtraction (B-A). You can also choose one of the Cut operations, described later in the Operation group section.

  5. On the Pick Boolean rollout, click Pick Operand B.

  6. Click in a viewport to select operand B. The software performs the Boolean operation.

    The operand objects remain as sub-objects of the Boolean object. By modifying the creation parameters of the Boolean's operand sub-objects, you can later change operand geometry in order to change or animate the Boolean result.

Example: To create and modify a single object that contains multiple Booleans:

Suppose you want to create a box with two holes in it. One hole is to be cut by a sphere, and the second by a cylinder. If you want to make changes to the sphere or the cylinder later, you can do so by following these steps:

  1. Create a Boolean following the steps in the previous sections. The original object (the box) is converted to a Boolean, and is designated operand A. The second object (the sphere) is converted to operand B.

  2. Deselect the Boolean object. Build the cylinder if it does not already exist.

  3. Select the Boolean object; under Compound Objects click Boolean again.

  4. Click Pick Operand B and click the cylinder in the viewport. It is converted to operand B.

  5. On the Modify Panel, select Operand B from the Parameters rollout > Operands list. If you want to see operand B, choose Display/Update rollout > Display group > Operands or Result + Hidden Ops.

    If you want to animate the Cylinder or the Cylinder’s parameters you can now access them in the modifier stack display.

  6. If you want to modify the sphere’s parameters, select the box in the Operands list.

  7. Now there are two entries labeled Boolean in the stack display. Choose the lower entry. The Sphere is displayed in the Operands list.

  8. Select the Sphere from the Operands list. The sphere’s parameters are available by clicking the sphere's name in the modifier stack display.

  9. Use this technique to change parameters or animate any of the operands within the multiple Boolean.

    You can also navigate multiple Booleans through Track View. Clicking the operand in Track View gives you direct access to its entry in the modifier stack display. In complex objects with many Booleans, this is an easier method than the one outlined above.

Interface

Pick Boolean rollout

When you select operand B, you designate it as a Reference, Move (the object itself), Copy, or Instance, according to your choice in the Pick Boolean rollout for Boolean objects. Base your selection on how you want to use the scene geometry after you create the Boolean.

Because you usually create Boolean objects from overlapping objects, if the B object isn't removed (if you don't use the default Move option), it often obstructs your view of the completed Boolean. You can move the Boolean or the B object to better see the result.

Pick Operand B: Use this button to select the second object to use to complete the Boolean operation.

Reference/Copy/Move/Instance: Lets you specify how operand B is transferred to the Boolean object. It can be transferred either as a reference, a copy, an instance, or moved.

  • Use Reference to synchronize changes to the original object with operand B, but not vice-versa.

  • Use Copy when you want to reuse the operand B geometry for other purposes in the scene.

  • Use Instance to synchronize animation of the Boolean object with animated changes to the original B object, and vice-versa.

  • Use Move (the default) if you've created the operand B geometry only to create a Boolean, and have no other use for it.

Object B geometry becomes part of the Boolean object regardless of which copy method you use.

Parameters rollout

Operands group

Operands list field: Displays the current operands.

Name: Edit this field to change the name of the operands. Select an operand in the Operands list and it will also appear in the Name box.

Extract Operand: Extracts a copy or an instance of the selected operand. Choose one of the operands in the list window to enable this button.

Note: This button is available only in the Modify panel. You can't extract an operand while the Create panel is active.

Instance/Copy: Lets you specify how the operand is extracted: as either an instance or a copy.

Operation group

Union: The Boolean object contains the volume of both original objects. The intersecting or overlapping portion of the geometry is removed.

Intersection: The Boolean object contains only the volume that was common to both original objects (in other words, where they overlapped).

Subtraction (A-B): Subtracts the intersection volume of operand B from operand A. The Boolean object contains the volume of operand A with the intersection volume subtracted from it.

Subtraction (B-A): Subtracts the intersection volume of operand A from operand B. The Boolean object contains the volume of operand B with the intersection volume subtracted from it.

Cut: Cuts operand A with operand B, but doesn't add anything to the mesh from operand B. This works like the Slice modifier, but instead of using a planar gizmo, Cut uses the shape of operand B as the cutting plane. Cut treats the geometry of the Boolean object as volumes rather than closed solids. Cut does not add geometry from operand B to operand A. Operand B intersections define cut areas for altering geometry in operand A.

There are four types of Cut:

  • Refine: Adds new vertices and edges to operand A where operand B intersects the faces of operand A. The software refines the resulting geometry of operand A with additional faces inside the intersected area of operand B. Faces cut by the intersection are subdivided into new faces. You might use this option to refine a box with text so that you can assign a separate material ID to the object.

  • Split: Works like Refine but also adds a second or double set of vertices and edges along the boundary where operand B cuts operand A. Split produces two elements belonging to the same mesh. Use Split to break an object into two parts along the bounds of another object.

  • Remove Inside: Deletes all operand A faces inside operand B. This option modifies and deletes faces of operand A inside the area intersected by operand B. It works like the subtraction options, except that the software adds no faces from operand B. Use Remove Inside to delete specific areas from your geometry.

  • Remove Outside: Deletes all operand A faces outside operand B. This option modifies and deletes faces of operand A outside the area intersected by operand B. It works like the Intersection option, except that the software adds no faces from operand B. Use Remove to delete specific areas from your geometry.

Display/Update rollout

Display group

Visualizing the result of a Boolean can be tricky, especially if you want to modify or animate it. The Display options on the Boolean Parameters rollout help you visualize how the Boolean is constructed.

The display controls have no effect until you've created the Boolean.

Result: Displays the result of the Boolean operation; that is, the Boolean object itself.

Results + Hidden Ops: Displays the "hidden" operands as wireframe.

Operand geometry remains part of the compound Boolean object, although it isn't visible. The operand geometry is displayed as wireframes in all viewports.

Operands: Displays the operands instead of the Boolean result.

Tip: When operands are difficult to see in a viewport, you can use the Operand list to select one or the other. Click the name of the A or B operand to select it.

Displaying the operands

Displaying the result (A-B)

Displaying the hidden operand after A-B

Displaying the hidden operand after B-A

Update group

By default, Booleans are updated whenever you change the operands. A scene that contains one or more complicated, animated Booleans can impede performance. The update options provide alternate methods to improve performance.

Always: Updates Booleans immediately when you change an operand, including the original object of an instanced or referenced B operand. This is the default behavior.

Manually: Updates Booleans only when you click Update. With this option, the viewports don’t always show current geometry, but you can force an update when necessary.

Update: Updates the Boolean. The Update button is not available when Always is selected.


Material Attach Options Dialog

Use objects with different materials assigned to them. > Create panel > Geometry > Compound Objects > Object Type rollout > Boolean > Pick Boolean rollout > Pick Operand B button > Select object in the viewport that is operand B.

When you use Boolean operations with objects that have been assigned different materials, the software displays the Material Attach Options dialog. This dialog offers five methods for handling the materials and the material IDs in the resultant Boolean object.

Note: If operand A has no material, and operand B has a material assigned, the Boolean dialog lets you choose to inherit the material from operand B.

If operand A has a material assigned and operand B has no material assigned, the Boolean object automatically inherits materials from operand A.

Procedure

To create a Boolean from objects that match material IDs to material:

  1. Create a Boolean using at least one object that has a multi/sub-object material assigned to it.

  2. On the Pick Boolean rollout, click Pick Operand B.

  3. Click in a viewport and select the B operand. The software displays the Match Attach Options dialog.

  4. Choose Match Material IDs to Material to complete the Boolean operation.

Interface

Match Material IDs to Material: The software modifies the number of material IDs in the combined object to be no greater than the number of sub-materials assigned to the operands. For example, if you combine two boxes that have standard materials and each box is assigned six material IDs (the default), the resulting combined object has two operands with one material ID each, rather than the 12 that would result from using the Match Material to Material ID option. After you complete the operation, the software creates a new multi/sub-object material with two slots. The software assigns the sub-materials to the operands as they appeared before the operation. The number of resulting material IDs matches the number of materials between the original objects. You might use this option to reduce the number of material IDs.

Match Material to Material IDs: Maintains the original material ID assignment in the operands by adjusting the number of sub-materials in the resultant multi/sub-object material. For example, if you combine two boxes, both assigned single materials, but with their default assignment of six material IDs, the result would be a multi/sub-object material with 12 slots (six containing instances of one box's material, and six containing instances of the other box's material). Use this option when it's important to maintain the original material ID assignments in your geometry. Also use this option when material IDs have been assigned, but materials have not been assigned. You can't undo this operation.

Note: To make the instanced sub-materials unique, select them in Track View, and click the Make Unique button on the Track View toolbar.

Do Not Modify Mat IDs or Material: If the number of material IDs in an object is greater than the number of sub-materials in its multi/sub-object material, then the resultant face-material assignment might be different after the Boolean operation. You can't undo this operation.

Discard New Operand Material: Discards the material assignment of operand B. The software assigns operand A's material to the Boolean object.

Discard Original Material: Discards the material assignment of operand A. The software assigns operand B's material to the Boolean object. You can't undo this operation.

Note: A UVW Map modifier must be used with compound objects to apply mapping coordinates.


Loft Object

Loft

Select a path or shape. > Create panel > Geometry > Compound Objects > Object Type rollout > Loft

Tab panels > Compounds tab > Loft Compound Object

Tab panels > Modeling tab > Loft Compound Object

Roadway created as a lofted shape

Loft objects are two-dimensional shapes extruded along a third axis. You create loft objects from two or more existing spline objects. One of these splines serves the path. The remaining splines serve as cross-sections, or shapes, of the loft object. As you arrange shapes along the path, the software generates a surface between the shapes.

You create shape objects to serve as a path for any number of cross-section shapes. The path becomes the framework that holds the cross sections forming your object. If you designate only one shape on the path, the software assumes an identical shape is located at each end of the path. The surface is then generated between the shapes.

The software places few restrictions on how you create a loft object. You can create curved, three-dimensional paths and even three-dimensional cross sections.

When using Get Shape, as you move the cursor over an invalid shape, the reason the shape is invalid is displayed in the prompt line.

Unlike other compound objects, which are created from the selected object as soon as you click the compound-object button, a Loft object is not created until you click Get Shape or Get Path, and then select a shape or path.

Loft is enabled when the scene has one or more shapes. To create a loft object, first create one or more shapes and then click Loft. Click either Get Shape or Get Path and select a shape in the viewports.

Once you create a loft object, you can add and replace cross-section shapes or replace the path. You can also change or animate the parameters of the path and shapes.

You can't animate the path location of a shape.

Procedures

To create a loft object:

Creating loft objects is detailed and offers many choices, but the basic process is quite simple.

  1. Create a shape to be the loft path.

  2. Create one or more shapes to be loft cross sections.

  3. Do one of the following:

    • Select the path shape and use Get Shape to add the cross sections to the loft.

    • Select a shape and use Get Path to assign a path to the loft. Use Get Shape to add additional shapes.

      You can use the loft display settings to view the skin generated by your loft in both wireframe and shaded views.

To create a loft with Get Path:

  1. Select a shape as the first cross-section shape.

  2. Click Create panel > Geometry > Compound Objects > Loft.

  3. On the Creation Method rollout, click Get Path.

  4. Choose Move, Copy, or Instance.

  5. Click a shape for the path.

    The cursor changes to the Get Path cursor as you move it over valid path shapes. If the cursor does not change over a shape, that shape is not a valid path shape and cannot be selected. The first vertex of the selected path is placed at the first shape's pivot and the path tangent is aligned with the shape's local Z axis.

To create a loft with Get Shape:

  1. Select a valid path shape as the path.

  2. If the selected shape is not a valid path, the Get Shape button is unavailable.

  3. Click Create panel > Geometry > Compound Objects > Loft.

  4. On the Creation Method rollout, click Get Shape.

  5. Choose Move, Copy, or Instance.

  6. Click a shape.

    The cursor changes to the Get Shape cursor as you move it over potential shapes. The selected shape is placed at the first vertex of the path.

    Tip: You can flip the shape along the path by holding down CTRL when using Get Shape. For example, if you select the lowercase letter "b" with a CTRL + click, the loft will look like the letter "d".

Interface

Use the following rollouts for setting loft object parameters:

Creation Method rollout

Surface Parameters rollout

Path Parameters rollout

Skin Parameters rollout

Once you've created a loft object, you can also use the Modify panel's Deformations rollout to add complexity. See Deformations for further information.


Creation Method Rollout

Select a path or shape. > Create panel > Geometry > Compound Objects > Object Type rollout > Loft > Creation Method rollout

Interface

On the Creation Method rollout, you determine whether to use a shape or path for creating the loft object, and the type of action you want for the resulting loft object.

Get Path: Assigns a path to the selected shape or changes the current assigned path.

Get Shape: Assigns a shape to the selected path or changes the current assigned shape. You can flip the shape along the path by holding down CTRL when using Get Shape. For example, if you select the lowercase letter "b" with a CTRL + click, the loft will look like the letter "d".

Move/Copy/Instance: Lets you specify how the path or shape is transferred to the loft object. It can be moved, in which case no copy is left behind, or transferred as a copy or an instance.

Tip: Use the Instance option if you expect to edit or modify the path after the loft is created.


Surface Parameters Rollout

Select a path or shape. > Create panel > Geometry > Compound Objects > Object Type rollout > Loft > Surface Parameters rollout

Interface

On the Surface Parameters rollout, you control smoothing of the surface of the loft as well as designate if texture mapping is applied along the loft object.

Smoothing group

Left: Smoothing the length
Right: Smoothing the width
Rear: Smoothing both length and width

Smooth Length: Provides a smooth surface along the length of the path. This type of smoothing is useful when your path curves or when shapes on the path change size. Default=on.

Smooth Width: Provides a smooth surface around the perimeter of the cross-section shapes. This type of smoothing is useful when your shapes change the number of vertices or change form. Default=on.

Mapping group

Bitmap used to create the lines on the road

Mapped roadway showing U and V dimensions for the loft

Apply Mapping: Turns lofted mapping coordinates on and off. Apply Mapping must be on in order to access the remaining items.

Length Repeat: Sets the number of times a map repeats along the length of the path. The bottom of the map is placed at the first vertex of the path.

Width Repeat: Sets the number of times a map repeats around the perimeter of cross-section shapes. The left edge of a map is aligned with the first vertex of each shape.

Normalize: Determines how path vertex spacing affects a map along both the path length and shape width. When on, vertices are ignored. Map coordinates and Repeat values are applied evenly along the length of the path and around the shapes. When off, major path divisions and shape vertex spacing affects map coordinate spacing. Map coordinates and Repeat values are applied proportionally according to the path division spacing or shape vertex spacing.

Before and after applying Normalize to loft.

Materials group

Generate Material IDs: Creates Material IDs during the loft process.

Use Shape IDs: Offers the choice of using the spline material IDs to define the material IDs.

Note: Shape IDs are inherited from shape cross sections, not from the path spline.

Shape material IDs used to give the roadway two materials: concrete for supports and railings, asphalt with white lines for the traffic lanes

Output Group

Patch: The lofting process produces a patch object.

Mesh: The lofting process produces a mesh object. This is the default.


Path Parameters Rollout

Select a path or shape. > Create panel > Geometry > Compound Objects > Object Type rollout > Loft > Path Parameters rollout

Interface

On the Path Parameters rollout, you control the position of multiple shapes at different intervals along the path of the loft object.

Path: Lets you set a path level by entering a value or dragging the spinner. If Snap is on, the value will jump to the previous snap increment. The Path value depends on the selected measuring method. Changing the measuring method causes the Path value to change.

Snap: Lets you set a consistent distance between shapes along the path. The Snap value depends on the selected measuring method. Changing the measuring method also changes the Snap value to keep snap spacing constant.

On: When On is turned on, Snap is active. Default=off.

Percentage: Expresses the path level as a percentage of the total path length.

Distance: Expresses the path level as an absolute distance from the first vertex of the path.

Path Steps: Places shapes on path steps and vertices, rather than as a percentage or a distance along the path.

When Path Steps is on, the following takes place:

  • The Path spinner specifies the step along the path. The first step, at 0, is the first vertex.

  • The total number of steps, including vertices, appears in parentheses beside the Path spinner.

  • The current path level is indicated by the standard yellow X when it's a step, and by a small boxed X when it's a vertex.

  • Get Shape places a selected shape on the specified step or a vertex of the path.

  • Adaptive Path Steps on the Skin Parameters rollout is unavailable. (If it were available, the path steps and shapes would change positions along the path, depending on the result of the adaptive algorithm.)

Please note the following when using the Path Steps option:

  • When you switch to Path Steps with a loft object that already contains one or more shapes, an alert message tells you that this action may relocate shapes. This is because there are a limited number of path steps, and only one shape can be on a single step or vertex. The Percentage and Distance options, on the other hand, provide an almost unlimited number of levels on which to place shapes. Thus, if you change from Percentage or Distance to Path Steps, the shapes must be moved to existing steps. If there are more shapes than can be moved to nearby steps, you could end up with more than one shape on a step. Switching from Path Steps to either Percentage or Distance, however, can always be done without loss of data.

  • If you alter the Path Steps spinner while in Path Steps mode, the location of your shapes might change. An alert message warns you of this.

  • If you animate the topology of the path while in Path Steps mode (such as animating the number of sides of an NGon), your shapes might jump around trying to find a legitimate position, and you could end up with more than one shape on the same path level.

Pick Shape: Sets the current level at any shape on the path. When you pick a shape on the path, Snap is turned off and Path is set to the level of the picked shape, where a yellow X appears. Pick Shape is available only from the Modify panel.

Previous Shape: Jumps the path level from its current location to the previous shape along the path. A yellow X appears at the current level. Clicking this button turns Snap off.

Next Shape: Jumps the path level from its current location to the next shape along the path. A yellow X appears at the current level. Clicking this button turns Snap off.

See also

Deformations

Path Commands

Shape Commands


Skin Parameters Rollout

Select a path or shape. > Create panel > Geometry > Compound Objects > Object Type rollout > Loft > Skin Parameters rollout

On the Skin Parameters rollout, you adjust the complexity of the mesh of the loft object. You can also optimize the mesh by controlling the face count.

Procedure

Example: To use constant cross-section:

  1. Enlarge the Front viewport to full screen, and the use the Rectangle tool with CTRL held down to create a square about 20 x 20 units.

  2. Create another rectangle beside it about 200 x 100 units.

  3. Apply a Skew modifier to the large rectangle, but don't alter the Skew parameters.

  4. Create a loft object in which the larger rectangle is the path and the square is the shape.

  5. On the Modify panel, open the Skin Parameters rollout and verify that Skin is turned on in the Display group.

    You can now see the wireframe structure of the lofted rectangle, with cross-sectional sides parallel to its corners.

    Make sure the color assigned the loft object is easily visible. Change it if necessary.

  6. Turn off Constant Cross-Section and observe the corners.

    When Constant Cross-Section is off, the corners become pinched.

  7. Turn on Constant Cross-Section to restore the corners.

    Acute angles can cause problems when the cross sections formed by the path steps intersect at the corners. You can mitigate this by avoiding acute angles or by reducing the path steps.

  8. Press H (Select by Name), and choose Rectangle02 (the second, larger rectangle).

  9. On the Skew panel, change the Skew Axis to Y, and then set the Amount spinner to 95.

  10. Use Region Zoom to zoom in on the upper-right corner of the rectangle so you can see the mesh in detail.

    At a skew of less than 100, the acute angle still works because the path cross-sections haven't intersected.

  11. Set the Skew Amount to 300 and examine the same corner.

    At this angle, the path cross sections intersect, causing problems in the mesh.

  12. Select the loft object and set the Path Steps to 1.

    The cross sections no longer intersect, and the corner is clean.

    When creating straight-edge molding for architectural modeling, you can avoid mangled corners by simply reducing the path steps to 0.

Interface

Capping group

Roadway lofted with capping turned off

Roadway lofted with capping turned on

Cap Start: When on, the end of a loft at the first vertex of the path is covered, or capped. When off, the end is open, or uncapped. Default=on.

Cap End: When on, the end of a loft at the last vertex of the path is covered, or capped. When off, the end is open, or uncapped. Default=on.

Morph: Arranges cap faces in a predictable, repeatable pattern necessary for creating morph targets. Morph capping can generate long, thin faces that do not deform as well as those created with grid capping.

Grid: Arranges cap faces in a rectangular grid trimmed at the shape boundaries. This method produces a surface of evenly sized faces that can be deformed easily by other modifiers.

Options group

Shape Steps: Sets the number of steps between each vertex of the cross-section shapes. This value affects the number of sides around the perimeter of the loft.

Left: Shape Steps equals 0
Right: Shape Steps equals 4

Path Steps: Sets the number of steps between each main division of the path. This value affects the number of segments along the length of the loft.

Frame lofted with Path Steps equal to 1.

Frame lofted with Path Steps equal to 5.

Optimize Shapes: When on, the Shape Steps setting is ignored for straight segments of cross-section shapes. If multiple shapes are on the path, only straight segments that have a match on all shapes are optimized. Default=off.

Left: Optimize Shapes turned on
Right: Optimize Shapes turned off

Optimize Path: When on, the Path Steps setting is ignored for straight segments of the path. Curved sections respect the Path steps setting. Available only with Path Steps mode. Default=off.

When Optimize Path is off, the lofted roadway uses more steps.

When Optimize Path is on, straight sections of the lofted roadway don't require additional steps.

Adaptive Path Steps: When on, analyzes the loft and adapts the number of path divisions to generate the best skin. Main divisions along the path occur at path vertices, shape locations, and deformation curve vertices. When off, main divisions along the path occur only at path vertices. Default=on.

Contour: When on, each shape follows the curvature of the path. The positive Z axis of each shape is aligned with the tangent to the path at the shape's level. When off, shapes remain parallel and have the same orientation as a shape placed at level 0. Default=on.

Lofting the roadway with Contour off causes it to twist.

Roadway lofted with Contour turned on

Banking: When on, shapes rotate about the path whenever the path bends and changes height in the path's local Z axis. The bank amount is controlled by the software. Banking is ignored if the path is 2D. When off, shapes do not rotate about their Z axis as they traverse a 3D path. Default=on.

Roadway lofted with Banking turned on

Constant Cross Section: When on, the cross sections are scaled at angles in the path to maintain uniform path width. When off, the cross sections maintain their original local dimensions, causing pinching at path angles.

Frame lofted with Constant Cross-Section turned off

Frame lofted with Constant Cross-Section turned on

Linear Interpolation: When on, generates a loft skin with straight edges between each shape. When off, generates a loft skin with smooth curves between each shape. Default=off.

Left: Object lofted with Linear Interpolation turned off
Right: Object lofted with Linear Interpolation turned on

Flip Normals: When on, reverses the normals 180 degrees. Use this option to correct objects that are inside-out. Default=off.

Quad sides: When on, and when two sections of a loft object have the same number of sides, the faces that stitch the sections together are displayed as quads. Sides between sections with different numbers of sides are not affected, and are still connected with triangles. Default=off.

Transform Degrade: Causes the loft skin to disappear during sub-object shape/path transformations. For example, moving a vertex on the path causes the loft to disappear. When off, you can see the skin during these Sub-Object transformations. Default=on.

Display group

Skin: When on, displays a loft's skin in all views using any shading level and ignores the Skin In Shaded setting. When off, displays only the loft sub-objects. Default=on.

Skin In Shaded: When on, displays a loft's skin in shaded views regardless of the Skin setting. When off, skin display is controlled by the Skin setting. Default=on.

The loft object now retains the Skin and Skin In Shaded settings from one loft object to the next one created.


Deformations

Select a Loft object. > Modify panel > Deformations rollout

Deformation controls let you scale, twist, teeter, bevel or fit shapes along the path. The interface for all deformations is a graph. Lines with control points on the graph represent the deformations along the path. Control points on the graphs can be moved or animated for modeling purposes or for various special effects.

Manually creating and placing shapes along the path to produce these models would be a difficult task. Lofts solve this problem through the use of deformation curves. The deformation curves define changes in scale, twisting, teetering, and beveling along the path.

You gain access to loft deformation curves through the Modify panel's Deformations rollout. Deformations are not available in the Create panel. You must open the Modify panel after you’ve lofted to access the Deformations rollout, which offers the following features:

  • Each deformation button displays its own deformation dialog.

  • You can display any or all of the deformation dialogs simultaneously.

  • The button to the right of each deformation button is a toggle to enable or disable the deformation's effect.

Procedures

To apply deformations to a loft:

  1. Select a loft object.

  2. Go to the Modify panel and choose Loft from the modifier stack display if it's not already displayed.

  3. Expand the Deformations rollout.

  4. Click the deformation that you want to use.

    The window for the selected deformation appears.

To toggle the deformation effect:

  • Click Enable/Disable to the right of the deformation buttons.

Interface

Deform Scale

Deform Twist

Deform Teeter

Deform Bevel

Deform Fit

See also

Deformation Dialog


Deform Scale

Select a Loft object. > Modify panel > Deformations rollout > Scale

You can loft objects such as columns and bugles from a single shape that changes only its scale as it travels along a path. Use Scale deformation when you want to make these types of objects.

Tip: By animating scale, a loft object can appear to travel along a path. Using this technique, you can create animations in which letters or lines write themselves onto the screen.

These are the properties of Scale deformation curves:

  • The two curves are red for X-axis scaling and green for Y-axis scaling.

  • Default curve values are at 100%.

  • Values greater than 100% make the shape larger.

  • Values between 100% and 0% make the shape smaller.

  • Negative values scale and mirror the shape.

See Deformation Dialog for specific information on the dialog controls.

Scale deformation curve

Using scale to deform the lofted roadway

Procedure

To use Scale deformation:

  1. Select a loft object.

  2. Click Loft in the modifier stack display.

  3. Click Scale on the Deformations rollout.

  4. Edit the deformation curves for the X axis and Y axis.


Deform Twist

Select a Loft object. > Modify panel > Deformations rollout > Twist

Twist deformation lets you create objects that spiral or twist along their length. Twist specifies the amount of rotation about the path.

Twist deformation curve

Using twist to deform the lofted roadway

These are the properties of Twist deformation curves:

  • A single red curve determines shape rotation about the path.

  • The default curve value is 0 degrees of rotation.

  • Positive values produce counter-clockwise rotation, when viewed from the start of the path.

  • Negative values produce clockwise rotation.

  • Both twist deformation and banking produce rotation about the path. Twist rotation is added to a shape after the banking angle is applied.

    You can use Twist deformation to exaggerate or reduce the amount of banking.

See Deformation Dialog for specific information on the dialog controls.

Procedure

To use Twist deformation:

  1. Select a loft object.

  2. Click Loft in the modifier stack display.

  3. Click Twist on the Deformations rollout.

  4. Edit the single deformation curve to specify rotation about the path.


Deform Teeter

Select a Loft object. > Modify panel > Deformations rollout > Teeter

Teeter deformation rotates shapes about their local X-axis and Y-axis. Teetering is what the software does automatically when you select Contour on the Skin Parameters rollout. Use Teeter deformation when you want to manually control contour effects.

Teeter deformation curve

Roadway lofted with no teeter

Roadway lofted with teeter turned on. Teeter affects the X and Y axis orientation of the shape in relation to the path.

These are the properties of Teeter deformation curves:

  • The two curves are red for X-axis rotation and green for Y-axis rotation.

  • Default curve values are at 0 degrees rotation.

  • Positive values rotate the shape counterclockwise about the shape's positive axis.

  • Negative values rotate the shape clockwise about the shape's positive axis.

See Deformation Dialog for specific information on the dialog controls.

Procedures

To use Teeter deformation:

  1. Select a loft object.

  2. Click Loft in the modifier stack display.

  3. Click Teeter on the Deformations rollout.

  4. Edit the deformation curves for X axis and Y axis rotation.


Deform Bevel

Select a Loft object. > Modify panel > Deformations rollout > Bevel

Nearly every object that you encounter in the real world is beveled. Because it is difficult and expensive to manufacture a perfectly sharp edge, most objects are created with chamfered, filleted, or eased edges. Use Bevel deformation to simulate these effects.

Note: Bevel is not available when loft output is set to Patch.

These are the properties of Bevel deformation curves:

  • The single red curve is for bevel amount.

  • Bevel values are specified in current units.

  • The default curve value is 0 units.

  • Positive values reduce the shape, bringing it closer to the path.

  • Negative values add to the shape, moving it away from the path.

When shapes are nested, the bevel direction is reversed for interior shapes.

See Deformation Dialog for specific information on the dialog controls.

Normal and Adaptive Beveling

The Bevel Deformation dialog provides three types of beveling: Normal, Adaptive Linear, and Adaptive Cubic. These are available from a flyout at the right end the dialog toolbar.

With normal beveling, the beveled shape remains parallel to the original, regardless of the crotch angle of the shape. Steep crotch angles combined with excessive bevel amounts result in overshooting at the crotch.

Adaptive beveling alters the length of the bevel shape based on the crotch angle. Adaptive Linear alters the length-to-angle in a linear fashion. Adaptive Cubic alters it more on steep angles than on shallow angles, producing a subtly different effect. Both forms of adaptive beveling result in nonparallel beveled edges, and both are less likely to produce invalid bevels due to overshoots at the crotch.

To see the differences in the three types of beveling, loft a star shape along a straight path and apply a bevel. When you switch among the three types of beveling, you'll see the difference in the bevel outline. Alter one radius of the star to examine the beveling with shallow and with sharp crotch angles.

Procedures

To use Bevel deformation:

  1. Select a loft object.

  2. Click Loft in the modifier stack display.

  3. Click Bevel on the Deformations rollout.

  4. Adjust the deformation curve.


Deform Fit

Select a Loft object. > Modify panel > Deformations rollout > Fit

Fit deformation lets you use two Fit curves to define the top and side profiles of your object. Use Fit deformation when you want to generate loft objects by drawing their profiles.

Fit shapes are really scale boundaries. As your cross-section shape travels along the path, its X-axis is scaled to fit the boundaries of the X-axis fit shape and its Y-axis is scaled to fit the boundaries of the Y-axis fit shape.

Note: Fit is not available when loft output is set to Patch.

Procedures

To use Fit deformation:

  1. Select a loft object.

  2. Click Loft in the modifier stack display.

  3. Click Fit on the Deformations rollout.

  4. Get shapes as fit curves.

Interface

Fit Deformation dialog

The Fit Deformation dialog contains different buttons than the other deformations. For descriptions of the first eight buttons on the toolbar, see Deformation Dialog. The following descriptions apply to the tools specific to Fit deformation, and are listed from left to right in the order they appear on the toolbar.

Fit Deformation toolbar

Mirror Horizontally: Mirrors the shape across the horizontal axis.

Mirror Vertically: Mirrors the shape across the vertical axis.

Rotate 90 CCW: Rotates the shape 90 degrees counterclockwise.

Rotate 90 CW: Rotates the shape 90 degrees clockwise.

Delete Control Point: Deletes the selected control point.

Reset Curve: Replaces the displayed Fit curve with a rectangle 100 units wide and centered on the path. If Make Symmetrical is on, both Fit curves are reset even though only one might be displayed.

Delete Curve: Deletes the displayed Fit curve. If Make Symmetrical is on, both Fit curves are deleted even though only one might be displayed.

Get Shape: Lets you select the shape to use for Fit deformation. Click Get Shape, and then click the shape to use in a viewport.

Generate Path: Replaces the original path with a new straight-line path.


Deformation Dialog

Select a Loft object. > Modify panel > Deformations rollout > Scale, Twist, Teeter, or Bevel

The Deformation dialogs for Scale, Twist, Teeter, and Bevel use the same basic layout. The buttons in the window's toolbar and prompt area perform the following functions:

  • Change deformation curve display.

  • Edit control points (these can be animated).

  • Navigate the Deformation dialog.

Editing Deformation Curves

A deformation curve starts as a straight line using a constant value. To produce more elaborate curves, you insert control points and change their properties.

Use the buttons in the center of the Deformation dialog toolbar to insert and change deformation curve control points (see Interface, later in this topic).

Control Point Types

Control points on a deformation curve can produce curves or sharp corners, depending on the control point type. To change a control point type, right-click the control point and choose one of these from the shortcut menu:

  • Corner: Non-adjustable linear control point producing a sharp corner.

  • Bezier Corner: Adjustable Bezier control point with discontinuous tangent handles set to produce a sharp corner. This type produces a curve that looks like the corner type but has control handles like the Bezier Smooth type.

  • Bezier Smooth: Adjustable Bezier control point with locked continuous tangent handles set to produce a smooth curve.

Selecting Control Points

Use the Move Control Point and Scale Control Point buttons with standard selection techniques to select control points.

Procedures

To drag Bezier tangent handles:

  1. Select one or more Bezier Smooth or Bezier Corner control points to display their tangent handles.

  2. Click one of the Move Control Point buttons.

  3. Drag any tangent handle.

    • Only the tangent handle you drag is affected. Tangent handles on other selected control points do not change.

    • If the tangent handle you drag is part of a Bezier Smooth control point, both handles move to maintain the Bezier Smooth type.

    • If the tangent handle you drag is part of a Bezier Corner control point, only that handle moves.

To move a control point using the Position and Amount fields:

  1. Select a single control point.

  2. Do one of the following:

    • Move the control point horizontally by entering a value in the Position field.

    • Move the control point vertically by entering a value in the Amount field.

To change the control point type:

You can change control point types at any time by right-clicking a selection of one or more control points.

  1. Select one or more control points.

  2. Right-click any selected control point.

  3. Choose a control point type from the shortcut menu.

    The following conditions apply to changing control point types:

    • The first and last control points must use the Corner or Bezier Corner type.

    • Converting a Bezier Smooth point to a Bezier Corner point unlocks the tangent handles but does not change their position. The curve appears smooth until you drag one of the tangent handles.

    • Converting a Bezier Corner point or inserted Bezier point to Bezier Smooth locks the tangent handles and changes their position and magnitude. The handles are rotated to the average between their two angles. The handle magnitudes are averaged and set equal.

Interface

Toolbar

Buttons for working with a second curve are disabled for the Twist and Bevel deformations, which use only one curve. The disabled buttons are Make Symmetrical, Display X Axis, Display Y Axis, Display XY Axes, and Swap Deform Curves.

Make Symmetrical: You can apply the same deformation to both axes of a shape using Make Symmetrical, which is both an action button and a curve editing mode. Turning on Make Symmetrical has the following effect:

  • When a single curve is displayed, it copies the displayed deformation curve to the curve for the hidden axis.

  • When both axes are displayed, the Apply Symmetry dialog is also displayed. Click the button for the curve you want to apply to both axes.

  • Changes you make to the selected curve are duplicated on the other curve.

When Make Symmetrical is not active, curve editing is applied only to the selected curve.

Display X Axis/Y Axis/XY Axes: You can display one or both deformation curves using the curve display buttons near the upper-left corner of the Deformation dialog.

Turn on the following buttons to display deformation curves:

Display X Axis: Displays only the X axis deformation curve in red.

Display Y Axis: Displays only the Y axis deformation curve in green.

Display XY Axes: Displays X axis and Y axis deformation curves together, each using its own color.

Swap Deform Curves: Copies curves between the X axis and Y axis. This button has no effect when Make Symmetrical is on.

Click Swap Deform Curves to copy the X axis curve to the Y axis, and the Y axis curve to the X axis. It doesn't matter which curve is currently displayed or selected.

Move Control Points: This flyout contains three buttons for moving control points and Bezier handles.

Move Control Point: Changes the amount of deformation (vertical movement) and the location of the deformation (horizontal movement).

Move Vertical: Changes the amount of deformation without changing the location.

Move Horizontal: Changes the location of the deformation without changing the amount.

If one control point is selected, you can move it by entering values in the control point Position and Amount fields at the bottom of the Deformation dialog.

You cannot move end points horizontally. Intermediate control points are constrained horizontally to stay between the points on either side. The amount of horizontal constraint is determined by the control point type.

  • You can move corner control points very close together, until one is directly above the other.

  • You can move Bezier control points no closer than the length of their tangent handles.

Moving Bezier Tangent Handles: You can use the Move Control Point buttons to drag a tangent handle's angle and magnitude on Bezier Smooth and Bezier Corner vertices.

Dragging a tangent handle has the following constraints:

  • You cannot move tangent angles beyond vertical. This prevents deformation curves from doubling back on themselves.

  • You cannot move tangent magnitudes beyond the preceding or next control point on the path.

Pressing SHIFT while moving a Bezier Smooth tangent handle converts the control point to a Bezier Corner type.

Scale Control Point: Scales the value of one or more selected control points with respect to 0. Use this function when you want to change only the deformation amounts of selected control points while maintaining their relative ratio of values.

  • Drag downward to reduce values.

  • Drag upward to increase values.

Insert Control Point: This flyout contains buttons for inserting two control point types.

Insert Corner Point: Click anywhere on a deformation curve to insert a corner control point at that location.

Insert Bezier Point: Click anywhere on a deformation curve to insert a modified Bezier control point at that location. The tangent handles of the Bezier control point are set to maintain the shape of the curve before the point was inserted.

If you are not sure which type of control point you need, or if you change your mind, you can convert the point to another type by right-clicking the point and selecting the type from the shortcut menu.

Both Insert Control Point buttons put you in insertion mode. Right-click or choose another button to exit the mode.

Delete Control Point: Deletes selected control points. You can also delete selected points by pressing the DELETE key.

Reset Curve: Deletes all but the end control points and sets the curves back to their default values.

Bevel Type: This flyout, available only in the Bevel Deformation dialog, lets you choose Normal, Adaptive Linear or Adaptive Cubic as the bevel type. For more information, see Deform Bevel.

Deformation grid

The area in the Deformation dialog that displays the deformation curves is called the deformation grid. This grid charts the value of the deformation along the length of the path.

These are the main grid components:

Active area: The light-colored area of the grid defines the first and last vertex boundaries of the path. The ends of the deformation curve lie on each boundary and cannot be moved off the boundary.

Horizontal lines: Mark deformation values on the vertical scale. The following table lists each deformation curve type and the meaning of the deformation values.
Deformation Type | Deformation Value
Scale | Percentage
Twist | Rotation Angle
Teeter | Rotation Angle
Bevel | Current Units

The thick horizontal line at 0 represents the deformation value at the loft path.

Vertical lines: Mark levels of the path. The levels displayed vary with the Adaptive Path Steps setting on the Skin Parameters rollout.

If Adaptive Path Steps is on, levels are displayed at all path vertices and shape locations.

If Adaptive Path Steps is off, levels are displayed only at path vertices.

Path ruler: Measures the length of the path. The values on the ruler measure percentage along the path. You can drag the path ruler vertically in the Deformation dialog.

Deformation curves: You can see one or two curves in the Deformation dialog, based on the deformation type and the curve display setting. The curves are color-coded by axis.

A red curve displays deformation along the shape's local X axis.

A green curve displays deformation along the shape's local Y axis.

Control Point fields: At the bottom of the Deformation dialog are two edit fields. When a single control point is selected these fields display the path location and deformation amount of the control point.

Control Point Position: The left field displays the location of the control point on the loft path as a percentage of the total path length.

Control Point Amount: The right field displays the deformation value of the control point.

Deformation Dialog status bar

The Deformation dialogs have their own view navigation buttons in the lower-right corner. These give you controls for zooming and panning the view of the deformation grid as you edit the curve values. The status bar also displays information about the current tool and the selected control point.

Numeric fields: These two fields are accessible only if a single control point is selected. The first gives the point's horizontal position, and the second gives its vertical position, or value. You can edit these fields with the keyboard.

Lock Aspect: This button is present only in the Fit Deformation dialog. When active, it restricts zooming to vertical and horizontal at the same time.

Zoom Extents: Changes the view magnification so the entire deformation curve is visible.

Zoom Horizontal Extents: Changes the view magnification along the path length so the entire path area is visible in the dialog.

Zoom Vertical Extents: Changes the view magnification along the deformation values so the entire deformation curve is displayed in the dialog.

Zoom Horizontally: Changes magnification along the path length.

  • Drag to the right to increase magnification.

  • Drag to the left to decrease magnification.

Zoom Vertically: Changes magnification along the deformation value.

  • Drag upward to increase magnification.

  • Drag downward to decrease magnification.

Zoom: Changes magnification along both the path length and the deformation value, preserving the curve aspect ratio.

  • Drag upward to increase magnification.

  • Drag downward to decrease magnification.

Zoom Region: Drag a region on the deformation grid. The region is then magnified to fill the deformation dialog.

Pan: Drag in the view to move in any direction.

Scroll bars: Drag the horizontal and vertical scroll bars to pan the view in a single direction.


Path Commands

Select a Loft object. > Modify panel > Modifier stack display > Sub-object level > Path > Path Commands

The Path Commands rollout appears only when you are modifying an existing loft object and have selected Path from the Sub-Object list. The Put command allows you to make a copy or instance of the loft path.

Interface

Put group

Put: Places the path into the scene as a separate object (as a Copy or Instance).


Shape Commands

Select a Loft object. > Modify panel > Modifier stack display > Sub-object level > Shape > Shape Commands rollout

These controls let you align and compare shapes along the loft path.

Interface

Path Level: Adjusts the shape's position on the path.

Compare: Displays the Compare Dialog in which you can compare any number of cross-section shapes.

Reset: Undoes rotation and scale of the shape performed with the Select and Rotate or Select and Scale.

Delete: Deletes the shape from the loft object.

Align group

The six buttons in this group let you align the selected shape in relation to the path. Looking down at a shape from the viewport in which it's created, the orientation is left to right along the X axis, and top to bottom along the Y axis.

You can use a combination of these buttons for placements such as corner alignment. The operations are additive. In other words, you can use both Bottom and Left to place the shape in the lower-left quadrant.

Center: Centers the shape on the path, based on the bounding box of the shape.

Default: Returns the shape to its position when first placed on the loft path. When you use Get Shape, the shape is placed so that the path goes through its pivot point. This is not always the same as the center of the shape. Therefore, clicking Center is different than clicking Default.

Left: Aligns the left edge of the shape to the path.

Right: Aligns the right edge of the shape to the path.

Top: Aligns the top edge of the shape to the path.

Bottom: Aligns the bottom edge of the shape to the path.

Put group

Put: Puts the shape into the scene as a separate object.


Compare Dialog

Select a Loft object. > Modify panel > Modifier stack display > Sub-object level > Shape > Shape Commands rollout > Compare button

The Compare dialog lets you compare any number of cross-section shapes in a loft object for purposes of making sure their first vertices are properly aligned. If shapes' first vertices aren't aligned, unexpected lofting results can occur.

Interface

Pick Shape: Lets you select shapes to display from the selected loft object. Click the Pick Shape button in the upper-left corner of the dialog. Then, in the viewport, select the shapes to display. Select a shape a second time to remove it from the display.

When you position the mouse cursor over a shape in the loft object, the cursor image changes to show whether the shape appears in the dialog window: a + sign appears if the shape isn't selected (indicating that if you select the shape, it will be added to the dialog window), and a - sign appears if the shape is already selected.

With each shape, the Compare dialog displays the first vertex as a small square. For correct lofting, the first vertices of all shapes on the path need to be in the same position.

Reset: Removes all shapes from the display.

Dialog window controls

You can scroll the Compare dialog window with the scroll bars at the bottom and right sides. You can also use the buttons in the lower-right corner to perform View Extents, Pan, Zoom, and Zoom Region functions.

Align group

While the Compare dialog is open, you can affect the shapes' positions in the dialog window with the Shape Commands rollout > Align group buttons. Turn off Pick Shape, select a shape in the viewport, and then click the Align group buttons. See Shape Commands for further information.


Systems

Create panel > Systems

A system combines objects, linkages, and controllers to produce an object set that has a behavior, as well as geometry. Systems help you create animations that would be much more difficult or time-consuming to produce using features independently. Systems can range from simple object generators to full-scale subsystem programs.

  • Bones creates a hierarchically linked set of bones and joints.

    You can transform and animate bones using both forward and inverse kinematics.

  • Ring Array creates a ring of boxes.

Procedure

To create a system:

  1. On the Create panel, click Systems.

    The Systems panel is displayed.

  2. On the Object Type rollout, choose a system to create.

  3. Drag in a viewport to create the system.


Bones (Systems)

Bones

Create panel > Systems > Bones button

Animation menu > Create Bones

Tab panels > Objects tab > Bones IK Chain

Dinosaur character modeled using bones

A Bones system is a jointed, hierarchical linkage of bone objects that can be used to animate other objects or hierarchies. Particularly when animating character models that are a single continuous skin, bones provide a quicker solution for manipulation. Bones can be animated with forward or inverse kinematics, using any of the available IK solvers, or through Interactive or Applied IK.

In gmax bones have several parameters, such as taper and fins, that can be used to define the shape the bone represents. The fins also make it easier to see how the bone is rotating.

For animation, it is very important that you understand the structure of a bone object. Each bone has a pivot point at its base that allows the bone to rotate about its pivot point. It might be useful to think of bones as joints, because it is their pivot placements that matter, more than the actual bone object itself. The bone itself is a visual aid that is drawn lengthwise from its base to its child object. The child object is usually another bone.

Bones system seen alone and inside a wireframe model, respectively

Any hierarchy can display itself as a bone structure, by simply turning on Bone On/Off in the Object Properties dialog or the Bone Options dialog.

Creating Bones

You can create bones by clicking Create Bones, located in the Animation menu or by accessing the Systems panel under the create branch of the command panel.

To create bones do the following.

  • Your first click in a viewport defines the start joint of the first bone.

  • The second click in a viewport defines the start joint of the next bone. Visually only 1 bone is drawn at this point because bones are visual aids drawn between two pivot points. It is the actual pivot point’s placement that is important.

  • Each subsequent click defines a new bone as a child of the previous bone. The result of multiple clicks is a single chain of bones.

  • Right-click to exit bone creation. This will create a small bone at the end of the hierarchy. This bone is used when assigning IK Chains. You may delete the small bone if IK chains are not to be used on the hierarchy.

To create a branching hierarchy, such as legs branching from a pelvis, do the following:

  • Create a chain of bones and right-click to exit bone creation.

  • Click Bones again, then click the bone where you want to begin branching. The new chain of bones branches from the bone you click.

A simple chain of three bones

Assigning IK Controllers to Bones

By default, bones are not assigned IK controllers. Assigning IK Controllers, also known as Solvers can be done two ways. Typically you would manually assign IK solvers to a hierarchy of bones after creating them using the IK solvers command on the animation menu. This allows for very precise control over where IK chains are defined.

The second method of assigning an IK solver is more automatic. When you create bones and exit bone creation, an IK solver is automatically applied from the first to last bone created. This is not the default behavior. To enable this option

  • Turn on Assign to Children if you want to create a bone structure using the IK controller.

See Introduction to Inverse Kinematics.

Setting the Initial Position of Bones

When you first create a bones system, the position of the bones is the initial state. Before assigning any IK solver or method, you can change the initial state of the bones by moving and rotating the bones individually.

Bone Color

All bones are assigned the color specified for Bones and Link Lines in the Gizmos & Apparatuses section of the Colors panel in the Customize User Interface dialogidh_file_preferences. You can change the color of individual bones by selecting the bone, clicking the active color swatch next to the bone’s name in the Create panel or Modify panel, and then selecting a color in the Object Color dialog.

Bone Fins

Fins are visual aids that help you clearly see a bone’s orientation. Fins can also be used to approximate a characters shape. Bones have three sets of fins: side, front, and back. By default, fins are turned off.

Bones can now have fins

Bones with Fins

Using Constraints with Bones

You can apply constraints to bones as long as an IK solver or method is not controlling the bones. If the bones have an assigned IK controller, you can constrain only the root of a hierarchy or the goal of the chain.

Procedures

To create a bones system:

  1. On the Create panel, click Systems, and then click Bones. You can also access Create Bones through the Animation Menu.

  2. Click in a viewport.

    This creates a joint that is the base of the bone's hierarchy.

  3. Drag to define the length of the second bone.

  4. Click to set the length of the second bone, and then drag to create the third bone. Drag and click to continue creating new bones.

  5. Right-click to end creation.

    The first bone you create is at the top of the hierarchy. The last bone you create is at the bottom. For more about linked objects, see the Hierarchy Panel.

To create a bones hierarchy that uses an IK solver:

  1. In the Create panel, click Systems, and then click Bones.

  2. In the IK Chain Assignment rollout, select an IK Solver from the list. In gmax the IK Limb Solver is the only choice.

  3. Turn on Assign To Children.

  4. In a viewport, click and drag to create the bones. Click twice to create two bones, then right-click to stop bone creation. A third "nub" bone is automatically created when you right-click to stop.

    The bones are drawn with an IK solver applied.

To edit the appearance of a bone:

  1. Select a bone.

  2. Click the Modify tab on the command panel.

  3. Change settings in the Bone Parameters rollout.

To reposition bones in a hierarchy after they’ve already been created:

Note that repositioning a bone affects its length visually. More importantly, it affects the bone’s pivot position. The length of the bone is only a visual aid drawn between each bone’s pivot point. A bone has only one pivot. The bone you see visually is connecting its pivot point to the next bone’s pivot point.

  1. In the Hierarchy panel, click Pivot to enter the pivot panel.

  2. In the Adjust Transform rollout, click Don’t Affect Children.

  3. Move the bone.

  4. Turn off Don’t Affect Children when you are finished editing the bones.

To add wings to a bone:

  1. Select the bone

  2. In the Modify panel, go to the Bone Parameters rollout and turn on Side Fins.

  3. Adjust the size and appearance of the fins with the appropriate spinner.

Interface

IK Chain Assignment rollout (creation time only)

Provides the tools to quickly create a bone chain with an IK solver automatically applied. Also allows for bone creation with no IK solver.

IK Solver drop-down list: Specifies the type of IK solver to be automatically applied if Assign To Children is turned on. In gmax, the IK Limb Solver is the only available choice.

Assign To Children : When on, assigns the IK solver named in the IK solver list to all the newly created bones except the first (root) bone. When off, assigns a standard PRS Transform controller to the bones. Default=off.

Assign To Root: When on, assigns an IK solver to all the newly created bones including the first (root) bone.

Note: Turning on Assign To Children also automatically turns on Assign To Root.

Bone Parameters rollout (creation and modification time)

These controls change the appearance of the bones.

Bone Object group

Width: Sets the width of the bone to be made.

Height: Sets the height of the bone to be made.

Taper: Adjusts the taper of the bone shape. A Taper of 0 produces a box shaped bone.

Bone Fins group

Side Fins: Lets you add a set of fins to the sides of the bones you create.

Size: Controls the size of the fin.

Start Taper: Controls the start taper of the fin.

End Taper: Controls the end taper of the fin

Front Fin: Lets you add a fin to the front of the bone you create.

Size: Controls the size of the fin.

Start Taper: Controls the start taper of the fin.

End Taper: Controls the end taper of the fin.

Back Fin: Lets you add a fin to the back of the bone you create.

Size: Controls the size of the fin.

Start Taper: Controls the start taper of the fin.

End Taper: Controls the end taper of the fin.

Generate Mapping Coords: Creates mapping coordinates on the bones. The bones can have materials applied, which can use these mapping coordinates.

Refine button: Allows you to divide a bone into two bones. Turn on Refine, then click a bone. The bone splits in two, with a joint at the location you clicked.

Refine is not available in the Create panel, but is available when you edit bones in the Modify panel.

Object Properties for Bones

In addition to visual properties, bones have behavioral properties. The controls for these are located in the Object Properties dialog. To access a bone’s object properties, right-click the bone and choosing Properties from the Transform (lower-right) quadrant of the quad menu.

Note: Similar options are available in the Bone Options dialog.

You can use these controls to turn other kinds of objects into bones.

Bone On/Off: When turned on, the bone or object behaves as a bone. Turning this option off causes the node to stop behaving like a bone. There is no auto alignment or stretching. Note that turning this option on doesn't cause the object to immediately align or stretch. However future translations of children may cause rotation and stretching. Default=on for bone objects, off for other kinds of objects.

Auto-Align: When turned off, the bone’s pivot point doesn't align to its child object. The translation of a child bone will not be converted into rotation of the parent. Instead the child is allowed to move away from the parent’s X-axis.

Note that changing the state of this check box does not have an immediate visual effect on the skeleton. It only affects future behavior when bones are moved. This option is only available if Bone is off.

Freeze Length: When turned on, the bone maintains its length. When turned off, the bone’s length is based on the translation of its child bone. This option is available only if Auto-Align is on. Default=on.

Stretch: Determines what kind of stretch takes place. Freeze Length must be off. Default=scale.

None: No stretch takes place.

Scale: Lets the bone scale. The stretch happens along one axis.

Squash: Lets the bone squash. The bone gets fatter as it gets shorter, and thinner as it gets longer.

Axis: Determines the axis used for the stretch.

X/Y/Z: Choose the axis for scaling or squashing.

Flip: Flips the stretch along the selected axis.

Realign: Causes the bone’s X-axis to realign and point at the child bone (or the average pivot of multiple children). Normally this alignment is maintained, and there is no need to use this option. However it is possible for the bones to come out of alignment by turning off Auto-Align and moving a child bone. Use Realign to realign the bone back to its child.

Reset Stretch: Resets the initial child position used to compute the stretch factor to the current child position. This will cause the stretch factor to become equal to one. If it was previously not equal to one then the object would snap to its original unstretched state. Perform a Reset Stretch operation on the parent of a child bone prior to deleting or unlinking the child.


Using Objects as Bones

Select a linked object or multiple objects linked to each other. > Right-click. > Transform (lower-right) quadrant of the quad menu > Object Properties dialog > Bone group > Turn on Bone On/Off toggle.

Select a linked object or multiple objects linked to each other. > Animation menu > Bone Options > Bone Options dialog > Turn on Bone On/Off toggle.

You can use arbitrary objects as bones, controlling their animation as if they were bones in a bones system. You can apply an IK solver to the boned objects.

You display objects as bones using either the Bone group in the Object Properties dialog, or by choosing Bone Options from the Animation menu. The controls in these two locations are similar. The Object Properties controls don't include Show Links and Show Links Only, while the Bone Options dialog does not have the Axis controls that constrain the Stretch options.

Caution: When you turn on Freeze Length, this has no visible effect unless you transform the child of the object to which Freeze Length is applied.

Once the objects have been boned, applying an IK solution behaves as it does for standard bone objects. The geometry of the boned objects can stretch or squash during animation.

Procedure

To display objects as bones:

  1. Link the objects you want to display as bones.

  2. Select all of these objects.

    Note: You can turn on Bone for a single object, but this doesn't have much use.

  3. Do one of the following:

    • Right-click the selection, and choose Properties. (Quad menu > Transform (lower-right) quadrant)

    • Choose Animation > Bone Options.

  4. In the Object Properties or the Bone Options dialog, turn on Bone On/Off.

  5. Select the object to use as the start of the IK chain.

  6. Choose Animation > IK Solvers > HI Solver.

    You can choose a different IK solver, but the HI Solver is the preferred choice.

  7. Click to select the end of the IK chain.

    Now when you transform the boned objects, their movement is governed by the IK solver.


Bone Options Dialog

Animation menu > Bone Options

The Bone Options dialog lets you treat objects as bones. Any object can be displayed as a bone object, just by selecting the object and clicking Bone On/Off. Here you can also control whether the bones will be rigid, or will stretch. There are tools to realign the bones and reset the stretch.

Most of these options are also available in the Object Properties dialog.

Interface

Bone On\Off: Controls the display of the object as a bone. Select any object and turn this on, then in the Display panel, in the Link Display rollout turn on Display Links and Link Replaces Object. The bone will be visible instead of the object.

Auto Align: Automatically aligns the bones.

ReAlign: Pressing this button points the selected bone back toward the correct direction, if it has become unaligned and is pointing away from the next bone in the chain.

Reset Stretch: Returns the bone to its original length.

Freeze Length: Determines whether the bone's length can change.

Caution: When you turn on Freeze Length, this has no visible effect unless you transform the child of the object to which Freeze Length is applied.

When Freeze Length is turned off, the radio buttons below it control how the bone can stretch.

Scale: Lets the bone scale. The stretching happens along one axis.

Squash: Lets the bone squash. The bone gets fatter as it gets shorter, and thinner as it gets longer.

None: No stretch takes place.

Show Link :Displays the link.

Show Links Only: Link replaces the object in the viewport display.

Update Selected: Updates only the selected bones with the dialog settings.


Ring Array

Create panel > Systems > Ring Array button

A Ring Array is a dummy object surrounded by a ring of boxes. You can arrange the boxes in the ring along a sine curve, vary their number, and animate the ring array's parameters. You can also replace the boxes with other objects. To do so you use Track View, as described in the Procedures, below.

Rendered ring array

Procedures

To create the ring array system:

  1. On the Create panel, click Systems, and then click Ring Array.

  2. Drag in a viewport to set the center and radius of the array.

    A dummy object appears at the center. By default, four boxes are evenly spaced in a circle around it.

To animate the ring array:

  1. Turn on the Animate button.

  2. Move to a nonzero frame.

  3. Adjust the ring array parameters.

    You can't animate the number of boxes in the ring.

  4. Repeat steps 2 and 3 for other frames.

Note: To animate the ring array after creation, use the Motion panel, not the Modify panel.

To put other kinds of objects in the ring:

  1. In the Track View hierarchy, select the object container of the object to put in the ring.

  2. Click Copy Object.

  3. Select the object containers of the ring array boxes.

  4. Click Paste.

    The Paste dialog is displayed.

  5. Choose Copy or Instance, and then click OK.

    Object substituted for boxes in array and outcome

Interface

These parameters control ring arrays.

Radius: Sets the radius of the ring. You set the initial Radius value when you drag to create the ring array.

Amplitude: Sets the amplitude of the ring's sine curve, in active units. Amplitude is a height offset from the local origin of the center dummy object.

Cycles: Sets the number of cycles in the ring's sine curve. When Cycles is 0.0, the ring is flat. When Cycles is 1.0, the ring is tilted. Greater values increase the number of peaks in the curve.

Phase: Offsets the phase of the wave. That is, it has the effect of moving the wave along the circumference of the ring. Whole values have no effect; only fractional values do.

Number: Sets the number of boxes in the ring.


Transforms and Transform Tools

Transforms adjust an object's position, rotation, or scale. You can also use transforms to copy objects. The transform tools provide a combination of these operations: transforming objects and in some cases, duplicating them as well.

Transform Commands

Transform Coordinates and Coordinate Center

Transform Constraints

Transform Tools

See also

Using Transforms

Creating Copies and Arrays

Using Shift-Clone


Using Transforms

Changing a model by changing its position, rotation, or scale

A transform is an adjustment of an object’s position, orientation, or scale, relative to the 3D world (or world space) in which you’re working. You can apply three types of transform to an object:

  • Position

  • Rotation

  • Scale

This section presents these brief topics designed to help you quickly start learning how to transform objects, and how to animate your transforms:

Applying Transforms

Moving and Rotating Objects

Scaling Objects

Using the Transform Gizmo

Animating Transforms

Using the Transform Manager

Specifying a Reference Coordinate System

Choosing a Transform Center

Using the Axis Constraints


Applying Transforms

To use a transform, you click one of the three transform buttons on the Main toolbar or choose a transform from a shortcut menu. You then apply the transform to a selected object using the mouse, a type-in dialog, or both.

Using the Transform Type-In

The Transform Type-In is a small dialog you can keep on your screen while you work. Its contents update to match the currently active transform and selected object.

There is also an area on the status bar where you can monitor and update objects’ position, rotation, and scale values.

Using Type-In with Sub-Object Selection

You can use Transform Type-In with any sub-object selection or gizmo. The transform affects the axis tripod for the selection.

Absolute and offset world coordinates are those of the object's or selection's coordinate system, whose origin is indicated by the axis tripod. If multiple vertices are selected, the tripod is at the center of the selection and its location is given in world coordinates.

Because axis tripods cannot be scaled, Absolute Scale fields are unavailable when you are at a sub-object level.

See Basics of Creating and Modifying Objects for information on sub-object selection and gizmos.

Procedures

To transform an object using the main toolbar:

  1. On the Main toolbar, click one of the three transform buttons: Select And Move, Select And Rotate, or Select And Scale. These buttons are usually referred to as Move, Rotate, and Scale.

  2. Position the mouse over the object you want to transform.

    • If the object is already selected, the cursor changes to indicate the transform.

    • If the object is not selected, the cursor changes to a small plus sign to show that the object can be selected.

  3. Drag the mouse to apply the transform.

    If you drag the mouse over an unselected object, it becomes selected and is also transformed.

    You can use the Transform gizmo to easily restrict transforms to one or two axes. See Using the Transform Gizmo.

To cancel a transform:

  • Right-click while you’re dragging the mouse.

To transform an object from the quad menu:

  1. Right-click a selected object. The quad menu lists the three transforms.

  2. Choose one of the transforms. The equivalent transform button is selected on the Main toolbar.

  3. Drag the object to apply the transform.

To use transform type-in:

  1. Choose Tools menu > Transform Type-In to display the dialog.

  2. Apply a transform to a selected object.

  3. You can do any of the following, switching from one to the other as required.

    • Type a value in an axis field and press ENTER to apply the transform change to the selection.

    • Drag a spinner in an axis field to update the selection.

    • Drag the object to apply the transform and read the resulting change in the dialog.

      For example, if Move is active, the dialog fields read out both the absolute and offset positions of the selected object in world space. If no object is selected, the fields turn gray.

To use transform type-in on the status bar:

  1. Select an object or a group of objects.

  2. On the toolbar, choose a transform (Move, Rotate, or Scale) to perform on the objects.

  3. On the status bar, you can do any of the following, switching from one to another as required:

    • Type a value in an axis field and press ENTER to apply the transform change to the selection.

      The Absolute/Offset toggle, to the right of the X,Y,Z fields, lets you switch between entering values that are absolute (in world space) or offset (relative to the selection's present position, orientation, and dimensions).

    • Drag a spinner in an axis field to update the selection.

    • Drag the object to apply the transform and read the resulting change in the X, Y, and Z fields.

      Tip: To see the Z field, drag the transform type-in portion of the toolbar while a pan hand is visible.


Moving and Rotating Objects

Moving a clock model, and rotating some of its component objects

Moving translates, or repositions, an object in the 3D world. Rotation changes the orientation of an object.

To move an object:

  • Click Select And Move on the main toolbar. The button highlights. You can now select objects, move previously selected objects, or both select and move objects in a single mouse action.

The direction of the movement is determined both by your mouse and by the current Transform Coordinate System. In addition, the Axis Constraint buttons limit movement along one or two axes. See later topics in this section for details.

To rotate an object:

  • Click Select And Rotate on the main toolbar. The button highlights. You can now select objects, rotate previously selected objects, or both select and rotate objects in a single mouse action.

The axis about which the rotation takes place is determined by the Axis Constraint buttons. The center of rotation is determined by the Transform Center button. See later topics in this section for details.

Failure to Move or Rotate

In some cases, an object might fail to move or rotate, even when the proper button is on and the object is selected. This could be due to one of the following reasons:

  • The object is frozen. See Selecting Objects.

  • A transform controller has been assigned to the object. See Animation Controllers.

  • Inverse Kinematics mode is on and the preference called Always Transform Children of the World is off. See Introduction to Inverse Kinematics (IK).


Scaling Objects

Scaling changes the size of an object.

The Scale transform button is a flyout that provides three types of scale. The type of scale visible on the main toolbar is the type that appears in the quad menu, accessed by right-clicking a selected object.

To scale an object:

  • Set the Select and Scale button to the scale type you want to use, then click it. The button highlights.

    You can now select objects, scale previously selected objects, or both select and scale objects in a single mouse action.

Uniform Scale

Uniform scale does not change an object's proportions.

Use Uniform Scale to scale the selection equally along all three axes.

The center of the scale is determined by the Transform Center button. The axis constraint buttons and the Transform Coordinate system have no effect on uniform scaling. See topics later in this section.

Non-Uniform Scale

Non-uniform scale can change proportions by having different values for different axes.

Use Non-Uniform Scale to scale the selection differently along the three axes.

The Axis Constraint buttons determine the axis or axes along which the scaling occurs. The Transform Coordinate system determines the direction of the scaling, and the Transform Center button determines the center from and to which the scaling takes place.

Squash

Squash scales two axes in opposite directions, maintaining the object's original volume

Use Squash to scale the selection in one direction along one axis and in the opposite direction along the other axes. Squash gives the appearance of maintaining the volume of the selection.

The Axis Constraint buttons specify the axis of scale, while the remaining axes scale in the opposite direction. If you use a double-axis constraint, the single remaining axis scales in the opposite direction.

Notes on Scaling

If you scale an object and later check its base parameters in the Modify panel, you see the dimensions of the object before it was scaled. The base object exists independently of the scaled object that is visible in your scene.

You can use a tape measure helper object to measure the current dimensions of an object that has been scaled or changed by a modifier. See Precision and Drawing Aids.


Using the Transform Gizmo

Select an object. > Main toolbar > Click any transform button to display the object’s Transform Gizmo icon.

Transform gizmo shows axes that you can drag.

The Transform gizmo is a viewport icon that lets you quickly choose one or two axes when transforming a selection with the mouse. You choose an axis by placing the mouse over any axis of the icon, then drag the mouse to transform the selection along that axis. In addition, you can use the "corner" marks to perform transforms along any two axes simultaneously. Using this gizmo avoids the need to first specify a transform axis or axes on the main toolbar, and also lets you switch quickly and easily between different transform axes and planes.

The Transform gizmo appears when one or more objects are selected and one of the transform buttons (Select And Move, Select And Rotate, or Select And Scale) is active on the main toolbar. Visually, it’s a larger version of the original axis icon, with an arrow at the tip of each axis, and a corner opposite each pair of axes. By default, each axis shaft and arrow is assigned one of three colors: X is red, Y is green, and Z is blue. The corners are assigned the two colors of the related axes; for example, the corner for the XZ plane, seen near the center of the above illustration, is red and blue. The currently active axis or axes/corner combination, as specified by the axis constraint buttons on the main toolbar when dragging, is colored yellow. As you change the axis constraints, either by moving the mouse in the active viewport or from the main toolbar, you can see the corresponding axis (or axes) turn yellow.

When you point the mouse at any axis shaft or arrow, it turns yellow to indicate that it’s active, and changes the main toolbar "Restrict to ..." setting (the X, Y, Z, XY, etc. buttons). You can now drag the selection along the indicated axis or axes.

Note: Using the Transform gizmo sets the default axis constraint to the last axis or axes you used.

Note: Dragging the Transform gizmo temporarily disables snaps. To retain snapping capabilities with Snap and the Transform gizmo on, set the constraints, and then drag away from the gizmo.

Note: If Lock Selection Set is on, you can drag anywhere in the viewport to transform the object. Dragging an axis shaft, however, still applies the constraint along that axis.

Procedures

Example: To explore use of the transform gizmo:

  1. Reset the program, then create a sphere, and then click the Select and Move tool.

    The Transform gizmo appears at the center of the sphere. Because the default axis constraint on the main toolbar is XY, the XY shafts of the Transform gizmo are yellow (active), while the Z shaft is blue.

  2. Use Arc Rotate to adjust the Perspective view for a better view of the Transform gizmo. When you’re done, right-click to return to Select And Move.

  3. Point to any part of the sphere away from the Transform gizmo, and drag to confirm that the sphere is locked to the XY axes.

  4. Point to the Z-axis shaft, and drag.

    The Z shaft turns yellow, the X and Y shafts turn red and green, respectively, and the sphere moves along the Z axis.

  5. Point to the Y shaft, and drag.

    The Y shaft turns yellow, and the sphere moves along only the Y axis.

  6. Point to the red-and-green corner mark opposite the ends of the X and Y axes, and drag.

    The sphere moves along the XY plane.

  7. Press the SPACEBAR to turn on Lock Selection Set.

  8. Drag the mouse anywhere in a viewport away from the selection.

    The sphere moves along the XY plane.

  9. Point to the X shaft, and drag.

    The sphere moves along only the X axis.

    Experiment with other transformations, such as rotation and scale. Try different View Coordinate Systems. Experiment with sub-object transformations.

Interface

Change default colors: Customize menu > Customize User Interface > Colors tab > Gizmo & Apparatuses group.

Enable/disable Transform Gizmo: Customize menu > Preferences > Viewports tab > Transform Gizmo group > On check box.

Note: When you turn off the Transform gizmo in Preferences, the standard axis tripod appears instead. To toggle display of either the gizmo or the tripod, press the X key or use Views menu > Show Transform Gizmo.

See also

Viewports Preferences Settings > Transform Gizmo group


Transform Type-In

Status Bar > Transform Type-In

Tools menu > Transform Type-In

Main toolbar > Right-click Select and Move, Select and Rotate, or one of the Select and Scale buttons.

Transform Type-In allows you to enter precise values for move, rotate, and scale transforms. You can use Transform Type-In with anything that can display an axis tripod or Transform gizmo.

You can also use the Transform Type-In boxes on the status bar. To use the Transform Type-In boxes on the status bar, simply enter the appropriate values in the boxes and press ENTER to apply the transformation. You can alternate between entering absolute transform values or offset values by clicking the Relative/Absolute Transform Type-In button to the left of the transform boxes.

If you choose Transform Type-In from the Tools menu or right-click one of the toolbar buttons, the Transform Type-In pops up as a dialog. The title of the dialog reflects the currently selected transform. If rotate is active, the dialog's title is Rotate and its controls affect rotation. If scale is active, its title is Scale, and so on. You can enter either absolute transform values or offset values in the Transform Type-In dialog.

The Absolute labels for Move and Rotate are always Absolute: World. The Absolute label for Scale is always Local. The Offset labels change based on the Reference coordinate system. The move and rotate transform type-in offsets change to match the reference coordinate system choice (except for View). The scale transform type in Offset percentage also reflects the selected reference coordinate system.

When you use the Transform Type-In at a sub-object level, you transform the transform gizmo of the sub-object selection. So, for example, the absolute position values represent the absolute world position of the transform gizmo. If you've selected a single vertex, it's the absolute world position of the vertex.

If multiple vertices are selected, the Transform gizmo is placed at the center of the selection, so the position you specify in the Transform Type-In sets the absolute position of the center of the selected vertices.

When multiple vertices are selected in Local transform mode, you end up with multiple transform gizmos. In this case, only the Offset control is available.

Because the axis tripods are not scaled, the Absolute Scale control is not available in sub-object mode. Only Offset is available.

When you use the Transform Type-In for Absolute rotation, the state of the Center flyout is respected. You can perform absolute rotations about the pivot point of the object, the selection center, or transform coordinate center.

Procedure

To use transform type-in:

  1. Select an object or a group of objects.

  2. Choose a Transform to perform on the objects (Move, Rotate, or Scale).

  3. You can do any of the following, switching from one to another as required:

    • Type a value in an axis field and press ENTER to apply the transform change to the object in the viewport.

    • Drag a spinner in an axis field to update the object in the viewport.

    • Drag the object to apply the transform and read the resulting change in the axis fields.

      For example, if Move is active, the fields read out both the absolute positions of the selected object in world space. If no object is selected, the fields turn gray.

Interface

Status bar

Relative/Absolute Transform Type-In: When this is on, the values entered into the X, Y, and Z text boxes are relative transform values. When this is off, they are absolute values.

X, Y, and Z: Display and accept entry for absolute values of position, rotation, and scale along all three axes.

Absolute group (Dialog)

X, Y, and Z: Display and accept entry for absolute values of position, rotation, and scale along all three axes. Position and rotation are always displayed, as world scale is always local.

Offset group (Dialog)

X, Y, and Z: Display and accept entry for offsets of the position, rotation, and scale values along all three axes.

Offset values revert to zero after each operation. If you enter 45 degrees in the Offset field, when you press ENTER, the object is rotated 45 degrees from its previous position, the Absolute field is increased by 45 degrees, and the Offset field reverts to zero.

Offset labels reflect the selected reference coordinate system. The Offset can be Offset: Local, Offset: Parent, etc. If you use pick to select the reference coordinate system of a particular object, the Offset will be named with that object.


Animating Transforms

You can animate your changes in position, rotation, and scale (transforms) by turning on the Animate button and then performing the transform at any frame other than frame 0. This creates a key for that transform at the current frame.

To animate an object between three points:

  1. Click the Animate button to turn it on.

    The Animate button and the highlight border around the active viewport both turn red.

  2. Drag the time slider to frame 25, for example.

  3. Move the object from point A to point B.

    A Move key is created at frames 0 and 25. The establishing key at frame 0 describes the object’s position at point A. The key at frame 25 describes the object’s position at frame 25.

  4. Drag the time slider to frame 50.

  5. Move the object from point B to point C.

    A Move key, which appears on the track bar, is created at frame 50 that describes the object’s position at point C.

  6. Click the Animate button to stop recording.

  7. Click the Play Animation button.

    The object moves from point A to point B over frames 0 to 25, then proceeds to point C over frames 26 to 50.

  8. The Play button has turned into a Stop button; click Stop to stop playback.

You can combine different transforms in a single animation sequence, so that an object appears to move as it rotates and changes in size.

See Animation Concepts and Methods for more information on animation techniques.


Transform Managers

To the right of the transform buttons on the Main toolbar are six controls, collectively referred to as the transform managers. These controls modify the action of the three transform buttons.

You use the transform manager controls to specify:

  • The reference coordinate system.

  • The transform center about which you apply the transform.

  • The axis constraints that restrict the transform along one or two axes.

Definitions

Certain terms are used in the description of transforms and the transform managers.

  • An axis is a straight line along which an object is moved or scaled, or about which an object is rotated. When you work in 3D, you use three axes, labeled X, Y, and Z, that are oriented 90 degrees from each other.

  • A transform coordinate system specifies the orientation of the three X, Y, Z axes used by a transform.

    For example, in the World coordinate system, as seen from the Front view, the X axis runs horizontally from left to right, the Y axis runs from back to front, and the Z axis runs vertically, from bottom to top.

    On the other hand, each object carries its own Local coordinate system. If the object has been rotated, its Local coordinate system will be completely different from the world coordinate system.

  • The transform center, or pivot point, is the spot about which a rotation takes place, or to and from which a scale occurs.

Using the transform managers on the main toolbar, you can specify any combination of axes, transform coordinate systems, and transform centers.

Axis Tripod Icon

An axis tripod appears in the viewports when you select one or more objects, to assist you visually in your transforms. This tripod consists of three lines, labeled X, Y, and Z, and shows you three things:

  • The orientation of the tripod reveals the orientation of your coordinate system.

  • The location of the junction of the three axis lines shows you where your transform center is.

  • The highlighted red axis lines show you the axis or axes to which the transform is constrained. For example, if only the X axis line is red, you can move objects only along the X axis.

Note: The Transform gizmo normally supplants the axis tripod for selections when a transform mode is active. Besides providing all of the above functions, it lets you specify the transform axis or axes without explicitly setting constraints; see Using the Axis Constraints. For more on the Transform gizmo, see Using the Transform Gizmo.

You can toggle the display of the axis tripod in all viewports by choosing Views menu > Show Transform Gizmo, or by pressing the X key.

Transform Manager Settings

The state of the three transform managers (coordinate system, center, and axis constraints) is stored with each type of transform. When you switch from Move to Rotate to Scale, the transform managers change to whatever combination they were in when you last used that transform.

For example, if you click Rotate and set the transform managers to Screen, Selection Center, and Y constraint, when you click Move, the controls might shift to View, Pivot Point, and XY constraint (whichever combination was set the last time you used the Move button). When you go back to Rotate, the controls revert to Screen, Selection Center, and Y constraint.

Tip: To avoid surprises, always click the transform button first, and then set the transform managers. If, instead, you first set the transform managers, their settings are likely to change as soon as you choose a new transform button. One way to remember this is always to set the transform and managers by working from left to right on the main toolbar. Alternatively, you can turn on Customize menu > Preferences > General tab > Reference Coordinate System group > Constant, which keeps the transform manager settings the same for all transforms.


Specifying a Reference Coordinate System

The reference coordinate system determines the orientation of the X, Y, and Z axes used by the transform. The type of transform system you use affects position, rotation, and scale transforms.

You specify your transform coordinate system using the Reference Coordinate System list.

Creating a Local Axis

While modeling, it’s often helpful to have a temporary, movable local axis so you can rotate or scale about an arbitrary center.

Note: This technique does not work for animation. See Choosing a Transform Center for animation tips.

To create an adjustable local axis:

  1. Create a Point helper object.

    You create helper objects in the Create panel. Click the Helpers button, click Point, and then click in a viewport.

  2. Click Pick in the Transform Coordinate System list, and then click the point object.

    The name of the point object appears in the list.

    Now you can use the point object’s coordinate system as an adjustable axis.

To use the adjustable axis:

  1. Place the point object where you want the rotate or scale transform to be centered.

  2. Select the object you want to transform.

  3. Choose the point object’s name in the Transform Coordinate System dropdown list.

  4. Click Use Transform Coordinate Center in the Use Center flyout. For more information, see Choosing a Transform Center.

  5. Proceed with the transform.


Choosing a Transform Center

The transform center affects scale and rotation transforms, but has no effect on position transforms.

There are three types of transform center, which you choose using the Use Center flyout on the Main toolbar. As you change the transform center, the junction of the axis tripod icon moves to the location you specify.

By default, gmax sets the transform center to Use Pivot Point center for single objects. When you select multiple objects, the default transform center changes to Use Selection Center, because selection sets have no pivot point. You can change the transform center in either case, and the program remembers and restores the transform center setting separately for selections of single and multiple objects (during the current session).

For example, you might select a single object and click Use Transform Coordinate Center, and then select multiple objects and click Use Pivot Point Center. When you next select a single object, the program switches back to Use Transform Coordinate Center. Then, when you select multiple objects, the center switches back to Pivot Point.

1. User selects single object.

2. User clicks Use Transform Coordinate Center from Use Center flyout on Main toolbar.

3. User adds second object to selection.

4. Transform center changes to Use Selection Center when selection set contains more than one object.

5. User clicks Use Pivot Point Center while multiple objects still selected.

6. User selects single object.

7. Transform center returns to Use Transform Coordinate Center (see Step 2).

8. User selects multiple objects.

9. Transform center returns to Use Pivot Point Center (see step 5).

Transforming About Snapped Points

While the transform center choices are often useful at the object level, they are not usually convenient when transforming sub-object selections. You can override the active transform center and perform the current transform about a temporary point by using snaps. When Snaps is active, and your selection is locked, the point you snap to will set the point about which the transform is performed. Using this technique, you can:

  • Move relative to two snap points.

  • Rotate about a snapped point.

  • Scale about a snapped point.

See Snaps Settings for more details.

Animation and the Transform Center

Because of the nature of keyframing, rotation, and scale transforms can be properly keyframed only using an object’s local pivot point. For example, while modeling, you can rotate an object that’s offset from the world origin around the world center coordinate system. The object sweeps around the origin in a large arc. However, if you attempt to animate this, the object rotates about its local axis and moves in a straight line from one end of the arc to the other.

Note: To avoid this discrepancy, if the Animate button is on and either the Rotate or Scale buttons is active, the Use Center flyout is inactive and set to Use Pivot Point. When the Animate button is off, all transforms use the center settings as previously described.

You can override this behavior by turning off the Local Center During Animate parameter in the Preferences dialog; see Animation Preferences Settings.

Keep in mind that this affects only the center of the transform. The orientation of the selected transform coordinate system is still in effect.

Animating "Off-Center"

You can animate a rotation or scale about an off-center point by linking your object as child to a dummy helper object, and then rotating or scaling about the dummy.

Another technique is to offset the pivot point of your object using the Hierarchy panel.

See About Hierarchies for information about linking, dummy objects, and the Hierarchy panel.


Using the Axis Constraints

To the right of the Use Center flyout on the Main toolbar are the Restrict to ... buttons, also called the Axis Constraint buttons. These let you specify one or two axes about or along which the transform takes place.

Note: It's generally easier to use the Transform gizmo than these buttons; see Using the Transform Gizmo. But it is helpful to understand the concepts explained below.

Only one of the four Axis Constraint buttons is active at a time. When a button is turned on, transforms are constrained to the axis it specifies. For example, if you turn on the Restrict to X button, you can rotate an object only about the X axis of the current transform coordinate system.

The axis or axes to which you’re constrained are highlighted in red on the axis tripod icon in viewports, or in yellow on the Transform gizmo.

The first three buttons constrain the transform to a single axis. The fourth button is a flyout, the Restrict to Plane flyout, that specifies double-axis combinations.

For example, if the Restrict to YZ Plane button is active, you can move an object only along the YZ plane, you can scale it only along the Y and Z axes, and you can rotate it about the Y and Z axes (or a combination of the two) but not about the X axis.

Note: Normally axis constraints apply when using Snap. You can override this by turning off Use Axis Constraints in the Snap Options Settings.

Keyboard Shortcuts for Axis Constraints

As an alternative to clicking the buttons on the Main toolbar, you can use the four function keys F5 through F8 to select the four axis constraint buttons. F5 activates the X button, F6 the Y, F7 the Z, and F8 activates the double-axis flyout. Press F8 repeatedly to cycle through the three double-axis buttons.


Reset Transform Utility

Utilities panel > Utilities rollout > Reset XForm button

Use the Reset Transform utility to push object Rotation and Scale values onto the Modifier Stack display and align object pivot points and bounding boxes with the World coordinate system. Reset Transform removes all Rotation and Scale values from selected objects and places those transforms in an XForm modifier.

To reset the transform of a group, use the Transform button in the Reset group box of the Hierarchy panel.

Procedure

To reset an object's transform:

Select an object.

  1. On the Utilities panel, click Reset XForm.

  2. In the Reset Transform rollout, click Reset Selected.

    Object rotation and scaling are now carried by an XForm modifier placed at the top of the Modifier Stack.

    When you apply the Reset Transform from the Utilities panel, a new XForm modifier that carries the rotation and scale values is placed at the top of the Modifier Stack display. You can apply other modifiers above and below the XForm modifier. You can select the XForm modifier and add other Move, Rotate, and Scale transforms. You can delete the XForm modifier to completely remove the transforms from the object. You can collapse the object to absorb the rotation and scale values into the object mesh.

Interface

Reset selected: Removes all Rotation and Scale values from selected objects and places those transforms in an XForm modifier.


Transform Commands

The basic transform commands are the most straightforward way to change an object's position, rotation, or scale. These commands appear on the default main toolbar. They are also available from the default quad menu.

Move

Rotate

Uniform Scale

Non-Uniform Scale

Squash

See also

Using Transforms

Using Shift-Clone

Transform Type-In


Select and Move

Main toolbar > Select and Move

Right-click an object. > Move

Moving an object

Use the Select and Move button to select and move objects.

To move a single object, you do not need to select it first. When this button is active, clicking an object selects it and dragging the mouse moves it.

To restrict object movement to the X, Y, or Z axis, or to any two axes, click the appropriate button further to the right on the toolbar, or use the Transform Gizmo, or right-click the object and select the constraint from the Transform submenu.


Select and Rotate

Main toolbar > Select and Rotate

Right-click an object. > Rotate

Rotating an object

Use the Select and Rotate button to select and rotate objects.

To rotate a single object, you don't need to select it first. When this button is active, clicking an object selects it and dragging the mouse rotates it.

When you are rotating an object about a single axis (which is usually the case), don't rotate the mouse, expecting the object to follow the mouse movement. Just move the mouse straight up and straight down. Up rotates the object one way, down rotates it the opposite way.

To restrict rotation about the X, Y, or Z axis, or to any two axes, click the appropriate button further to the right on the toolbar, or use the Transform Gizmo.

Procedure

This procedure illustrates the intuitive usage of the default TCB Rotation controller, enhanced in gmax. This also applies to the Euler XYZ controller.

To animate object rotation interactively

  1. Add an object.

  2. Move the time slider to a frame other than 0 and turn on Animate.

  3. Choose Select And Rotate.

  4. Rotate the object on any axis by any amount.

  5. Move the time slider to a later frame.

  6. Rotate the object on the same axis by an amount greater than 180 degrees.

  7. Play back the animation.

    The rotation plays back exactly as you recorded it.


Select and Uniform Scale

Main toolbar > Select and Uniform Scale (on Select and Scale flyout)

Right-click an object. > Scale (selects current toolbar Scale mode)

Uniform scale does not change an object's proportions

The Select and Uniform Scale button, available from the Select and Scale flyout, lets you scale objects by the same amount along all three axes, maintaining the object's original proportions.

To scale a single object, you don't need to select it first. When this tool is active, clicking an object selects it and dragging the mouse scales it.


Select and Non-Uniform Scale

Main toolbar > Select and Non-Uniform Scale (on Select and Scale flyout)

Right-click an object. > Scale (selects current toolbar Scale mode)

Non-uniform scale can change proportions by having different values for different axes

The Select and Non-Uniform Scale button, available from the Select and Scale flyout, lets you scale objects in a non-uniform manner according to the active axis constraint.

You can restrict the objects' scaling about the X, Y, or Z axis, or to any two axes, by first clicking the appropriate button further to the right on the toolbar, or with the Transform Gizmo.

To scale a single object, you don't need to select it first. When this tool is active, clicking an object selects it and dragging the mouse scales it.

Important: Avoid applying non-uniform scale at the object level. Non-uniform scaling is applied as a transform and changes the axes of the object, so it affects other object properties. It also alters the properties passed hierarchically from parent to child. When you perform other operations on the object, such as rotation, inverse kinematic calculations, and other positioning operations, you may not get the results you expect. To recover from these problems, use the Hierarchy panel's Reset Scale button or the Utilities panel's Reset Xform utility. Either of these options will reset the axes to use the non-uniform scale as the fundamental scale for the object. For more information, see Select and Non-Uniform Scale/Squash Alert.


Select and Squash

Main toolbar > Select and Squash (on Select and Scale flyout)

Right-click an object. > Scale (selects current toolbar Scale mode)

Squash scales two axes in opposite directions, maintaining the object's original volume

The Select and Non-Uniform Scale button, available from the Select and Scale flyout, lets you scale objects according to the active axis constraint. Squashing an object always involves scaling down on one axis while simultaneously scaling up uniformly on the other two (or vice-versa).

You can restrict object scaling about the X, Y, or Z axis, or to any two axes, by first clicking the appropriate button further to the right on the toolbar.

When the Select and Squash tool is active, clicking an object selects it and dragging the mouse scales it.

Important: Avoid applying non-uniform scale at the object level. Non-uniform scaling is applied as a transform and changes the axes of the object, so it affects other object properties. It also alters the properties passed hierarchically from parent to child. When you perform other operations on the object, such as rotation, inverse kinematic calculations, and other positioning operations, you may not get the results you expect. To recover from these problems, use the Hierarchy panel's Reset Scale button or the Utilities panel's Reset Xform utility. Either of these options will reset the axes to use the non-uniform scale as the fundamental scale for the object. For more information, see Select and Non-Uniform Scale/Squash Alert.


Select and Non-Uniform Scale/Squash Alert

Main toolbar > Select and Non-Uniform Scale (on Select and Scale flyout)

Main toolbar > Select and Squash (on Select and Scale flyout)

If you transform an object using Select and Non-Uniform Scale or Select and Squash, the results may not be what you expect, especially with objects to which you have already applied one or more modifiers. This is because the transform is performed after all existing modifiers have taken effect.

You may prefer the result of applying the transform to an XForm modifier placed lower in the stack; in most cases, immediately above the object position.

Procedure

To apply Select and Non-Uniform Scale or Select and Squash to an XForm modifier in the stack:

  1. Select the object to be scaled.

  2. Go to the Modify panel.

  3. In the Modifier Stack rollout, click the Modifier Stack drop-down list at the top of the rollout.

  4. On the list, click the stack level above which you want to apply the scaling operation. Typically, this would be the object level, at the bottom of the list.

  5. Click the Modifiers rollout > More button, and from the Modifiers list, click XForm (you may have to scroll to the bottom of the list to find it).

  6. Click OK to exit the Modifiers list dialog.

    The XForm modifier's gizmo sub-object is now active, and any transforms you make are applied to the gizmo, and thence to the object.

  7. Apply any transforms you want to make.

    You can move this transform to any other stack level using standard cut-and-paste procedures. See Modifier Stack.


Transform Coordinates and Coordinate Center

Controls for setting the coordinate system and the active center for transforms to use are on the default main toolbar.

Reference Coordinate System

Use Pivot Point Center

Use Selection Center

Use Transform Coordinate Center

See also

Using Transforms


Reference Coordinate System

Main toolbar > Reference Coordinate System list

The Reference Coordinate System list lets you specify the coordinate system used for a transformation (Move, Rotate, and Scale). Options include View, Screen, World, Parent, Local, Grid, and Pick.

In the Screen coordinate system, all views (including perspective views) use the viewport screen coordinates.

View is a hybrid of World and Screen coordinate systems. Using View, all orthographic views use the Screen coordinate system, while perspective views use the World coordinate system.

Note: The coordinate system is set on a transform-by-transform basis, so select the transform before you select the coordinate system. If you do not want the coordinate system to change, turn on Customize menu > Preferences > General tab > Reference Coordinate System group > Constant.

Interface

View: In the default View coordinate system, X, Y, and Z axes are the same in all viewports. When you move an object using this coordinate system, you are moving it relative to the space of the viewport.

  • X always points right.

  • Y always points up.

  • Z always points straight out of the screen toward you.

Screen: Uses the active viewport screen as the coordinate system.

  • X is horizontal, running in a positive direction toward the right.

  • Y is vertical, running in a positive direction upward.

  • Z is depth, running in a positive direction toward you.

Since the Screen mode depends on the active viewport for its orientation, the X, Y, and Z labels on an axis tripod in an inactive viewport show the orientation of the currently active viewport. The labels on that tripod will change when you activate the viewport it is in.

World: Uses the world coordinate system. Seen from the front:

  • X runs in a positive direction to the right.

  • Z runs in a positive direction upward.

  • Y runs in a positive direction away from you.

Parent: Uses the coordinate system of the parent of the selected object. If the object is not linked to a specific object, it's a child of the world, and the parent coordinate system is the same as the world coordinate system.

Local: Uses the coordinate system of the selected object. An object's local coordinate system is carried by its pivot point. You can adjust the position and orientation of the local coordinate system, relative to its object, using the options on the Hierarchy command panel.

When Local is active, the Use Transform Center button is inactive and all transforms use the local axis as the center of transformation. In a selection set of several objects, each uses its own center for the transform.

Grid: Uses the coordinate system of the active grid.

Pick: Uses the coordinate system of another object in the scene.

After you choose Pick, click to select the single object whose coordinate system the transforms will use. The object's name appears in the Transform Coordinate System list.

The fact that an object's name in is saved in the list lets you pick an object's coordinate system, change the active coordinate system, and then use the object's coordinate system again at a later time. The list saves the four most recently picked object names.

When using Pick to specify an object as a reference coordinate system, you can press H to display the Select Object dialog and pick the object from there.


Use Pivot Point Center

Main toolbar > Use Pivot Point Center (on Use Center flyout)

The Use Pivot Point Center button, available from the Use Center flyout, lets you enable rotation or scaling of one or more objects around their respective pivot points.

The axis icons show the centers that are currently being used.

Note that transformation center mode is set on a transform-by-transform basis, so select the transform before you select the center mode. If you do not want the constraints to change, turn on Customize menu > Preferences > General tab > Reference Coordinate System group > Constant.


Use Selection Center

Main toolbar > Use Selection Center (on Use Center flyout)

The Use Selection Center button, available from the Use Center flyout, lets you enable rotation or scaling of one or more objects around their collective geometric center. If you transform multiple objects, the software calculates the average geometric center of all the objects and uses that for the transform center.

The axis icon shows the center that is currently being used.

Note that transformation center mode is set on a transform-by-transform basis, so select the transform before you select the center mode. If you do not want the constraints to change, turn on Customize menu > Preferences > General tab > Reference Coordinate System group > Constant.


Use Transform Coordinate Center

Main toolbar > Use Transform Coordinate Center (on Use Center flyout)

The Use Transform Coordinate Center button, available from the Use Center flyout, lets you enable rotation or scaling of an object or objects around the center of the current coordinate system.

The axis icon shows the center that is currently being used.

Note that transformation center mode is set on a transform-by-transform basis, so select the transform before you select the center mode. If you do not want the constraints to change, turn on Customize menu > Preferences > General tab > Reference Coordinate System group > Constant.


Transform Constraints

Controls for constraining transforms to operate along a single axis, or in a single plane, are on the default main toolbar.

The transform gizmo also provides a way to constrain transforms.

Restrict to X

Restrict to Y

Restrict to Z

Restrict to XY Plane

Restrict to YZ Plane

Restrict to ZX Plane

See also

Using Transforms

Using the Axis Constraints

Using the Transform Gizmo


Restrict to X

Main toolbar > Restrict to X

Use Restrict to X to limit all transformations (move, rotate, scale) to the X-axis.

When you click Select and Move and then click Restrict to X, you will only be able to move the object on this axis. Use this when you want to make sure you don’t inadvertently move an object in the other directions.

You can also restrict transformations to the X-axis when using the Transform Gizmo. Selecting the X tripod head will allow you to move only in X.

Note that constraints are set on a transform-by-transform basis, so select the transform before you select the axis constraint. If you do not want the constraints to change, turn on Customize menu > Preferences > General tab > Reference Coordinate System group > Constant.

The axis constraints are stored separately at object and sub-object levels. If you set these three controls one way while in sub-object mode and another way while in object selection level, when you return to sub-object mode, they're restored to the way they were previously set. For example, if you're using XY constraints at object level, then switch to sub-object level and use Z constraint, when you return to object level, XY will be restored.

Snaps can conflict with Restrict to X. Go to Customize menu > Grid and Snap Settings > Options > Translation to find the Use Axis Constraints check box. When this is off, Snaps take precedence over axis constraints.


Restrict to Y

Main toolbar > Restrict to Y

Restrict to Y lets you limit all transformations (move, rotate, scale) to the Y-axis.

When you click Select and Move and then click Restrict to Y, you will be able to move the object only on this axis. Use this when you want to make sure you don’t inadvertently move an object in any other direction.

You can also restrict transformations to the Y-axis using the Transform Gizmo. Selecting the Y tripod head will allow you to move only in Y.

Note that constraints are set on a transform-by-transform basis, so select the transform before you select the axis constraint. If you do not want the constraints to change, turn on Customize menu > Preferences > General tab > Reference Coordinate System group > Constant.

The axis constraints are stored separately at object and sub-object levels. If you set these three controls one way while in sub-object mode and another way while in object selection level, when you return to sub-object mode, they're restored to the way they were previously set. For example, if you're using XY constraints at object level, then switch to sub-object level and use Z constraint, when you return to object level, XY will be restored.

Snaps can conflict with Restrict to Y. Go to Customize menu > Grid and Snap Settings > Options > Translation to find the Use Axis Constraints check box. When this is off, Snaps take precedence over axis constraints.


Restrict to Z

Main toolbar > Restrict to Z

Restrict to Z lets you limit all transformations (move, rotate, scale) to the Z-axis.

When you click Select and Move and then click Restrict to Z, you will be able to move the object only on this axis. Use this when you want to make sure you don’t inadvertently move an object in any other direction.

You can also restrict transformations to the Z-axis when using the Transform Gizmo. Selecting the Z tripod head will allow you to move only in Z.

Note that constraints are set on a transform-by-transform basis, so select the transform before you select the axis constraint. If you do not want the constraints to change, turn on Customize menu > Preferences > General tab > Reference Coordinate System group > Constant.

The axis constraints are stored separately at object and sub-object levels. If you set these three controls one way while in sub-object mode and another way while in object selection level, when you return to sub-object mode, they're restored to the way they were previously set. For example, if you're using XY constraints at object level, then switch to sub-object level and use Z constraint, when you return to object level, XY will be restored.

Snaps can conflict with Restrict to Z. Go to Customize menu > Grid and Snap Settings > Options > Translation to find the Use Axis Constraints check box. When this is off, Snaps take precedence over axis constraints.


Restrict to XY Plane

Main toolbar > Restrict to XY Plane (on Restrict to Plane flyout)

The Restrict to XY Plane button, available from Restrict to Plane flyout, lets you limit all transformations (move, rotate, scale) to the XY axes (by default, parallel with the Top view).

You can also select planar constraint by using the Transform Gizmo. Instead of clicking the tripod heads, choose the corner marks that are part of the gizmo. You can cycle through constraints by selecting the other sets of corner marks to choose the alternate planes.

When you move an object along a plane that is head-on to your view, the object moves along the single available axis shown in the view.

Note that constraints are set on a transform-by-transform basis, so select the transform before you select the axis constraint. If you do not want the constraints to change, turn on Customize menu > Preferences > General tab > Reference Coordinate System group > Constant.

The axis constraints are stored separately at object and sub-object levels. If you set these three controls one way while in sub-object mode and another way while in object selection level, when you return to sub-object mode, they're restored to the way they were previously set. For example, if you're using XY constraints at object level, then switch to sub-object level and use Z constraint, when you return to object level, XY will be restored.

Snaps can conflict with Restrict to XY Plane. Go to Customize menu > Grid and Snap Settings > Options > Translation to find the Use Axis Constraints check box. When this is off, Snaps take precedence over axis constraints.


Restrict to YZ Plane

Main toolbar > Restrict to YZ Plane (on Restrict to Plane flyout)

The Restrict to YZ Plane button, available from the Restrict to Plane flyout, lets you limit all transformations (move, rotate, scale) to the YZ axes (by default, parallel with the Left view).

You can also select planar constraint by using the Transform Gizmo. Instead of clicking the tripod heads, choose the corner marks that are part of the gizmo. You can cycle through constraints by selecting the other sets of corner marks to choose the alternate planes.

When you move an object along a plane that is head-on to your view, the object moves along the single available axis shown in the view.

Note that constraints are set on a transform-by-transform basis, so select the transform before you select the axis constraint. If you do not want the constraints to change, turn on Customize menu > Preferences > General tab > Reference Coordinate System group > Constant.

The axis constraints are stored separately at object and sub-object levels. If you set these three controls one way while in sub-object mode and another way while in object selection level, when you return to sub-object mode, they're restored to the way they were previously set. For example, if you're using XY constraints at object level, then switch to sub-object level and use Z constraint, when you return to object level, XY will be restored.

Snaps can conflict with Restrict to YZ Plane. Go to Customize menu > Grid and Snap Settings > Options > Translation to find the Use Axis Constraints check box. When this is off, Snaps take precedence over axis constraints.


Restrict to ZX Plane

Main toolbar > Restrict to ZX Plane (on Restrict to Plane flyout)

The Restrict to ZX Plane button, available from the Restrict to Plane flyout, lets you limit all transformations (Move, Rotate, and Scale) to the ZX axes (by default, parallel with the Front view).

You can also select planar constraint by using the Transform Gizmo. Instead of clicking the tripod heads, choose the corner marks that are part of the gizmo. You can cycle through constraints by selecting the other sets of corner marks to choose the alternate planes.

When you move an object along a plane that is head-on to your view, the object moves along the single available axis shown in the view.

Note that constraints are set on a transform-by-transform basis, so select the transform before you select the axis constraint. If you do not want the constraints to change, turn on Customize menu > Preferences > General tab > Reference Coordinate System group > Constant.

The axis constraints are stored separately at object and sub-object levels. If you set these three controls one way while in sub-object mode and another way while in object selection level, when you return to sub-object mode, they're restored to the way they were previously set. For example, if you're using XY constraints at object level, then switch to sub-object level and use Z constraint, when you return to object level, XY will be restored.

Snaps can conflict with Restrict to ZX Plane. Go to Customize menu > Grid and Snap Settings > Options > Translation to find the Use Axis Constraints check box. When this is off, Snaps take precedence over axis constraints.


Transform Tools

The transform tools can transform objects according to certain conditions. Some of them, such as Array, also create copies of objects.

These tools are available on the default main toolbar. They also appear on the default Tools menu.

Mirror Selected Objects

Array

Snapshot

Spacing Tool

Align

Normal Align

Place Highlight

Align Camera

Align to View

See also

Using Transforms

Using Shift-Clone

Creating Copies and Arrays


Mirror Selected Objects

Main toolbar > Mirror Selected Objects

Tools menu > Mirror

Mirroring an object

Clicking the Mirror button displays the Mirror dialog which enables you to move one or more objects while mirroring their orientation. The Mirror dialog also allows you to mirror the current selection about the center of the current coordinate system. You can create a clone with the mirror dialog at the same time. If you mirror a hierarchical linkage you have the option to mirror the IK limits.


Mirror Dialog

Main toolbar > Mirror > Mirror dialog

Tools menu > Mirror > Mirror dialog

The Mirror dialog enables you to move one or more objects while mirroring their orientation. It also lets you mirror the current selection about the center of the current coordinate system. You can create a clone with the mirror dialog at the same time. If you mirror a hierarchical linkage you have the option to mirror the IK limits.

The Mirror dialog uses the current reference coordinate system, as reflected in its name. For example, if Reference Coordinate System is set to Local, the dialog is named Mirror: Local Coordinates. There is one exception: If Reference Coordinate System is set to View, Mirror uses Screen coordinates.

As you adjust the various settings in the Mirror dialog, you see the results in the viewports.

For more information on using Mirror, see Mirroring Objects.

Procedures

To mirror an object:

  1. Make any object selection.

  2. Click Mirror on the Main toolbar, or choose Tools > Mirror from the menu bar.

    This brings up the Mirror Selection dialog.

  3. Set the mirror parameters in the dialog.

    The active viewport changes to show the effect of each parameter as you set it. When you click OK, the software creates the choice of mirror that you see previewed.

To make a clone using mirror:

  1. Make any object selection

  2. Click Mirror on the Main toolbar, or choose Tools > Mirror from the menu bar.

    This brings up the Mirror Selection dialog.

  3. In Clone Selection, turn on the appropriate choice of copy, instance or reference.

Interface

Mirror Axis group

Option buttons on the Constraints toolbar labeled X, Y, Z, XY, XZ, YZ specify the direction of the mirroring.

Offset: Specifies the distance of the mirrored object's pivot point from the original object's pivot point.

Clone Selection group

Determines the type of copy made by the Mirror function. Default is No Clone.

No Clone: Mirrors the selected object to the new position without making a copy.

Copy: Mirrors a copy of the selected object to the specified position.

Instance: Mirrors an instance of the selected object to the specified position.

Reference: Mirrors a reference of the selected object to the specified position.

If you have Animation turned on, mirroring generates a Scale key.

Mirror IK Limits: Causes the IK constraints to be mirrored (along with the geometry) when you mirror the geometry about a single axis. Clear this if you don't want the IK constraints to be affected by the mirror command. Default is On.

Mirror Bones: Turn on when you are mirroring a Bones system or objects being used as bones. If this toggle is off when you mirror bones, the subsequent results of an IK solution might be unpredictable.


Array (Main Toolbar)

Array

Main toolbar > Array (on Array flyout)
Tools menu > Array

A one-dimensional array

Clicking the Array button, available from the Array flyout, displays the Array dialog which enables you to create an array of objects based on the current selection.


Array Dialog

Main toolbar > Array (on Array flyout) > Array dialog

Tools menu > Array > Array dialog

Procedures Interface

The Array dialog enables you to create an array of objects based on the current selection.

The items in the Array Dimensions group let you create one-, two-, or three-dimensional arrays. In this case, the term dimension refers to the dimension of arraying the objects. For example, a row of five objects is a single-dimension array, even though it takes up three-dimensional space in the scene. An array of objects that's five rows by three columns is a two-dimensional array, and an array of objects that's five rows by three columns by two levels is a three-dimensional array.

Procedures

To create an array:

  1. Select the object(s) to array.

  2. Click Array or choose Tools > Array.

  3. In the Array dialog, select the type of object to output (copy, instance, or reference).

  4. Click the arrow to indicate whether to set Incremental or Total array parameters for Move, Rotate, and Scale.

  5. Enter coordinates for the Array Transformation parameters.

  6. Indicate whether you want a 1D, 2D, or 3D array.

  7. Set count to the number of copies.

  8. Enter the appropriate values in the numeric fields for Incremental Row Offsets.

  9. Click OK.

    The current selection is duplicated the specified number of times, with each object transformed as indicated.

To replace an array:

  1. Undo the array to replace, using Edit > Undo Create Array, or press CTRL+Z.

  2. Change the coordinate system and transform center, if needed.

  3. Click Array to display the Array dialog and adjust any of the parameters.

  4. Create a new array, which replaces the previous version. Repeat these steps to fine-tune the array.

Example: To create an array of objects that numbers 5 x 4 x 3:

  1. Create a teapot with a radius of about 10 units.

  2. Click Array to display the Array dialog.

  3. In the Incremental set of spinners, adjust the Move X spinner to 50 to array each object 50 units apart.

  4. In the Array Dimensions group, choose the 3D button to enable all of the spinners in that group.

  5. Set the 1D Count spinner to 5, the 2D Count spinner to 4, and the 3D Count spinner to 3.

    This creates a row of 5 objects that are 50 units apart, and then 4 rows of those five objects, and then 3 rows of the 5 x 4 matrix of objects, resulting in a box array.

  6. In the 2D row, set the Y spinner to 80.

  7. In the 3D row, set the Z spinner to 100.

  8. Click OK.

    A box array of teapots appears. The first dimensional is five teapots created along the X world axis, 50 units apart (as specified in the Array Transform group). The second dimensional array is four layers created along the Y world axis, 80 units apart (as specified in the Array Dimensions group). The third dimensional array is three layers created along the Z world axis, 100 units apart. The total number of teapots in the array is 60.

Example: To create a 360-degree array:

  1. Reset the software.

  2. Near the top of the Front viewport (away from its center), create a long, thin box at the six-o'clock position (if the viewport were a clock face).

  3. Choose Use Transform Coordinate Center on the Main toolbar.

  4. Click the Array button to display the Array dialog, and adjust any of the parameters.

  5. Click the arrow button to the right of the Rotate label to enable the three Rotate spinners in the Totals section.

  6. Set the Z spinner to 360.

  7. In Array Dimensions, choose 1D and set the Count spinner to 12.

  8. Click OK.

    An array of 12 boxes is created in a full circle.

Interface

Array Transformation group

Specifies which combination of the three transforms to use to create the array. You also specify the extent, along the three axes, for each transform. You can specify the extent of the transform in increments between each object, or in totals for all objects. In either case, the distances are measured between the pivot points of the objects. The arrays occur using the current transform settings, so the group title changes depending on the transform settings.

Click the left or right arrow button for Move, Rotate, or Scale to indicate whether you want to set Incremental or Total array parameters.

Incremental

Move: Specifies the distance between each arrayed object along the X, Y, and Z axes, in units.

Rotate: Specifies the degree of rotation about any of the three axes for each object in the array, in degrees.

Scale: Specifies the percentage of scale along any of the three axes for each object in the array, in percentages.

Totals

Move: Specifies the overall distance, along each of the three axes, between the pivot points of the two outer objects in the resulting array. For example, if you're arraying 6 objects and set Move X total to 100, the six objects will be arrayed in a row that's 100 units between the pivot points of the two outer objects in the row.

Rotate: Specifies the total degrees of rotation applied to the objects along each of the three axes. You can use this, for example, to create an array that totals 360 degrees.

Re-Orient: Rotates the generated objects about their local axes while rotating them about the world coordinates. When clear, the objects maintain their original orientation.

Scale: Specifies the total scale of the objects along each of the three axes.

Uniform: Disables the Y and Z spinners and applies the X value to all axes, resulting in a uniform scale.

Type of Object group

Determine the type of copies made by the Array function. The default is Copy.

Copy: Arrays copies of the selected object to the specified position.

Instance: Arrays instances of the selected object to the specified position.

Reference: Arrays references of the selected object to the specified position.

Array Dimensions group

Lets you add to the Array Transformation dimension. The additional dimensions are positional only. Rotation and scale are not used.

1D: Creates a one-dimensional array, based on the settings in the Array Transformation group.

Count: Specifies the total number of objects along this dimension of the array. For 1D arrays, this is the total number of objects in the array.

2D: Creates a two-dimensional array.

Count: Specifies the total number of objects along this second dimension of the array.

X/Y/Z: Specifies the incremental offset distance along each axis of the second dimension of the array.

3D: Creates a three-dimensional array.

Count: Specifies the total number of objects along this third dimension of the array.

X/Y/Z: Specifies the incremental offset distance along each axis of the third dimension of the array.

Total in Array: Specifies the total number of entities to create, including the current selection, and defaults to 10. If you're arraying a selection set, the resulting number of objects will be a multiple of this number times the number of objects in the selection set.

Reset All Parameters: Resets all the parameters to their default settings.


Snapshot (Main Toolbar)

Snapshot

Main toolbar > Snapshot (on Array flyout)

Tools menu > Snapshot

Using an ice-cream cone animated along a path, Snapshot creates a stack of cones.

Clicking the Snapshot button, available on the Array flyout, displays the Snapshot dialog. This enables you to clone an animated object over time.

You can create a single clone on any frame, or space multiple clones along the animation trajectory (path). The spacing can be a uniform timing or a uniform distance. To use snapshot, select any object that has an animation assigned to it.


Snapshot Dialog

Main toolbar > Snapshot (on Array flyout) > Snapshot dialog

Tools menu > Snapshot > Snapshot dialog

The Snapshot tool lets you clone an object that has been animated. You can make a single clone at any frame, or multiple clones spaced over a selected number of frames. Snapshot creates static clones, not animation.

Snapshot spaces the clones equally in time. Adjustments in Track View let you space the clones equally along the path instead (see the second procedure, below).

Like other clone techniques, Snapshot creates copies, instances, or references.

Procedures

To clone an object over time:

  1. Select an object with an animation path.

  2. Snapshot also shows the effect of any other transform animations, such as rotate or scale as well as parametric modifier animation.

  3. Click Snapshot, a button from the Array flyout, or choose Tools menu > Snapshot.

    The Snapshot dialog appears.

  4. Set parameters in the dialog, and click OK.

To space clones evenly by distance:

  1. Select an object with an animated position.

  2. Open Track View and find the Position track for the original object.

  3. Click Assign Controller and check that the track is using a Bezier Position controller. Do one of the following:

    • If the track is already using a Position controller, proceed to step 4.

    • If the track is not using a Position controller, change the controller, then proceed to step 4.

  4. Select all the transform keys and right-click one of the selected keys to display the Key Info dialog.

  5. Click Advanced to expand the dialog.

  6. Click Normalize Time.

  7. Set Constant Velocity on.

  8. Click Snapshot or choose Tools menu > Snapshot.

    The Snapshot dialog appears.

  9. Set parameters in the dialog, and click OK.

Interface

Snapshot

Single: Makes a clone of the geometry of the object at the current frame.

Range: Makes clones of the geometry of the object along the trajectory over a range of frames. Specify the range with the From/To spinners and the number of clones with the Copies spinner.

From/To: Specifies the range of frames to place the cloned object along the trajectory.

Copies: Specifies the number of clones to place along the trajectory. They are evenly distributed over the time period, but not necessarily over the spatial distance along the path.

Clone Method

With the Copy, Instance, and Reference methods, the clone retains any animation within the object, so all the clones will be animated in the same way.

Copy: Clones copies of the selected object.

Instance: Clones instances of the selected object.

Reference: Clones references of the selected object.

Mesh: Use this to create mesh geometry out of the selected objects.


Spacing Tool

Main toolbar > Spacing Tool (on Array flyout)

Tools menu > Spacing Tool

Spacing tool distributes the vases along the sides of the curved street. The vases are all at the same distance from each other; fewer of them appear on the shorter side.

The Spacing Tool, available from the Array flyout, lets you distribute objects based on the current selection along a path defined by a spline or a pair of points.

The distributed objects can be copies, instances, or references of the current selected object. You define a path by picking a spline or two points and by setting a number of parameters. You can also specify how the spacing between objects is determined and whether the pivot points of the objects align to the tangent of the spline.

Procedure

To distribute objects along a path:

  1. Select the objects to distribute.

  2. Click Spacing Tool.

  3. In the Spacing Tool dialog, click Pick Path or Pick Points to specify a path.

    If you click Pick Path, select a spline from your scene to use as the path.

    If you click Pick Points, pick a start and an end to define a spline as the path. When you're finished with the Spacing Tool, the software deletes this spline.

  4. Choose a spacing option from the Parameters list.

    The parameters available for Count, Spacing, Start Offset, and End Offset are dependent on the spacing option you choose.

  5. Specify the number of objects to distribute by setting the value of Count.

  6. Depending on the spacing option you choose, adjust the spacing and offsets.

  7. Under Context, choose Edge to specify that spacing be determined from the facing edges of each object's bounding box, or choose Centers to specify that spacing be determined from the center of each object's bounding box.

  8. Click Follow if you want to align the pivot points of the distributed objects to the tangent of the spline.

  9. Under Type of Object, select the type of object to output (copy, instance, or reference).

  10. Click Apply.

Interface

Choosing Spacing Tool displays the Spacing Tool dialog.

Pick Path: Click this, and then click a spline in the viewport to use as the path. The software uses the spline as the path along which to distribute objects.

Pick Points: Click this, and then click a start and an end to define a path on the construction grid. You can also use object snap to specify points in space. The software uses these points to create a spline as the path along which to distribute objects. When you're finished with the Spacing Tool, the software deletes the spline.

Parameters group

Count: The number of objects to distribute.

Spacing: Specifies the space in units between the objects. The software determines this spacing based on whether you chose Edges or Centers.

Start Offset: The number of units specifying an offset from the start of the path. Clicking the lock icon locks the start offset value to the spacing value and maintains the count.

End Offset: The number of units specifying an offset from the end of the path. Clicking the lock icon locks the end offset value to the spacing value and maintains the count.

Distribution drop-down list: This list contains a number of options for how to distribute the objects along the path, as follows:

Free Center: Distributes equally spaced objects along a straight line towards the end point of the path, beginning at the start of the path. A spline or a pair of points defines the path. You specify the number of objects and the spacing.

Divide Evenly, Objects at Ends: Distributes objects along a spline. The group of objects is centered at the middle of the spline. The Spacing Tool evenly fills the spline with the number of objects you specify and determines the amount of space between objects. When you specify more than one object, there are always objects at the ends of the spline.

Centered, Specify Spacing: Distributes objects along a path. The group of objects is centered at the middle of the path. The Spacing Tool attempts to evenly fill the path with as many objects as it can fit along the length of the path using the amount of space you specify. Whether there are objects at the ends of the path depends on the length of the path and the spacing you provide.

End Offset: Distributes the number of objects you specify along a straight line. The objects begin at an offset distance that you specify. This distance is from the end of the spline to its start point, or from the second pair of points to the first point. You also specify the spacing between objects.

End Offset, Divide Evenly: Distributes the number of objects you specify between the start of a spline or a pair of points and an end offset that you specify. The software always places an object at the end or its offset. When you specify more than one object, there is always an object placed at the start. The Spacing Tool attempts to evenly fill the space with the objects between the end offset and the start.

End Offset, Specify Spacing: Distributes objects towards the start of a spline or a pair of points, starting at the end or its offset. The software always places an object at the end or its offset. You specify the spacing between objects and the offset from the end. The Spacing Tool attempts to evenly fill the space with as many objects as it can fit between the end or its offset and the start. There might not always be an object placed at the start.

Start Offset: Distributes the number of objects you specify along a straight line. The objects start at an offset distance that you specify. This distance is from the start of the spline to its end point, or from the first of a pair of points to the second. You also specify the spacing between objects.

Start Offset, Divide Evenly: Distributes the number of objects you specify between the end of a spline or a pair of points, starting at an offset that you specify from the start. The software always places an object at the start or its offset. When you specify more than one object, there is always an object placed at the end. The Spacing Tool attempts to evenly fill the space with the objects between the start or its offset and the end.

Start Offset, Specify Spacing: Distributes objects towards the end of a spline or a pair of points, starting at the start. The software always places an object at the start or its offset. You specify the spacing between objects and the offset from the start. The Spacing Tool attempts to evenly fill the space with as many objects as it can fit between the start or its offset and the end. There might not always be an object placed at the end.

Specify Offsets and Spacing: Distributes as many equally spaced objects as possible along a spline or between a pair of points. You specify the spacing between objects. When you specify offsets from the start and end, the software distributes equally spaced objects between the offsets. There might not always be an object placed at the start and ends.

Specify Offsets, Divide Evenly: Distributes the number of objects you specify along a spline or between a pair of points. If you specify one object the software places it at the center of the path. If you specify more than one object the software always places an object at the start offset and the end offset. If you specify more than two objects the software evenly distributes the objects between the offsets.

Space from End, Unbounded: Distributes the number of objects you specify along a straight line from the end towards the start of a spline or a pair of points. You specify the spacing between objects. The software locks the end offset so that it's the same as the spacing.

Space from End, Specify Number: Distributes the number of objects you specify towards the start of a spline or a pair of points, starting at the end. The Spacing Tool determines the amount of space between objects based on the number of objects and the length of the spline or the distance between the pair of points. The software locks the end offset so that it's the same as the spacing.

Space from End, Specify Spacing: Distributes as many equally spaced objects as possible towards the start of a spline or a pair of points, starting at the end. You specify the spacing between objects. The software locks the end offset so that it's the same as the spacing.

Space from Start, Unbounded: Distributes the number of objects you specify along a straight line towards the end of a spline or a pair of points, starting at the start. You specify the spacing between objects. The software locks the start offset so that it's the same as the spacing.

Space from Start, Specify Number: Distributes the number of objects you specify towards the end of a spline or a pair of points, starting at the start. The Spacing Tool determines the amount of space between objects based on the number of objects and the length of the spline or the distance between the pair of points. The software locks the start offset so that it's the same as the spacing.

Space from Start, Specify Spacing: Distributes as many equally spaced objects as possible towards the end of a spline or a pair of points, starting at the start. You specify the spacing between objects. The software locks the start offset so that it's the same as the spacing.

Specify Spacing, Matching Offsets: Distributes as many equally spaced objects as possible along a spline or between a pair of points (and their offsets). You specify the spacing. The software locks the start and end offsets so that they're the same as the spacing.

Divide Evenly, No Objects at Ends: Distributes the number of objects you specify along a spline or between a pair of points (and their offsets). The Spacing Tool determines the amount of space between objects. The software locks the start and end offsets so that they're the same as the spacing.

Context group

1. Edge-to-edge spacing
2. Center-to-center spacing

Edges: Use this to specify that spacing is determined from the facing edges of each object's bounding box.

Centers: Use this to specify that spacing be determined from the center of each object's bounding box.

Follow: Use this to align the pivot points of the distributed objects to the tangent of the spline.

Type of Object group

Determines the type of copies made by the Spacing Tool. The default is Copy. You can copy, instance, or reference objects.

Copy: Distributes copies of the selected object to the specified position.

Instance: Distributes instances of the selected object to the specified position.

Reference: Distributes references of the selected object to the specified position.

Tip: Distributing Objects Along Multiple Splines

You can use compound shapes containing multiple splines as the spline path for distributing objects. Before creating shapes, turn off Start New Shape under Shapes on the Create panel. Then create your shapes. gmax adds each spline to the current shape until you click the Start New Shape button so that it's checked. When you select the compound shape so that the Spacing Tool can use it as a path, objects are distributed along all of the splines of the compound shape. For example, you might find this technique useful in spacing light standards along a path defined by separated splines.


Align (Main Toolbar)

Align

Main toolbar > Align (on Align flyout)

Tools menu > Align

Keyboard > ALT+A

Aligning objects along an axis
Left: X position, center
Upper right: Y position, minimum
Lower right: Y position, maximum

Clicking the Align button, available from the Align flyout, displays the Align dialog which enables you to align the current selection to a target selection. The name of the target object appears in the title bar of the Align dialog. When performing sub-object alignment, the title bar of the Align dialog reads "Align Sub-Object Selection."

You can align the position and/or orientation of the bounding box of the source object to the bounding box of a target object.

You can use the Align tool with any selection that can be transformed. If an axis tripod is displayed, you can align the tripod (and the geometry it represents) to any other object in the scene. You can use this align an object’s pivot point.

When performing sub-object alignment, the Current Object options and the Match Scale boxes are disabled. If you plan to align orientation for sub-objects, first switch to Local transform mode on the Main toolbar so that the axis tripod is properly aligned with your sub-object selection.

From this flyout, you can also choose Normal Align, Place Highlight, Align to Camera, or Align to View.


Align Dialog

Main toolbar > Align (on Align flyout) > Select object.

Procedures Interface

The Align dialog enables you to align the current selection to a target selection. The name of the target object appears in the title bar of the Align dialog. When performing sub-object alignment, the title bar of the Align dialog reads "Align Sub-Object Selection."

You can align the position and orientation of the bounding box of the source object to the bounding box of a target object.

You can use the Align tool with any selection that can be transformed. If an axis tripod is displayed, you can align the tripod (and the geometry it represents) to any other object in the scene.

When performing sub-object alignment, the Current Object options and the Match Scale check boxes are disabled. If you plan to align orientation for sub-objects, first switch to Local transform mode on the Main toolbar so that the axis tripod is properly aligned with your sub-object selection.

Procedures

To align an object with a point object:

  1. Create a point helper object and position it at a target location in your scene. Rotate it as necessary to adjust final orientation.

  2. Select a source object.

  3. Click Align on the Main toolbar, or choose Tools > Align.

    The Align cursor appears attached to a crosshair.

  4. Move the cursor over the point object and click.

    The Align Selection dialog appears. If necessary, move the dialog out of the way so you can see the active viewport.

  5. In the Align Position group, select X Position.

    The selected source object shifts to align with the X-axis of the point object.

  6. Select Y Position and Z Position.

    The source object moves so its center is at the point object.

  7. Select X, Y, and Z Axis in the Align Orientation group to reorient the object to match the coordinates of the point.

To align objects by position and orientation:

  1. Select a source object (the object to move into alignment with the target object).

  2. Click Align on the Main toolbar, or choose Tools > Align.

    The Align cursor appears attached to a crosshair.

  3. Move the cursor over the target object and click.

    The Align Selection dialog appears. By default, all options in the dialog are turned off.

  4. Under Current Object and Target Object, click Minimum, Center, Pivot Point, or Maximum.

    These settings establish the points on each object that become the alignment centers.

  5. Begin alignment by clicking X, Y, and Z Positions.

    The source object moves in relation to the target object, along the axes of the reference coordinate system. Setting all three moves the objects as close as possible, given the Current and Target Object Settings.

  6. In the Apply Orientation group, click X, Y, or Z Axis.

    The source object realigns accordingly. If the objects share an orientation, that axis has no effect. Once two axes are aligned in orientation, the third is automatic.

To align a gizmo to another object:

  1. Display the gizmo level of the Sub-Object selection.

  2. Click Align on the Main toolbar.

  3. Click to select a target object in the viewport. (You can select the same object containing the gizmo to align the gizmo to a part of its own object.)

  4. Use the available settings in the Align dialog to adjust the transformation of the gizmo.

To align a sub-object selection of geometry to another object:

  1. Do one of the following:

    • Convert the object to an editable mesh, and then perform the sub-object selection at any level.

    • Apply a Mesh Select modifier, followed by an Xform modifier. (The Mesh Select modifier by itself doesn't allow transforms.)

  2. Click Align, and then select a target object.

  3. Use the settings in the Align dialog to perform the alignment.

Interface

Align Position (Screen)

X, Y, Z Position: Specifies on which axis or axes to perform the alignment. Selecting all three boxes centers the current object on the target object.

Current Object/Target Object

Specifies which point on the objects' bounding boxes to use for the alignment. You can choose different points for the current object and the target object. For example, you can align the current object's pivot point with the center of the target object.

Minimum: Aligns the closest point of the object's bounding box with the chosen point on the other object.

Center: Aligns the center of the object's bounding box with the chosen point on the other object.

Pivot Point: Aligns the object's pivot point with the chosen point on the other object.

Maximum: Aligns the farthest point of the object's bounding box with the chosen point on the other object.

Align Orientation (Local)

Lets you match the orientation of the local coordinate systems between the two objects on any or all three axes.

This option is independent of the position alignment settings. You can leave the position settings alone and select all three Rotation check boxes to rotate the current object to match the orientation of the target object.

Position alignment uses world coordinates, while orientation alignment uses local coordinates.

Match Scale

Click the X Axis, Y Axis, or Z Axis options to match the scale axis values between the two selected objects. This matches only the scale values you'd see in the Transform Type-In. It will not necessarily cause two objects to be the same size. There will be no change in size if neither of the objects has previously been scaled.


Normal Align (Main Toolbar)

Normal Align

Main toolbar > Normal Align (on Align flyout)

Tools menu > Normal Align

Keyboard > ALT+N

The Normal Align button, available from the Align flyout, uses the Normal Align dialog to align the normals of two objects. To see the Normal Align dialog, select a source object, then a normal on it, then a normal on a second object. Upon releasing the mouse, the Normal Align dialog appears.

In a mesh or loft object, you can use this to align faces. You can use Normal Align with any selection that can be transformed.

If you use Normal Align while a sub-object selection is active, only that selection is aligned. This is useful when aligning sub-object selections of faces, since otherwise there's no valid face normal for the source object.

Normal Align respects smoothing groups and uses the interpolated normal, based on face smoothing. As a result, you can orient the source object face to any part of the target surface, rather than having it snap to face normals.

For an object with no faces (such as helper objects), Normal Align uses the Z axis and origin of the object as a normal. Thus you can use a Point object with Normal Align.

From this flyout you can also choose Align, Place Highlight, Align to Camera, or Align to View.


Normal Align Dialog

Main toolbar > Normal Align (on Align flyout) > Normal Align dialog

The Normal Align dialog, displayed by the Normal Align tool, enables you to align the normals of two objects.

Procedure

To align normals:

  1. Select a source object. This is the object that moves during alignment.

  2. Click Normal Align on the Main toolbar, or choose Tools > Normal Align.

  3. Drag across the surface of the source object.

    The Normal Align cursor appears, attached to a crosshair. A blue arrow at the cursor indicates the current normal.

  4. Move the cursor and blue arrow until you locate the normal you want to use, then release.

    The blue arrow remains as reference to the source normal.

  5. Drag across the surface of the target object.

    A green arrow at the cursor indicates the current normal.

  6. Move the crosshair and green arrow until you locate the normal you want to use as a target, then release.

    The source object moves into alignment with the target normal, and the Normal Align dialog appears.

  7. Do one of the following:

    • Click OK to accept the alignment.

    • Using the dialog, make modifications to the alignment before clicking OK.

Interface

The Normal Align dialog lets you adjust or cancel the current alignment, and contains the following controls:

Position Offset

Lets you translate the source object perpendicular to the normal on the X, Y or Z axes.

X/Y/Z: These three fields let you affect how much of an offset will be given to the selected faces.

Rotation Offset

Lets you rotate the source object about the normal's axis. You see the rotation in real time.

Angle: This field lets you define the angle for the rotational offset.

Flip Normal: Determines whether the source normal matches the target normal's direction. This defaults to off, since you usually want the two normals to have opposing directions. When you turn this on or off, the source object flips 180 degrees.

OK/Cancel Align: The Cancel button is labeled Cancel Align to make it clear that you're not only canceling the settings in the dialog, but canceling the original transform of the source object.


Place Highlight (Main Toolbar)

Place Highlight

Main toolbar > Place Highlight (on Align flyout)

Tools menu > Place Highlight

Keyboard > CTRL+H

The Place Highlight button, available from the Align flyout, enables you to align a light or object to another object so that its highlight or reflection can be precisely positioned.

From this flyout you can also choose Align, Normal Align, Align to Camera, or Align to View.

In Place Highlight mode, you can click and drag the mouse around in any viewport. Place Highlight is a viewport-dependent function. As you drag the mouse in the scene, a ray is shot from the mouse cursor into the scene. If it hits a surface, you see the surface normal at that point on the surface.

When you hit a surface, any selected objects are positioned along a line that represents the ray reflected off the surface about the surface normal. The objects are positioned along this line based on their original distance from the surface point. For example, if the object is 100 units from the surface point before being moved, it will be positioned 100 units from the surface point along the reflected ray.

If the object is a light, the position of the highlight on the surface of the object will be the surface point that you've chosen.

Tip: Place Highlight works with any kind of selected object. It can be used to move objects based on a combination of face normals and initial distance from the face. You can also use Place Highlight with a selection set that contains more than one object. All objects maintain their initial distance from the face. In this case it has nothing to do with highlights, but is simply being used to position objects.

Procedure

To position a light to highlight a face:

  1. Make sure the viewport you plan to use is active, and that the object you want to highlight is visible in it.

    The result of Place Highlight depends on what is visible in the viewport.

  2. Select a light object.

  3. Click Place Highlight or choose Tools > Place Highlight.

    If the button is not visible on the toolbar, choose it from the Align flyout.

  4. Drag over the object to place the highlight.

    When you place an omni, free spot, or directional light, the software displays a face normal for the face the mouse indicates.

    When you place a target spotlight, the software displays the light's target and the base of its cone.

  5. Release the mouse when the normal or target display indicates the face you want to highlight.

    The light now has a new position and orientation. You can see the highlight illumination in shaded viewports that show the face you chose.


Align Camera

Main toolbar > Align Camera button (on Align flyout)

Tools menu > Align Camera

The Align Camera button, available from the Align flyout, lets you align a camera to a selected face normal.

From this flyout, you can also choose Align, Normal Align, Place Highlight, or Align to View.

Align Camera works similarly to Place Highlight, except that it operates on face normals instead of the angle of incidence, and occurs when you release the mouse button instead of dynamically acting during the mouse drag. Its purpose is to let you align a Camera viewport to a specified face normal.

Procedure

To use Align Camera:

  1. Select the camera used for the viewport you want to align.

  2. Click Align Camera.

  3. In any viewport, drag the mouse to choose a face.

    The chosen face normal appears as a blue arrow beneath the cursor.

  4. Release the mouse to perform the alignment.

    The camera is moved so that the selected normal is centered in the camera viewport and faces the camera.


Align to View Button (Main Toolbar)

Align to View

Main toolbar > Align to View (on Align flyout)

Tools menu > Align to View

The Align to View button, available from the Align flyout, displays the Align to View dialog which lets you align the local axis of an object or sub-object selection with the current viewport.

You can use Align to View with any selection that can be transformed.

From this flyout, you can also choose Align, Normal Align, Place Highlight, or Align to View.


Align to View Dialog

Main toolbar > Align to View (on Align flyout) > Align to View dialog

The Align to View dialog lets you align the local axis of an object or sub-object selection with the current viewport.

You can use Align to View with any selection that can be transformed.

Procedure

To align the local axis of a selection with the current viewport:

  1. Select the objects or sub-objects to align.

  2. Click Align to View.

  3. Specify the local axis of the selected object to align with the current viewport's Z-axis.

  4. Select the Flip check box when you switch the direction of the alignment.

    The alignment takes place while the dialog is displayed.

  5. Click OK to complete the process.

Interface

The Align to View dialog contains the following options:

Align X, Align Y, Align Z: Specifies which local axis of the selected object will be aligned with the current viewport's Z axis.

Flip: Switches the direction of the alignment.


Creating Copies and Arrays

Portico created from arrays of columns

With gmax, you can quickly create multiple versions of one or more selected objects. You do this while you move, rotate, or scale the selection.

The general term for duplicating objects is cloning. This section presents all the methods and choices available for cloning objects. In addition to the transform method, the tools include the following:

  • Array lets you set all three transforms, in all three dimensions, at the same time. The results are precise linear and circular arrays in 2D or 3D space.

  • Mirror produces a "reflected" clone about one or more axes. If you mirror an object without cloning, the result is a "flip" to a new location.

  • Snapshot lets you create clones equally spaced over time or distance, based on an animation path.

  • Spacing Tool distributes objects based on the current selection along a path defined by a spline or pair of points.

Any of the cloning techniques can be animated. These topics supply overview information, as well as specifics of animation for each of them:

Techniques for Cloning Objects

Overview of Copies, Instances, and References

Understanding Object Copies, Instances, and References

Using Shift-Clone

  • Cloning with Shift-Move

  • Cloning with Shift-Rotate

  • Cloning with Shift-Scale

Animating Shift-Rotate and Shift-Scale

Cloning Objects Over Time with Snapshot

Arraying Objects

  • Using the Array Dialog

  • Creating Linear Arrays

  • Creating Circular and Spiral Arrays

Mirroring Objects

Using the Spacing Tool


Techniques for Cloning Objects

The program provides different techniques for copying or duplicating objects; cloning is the general term for this process.

There are four distinct techniques. They can be used to clone any selection set.

  • Shift-Clone

  • Snapshot

  • Array

  • Mirror

Shared Features

While each technique has distinct uses and advantages in cloning objects, they share some similarities in how they work:

  • You can apply a transform when you clone. New objects are moved, rotated, or scaled as they are created.

  • The transform is relative to the current coordinate system, axis constraint, and transform center.

  • When cloning creates new objects, you have the choice of making them copies, instances, or references.

Each of the following items is discussed later in this section.

Shift-Clone

Shift-clone clones an object when you transform it.

You can clone an object as you transform it. The process is referred to as Shift-Clone: the technique of holding down the SHIFT key while transforming a selected object with the mouse.

Quick and versatile, this technique is probably the one you’ll use most often to duplicate objects. Snap settings give you precise results.

How you set the center and axes for the transforms determines the arrangement of the cloned objects. Depending on the settings, you can create both linear and radial arrays.

You need a working knowledge of transform features to take full advantage of Shift-Clone. See Using Transforms.

Snapshot

Using an ice-cream cone animated along a path, Snapshot creates a stack of cones.

Snapshot clones an animated object over time. You can create a single clone on any frame, or space multiple clones along the animation path. The spacing is a uniform time interval; it can also be a uniform distance.

Array

A one-dimensional array

Array creates repeating design elements: for example, the gondolas of a Ferris wheel, the treads of a spiral stair, or the battlements along a castle wall.

Array gives you precise control over all three transforms and in all three dimensions, including the ability to scale along one or more axes. It is the combination of transforms and dimensions, coupled with different centers, that gives you so many options with a single tool. A spiral stair, for example, would be a combination of Move and Rotate around a common center. Another array using Move and Rotate might produce the interlocked links of a chain.

See Arraying Objects.

Mirror

Mirroring an object

Mirror produces a symmetrical copy around any axis or combination of axes. There is also a "No Clone" option that performs the mirror operation without copying. The effect is a flip or move of the object to a new orientation.

Mirror has an interactive dialog. As you change settings, you see the effect in the active viewport; in other words, a preview of what the mirror will look like.

There is also a Mirror modifier that gives you parametric control of the mirror effect.

See Mirroring Objects.


Overview of Copies, Instances, and References

An object can be a copy of another.

Every time you duplicate an object, you choose one of three methods for cloning the original object. For all three methods, the original and clone are identical at the geometry level. Where the methods vary is in the way they handle modifiers (for example, Bend or Twist).

Copy method: Creates a completely separate clone from the original. Modifying one has no effect on the other.

Instance method: Creates a completely interchangeable clone of the original. Modifying an instanced object is the same as modifying the original.

Reference method: Creates a clone dependent on the original. Modifying the original affects the referenced object, while modifying the referenced object has no effect on the original.

Depending on the method used to create them, cloned objects are called copies, instances, or references.

The following discussion focuses on how you might use these methods.

Copies

Copies are the most familiar kind of clone object. Copied objects are completely independent of the original object, and therefore analogous to a precise physical copy.

Example of Using Copied Objects

If you modeled a basic head shape and wanted to create a group of individual characters, you would probably make a copy of the basic head shape each time you started a new character. You could then model an individual nose, mouth, and other features.

Instances

Instances are alike not only in geometry, but also in every other way as well.

When you change one instance by applying a modifier, for example, all the other instances change with it.

Within the program, instances derive from the same master object. What you’re doing ("behind the scene") is applying a single modifier to a single master object. In the viewport, what you see as multiple objects are multiple instances of the same definition.

Example of Using Instanced Objects

If you wanted to create a school of swimming fish, you might begin by making a many instanced copies of a single fish. You could then animate the swimming motion by applying a Ripple modifier to any fish in the school. The whole school would swim with exactly the same motions.

References

References are like "one-way" instances. Referenced objects are based on the original object, as are instances, and can also have their own unique modifiers.

Any modification made to the original object is passed on to its references, but any modification made to a reference is not passed back to the original.

The "one-way" effect is useful, since you can maintain an original that will affect all its references, while the references themselves can take on individual characteristics.

Example of Using Referenced Objects

In the example of modeling heads, you might want to keep a family resemblance in your characters. You could model basic features on the original, then model specifics on each reference.

At some point, if you wanted to see what your characters would look like as "cone-heads," you could apply a Taper modifier to the original head and have all the other characters take on the same feature. You could give the original character a very pointed head, then apply a separate Taper to some referenced characters to reduce the point toward normal.

In the swimming fish example, you might choose to make the school all referenced objects based on a single, original fish. You could still control the swimming motion from the original fish, and also add modifiers to individual fish in the school to vary their behavior.

For more information, see Understanding Object Copies, Instances, and References.


Understanding Object Copies, Instances, and References

Objects can be copied, instanced, or referenced. The difference between a copy, instance, and reference lies in how the data flow branches on its way from the master object to the named object.

Evaluating Copies

When you copy an object, you create a new, independent master object and data flow resulting in a new named object. The copy duplicates all of the data of the original object at the time it is copied. The copy has no connection to the original object.

Evaluating Instances

When you instance an object, you are displaying multiple named objects based on a single modified object. Each named object instance has its own set of transforms and object properties, but it shares the object modifiers and master object with the other instances. The data flow for an instance branches just after evaluating object modifiers.

Because instances share the same master object and object modifiers, changing the creation parameters or applying a modifier to any one instance changes all related instances.

Evaluating References

When you reference an object you split the object modifiers into groups of shared and unique modifiers. Like instances, references share the same master object and some object modifiers. The data flow for a reference branches just after the object modifiers but then evaluates a second set of object modifiers unique to each reference.

The data flow for references depends on where in the modifier stack the reference is made. Each time you create a reference, the data flow branches after evaluating all of the current object modifiers and adds a container for another set of object modifiers. In the modifier stack you can see where branching occurs by looking for a solid line between modifiers.

Because references share the same master object, changing the creation parameters for any reference changes all related references.

The results of changing or applying a modifier to a named object reference depends on where in the modifier stack it is applied:

  • Applying a modifier to the top of the modifier stack affects only the selected named object.

  • Applying a modifier below a solid line affects all references branching above that line.

  • Applying a modifier at the bottom of the modifier stack affects all references derived from the master object.


Clone

Make a selection. > Edit menu > Clone

Make a selection. > Hold down SHIFT key. > Move, rotate, or scale the selection with the mouse.

Clone creates a copy, instance, or reference of an object.

With the Clone command you can create copies, instances, or references of a selected object, or a set of objects.

The Clone command on the Edit menu creates a single copy of your selection. You can clone multiple copies by holding down the SHIFT key as you move, rotate, or scale your selection. Both techniques display the Clone Options dialog.


Clone Options Dialog

Make a selection. > Edit menu > Clone

Make a selection. > Hold down SHIFT key. > Move, rotate, or scale the selection with mouse.

Clone creates a copy, instance, or reference of a selected object or set of objects. The Clone command on the Edit menu creates a single copy. You can clone multiple copies by holding down the SHIFT key as you transform the selection.

Procedures

To clone an object without transforming it:

  1. Select an object, or set of objects.

  2. Choose Edit > Clone on the menu bar.

  3. The Copy Options dialog is displayed.

    All interface options are present, except Number Of Copies.

  4. Change the settings or accept the defaults, and then click OK.

    The cloned objects occupy the same space as the original. Select any of these clones by name to move or modify them.

To clone and transform an object:

  1. Click the Move, Rotate, or Scale button.

    Select an object, multiple objects, group, or sub-object.

  2. Hold down the SHIFT key and drag the selection.

    As you drag your selection, the clone is created, selected, and transformed. The original object is deselected and unaffected by the transform.

    When you release the mouse button, the Clone Options dialog displays.

  3. Change the settings or accept the defaults, and then click OK.

Interface

Object group

Copy: Places a copy of the selected object at the specified position.

Instance: Places an instance of the selected object at the specified position.

Reference: Places a reference of the selected object at the specified position.

Controller group

Makes either copies or instances of the original object’s transform controllers. This option is only active when the selection you are cloning includes two or more hierarchically linked objects.

Copy: Places a copy of the selected object's transform controllers at the specified position.

Instance: Places an instance of the selected object's transform controllers at the specified position.

The following option only appears when you SHIFT-Clone an object.

Name: Displays the name of the cloned object.

Number of Copies: Specifies the number of copies of the object you want to create.

If you SHIFT-Move an object and specify two copies, the second copy is offset from the first copy by the same distance that the first copy is offset from the original. For Rotate, two copies of the rotated object are created, with the second copy rotated twice as far as the first. For Scale, two copies of the scaled object are created, with the second copy twice (or half) the size of the first copy.


Using Shift-Clone

Shift-Clone is the primary way to duplicate objects in gmax. You hold down the SHIFT key and drag during any of the standard transform operations: Move, Rotate, or Scale.

To use Shift-Clone with an object:

  1. On the main toolbar, click a Move, Rotate, or Scale button.

  2. Select a transform coordinate system and constraints. Each transform carries its own settings. To avoid surprises, always click the transform button first, and then set your transform coordinate system and constraints.

  3. Select the object or set of objects you want to clone. The selection can be a single object, multiple objects, a group, or a sub-object selection.

  4. Hold down the SHIFT key and drag the selection to apply the transform.

    As you drag, a clone is created and selected; it is now the object being transformed. The original object is no longer selected and is unaffected by the transform.

When you release the mouse button, the Clone Options dialog appears. Change settings in this dialog or accept the defaults, and then click OK.

The Clone Options dialog is common to Shift-Clone for any transform you choose. For the details of this dialog, see Clone.

See also

Cloning with Shift-Move

Cloning with Shift-Rotate

Cloning with Shift-Scale

Animating Shift-Clone

Any Shift-Clone operation can be animated. See Animating Shift-Rotate and Shift-Scale.

Cloning Without Transforming

Cloning objects with Shift-Clone requires transforming them at the same time, by moving, rotating, or scaling them. In some cases, you might want to clone an object without transforming it in any way. An Edit menu item gives you this option, with which you can create only one clone.

To clone objects without transforming:

  1. Select the object, or set of objects, to clone.

  2. Choose Edit menu > Clone. The Clone Options dialog appears. This is the same dialog used with Shift-Clone except that you can’t set a multiple number of clones.

  3. Change settings in this dialog or accept the defaults, and click OK.

Note: The cloned object occupies exactly the same space as the original, and is selected when cloning is complete. Use Select By Name to select the original or reselect the clone.


Cloning with Shift-Move

Shift-move creates a clone in a different location.

Cloning objects while moving them is quick and easy. It produces a linear array of two or more objects.

To clone with Shift-Move:

  1. Click the Move button on the main toolbar.

  2. Choose a coordinate system and axis constraint.

  3. Make the selection you want to use Shift-Move with.

  4. Hold down SHIFT and drag to move a clone of the selection away from the original.

  5. Choose the number of copies you want to make on the Clone Options dialog, and whether you want them to be copies, instances, or references.

About Shift-Move Arrays

Multiple clones produced by Shift-Move form an equally spaced linear array with these characteristics:

  • The line of the array runs from the center of the original through the centers of the clones.

  • The spacing between copies is determined by the distance between the original and the first clone.

By using snaps as you move the selection, you can make exact arrays.

Examples of Shift-Move Arrays

A clear example of the Shift-Move array is the picket fence. From a single picket, you can generate long runs of fencing. You can array the fence along a major axis of the home grid, then group the pickets, rotate them to a particular angle, and move them into position.

You can also make three-dimensional arrays with Shift-Move. The main choice is the combination of axes to allow movement off the construction plane. For example, to build a stairway, you can create a box that forms the top step, then use Shift-Move to copy it diagonally downward, using an array to create a downward flight.


Cloning with Shift-Rotate

Shift-rotate creates a clone with a different orientation.

Cloning objects while rotating them produces a variety of effects, depending on how you set up the transformation.

To clone with Shift-Rotate:

  1. Click the Rotate button on the Main toolbar.

  2. Choose a coordinate system, transformation center, and axis constraint.

  3. Make the selection you want to clone.

  4. Hold down SHIFT and drag to rotate the selection.

  5. Choose the number of copies you want to make on the Clone Options dialog, and whether you want them to be copies, instances, or references.

Effects of Transform Settings

Where you locate the transform center determines how the program positions clones during Shift-Rotate.

  • For all settings, the direction of rotation is constrained by the active axis or axes of the viewport’s coordinate system.

  • Each clone is rotated the same amount as the first clone from the original.

Local Pivot at Center

An object’s default pivot point is often located at its center or its base. When you use Shift-Rotate around an object’s default pivot point, the clones evenly overlap as each one is rotated the same amount. This is true for multiple objects with a local-pivot setting, since each object uses its own local center.

Clones of circular objects, like a sphere or cylinder, are exactly overlaid on the original. You need to move them away from the original to see them.

With angle snap set to divide a circle evenly, you can produce complex symmetrical objects from simple ones. For example, you can clone a tetrahedron around one axis, then clone the new set about another axis to produce a faceted star.

Local Pivot at a Distance

When you separate the local pivot from the original, clones create a wheel-like arrangement. Long shapes like petals or blades, cloned with the center near one end, create flowers or propellers. See Adjust Pivot Rollout.

You can move the local pivot any distance from the object, creating large circular arrays. Since direct animation is limited to the local pivot, this is a key technique in animating circular arrays. See Animating Shift-Rotate and Shift-Scale.

Selection Center

For either single or multiple objects, the selection center is the geometric center of the bounding box enclosing the entire selection. Clones are arrayed around this center, forming wheel-like arrays.

For a single object, this center is usually different from its local center, but effects are similar to those based on a local pivot.

Coordinate Center

Using the coordinate center, Shift-Rotate can produce circular arrays of any size.

The rotation takes place around the center of the home grid, screen, or whatever coordinate system you choose. While clones can be created this way, the process cannot be directly animated. See Animating Shift-Rotate and Shift-Scale for details on overcoming this limitation.


Cloning with Shift-Scale

Shift-scale creates a clone of a different size.

Cloning objects while scaling them can produce a variety of nested objects and arrays, depending on the center you choose.

To clone with Shift-Scale:

  1. Click a Scale button on the Main toolbar.

  2. Choose a coordinate system, axis constraint, and transform center.

  3. Make the selection you want to clone.

  4. Hold down SHIFT and drag to scale the selection.

  5. Use the Clone Options dialog to choose the number of clones you want to make and whether you want them to be copies, instances, or references.

Effects of Transform Settings

Transform settings determine how gmax distributes clones of a selection during Shift-Scale. In all scaling operations, the transform center acts as the center of scaling:

  • When clone objects decrease in size, they shrink toward the transform center.

  • When clone objects increase in size, they expand away from the transform center.

The distance between cloned objects is scaled like the clones themselves, based on the initial distance from the original to the first clone. The spacing increases or decreases proportionately with respect to the transform center.

Nested Copies

When the selection center is used as the transform center for a single object, scaling occurs symmetrically around that center, producing nested copies.

  • As you scale in toward the center, smaller and smaller copies are created.

  • In the other direction, the original object is enclosed by increasingly larger copies.

Variations are possible, depending on the type of scale and axis limitations. For example, you can scale a flat box into a progressively stepped pyramid by using Squash and cloning inward on the Z axis.

Offset Centers

For Shift-Scale, any center other than the local pivot has the effect of creating an array of progressively scaled objects. Again, objects scale down in size toward the center, while increasing in size further away. However, this effect is limited by the particular scale option and the axis constraints, as discussed next.

Axis Constraints

Uniform Scale is unaffected by axis constraints, which are set with the Restrict To buttons or right-click menu. Copies are always arrayed in or out from the center of the current coordinate system.

For Non-Uniform Scale and Squash, scaling occurs only along the axis or axes set with the Restrict To buttons.


Animating Shift-Rotate and Shift-Scale

When the Animate button is on, the transform center defaults to local pivot, and the flyout on the toolbar is unavailable. If you choose one of the other centers and turn on the Animate button, the center returns to the local pivot. This means you can’t directly animate Shift-Rotate and Shift-Scale effects such as creating clones in an arc or circular array around a common center.

Using Non-Local Centers

To use a center separate from the object you’re cloning, you can do any of the following:

  • Use a dummy object.

  • Offset the local pivot.

  • Change the default.

Using a Dummy Object as Center

In this procedure, you use the axis tripod of the dummy object as the center for rotation or scale.

To use a dummy object as center:

  1. Create a dummy object at the center of rotation or scaling.

  2. Link the object you want to clone to the dummy object, which becomes the parent.

  3. Select both the dummy and the object, then transform them with Shift-Rotate or Shift-Scale when animating.

    • For Shift-Rotate, the dummy’s center becomes the pivot.

    • For Shift-Scale, the dummy and selected object scale together toward a common center.

For details of dummy object use in hierarchies, see Using Dummies.

Offsetting the Local Pivot

In this procedure, you move the object’s pivot to the center of rotation or scale. This works much like using a dummy object.

To offset the local pivot:

  1. On the Hierarchy panel, choose Pivot and then Affect Pivot Only.

  2. Select and move the local pivot of the original object to another location in your scene.

    Shift-Rotate or Shift-Scale now animate around the offset center. This works with the default setting for local center.

Note: Moving the local pivot can adversely affect linking and inverse kinematics. If this is a possibility, consider changing the default instead of moving the local pivot.

To change the default axis while animating:

In this procedure, you change the default of animating only around the local axis.

  1. Choose Customize menu > Preferences and open the Animation panel of the Preference Settings dialog.

  2. Turn off Local Center During Animate.

    This changes the default and activates all the transform center buttons. You can now animate around either the selection or coordinate center, as well as local pivot.

Note: Changing the default animates the rotation you see in viewports as a rotation plus translation, which might not be the effect you wanted.


Cloning Objects Over Time with Snapshot

Using an ice-cream cone animated along a path, Snapshot creates a stack of cones.

The Snapshot tool lets you clone an object along its animation path. You can make a single clone at any frame, or multiple clones spaced over a selected number of frames.

Snapshot spaces the clones equally in time. Adjustments in Track View let you space the clones equally along the path instead.

Like other clone techniques, Snapshot creates copies, instances, or references. You can also choose a mesh option.

To clone an object with Snapshot, the object must already be animated. You can use Snapshot from any frame on the path. The Animate button has no effect on Snapshot, since Snapshot creates static clones, not animation. This is the general procedure:

To clone an object with Snapshot:

  1. Select an object with an animation path. The animation can result from applying transforms, controllers, or any combination of effects.

  2. Click Snapshot, on the Array flyout.

    The Snapshot dialog is displayed.

  3. Set parameters in the dialog, and click OK.

For more procedures and details on the Snapshot parameters, see Snapshot Dialog.


Arraying Objects

A one-dimensional array

Array is a dedicated tool for cloning and precisely transforming and positioning groups of objects in one or more spatial dimensions. For each of the three transforms (move, rotate, and scale), you can specify parameters for individual objects in the array, or for the array as a whole. Many results would be laborious or impossible using Shift-Clone techniques.

Creating an Array

This is the general procedure. For more details, see these topics:

Using the Array Dialog

Creating Linear Arrays

Creating Circular and Spiral Arrays

To create an array:

  1. Select one or more objects to be in the array.

  2. Choose a coordinate system and transform center.

  3. Click the Array button on the Main toolbar to display the Array dialog.

  4. Set array parameters on this dialog and click OK.

Reuse of Array Settings

Generally you should approach Array creation as an iterative process. The dialog settings are not interactive, so you get feedback only after creating the array. By revising the current settings and repeating the array, you develop a solution that meets your needs.

After creating an array and checking its result, undo the array using Edit menu > Undo Create Array or CTRL+Z. This leaves the original selection set in place.

Repeating an Array

When you create an array, object selection moves to the last copy in the array. By simply repeating current settings, you create a seamless continuation of the original array.

During a session, the program maintains all the dialog settings for your current array.

Array settings are saved only during the current session, not with the file. Be sure you’ve finished an array before you quit the program.

General Considerations

When you create an array, keep these points in mind:

  • Array is relative to the current viewport settings for coordinate system and transform center.

  • Axis constraints do not apply, because Array allows you to specify transforms along all axes.

  • Arrays can be fully animated. By changing the default, you can activate all the transform center buttons, allowing direct animation around either the selection or coordinate center, as well as local pivot. For information about changing the default, see Animating Shift-Rotate and Shift-Scale.

  • To make an array of a hierarchically linked object, select all the objects in the hierarchy before you click Array.


Using the Array Dialog

The Array dialog appears rather complex. However, there are two main control areas where you set the important parameters: Array Transformation and Array Dimensions.

You can set parameters in any order, but in practice it’s useful to start with Array Transformation. This creates the basic building block for the larger array, as defined by Array Dimensions.

These topics discuss specific strategies for using these controls:

Creating Linear Arrays

Creating Circular and Spiral Arrays

Array Transformation

This area lists the active coordinate system and transform center. It’s where you set the transforms that define the first row of the array. You decide here on the distance, rotation, or scale of individual elements, and along what axes. You then repeat this row in other dimensions to produce the finished array.

Move, Rotate, and Scale Transforms

You set Move, Rotate, and Scale parameters along any of the three axes of the current coordinate system.

  • Move is set in current units. Use a minus value to create the array in the negative direction of the axis.

  • Rotate is set in degrees. Use a minus value to create the array in a clockwise direction around the axis.

  • Scale is set as a percentage. 100 percent is full-size. Percentages below 100 decrease the size.

Incremental and Totals

For each transform, you have the choice of whether to apply the transforms to each element in the array or to the overall array.

  • Click arrows on either side of the transform labels to choose between Incremental or Totals.

Incremental and Totals settings are toggles for each transform. When you set a value on one side, the other side is unavailable. However, the unavailable value updates to show the equivalent setting.

Incremental: Parameters set on this side apply to individual objects in the array. Here are examples:

  • An Incremental Move X setting of 25 specifies a spacing of 25 units on the X axis between centers of arrayed objects.

  • An Incremental Rotate Z setting of 30 specifies a progressive rotation of 30 degrees on the Z axis for each object in the array. In the finished array, each object is rotated 30 degrees farther than the one before it.

Totals: Parameters set on this side apply to the overall distance, number or degrees, or percentage scale in the array. Here are examples:

  • A Totals Move X setting of 25 specifies a total distance of 25 units on the X axis between the centers of the first and last arrayed objects.

  • A Totals Rotate Z setting of 30 specifies a combined rotation of 30 degrees on the Z axis divided equally among every object in the array.

Array Dimensions

The other main control area is Array Dimensions. These controls determine the number of dimensions used in the array and the spacing between the dimensions.

Count: The number of objects, rows, or layers in each dimension.

A one-dimensional array

1D: One-dimensional arrays form a single line of objects in 3D space, like a line of columns. 1D Count=number of objects in a row. Spacing for these objects is defined in the Array Transformation area.

A two-dimensional array

2D: Two-dimensional arrays form a single layer of objects in 3D space, like the rows of squares on a chess board. 2D Count=number of rows in the array.

A three-dimensional array

3D: Three-dimensional arrays form multiple layers of objects in 3D space, like boxes stacked neatly on a palette in a warehouse. 3D Count=number of layers in the array.

Incremental Row Offsets

These parameters become available when you choose a 2D or 3D array. These are distances along any of the three axes of the current coordinate system.

  • If you set a Count value for 2D or 3D, but no row offsets, the array is created with overlapping objects. You need to specify at least one offset distance to prevent this.

  • If some objects appear missing in the array, use the Main toolbar > Select By Name tool to see the full listing of objects in your scene.


Creating Linear Arrays

Examples of linear arrays

A linear array is a series of clones along one or more axes. A linear array can be anything from a line of trees or cars to a stairway, a picket fence, or a length of chain. Any scene requiring repeated objects or shapes is a candidate for a linear array.

See Using the Array Dialog for an explanation of interface terms used here. See Arraying Objects for the basic steps in making an array.

Creating Simple Linear Arrays

The simplest 2D linear array is based on moving a single object along a single axis. These are the basic choices to make on the Array dialog.

Make these choices in the Array Transformation group:

  • Use Incremental Move settings where you know the spacing you want between objects.

  • Use Totals Move settings when you know the overall space or volume you want the array to occupy.

  • For either kind of Move, enter a value for one axis. Leave the other transforms at their defaults.

Makes these choices in the Array Dimension group:

  • Set 1D (2D and 3D are toggled off automatically when you set 1D).

  • Enter a Count value for the number of objects in the array. The field for Total In Array updates to show you the current total of objects in the array you are designing.

  • Click OK to create a linear array along the chosen axis, with the number of objects specified by Count.

2D and 3D Linear Arrays

Arrays in 2D and 3D have the same Array Transformation setup as 1D.

  • Set 2D or 3D and enter a Count value.

    If you set 3D, 2D is automatically active. Both default to 1, which has the same effect as 1D. Set 2D and 3D Count above 1 to produce a more complex array.

  • Set at least one Incremental Row Offset for 2D and 3D. Otherwise, there will no separation between the 1D row and the new clones.

A wide variety of linear arrays are possible. Experiment with moving along all three axes and varying the row offsets in 2D and 3D.

Using Rotation in Linear Arrays

Linear array with elements rotated about their Y axis

You can rotate elements in a linear array by adding a Rotate value for a specified axis. When you add rotation to a linear array, the choice of transform center becomes important.

Using Scale in Linear Arrays

Linear array with progressive scaling

When you add a scale factor, each copy is scaled from the previous copy. Objects in the array become progressively smaller or larger. In the illustration, the same rotated array is used, but this time is scaled uniformly larger. The result can have a fractal-like effect.

Scale and Movement in Nested Arrays

Using only scale settings and the local pivot of an object produces nested arrays, like Russian dolls, just as it does when you Shift-Scale from the local pivot. However, with the Array tool, you can add movement as well. This means you can create increasingly larger or smaller copies and array them at the same time.

Using Uniform Scaling

By default, all axes are available for scaling.

If you set Uniform, only the Incremental Scale X field is active; the Y and Z fields are unavailable. The X value is applied as a uniform scale on all axes of the arrayed objects.


Creating Circular and Spiral Arrays

Circular and spiral arrays typically involve some combination of moving, scaling, and rotating copies along one or two axes and around a common center. The effects can vary from the uniform radial arrangement of bolts on a wheel hub to the complex geometry of a spiral staircase. Many circular patterns can be modeled with these techniques.

See Using the Array Dialog for an explanation of interface terms used here. See Arraying Objects for the basic steps in making an array.

Using a Common Center

Circular and spiral arrays both require a common center for the arrayed objects. This can be the world center, the center of a custom grid object, or the center of the object group itself. You can also move the pivot point of an individual object and use that as the common center.

Circular Arrays

A circular array

Circular arrays are similar to linear arrays, but based on rotation around a common center rather than movement along an axis. The following procedure makes a circle of objects on the XY plane of the home grid with the Z axis as the center.

To create a circular array:

  1. On the Main toolbar, select a transform center to become the center of the array. In this case, select Use Transform Coordinate Center so the center of the grid becomes the array center.

  2. Select an object and position it at some distance from the center of the array. This distance is the radius of the finished circle.

  3. On the Main toolbar, click Array.

  4. On the Array dialog that displays, enter 360 in the Totals Rotate Z field. This is the total rotation for the array, a complete circle. Enter fewer degrees to create a partial circle.

  5. Choose 1D and enter a Count value (this can be any number) and click OK. The software arrays that number of clones within the total rotational angle you specify.

Spiral Arrays

A DNA-like spiral array:
Two connected spheres are arrayed along a single axis and rotated around their common center.

The simplest spiral arrays are rotated circular arrays with a movement along the central axis. The same circle is formed, but now the circle rises upward.

If Z is the central axis, enter a value for Incremental Move Z. Each clone is then moved upward this amount as the circle is formed.

Rotation in Spiral Arrays

In spiral arrays, the direction of rotation determines the direction of the spiral: which way it winds up or down.

Enter a positive rotation for a counterclockwise spiral.

Enter a negative rotation for a clockwise spiral.

Reorienting an Array

By default, each object, when copied into the array, rotates around its own center to follow the main rotation around the common center. This is controlled by the Re-Orient option.

Turn off Re-Orient so objects maintain their original orientation while being rotated. In effect, objects remain facing in the same direction as the original object.


Mirroring Objects

Mirroring an object

The Mirror tool is a dialog that either creates a mirrored clone of a selected object, or mirrors the orientation of the object without creating a clone. You can preview the effects of settings before committing to the operation.

This is the general procedure for mirroring an object. Begin by selecting the object.

  • Click the Mirror button on the main toolbar, or choose Tools menu > Mirror. This displays the Mirror dialog. The title bar indicates the coordinate system currently in use.

For information on the Mirror dialog options, see Mirror Dialog.

Mirrored Arrays

You can combine the Mirror and Array tools. An entire array can be mirrored, or you can set up mirrored objects before creating an array.

Animating Mirror

When you animate Mirror, you see the transition occur as the mirrored object moves into place. For example, a cylinder mirrored to the other side of an axis appears to flatten and reshape itself. This is not visible unless animated.

Mirror Modifier

The Mirror modifier provides a parametric method of mirroring an object or sub-object selection within the modifier stack. You can apply the Mirror modifier to any type of geometry. You can animate the mirror effect by animating the modifier’s gizmo.


Using the Spacing Tool

The Spacing Tool distributes the vases along the sides of the curved street. The vases are all at the same distance from each other; fewer of them appear on the shorter side.

The Spacing Tool distributes objects based on the current selection along a path defined by a spline or pair of points. The distributed objects can be copies, instances, or references of the current selected object. You define a path by picking a spline or two points and by setting a number of parameters. You can also specify how the spacing between objects is determined and whether the insertion points of the objects align to the tangent of the spline.

For details on the Spacing Tool parameters, see Spacing Tool.

To distribute objects along a path:

  1. Select one or more objects to distribute.

  2. Click the Spacing Tool button on the main toolbar, or choose Tools menu > Spacing Tool.

  3. In the Spacing Tool dialog, click Spline or Pick Points to specify a path.

    If you click Spline, select a spline from your scene to use as the path.

    If you click Pick Points, click a start and an end point to define a spline as the path. When you’re finished with the Spacing Tool, the software deletes this spline.

  4. Choose a spacing option from the Parameters list.

    The parameters available for Count, Spacing, Start Offset, and End Offset are dependent on the spacing option you choose.

  5. Specify the number of objects to distribute by entering a value under Count, or by using the spinner.

  6. Depending on the spacing option you choose, adjust the spacing and offsets.

  7. Under Context, choose one of the following:

    • Edge specifies that spacing be determined from the facing edges of each object’s bounding box.

    • Centers specifies that spacing be determined from the center of each object’s bounding box.

  8. Click Follow if you want to align the insertion points of the distributed objects to the tangent of the spline.

  9. Under Type of Object, select the type of object to output (copy, instance, or reference) and click Apply.


Applying Modifiers

To apply a modifier, you use the Modifier Stack controls in the Modify panel. As the procedure below indicates, there are a number of different ways to apply a modifier.

See also

List of Available Modifiers

Using the Modifier Stack

Modifier Types Defined

Procedures

To apply a modifier to an object:

  1. Select the object.

  2. Do one of the following:

    • Choose the name of the modifier from the drop-down modifier list.

    • Drag the name of the modifier from the stack display or the drop-down modifier list to the object in a viewport.

      SHIFT+drag from the stack display moves the modifier, removing it from the original object and applying it to the new one.

      CTRL+drag from the stack display copies the modifier, creating an instanced modifier applied to both the original object and the new one.

    • If the modifier buttons are visible and the modifier you want is one of them, click the button.

    • Choose the modifier from the Modifiers menu.

    • Click the modifier's button in the Modifiers tab panel.


World-Space Modifiers (WSMs)

World-space modifiers (abbreviated as WSMs) are carried with the object to which they're assigned, but use world space rather than object space for their effects. WSMs are convenient for modifying a single object or selection set.

Applying WSMs

A world-space modifier is applied like a standard object-space modifier. You can access world-space modifiers from the Modifiers menu or the Modifier List in the Modify panel. In both the menu and the Modifier List, an asterisk precedes each WSM's name to identify it as a WSM and distinguish it from the comparable object-space modifier, if one exists.

When you assign a WSM to an object, it appears at the top of the modifier stack, listed as a binding.

Only one world-space modifier is available in gmax, the MapScaler modifier. For more information see:

MapScaler (WSM)


List of Available Modifiers

Following is a list of the modifiers, listed in alphabetical order.

(When the user interface lists modifiers, typically it lists them by set, as the table of contents for this reference does.)

Note: The availability of certain modifiers depends on the current selection. For example, Bevel and Bevel Profile appear in the Modifiers list only when a shape or spline object is selected. For the conditions under which a specific modifier is available, see the path annotation at the top of the modifier's topic in this reference.

Affect Region Modifier

Bend Modifier

Cap Holes Modifier

CrossSection Modifier

DeleteMesh Modifier

Delete Patch Modifier

Delete Spline Modifier

Displace Modifier

Edit Mesh Modifier

Edit Patch Modifier

Edit Spline Modifier

Extrude Modifier

Face Extrude Modifier

FFD (Free Form Deformation) Modifiers

FFD (Box/Cyl) Modifier

Lathe Modifier

Linked Xform Modifier

Map Scaler (WSM)

Material Modifier

Mesh Select Modifier

MeshSmooth Modifier

Mirror Modifier

Noise Modifier

Morpher Modifier

Normal Modifier

Normalize Spline Modifier

Optimize Modifier

Patch Select Modifier

Poly Select Modifier

Preserve Modifier

Push Modifier

Relax Modifier

Ripple Modifier

Skew Modifier

Skin Modifier

Slice Modifier

Smooth Modifier

Spline Select Modifier

Surface Modifier

Taper Modifier

Tessellate Modifier

Turn to Mesh Modifier

Turn to Patch Modifier

Turn to Poly Modifier

Twist Modifier

UVW Map Modifier

UVW XForm Modifier

Unwrap UVW Modifier

Vertex Paint Modifier

Volume Select Modifier

Wave Modifier

XForm Modifier


Mesh Select Modifier

Modify panel > Make a selection. > Modifier List > Selection Modifiers > Mesh Select

Make a selection. > Modifiers menu > Selection Modifiers > Mesh Select

The Mesh Select modifier lets you pass a sub-object selection up the stack to subsequent modifiers. It provides a superset of the selection functions available in the Edit Mesh modifier. You can select vertices, faces, or edges, and you can change the selection from sub-object level to object level.

Note the following:

  • When you apply the Mesh Select modifier and then go to any sub-object level, the select-and-transform buttons in the toolbar are unavailable, and the Select Object button is automatically activated.

  • The Mesh Select modifier automatically turns off the Show End Result button, which becomes "spring loaded" while you're in the modifier.

For more information on the stack display, see Modifier Stack.

Using XForm Modifiers to Animate a Mesh Selection

When you apply a Mesh Select modifier, there are no animation controllers assigned to the sub-object selection. This means that the selection has no way to "carry" the transform information needed for animation.

To animate a sub-object selection using Mesh Select, apply either an XForm or Linked XForm modifier to the selection. These modifiers provide the necessary controllers for animating the effects of transforms. In a sense, they give "whole-object status" to the sub-object selection.

  • Xform

    Animates transforms directly on a sub-object selection. Creates a gizmo and center for the sub-object selection. You can animate both, with the center acting as a pivot point for the selection.

  • Linked Xform

    Lets you choose another object to control the animation. The sub-object selection is linked to the "control object." When you transform the control object, the sub-object selection follows accordingly.

Procedure

To use the mesh select modifier:

  1. Create a mesh object.

  2. On the Modify panel, choose Mesh Select.

  3. Select vertices, faces, or edges.

  4. Add another modifier to affect only the selection from step 3.

Interface

Modifier Stack controls

Show End Result: Normally, if you apply a modifier such as Twist to an editable-mesh object and then return to the Editable Mesh stack entry, you cannot see the effect of the modifier on the object's geometry. But if you turn on Show End Result, you can see the final object as a white mesh, and the original editable mesh as an orange mesh.

Note: With modifiers such as MeshSmooth, which apply by default to an entire object, no special treatment is necessary. However, if you intend to use this functionality with other modifiers that work on a sub-object selection passed up the stack, such as Bend, and you want to apply the modifier to the entire object, you should place a Volume Select modifier between the editable mesh object and the modifier in the stack. You should leave the Volume Select modifier's level at the top (the default: no sub-object level chosen).

Mesh Select Parameters rollout

Provides buttons for turning different sub-object modes on and off, working with named selections and handles, display settings, and information about selected entities.

The icons at the top of the Selection rollout let you specify the method of face selection.

Clicking a button here is the same as selecting a sub-object level in the modifier stack. Click the button again to turn it off and return to the object selection level.

Vertex: Selects a vertex beneath the cursor; region selection selects vertices within the region.

Edge: Selects a face or polygon edge beneath the cursor; region selection selects multiple edges within the region.

Face: Selects a triangular face beneath the cursor; region selection selects multiple triangular faces within the region.

Polygon: Selects all coplanar faces (defined by the value in the Planar Threshold spinner) beneath the cursor. Usually, a polygon is the area you see within the visible wire edges. Region selection selects multiple polygons within the region.

Element: Selects all contiguous faces in an object. Region selection selects the same.

By Vertex: Selects any sub-objects at the current level that use a vertex you click. Applies to all sub-object levels except Vertex. Also works with Region Select.

Ignore Backfaces: Selects only those sub-objects whose normals make them visible in the viewport. When turned off (the default), selection includes all sub-objects, regardless of the direction of their normals.

Note: The state of the Backface Cull setting in the Display panel doesn't affect sub-object selection. Thus, if Ignore Backfacing is turned off, you can select sub-objects even if you can't see them.

Note: The state of the Ignore Backfaces check box also affects edge selection at the Edge sub-object selection level.

Ignore Visible Edges: When turned off (the default), and you click a face, the selection won't go beyond the visible edges no matter what the setting of the Planar Thresh spinner. When turned on, face selection ignores the visible edges, using the Planar Thresh setting as a guide. Enabled when the Polygon face selection method is chosen.

Generally, if you want to select a "facet" (a coplanar collection of faces), you set the Planar Threshold to 1.0. On the other hand, if you're trying to select a curved surface, increase the value depending on the amount of curvature.

Planar Thresh (Planar Threshold): Specifies the threshold value that determines which faces are coplanar for Polygon face selection.

Get from Other Levels group

Applies selections from one sub-object level to another.

Get Vertex Selection: Selects faces based on the last vertex selection. Selects all faces shared by any selected vertex. The selection is added to the current selection. Available only when Vertex is not the current sub-object level.

Get Face Selection: Selects vertices based on the last face/polygon/element selection. This selection is added to the current selection. Available only when Face/Polygon/Element is not the current sub-object level.

Get Edge Selection: Selects faces based on the last edge selection. Selects those faces that contain the edge. Available only when Edge is not the current sub-object level.

Select by Material ID group

Selects faces based on their material ID.

ID: Set the spinner to the ID number you want to select, and then click the Select button. Press CTRL while clicking to add to the current selection, or press ALT to remove from the current selection.

Named Selection Sets group

These functions are primarily for copying named selection sets of sub-objects between similar objects, and between comparable modifiers and editable objects. For example, you can apply a mesh select modifier to a sphere, create a named selection set of edges, and then copy the selection to a different sphere that's been converted to an editable mesh object. You can even copy the selection set to a different type of object, because the selection is identified by the entities' ID numbers.

The standard procedure is to create a selection set, name it, and then use Copy to duplicate it into the copy buffer. Next, select a different object and/or modifier, go to the same sub-object level as you were in when you copied the set, and click Paste.

Note: Because sub-object ID numbers vary from object to object, the results of copying named selection sets between different objects can be unexpected. For example, if the buffered set contains only entities numbered higher than any that exist in the target object, no entities will be selected when the set is pasted.

Copy: Places a named selection into the copy buffer.

Paste: Pastes a named selection from the copy buffer.

Select Open Edges: Selects all edges with only one face. In most objects, this will show you where missing faces exist. Available only at the Edge sub-object level.

Selection Info

At the bottom of the Mesh Select Parameters rollout is a text display giving you information about the current selection. If 0 or more than one sub-object is selected, the text gives the number and type selected. If one sub-object is selected, the text gives the ID number and type of the selected item.

Note: When the current sub-object type is Polygon or Element, selection information is given in faces.

Soft Selection rollout

These controls let you set a gradual falloff of influence between selected and unselected vertices. See Soft Selection Rollout (Edit/Editable Mesh).


Patch Select Modifier

Make a selection. > Modify panel > Modifier List > Selection Modifiers > Patch Select

Make a selection. > Modifiers menu > Selection Modifiers > Patch Select

The Patch Select modifier lets you pass a sub-object selection up the stack to subsequent modifiers. It provides a superset of the selection functions available in the Edit Patch modifier. You can select vertices, edges, patches, and elements. You can also change the selection from sub-object level to object level.

Note: When you apply the Patch Select modifier and then go to any sub-object level, the select-and-transform buttons in the toolbar are unavailable, and the Select Object button is automatically activated.

Using XForm Modifiers to Animate a Patch Selection

When you apply a Patch Select modifier, there are no animation controllers assigned to the sub-object selection. This means that the selection has no way to "carry" the transform information needed for animation.

To animate a sub-object selection using Patch Select, apply either an XForm or Linked XForm modifier to the selection. These modifiers provide the necessary controllers for animating the effects of transforms. In a sense, they give "whole-object status" to the sub-object selection.

  • Xform

    Animates transforms directly on a sub-object selection. Creates a gizmo and center for the sub-object selection. You can animate both, with the center acting as a pivot point for the selection.

  • Linked Xform

    Lets you choose another object to control the animation. The sub-object selection is linked to the "control object." When you transform the control object, the sub-object selection follows accordingly.

Procedure

To use the patch select modifier:

  1. Create a patch object.

  2. Go to the Modify panel and choose Patch Select from the modifier list.

  3. Select vertices, patches, edges, or elements.

  4. Add another modifier to affect only the selection from step 3.

Interface

Modifier Stack

Vertex: Selects vertices.

Edge: Selects edges.

Patch: Selects patches.

Element: Selects elements.

For more information on the stack display, see Modifier Stack.

Parameters rollout

Provides buttons for turning different sub-object modes on and off, working with named selections and handles, display settings, and information about selected entities.

The icons at the top of the Selection rollout let you specify the method of face selection. Clicking a button here is the same as selecting a sub-object type in the modifier stack. Click the button again to turn it off and return to the object selection level.

Vertex: Selects a vertex beneath the cursor; region selection selects vertices within the region.

Edge: Selects an edge beneath the cursor; region selection selects multiple edges within the region.

Patch: Selects a patch beneath the cursor; region selection selects multiple patches within the region.

Element: Selects all contiguous faces in an object; region selection selects the same.

Select By Vertex: Selects any sub-objects at the current level that use a vertex you click. Applies to all sub-object levels except Vertex. Also works with Region Select.

Ignore Backfaces: Selects only those edges, patches, or elements whose normals make them visible in the viewport. When turned off (the default), selection includes all sub-objects, regardless of the direction of their normals.

Note: The state of the Backface Cull setting in the Display panel doesn't affect sub-object selection. Thus, if Ignore Backfacing is turned off, you can select sub-objects even if you can't see them.

Note: The state of the Ignore Backfaces check box also affects edge selection at the Edge sub-object selection level.

Get from Other Levels group

Applies selections from one sub-object level to another.

Get Vertex Selection: Selects edges, patches, or elements based on the last vertex selection. The selection is added to the current selection. Available only when Vertex is not the current sub-object level.

Get Edge Selection: Selects vertices, patches, or elements based on the last edge selection. Selects those vertices, patches, or elements that contain the edge. Available only when Edge is not the current sub-object level.

Get Patch Selection: Selects vertices, edges, or elements based on the last patch selection. This selection is added to the current selection. Available only when Patch is not the current sub-object level.

Select by Material ID group

Selects faces based on their material ID.

ID: Set the spinner to the ID number you want to select, and then click the Select button. Press CTRL while clicking to add to the current selection, or press ALT to remove from the current selection.

Named Selection Sets group

These functions are primarily for copying named selection sets of sub-objects between similar objects, and between comparable modifiers and editable objects. For example, you can apply a patch select modifier to a sphere, create a named selection set of edges, and then copy the selection to a different sphere that's been converted to an editable patch object. You can even copy the selection set to a different type of object, because the selection is identified by the entities' ID numbers.

The standard procedure is to create a selection set, name it, and then use Copy to duplicate it into the copy buffer. Next, select a different object and/or modifier, go to the same sub-object level as you were in when you copied the set, and click Paste.

Note: Because sub-object ID numbers vary from object to object, the results of copying named selection sets between different objects can be unexpected. For example, if the buffered set contains only entities numbered higher than any that exist in the target object, no entities will be selected when the set is pasted.

Copy: Places a named selection into the copy buffer.

Paste: Pastes a named selection from the copy buffer.

Select Open Edges: Selects all edges with only one face. In most objects, this will show you where missing patches exist. Available only at the Edge sub-object level.

Selection Info

At the bottom of the Patch Select Parameters rollout is a text display giving you information about the current selection. If 0 or more than one sub-object is selected, the text gives the number and type selected. If one sub-object is selected, the text gives the ID number and type of the selected item.

Note: When the current sub-object type is Patch or Element, selection information is given in Patches.

Soft Selection rollout

See Soft Selection Rollout for information on the Soft Selection rollout settings.


Poly Select Modifier

Make a selection. > Modify panel > Modifier List > Selection Modifiers > Poly Select

The Poly Select modifier lets you pass a sub-object selection up the stack to subsequent modifiers. It provides a superset of the selection functions available in Editable Poly. You can select vertices, edges, borders, polygons, and elements. You can change the selection from sub-object level to object level.

When you apply the Poly Select modifier and then go to any sub-object level, the select-and-transform buttons in the toolbar are unavailable, and the Select Object button is automatically activated.

Using XForm Modifiers to Animate a Poly Selection

When you apply a Poly Select modifier, there are no animation controllers assigned to the sub-object selection. This means that the selection has no way to "carry" the transform information needed for animation.

To animate a sub-object selection using Poly Select, apply either an XForm or Linked XForm modifier to the selection. These modifiers provide the necessary controllers for animating the effects of transforms. In a sense, they give "whole-object status" to the sub-object selection.

  • Xform

    Animates transforms directly on a sub-object selection. Creates a gizmo and center for the sub-object selection. You can animate both, with the center acting as a pivot point for the selection.

  • Linked Xform

    Lets you choose another object to control the animation. The sub-object selection is linked to the "control object." When you transform the control object, the sub-object selection follows accordingly.

Procedure

To use the poly select modifier:

  1. Create an object.

    Note: Applying a Poly Select modifier to an object other than a polymesh type, will convert the object to a polymesh object. If you want more control over the conversion, add a Turn To Poly modifier before applying the Poly Select modifier. The Turn To Poly modifier provides conversion options that aren't available with the Poly Select modifier.

  2. Choose Poly Select from the Modifier List.

  3. Select vertices, faces, or polygons.

  4. Add another modifier to affect only the selection from step 3.

Interface

Modifier Stack

Vertex: Selects vertices.

Edge: Selects edges.

Border: Selects borders.

Polygon: Selects polygons.

Element: Selects elements.

For more information on the stack display, see Modifier Stack.

Parameters rollout

Provides buttons for turning different sub-object modes on and off, working with named selections and handles, display settings, and information about selected entities.

The icons at the top of the Selection rollout let you specify the method of face selection.

Clicking a button here is the same as selecting a sub-object type in the modifier stack. Click the button again to turn it off and return to the object selection level.

Vertex: Selects a vertex beneath the cursor; region selection selects vertices within the region.

Edge: Selects a polygon edge beneath the cursor; region selection selects multiple edges within the region.

Border: Turns on Border sub-object mode, which lets you select an area on a mesh that can generally be described as a hole. Areas like this are usually sequences of edges with faces on only one side. For example, a box doesn't have a border, but the teapot object has a couple of them: on the lid, on the body, on the spout, and two on the handle. If you create a cylinder, then delete the top face, the top row of edges forms a border.

When Border sub-object mode is active, you can't select edges which aren't on borders. Clicking on a single edge on a border selects that whole border.

Borders can be capped (either in editable poly or by applying the cap holes modifier). They can also be connected to another object (compound object connect).

Polygon: Selects all coplanar polygons beneath the cursor. Usually, a polygon is the area you see within the visible wire edges. Region selection selects multiple polygons within the region.

Element: Selects all contiguous polygons in an object; region selection selects the same.

By Vertex: Selects any sub-objects at the current level that use a vertex you click. Applies to all sub-object levels except Vertex. Also works with Region Select.

Ignore Backfaces: Selecting sub-objects selects only those whose normals make them visible in the viewport. When turned off (the default), selection includes all sub-objects, regardless of the direction of their normals.

Note: The state of the Backface Cull setting in the Display panel doesn't affect sub-object selection. Thus, if Ignore Backfacing is turned off, you can select sub-objects even if you can't see them.

Note: The state of the Ignore Backfaces check box also affects edge selection at the Edge sub-object selection level.

Get from Other Levels group

Applies selections from one sub-object level to another.

Get Vertex Selection: Selects faces based on the last vertex selection. Selects all faces shared by any selected vertex. The selection is added to the current selection. Available only when Vertex is not the current sub-object level.

Get Poly Selection: Selects vertices based on the last polygon/element selection. This selection is added to the current selection. Available only when Polygon/Element is not the current sub-object level.

Get Edge Selection: Selects faces based on the last edge selection. Selects those faces that contain the edge. Available only when Edge or Border is not the current sub-object level.

Select by Material ID group

Selects faces based on their material ID.

ID: Set the spinner to the ID number you want to select, and then click the Select button. Press CTRL while clicking to add to the current selection, or press ALT to remove from the current selection.

Named Selection Sets group

These functions are primarily for copying named selection sets of sub-objects between similar objects, and between comparable modifiers and editable objects. For example, you can apply a poly select modifier to a sphere, create a named selection set of edges, and then copy the selection to a different sphere that's been converted to an editable mesh object. You can even copy the selection set to a different type of object, because the selection is identified by the entities' ID numbers.

The standard procedure is to create a selection set, name it, and then use Copy to duplicate it into the copy buffer. Next, select a different object and/or modifier, go to the same sub-object level as you were in when you copied the set, and click Paste.

Note: Because sub-object ID numbers vary from object to object, the results of copying named selection sets between different objects can be unexpected. For example, if the buffered set contains only entities numbered higher than any that exist in the target object, no entities will be selected when the set is pasted.

Copy: Places a named selection into the copy buffer.

Paste: Pastes a named selection from the copy buffer.

Select Open Edges: Selects all edges with only one face. In most objects, this will show you where missing faces exist. Available only at the Edge or Border sub-object level.

Selection Info

At the bottom of the Parameters rollout for Mesh Select is a text display giving you information about the current selection. If 0 or more than one sub-object is selected, the text gives the number and type selected. If one sub-object is selected, the text gives the ID number and type of the selected item.

Note: When the current sub-object type is Element, selection information is given in polygons When the current sub-object type is Border, selection information is given in edges.

Soft Selection rollout

Soft Selection controls affect the action of sub-object Move, Rotate, and Scale functions. When these are on, gmax applies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect with a sphere of influence around the transformation.

For more information, see Soft Selection Rollout.


Spline Select Modifier

Select a shape. > Modify panel > Modifier List > Selection Modifiers > Spline Select

Select a shape. > Modifiers menu > Selection Modifiers > Spline Select

Tab panels > Modifiers tab > Spline Select Modifier

The Spline Select modifier passes a sub-object selection of shapes up the stack to subsequent modifiers. It provides much of the same selection functions available in the Edit Spline modifier. You can select vertices, segments, or splines, and you can change the selection from sub-object level to object level.

This modifier is similar to the Mesh Select and Poly Select modifiers, except for the type of sub-object components.

Procedure

To use the spline select modifier:

  1. Create a multi-spline shape.

  2. Go to the Modify panel and choose Spline Select from the modifier list.

  3. Turn on sub-object vertices, segments or splines.

  4. In the viewports select vertices, segments, or splines.

    Tip: You can transform the selection using an XForm or Linked XForm modifier.

Interface

Modifier Stack

The sub-object level you choose for the spline select modifier changes the rollout that appears. (There are no parameters at the top, object level.)

Vertex: Creates a sub-object selection of vertices.

Segment: Creates a sub-object selection of segments.

Spline: Creates a sub-object selection of splines.

For more information on the stack display, see Modifier Stack.

Select Vertex rollout

Get Segment Selection, Get Spline Selection: Select vertices based on the last Segment or Spline selection. This selection is added to the current selection. Available only when Vertex is not the current sub-object level.

Select Segment rollout

Get Vertex Selection, Get Spline Selection: Select segments based on the last vertex or spline selection. The selection is added to the current selection. Available only when Segment is not the current sub-object level.

Select Spline rollout

Get Vertex Selection, Get Segment Selection: Select splines based on the last vertex or segment selection. The selection is added to the current selection. Available only when Spline is not the current sub-object level.

Copy/Paste Selection controls (all rollouts)

Copy: Places a named selection into the copy buffer.

Paste: Pastes a named selection from the copy buffer.

You can copy a named selection from one object to another or one modifier to another. You must copy and paste in the same sub-object level.


Volume Select Modifier

Modify panel > Make a selection. > Modifier List > Selection Modifiers > Vol. Select

Make a selection. > Modifiers menu > Selection Modifiers > Volume Select

The Volume Select modifier lets you make a sub-object selection of vertices or faces for passing up the stack to another modifier or modifiers. The sub-object selection is completely separate from the underlying parametric geometry of the object. Like other selection methods, Volume Select works with single or multiple objects.

Volume Select lets you use one of three gizmos or another object to define a volume of space as the selection area, to which you can then apply modifiers. You can move the selection over an object and animate it.

When applied, Volume Select begins with the current geometry in the object's stack, whether it's a whole object or a sub-object selection (for example, from an Edit Mesh or another Volume Select modifier).

Patches

Patch objects coming up the modifier stack are not converted to a mesh by this modifier. A patch object input to the Volume Select modifier retains its patch definition.

Original mesh with select gizmo showing (top). Modification made after applying Volume Select modifier (bottom).

Scaling Compatibility

The Volume Select gizmo scales along with its object. Thus, if you apply a Volume Select modifier, and then change the scale of your object (with the toolbar Scale function) the selection doesn't change. In other words, all three transforms affect the Volume Select gizmo and its object identically.

Volume Select Center

The Volume Select modifier has a center as well as a gizmo. This lets you alter the center for non-animated transforms. However, if you animate a rotation about the offset center, you achieve animation of both rotation and translation.

Procedures

To apply and use volume selection:

  1. Select an object and apply the Vol. Select modifier.

    The Parameters rollout appears.

  2. In the Stack Selection Level group, choose Object, Vertex, or Face to specify the kind of geometry you want to work with.

  3. In the Select By rollout > Volume group, choose one of the four volume types: Box, Sphere, Cylinder, or Mesh Object.

    If you choose Mesh Object, you should then click the None button and select an object to use as the selection volume.

  4. Choose a selection method and type (defined in the following Interface section). You can change these choices as you work, depending on the particular selection you're trying to make.

  5. Once the selection is complete, you can do the following:

    • Apply modifiers to the selection.

    • Transform the Volume Select gizmo at the sub-object level, changing the selection in the process.

    • Combine these options. See the following example.

Example: To animate a volume selection:

  1. Apply Volume Select to an object.

  2. Make a sub-object selection of the object's geometry at Face or Vertex level, and apply a geometric modifier, such as BendBend_Modifier, to the selection.

  3. Move to a nonzero frame and begin animation. Adjust parameters on the geometric modifier, then move to another frame.

  4. In the stack, return to the Volume Select modifier. Choose the Volume Select gizmo sub-object. Move the gizmo and its geometry selection to another part of the object.

  5. Repeat this process on other frames. Optionally, you can return to the geometric modifier and change its parameters at any frame.

    During playback, you see the effect of an animated geometric modifier moving over the object.

Interface

Modifier Stack

Gizmo sub-object: You can transform and animate the gizmo to change the selection. Translating the gizmo translates its center an equal distance. Rotating and scaling the gizmo takes place with respect to its center.

Center sub-object: You can translate and animate the center, which affects rotation or scaling of the Volume Select modifier's gizmo.

For more information on the Stack Display, see Modifier Stack.

Parameters rollout

Stack Selection Level group

Object/Vertex/Face: Volume Select provides three selection levels. Vertex and Face levels put the modifier stack in sub-object selection. You can make one sub-object selection for each Volume Select modifier. You can then toggle the one selection between Face and Vertex level to send either up the stack. Object (top) level lets you modify the whole object while retaining any sub-object selection.

Selection Method group

Replace: Clears any selection passed up the stack to the Volume Select modifier, and then selects geometry within the volume.

Add: Selects all geometry within the volume, adding to any previous selection.

Subtract: Deselects all geometry within the volume.

Invert: Reverses the entire selection set. Geometry that was unselected becomes selected, and vice versa.

Selection Type group

Lets you determine whether selected faces are wholly or partially within the defined volume when you set Stack Selection Level to Face.

Window: Selects only faces with all three vertices within the selection volume.

Crossing: Selects faces with only one vertex within the selection volume.

Select By group

These controls let you define the selection with a primitive, a mesh object, or by surface characteristics.

Volume: Box/Sphere/Cylinder: To define the selection space using a standard primitive-shaped gizmo, choose one of these. You can then scale, rotate, or move the gizmo anywhere around the object.

Volume: Mesh Object: Choose this option to use another object to define the selection space. After choosing Mesh Object, click the button below it (labeled "None" by default), and then select an object to use as the volume.

Besides mesh objects, you can use patch objects. In addition, if you turn on Soft Selection rollout > Use Soft Selection, you can use spline objects to define the selection.

Mesh object button: Click this button, then select an object to define the selection space. You don't need to choose Mesh Object first, but you do need to choose Mesh Object to use the object as a volume. After you select an object, its name appears on the button.

This button is labeled "None" if no object has been chosen.

Note: The selection depends on a volume intersecting the object. If a gizmo or object is scaled down and moved inside an object, no selection occurs because no geometry is within the volume of the gizmo.

Surface Features: Defines the selection by surface characteristics instead of a geometric volume. While this doesn't have much to do with volume, it was added because Volume Select is a procedural modifier, whereas Mesh Select is explicit. Now, even if your topology changes, Volume Select will consistently select the faces or vertices using a particular material or smoothing group.

Indicate which type of surface characteristic to base selection on by choosing one of the following:

Material ID: Specifies a material ID. All faces or vertices using the ID indicated by the spinner value are selected.

Sm Group: Specifies a smoothing group. All faces or vertices using the ID indicated by the spinner value are selected.

Texture Map: Specifies a texture map from the scene. Click the map button (labeled "None" by default) to choose a texture map to use for selection. All faces or vertices using that texture map will be selected. When using the Texture Map option, you can also specify a mapping channel or the vertex color channel using the Map/Vertex Color radio buttons and spinner.

Note: You must apply mapping to the object below Vol. Select in its stack for the Texture Map selection to work. That is, the Vol. Select modifier must have mapping coordinates passed up the stack so it can use a texture map for selection.

Note: If you set Selection Type to Window, vertices will be selected if all the faces they touch use the specified material or smoothing group. If you set Selection Type to Crossing, vertices will be selected if they touch any face using the specified material or smoothing group.

Alignment group

These controls are generally used when the gizmo has been transformed out of its original orientation to the object.

Fit: Resizes the gizmo to fit around the object or previous selection in the stack. Maintains any previous rotation.

Center: Recenters the gizmo on the object or previous selection in the stack. Maintains any previous scale or rotation.

Reset: Returns the gizmo to its default size and orientation. Cancels the effect of all previous transforms.

Auto Fit: When on, automatically adjusts the gizmo size and shape to fit the object as you change the underlying topology (for example, transforming vertices).

Soft Selection rollout

These controls, available only at the Vertex stack selection level, let you set a gradual falloff of influence between selected and unselected vertices. See Soft Selection Rollout (Edit/Editable Mesh).

Note: Soft Selection does not apply to materials or smoothing groups. However, if there was already a weighted selection passed up the stack, a Volume Select set to Material or Smoothing Group mode and not set to Replace will preserve the selection.


Edit Patch Modifier

Create or select an object. > Modify panel > Modifier List > Patch/Spline Editing > Edit Patch

Create or select an object > Modifiers menu > Patch/Spline Editing > Edit Patch

The Edit Patch modifier provides editing tools for different sub-object levels of the selected object: vertex, edge, patch, and element. The Edit Patch modifier matches all the capabilities of the base Editable Patch object, except that you cannot animate sub-objects in Edit Patch. See Editable Patch for a complete parameter reference.

When possible, it’s far more efficient and reliable to perform explicit editing at the Editable Patch level rather than store those edits within the Edit Patch modifier. The Edit Patch modifier must copy the geometry passed to it, and this storage can lead to large file sizes. The Edit Patch modifier also establishes a topological dependency that can be adversely effected if earlier operations change the topology being sent to it.

There are, however, situations where using the Edit Patch modifier is the preferred method.

  • You want to edit a parametric object as a patch, but want to retain the ability to modify its creation parameters after the edit.

  • You want to store your edits temporarily within Edit Patch until you are satisfied with the results, before committing them permanently to an editable patch.

  • You need to make edits across several patch objects at once, but do not want to convert them to a single editable patch object.

  • You have a modifier in the stack that must stay parametric, and the resulting patch must be edited after the modifier is applied.


Edit Spline Modifier

Create or select a spline. > Modify panel > Patch/Spline Editing > Edit Spline

Create or select a spline. > Modifiers menu > Patch/Spline Editing > Edit Spline

The Edit Spline modifier provides explicit editing tools for different levels of the selected shape: vertex, segment, or spline. The Edit Spline modifier matches all the capabilities of the base Editable Spline object, with the exceptions noted below. See Editable Spline for a complete parameter reference.

The Mesh Settings and Interpolation rollouts found in Editable Spline, which allows manipulation of the spline's creation parameters, are not available in the Edit Spline modifier. (The creation parameters are available in the modifier stack for a spline to which Edit Spline is applied.) In addition, the direct vertex animation capabilities of Editable Spline are not possible in Edit Spline.

When possible, it’s far more efficient and reliable to perform explicit editing at the Editable Spline level rather than store those edits within the Edit Spline modifier. The Edit Spline modifier must copy the geometry passed to it, and this storage can lead to large file sizes. The Edit Spline modifier also establishes a topological dependency that can be adversely effected if earlier operations change the topology being sent to it.

There are, however, situations where Edit Spline is the preferred method.

  • You want to edit a parametric shape as a spline, but want to retain the ability to modify its creation parameters after the edit.

  • You want to store your edits temporarily within Edit Spline until you are satisfied with the results, before committing them permanently to an editable spline object.

  • You need to make edits across several shapes at once, but do not want to convert them to a single editable spline object.

  • You have a modifier in the stack that must stay parametric, and the resulting spline must be edited after the modifier is applied.


CrossSection Modifier

Select a spline object with spline cross-sections. > Modify panel > Modifier List > Patch/Spline Editing > CrossSection

Make a selection. > Modifiers menu > Patch/Spline Editing > CrossSection

The CrossSection modifier creates a "skin" across multiple splines. It works by taking 3D splines and connecting their vertices to form a skin. The resulting object is another spline object that can be used with the Surface modifier to create a patch surface.

CrossSection can build a skin across various shaped splines with different vertex counts and open/closed status. The more different the splines in vertex count and complexity, the more likely the skin will have discontinuity.

Note: The CrossSection and Surface modifiers together are referred to as Surface Tools.

See also

Surface Modifier

Procedures

Example: To explore the CrossSection modifier:

  1. On the Create panel, click Shapes, then click Circle.

  2. Drag in the Top viewport to create a circle about 100 units in radius.

  3. On the Modify panel, choose Edit Spline from the Modifier List.

  4. In the modifier stack display, turn on Spline sub-object, then select the circle.

  5. In the Front viewport, Shift-Move the spline up to copy it.

  6. Shift-Move the copy up to create a third circle.

    Note: The order that you attach or clone splines is important: this is the order that CrossSection uses to create the skin.

  7. On the Modify panel, choose CrossSection from the Modifier List.

    CrossSection joins the vertices of the three circles. A basic spline cylinder displays.

  8. On the Modify panel, on the Modifiers List, choose Surface to add the Surface modifier.

    The spline cylinder is transformed into a patch surface by the Surface modifier.

  9. To edit the model's surface, change the splines using controls in the Edit Spline modifier. Or, since the output of the Surface modifier is a patch surface, add an Edit Patch modifier and use patch edit controls to change the surface.

    An Edit Patch modifier above the Surface modifier was used to create the images.

Example: Using the CrossSection modifier to skin several splines with different shapes:

  1. On the Create panel, click Shapes.

  2. On the Object Type rollout, turn on Start New Shape, then click NGon.

  3. In the Top viewport, create two five-sided circular NGons.

  4. On the Create panel, with Shapes still active, click Line. Create two lines, each with four vertices. Create the vertices left-to-right.

  5. On the main toolbar, click Select And Move, then move the objects in the viewport to order them along the Z axis with the NGons at the bottom and the lines above the NGons.

  6. Select the bottom NGon.

  7. On the Modify panel, choose Edit Spline from the Modifier List.

  8. In the Geometry rollout, click Attach.

  9. Select the remaining NGon and lines in an ascending order, as numbered in the image.

    Note: The order of selection is important. The CrossSection modifier uses the selection order to define the skin.

Example continued: Lining up the vertices:

  1. On the Modify panel, choose the Vertex sub-object level in the stack display.

    Lining up the first vertex of each spline is important to prevent the surface from twisting.

  2. Use CTRL+click to select the right-most vertex of each line and the bottom-most vertex of each NGon.

  3. On the Geometry rollout, click Make First.

    Aligning the first vertex is important. This is where the seam forks, going from a closed to an open spline.

Example continued: Using CrossSection and Surface to "skin" the shapes:

  1. On the Modify panel, choose CrossSection from the Modifier List.

    The CrossSection modifier connects the splines at the vertices.

  2. On the Modifiers List, choose Surface.

    The Surface modifier generates a patch surface based on the splines.

  3. In the modifier stack display, choose the CrossSection modifier.

  4. On the CrossSection Parameters rollout, toggle between Linear and Smooth. Notice how the splines change.

  5. On the Modify Panel, toggle the Show End Result On/Off Toggle button to display the final patch surface. The toggle won’t remain on if the CrossSection modifier is current. Drop down to the Editable Patch in the stack and turn on the Show End Result toggle if you like.

Tip: When you use CrossSection, draw splines in a consistent direction. A twisted surface results when lines are created from vertices that are not lined up.

Interface

Linear/Smooth/Bezier/Bezier Corner: Determines what type of curve will be used through the spline vertices.


Surface Modifier

Select a spline object. > Modify panel > Modifier List > Patch/Spline Editing > Surface

Select a spline object. > Modifiers menu > Patch/Spline Editing > Surface

Procedures Interface

Surfaces can be modeled by creating a network of splines (spline cage) and applying the Surface modifier to create a patch surface based on the spline network.

The Surface modifier generates a patch surface based on the contours of a spline network. A patch is created wherever the segments of the interwoven splines form a three- or four-sided polygon. The Surface modifier and the CrossSection modifier, taken together, are referred to as Surface Tools. They allow you to create complex or organic surfaces, like the fuselage of a plane, or a three-dimensional character.

The CrossSection modifier can be applied before the Surface modifier to connect splines representing cross-sections. Once the basic spline network is created and the Surface modifier is applied, the model can be adjusted by editing the splines using an Edit Spline modifier below the Surface modifier in the modifier stack. Since the Surface modifier creates a Patch surface, further refinements can be made to the patch model by adding an Edit Patch modifier above the Surface modifier.

The bulk of the work in using Surface tools to model lies in creating and editing splines in an Editable Spline or Edit Spline modifier. One of the benefits to modeling using splines and Surface Tools is the ease of editing the model. At almost any stage of modeling, you can add a nostril, ear, limb or body by simply adding splines. This lends itself to a free-form approach to organic modeling: you have a mental image of what you want, then you create and edit the spline network until you are satisfied.

Surface Modifier Basics

  1. Create a spline object.

  2. Make sure that the Spline vertices form valid three-sided or four-sided polygons. Vertices on splines that cross one another should be coincident.

    To make spline vertices coincident, drag vertices over each other with 3D Snap turned on. 3D Snap must have the Vertex or End Point option turned on. With 3D Snap turned on, you can snap to vertices on existing splines as you create new splines. You can also select vertices and use the Fuse option in an Editable Spline to make vertices co-incident.

  3. Use the CrossSection modifier to connect spline cross-sections, unless you plan on manually creating the splines that connect the model's cross-sections.

  4. Apply the Surface modifier, then adjust the weld threshold to generate a patch object. Ideally all spline vertices that will form a patch surface are coincident; the Threshold parameter allows patch creation even if vertices are not quite coincident.

  5. Optionally, add an Edit Patch modifier to edit the patch surface.

    Tip: Make a reference copy of the spline object, then add the Surface modifier to the copy and edit the original. As you edit the original spline object, patches appear on the reference copy as splines form three-or four-sided shapes. This allows you to view a shaded surface as you model.

    You can take this a step further and add a Mirror modifier to the reference copy. As you create splines for one side of a head or body, the reference copy displays an entire model.

Modeling with Surface Tools

There are two primary methods of using the Surface modifier to create patch models.

  • Create splines that represent a model's cross sections, add the CrossSection modifier to connect the cross sections, and apply the Surface modifier to create the patch surface. This approach works for models like the body of an airplane.

  • Create a network of splines manually, and then apply the Surface modifier to create the patch surface. This approach works for modeling a face or body of a character.

Modeling Examples

Scooter: Splines form cross sections of the body

One method of using Surface Tools is to create splines that represent a model's cross-sections, then the CrossSection and Surface modifiers are applied to create the patch surface.

Face: Spline network based on front and profile reference images

Two intersecting texture-mapped polygons are used as a reference to create a network of splines manually. Drawing lines on the physical sculpture is used as an added visual aid to position the splines in this case. The CrossSection modifier is not necessary if you create the spline network manually.

Rhino head: Spline network begins with the profile

In the left image, the head of a rhinoceros is modeled by creating a network of splines. The first spline created is the profile of the rhino; other splines are added and edited to complete the model. In this case, a reference copy of the spline model was created and a Surface modifier was added to the copy.

As the spline network is edited, the patch surface of the reference copy is updated dynamically. This allows you to view a shaded patch model as you manipulate the spline network, any surface anomalies can be spotted and corrected. See the tutorial "Modeling a Rhino Head with Modifiers".

Sequence of images showing the spline network, the patches created by the Surface modifier, and a shaded view of an alien character

Additional Details

  • Splines are initially created using the tools in Create panel > Shapes > Splines > Object Type rollout, such as Line, Circle and Arc. Splines can also be created using the Create Line command in an Editable Spline or and Edit Spline modifier.

  • Splines are edited by applying an Edit Spline modifier to the selected spline object or editing parameters in an Editable Spline. Editing splines changes the patch surface created by the Surface modifier.

  • To add splines to a spline object, use the Attach command in the Edit Spline modifier.

  • Within a spline object, splines need not be continuous. A spline object may consist of ten splines for example. As long as the spline vertices are coincident, or close enough for the Threshold parameter in the Surface modifier to weld them together, a surface will be generated.

Procedures

Example: Understanding valid splines:

  1. In the Top viewport, use Create panel > Shape > NGon to create three NGons: a three-sided, four-sided, and five-sided NGon, each about 100 units wide.

  2. Make sure that all the splines form one object. Do this by applying an Edit Spline modifier to one of the NGons and using Attach to add the remaining NGon objects.

  3. Choose Patch/Spline Editing > Surface from the Modifier List.

    Notice that the three- and four-sided splines formed patches but the five-sided Ngon did not. The five-sided spline does not form a three- or four-sided closed polygon. To make it a valid spline, a line must be created to form a three- and four-sided polygon.

  4. In the stack display, choose the Edit Spline modifier again. Turn on Create Line on the Geometry rollout, and create a line that bisects the five-sided NGon.

    The start and end points of the line should overlap the vertices on the NGon. Being exact is not critical; the Threshold parameter fuses spline vertices based on their proximity.

  5. In the stack display, choose the Surface modifier again. Now the five-sided NGon is a patch object, consisting of a quad patch and a tri patch.

    Note: If the spline object did not turn into a patch, turn up the Surface modifier's Threshold parameter until the patches appear.

Example continued: Adjusting the shape of the spline:

  1. In the stack display, expand the Edit Spline modifier's hierarchy, and choose the Vertex sub-object level.

  2. In the Top viewport, select the top vertex of the five-sided NGon.

    Two vector handles are displayed. These handles can be moved on any axis.

  3. Turn on Select and Move on the toolbar, then drag the handles around in the Top viewport.

    The shape of the spline changes.

  4. Below the stack display, turn on the Show End Result On/Off Toggle button.

    The patch changes shape to fit the spline.

Interface

Spline Options group

Threshold: Determines the overall distance that is used to weld the vertices of the spline object. All vertices/vectors within the threshold of each other are treated as one. Threshold uses units set in the Units Setup dialog.

Note: Spline control handles are also treated as vertices, so setting high Threshold levels can produce unexpected results.

Flip Normals: Flips the normal direction of the patch surface.

Remove Interior Patches: Removes interior faces of an object that you would not normally see. These are the faces created within the caps or other interior patches of the same type of a closed polygon.

Use only selected segs: Only segments selected in the Edit Spline modifier will be used by the Surface modifier to create patches.

Note: Segment Sub-Object does not have to be left on in the Edit Spline modifier.

Patch Topology group

Steps: The steps field spinner determines how many steps are used between each vertex. The higher the step count, the smoother the curve you will get between vertices.


Delete Patch Modifier

Modify panel > Make a patch selection. > Modifier List > Patch/Spline Editing > Delete Patch

Delete Patch provides parametric deletion based on the current sub-object level in the stack. The possible choices are vertices, edges, patches, and elements. Apply the Delete Patch modifier to delete the geometry specified at that sub-object level.

For example, you can apply a Patch Select modifier, select a row of patches in a patch sphere, and then apply a Delete Patch modifier to delete those patches. To undo the deletion, remove the Delete Patch modifier.

Procedure

Example: To delete a patch in a sphere:

  1. Create a patch sphere.

    Create a sphere, right-click the sphere, and choose Convert To Editable Patch in the quad menu.

  2. On the Modify panel, in Editable Patch, choose the Patch sub-object level, and select a patch.

  3. In the Modifier List, choose the Delete Patch modifier.

    This deletes the selected patch.

    To undo the deletion, remove the Delete Patch modifier.

Interface

There are no parameters for this modifier.


Delete Spline Modifier

Modify panel > Select a spline sub-object. > Modifier List > Patch/Spline Editing > Delete Spline

Modify panel > Select a spline sub-object. > Modifiers menu > Patch/Spline Editing > Delete Spline

The Delete Spline modifier provides parametric deletion of spline geometry based on the current sub-object selection level in the stack. The possible selection levels include vertices, segments, and splines. Apply the Delete Spline modifier to delete the geometry specified at that sub-object level.

Procedure

To use the delete spline modifier:

  1. Create a shape that contains multiple splines.

  2. Apply a Spline Select modifier and select a section of the spline for deletion.

  3. Apply a Delete Spline modifier to delete the section.

    To undo the deletion, remove the Delete Spline modifier.

Interface

This modifier has no parameters.


Lathe Modifier

Select a shape. > Modify panel > Modifier List > Patch/Spline Editing > Lathe

Select a shape. > Modifiers menu > Patch/Spline Editing > Lath

Lathe creates a 3D object by rotating a shape about an axis.

Object resulting from 360-degree lathe

Interface

Modifier Stack

Axis: At this sub-object level, you can transform and animate the axis of revolution.

For more information on the stack display, see Modifier Stack.

Parameters rollout

Degrees: Determines the number of degrees that the object is spun around the axis of revolution (0 to 360, default=360). You can set keyframes for Degrees to animate the circular growth of a lathed object. The Lathe axis auto-sizes itself to the height of the shape being lathed.

Object resulting from 270-degree lathe

Weld Core: Simplifies the mesh by welding together vertices that lie on the axis of revolution. Keep it turned off if you intend to create morph targets.

Flip Normals: Depending on the direction of the vertices on your shape, and the direction of rotation, the lathed object might be inside out. Toggle the Flip Normals check box to fix this.

Segments: Determines how many interpolated segments are created in the surface between the start and endpoint. This parameter is also animatable. Default=16

Capping group

Controls whether or not caps are created for the interior of the lathed object if Degrees is set to less than 360.

Cap Start: Caps the start of the lathed object with Degrees set to less than 360 and a closed shape.

Cap End: Caps the end of the lathed object with Degrees set to less than 360 and a closed shape.

Morph: Arranges cap faces in a predictable, repeatable pattern necessary for creating morph targets. Use morph capping primarily if you are lathing multiple morph targets.

Grid: Arranges cap faces in a square grid trimmed at the shape boundaries. This method produces a surface of evenly sized faces that can easily be deformed by other modifiers.

Direction group

Sets up the direction of the axis of revolution, relative to the pivot point of the object.

X/Y/Z: Set the direction of the axis of revolution relative to the pivot point of the object.

Align group

Min/Center/Max: Align the axis of revolution to the minimum, center, or maximum extents of the shape.

Output group

Patch: Produces an object that you can collapse to a patch object (see the Edit Modifier Stack section in Modifier Stack).

Mesh: Produces an object that you can collapse to a mesh object (see the Edit Modifier Stack section in Modifier Stack).

Generate Mapping Coordinates: Applies mapping coordinates to the lathed object. When Degrees is less than 360, and Generate Mapping Coordinates is turned on, additional mapping coordinates are applied to the end caps, placing a 1 x 1 tile on each cap.

Generate Material IDs: Assigns different material IDs to the sides and the caps of the lathed object. Specifically, the sides receive ID 3, and the caps (when Degrees is less than 360 and the lathed shape is closed) receive IDs 1 and 2.

Use Shape IDs: Uses the material ID values assigned to segments in the spline you lathed. Use Shape IDs is available only when Generate Material IDs is turned on.

Smooth: Applies smoothing to the extruded shape.


Normalize Spline Modifier

Select a spline object. > Modify panel > Modifier List > Patch/Spline Editing > Normalize Spl.

Select a spline object. > Modifiers menu > Patch/Spline Editing > Normalize Spline

The Normalize Spline modifier adds new control points in the spline at regular intervals. Use Normalize Spline to produce splines for motion paths that require constant velocity.

Note: This feature is not animatable.

Interface

Seg Length: Determines how many control points are added. Smaller values produce more control points; larger values produce fewer.

The positions of the original vertices are disregarded. Vertices are set to regular intervals once the Normalize Spline modifier is applied.


Delete Mesh Modifier

Modify panel > Make a sub-object selection. > Modifier List > Mesh Editing > Delete Mesh

Modify panel > Make a sub-object selection. > Modifiers menu > Mesh Editing > Delete Mesh

Delete Mesh provides parametric deletion based on the current sub-object selection level in the stack. The possible choices are faces, vertices, edges, and objects. Apply the Delete Mesh modifier to delete the geometry specified at that sub-object level.

For example, you can apply a Mesh Select modifier, select a row of faces in a cylinder, and then apply a Delete Mesh modifier to delete those faces. To undo the deletion, you can simply remove the Delete Mesh modifier.

Tip: Try applying a Delete Mesh modifier following an animated Vol. Select modifier.

Procedure

Example: To delete a row of faces in a cylinder:

  1. Create a cylinder.

  2. Apply a Mesh Select modifier and select a row of faces in the cylinder.

  3. Apply the Delete Mesh modifier to delete those faces.

    To undo the deletion, remove the Delete Mesh modifier.

Interface

This modifier has no parameters.


Edit Mesh Modifier

Create or select an object. > Modify panel > Modifier List > Mesh Editing > Edit Mesh

Create or select an object > Modifiers menu > Mesh Editing > Edit Mesh

The Edit Mesh modifier provides explicit editing tools for different sub-object levels of the selected object: vertex, edge, and face/polygon/element. The Edit Mesh modifier matches all the capabilities of the base Editable Mesh object, except that you cannot animate sub-objects in Edit Mesh. See Editable Mesh for a complete parameter reference.

When possible, it’s far more efficient and reliable to perform explicit modeling at the Editable Mesh level rather than store those edits within the Edit Mesh modifier. The Edit Mesh modifier must copy the geometry passed to it, and this storage can lead to large file sizes. The Edit Mesh modifier also establishes a topological dependency that can be adversely affected if earlier operations change the topology being sent to it.

There are, however, situations where using the Edit Mesh modifier is the preferred method.

  • You want to edit a parametric object as a mesh, but want to retain the ability to modify its creation parameters after the edit.

  • You want to store your edits temporarily within Edit Mesh until you are satisfied with the results, before committing them permanently to an editable mesh object.

  • You need to make edits across several objects at once, but do not want to convert them to a single editable mesh object.

  • You have a modifier in the stack that must remain parametric, and the mesh must be edited after the modifier is applied.


Extrude Modifier

Select a shape. > Modify panel > Modifier List > Mesh Editing > Extrude

Select a shape. > Modifiers menu > Mesh Editing > Extrude

The Extrude modifier adds depth to a shape and makes it a parametric object.

Spline before extrusion, left. Extruded splines without and with Cap End selected

Interface

Amount: Sets the depth of the extrusion.

Segments: Specifies the number of segments that will be created in the extruded object.

Capping group

Cap Start: Generates a flat surface over the start of the extruded object.

Cap End: Generates a flat surface over the end of the extruded object.

Morph: Arranges cap faces in a predictable, repeatable pattern, which is necessary for creating Morph targets. Morph capping can generate long, thin faces that don't deform as well as grid capping. Use morph capping primarily if you're extruding multiple morph targets.

Grid: Arranges cap faces in a square grid trimmed at the shape boundaries. This method produces a surface of evenly sized faces that can be deformed easily by other modifiers. When you choose the Grid capping option, the grid lines are hidden edges rather than visible edges. This primarily affects any objects assigned a material with the Wire option turned on.

Output group

Patch: Produces an object that you can collapse to a patch object; see the Edit Modifier Stack section in Modifier Stack.

Mesh: Produces an object that you can collapse to a mesh object; see the Edit Modifier Stack section in Modifier Stack.

Generate Mapping Coords: Creates the extruded object with mapping coordinates already applied. When Generate Mapping Coordinates is turned on, additional mapping coordinates are applied to the end caps placing a single 1 x 1 tile on each cap.

Generate Material IDs: Assigns different material IDs to the sides and the caps of the extruded object. Specifically, the sides receive ID 3, and the caps receive IDs 1 and 2.

Use Shape IDs: Uses the material ID values assigned to segments in the spline you lathed.

Smooth: Applies smoothing to the extruded shape.


Face Extrude Modifier

Modify panel > Select one or more faces of a mesh object. > Modifier List > Mesh Editing > Face Extrude

Modify panel > Select one or more faces of a mesh object. > Modifiers menu > Mesh Editing > Face Extrude

The Face Extrude modifier extrudes faces along their normals, creating new faces along the sides of the extrusion that connect the extruded faces to their object. As with most modifiers, this affects the current face selection passed up the stack. There are various differences between the Face Extrude modifier and the Face Extrude function in an editable mesh, especially the fact that all parameters in the Face Extrude modifier are animatable.

Interface

Modifier Stack

Extrude Center: At this sub-object level, you can select and move (or animate) the center point. This affects the geometry only if you turn on Extrude From Center.

For more information on the stack display, see Modifier Stack.

Parameters rollout

Amount: Determines the extent of the extrusion. You can adjust and readjust the Amount spinner as often as you choose. To extrude a second level, apply another Face Extrude modifier.

Scale: Scales each cluster of selected faces independently about its center.

Note: By using multiple extrude modifiers with Scale, you can achieve a bevel effect.

Extrude From Center: Extrudes each vertex radially from the center point.

The direction in which the faces are extruded is slightly different than Face Extrude in the editable mesh. Each vertex is displaced in the direction of the average surface normal of selected faces that share that vertex. So each vertex may move in a slightly different direction. Put another way, each vertex is extruded in the direction of the surface normal at the point on the surface where that vertex lies.


Normal Modifier

Select an object. > Modify panel > Modifier List > Mesh Editing > Normal

Select an object. > Modifiers menu > Mesh Editing > Normal Modifier

The Normal modifier allows you to unify or flip the normals of an object without applying an Edit Mesh modifier.

For example, if you wanted to fly inside of a procedural object, such as a sphere or a cylinder, and wanted to retain control over the radius and number of segments, you couldn't collapse the object to an Editable Mesh and maintain the procedural nature of the primitive.

Tip: If you are animating the creation of a complex object such as a nested Boolean or a loft, and you think the operation might result in inconsistent faces, apply Normal to the result and turn on Unify.

Tip: The Lathe modifier sometimes creates an object with normals pointing inward. Use the Normal modifier with both Unify and Flip turned on to fix "inside-out" lathe objects. The Normal modifier allows whole-object manipulations of normals to be performed quickly without using an Edit Mesh modifier.

Patches

Patch objects coming up the modifier stack are not converted to a mesh by this modifier. A patch object input to the Normal modifier retains its patch definition.

Procedure

To use the normal modifier:

  1. Select an object, then on the Modify panel, choose Mesh Editing > Normal from the Modifier List.

  2. Turn on Unify, Flip, or both controls.

Interface

Unify Normals: Unifies the normals of an object by flipping the normals so that they all point in the same direction, usually outward. This is useful for restoring an object's faces to their original orientations.

Flip Normals: Reverses the direction of all the surface normals of the faces of the selected object or objects.


Smooth Modifier

Select an object. > Modify panel > Modifier List > Mesh Editing > Smooth

Select an object. > Modifiers menu > Mesh Editing > Smooth

The Smooth modifier provides auto-smoothing based on the angle of adjacent faces. You can apply new smoothing groups to objects.

Smoothing eliminates the facets on geometry by grouping faces into smoothing groups.

Patches

Patch objects coming up the modifier stack are not converted to a mesh by this modifier. A patch object that is input to the Smooth modifier retains its patch definition.

Procedures

To smooth an object:

  1. Select the object to be smoothed.

  2. On the Modify panel, choose Mesh Editing > Smooth from the Modifier List.

  3. Adjust the Threshold for the desired smoothing effect.

To apply smoothing groups manually :

  1. Select an object.

  2. Use a mesh select modifier to select the faces to be smoothed.

  3. Click a numbered button to apply the corresponding smoothing group to the selected faces.

Interface

Parameters rollout

Auto Smooth: If Auto Smooth is selected, the object is auto-smoothed using the (animatable) threshold specified by the spinner below it. Auto Smooth sets the smoothing groups based on the angle between faces. Any two adjacent faces are put in the same smoothing group if the angle between their normals is less than the threshold angle.

Prevent Indirect Smoothing: Turn on to prevent smoothing 'leaks" when using Auto Smooth. If you apply Auto Smooth to an object, and portions of that object that should not be smoothed become smoothed, then turn on Prevent Indirect Smoothing to see if it corrects the problem.

Note: This option has an effect only when Auto Smooth is selected. The problem it corrects is rare, and turning on Prevent Indirect Smoothing slows the Auto Smooth process. Don't use this option unless you see something wrong with your existing smoothing.

Threshold: Specifies the threshold angle in degrees. Any two adjacent faces are put in the same smoothing group if the angle between their normals is less than the threshold angle.

Smoothing Groups group

The grid of 32 buttons shows which smoothing groups are used by the selected faces, and are used to assign smoothing groups manually to selected faces.


Tessellate Modifier

Modify panel > Make a selection. > Modifier List > Mesh Editing > Tessellate

Make a selection. > Modifiers menu > Mesh Editing > Tessellate

The Tessellate modifier subdivides faces in the current selection. It's particularly useful for smoothing curved surfaces and creating additional mesh resolution for other modifiers to act on. If no sub-object selection has been passed up the stack, then the entire object is tessellated. This modifier lets you tessellate polygonal faces; the tessellation available in an editable mesh does not (it works on faces, even at the Polygon selection level).

Original mesh object (top). Tessellation applied to triangular faces (lower left). Tessellation applied to polygonal facets (right).

Caution: Tessellating an object retains any UVW mapping that exists in the stack before the Tessellate modifier. However, in some cases, the mapping might be altered, depending on the type of mapping and the tessellation settings. Typically, this happens when the applied mapping uses extreme compound angles.

Interface

Parameters Rollout

Operate On: Specifies whether to perform the tessellation on the triangular faces or on the polygonal facets (the areas bound by visible edges).

Faces: Treats the selection as a set of triangular faces.

Polygons: Divides the polygonal facets. For example, using the polygonal method on the side of a box results in cross-shaped edges using the Edge method, and X-shaped edges using the Face-Center method.

Edge: Divides the face or polygon from its center to the middle of each edge. When applied to a triangular face, it also divides unselected faces that share edges with the selected faces.

Face-Center: Select this to divide the face from the center to the vertex corners.

Tension: Determines if the new faces are flat, concave, or convex after Edge tessellation. A positive value rounds faces by pushing vertices outward. A negative value creates concave faces by pulling vertices inward. A setting of 0 keeps the faces flat. Also works with the Edge/Polygon method. Default=25.

Iterations group

Iterations: Specifies how many times the tessellation is applied. For example, setting Iterations to 2 is similar to clicking the Tessellation button twice in an editable mesh, except that you can easily back out at any time while using the Tessellate modifier. If you want more than four iterations, apply another Tessellate modifier.

Update Options Group

Always: Tessellation is updated whenever the base geometry changes.

Manually: Tessellation is updated only when the user clicks Update.

Update: Click to update tessellation. Has no effect unless Manually is the active update option.


Cap Holes Modifier]

Select a mesh object. > Modify panel > Modifier List > Mesh Editing > Cap Holes

Select a mesh object. > Modifiers menu > Mesh Editing > Cap Holes

Cap Holes used to make the cake appear solid

The Cap Holes modifier builds faces in the holes in a mesh object. A hole is defined as a loop of edges, each of which has only one face. For example, one or more missing faces from a sphere would produce one or more holes. The modifier works best on reconstructing planar holes, but can do a reasonable job on non-planar holes as well.

Note: This modifier can cap holes in a sub-object selection passed up the stack. It caps any part of the hole that's adjacent to, or within the selected geometry, whether vertex, edge, or face.

Tips:

  • If the Cap Holes modifier doesn't appear to work, remove it, apply a Mesh Select modifier to select the faces surrounding the hole, then apply Cap Holes to the sub-object selection.

  • The Cap Holes modifier creates faces with invisible edges unless you turn on All New Edges Visible before you apply it.

Procedure

Example: To cap a hole in a sphere:

  1. Create a sphere.

  2. Apply an Edit Mesh modifier to the sphere.

  3. In the stack display, choose the Face selection level.

  4. Select and delete a contiguous group of faces.

  5. Apply a Cap Holes modifier.

    The hole you created should be filled.

    Tip: Turning on Smooth With Old Faces makes the cap less visible.

Interface

Smooth New Faces: Assigns the same smoothing group number to all new faces. If possible, this will be a smoothing group number not used elsewhere in the object.

Smooth With Old Faces: Smoothes new triangular faces using the smoothing groups from bordering old faces. This smoothes only one level in from the perimeter of the border of the hole, so you might need to use both this and the Smooth New Faces option to properly smooth a large hole.

Note: When Smooth With Old Faces is turned on, the faces in the capped holes inherit a material face ID from one of the surrounding faces. When this item is turned off, the faces in the capped holes are assigned a new ID.

All New Edges Visible: Makes all of the edges visible in the new faces.


VertexPaint Modifier

Select an object. > Modify panel > Modifier List > Mesh Editing > VertexPaint

Select an object. > Modifiers menu > Mesh Editing > VertexPaint

The VertexPaint modifier lets you paint vertex colors on an object. You're not restricted to only vertex-level painting. Using sub-object selection, you can also control which vertices get painted face-by-face. All faces sharing a vertex have the adjacent corner shaded as well. The resulting painted object receives a coarse gradient across each face.

The amount of color that gmax applies to a vertex depends on the distance of the vertex from the position of the paint cursor on the face. The more you select a face, the more it changes to the new color. The Opacity button also controls the strength of the color. gmax shades the color, so if you have one green vertex and two white vertices for one face, for example, you'll see a gradient on that face.

The VertexPaint modifier also lets you paint values for the vertex alpha and illumination channels. These channels affect the transparency and shading of vertex colors, respectively.

Tip: If you select faces in Edit Mesh, Mesh Select, or Editable Mesh and then apply a VertexPaint modifier, you restrict your painting to only the selected faces, as opposed to all faces. This allows you to sharply define the edges of your painted selection.

See also

Assign Vertex Colors Utility

Procedures

To paint vertex colors on an object:

  1. Select an object to paint.

  2. On the Modify panel, choose Mesh Editing > VertexPaint from the Modifier List.

  3. In the Parameters rollout, under the Vertex Color Paint group, click the color swatch next to the Paint button to display the Color Selector dialog.

  4. Change the color using controls on the Color Selector dialog.

  5. Adjust the strength of the color by entering a percentage value in the Opacity control.

  6. Toggle on VertCol to see vertex colors and to turn off shading.

  7. Click the Paint button and move the cursor over the selected object in the viewport.

  8. When the cursor displays as a pen over the object, press and hold down the left button on the mouse and drag to paint the object.

To see vertex colors in a viewport:

  1. Right-click the object with painted vertices, and choose Properties from the quad menu.

  2. In the Display Properties group, turn on the toggle for Vertex Color.

    Vertex Color is one item on a drop-down list. The other items are Vertex Illumination and Vertex Alpha. Viewports can display only one of these vertex channels at a time.

  3. Click OK.

Interface

Note: To see what you're painting, turn on Vertex Colors under Display Properties in the General tab of the Object Properties dialog. You can also use the Toggle controls in the Vertex Color Paint group.

Tip: Right-click the selected object to paint and choose Properties to display the Object Properties dialog.

Vertex Color Paint group

Paint Vertex Colors: The color swatch next to the Pick Vertex Color button displays the current color (by default, it's white). Unless you change it, the color remains the same throughout a gmax session. To choose another color, choose from the Color Palette, or click in the swatch and use a color from the Color Selector dialog.

To drag and drop the color in the Paint swatch into a Color Palette swatch click the left mouse button over the swatch and drag it over the swatch of your choice, then release the mouse button.

When you click Paint, and move the cursor over the selected object, the cursor changes to a pen shape. When you press the left mouse button, you begin to paint the object, and nearby vertices are set to the current color of the swatch.

Pick Vertex Color: Lets you select a color from any vertex in the scene. Click the button, and move the eyedropper cursor over the objects in the scene. When you click on an object, the color in the color swatch is replaced with the color of the point that you picked on the object.

Opacity %: Specifies the transparency of the color.

Toggle: The controls for Vertex Colors and Shaded are toggles: when you turn one on, the other turns off. This is the same as the controls for Vertex Colors and Shaded under Display Properties in the General tab of the Object Properties dialog.

  • VertCol: Turns on vertex colors and turns off shading.

  • Shaded: Turns on shading and turns off vertex colors. Determines whether the object with the assigned vertex colors appears shaded in the viewport. When off, colors are unshaded. When on, colors appear like any other assigned color in the viewport.

Affect Channels group

Colors: Lets you change the vertex color values.

Illumination: Lets you change the illumination of a vertex without changing that vertex's color.

Alpha: Lets you change the transparency of the vertex color.

The spinner to the right of the checkbox lets you specify the transparency of the vertex colors. The spinner value is a percentage; zero is completely transparent and 100 is completely opaque.

Color Palette group

The palette has 16 colors that you can choose and adjust. When you left-click a color swatch on the palette, it becomes the current color and displays in the swatch next to the Paint button in the Vertex Color Paint group. When you right-click a color swatch on the palette, the Color Selector dialog is displayed, and you can adjust the color there.


Optimize Modifier

Select an object. > Modify panel > Modifier List > Mesh Editing > Optimize

Select an object. > Modifiers menu > Mesh Editing > Optimize

The Optimize modifier lets you reduce the number of faces and vertices in an object. This simplifies the geometry while maintaining an acceptable image. A Before/After readout gives you exact feedback on the reduction as you make each change.

Original wireframe duck, optimized wireframe duck, wireframe duck with further optimization

Tip: Because Optimize makes decisions based on angles between faces, it's sometimes best to apply it to selected face sub-objects rather than to an entire object. Avoid applying Optimize to areas where you want to preserve geometric detail.

Applying Optimize

When you first apply Optimize, you might not see any change in the viewports. Adjust the Face Threshold setting to obtain the best optimization. In the Last Optimize Status group, you can see how the object or faces were optimized. Watch these values while you adjust the Optimize parameters, until you have the best possible result.

Setting Level of Detail

Optimize lets you maintain two levels of optimization detail.

Procedures

To optimize manually:

  1. Set up two viewports: one wireframe, one smooth shaded.

  2. Select an object and apply the Optimize modifier.

    The Parameters rollout for this modifier appears.

  3. Turn off Manual Update and then adjust the Face Thresh value. Observe the result in the viewports.

    You can also choose to view the results of the Optimize operation manually by leaving the Manual Update check box turned on and pressing the Update button every time you wish to view a result.

  4. In the Parameters rollout > Last Optimize Status group, notice the Before/After count for vertices and faces.

  5. In the Optimize group, vary parameters to continue reducing geometry.

    Compare the result in the two viewports against the Before/After count.

To set the level of detail:

  1. In the Parameters rollout > Level of Detail group, choose Viewports L1.

  2. Adjust parameters in the Optimize and Preserve groups.

  3. Repeat steps 1 and 2 for Viewports L2, adjusting parameters for a different optimization.

To use level of detail:

  • Switch between L1 and L2.

    You see the effect immediately in a smooth shaded viewport.

    The following parameters are stored for each level: Face Threshold, Edge Threshold, Bias, Max Edge Len, Material Boundaries, and Smooth Boundaries.

Interface

Level of Detail group

Viewports L1, L2: Toggles the level of display for the viewport. Default=L1.

Optimize group

Adjusts the degree of optimization.

Face Thresh: Sets the threshold angle used to determine which faces are collapsed. Low values produce less optimization but better approximations of the original shape. Higher values improve optimization, but are more likely to result in faces that render poorly (see Bias). Default=4.0.

Edge Thresh: Sets a different threshold angle for open edges (those that bound only one face). A low value preserves open edges. At the same time you can apply a high face threshold to get good optimization. Default=1.0.

Bias: Helps eliminate the skinny or degenerate triangles that occur during optimization. Higher values keeps triangles from becoming degenerate. The default of 0.1 is enough to eliminate the skinniest triangles. Range=0.0 to 1.0 (a 0 value turns Bias off).

Max Edge Len: Specifies the maximum length, beyond which an edge cannot be stretched when optimized. When Max Edge Len is 0, it has no effect. Any value greater than 0 specifies the maximum length of the edges. Default=0.0.

Along with Bias, this control helps you avoid creating long skinny faces while optimizing.

Auto Edge: Turns edges on and off following optimization. Turns on any open edges. Turns off any edges between faces whose normals are within the face threshold; such edges beyond the threshold are not turned on. Default=off.

Preserve group

Maintains clean separation at the face level between material and smoothness boundaries.

Material Boundaries: Prevents face collapse across material boundaries. Default=off.

Smooth Boundaries: Optimizes an object and maintain its smoothing. When turned on, allows only faces that share at least one smoothing group to collapse. Default=off.

Update group

Update: Updates the viewports with the current optimization settings. Available only when Manual Update is turned on.

Manual Update: Enables the Update button. When turned off, Optimize works as it does by default, updating the viewport display dynamically.

Note: When using Manual Update, if you make any changes that cause the reevaluation of the stack, the existing optimization display disappears. Click the Update button again to restore it.

Last Optimize Status group

Displays numerical results of optimization with exact before-and-after counts for vertices and faces.


Assign Vertex Colors Utility

Utilities panel > Utilities rollout > Assign Vertex Colors

The Assign Vertex Colors utility assigns vertex colors based on the material assigned to the object and the lighting in the scene. The utility applies a Vertex Colors modifier to the object. Note that the Vertex Colors modifier has no parameters, and can only be applied via the Assign Vertex Colors utility.

Tip: To view vertex colors in viewports, right-click the object, choose Properties from the quad menu, and then turn on Vertex Color in the Display Properties group.

The Assign Vertex Colors utility supports light Inclusion or Exclusion when using the Scene Lights option.

See also

VertexPaint Modifier

Procedures

To use the Assign Vertex Colors utility:

Assign materials to the objects you want to affect. These can be mapped or unmapped materials.

  1. Light the objects.

  2. Select the objects you want to affect.

  3. Expand the Display Properties rollout in the Display panel and turn on Vertex Colors.

  4. Access the Assign Vertex Colors utility.

  5. Choose one of the Light Model options.

  6. Click Assign to Selected.

    Vertex Colors modifiers are applied to the selected objects, and the vertex colors for the objects are taken from their materials and from the lighting in the scene, depending on the options you choose under Light Model.

    Changing the material or the lighting in the scene won’t change the vertex colors. To do this, click the Update All button.

    Note: The new vertex colors are stored in the Vertex Colors modifier. If you want to access them, you can collapse the object and Vertex Colors modifier to an editable mesh, and then edit the vertex colors using the editable mesh.

Example: To use the Assign Vertex Colors utility on a specific object:

Create a sphere with 24 segments.

  1. Apply a mapped material to the sphere, and turn on Show Map in Viewports.

    The mapped sphere is displayed in the viewport.

  2. Open the Object Properties dialog for the sphere, turn on Vertex Colors, and click OK. The sphere turns black because you're now displaying its vertex colors, and they're all black as a default. If you turned off Vertex Colors, the map would reappear.

  3. With the sphere selected, open the Assign Vertex Colors utility.

  4. Choose Scene Lights.

  5. Click Assign to Selected.

    A blurred version of the mapping appears on the sphere. The vertices are now colored based on the material and the lighting in the scene. The mapping is blurred because the resolution of the mesh at 24 segments is much lower than the pixel resolution of the map.

  6. Go to the Modify panel and note the Vertex Colors modifier.

  7. Move down in the Stack to the creation parameters, click Yes at the warning prompt, and increase the Segments to 70.

    The new vertices shift the already assigned vertices.

  8. Return to the Utilities panel, and click either Update All or Assign to Selected. (Since there's only one object, it doesn't matter.) The mapping appears slightly more defined.

Interface

Light Model group

Provides options that let you specify how the surface of the object appears to be illuminated.

Scene Lights: Uses the current lighting in the scene to affect the vertex colors.

Diffuse: Applies the equivalent of a white omni light floating just outside of every vertex.

Mix vertex colors: Turn on to allow each vertex to have its own color. Turn off to allow each face to have its own set of vertex colors.

Using unmixed vertex colors will result in sharp edges when using multi sub-object materials, where mixed colors would bleed into each other.

Calculate Shadows: Turn on to allow shadows to be taken into account when the vertices are shaded.

When Cast Shadows and Scene Lights are turned on, the shadows have sharp edges. The result can be adjusted by collapsing the object and Vertex Colors modifier to an editable mesh, and then editing the vertex colors using the editable mesh.

Use Maps: Use texture maps.

Assign to Selected: Assigns vertex colors to the selected objects based on the assigned material and the specified light model. A Vertex Colors modifier is created and added to the Stack of the selected objects.

Update All: Recalculates the vertex colors for all objects in the scene that carry a Vertex Colors modifier.


Skin Modifier

Select a mesh or patch object. > Modify panel > Modifier List > Animation Modifiers > Skin

Select a mesh or patch object. > Modifiers menu > Animation Modifiers > Skin

The Skin modifier is a skeletal deformation tool. It allows you to deform one object with another object. Mesh and patch objects can be deformed by gmax bones, splines, or even another object.

After applying the Skin modifier and assigning bones, each bone has a capsule-shaped "envelope." Vertices within these envelopes move with the bones. Where envelopes overlap, vertex motion is a blend between the envelopes.

The initial envelope shape and position depends on the type of bone object. gmax Bones create a linear envelope that extends along the longest axis of the bone geometry. Spline objects create envelopes that follow the curve of the spline. Primitive objects create an envelope that follows the longest axis of the object.

You can also deform the mesh based on the angle of the bones. There are three deformers that allow you to shape the mesh based on bone angles. The Joint and Bulge Angle deformers use a lattice similar to the FFD lattice to shape the mesh at a specific angle. The Morph Angle Deformer morphs the mesh at specified angles. Morph targets are created by using modifiers above the Skin modifier in the stack, or by using the Snapshot command on the main toolbar to create a copy of the mesh and deforming the mesh using standard tools.

Jacket object deformed using the skin modifier

Procedures

To use the skin modifier:

  1. Prepare the skin (mesh or patch object) and skeleton (bones or other objects). Carefully place the skeleton inside the mesh or patch object so that its elements are be able to influence the polygons or patches in their immediate vicinity.

  2. Select the mesh or patch object and apply the Skin modifier.

  3. Use Add Bones to tell the Skin modifier which objects are to act as skeleton elements.

  4. Use Edit Envelope to modify the volume in which each bone can influence the surrounding geometry.

To adjust the skin and/or bones without affecting the envelopes:

  1. Save the scene.

    This is a potentially destructive operation, so it's best not to take any chances with your data.

  2. Select the object to which the Skin modifier is applied.

  3. In the Advance Params rollout, turn off Always Deform.

  4. Apply any necessary transforms to the mesh/patch object or bones objects.

  5. Turn Always Deform back on.

Example: To use the skin modifier to attach a cylinder to a bones hierarchy:

  1. On the Create panel, under Standard Primitives, click Cylinder.

  2. In the middle of the Top viewport, click and drag 20 units to create the base of the cylinder.

  3. Release the mouse button and drag up 130 units to establish the height of the cylinder.

  4. On the parameters rollout, set Height Segments to 20.

    This provides mesh detail for a smooth surface deformation.

  5. On the Create panel, under Systems, click Bones.

  6. In the Front viewport, click successively three times: below the cylinder, in the middle of the cylinder, and above the top of the cylinder.

  7. Right-click to end Bones creation.

    Three bones display. Two of them are within the middle of the cylinder.

  8. Select the cylinder.

  9. On the Modify panel, choose Animation Modifiers > Skin from the Modifier List.

  10. On the Skin modifier's Parameters rollout, click Add Bone, and use the Select Bones dialog to select the three bones.

    The names of the bones are now displayed in the list.

  11. In the Front viewport, select the bone end effector (IK Chain01) and move it around.

    The cylinder deforms to follow the bones. You may have to enlarge the envelopes to encompass all of the cylinder. To adjust envelopes to refine the surface deformation, choose the Skin modifier's Envelope sub-object level, and use the Edit Envelopes controls to resize envelopes and change vertex weights.

Example continued: To use a morph angle deformer:

Create the cylinder and bones from the procedure above before you continue with this procedure.

  1. At frame 50, animate bone 2 so that bones 1 and 2 represent a 90-degree angle.

  2. At frame 0, the bones should be straight at about a 180-degree angle.

  3. Move to frame 0.

  4. Turn on Edit Envelopes in the Parameters rollout.

  5. Select the child bone (bone 2) in the modifiers list of bones.

  6. In the Filters area, turn on Vertices.

  7. In the viewports, region-window select a good portion of the vertices that are controlled by both bones.

  8. In the Gizmo rollout, select the Morph Angle Deformer in the drop-down list and click Add Gizmo.

    The Deformer Parameters rollout displays. A base morph target is the first and only target in the list.

    Tip: if the Deformer doesn't assign, make sure that bone 2 and not bone 1 is selected in the list.

  9. Scrub the Time Slider to frame 50.

  10. Add an Edit Mesh modifier above the Skin modifier in the modifier stack.

  11. Turn on Vertex and Soft Selection in the Edit Mesh modifier.

  12. Edit the mesh to the shape you want.

  13. Go back down in the stack to the Skin modifier. Answer Yes in the topology warning dialog.

  14. In the Deformer Parameters rollout, click Add From Stack.

    A new morph target is added at about 90 degrees.

  15. Delete the Edit Mesh modifier from the stack.

    There is a doubling effect of the morph if you don’t delete or deactivate the Edit Mesh modifier.

  16. Scrub the time slider. The mesh morphs as the bone angle changes.

Interface

Tip: Some of the Skin modifier commands are also available from the quad menu.

Modifier Stack

Envelope: Turn on this sub-object level to work on envelopes and vertex weights.

Tip: You can use the quad menu to choose this sub-object level.

Parameters rollout

Edit Envelope: Turn on this sub-object level to work on envelopes and vertex weights.

List Window: Lists all the bones in the system. Selecting a bone in the list displays that bones envelope and the vertices influenced by the envelope.

Add Bone: Click to add one or more bones from the Add Bones dialog. This is the first step, after applying the modifier to an object.

Remove Bone: Choose a bone in the list, and then click Remove Bone to remove it.

Add Cross Section: Choose a bone in the list, click Add Cross Section, and click a position on the bone in the viewports to add an envelope cross-section.

Remove Cross Section: Select an envelope cross section and click Remove Cross Section to delete it.

You cannot delete the default cross sections. Additional cross sections that you may have added can be deleted.

Envelope Properties group

Radius: Select an envelope cross section, and use Radius to resize it.

Click a cross-section control point to select a cross section. You can also click and drag an envelope cross-section control point in the viewports to resize it.

Absolute: A vertex must merely fall inside the brown outer envelope to have 100% assignment weight to that particular bone. A vertex falling inside more than one outer envelope will be assigned multiple weights summing to 100% based on where it falls in the gradients of each envelope.

Relative: A vertex falling only within an outer envelope will not receive 100% weighting. A vertex must either fall inside two or more outer envelopes whose gradients sum to 100% or greater or the vertex must fall within a red inner envelope to have 100% weight. Any points within a red inner envelope will be 100% locked to that bone. Vertices falling within multiple inner envelopes will receive weighting distributed over those bones.

Envelope Visibility: Determines the visibility of non-selected envelopes. Choose a bone in the list and click Envelope Visibility, then choose another bone in the list. The first bone selected remains visible. Use this to work on two or three envelopes.

Falloff Flyouts: Select a falloff curve for the displayed envelopes. Weight falls off in the area between the inner and outer envelope boundaries if envelopes overlap and Absolute is turned on. Controls here allow you to specify how the falloff is handled.

Falloff Fast Out: Weight falls of quickly.

Falloff Slow Out: Weight falls off slowly.

Falloff Linear: Weight falls off in a linear way.

Falloff Sinual: Weight falls off in a sinual way.

Copy/Paste: Copies and pastes envelopes. Turn on sub-object Envelopes, choose one bone in the list, click Copy, then choose another bone in the list and click Paste to copy an envelope from one bone to another. Past commands are on a flyout with the following options:

Paste: Paste the copy buffer to the current selected bone.

Paste to All Bones: Pastes the copy buffer to all bones in the modifier.

Paste to Multiple Bones: Pastes the copy buffer to selected bones. A dialog allows you to choose the bones to paste to.

Squash: A squash multiplier for bones that stretch, this is a simple scalar value that reduces or increases the amount of squash applied to a bone when it is stretched with Freeze Length off, and Squash on.

Note: You set Freeze Length and Squash in the Object Properties dialog or in the Bone Options dialog.

Weight Properties group

Abs. Effect: Assign absolute weight for the selected bone to selected vertices.

Choose the Envelope sub-object level, turn on Vertices in the Filters group, select a vertex or vertices, and then use the Abs. Effect spinner to assign weight. Selected vertices move in the viewports as their weight changes.

Paint Weights: Click and brush over the vertices in the viewports to brush on weight for a selected bone.

Paint Str: Sets the brush strength.

Radius: Sets the brush radius.

Feather: Sets the brush falloff.

Exclude Verts: Takes the currently selected vertices and adds them to the exclusion list for the currently selected bone. Any vertices in this exclusion list will not be affected by this bone.

Include Verts: Takes the selected vertices out of the exclusion list for the selected bone. The bone can then affect these vertices.

Select Exclude Verts: Takes the currently excluded vertices and selects them.

Filters group

Selection filters help when you want to work on a particular task, by preventing you from accidentally selecting the wrong item in the viewports.

Vertices: Turn on for vertex selection.

Envelopes: Turn on for envelope selection.

Cross Sections: Turn on for cross-section selection.

Display rollout

Color Vertices Weights: Displays vertex weight as colors in the viewports.

Draw All Envelopes: Displays envelopes for every bone in the modifier.

Show All Vertices: Draws a small tick at every vertex. On a patch surface, it will also draw all the handles.

Show All Gizmos: Displays all the gizmos in addition to the currently selected gizmo.

Cross Sections On Top: Forces cross sections to be drawn on top of everything.

Envelopes On Top: Forces envelopes to be drawn on top of everything.

Advance Params rollout

Always deform: A toggle useful for editing the transformation relationship between bones and the controlled points. This relationship is initially set when Skin is applied. To change the relationship the user can deactivate Always Deform, move the object or the bones and reactivate. The new transformation relationship is now used.

Ref. Frame: Sets the frame where the bones and the mesh are in a reference position.

Normally this is frame 0. Start your animation at frame 1 or later if frame 0 is the reference frame. If bones need to be adjusted relative to the mesh, move the time slider to frame 0; turn off Always Deform, move the bones into the correct position and turn on Always Deform.

Rigid Vertices: Causes vertices to have assignments to only one bone as if weighted 100% to the bone whose envelope has the most influence. Vertices will not have weight distributed over more than one bone and the deformation of the skinned object is rigid. This is mainly used for games that do not support weighted point transformation.

Rigid Handles: On a patch model, forces patch handle weights to equal the knots weights.

Reset Selected Vertices: Resets the weight of selected vertices to the envelope defaults. After manually changing vertex weight, use this to reset weights if necessary.

Reset Selected Bone: Resets associated vertex weights back to the original weights calculated for the selected bone's envelope.

Reset All Bones: Resets all vertex weights back to the original weights calculated for all bone's envelopes.

Save/Load Envelopes: Allows you to save the envelope position and shape to disk. If you load envelopes onto a different system of bones, a Load Envelopes dialog prompts you to match the incoming bones to the current bones.

Fast Updates: Turns off viewport display of weighted deformation and gizmos and uses rigid deformation.

Gizmo rollout

Controls in the Gizmo rollout allow you to deform the mesh according to the angle of the joint, and to add gizmos to selected points on the object. The rollout consists of a list box containing all the gizmos for this modifier, a drop-down list of the current types of gizmos, and four buttons (Add, Remove, Copy and Paste).

The workflow for adding a gizmo is to select the vertices that you want to affect, select the bones that will drive the deformation, and then click the Add button.

There are three available deformers:

  • The Joint Angle deformer has a lattice that can deform vertices on the parent and child bones.

  • The Bulge Angle deformer has a lattice that only works on vertices on the parent bone.

  • The Morph Angle deformer works on vertices of the parent and child bones.

    Keep these distinctions in mind when you select vertices to deform. For example, if you want to use the Joint Angle deformer, then select vertices close to the joint that will drive the deformation. If you want the parent bone vertices to deform like a biceps muscle, then select vertices that are only assigned to the parent bone before adding the Bulge Angle deformer. If all the vertices of the parent and child bone must deform, then select all of the vertices and add the Morph Angle deformer.

Bending the arm without the morph angle deformer causes the sleeve to crumple.

Using the morph angle deformer creates a smooth bend in the sleeve.

Gizmo List Window: Lists the current Angle Deformers.

The Deformer Parameters rollout changes depending on the type of gizmo selected.

Deformer drop-down list: Lists the available deformers.

Add Gizmo: Adds the current Gizmo to the selected vertices.

To add a gizmo, you must first select the child bone for the joint you want to deform. Then you must select the vertices that you want to deform. You can then add a gizmo.

After a gizmo is added, a Deformer Parameters rollout displays that contains gizmo parameters that you can adjust.

Remove Gizmo: Remove the selected gizmo from the list.

Copy: Copy the selected gizmo.

Paste: Paste the gizmo.

The Paste button pastes the current copy buffer into the currently selected gizmo. You can only paste to like gizmos. For instance, you cannot paste from a bulge gizmo to a joint gizmo.

Deformer Parameters rollout

The following parameters are for the Morph Angle deformer. One way to create morph targets, after the morph gizmo is added, is to add an Edit Mesh modifier to the stack above the Skin modifier. Use the vertex controls in the Edit Mesh modifier to shape the geometry. Then go back in the stack to the Skin modifier and click Add From Stack. You can then delete the Edit Mesh modifier. Add From Stack looks at the last modifier in the stack to get the morph target. Note that when you go back down to the Skin modifier, the morph effect is doubled; this is rectified by deleting or inactivating the Edit Mesh modifier.

Joint Field: Displays the type of Deformer and the associated bone.

List Window: Contains the current morph targets and associated bone angles.

Naming Field: Select a morph target and rename it in this field.

Add from stack: Uses the current state of the stack to get the morph target. Ideally, you have put an Edit Mesh modifier on top of the stack and done your edits before you click Add From Stack.

Add from node: Uses another object as your morph target for this angle. This is like a regular morph target, but instead of being driven by a field, it is driven by the joint angle.

Tip: You can use Snap Shot on the main toolbar to create a new target for morphing.

Delete: Deletes the currently selected morph target from the list.

Enable gizmo: Toggles the effect of the gizmo on and off.

Joint Angle and Bulge Angle parameters

The following parameters are for the Joint Angle and Bulge Angle deformers. These two deformers are almost identical in the way they operate. The difference is that the Bulge Angle deformer only works on vertices of the parent bone, while the Joint Angle deformer works on vertices on both the child and parent bone.

To apply either of these deformers, first select the child link, then select vertices on the mesh, and then apply the deformer. Remember to turn on Vertices in the Filters group before trying to region-select vertices in the viewports.

Once the deformer is applied, turn on Edit Lattice and move the lattice control points in the viewports to deform the mesh at different bone angles.

Name Field: Allows you to change the name of the deformer.

Twist: Allows you to spin the gizmo around the mesh to place control points appropriately.

Use Bounding Volume: Turn this on if you plan to change the geometry, like increasing segments on a cylinder. If the geometry changes, the mesh will still deform inside the lattice if this is turned on.

Enable Gizmo: Toggles the effect of the gizmo on and off.

Edit Lattice: Allows you to move the lattice control points in the viewports.

Edit Angle Keys Curves: Brings up a curve editor that lets you manipulate the shape of the lattice at a particular angle. This curve is position vs. angle. It will show you the curves of the current selected points. The red curves are X, Green Y, and Blue Z.


Load Envelopes Dialog

Select a mesh or patch object. > Modify panel > Modifier List > Animation Modifiers > Skin > Advance Params rollout > Load Envelopes button

Select a mesh or patch object. > Modifiers menu > Animation Modifiers > Skin > Advance Params rollout > Load Envelopes button

The Load Envelopes dialog in the Skin modifier allows you to load envelopes to specific bones. This dialog contains the current envelopes in your scene and the incoming envelopes. You can then manipulate the incoming envelopes so they align with the Current Envelopes.

Move Up/Down: Move the current selection in the incoming list up or down.

Create Blank: Creates space in the Incoming list.

Delete: Removes the current selected incoming envelopes.

Match by Name: Resorts the Incoming list and matches any bones that have the same name in the list of current envelopes.

Remove Incoming Prefix: Removes any prefixes on the names of the incoming envelopes.

Remove Current Prefix: Removes any prefixes on the names of the current envelopes.

Load End Points: Loads the envelope end point positions.

Load Cross Sections: Loads the envelope cross sections.


Morpher Modifier

Select a mesh, or patch object. > Modify panel > Modifier List > Animation Modifiers > Morpher

Select a mesh or patch, > Modifiers menu > Animation Modifiers > Morpher

On this patch model, morph targets are created by moving control vertices and tangent handles in an Editable Patch.

Use the Morpher modifier to change the shape of a mesh or patch model. You can also morph shapes (splines), and World Space FFDs.

Morphing is commonly used for lip sync and facial expression on a 3D character, but can be used to change the shape of any 3D model. There are 100 channels available for morph targets. Channel percentages can be mixed, and the result of the mix can be used to create a new target.

On a mesh object, vertex count on the base object and targets must be the same. On a patch object, the Morpher modifier works on control points only. This means that the resolution of patches can be increased on the base object to increase detail.

Lip Sync and Facial Animation

For lip sync and facial animation, create a character's head in an "at rest" pose. The head can be a mesh or patch model. Copy and modify the original head to create the lip-sync and facial-expression targets. Select the original or "at rest" head and apply the Morpher modifier. Assign each lip-sync and facial-expression target to a channel in the Morpher modifier. Load an audio file in the Track View sound track, turn on the Animate button, scrub the time slider, and view the audio waveform in Track View to locate frames for lip sync. Then set the channel spinners on the Morpher modifier to create key frames for lip position and facial expression.

Teeth can either be a part of the model or animated separately. If the teeth and head are two different objects, model the teeth in an open position, and then apply the Morpher modifier, and create one target with the teeth closed. Eyes and head motion can be animated after the morph keys are created.

Morph Targets for Speech

Nine mouth shape targets are commonly used for speech. If your character speaks an alien dialect, don't hesitate to create extra morph targets to cover these mouth shapes.

Include cheek, nostril, and chin-jaw movement when creating mouth position targets. Examine your own face in a mirror or put a finger on your face while mouthing the phonemes, if necessary, to establish the direction and extent of cheek motion.

Set lip-sync keys by viewing the audio waveform as well as listening to the sound as you scrub the time slider. Many mouth-position keys benefit from being set a frame early. Often the mouth must assume a shape before the appropriate sound is uttered. For the word "kilo", the "K" mouth shape precedes the actual sound, for example.

A, I

E

F, V

C, D, G, J, K, N, S, T, Y, Z

L, T

O

U

W, Q

M, B, P (This target can be the same shape as the "at rest" base object)

Morph Targets for Expression

Create as many expression targets as necessary for the character. Joy, sadness, surprise, evil can all have their own targets. Depending on the personality of the character, certain targets, like a terror target, may not be necessary. Targets like nostril flare, jaw-muscle bunching, temple twitching can be effective to give a character an edge. Each morph channel can contain a material as well: as you morph the brows up, a bump map can crease the forehead, for example.

Save time and create targets as the need arises; if the audio file or scene you are working on requires a look of surprise, create the "surprise" target while the mood of the scene is with you.

If the character has teeth, copy the teeth and the base head to create a new target. The teeth act as a guide to shape and position the lips.

Blink

Brows up

A blend of the Pain, Blink, and Brows targets

Procedure

Example: To add the morpher modifier to an object and assign a morph target to a channel:

  1. On the Create panel, click Geometry.

  2. On the drop-down list, choose Patch Grids.

  3. On the Object Type rollout, click Quad Patch.

  4. In the Top viewport, click and drag to create a patch grid.

  5. On the Modify panel, on the modifier stack display, right click on Quad Patch and choose Convert To: Editable Patch from the right-click menu.

    The base object is now an Editable Patch.

  6. In the Top viewport, Shift+Move to create a copy of the patch object.

  7. On the Modify panel, on the Selection rollout, click Vertex.

  8. In the Front viewport, move patch vertices to deform the patch surface.

  9. In the stack display, choose Editable Patch to go to the object (top) level. (The highlight should change from yellow to gray, and the Vertex sub-object icon is no longer displayed at the right of the stack.)

  10. Select the first patch object.

  11. On the Modify panel, choose Animation Modifiers > Morpher from the Modifier List.

    The Morpher modfier is added to the modifier stack.

  12. On the Morpher modifier, on the Channel List rollout, right-click over the first channel (over the word "empty").

    A right-click menu displays.

  13. Choose Pick from Scene on the right-click menu, and click the deformed patch grid in the viewports.

    QuadPatch02 is listed in the channel as a morph target.

  14. Drag the Channel spinner up and down.

    The flat patch grid "morphs" to the shape of the target.

Interface

Whatever is assigned as the default float controller in gmax will be assigned as the float controller on the morph channels as well. Float controllers handle the interpolation between keys; Bezier is the default float controller. You can assign the TCB float controller to the morph channels in Track View, if you prefer.

For morphing, the Bezier controller allows you to use function curves with vector handles on the keys for smoothing and easing control of interpolation in Track View. Default parameters of the TCB controller, however, handles morph interpolation with less overshoot. Try using both controllers, to decide which one you prefer.

Gray: The channel is empty, and has not been edited.

Orange: The channel has been changed in some way but contains no morph data.

An artist may wish to name a channel and set up its parameters before actually assigning a morph target.

Green: The channel is live. The channel contains morph data and the target object still exists in scene (the target is available for refresh).

Blue: The channel contains morph data but the target has been deleted from the scene.

Dark Gray: The channel is disabled.

  • There is a problem with the morph, the topology of the base object, or targets, have changed and are no longer valid; for example, the vertex count might have changed. The channel cannot be used.

  • The channel is not active. This is controlled by the Channel is Active toggle in the Channel Parameters rollout.

  • Disabled channels are not included in the morph result.

Global Settings group

Use Limits: Use the minimum and maximum limits for all channels.

You can turn off limits to double purpose a target. The target for a smile can be used to turn the corners of the mouth down using negative values for example.

Minimum: Sets the minimum limit.

Maximum: Sets the maximum limit.

Use Vertex Selection: Turn on to limit morphing to vertices selected in a modifier below the Morpher modifier in the modifier stack.

Channel Activation group

Set All: Click to activate all channels.

Set None: Click to deactivate all channels.

Marker drop-down list: Choose a previously saved marker in the list, or enter a new name in the text field and click Save Marker to create a new marker.

For example, channel 15 through 24 could contain all the emotion targets. Rather than scrolling to display these tracks, you can choose a marker from the list to display these channels in the list.

Save Marker: Move the scroll bar to frame a particular set of 10 channels, enter a name in the text field, and then click Save Marker to store the channel selection.

Delete Marker: First display the marker name in the field, and then click Delete Marker to delete it.

Channel List: There are 100 morph channels. Scroll through the channels using the slider. Once a channel is assigned a target, the targets name appears in the channel list, the channel name can be changed in the channel parameters rollout. Each channel has a percentage value field and a spinner to change the value.

Right-click over a morph channel to display a right-click menu:

Pick from Scene: Choose this command and select an object in the viewports to assign a morph target to the channel.

Delete Channel: Deletes the morph data, name and parameters from the channel. Displays only if the channel has data.

Reload Target: Reloads morph data from the target. Use this after editing a target.

In the viewports, a "Morph Target" submenu is available by right-clicking over a target in the viewports. Use this to quickly check which objects in the scene are assigned as targets. The menu also lets you inspect which channel the object is assigned to, the percentage for that channel. Clicking the channel in the menu causes the morpher to jump to the object's channel in the Morpher channel list.

List Range: Displays the range of visible channels in the channel list.

Load Multiple Targets: Load multiple morph targets into empty channels by selecting object names in the selection dialog and clicking Load.

If there are more targets than empty channels, a warning displays and the channels are not assigned.

Reload All Morph Targets: Reloads all the morph targets.

If the targets have been edited, the channels are updated to reflect the changes. If a morph target has been deleted from the scene, then the morpher updates using the stored data in the channel, functions using the last stored morph data.

Zero Active Channel Values: Click to create keys with a value of 0 for all active morph channels, if the Animate button is on.

This is handy to prevent key interpolation from distorting the model. First click Zero Active Channel Values, and then set a particular channel to the value you want; only the altered channel affect the model.

Automatically reload targets: Turn this on to allow animated targets to be updated dynamically by the Morpher modifier. There is a performance penalty when using this option.

Channel Number: Click the number next to the channel name to display a menu. Use commands on the menu to group and organize channels, or to locate a channel.

Move To: Displays the Channel Operations dialog. To move the current channel to the selected channel, choose a channel from the list, and click Move To.

Swap With: Displays the Channel Operations dialog. To swap the current channel with the selected channel, choose a channel from the list, and click Swap With.

Used Channels: Displays a list of active channels. Choose a channel to place it at the top of the channel list display in the Channel List rollout.

Channel Name: Displays the name of the current target. Change the name of the target in the text field if necessary. Parameter changes in the Channel Parameters rollout affect the current target.

Channel is Active: Toggles a channel on and off. Inactive channels do not affect the morph result. Use this control to turn off certain channels to focus on animating other channels.

Create Morph Target group

Pick Object from Scene: Turn on and click an object in the viewports to assign a morph target to the current channel.

Capture Current State: Choose an empty channel to activate this function. Click to create a target using the current channel values.

The captured channel is always blue because there is morph data but no specific geometry. Use Extract to create a mesh copy of the captured state.

Delete: Deletes the target assignment for the current channel.

Extract: Choose a blue channel and click this option to create an object from the morph data.

If you have used Capture Current State to take a snapshot of a group of channel values, but then want to edit it, use Extract to make a new object, pick it as the channel's target, and then start editing.

Channel Settings group

Use Limits: Turn on to use limits on the current channel if Use Limits is turned off in the Global Parameters rollout.

Minimum: Sets the lower limit.

Maximum: Sets the upper limit.

Use Vertex Selection: Morphs only selected vertices on the current channel.

Reload Morph Target: Reloads data from the current target into the channel.

You can also right-click a name in the channel list, and choose Reload Target to reload a target. Reload a target if it has been adjusted or edited.

Spinner Increments: Specify fine or coarse spinner increments. 5.0 is coarse and 0.1 is fine. Default=1.0

Compact Channel List: Compact the channel list by filling in any empty channels in between assigned channels. The status window displays how many channels were moved.

Approximate Usage: Click to display current memory usage.


Linked XForm Modifier

Modify panel > Select objects or sub-objects. > Modifier List > Animation Modifiers > Linked XForm

Modify panel > Select an object or sub-objects. > Modifiers menu > Animation Modifiers > Linked XForm

The Linked XForm modifier links the transforms for any object or sub-object selection to another object, called the control object. The control object's motion, rotation, and/or scale transforms are passed onto the object or sub-object selection.

Using Linked XForm

Linked XForm connects any geometry it receives from the stack to another object, which is called the control object. Its single control simply picks the control object. To use this modifier, you must have at least two objects in your scene.

See also

XForm Modifier

Procedure

To apply a Linked Xform modifier:

  1. Choose a location in an object's stack and click Linked XForm on the Modifiers rollout.

  2. On the Parameter's rollout, click Pick Control Object. When animating, do this at frame 0.

  3. Select the object you want to be the control object.

    This completes the link. The name of the control object appears on the Parameters rollout.

Interface

Control Object: Object that the vertices are linked to. When transformed, the vertices follow.

Pick Control Object: Click this button, and then select the object that you want to be the control object.


UVW Map Modifier

Select an object. > Modify panel > Modifier List > UV Coordinate Modifiers > UVW Map

Select an object. > Modifiers menu > UV Coordinates > UVW Map

Mapping a sphere and a box

Procedures Interface

By applying mapping coordinates to an object, the UVW Map modifier controls how mapped materials appear on the surface of an object. Mapping coordinates specify how bitmaps are projected onto an object. The UVW coordinate system is similar to the XYZ coordinate system. The U and V axes of a bitmap correspond to the X and Y axes. The W-axis corresponds to the Z-axis. A bitmap's coordinate system can be switched in the Material Editor to VW or WU, in which case the bitmap is rotated and projected so that it is perpendicular to the surface.

Primitive objects, like spheres and boxes, can generate their own mapping coordinates, as can loft objects. Scanned, imported, or hand-constructed polygonal or patch models do not have mapping coordinates until a UVW Map modifier is applied. If you apply a UVW Map modifier to an object with built-in mapping coordinates, the applied coordinates take precedence if map channel 1 in the UVW Map modifier is used. The Generate Mapping Coordinates option, available during the creation of primitives, uses map channel 1 by default.

You use the UVW Map modifier to:

  • Apply one of the seven types of mapping coordinates to an object on a specified map channel. A diffuse map on map channel 1 and a bump map on map channel 2 can have different mapping coordinates and can be controlled separately by using two UVW Map modifiers in the modifier stack

  • Transform the mapping gizmo to adjust map placement. Objects with built-in mapping coordinates lack a gizmo

  • Apply mapping coordinates to an object with no mapping coordinates, an imported mesh, for example

  • Apply mapping at the sub-object level

Map Channels

You can control the type of mapping coordinates and the placement of the mapping gizmo for each bitmap in a material that uses multiple bitmaps by assigning explicit map channels to the bitmaps. In the Material Editor you assign each map a different channel number, then you add multiple UVW Map modifiers to the object's modifier stack, each UVW Map modifier is set to a different map channel. To change the type of mapping or gizmo placement for a particular bitmap, you select one of the UVW Map modifiers in the modifier stack and change the parameters. You can change the name of a UVW Map modifier in the Edit Modifier Stack dialog to correlate the modifier to the bitmap.

Transforming UVW Map Gizmos

Changing a map's location by moving the gizmo

The UVW Map gizmo projects mapping coordinates onto an object. You can position, rotate, or scale a gizmo to adjust map coordinates on an object; gizmos can also be animated. Gizmo transformations remain in effect if you select a new map type. If a spherical mapping gizmo is scaled, and you switch to planar mapping, then the planar mapping gizmo is also scaled.

Gizmo Display for Different Map Types

For planar, spherical, cylindrical and shrink wrap maps, a short yellow line indicates the top of the map. The green edge of the gizmo indicates the right side of the map. On a spherical or cylindrical map the green edge is the seam where the left and right edge meet. Gizmo must be selected in the modifier display hierarchy to display the gizmo.

Effects of Transforming the UVW Map Gizmo

Moving the gizmo changes the center of projection and affects all types of mapping. Rotating the gizmo changes the orientation of the map, which affects all types of mapping. Uniform scaling does not affect spherical or shrink-wrap mapping. Non uniform scaling affects all types of mapping.

If you scale a gizmo smaller than the geometry, then a tiling effect is created, unless scaling has no effect on the map type in use. Tiling based on gizmo size is in addition to tiling values set in the Material Editor Coordinates rollout for the map or the UVW Map modifier tile controls.

Manipulators for UVW Map

The UVW Map modifier has graphic manipulators to help you adjust the UV length, width, and tiling.

Manipulators are visible and usable while the Select and Manipulate button is turned on. This button is on the default main toolbar. When you move the mouse over a manipulator, the manipulator turns red to show that dragging or clicking it will have an effect. Also, a tooltip appears, showing the object name, the parameter, and its value.

For more information on using the UVW Map manipulators, see the Procedures section in this topic.

UV width-length manipulators: In a viewport, drag the edges of the UVW Map gizmo to change the width or height.

UV tiling manipulators: In a viewport, drag the small circle next to the U edge or V edge to adjust the tiling in that dimension.

Tile Controls

Use the UVW Tile controls if you want a map to repeat. Tiled maps are useful for bricks on a wall, or tiles on a floor. Rather than creating one large map, seamless maps can be tiled to surface a large area without visible seams, to give the illusion of a large map.

Procedures

To apply the UVW map modifier:

  1. Assign a mapped material to an object.

  2. On the Modify panel, choose UV Coordinate Modifiers > UVW Map from the Modifier List.

  3. Adjust the mapping parameters.

    By default, the UVW Map modifier uses planar mapping on map channel 1. You can change the type of mapping and the map channel to suit your needs. There are seven types of mapping coordinates, ninety-nine map channels, tiling controls, and controls to size and orient the mapping gizmo in the UVW Map modifier.

    Note: If a UVW Map modifier is applied to multiple objects, the UVW Map gizmo is defined by the selection, and the mapping that results is applied to all the objects.

To transform a UVW Map gizmo:

  1. On the Modify panel, choose UV Coordinate Modifiers > UVW Map from the Modifier List.

  2. In the stack display, choose the Gizmo sub-object level.

    The gizmo changes to a yellow color, with one green edge.

  3. Move, scale, or rotate the gizmo in the viewports, or use the Length and Width controls in the UVW Map modifier.

    Transforming the map gizmo shifts the bitmap, allowing you to orient and move the map on the object's surface.

To use manipulators to control the width and length:

  1. On the Modify panel, choose the UVW Map modifier in the stack display.

    You can also be at the Gizmo level of the modifier.

  2. On the default main toolbar, click to turn on Select And Manipulate.

    The UVW Map modifier's gizmo turns green, showing it is now a manipulator. Also, two small circles appear next to two of the gizmo's edges.

  3. Drag an edge of the gizmo to adjust the width or length.

    A tooltip shows the new width or length value.

To use manipulators to control tiling:

  1. On the Modify panel, choose the UVW Map modifier in the stack display.

    You can also be at the Gizmo level of the modifier.

  2. On the default main toolbar, click to turn on Select And Manipulate.

    The UVW Map modifier's gizmo turns green, showing it is now a manipulator. Also, two small circles appear next to two of the gizmo's edges.

  3. Drag one of the circles to adjust tiling in the U or V dimension.

    A tooltip shows which dimension you are adjusting, and the new tiling value in that dimension.

Interface

Modifier Stack

Gizmo Level: Enables gizmo transformations. Turn on and then move, scale, and rotate the gizmo in the viewports to position the map. In the Material Editor, you turn on the Show Map in Viewport option to make the map visible in a shaded viewport, the map moves on the surface of the object as you transform the gizmo.

Mapping group

Determines the type of mapping coordinates used. Different kinds of mapping are distinguished by how the map is geometrically projected onto the object and how the projection interacts with the object's surfaces.

Planar map projection

Planar: Projects the map from a single plane flat against the object, somewhat like projecting a slide.

Planar projection is useful when only one side of an object needs to be mapped. It is also useful for obliquely mapping multiple sides, and for mapping two sides of a symmetrical object.

Cylindrical map projection

Cylindrical: projects the map from a cylinder, wrapping it around an object. Seams where the edges of the bitmap meet are visible unless a seamless map is used. Cylindrical projection is useful for objects that are roughly cylindrical in shape.

Cap: Applies planar mapping coordinates to the caps of the cylinder.

Note: If the ends of the object geometry are not at right angles to the sides, the Cap projection bleeds onto the sides of the object.

Spherical map projection

Spherical: Surrounds the object by projecting the map from a sphere. You see a seam and mapping singularities at the top and bottom of the sphere where the bitmap edges meet at the sphere's poles. Spherical mapping is useful for objects that are roughly spherical in shape.

Shrink-wrap projection

Shrink Wrap: Uses spherical mapping, but truncates the corners of the map and joins them all at a single pole, creating only one singularity. Shrink-wrap mapping is useful when you want to hide the mapping singularity.

Box projection (shown on a box and on a sphere)

Box: Projects the map from the six sides of a box. Each side projects as a planar map, and the effect on the surface depends on the surface normal. Each face is mapped from the closest box surface whose normal most closely parallels its own normal.

Face projection

Face: Applies a copy of the map to every face of an object. Pairs of faces sharing a hidden edge are mapped with the full rectangular map. Single faces with no hidden edge are mapped with a triangular portion of the map.

XYZ to UVW: Maps 3D procedural coordinates to UVW coordinates.

Length, Width, Height: Specify the dimensions of the UVW Map gizmo. The default scale of the mapping icon is defined by the largest dimension of the object when you apply the modifier. You can animate the projection at the gizmo level. Note the following about these spinners:

  • The dimensions are based on a bounding box of the gizmo.

    The Height dimension is unavailable for the Planar gizmo: It does not have depth. Likewise, the dimensions for Cylindrical, Spherical, and Shrink Wrap mapping all display the dimensions of their bounding box and not their radii. No dimensions are available for the Face map: Each face on the geometry contains the entire map.

    The dimensions essentially become scale factors rather than measurements. You can reset the values to dimensions by clicking the Fit or Reset buttons, which will lose the original non-uniform scaling.

U Tile, V Tile, W Tile: Let you specify the dimensions of the UVW map, for tiling the image. These are floating-point values; you can animate these values to displace the map's tiling over time.

Flip: Reverses the image about the given axis.

Channel group

Each object can have up to 99 UVW mapping coordinate channels. The default mapping (from the Generate Mapping Coordinates toggle) is always channel 1. The UVW Map modifier can send coordinates to any channel. This lets you have many different sets of coordinates on the same face simultaneously.

Map Channel: Provides the mapping coordinates that are assigned when you turn on Generate Mapping Coordinates in an object's creation parameters. The UVW Map modifier defaults to channel 1, so mapping behaves in the default fashion unless you explicitly change to another channel. Default=1. Range=1 to 99

To use the additional channels, you must not only choose a channel in the UVW Map modifier, but also assign an explicit map channel at the map level of the material assigned to the object. You can use many UVW Map modifiers in the modifier stack, each one controlling the mapping coordinates of different maps in a material.

Vertex Color Channel: Define the channel as a vertex color channel by choosing this option. Be sure to match any material mapping in the coordinates rollout to be Vertex Color as well, or by using the Assign Vertex Color utility.

The Map channels are accessed in various places in gmax, as follows:

Generate Mapping Coords: This check box, in the creation parameters of most objects, assigns UVW Map channel 1 when turned on.

UVW Map Modifier: Contains options for channels 1 through 99. This lets you specify which UVW coordinates are used by this UVW Map modifier. The modifier stack can pass these channels simultaneously for any face.

UVW Xform and Unwrap UVWs: These two modifiers also contain Channel option buttons.

Material Editor Channel Assignment: You assign the channel to be used by a map in the Coordinates rollout at the map level in the Material Editor.

The assignment varies depending on the type of map:

2D Maps: In the Mapping list for the Texture option, you can choose Explicit Map channel, Vertex Color Channel, Planar from Object XYZ, or Planar from World XYZ.

3D Maps: At the top of the Coordinates rollout, there is a Source list where you can choose an Explicit Map Channel, Vertex Color Channel, Object XYZ, or World XYZ. Use the Map Channel spinner to define the channel number.

Alignment group

X/Y/Z: Select one of these to flip the alignment of the mapping gizmo. Each specifies which axis of the gizmo is aligned with the local Z-axis of the object.

Note: These options aren't the same as the Flip check boxes beside the U/V/W Tile spinners. The Alignment option buttons actually flip the gizmo orientation, while the Flip check boxes flip an assigned map's orientation.

Fit: Fits the gizmo to the extents of the object and centers it so that it's locked to the object's extents.

Center: Moves the gizmo so that its center coincides with the center of the object.

Bitmap Fit: Displays the standard bitmap file browser so that you can pick an image. For planar mappings, the map icon is set to the aspect ratio of the image. For cylindrical mapping, the height (rather than the radius of the gizmo) is scaled to match the bitmap. For best results, first use the Fit button to match the radii of the object and gizmo, and then use Bitmap Fit.

Normal Align: Click and drag on the surface of the object to which the modifier is applied. The origin of the gizmo is placed at the point on the surface where the mouse is pointing; the XY plane of the gizmo is aligned to the face. The X-axis of the gizmo lies in the object's XY plane.

Normal Align respects smoothing groups and uses the interpolated normal based on face smoothing. As a result, you can orient the mapping icon to any part of the surface, rather than having it "snap" to face normals.

View Align: Reorients the mapping gizmo to face the active viewport. The size of the icon is unchanged.

Region Fit: Activates a mode in which you can drag in the viewports to define the region of the mapping gizmo . The orientation of the gizmo is not affected.

Reset: Deletes the current controller controlling the gizmo and plugs in a new one initialized using the Fit function. Any animation to the gizmo is lost. However, like all the alignment options, Reset is undoable.

Acquire: Effectively copies the UVW coordinates from other objects When you pick an object from which you want to acquire UVWs , a dialog prompts you whether the acquire should be done in an absolute or relative fashion.

If you choose Absolute, the acquired mapping gizmo is positioned exactly on top of the mapping gizmo you pick. If you choose Relative, the acquired mapping gizmo is positioned over the selected object.

Mapping Selection Sets or Grouped Objects

You can apply one UVW Map modifier to a selection of objects. One large mapping gizmo will encompass the entire selection unless the Use Pivot Points option is turned on in the modifiers rollout before applying the UVW Map modifier. If the Use Pivot Points option is used then each object is encompassed with its own mapping gizmo.

If any of the objects in the selection has had its pivot point shifted in the Hierarchy > Pivot panel, and you use the Use Pivot Points option with the UVW Map modifier, then the mapping gizmos are centered to the pivot points rather than the object center and the mapping may be tricky to position the way you want.


Unwrap UVW Modifier

Select an object. > Modify panel > Modifier List > UV Coordinate Modifiers > Unwrap UVW

Select an object. > Modifiers menu > UV Coordinates > Unwrap UVW

The Unwrap UVW modifier is used to assign planar maps to sub-object selections, and to edit the UVW coordinates of those selections. Existing UVW coordinates on an object can be unwrapped and edited as well. Maps can be adjusted to the proper fit on a Mesh, Patch, and Polygon model.

The Unwrap UVW modifier can be used as a self-contained UVW mapper and UVW coordinate editor, or in conjunction with the UVW Map modifier. If you use Unwrap UVW in conjunction with the UVW Map modifier, it is usually because you want to map the model with a method other than planar mapping, such as cylindrical or spherical mapping. UVW coordinates can be animated by turning on the Animate button and moving the UVW coordinate vertices at different frames.

Self-Contained Mapper and UVW Coordinate Editor

Rather than creating a large modifier stack by first making a sub-object selection of faces, then adding a UVW Map modifier to specify the type of mapping, you can use the Unwrap UVW modifier to do both. Sub-object faces or patches can be selected, stored as named selections, planar mapped, and then the UVW coordinates for each sub-object selection can be edited, all from within the Unwrap UVW modifier. For example, to map a character's face using three planar maps, you could create three sub-object selections of the front and sides of the face, planar map the selections individually and then edit the UVW coordinates for each selection, without leaving the Unwrap UVW modifier.

What Happens to Existing UVW Coordinates

When the Unwrap UVW modifier is applied, it takes the current UVWs applied to the object and stores them in the modifier. If no UVWs have been applied, it does a planar mapping to create new ones. If the incoming data on the stack is a face-level sub-object selection, then only the UVWs for the selected faces are brought into the modifier.

When the modifier is evaluated, its UVWs are reassigned to the object flowing down the pipeline. So if the UVWs upstream are changed, the changes won't make it past the Unwrap UVW modifier. If the Unwrap modifier is operating on a selection of faces, then upstream changes to unselected faces will still be able to flow past the Unwrap modifier.

Native Support for Polygon Object, and Patch mapping

In gmax, UVW Unwrap supports polygon faces and Bezier quad and tri patch faces in addition to triangles and quads.

Pinning Textures

Although not its primary purpose, the Unwrap UVW modifier can be used to freeze UVWs. You can apply mapping after an animated deformation and have the mapping stick to the object. For example, you can apply Unwrap UVW above a Morpher modifier in the modifier stack, apply planar maps and edit the UVW coordinates. The mapping will follow the morphing geometry.

Procedures

Example: To assign and edit three planar maps on a box:

  1. Create a box.

  2. In the Material Editor, create a diffuse-mapped material with a distinct map, and assign it to the box.

  3. In the Material Editor, turn on Show Map In Viewport. This displays the map on the box in shaded viewports.

  4. Shade the Perspective viewport.

    Because of the way boxes are mapped, a repeat of the map appears on each side of the box.

  5. On the Modify panel, choose UV Coordinate Modifiers > Unwrap UVW from the Modifier List.

  6. In the stack display, choose the Unwrap UVW modifier's Select Face sub-object level.

  7. In the viewports, select one side of the box.

    A planar texture gizmo displays. Next you re-assign planar mapping, which will also create named selections.

  8. On the Parameters rollout, click Planar Map.

    A named selection is created in the Named Selection Sets list on the main toolbar.

  9. On the main toolbar, open the Named Selection Sets drop-down list.

    "PlanarMap0" is the named selection for this side of the box.

  10. In the viewports, select another side of the box.

  11. Click Planar Map.

  12. In the viewports, click another side, and click Planar Map.

    If you check the Named Selection Sets drop-down list on the main toolbar, you will find three named selections for three sides of the box.

  13. In the Parameters rollout, click Edit.

    The Edit UVWs dialog displays. The map in the material on the object should display as the background in the window. By default, all the UVW IDs display at once. We need to filter the UVWs, to work on each side of the box, one at a time.

  14. In the Edit UVW dialog, on the lower toolbar, click Filter Selected Faces.

  15. On the main toolbar, open the Named Selection Sets drop-down list, and choose "PlanarMap0".

    In the viewports, one side of the box is selected and a planar mapping gizmo displays. In the UVW Edit dialog, the UVW coordinates for the selection are displayed.

  16. In the Edit UVW dialog window, select and move a UVW vertex.

    In the viewports, the texture slides around the selected side of the box.

  17. On the main toolbar, open the Named Selection drop-down list, and choose "PlanarMap1"

    In the viewports, the selection changes to a different side of the box. In the UVW Edit dialog window, the UVW coordinates for the selection are displayed.

  18. In the Edit UVW dialog window, select and move a UVW vertex.

    In the viewports, the texture slides around the selected side of the box.

  19. In the viewports, click to select the side of a box.

    If the side you selected is one of the sides that was planar mapped earlier, then its UVW coordinates display in the UVW Edit window. This is another way of choosing what you want to work on.

    As you can see, from within the Unwrap UVW modifier you can assign multiple planar maps with corresponding named selections, and then edit the UVW coordinates to fine-tune map placement on the geometry.

Interface

After applying the modifier, its panel appears, consisting of an Edit button, Save button, Load button, a Reset UVW’s button, Channel, and Sub Object Params groups.

Edit: Displays the Edit UVWs dialog.

Save: Saves the UVW coordinates to a .uvw file.

Load: Loads previously saved .uvw files.

Reset UVWs: Resets the UVW coordinates in the Edit UVWs dialog.

Clicking this is almost the same as removing and reapplying the modifier, except that a map assigned in the Edit UVWs dialog is not deleted. For example, if you forgot to turn on the Generate Mapping Coordinates check box for an object, and then applied the Unwrap UVW modifier, the modifier would have no UVW coordinates to use and its settings would be wrong. If you then go back in the Stack and turn on Generate Mapping Coordinates, you'd need to click the Reset UVWs button. When you click this button, an alert warns you that you're losing any edits you've made.

Channel group

Map Channel Use the spinner to specify which map channel to use. Define up to 99 map channels.

Vertex Color Channel Use the spinner to specify the channel for Vertex Color.

When you change channels, you should reset your edits, since the edits for one channel usually won't work for the next channel. An alert appears that lets you choose between resetting the coordinates or leaving them as they are. In almost all cases, it's best to reset them. For more information, see UVW Map Modifier.

Sub Object Params group

You can apply a planar map, to selected faces, patches, or surfaces aligned to X, Y, Z or to an average of the normals.

X, Y, Z: Align the planar map to X-, Y-, or Z-axis.

Averaged Normals: Aligns the planar map to an average of the normals of the selected faces.

Planar Map: Applies planar mapping to the currently selected faces, patches or surfaces, and creates a named selection in the Named Selection list on the main toolbar. The named selections are one way of selecting which UVW coordinates you want to work on.

For example, selecting each face on a box and clicking Planar Map will planar map the six sides of the box and create six named selections. If Filter Selected Faces is on in the UVW Edit dialog (lower toolbar), then choosing one of the six named selections displays only the UVW vertices for one side of the box. This allows you to edit UVW vertices (texture placement) for each side of the box individually.


Unwrap Options Dialog

Select an object. > Modify panel > Modify List > UV Coordinate Modifiers > Unwrap UVW > Edit button (on Parameters rollout) > Edit UVWs dialog toolbar > Unwrap Options

Set preferences for the UVW Unwrap Edit dialog using controls in the Unwrap Options dialog.

Interface

Colors group

Contains color swatches to customize the display of the UVW lattice. With certain maps, the default colors may become difficult to see. Use these swatches to choose colors that work better for your specific map.

Line Color: Specifies the color of the UVW lattice lines. Default=white.

Selection Color: Specifies the color of the UVW vertices. Default=red.

Preferences group

Contains controls affecting the map display in the view window.

Render Width: Specifies the width resolution of the image displayed in the view window. This does not change the size of the image, but only the resolution.

Render Height: Specifies the height resolution.

Use bitmap resolution: Turn on to use the bitmap's resolution. The image aspect ratio displays correctly.

Weld Threshold: Sets the weld threshold. The value is in UV space distance; it is normalized between 0.0f and 1.0f.

Constant Update in Viewports: Affects the adjusting of UVW vertices in the viewport while you move the mouse. Default=off (the effect of adjusting the UVW vertices does not appear in the viewport until you release the mouse).

Show Selected Vertices in Viewport: Displays selected texture vertices and the corresponding vertices in the viewport.

Mid Pixel Snap: Snaps to the center of pixels of the background images instead of pixel edges.

OK/Cancel/Defaults: Click OK to accept, or Cancel to cancel the changes in the dialog. Click Defaults to restore all of the settings in this dialog to their default values.


Edit UVWs Dialog

Select an object. > Modify panel > Modifier List > UV Coordinate Modifiers > Unwrap UVW > Edit button (on Parameters rollout)

The Edit UVWs dialog is a window that displays a lattice made up of UVW faces and UVW vertices. There is a UVW face for every face in a mesh. A UVW face has three vertices. The view window displays the UVWs in the 2D-image space of the map. A black rectangle displays the boundaries of a texture map as it would appear in image space (the lower-left corner of the rectangle has the coordinates (0,0) and the upper-right has the coordinates (1,1). Within this window, you manipulate the UVW coordinates relative to the map (or mesh) by selecting the lattice vertices and moving them.

The state of the Edit UVWs dialog, including buttons and selected options, is stored and recalled the next time you open the Edit dialog.

Interface

Toolbar

Contains all the controls for manipulating the texture vertices in the view window, navigating within the window, and setting other options. Pressing the CTRL and ALT keys and applying the transform can center all texture vertex transforms. The initial click specifies the center of the transform.

Move: Moves selected vertices. Flyout options are Move, Move Horizontal, and Move Vertical. Press SHIFT to constrain the movement to a single axis.

Rotate: Rotates selected vertices.

Scale: Scales selected vertices. Flyout options are Scale, Scale Horizontal, and Scale Vertical.

Mirror: Mirrors selected vertices and flips UVs. Flyout options are Mirror Vertical, Mirror Horizontal, Flip Horizontal, and Flip Vertical.

Flip first detaches the selected vertices along their boundary edge and then applies a Mirror Horizontal or Vertical depending on the mode.

Expand/Contract Selection: Expands or contracts vertex selection. Flyout options are Expand Selection and Contract Selection.

First select a point, and then click Contract or Expand repeatedly to expand or contract the vertex selection.

Falloff Type: Moves, rotates, or scales non-selected vertices based on the value set in the Falloff Distance field, and the falloff type. Flyout options are Linear, Sinal, Slow Out, and Fast Out.

First enter a value in the distance field, and then click and drag a point.

Falloff Space: Selects object or texture space for the falloff distance. XY selects object space, UV selects texture space.

Falloff Distance field: Sets falloff distance. As values increase, unselected vertex color changes gradually from the selected vertex to reflect the sphere of influence.

First, set a value that encompasses vertex to be moved or scaled, and then click and drag to move or scale vertices with a falloff effect.

Break: Replaces a single shared vertex with two vertices. If two faces share a vertex, Break creates two vertices.

Target Weld: Welds selected vertices to a single target vertex.

Turn on Target Weld, select vertices, and then drag the selected vertices to the target vertex.

Weld Selected: Welds selected vertices to a single vertex based on the Weld Threshold. To set a weld threshold, click UVW Options on the Edit UVW toolbar, and change the Weld Threshold value.

Update Map: Updates the map in the view window to match the current version. For speed, the map is cached and instanced from the original, it is not automatically updated if it changes. (For example, an animated map can slow the system down when you move from frame to frame.)

Show Map: Toggles the display of the map in the view window.

UV/VW/UW: As a default, the UV portion of the UVW coordinates is displayed in the view window. However, you can switch the display to edit the UWs or the VWs.

Unwrap Options: Click to display the Unwrap Options dialog.

Pick Texture: Contains all the maps of the material assigned to the object. The names of the maps, assigned in the material editor, are displayed in the list. The Pick Texture option in the list allows you to add and display textures that are not in the object's material. A total of 10 maps can be stored in the list; additional maps scroll off the bottom of the list.

Select a map you want to use in the view window. For example, select a bump or texture map as a reference to move UVW vertices.

Lower Toolbar

U, V, and W: Use the keyboard or use the spinners to enter UVW vertex coordinates.

Lock Selection: Locks vertex selection. You can move selected vertices without touching them.

Hide/Unhide: Hides or unhides selected vertices in the view window. The flyout options are Hide and Unhide.

Freeze/UnFreeze: Freezes selected vertices or unfreezes all vertices. Frozen vertices cannot be selected or moved.

Filter Selected Faces: Displays UVW vertices of the object's selected faces, and hides the rest.

All ID's (drop-down): Filters the objects material IDs. Displays texture faces that match the ID drop-down.

Pan: Click Pan, and then click+drag to pan the window.

Zoom: Click Zoom, and then click+drag to zoom the window.

Zoom Region: Click Zoom Region, and then region-select part of the window to zoom in.

Zoom Extents: Zoom extents all UVW vertices or only selected UVW vertices. The flyout options are Zoom Extents and Zoom Extents Selected.

Pixel Snap: Snaps to the nearest pixel when you have a bitmap in the background. Combine this with Mid Pixel snap option in Unwrap Options to snap to the center rather than the pixel’s edge.

Edit UVW Window

The Edit UVW window allows you to edit UVW vertices to adjust the map on a model. One texture map may have the side, top, and front views of a car. By first planar mapping the top, side, and front faces of the model in Sub-Object Selected Face, you can adjust the UVW vertices for each selection, to line up the texture map to the car.

To edit the UVW vertices, first choose a transform tool, and then click and drag in the window to transform the selected vertices.

Right-click menu: Right-click in the window to display the right-click menu. All the transform tools are available on the right-click menu.


UVW XForm Modifier

Modify panel > Make a selection. > Modifier List > UV Coordinate Modifiers > UVW XForm

Make a selection. > Modifiers menu > UV Coordinates > UVW XForm

Use the UVW XForm modifier to adjust tiling and offset in existing UVW coordinates. If you have an object with complex UVW coordinates already applied (such as a Loft object, or a parametric object with generated coordinates), you can apply this modifier to further adjust those coordinates.

For example, if you create a torus and turn on Generate Mapping Coordinates, the UVW coordinates work perfectly with the torus, but if you want to tile or move the coordinates, you would previously have needed to do it at the material/map level. Now you can apply a UVW XForm modifier to alter the built-in coordinates.

Interface

Mapping group

U Tile, V Tile, W Tile: Alter the tiling along any of the three coordinate axes.

Flip: Reverses the direction of the map along the specified axis.

U Offset, V Offset, W Offset: Move the map in the direction of the specified axis coordinate.

Channel group

Specifies whether to apply the transform to a mapping channel or a vertex color channel, and which channel to use. For more information on these channels, see UVW Map Modifier.

Map Channel: Specifies a UVW channel to use for the mapping, and use the spinner to its right to set the channel number.

Vertex Color Channel: Uses the vertex color channel for the mapping.


MapScaler (WSM)

Select an object. > Modify panel > Modifier List > UV Coordinate Modifiers >
* MapScaler

Select an object. > Modifiers menu > UV Coordinates >
* MapScaler

MapScaler sets the scale of a map on an object

MapScaler maintains the scale of a map applied to an object. This lets you resize the object without altering the scale of the map. Typically, you might use this to maintain the size of a map regardless of how the geometry is rescaled.

Note: This world-space modifier is for use primarily with vertically oriented objects, such as walls in an architectural model, or objects with large, flat surfaces. While you can apply the MapScaler to any object, the results are less realistic on curved surfaces, especially complex ones, which can show cracks in the finished texture.

Interface

Scale: Represents the size of one repeat of the texture pattern. Size is measured in current scene units. Repeats occur across the object in the U direction. Default=100.

Channel: Specifies the map channel.

Wrap Texture: When on, Map Scaler attempts to wrap the texture evenly around the object. This option requires more computing, but usually produces the most satisfactory results.

Up Direction group

World Z Axis: Aligns the map with the Z axis of the world.

Note: If you choose this option and then rotate the object, the mapping will not rotate with it, but remain fixed to the world coordinates.

Local Z Axis: Aligns the map with the local Z axis of the object.


MeshSmooth Modifier

Modify panel > Make a selection. > Modifier List > Subdivision Surfaces > MeshSmooth

Make a selection. > Modifiers menu > Subdivision Surfaces > MeshSmooth

Angular model (shown on the right) changed to a smooth model with MeshSmooth

The MeshSmooth modifier smoothes geometry in your scene by adding faces at corners and along edges. The effect of MeshSmooth is to round over corners and edges as if they had been filed or planed smooth. When you apply MeshSmooth, an extra face is added for every vertex and edge. Use MeshSmooth parameters to control the size and number of new faces, and how they affect the surface of the object.

You can use MeshSmooth to produce a Non-Uniform Rational MeshSmooth object (NURMS for short). You can further control the object's shape by changing edge weights.

MeshSmooth's effect is most dramatic on sharp corners and least visible on rounded surfaces. Use MeshSmooth on boxes and geometry with crisp angles. Avoid using it on spheres and similar objects.

Tip: To better understand MeshSmooth, create a sphere and a cube and apply MeshSmooth to both. The cube's sharp corners become rounded, while the sphere's geometry becomes more complex without changing shape significantly.

Note: Having an animated deformer placed before a MeshSmoothed object that has had control level editing can result in the MeshSmoothed object becoming distorted. It's recommended that deforming modifiers be placed after the MeshSmooth modifier in the stack if you're using the deformers for animation.

Procedures

To apply MeshSmooth to an object:

  1. Select an angular object.

  2. Apply the MeshSmooth modifier.

  3. Set MeshSmooth parameters.

To apply MeshSmooth to sub-objects:

  1. Select an object.

  2. Apply a Mesh Select modifier.

  3. Select a group of vertices or faces.

  4. Apply MeshSmooth.

  5. In the Subdivision Method rollout, turn off Apply To Whole Mesh.

    This lets MeshSmooth work only on the sub-object selection.

  6. Set MeshSmooth parameters.

Interface

Modifier Stack

Vertex: At this sub-object level you can transform or edit vertices in the smoothed mesh.

Edge: At this sub-object level you can transform or edit face edges in the smoothed mesh.

See the Local Control rollout, described below.

For more information on the stack display, see Modifier Stack.

Subdivision Method rollout

Effect of MeshSmooth with two iterations on a cube and different iteration method:
A: NURMS
B: Quad
C: Classic
D: Original object with no MeshSmooth

Subdivision Method list: Choose one of the following to determine the output of the MeshSmooth operation:

NURMS: Produces Non-Uniform Rational MeshSmooth object (NURMS for short). The only smoothing parameter available with the NURMS type is Sharpness.

You can further control the object's shape by changing edge weights. See Display/Weighting group, following, for further information on changing weights.

Classic: Produces three- and four-sided facets.

Quad Output: Produces only four-sided facets (assuming you don't look at the hidden edges, since the object is still made up of triangular faces). If you apply this with default parameters to a whole object, like a box, it's topologically exactly the same as Tessellate, edge-style. However, rather than using tension to project face and edge vertices out of the mesh, use the MeshSmooth Strength to relax the original vertices and the new edge vertices into the mesh.

Apply To Whole Mesh: When turned on, any sub-object selection passed up the stack is ignored and MeshSmooth is applied to the entire object. Note that the sub-object selection is still passed up the stack to any subsequent modifiers.

Old Style Mapping: Uses the 3ds max 3 algorithm to apply MeshSmooth to the mapping coordinates. This technique tends to distort the underlying mapping coordinates as it creates new faces and as texture coordinates shift.

Subdivision Amount rollout

From right to left, effect of increasing the number of iterations

Sets how many times to apply MeshSmooth.

Iterations: Sets the number of iterations used to smooth the mesh. Each iteration generates new faces using the vertices created from the previous iteration. The spinner value range is 0 to 10. The default of 0 iterations allows you to modify any setting or parameter, such as the type of MeshSmooth or the update options, before the program starts doing any smoothing.

Note: Be cautious when increasing the number of iterations. The number of vertices and faces in an object (and thus the calculation time) can increase as much as four times for each iteration. Applying four iterations to even a moderately complex object can take a long time to calculate. You can press ESC to stop calculation and revert to your previous iteration setting.

Smoothness: Determines how sharp a corner must be before faces are added to smooth it. Smoothness is calculated as the average angle of all edges connected to a vertex. A value of 0.0 prevents the creation of any faces. A value of 1.0 adds faces to all vertices even if they lie on a plane.

Local Control rollout

Sub-object Level: Turns Edge or Vertex level on or off. When both levels are off, you're working at the object level. Information about the selected edges or vertices is displayed in the message area under the Ignore Backfacing checkbox.

Ignore Backfacing: When on, selection of sub-objects selects only those sub-objects whose normals make them visible in the viewport. When off (the default), selection includes all sub-objects, regardless of the direction of their normals.

Control Level: Allows you to see the control mesh after one or more iterations and to edit sub-object points and edges at that level. Transform controls and the Weight setting are available for all sub-objects at all levels. The Crease setting is available only at the Edge sub-object level.

Crease: Creates a discontinuity on a surface so you get a hard edge, such as a wrinkle or lip. You select one or more edge sub-objects and adjust the Crease setting; the crease appears in the surfaces associated with the selected edges. Available only at the Edge sub-object level.

Weight: Sets the weight of selected vertices or edges. Increasing a vertex weight "pulls" the smoothed result towards that vertex. Edge weights are more complex and behave in an opposite manner in some respects. They aren't really "weights" as such, but "knot intervals”. Consequently, increasing an edge weight tends to push the smoothed result away. Kinks will form in the result if weights of 0 are used.

Display Control Mesh: Displays an orange wireframe gizmo that shows what the control mesh looks like after it's been converted to polygons (if applicable) and before the smoothing occurs.

Soft Selection rollout

Soft Selection controls affect the action of sub-object Move, Rotate, and Scale functions. When these are on, gmax applies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect with a sphere of influence around the transformation.

For more information, see Soft Selection Rollout.

Parameters rollout

Smoothing Parameters group

These settings are available only when MeshSmooth Type is set to Classic or Quad Output. Also, Project To Limit Surface is available only in Classic mode.

Strength: Sets the size of the added faces using a range from 0.0 to 1.0.

  • Values near 0.0 create small faces that are very thin and close to the original vertices and edges.

  • Values near 0.5 size faces evenly between edges.

  • Values near 1.0 create large new faces and make the original faces very small.

Relax: Applies a positive relax effect to smooth all vertices.

Project to Limit Surface: Places all points on the "limit surface" of the MeshSmooth result, which is the surface that would be produced after an infinite number of iterations. The topology is still controlled by the number of iterations.

Surface Parameters group

Applies smoothing groups to the object and restrict the MeshSmooth effect by surface properties.

Smooth Result: Applies the same smoothing group to all faces.

Separate by Materials: Prevents the creation of new faces for edges between faces that do not share Material IDs.

Separate by Smoothing Groups: Prevents the creation of new faces at edges between faces that don't share at least one smoothing group.

Settings rollout

Input Conversion group

Operate On Faces/Polygons: Operate On Faces treats every triangle as a face and smoothes across all edges, even invisible edges. Operate On Polygons ignores invisible edges, treating polygons (like the quads making up a box or the cap on a cylinder) as a single face.

Keep Faces Convex: (Available only with Operate On Polygons mode.) Keeps all input polygons convex. Selecting this option causes non-convex polygons to be handled as a minimum number of separate faces, each of which is convex. (Turn on Display/Weighting group > Display Control Mesh to see what's happening here.)

"Convex" means that you can connect any two points in the polygon with a line that doesn't go outside the polygon. Most letters aren't convex. In the capital letter "T," for example, you can't connect the upper-left corner to the bottom with a straight line without going outside the shape. Circles, rectangles, and regular polygons are all convex.

Problems that can occur with non-convex faces include the fact that changes in the geometry of the input object can result in a different topology for the MeshSmooth result. For instance, in a box, if you drag one of the top corners across the middle of the top face, the box becomes non-convex. MeshSmooth would then see this as two triangles instead of one quad, and the number of points in the result would change.

If you need to make sure your output topology is stable, turn this off. If you have a lot of letters or other non-convex faces in your mesh, however, you'll probably want it on.

Update Options group

Sets manual update options, for situations where the complexity of the smoothed object is too high for automatic updates.

Always: Updates the object automatically whenever you change any MeshSmooth settings.

Manually: Turns on manual updating. When manual updating is selected, any settings you change don't take effect until you click the Update button.

Update: Updates the object in the viewport to match the current MeshSmooth settings.

Resets rollout

This rollout allows you to go back to default or initial settings on any changes you made such as sub-object transforms (geometric edits), and changes to edge creases, vertex weights, and edge weights.

You can reset changes for all control levels or to the current control level. Turn on the reset option for the sub-object level you want, and then click the appropriate button.

Reset All Levels: Returns to the default or initial settings for geometric edits, creases, and weights for all sub-object levels.

Reset This Level: Returns to the default or initial settings for geometric edits, creases, and weights for the current sub-object level.

Reset Geometric Edits: Returns to the default or initial settings for any transforms made to vertices or edges.

Reset Edge Creases: Returns to the default or initial setting for edge creases.

Reset Vertex Weights: Returns to the default or initial setting for vertex weights.

Reset Edge Weights: Returns to the default or initial setting for edge weights.

Reset Everything: Returns to the default or initial setting for everything.


FFD (Free Form Deformation) Modifiers

Modify panel > Make a selection. > Modifier List > Free Form Deformations > FFD 2x2x2, FFD 3x3x3, or FFD 4x4x4

Make a selection. > Modifiers menu > Free Form Deformers > FFD 2x2x2, FFD 3x3x3, or FFD 4x4x4

FFD stands for Free Form Deformation. Its effect is used in computer animation for things like dancing cars and gas tanks. You can use it for modeling rounded shapes such as chairs and sculpture.

The FFD modifier surrounds the selected geometry with a lattice box. By adjusting the control points of the lattice, you deform the enclosed geometry.

FFD deformation creates a bulge in the snake.

There are three FFD modifiers, each providing a different lattice resolution: 2x2, 3x3, and 4x4. The 3x3 modifier, for example, provides a lattice with three control points across each of its dimensions or nine on each side of the lattice.

There are also two FFD-related modifiers that provide supersets of the original modifiers; see FFD (Box/Cyl) Modifier. With the FFD (Box/Cyl) modifiers, you can set any number of points in the lattice, which makes them more powerful than the basic FFD modifier.

Animating FFD Control Points and the Master Point Controller

Turn on the Animate button and move the lattice points to animate an FFD and any underlying geometry. When you animate FFD control points, a Master Point Controller is created automatically. In Track View the master controller allows you to move multiple animated control points in time by simply moving one master key (master keys display green in Track View).

Procedure

To use an FFD modifier:

  1. Select the geometry. This can be the whole object, or you can use a Mesh Select modifier to select a portion of the object's vertices.

  2. Apply the FFD 2X2, FFD 3X3, or FFD 4X4 modifier, depending on the resolution of the lattice you want.

    An orange lattice gizmo surrounds the geometry.

  3. In the stack display, choose the Control Points sub-object level, and then move the control points of the lattice to deform the underlying geometry. (Turn on the Animate button if you want to animate the deformation.)

    The lattice volume defaults to the bounding box of the selected geometry. However, you can position, rotate, and/or scale the lattice box so that it modifies only a subset of vertices. Choose the Lattice sub-object level, and then use any of the transform tools to adjust the lattice volume relative to the geometry.

Interface

Modifier Stack

Control Points: At this sub-object level, you can select and manipulate control points of the lattice, one at a time or as a group (select multiple points using standard techniques). Manipulating control points affects the shape of the underlying object. You can use standard transformation methods with the control points. If the Animate button is turned on when modifying the control points, the points become animated.

Lattice: At this sub-object level, you can position, rotate, or scale the lattice box separately from the geometry. If the Animate button is turned on, the lattice becomes animated. When you first apply an FFD, its lattice defaults to a bounding box surrounding the geometry. Moving or scaling the lattice so that only a subset of vertices lies inside the volume makes it possible to apply a localized deformation.

Set Volume: At this sub-object level, the deformation lattice control points turn green, and you can select and manipulate control points without affecting the modified object. This lets you fit the lattice more precisely to irregular-shaped objects, giving you finer control when deforming.

Set Volume essentially lets you set the initial state of the lattice. If you use it after you have animated a control point or when the Animate button is turned on, then it works the same as at the Control Points sub-object level, deforming the object as you manipulate points.

For more information on the stack display, see Modifier Stack.

FFD Parameters rollout

Display group

Affects the display of the FFD in the viewports.

Lattice: Draws lines connecting the control points to make a grid.

Although the viewports can sometimes become cluttered when these lines are drawn, it helps to visualize the lattice.

Source Volume: Displays the control points and lattice in their unmodified state.

When you're in the Lattice selection level, this helps to position the source volume.

Tip: To see which points lie in the source volume (and therefore will be deformed), temporarily deactivate the modifier by clicking to turn off the light bulb icon in the modifier stack display.

Deform group

Only in Volume: Deforms vertices that lie inside the source volume. Default=on.

All Vertices: Deforms all vertices, regardless of whether they lie inside or outside the source volume.

The deformation outside the volume is a continuous extrapolation of the deformation inside the volume. The deformation can be extreme for points far away from the source lattice.

Control Points group

Reset: Returns all control points to their original positions.

Animate All: Assigns Point3 controllers to all control points so that they're immediately visible in Track View.

By default the control points of an FFD lattice don't appear in Track View because they don't have controllers assigned to them. But when a control point is animated, a controller is assigned to it and becomes visible in Track View. With Animate All, you can add and delete keys and perform other key operations.

Conform to Shape: Moves each FFD control point to the intersection of the modified object with a straight line extending between the object's center to the control point's original location, plus an offset distance specified by the Offset spinner.

Note: Conform to Shape works best with regular shapes, such as primitives. It's less effective if the object has degenerate (long, narrow) faces or sharp corners. All the controls are unavailable with shapes, because there are no faces to intersect with.

Inside Points: Only control points inside the object are affected by Conform to Shape.

Outside Points: Only control points outside the object are affected by Conform to Shape.

Offset: The distance by which control points affected by Conform to Shape are offset from the object surface.

About: Displays a dialog with copyright and licensing information.


FFD (Box/Cylinder) Modifiers

Modify panel > Make a selection. > Modifier List > Free Form Deformations > FFD(box) or FFD(cyl)

Make a selection. > Modifiers menu > Free Form Deformers > FFD Box or FFD Cylinder

FFD stands for Free Form Deformation. Its effect is used in computer animation for things like dancing cars and gas tanks. You can use it for modeling rounded shapes such as chairs and sculpture.

The FFD modifier surrounds the selected geometry with a lattice box. By adjusting the control points of the lattice, you deform the enclosed geometry. When the Animate button is turned on, the lattice points are animated, as is the deformation of the geometry.

Left: Initial primitive. Right: Primitive surrounded by FFD Box Modifier

With the FFD(box) and FFD(cyl) modifiers you can create box-shaped and cylinder-shaped lattice free-form deformation objects.

The source lattice of an FFD modifier is fitted to the geometry it's assigned in the stack. This can be a whole object, or a sub-object selection of faces or vertices.

Interface

Modifier Stack

Control Points: At this sub-object level, you can select and manipulate control points of the lattice, one at a time or as a group (select multiple points using standard techniques). Manipulating control points affects the shape of the underlying object. You can use standard transformation methods with the control points. If the Animate button is turned on when modifying the control points, the points become animated.

Lattice: At this sub-object level, you can position, rotate, or scale the lattice box separately from the geometry. If the Animate button is turned on, the lattice becomes animated. When you first apply an FFD, its lattice defaults to a bounding box surrounding the geometry. Moving or scaling the lattice so that only a subset of vertices lie inside the volume makes it possible to apply a localized deformation.

Set Volume: At this sub-object level, the deformation lattice control points turn green, and you can select and manipulate control points without affecting the modified object. This lets you fit the lattice more precisely to irregular-shaped objects, giving you finer control when deforming.

Set Volume essentially lets you set the initial state of the lattice. If a control point is already animated or the Animate button is turned on, then Set Volume works the same as at the Control Points sub-object level, deforming the object as you manipulate points.

For more information on the stack display, see Modifier Stack.

FFD Parameters rollout

Dimensions group

Adjusts the unit dimensions of the source volume and specifies the number of control points in the lattice. Note that the point dimensions also show up beside the modifier name in the stack list.

Lattice dimensions: The text displays the current number of control points in the lattice (for example 3x4x4).

Set Number of Points: Displays a dialog containing three spinners labeled Length, Width, and Height, plus OK/Cancel buttons. Specify the number of control points you want in the lattice, and then click OK to make the change.

Warning: Make changes to the lattice dimensions before you adjust the positions of the lattice control points. When you change the number of control points with this dialog, you lose any adjustments you've already made to the control points. (You can undo this dialog.)

Display group

Affects the display of the FFD in the viewports.

Lattice: Draws lines connecting the control points to make a grid. Although the viewports can sometimes become cluttered when these extra lines appear, they help to visualize the lattice.

Source Volume: Displays the control points and lattice in their unmodified state. This is an important display when you're adjusting the source volume to affect specific vertices that lie inside or outside it.

Tip: To see which points lie in the source volume (and therefore will be deformed), temporarily deactivate the modifier by clicking to turn off the light bulb icon in the modifier stack display.

Deform group

Provides controls that specify which vertices are affected by the FFD.

Only In Volume: Deforms vertices that lie inside the source volume. Vertices outside the source volume are not affected.

All Vertices: Deforms all vertices regardless of whether they lie inside or outside the source volume depending on the value in the Falloff spinner. The deformation outside the volume is a continuous extrapolation of the deformation inside the volume. Note that the deformation can be extreme for points far away from the source lattice.

Falloff: Determines the distance from the lattice that the FFD effect will decrease to zero. Available only when you choose All Vertices. When set to 0, it's effectively turned off, and there is no falloff. All vertices are affected regardless of how far they are from the lattice. The units of the Falloff parameter are actually specified relative to the size of the lattice. A falloff of 1 means that the effect will go to 0 for points that are a lattice width/length/height away from the lattice (depending on which side they are).

Tension/Continuity: Adjusts the tension and continuity of the deformation splines. Although you can't actually see the splines in an FFD, the lattice and control points represent the structure that controls the splines. As you adjust the control points, you alter the splines (which move through each of the points). The splines, in turn, deform the geometry of the object. By altering the tension and continuity of the splines, you alter their effect on the object.

Selection group

Provides additional methods of selecting the control points. You can toggle the state of any combination of the three buttons to select in one, two, or three dimensions at once.

All X, All Y, All Z: Selects all control points along the specified local dimension when you select a control point. By turning on two buttons, you can select all control points in two dimensions.

Control Points group

Reset: Returns all control points to their original positions.

Animate All: By default, the control points of an FFD lattice don't appear in Track View because they don't have controllers assigned to them. But when you animate a control point, a controller is assigned and it becomes visible in Track View. You can also add and delete keys and perform other key operations. Animate All assigns Point3 controllers to all control points so that they're immediately visible in Track View.

Conform to Shape: Moves each FFD control point to the intersection of the modified object with a straight line extending between the object's center to the control point's original location, plus an offset distance specified by the Offset spinner.

Note: Conform to Shape works best with regular shapes, such as primitives. It's less effective if the object has degenerate (long, narrow) faces or sharp corners. All the controls are unavailable with shapes, because there are no faces for the lattice to intersect with.

Inside Points: Only control points inside the object are affected by Conform to Shape.

Outside Points: Only control points outside the object are affected by Conform to Shape.

Offset: The distance by which control points affected by Conform to Shape are offset from the object surface.

About: Displays a dialog with copyright and licensing information.


Bend Modifier

Modify panel > Make a selection. > Modifier List > Parametric Modifiers > Bend

Make a selection. > Modifiers menu > Parametric Deformers > Bend

Bend applied to a streetlight model

The Bend modifier lets you bend the current selection up to 360 degrees about a single axis, producing a uniform bend in an object's geometry. You can control the angle and direction of the bend on any of three axes. You can also limit the bend to a section of the geometry.

Procedures

To bend an object:

  1. Select an object and click Modifiers rollout > Bend.

  2. On the Parameters rollout, set the axis of the bend to X, Y, or Z. This is the axis of the Bend gizmo, not the axis of the selected object.

  3. You can switch between axes at any time, but the modifier carries only one axis setting.

  4. Set the angle of the bend along the chosen axis.

    The object bends to this angle beginning at the lower limit, which is by default the location of the modifier's center.

  5. Set the direction of the bend.

    The object swivels around the axis.

    You can reverse angle and direction by changing a positive value to a negative value.

To limit the bend:

  1. Turn on Limit Effect in the Limits group.

  2. Set values for the upper and lower limits. These are distances in current units above and below the modifier's center, which is at zero on the gizmo's Z axis by default. You can make the upper limit zero or positive, and the lower limit zero or negative. If the limits are equal, the result is the same as turning off Limit Effect.

    The bend is applied between these limits. The surrounding geometry, while unaffected by the bend itself, rotates to keep the object intact. This is analogous to bending a pipe, where the unbent sections rotate but remain straight.

  3. At the sub-object level, you can select and move the modifier's center.

    The Limit settings remain on either side of the center as you move it. This lets you relocate the bend area to another part of the object.

Interface

Modifier Stack

Gizmo sub-object: You can transform and animate the gizmo like any other object at this sub-object level, altering the effect of the Bend modifier. Translating the gizmo translates its center an equal distance. Rotating and scaling the gizmo takes place with respect to its center.

Center sub-object: You can translate and animate the center at this sub-object level, altering the Bend gizmo's shape, and thus the shape of the bent object.

For more information on the stack display, see Modifier Stack.

Parameters rollout

Bend group

Angle: Sets the angle to bend from the vertical plane. Range=-999,999.0 to 999,999.0.

Direction: Sets the direction of the bend relative to the horizontal plane. Range=-999,999.0 to 999,999.0.

Bend Axis group

X/Y/Z: Specifies the axis to be bent. Note that this axis is local to the Bend gizmo and not related to the selected entity. Default=Z.

Limits group

Limit Effect: Applies limit constraints to the bend effect. Default=off.

Upper Limit: Sets the upper boundary in world units from the bend center point beyond which the bend no longer affects geometry. Default=0. Range=0 to 999,999.0.

Lower Limit: Sets the lower boundary in world units from the bend center point beyond which the bend no longer affects geometry. Default=0. Range=-999,999.0 to 0.


Taper Modifier

Modify panel > Make a selection. > Modifier List > Parametric Modifiers > Taper

Make a selection. > Modifiers menu > Parametric Deformers > Taper

The Taper modifier produces a tapered contour by scaling both ends of an object's geometry; one end is scaled up, and the other is scaled down. You can control the amount and curve of the taper on two sets of axes. You can also limit the taper to a section of the geometry.

Examples of default tapers

Interface

Modifier Stack

Gizmo: At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the Taper modifier. Translating the gizmo translates its center an equal distance. Rotating and scaling the gizmo takes place with respect to its center.

Center: At this sub-object level, you can translate and animate the center, altering the Taper gizmo's shape, and thus the shape of the tapered object.

For more information on the stack display, see Modifier Stack.

Parameters rollout

The Taper modifier provides two sets of axes and a symmetry setting in the Taper Axis group box of the Parameters rollout. As with other modifiers, these axes refer to the Taper gizmo, not the object itself.

Taper group

Amount: The extent to which the ends are scaled. Amount is a relative value with a maximum of 10.

Curve: Applies a curvature to the sides of the Taper gizmo, thus affecting the shape of the tapered object. Positive values produce an outward curve along the tapered sides, negative values an inward curve. At 0, the sides are unchanged. Default=0.

Taper Axis group

Primary: The central axis or spine of the taper: X, Y, or Z. Default=Z.

Effect: The axis, or pair of axes, indicating the direction of the taper from the primary axis. The available choices are determined by the choice of primary axis. The effect axis can be either of the two remaining axes, or their combination. If the primary axis is X, the effect axis can be Y, Z, or YZ. Default=XY.

Symmetry: Produces a symmetrical taper around the primary axis. A taper is always symmetrical around the effect axis. Default=off.

Limits group

The taper offset is applied between the upper and lower limits. The surrounding geometry, while unaffected by the taper itself, is moved to keep the object intact.

Limit Effect: Enables upper and lower limits for the taper effect.

Upper Limit: Sets the upper limit boundaries in world units from the taper center point, beyond which the taper no longer affects the geometry.

Lower Limit: Sets the lower limit boundaries in world units from the taper center point, beyond which the taper no longer affects the geometry.

Primary axis Effect axis

Effect of moving modifier center with limits set


Twist Modifier

Modify panel > Make a selection. > Modifier List > Parametric Modifiers > Twist

Make a selection. > Modifiers menu > Parametric Deformers > Twist

Left: Original model
Middle: A moderate twist
Right: An extreme twist

The Twist modifier produces a twist (like wringing out a wet rag) in an object's geometry. You can control the angle of the twist on any of three axes, and set a bias that compresses the twist effect relative to the pivot point. You can also limit the twist to a section of the geometry.

Note: When you apply the Twist modifier, the Twist gizmo's center is placed at the object's pivot point, and the gizmo lines up with the object's local axis.

Procedures

To twist an object:

  1. Select an object and apply Twist.

  2. On the Parameters rollout, set Twist Axis to X, Y, or Z. This refers to the axis of the Twist gizmo, not the axis of the selected object.

    You can switch between axes at any time, but only one axis setting is carried with the modifier.

  3. Set the angle of the twist. Positive values produce a clockwise twist, negative values a counterclockwise twist. An angle of 360 produces a complete revolution.

    The object twists to this amount beginning at the lower limit (by default, the location of the modifier's center).

  4. Set the bias of the twist.

    A positive value compresses the twist at the end away from the pivot point, a negative value toward the pivot point.

To limit the twist:

  1. Turn on Limits group > Limit Effect.

  2. Set values for the upper and lower limits. These are distances in current units above and below the modifier's center, which is at zero on the gizmo's Z axis. The upper limit can be zero or positive, the lower limit zero or negative. If the limits are equal, the result is the same as turning off Limit Effect.

    The twist offset is applied between these limits. The surrounding geometry, while unaffected by the twist itself, is moved to keep the object intact.

  3. At the sub-object level, you can select and move the modifier's center.

    The limit settings remain on either side of the center as you move it. This lets you relocate the twist area to another part of the object.

Interface

Modifier Stack

Gizmo: You can transform and animate the gizmo like any other object at this sub-object level, altering the effect of the Twist modifier. Translating the gizmo translates its center an equal distance. Rotating and scaling the gizmo takes place with respect to its center.

Center: You can translate and animate the center at this sub-object level, altering the Twist gizmo's shape, and thus the shape of the twisted object.

For more information on the stack display, see Modifier Stack.

Twist Parameters rollout

Twist group

Angle: Determines the amount of twist around the vertical axis. Default=0.0.

Bias: Causes the twist rotation to bunch up at either end of the object. When the parameter is negative, the object twists closer to the gizmo center. When the value is positive, the object twists more away from the gizmo center. When the parameter is 0, the twisting is uniform. Range=100 to -100. Default=0.0.

Twist Axis group

X/Y/Z: Specify the axis along which the twist will occur. This is the local axis of the Twist gizmo. Default=Z.

Limits group

Applies the twist effect only to vertices that lie between the lower and upper limits. The two spinners represent distance along the gizmo's Z axis (Z=0 is at the gizmo's center). When they are equal, it is the same as disabling the Twist effect.

Limit Effect: Applies limit constraints to the Twist modifier.

Upper Limit: Sets the upper limit for the twist effect. Default=0.

Lower Limit: Sets the lower limit for the twist effect. Default=0.


Noise Modifier

Modify panel > Make a selection. > Modifier List > Parametric Modifiers > Noise

Make a selection. > Modifiers menu > Parametric Deformers > Noise

The Noise modifier modulates the position of an object's vertices along any combination of three axes. This important animation tool simulates random variations in an object's shape.

Using a fractal setting, you can achieve random, rippling patterns, like a flag in the wind. With fractal settings, you can also create mountainous terrain from flat geometry.

Plane with no noise applied

Adding texture to the plane creates a calm sea.

Plane with fractal noise applied

Textured plane with noise creates a stormy sea.

Applying and Animating Noise

You can apply the Noise modifier to any kind of object. The Noise gizmo changes shape to help you visualize the effects of changing parameter settings.

Most of the Noise parameters have an animation controller. The only keys set by default are for Phase.

Procedures

To apply noise to an object:

  1. Select an object and apply the Noise modifier. To animate, move to a nonzero frame and turn on the Animate button.

  2. In the Parameters rollout > Strength group, increase Strength values along one or more of the three axes.

    You begin to see noise effects as the strength goes up.

  3. In the Noise group, adjust Scale. Lower values increase the dynamics of the Strength settings, making the effect more obvious. See Noise group, below, for other options.

    If you've animated this procedure, you can change parameters as the animation runs to see the effects.

    For another source of noise effects, go to the sub-object level of the Noise modifier and transform the gizmo and center of the modifier.

To create terrain effects:

When set for Fractal, the Noise modifier produces a random fractal noise that creates a variety of topological and terrain effects. You can animate these effects or use them to model static landscapes and other complex forms.

The following steps assume you begin with a broad object like a multi-segment box lying on the XY plane.

  1. Apply the Noise modifier to the object.

  2. In the Parameters rollout > Noise group, turn on Fractal.

    Roughness and Iterations settings are now available.

  3. Increase Strength on the Z axis and adjust other parameters.

    Once you have a base terrain, you can select sub-objects with Edit Mesh and apply Noise to grow mountains in a smaller region. You can also apply a second Noise modifier to amplify the first one.

Interface

Modifier Stack

Gizmo/Center: You can move, rotate, or scale the gizmo and center sub-objects to affect the noise. You can also animate the sub-object transforms.

For more information on the stack display, see Modifier Stack.

Parameters rollout

Noise group

Controls the appearance of the noise, and thus its effect on the physical deformations of the object. By default, the controls are inactive until you change the settings.

Seed: Generates a random start point from the number you set. Especially useful in creating terrain, because each setting can produce a different configuration.

Scale: Sets the size of the noise effect (not strength). Larger values produce smoother noise, lower values more jagged noise. Default=100.

Fractal: Produces a fractal effect based on current settings. Default=off.

If you turn on Fractal, the following options are available:

Roughness: Determines the extent of fractal variation. Lower values are less rough than higher values. Range=0 to 1.0. Default=0.

Iterations: Controls the number of iterations (or octaves) used by the fractal function. Fewer iterations use less fractal energy and generate a smoother effect. An iteration of 1.0 is the same as turning Fractal off. Range=1.0 to 10.0. Default=6.0.

Strength group

Controls the magnitude of the noise effect. No noise effect occurs until some strength is applied.

X, Y, Z: Set the strength of the noise effect along each of three axes. Enter a value for at least one of these axes to produce a noise effect. Default=0.0,0.0,0.0.

Animation group

Controls the shape of the noise effect by overlaying a sine wave for the noise pattern to follow. This keeps the noise within bounds, dampening random extremes. When Animate Noise is turned on, these parameters influence the overall noise effect. However, you can animate Noise and Strength parameters independently; these do not require Animate Noise to be on during animation or playback.

Animate Noise: Regulates the combined effect of Noise and Strength parameters. The following parameters adjust the underlying wave.

Frequency: Regulates the speed of the noise effect. Higher frequencies make the noise quiver faster. Lower frequencies produce a smoother and more gentle noise.

Phase: Shifts the start and end points of the underlying wave. By default, animation keys are set at either end of the active frame range. You can see the effect of Phase more clearly by editing these positions in Track View. Select Animate Noise to enable animation playback.


Push Modifier

Modify panel > Make a selection. > Modifier List > Parametric Modifiers > Push

Make a selection. > Modifiers menu > Parametric Deformers > Push

Increasing amounts of push applied to an object

The Push modifier lets you "push" object vertices outward or inward along the average vertex normals. This produces an "inflation" effect that you can't otherwise obtain.

Interface

Push Value: Sets the distance in world units by which vertices are moved with respect to the object center. Use a positive value to move vertices outward, or a negative value to move vertices inward.


Relax Modifier

Modify panel > Make a selection. > Modifier List > Parametric Modifiers > Relax

Make a selection. > Modifiers menu > Parametric Deformers > Relax

Relax moves the bowl away from its original contours

The Relax modifier changes the apparent surface tension in a mesh by moving vertices closer to, or away from, their neighbors. The typical result is that the object gets smoother and a little smaller as the vertices move towards an averaged center point. You can see the most pronounced effects on objects with sharp corners and edges.

When you apply Relax, each vertex is compared to the position of its neighboring vertices and moved toward or away from the average position of its neighbors. A neighboring vertex is one that shares a visible edge with the current vertex.

Patches

A patch object input to the Relax modifier retains its patch definition. Files that contain patch objects with the Relax modifier from previous versions of the software will be converted to meshes to maintain backward compatibility.

Original objects compared to relaxed objects

Setting the Relax Value

The Relax Value parameter controls how far a vertex moves for each iteration. The value specifies a percentage of the distance from the original location of a vertex to the average location of its neighbors:

  • Positive Relax Values: Moves each vertex in closer to its neighbors. The object becomes smoother and smaller.

  • Relax Value of 0.0: Vertices do not move and Relax has no affect on the object.

  • Negative Relax Values: Moves each vertex away from its neighbors. The object becomes more irregular and larger.

Relax Values=1.0, 0.0, -1.0
Iterations=1 (default)

Setting Iterations

The Iterations parameter sets how many times to repeat the Relax process. For each iteration, average locations are recalculated and the Relax Value is reapplied to every vertex.

  • For 0 iterations, no relax is applied.

  • Increasing iterations for positive relax values smoothes and shrinks an object. With very large iteration values, the object shrinks to a point.

  • Increasing iterations for negative relax values exaggerates and expands an object. With relatively few iterations. the object becomes jumbled and almost unusable.

Iterations=0, 10, 50
Relax Value=0.5 (default)

Iterations=0,1, 5
Relax Value=-0.5

Keeping Boundary Points Fixed

The Keep Boundary Pts Fixed check box controls whether vertices at the edges of open meshes are moved.

When on: Boundary vertices do not move while the rest of the object is relaxed. This option is particularly useful when working with multiple objects, or multiple elements within a single object, that share open edges.

When off: Relaxes all vertices of the object.

Keep Boundary Pts Fixed=on
Iterations=0, 10, 50

Keep Boundary Pts Fixed=off
Iterations=0, 10, 50

Interface

Relax Value: Sets the distance a vertex moves as a percentage of the distance between a vertex and the average location of its neighbors. Range=-1.0 to 1.0. Default=0.5.

Iterations: Sets how many times Relax is repeated. Each iteration recalculates average vertex locations based on the result of the previous iteration. Default=1.

Keep Boundary Pts Fixed: Vertices at the edge of open meshes do not relax. Default=on.

Save Outer Corners: Preserves the original positions of vertices farthest away from the object center.


Ripple Modifier

Modify panel > Make a selection. > Modifier List > Parametric Modifiers > Ripple

Make a selection. > Modifiers menu > Parametric Deformers > Ripple

The Ripple modifier lets you produce a concentric rippling effect in an object's geometry. You can set either of two ripples or a combination of both. Ripple uses a standard gizmo and center, which you can transform to increase the possible ripple effects.

Ripple modifier applied

Interface

Modifier Stack

Gizmo: At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the Ripple modifier. Translating the gizmo translates its center an equal distance. Rotating and scaling the gizmo takes place with respect to its center.

Center: At this sub-object level, you can translate and animate the center of the ripple effect, and thus the shape and positions of the ripples.

For more information on the stack display, see Modifier Stack.

Parameters rollout

Amplitude 1/ Amplitude 2: Amplitude 1 produces a ripple across the object in one direction, while Amplitude 2 creates a similar ripple at right angles to the first (that is, rotated 90 degrees about the vertical axis).

Wave Length: Specifies the distance between the peaks of the wave. The greater the length, the smoother and more shallow the ripple for a given amplitude.

Phase: Shifts the ripple pattern over the object. Positive numbers move the pattern inward, while negative numbers move it outward. This effect becomes especially clear when animated.

Decay: Limits the effect of the wave generated from its center. A default decay of zero means that the wave will generate infinitely from its center. Increasing the decay value reduces the distance over which the wave is generated.


Wave Modifier

Modify panel > Make a selection. > Modifier List > Parametric Modifiers > Wave

Make a selection. > Modifiers menu > Parametric Deformers > Wave

Tab panels > Modifiers tab > Wave Modifier

The Wave modifier produces a wave effect in an object's geometry. You can use either of two waves, or combine them. Wave uses a standard gizmo and center, which you can transform to increase the possible wave effects.

Wave modifier applied

Procedures

To wave an object:

  1. Select an object, go to the Modify panel, and choose Wave from the modifier list.

    Tip: To see the effect clearly, apply Wave to a broad, flat object that has many segments.

  2. Set one or both values for amplitude and the vertical height of the wave in current units.

    Amplitude 1 produces a sine wave from one edge to the other, while Amplitude 2 creates a wave between the opposite edges. Switching a value from positive to negative reverses the position of peaks and troughs.

  3. Set the length of the wave and the distance in current units between crests of both waves.

    The greater the length, the smoother and more shallow the wave for a given amplitude.

To add a phase effect:

  • Set a phase value to shift the wave pattern over the object. Positive numbers move the pattern in one direction, while negative numbers move them in the other. This effect is especially clear when animated.

To add a decay effect:

  • Set a decay value to increase or decrease the amplitude.

    A decay value decreases the amplitude as the distance from the center increases. As the Decay value increases, the wave is concentrated at the center and flattens until it disappears (completely decays).

Interface

Modifier Stack

Gizmo: At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the Wave modifier. Translating the gizmo translates its center an equal distance. Rotating and scaling the gizmo takes place with respect to its center.

Center: At this sub-object level, you can translate and animate the center, altering the Wave gizmo's shape, and thus the shape of the wavy object.

For more information on the stack display, see Modifier Stack.

Parameters rollout

Amplitude 1/Amplitude 2: Amplitude 1 produces a sine wave along the gizmo's Y axis, while Amplitude 2 creates a wave along the X axis (although peaks and troughs appear in the same direction with both). Switching a value from positive to negative reverses the positions of peaks and troughs.

Wave Length: Specifies the distance in current units between the crests of both waves.

Phase: Shifts the wave pattern over the object. Positive numbers move the pattern in one direction, while negative numbers move it in the other. This effect is especially clear when animated.

Decay: Limits the effect of the wave generated from its origin. A decay value decreases the amplitude at increasing distance from the center. As this value increases, the wave is concentrated at the center and flattened until it disappears (completely decays).

Phase effect on wave


Skew Modifier

Modify panel > Make a selection. > Modifier List > Parametric Modifiers > Skew

Make a selection. > Modifiers menu > Parametric Deformers > Skew

The Skew modifier lets you produce a uniform offset in an object's geometry. You can control the amount and direction of the skew on any of three axes. You can also limit the skew to a section of the geometry.

Skew modifier applied

Effect of moving modifier center with limits set

Procedures

To skew an object:

  1. Select an object, go to the Modify panel, and choose Skew from modifier list.

  2. On the Parameters rollout, set the axis of the skew to X, Y, or Z. This is the axis of the Skew gizmo, not the axis of the selected object.

    You can change the axis at any time, but only one axis setting is carried with the modifier.

  3. Set the amount of the skew. The amount is an offset in current units parallel with the axis.

    The object skews to this amount beginning at the lower limit, by default the location of the modifier's center.

  4. Set the direction of the skew.

    The object swivels around the axis.

    You can reverse the amount and direction by changing a positive value to a negative value.

To limit the skew:

  1. Turn on Limits group > Limit Effect.

  2. Set values for the upper and lower limits. These are distances in current units above and below the modifier's center, which is at zero on the gizmo's Z axis. The upper limit can be zero or positive, the lower limit zero or negative. If the limits are equal, the result is the same as turning off Limit Effect.

    The skew offset is applied between these limits. The surrounding geometry, while unaffected by the skew itself, is moved to keep the object intact.

  3. At the sub-object level, you can select and move the modifier's center.

    The limit settings remain on either side of the center as you move it. This lets you relocate the skew area to another part of the object.

Interface

Modifier Stack

Gizmo: At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the Skew modifier. Translating the gizmo translates its center an equal distance. Rotating and scaling the gizmo takes place with respect to its center.

Center: At this sub-object level, you can translate and animate the center of the Skew effect.

For more information on the stack display, see Modifier Stack.

Parameters rollout

Skew group

Amount: Sets the angle to skew from the vertical plane.

Direction: Sets the direction of the skew relative to the horizontal plane.

Skew Axis group

X/Y/Z: Specify the axis that will be skewed. Note that this axis is local to the Skew gizmo and not related to the selected entity. Default=Z.

Limits group

Limit Effect: Applies limit constraints to the Skew modifier. Default=off.

Upper Limit: Sets the upper limit boundaries in world units from the skew center point, beyond which the skew no longer affects the geometry. Default=0.

Lower Limit: Sets the lower limit boundaries in world units from the skew center point, beyond which the skew no longer affects the geometry. Default=0.


Slice Modifier

Select an object. > Modify panel > Modifier List > Parametric Modifiers > Slice

Select an object. > Modifiers menu > Parametric Deformers > Slice

Slice cuts through the cake

The Slice modifier lets you create a cutting plane that slices through a mesh, creating new vertices, edges and faces based on the location of the slice plane gizmo. The vertices can either refine or split the mesh according to the selected options.

The Slice modifier slices through groups, selected objects or sub-object selections of faces. It works similarly to the Editable mesh > Edge > Slice function but does not require the objects to be editable meshes. You can animate the cutting plane, changing its position and rotation over time. You can also use the Remove Top and Remove Bottom options to create the appearance and disappearance of objects by animating the Slice Plane gizmo.

Original object, object without top, and object without bottom, respectively

Multiple Slices

To create multiple slices in an object you need to apply multiple Slice modifiers. If the geometry doesn't need to remain parametric, you can collapse it into an editable mesh and use the Slice tool available under Editable Mesh (Edge). This tool is easier to use when you need to make multiple slices in an object, but it does not stay parametric.

Warning: Slice and Sub-Object Selections

You can use Slice on sub-object selection sets by slicing or removing only the selected faces. However, because selected faces are sliced and unselected adjacent faces are not, there may be "holes" in the mesh on the edge where the slice occurs. These holes can be problematic, creating discontinuities in smoothing. Holes are created only when Operate On Faces is active.

Procedure

Example: To animate the appearance of a teapot using the slice modifier:

  1. Create a teapot primitive. Set the viewport to wireframe.

  2. Apply a Slice modifier.

    The Slice Plane gizmo appears at the base of the teapot.

  3. On the stack display, choose the Slice Plane gizmo.

  4. Turn on the Animate button, and move the time slider to frame 100.

  5. Move the Slice Plane gizmo above the top of the teapot. Play the animation to verify that the slice plane is animated.

  6. Change the Slice type from Refine Mesh (the default) to Remove Top. Play the animation again.

  7. Make a copy of the teapot in the same position (click the Toolbar Array button, and set Array Dimensions > 1D Count to 2).

  8. Put a Wireframe material on the clone and change the Slice type on the clone to Remove Bottom.

  9. Play the animation.

    The wireframe teapot magically becomes a fully shaded one.

Interface

Modifier Stack

Slice Plane: At this sub-object level, you can transform and animate the gizmo like any other object to determine where the slice occurs. Scaling the gizmo has no effect, because its extents are effectively infinite. If you need to limit the extent of the slice, use it on a sub-object selection set of faces, rather than on the entire object.

For more information on the stack display, see Modifier Stack.

Slice Parameters rollout

Slice Type: Defines how the slice plane will affect the geometry to which it has been applied.

Refine Mesh: Adds new vertices and edges along the intersection of the geometry with the slicing plane. Faces cut by the plane are subdivided into new faces.

Split Mesh: Adds a double set of vertices and edges along the plane boundary producing two separate meshes (one on either side of the slice plane), which you can modify differently if desired. Use this to break a mesh in two.

Remove Top: Deletes all the faces and vertices above the Slice Plane.

Remove Bottom: Deletes all the faces and vertices below the Slice Plane.

Operate On: Choose one of these buttons to specify how the slice handles quads and other polygons.

Faces: Treats the selection set as a set of triangular faces, slicing each one in turn.

Polygons: Converts the object to a polygon mesh based on visible edges, eliminating hidden edges.

Operate on Face vs. Operate on Polygon


Affect Region Modifier

Modify panel > Make a selection. > Modifier List > Parametric Modifiers > Affect Region

Make a selection. > Modifiers menu > Parametric Deformers > Affect Region

The Affect Region modifier lets you use a two-part, arrow-shaped gizmo plus numeric controls to translate an area of vertices to form a bubble or indentation over the surface of an object. The easiest way to see this modifier's effect is with a shallow, flat box object with plenty of subdivisions.

When you apply the Affect Region modifier, it assigns an arrow-like gizmo consisting of two points connected by a line. The base of the arrow is the start point. The length and direction of the arrow defines the amount of movement of the vertices. Any vertices within Falloff distance of the base of the arrow are translated in the direction of the arrow.

Because no points on the mesh are directly selected, this modifier doesn't depend on the topology of the input object. You can apply it to any object. However, you can limit the effect by using a selection modifier like Mesh Select or Volume Select to pass a sub-object selection up the stack.

Note: The Affect Region modifier is ideal for simple animated effects, especially when you need to use interactive parameters. However, for fine-tuned modeling, you'll probably prefer the expanded capabilities of Soft Selection in Editable Mesh, Edit Mesh, Mesh Select and Volume Select.

Affect Region modifier applied

Affect Region modifier on a helix

Procedure

Example: To form a bubble over the surface of a box:

  1. Create a box with 15 height, width, and length segments.

  2. Set the length, width, and height of the box to 50 units.

  3. Apply the Affect Region modifier.

  4. In the Parameters group, set Falloff to 50.

  5. Adjust the parameters to achieve different effects.

Interface

Note: The parameters of this modifier are similar to those of the Soft Selection function in Editable Mesh.

Modifier Stack

Point sub-object level: At this sub-object level, the base and tip of the gizmo arrow are points that can be selected. You can select, translate, and animate these two points together or individually.

For more information on the stack display, see Modifier Stack.

Parameters rollout

Parameters group

Falloff: Sets the radius of affected vertices, in units, from the base of the gizmo arrow. (Spinner value range: float, 0.0 to 999,999.0)

Ignore Back Facing: Affects only those vertices whose face normals are in the same general direction as the gizmo arrow. When turned off, all vertices in the Falloff group are affected.

Curve group

Pinch: Affects the tangency of the curve where it meets the arrow tip. Positive values produce a pointed tip while negative values produce a dimple. (Spinner value range: float, -999,999.0 to 999,999.0)

Bubble: Changes the curvature of the affected vertices. A value of 1.0 produces a half-dome. As you reduce this value, the sides of the dome slope more steeply. Negative values lower the base of the curve below the base of the arrow gizmo. (Spinner value range: float, -999,999.0 to 999,999.0)


Mirror Modifier

Modify panel > Make a selection. > Modifier List > Parametric Modifiers > Mirror

Make a selection. > Modifiers menu > Parametric Deformers > Mirror

Mirroring a bench

The Mirror modifier provides a parametric method of mirroring an object or a sub-object selection. You can apply the Mirror modifier to any type of geometry, and you can animate the mirror effect by animating the modifier's gizmo.

Procedure

To apply the mirror modifier to an object:

  1. Apply the Mirror modifier to a selection.

  2. Set the axis or axis pair on which to mirror the object.

  3. To create a mirrored pair, specify an Offset amount and turn on Copy.

Interface

Modifier Stack

Mirror Center: Represents the axis of the mirror effect. You can move, rotate or scale the gizmo to affect the mirroring. You can animate the gizmo transforms, which you can't do with the toolbar Mirror.

For more information on the stack display, see Modifier Stack.

Parameters rollout

Mirror Axis group

X, Y, Z, XY, YZ, ZX: Specify the axis or axes about which the mirroring takes place. You can usually see the effect in the viewport as you select the option.

Options group

Offset: Specifies the offset, in units, from the mirror axis. This is an animatable parameter.

Copy: Copies the geometry rather than simply mirroring it.

Note: The Copy option affects only geometry with triangular meshes.


Displace Modifier

Modify panel > Make a selection. > Modifier List > Parametric Modifiers > Displace

Make a selection. > Modifiers menu > Parametric Deformers > Displace

Displace used to change the surface in the container

The Displace modifier acts as a force field to push and reshape an object's geometry. You can apply its variable force directly from the modifier gizmo, or from a bitmapped image. There are two basic ways to use this modifier:

  • Apply displacement effects directly by setting Strength and Decay values.

  • Apply the grayscale component of a bitmapped image to generate the displacement. Lighter colors in the 2D image push outward more strongly than darker colors, resulting in a 3D displacement of the geometry.

Left: Bitmap displacement on a patch and the bitmap used.
Right: Terrain effects using Displace

Force Distribution

Displace distributes its force through four different gizmos: Planar, Cylindrical, Spherical, and Shrink Wrap. Gizmos are also used as mapping coordinates for applying bitmaps. Sphere and Shrink Wrap have the same effect when modeling, but differ in the way they map.

The Spherical and Shrink Wrap gizmos begin with a uniform field around them. The Cylinder and Planar gizmos are both directional. Cylinder pushes at right angles to its axis, and Planar pushes at right angles to its surface.

By default, gizmos are centered on the object. However, you can transform any of these shapes and use it directly as a tool to deform the geometry of an object.

Modeling Options

Displace is a versatile modifier with many possible applications. Here are some options:

  • Produce interior modeling effects by scaling down the gizmo and moving it inside the object. The outward force shapes the geometry from within.

  • Animate the modeling process. One result is a roving, magnetic-like field that pushes and pulls on a surface.

  • Add additional Displace modifiers to an object, using each one to create a different modeling effect.

  • Collapse a finished model into a plain mesh. This reduces the object's complexity and removes all modifiers, but keeps the modeled surface intact.

Procedures

To displace an object:

  1. Select an object and apply the Displace modifier.

  2. In the Parameters rollout > Map group, select one of the four gizmo types.

  3. In the Displacement group, set values for Strength and Decay. Vary these settings to see the effect of the displacement on the object.

    Depending on the object and the complexity of the bitmap, you might need to use dense geometry to see the effect clearly. Try a test run and, if necessary, add tessellation in the areas of greatest detail.

To apply a bitmap as a displacement map:

  1. In the Parameters rollout > Displacement group, click the Bitmap button (which is labeled "None" until a map has been chosen). Use the selection dialog to choose a bitmap.

  2. Set the Strength value. Vary the strength of the field to see the effect of the bitmap displacing the object's geometry.

    After you get the image you want from bitmapped displacement, you can apply an Optimize modifier to reduce the complexity of the geometry.

To model with the displace modifier:

  1. Apply Displace to the object you want to model. Choose a gizmo on the Map rollout.

  2. Increase the Strength setting until you begin to see a change in the object.

  3. Scale, rotate, and move the gizmo to concentrate the effect. As you do this, adjust the Strength and Decay settings to fine-tune the effect.

Interface

Displacement group

Strength: When set to 0.0, Displace has no effect. Values greater than 0.0 displace object geometry away from the position of the gizmo. Values less than 0.0 displace geometry toward the gizmo. Default=0.0.

Decay: Varies the displacement strength with distance.

By default, Displace has the same strength throughout world space. Increasing Decay causes the displacement strength to diminish as distance increases from the position of the Displace gizmo. This has the effect of concentrating the force field near the gizmo, similar to the field around a magnet repelling its opposite charge. Default=0.0.

Luminance Center: Determines which level of gray Displace uses as the zero displacement value.

By default, Displace centers the luminance by using medium (50 percent) gray as the zero displacement value. Gray values greater than 128 displace in the outward direction (away from the Displace gizmo) and gray values less than 128 displace in the inward direction (toward the Displace gizmo). Use the Center spinner to adjust the default. With a Planar projection, the displaced geometry is repositioned above or below the Planar gizmo. Default=0.5. Range=0-1.0.

Image group

Lets you choose a bitmap and map to use for displacement. Both are assigned and removed in the same way.

Bitmap button: Assigns a bitmap or map from a selection dialog. After you make a valid choice, these buttons display the name of the bitmap or map.

This button is labeled "None" until you choose a map.

Remove Bitmap/Map: Removes the bitmap or map assignment.

Blur: Blurs or softens the effect of the bitmapped displacement by increasing the value.

Map group

Contains mapping parameters for bitmapped displacement. See UVW Map Modifier.

The four mapping modes control how Displace projects its displacement. The type of Displace gizmo and its location in the scene determine the final effect.

Displace gizmos: Planar, Cylindrical, Spherical, and Shrink Wrap

Planar: Projects the map from a single plane.

Cylindrical: Projects the map as if it were wrapped around the cylinder. Turn on Cap to project a copy of the map from the ends of the cylinder.

Spherical: Projects the map from a sphere, with singularities at the top and bottom of the sphere where the bitmap edges meet at the sphere's poles.

Shrink Wrap: Projects the map from a sphere, as Spherical does, but truncates the corners of the map and joins them all at a single pole, creating only one singularity at the bottom.

Length, Width, Height: Specifies the dimensions of the Displace gizmo's bounding box. Height has no effect on Planar mapping.

U/V/W Tile: Sets the number of times the bitmap repeats along the specified dimension. The default value of 1.0 maps the bitmap exactly once; a value of 2.0 maps the bitmap twice, and so on. Fractional values map a fractional portion of the bitmap in addition to copies of the whole map. For example, a value of 2.5 maps the bitmap two and a half times.

Flip: Reverses the orientation of the map along the corresponding U, V, or W axis.

Use Existing Mapping: Has Displace use the UV mapping set earlier in the stack. This has no effect if the object is not mapped.

Apply Mapping: Applies the Displace UV mapping to the bound object. This lets you apply material maps to the object using the same mapping coordinates as the modifier.

Channel group

Specifies whether to apply the displacement projection to a mapping channel or a vertex color channel, and which channel to use. For more information on these channels, see UVW Map Modifier.

Map Channel: Choose this to specify a UVW channel to use for the mapping, and use the spinner to its right to set the channel number.

Vertex Color Channel: Choose this to use the vertex color channel for the mapping.

Alignment group

Contains controls for adjusting the mapping gizmo's size, position, and orientation.

X, Y, Z: Flips the alignment of the mapping gizmo along its three axes.

Fit: Scales the gizmo to fit the object's bounding box.

Center: Centers the gizmo relative to the object's center.

Bitmap Fit: Displays a Select Bitmap dialog. The gizmo is scaled to fit the aspect ratio of the bitmap you select.

Normal Align: Turns on Pick mode to let you select a surface. The gizmo is aligned to the normal of that surface.

View Align: Orients the gizmo in the same direction as the view.

Region Fit: Turns on Pick mode to let you drag two points. The gizmo is scaled to fit the specified area.

Reset: Returns the gizmo to its defaults.

Acquire: Turns on Pick mode to let you choose another object and acquire its Displace gizmo settings.


XForm Modifier

Modify panel > Make a selection. > Modifier List > Parametric Modifiers > XForm

Make a selection. > Modifiers menu > Parametric Deformers > XForm

Use the XForm (short for Transform) modifier to apply transformations (Move, Rotate, Scale) to objects. The Xform modifier has two main functions:

  • To animate transformations of a sub-object selection. You can also animate the position of the modifier's center.

  • To transform an object at any point in the stack.

Note: The Linked XForm modifier is a variant of XForm. Linked XForm has no gizmo or center of its own. Instead, a given selection is "linked" to another object, which supplies its gizmo and center. Using Linked XForm, you can link a sub-object selection directly to the coordinate system of another object.

Using XForm

XForm provides a gizmo and center for any geometry it receives from the stack whether it's a sub-object selection or the whole object. XForm has no parameters. When you move the XForm modifier gizmo, the center moves with it, along with the geometry.

You can reposition the XForm center separately from the gizmo.

Offsetting XForm Center

When you switch the Selection Level to the XForm center, only the Move transform is available. This lets you reposition the center. When you return to the Gizmo level, you can rotate or scale the selection around the offset center. The center position and gizmo transformations are all animatable.

Scaling with XForm

When you scale an object from the toolbar, the effect is applied to the object after all the modifiers in the stack. In some cases you might want to squash or stretch an object before applying geometric or edit modifiers. XForm makes this possible.

By applying XForm and scaling its gizmo, you can place the scaling operation anywhere in the stack.

Using XForm with Volume Select

You can combine the XForm and Volume Select modifiers to animate sub-object selections. This combination makes it possible to animate both the effect of a modifier on the selection (Volume Select) and a transformation of that selection (XForm).

Procedures

To use the XForm modifier:

  1. Choose a location in an object's stack and apply the XForm modifier.

    Sub-object selection is automatically turned on, with the gizmo highlighted. All transform buttons are available on the toolbar.

  2. Move to a nonzero frame and turn on the Animate button to animate the next step.

  3. Transform the gizmo.

    As you transform the gizmo, the selected geometry is transformed with it.

To use XForm as a scaling modifier:

  1. Apply XForm to an object or a sub-object selection.

  2. Scale the gizmo.

    The rescaled geometry becomes "part of the stack" because the scale transform is carried with XForm, instead of being applied after the modifiers.

Interface

This modifier has no parameters, but you can transform the XForm gizmo and the XForm center. If you switch the selection level to the XForm center, only the Move transform is available. This lets you offset the center and transform the gizmo around it. Both offset and gizmo transformations are animatable.


Preserve Modifier

Modify panel > Make a selection. > Modifier List > Parametric Modifiers > Preserve

Make a selection. > Modifiers menu > Parametric Deformers > Preserve

The Preserve modifier lets you retain, as much as possible, the edge lengths, face angles, and volume of an edited and deformed mesh object using an unmodified copy of the object before it was deformed. When you push and pull vertices at the sub-object level, the process typically stretches the edges and often alters the face angles, resulting in irregular topology. You can use the Preserve modifier to generate more regular edge lengths, and a "cleaner" mesh.

Steps in applying Preserve modifier to GeoSphere (see the following procedures)

Procedures

Example: Using the preserve modifier:

  1. Create an object. Before you edit it, create a copy.

  2. Edit the copy at the sub-object level, pushing and pulling vertices, faces, and so on.

  3. Apply the Preserve modifier to the copy, click the Pick Original button, and then select the original, unmodified object.

  4. Adjust controls in the Preserve modifier to fine-tune the mesh.

Example: Use the preserve modifier on a GeoSphere:

  1. Create a GeoSphere and use Shift-Move to make a copy of it.

    Tip: If you want to see the effect of Preserve on mapping, apply a checker-mapped material to the sphere and display it in the viewports before making the copy.

  2. Convert the copy to an editable mesh.

  3. At the Vertex sub-object level, select a third of the vertices at the top of the sphere, and move them upward (as seen from the front) about one radius in distance.

    Notice the stretched edges between the moved vertices and the remaining vertices.

  4. While still at the Vertex sub-object level, apply the Preserve modifier.

  5. Click the Pick Original button, and then select the original (unedited) sphere.

    The selected vertices move back toward the sphere in an attempt to maintain the original volume and edge lengths.

  6. Turn on Invert Selection.

    The selected vertices return to their moved position, and the unselected vertices (the inverted selection) move up toward the selected vertices.

  7. Turn off Invert Selection and slowly reduce the Iterations to 0.

    The object now looks as it did before you applied Preserve.

  8. Increase Iterations to the default 25, and then increase it to approximately 75.

    The object is now almost completely spherical again.

  9. Set Iterations back to 25, and then try different Edge Lengths, Face Angles, and Volume settings. (You can restore the defaults by settings Edge Lengths to 1.0, and Face Angles and Volume to 0.3.

Example: Animating a preserved object:

You can animate the Preserve parameters, but the following procedure shows you how to use Morph and Preserve together.

  1. Remove the Preserve modifier from the copied sphere, and go to object level (instead of sub-object level).

  2. With the copied (and deformed) sphere still selected, choose Create panel > Compound Objects > Morph to make it into a Morph object.

  3. Make sure Instance is chosen in the Pick Targets rollout.

  4. At frame 0, click Pick Target, and then select the original sphere.

  5. In the Modify panel, go to frame 100, select sphere02 in the Morph Targets list, and click Create Morph Key.

    The object now morphs from a sphere to a deformed sphere.

  6. Apply Preserve to the morph object.

  7. Click Pick Original, and select the original sphere.

    The object now morphs from the sphere to a preserved and deformed sphere. Note that because the object selection is passed up the stack, the Preserve effect is applied to the entire sphere.

  8. Choose Selected Verts Only in the Selection group.

    Now, only the selected vertices are affected by Preserve. The morph still works, however.

Example: Using the selection check boxes:

  1. Reset the program, create a box, and convert it to an editable mesh.

  2. Use Shift-Move to make a copy.

  3. Use the Modify panel to select the top four vertices in the second box. Move them upward in Z, making the copied box taller than the original.

  4. Apply Preserve, and pick the first box as the original.

    The selected vertices move down to match the original edge lengths.

  5. Set Iterations to 0 to move the vertices back up, then turn on Invert Selection, and set iterations back up to 25.

    The selected vertices stay in their original locations, but the unselected vertices move upward to restore the original edge lengths.

  6. Turn Iterations back down to 0. Turn on Apply To Whole Mesh (Invert Selection becomes unavailable), and then turn Iterations back up to 25.

    Preserve is now applied to the whole mesh. Since all vertices are affected, the top and bottom of the box approach each other.

  7. Turn off Apply To Whole Mesh.

    All vertices are translated, but maintain the same positions relative to each other.

  8. Turn off Invert Selection and turn on Selected Verts Only.

    You're back to the original effect. You can move the Iterations spinner up and down to see that you're affecting only the selected vertices.

Example: Simulating cloth:

  1. Reset the program, create a Quad Patch Grid, and convert it to an editable mesh.

  2. Make a copy, and then make a reference of the copy.

  3. Apply Preserve to the third patch, using the first as the original.

  4. Select Selected Verts Only and Invert Selection.

  5. Set Iterations to 100.

  6. Select the second patch and go to the Sub-Object > Vertex level.

  7. Select a single vertex in the middle of the patch and move it upward in Z.

    The third patch becomes a floating handkerchief.

  8. Undo the vertex move.

  9. Select the far two corner vertices of the second patch, and drag them upward in Z.

    Now, you've got the beginnings of a sheet hanging on the line.

Interface

Original: Displays the name of the selected original object. (Note that the so-called "original" object doesn't actually have to be the original. It's simply a copy of the object that represents its unmodified topology.)

Pick Original: Click this, and then select an unmodified copy of the current object. You should pick an object with the same topology as the current object, which has the same number of vertices. While you can select a completely different object with equal vertices, the results are unpredictable.

Iterations: Specifies the number of calculations toward the solution. The higher this number, the closer the object comes to matching the original object and the slower the process. When this is set to zero, the original object has no effect, as if the Preserve modifier were never applied.

Preservation Weights group

Edge Lengths, Face Angles, Volumes: Adjusts the relative importance of the three components you're attempting to preserve: edge lengths, face angles, and volume. In most cases, you'd leave these at their default settings, but you can achieve some interesting effects by altering them. Higher face angles, for example, produce stiffer meshes.

Selection group

Provides options that let you specify which selection level to take from previous selection modifiers in the stack. The Preserve modifier acts on the specified selection.

Apply to Whole Mesh: Applies Preserve to the entire object, regardless of the selection passed from previous levels of the stack. Disables the other two check boxes.

Selected Verts Only: Uses previous sub-object vertex selections. Note that it doesn't matter if the Vertex sub-object level is active in a previous stack item. As long as vertices have been selected, Preserve will use that selection.

Invert Selection: Inverts the selection passed up the stack.

Note: If all of the check boxes are turned off, Preserve uses whatever active selection is passed up the stack. Thus, if a Mesh Select modifier is set to the Vertex level, then that vertex selection is used. If the same Mesh Select modifier is set to the top (object) level, then the entire object is affected.


Material Modifier

Select an object. > Modify panel > Modifier List > Surface Modifiers > Material

Figure mapped using a multi/sub-object material

The Material modifier allows you to animate, or simply change, the assignment of material IDs on an object. If the material ID is animated, the change to a new material ID is abrupt, from one frame to the next.

Use this modifier in conjunction with the multi/sub-object material type, to assign different materials to objects or faces at different frames of an animation, or to quickly change the material ID of an object.

See also

Multi/Sub-Object Material

Editable Mesh

Patches

Patch objects coming up the modifier stack are not converted to a mesh by this modifier. A patch object input to the Material modifier retains its patch definition.

Interface

Material ID: Sets the material ID to be assigned; this can be animated. If the input object is in face sub-selection, then the ID is only applied to selected faces; otherwise, it is applied to the entire object. The ID number refers to one of the materials in a multi/sub-object material.


Turn To Poly Modifier

Make a selection. > Modify panel > Modifier List > Conversion Modifiers > Turn to Poly

The Turn To Poly modifier lets you apply object conversions in the modifier stack. Also, when you apply the general-purpose modifiers, such as Normal, Material, or UVW Map, it will be helpful to explicitly control the type of object beforehand.

When you use Turn To Poly, you're joining triangles into polygons, so you might need to have restrictions on polygon convexity, size, and planarity. All conversions from patches produce quads and triangles. Conversions from meshes can produce arbitrarily large polygons. Mesh polygons are controlled as usual by joining together faces that are separated by invisible edges.

Note: Converting from one object type to another causes a complete caching in the modifier stack. When you have large objects in your scene, this can take up a lot of space. For example, an object that starts as a mesh, converts to a patch, and then back to a mesh takes 3 times as much space as a mesh which just has ordinary modifiers like Bend or UVW Map applied.

Tip: Turn To Poly can be useful on polymeshes, allowing you to invert a selection or change the selection level in a modifier that doesn't depend on topology.

Procedure

Example: To prevent interior vertices from being passed up the stack:

  1. Create an NGon in wireframe mode: Create panel > Shapes > Splines > Object Type rollout > NGon.

  2. Convert the NGon to an editable mesh by right-clicking the stack display and choosing Convert to > Editable Mesh.

  3. In the stack display (or in the Selection rollout), choose the Polygon sub-object mode.

  4. Choose Edit > Object Properties to display the Object Properties dialog.

  5. Turn on Vertex Ticks. Choose OK to close the dialog.

  6. Click Cut under the Edit Geometry rollout, and make a cut from one side of the NGon to the other. Notice that an interior vertex now exists.

    Note: Doing this on an Ngon doesn't always generate an interior vertex.

  7. Apply the Turn To Poly modifier: Modify panel > Modifier List > Turn To Poly. Notice the interior vertex clears.

Interface

Parameters rollout

Keep Polygons Convex: Does not join across edges if the resulting polygon would not be convex. "Convex" means that you can connect any two points in the polygon with a line that doesn't go outside the polygon. A polygon is not convex if you can draw a line between vertices and that line lays outside of the polygon.

Problems that can occur with non-convex polygons include the fact that changes in the geometry of the input object can result in a different topology for the Turn To Poly result. For instance, in a box, if you drag one of the top corners across the middle of the top face, the box becomes non-convex. Turn To Poly would then see this as two triangles instead of one quad, and the number of points in the result would change.

Limit Polygon Size: Limits the number of sides to a polygon so that the surface is better defined. For example, you might want to produce a polymesh of triangles and quads, or one composed of all triangles, rather than joining together more than two triangles into pentagons, hexagons, and so on.

Max Size: The maximum number of sides to a polygon.

Require Planar Polygons: Creates polygons composed of flat planes. Does not join faces together across an edge if the edge has a sharper angle than the threshold listed.

Threshold: Controls the threshold of the angle between polygonal planes.

Remove Mid-Edge Vertices: Eliminates divisions that result from intersections with invisible edges.

Sub-object Selections group

These options control the selection of sub-objects.

Preserve: Passes the sub-object selection up the stack. For example, if you have an object that you have converted to an editable mesh, and you've selected a polygon, then when you apply a Turn To Poly modifier, the polygon remains selected. Default=on.

Clear: Clears the sub-object selection so that nothing is selected. Default=off.

Invert: Inverts the sub-object selection. All sub-objects not currently selected are selected, and all sub-objects currently selected are deselected. Default=off.

Include Soft Selection: Affects the action of sub-object Move, Rotate, and Scale functions. When these are on, gmax applies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect, with a sphere of influence around the transformation. Use this when you want to preserve the soft selection from beneath. For example, if Use Soft Selection is on when you select vertices on an editable mesh, and you apply Turn To Poly with Include Soft Selection on, then the same soft selection will apply to the polymesh vertices. Default=on.

For more information, see Soft Selection Rollout.

Selection Level group

These options set the sub-object selection level for passing up the rest of the stack.

From Pipeline: Uses the equivalent of whatever the input object uses (patch level becomes face level, and so on.). For example, if you create a box, convert it to an editable mesh in face mode, and apply a Turn To Poly modifier to it, gmax passes a sub-object selection in face mode up the stack. The Turn To Poly modifier takes the sub-object face selection into account and selects the polygons that derive from the face selection.

Object: Uses object as the selection level for passing up the rest of the stack.

Edge: Uses edge as the sub-object selection level for passing up the rest of the stack.

Vertex: Uses vertex as the sub-object selection level for passing up the rest of the stack.

Face: Uses face as the sub-object selection level for passing up the rest of the stack.


Turn To Patch Modifier

Make a selection. > Modify panel > Modifier List > Conversion Modifiers > Turn to Patch

The Turn To Patch modifier lets you apply object conversions in the modifier stack. Using the Turn To Patch modifier, you can fine-tune the conversion process such as turning quads into quad patches.

Note: Converting from one object type to another causes a complete caching in the modifier stack. When you have large objects in your scene, this can take up a lot of space. For example, an object that starts as a mesh, converts to a patch, and then back to a mesh takes 3 times as much space as a mesh which just has ordinary modifiers like Bend or UVW Map applied.

Tip: Turn To Patch can be useful on patches, allowing you to invert a selection or change the selection level in a modifier that doesn't depend on topology.

Procedures

Example: To collapse to quad patches:

  1. Create a box.

  2. Apply a Turn To Patch modifier: Modify panel > Modifier List > Turn To Patch.

  3. Right-click the stack display and choose Collapse All.

    Add an Edit Patch modifier to move the patch vertices.

Interface

Quads to Quad Patches: Turns quad faces in meshes or polymeshes into quad patches.

Note: When you turn this option off, gmax triangulates quads when the Turn To Patch modifier is applied to a mesh or poly object.

Sub-object Selections group

These options control the selection of sub-objects.

Preserve: Passes the sub-object selection up the stack. For example, if you have an object that you have converted from an editable mesh, and you've selected a polygon, then when you apply a Turn To Patch modifier, the patch, which is derived from the selected polygon, remains selected. Default=on.

Clear: Clears the sub-object selection so that nothing is selected. Default=off.

Invert: Inverts the sub-object selection. All sub-objects not currently selected are selected, and all sub-objects currently selected are deselected. Default=off.

Include Soft Selection: When these are on, gmax applies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect, with a sphere of influence around the transformation. Use this when you want to preserve the soft selection from beneath. For example, if Use Soft Selection is on when you select vertices on an editable mesh, and you apply Turn To Patch with Include Soft Selection on, then the same soft selection will apply to the patch vertices.

For more information, see Soft Selection Rollout. Default=on.

Selection Level group

These options set the sub-object selection level for passing up the rest of the stack.

From Pipeline: Uses the equivalent of whatever the input object uses (patch level becomes face level, and so on.). For example, if you create a box, convert it to an editable mesh in face mode, and apply a Turn To Patch modifier to it, gmax passes a sub-object selection in patch mode up the stack. The Turn To Patch modifier takes the sub-object face selection into account and selects the patches that derive from the face selection.

Object: Uses object as the selection level for passing up the rest of the stack.

Edge: Uses edge as the sub-object selection level for passing up the rest of the stack.

Vertex: Uses vertex as the sub-object selection level for passing up the rest of the stack.

Patch: Uses patch as the sub-object selection level for passing up the rest of the stack.


Turn To Mesh Modifier

Make a selection. > Modify panel > Modifier list > Conversion Modifiers > Turn to Mesh

The Turn To Mesh modifier lets you apply object conversions in the modifier stack. As another example, you could use this modifier on a sophisticated patch mode to which you might want to apply some tool, which only applies to meshes, or turn the patch into a mesh. Also, when you apply the general-purpose modifiers, such as Normal, Material, or UVW Map, it will be helpful to explicitly control the type of object beforehand.

Note: Converting from one object type to another causes a complete caching in the modifier stack. When you have large objects in your scene, this can take up a lot of space. For example, an object that starts as a mesh, converts to a patch, and then back to a mesh takes 3 times as much space as a mesh which just has ordinary modifiers like Bend or UVW Map applied.

Tip: Turn To Mesh can be useful on meshes, allowing you to invert a selection or change the selection level in a modifier that doesn't depend on topology.

Procedure

Example: To translate a patch sub-object selection to a polygon sub-object selection:

  1. Select a patch model and turn on wireframe mode.

  2. In the stack display, choose the Patch sub-object level.

  3. Select a patch on the model.

  4. Apply the Turn To Mesh modifier from the Modifier list.

  5. In the stack display, right-click the Turn To Mesh modifier and choose Collapse All.

  6. Click Yes in the dialog that warns you about the possibility of undesirable topological effects.

  7. In the stack display (or in the selection rollout), choose the Polygon sub-object mode. The original patch selection has been preserved.

Interface

Parameters rollout

Use Invisible Edges: When on, uses invisible edges to represent polygons. When off, produces a completely triangulated mesh with all visible edges. Default=on.

Sub-object Selections group

These options control the selection of sub-objects.

Preserve: Passes the sub-object selection up the stack. For example, if you have an object that you have converted to an editable mesh, and you've selected a polygon, then when you apply a Turn To Mesh modifier, the polygon remains selected. Default=on.

Clear: Clears the sub-object selection so that nothing is selected. Default=off.

Invert: Inverts the sub-object selection. All sub-objects not currently selected are selected, and all sub-objects currently selected are deselected. Default=off.

Include Soft Selection: Affects the action of sub-object Move, Rotate, and Scale functions. When these are on, gmax applies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect, with a sphere of influence around the transformation. Use this when you want to preserve the soft selection from beneath. For example, if Use Soft Selection is on when you select vertices on an editable poly, and you apply Turn To Mesh with Include Soft Selection on, then the same soft selection will apply to the mesh vertices. Default=on.

For more information, see Soft Selection Rollout.

Selection Level group

These options set the sub-object selection level for passing up the rest of the stack.

From Pipeline: Uses the equivalent of whatever the input object uses (patch level becomes face level, and so on.). For example, if you create a box, convert it to an editable patch in patch mode, and apply a Turn To Mesh modifier to it, gmax passes a sub-object selection in patch mode up the stack. The Turn To Mesh modifier takes the sub-object patch selection into account and selects the mesh faces that derive from the patch selection.

Object: Uses object as the selection level for passing up the rest of the stack.

Edge: Uses edge as the sub-object selection level for passing up the rest of the stack.

Vertex: Uses vertex as the sub-object selection level for passing up the rest of the stack.

Face: Uses face as the sub-object selection level for passing up the rest of the stack.


Patch Grids

Create panel > Geometry > Patch Grids

You can create two kinds of patch surfaces in grid form: Quad Patch and Tri Patch. Patch grids begin as flat plane objects but can be modified into arbitrary 3D surfaces by either using an Edit Patch modifier or collapsing the grid’s modifier stack down to an Editable Patch in the Modify panel.

Patch grids provide convenient "building material" for custom surfaces and objects, or for adding patch surfaces to existing patch objects.

You can animate the surface of a Patch object using various modifiers such as the Flex and Morph modifiers. Control vertices and tangent handles of a patch surface can be animated at the Editable Patch level.

Surface Tools

The output of the Surface modifier is a Patch object. Patch objects offer a flexible alternative to mesh modeling and animation.

Quad patch and tri patch

Editable Patches

You can convert a basic patch grid to an editable patch object. The editable patch has a variety of controls that let you directly manipulate it and its sub-objects. For example, at the Vertex sub-object level, you can move vertices or adjust their Bezier handles. Editable patches let you create surfaces that are less regular, more free-form than the basic, rectangular patches.

When you convert a patch to an editable patch, you lose the ability to adjust or animate its creation parameters.

See also

Edit Modifiers and Editable Objects

Modifying at Sub-Object Level

Modifier Stack

Procedure

To create a patch grid:

  1. On the Create panel > Geometry > Patch Grids > Object Type rollout, click either Quad Patch or Tri Patch.

  2. Drag over any viewport to create a patch.

Interface

AutoGrid: Uses surface normals as a plane to create patches. Click a patch type and then click and drag the cursor over a face in the viewports.

Quad Patch

Tri Patch


Quad Patch

Create Panel > Geometry > Patch Grids > Quad Patch

Quad Patch creates a flat grid with a default of 36 visible rectangular facets. A hidden line divides each facet into two triangular faces for a total of 72 faces.

Quad and Tri Patch

Procedures

To create a patch grid:

  1. On the Create panel > Geometry > Patch Grids > Object Type rollout, click either Quad Patch or Tri Patch.

  2. Drag over any viewport to define a length and width for the patch.

To edit a Quad Patch:

  1. Select a Quad Patch.

  2. On the Modify panel, right click Quad Patch in stack view and choose Editable Patch.

    The Quad Patch collapses to an Editable Patch.

  3. On the Editable Patch Selection rollout, click Vertex.

  4. In any viewport, select a vertex on the patch object and move the vertex to change the surface topology.

    Vertices and vectors can be animated at the Editable Patch level.

    At the sub-object Edge level, you can add patches along any edge. You can create complex patch models beginning from a single patch.

    An ear is created by adding patches and editing patch vertices

Interface

Name and Color rollout

The Name and Color rollout lets you rename objects and change their wireframe color.

Keyboard Entry rollout

XYZ: Sets the patch center.

Length: Sets the patch length.

Width: Sets the patch width.

Create: Creates a patch based on the XYZ, Length, and Width values.

Parameters rollout

Length, Width: Sets the grid dimensions in current units.

Length, Width Segments: Determines the number of facets along the length and width of the grid. Defaults=1.

The density of a Quad Patch rises sharply as you increase the segments. A Quad Patch of 2 segments on a side produces 288 faces. The maximum is 100 segments. High segment values can slow performance.

Generate Mapping Coordinates: Creates map coordinates for applying mapped materials. Default=off.


Tri Patch

Create panel > Geometry > Patch Grids > Tri Patch

Tri Patch creates a flat grid with 72 triangular faces. The face count remains at 72, regardless of its size. The faces become larger to fill the area as you increase the size of the grid.

Quad and Tri Patch

Procedures

To create a Tri Patch:

  1. On the Create panel > Geometry > Patch Grids> Object Type rollout, click Tri Patch.

  2. Drag over any viewport to create the patch.

To edit a Tri Patch:

  1. Select a Tri Patch.

  2. On the Modify panel, right click TriPatch in stack view and choose Editable Patch.

    The Tri Patch collapses to an Editable Patch.

  3. In the Editable Patch Selection rollout, click Vertex.

  4. In any viewport, select a vertex on the patch object and move the vertex to change the surface topology.

    Vertices and vectors can be animated at the Editable Patch level.

Interface

Name and Color rollout

The Name and Color rollout lets you rename objects and change their wireframe color.

Keyboard Entry rollout

XYZ: Sets the patch center.

Length: Sets the patch length.

Width: Sets the patch width.

Create: Creates a patch based on the XYZ, Length, and Width values.

Parameters rollout

Length, Width: Sets dimensions of grid in current units.

Generate Mapping Coordinates: Creates map coordinates for applying mapped materials. Default=off.


Editable Patch

Create or select an object. > Modify panel > Right-click object's entry in the stack display. > Convert To: Editable Patch

Create or select an object. > Right-click the object. > Transform (lower-right) quadrant of the quad menu > Convert To: > Convert to Editable Patch

Editable Patch provides controls for manipulating an object as a patch object and at four sub-object levels: vertex, edge, patch, and element.

Editable Patch objects provide the same functionality as the Edit Patch modifier. Because working with them requires less processing and memory, we recommend you use Editable Patch objects rather than the Edit Patch modifier whenever possible.

When you convert an object to an editable patch or apply an Edit Patch modifier, gmax converts the object's geometry into a collection of separate Bezier patches, each patch made up of a framework of vertices and edges, plus a surface.

  • The framework of control points and connecting tangents defines the surface. Transforming the components of this framework is the primary technique in patch modeling.

  • The surface is the Bezier patch surface, whose shape is controlled by the vertices and edges.

The control framework conforms exactly to the surface, making it easy to visualize the results of patch modeling.

The output of the Surface modifier is a patch surface. If you are modeling with splines and are using the Surface modifier to generate a patch surface from the spline cage you can use an Edit Patch modifier for further modeling.

Show End Result

Turn on Show End Result on the Modify panel if you have modifiers above the Editable Patch modifier and want to see the result of all the modifiers in the modifier stack. This function will remain on until you turn it off.

See also

Edit Modifiers and Editable Objects

Modifying at Sub-Object Level

Modifier Stack

Procedures

To work at a sub-object level:

  1. In the modifier stack display, choose a selection level: Element, Patch, Edge, or Vertex.

  2. Select the sub-object geometry you want to edit.

To attach an object using Edit Patch:

  1. Select an editable patch object, or an object with the Edit Patch modifier applied.

  2. Click Attach in the Modify panel > Geometry rollout > Topology group.

  3. Turn off Reorient, if necessary.

  4. Select an object to attach.

    The object takes on a patch structure and stays in its original location.

    The attached object is now part of the editable patch object. The Tessellation settings for the original object affect attached objects as well.

To attach and reorient an object:

  • Turn on Reorient before attaching the object.

    The object is both attached and moved to align with the patch object. The pivot of the attached object matches the pivot of the Edit Patch object.

To detach a patch surface:

  1. Make a patch selection.

  2. If you want to reorient the detached surface, turn on Reorient.

  3. Click Detach.

    A Detach dialog appears.

  4. Name the detached surface.

    The detached surface remains in place if you chose not to reorient it.

To copy a patch surface:

  1. Make a patch selection.

  2. In the Geometry rollout > Topology group, turn on Copy.

  3. If you want to reorient the copied surface, turn on Reorient.

  4. Click Detach.

    A Detach dialog appears.

  5. Name the patch copy.

    The copied object remains in place if you chose not to reorient it. It is deselected and assigned a different color.

To delete a patch surface:

  1. Make a patch selection.

  2. Click Delete.

    The patch surface disappears.

To subdivide a patch:

  1. Select one or more patches.

  2. Turn on Propagate to maintain surface continuity.

  3. Click Subdivide.

    The patch selection is subdivided, increasing the number of patches.

    You can repeat this process, subdividing multiple times. Each subdivision increases the number of patches, which become increasingly smaller. The following figure is an example of modeling a highly subdivided surface.

To subdivide an edge:

  1. At Patch (Edge) level, make an edge selection.

    A single edge is indicated by its coordinate axis or transform gizmo at the center of the edge. For multiple edges, the axis icon is at the center of the selection set.

  2. Optionally, turn on Propagate to maintain surface continuity.

  3. Click Subdivide.

    The edge selection is subdivided. Each new edge is on the boundary of a new, smaller patch.

To add a patch:

  1. At Patch (Edge) level, select an open edge (one that bounds a single patch, and therefore is not shared with another patch).

  2. Click Add Tri or Add Quad.

    A new patch is added to the surface.

To unlock interior edges of selected patches:

  1. At Patch (Patch) level, select one or more patches.

  2. Right-click the selection and choose Manual Interior from the pop-up menu.

    The check mark moves from Auto Interior, the default, to Manual Interior. Interior edges and their vertices are now unlocked. If you now transform the patch, the interior edges remain static. To transform the interior vertices, see the following procedure.

To transform interior vertices:

  1. At Patch (Patch) level, select one or more patches.

  2. Right-click the selection and choose Manual Interior from the pop-up menu.

    The check mark moves from Auto Interior, the default, to Manual Interior.

  3. Switch to Vertex level.

    The interior vertices appear as yellow squares.

  4. With the Vectors filter turned on, transform the interior vertices of the selected patches.

To anchor a patch:

By default, the welding process shifts the geometry of both patches to a common center. You can anchor one patch so that the other patch moves to its location when the weld occurs.

  1. At the Patch (Patch) level, before you begin the weld, select the patch you want anchored.

  2. Return to Vertex level and weld the vertices.

    When the weld occurs, the anchor patch remains fixed while the other patch moves to make the weld.

To create a new element, do one of the following:

  • SHIFT-drag one or more patches.

  • SHIFT-extrude one or more patches.

  • SHIFT-extrude one or more edges.

  • SHIFT-drag an element.

Interface

Selection Rollout

The Selection rollout provides buttons for selecting the sub-object level, working with named selections, display and filter settings, and displays information about selected entities.

Editable Patch has four levels of sub-object editing: Vertex, Edge, Patch, and Element. The selection you make at each level appears in the viewport as a component of the patch object. Each level maintains its own sub-object selection. When you return to a level, the selection reappears.

Clicking a button here is the same as selecting a sub-object type in the Modifier Stack rollout. Click the button again to turn it off and return to object selection level.

Vertex: Selects a vertex control point and its vector handles on a patch object. At this level, vertices can be welded and deleted.

A Transform gizmo or axis tripod appears at each selected vertex.

Vector handles appear as small green squares around the vertex. Also, with certain objects you may see interior vertices represented as yellow squares.

Edge: Selects a bounding edge of the patch object. At this level, edges can be subdivided, and new patches added to open edges.

A Transform gizmo or axis tripod appears in the middle of a single selected edge. For multiple selected edges, the icon is at the selection center.

Patch: Selects an entire patch. At this level, a patch can be detached, deleted, or its surface subdivided. When a patch is subdivided, the surface is broken into smaller patches, each with its own vertices and edges.

Element: Select and edit an entire element. An element has contiguous faces.

Tip: You can highlight selected patches in a shaded display by turning on Shade Selected Faces in the Viewport Properties dialog. Right-click over the viewport name and choose Configure in the menu to display the Viewport Properties dialog.

Named Selections group

Copy: Places a named selection into the copy buffer.

Paste: Pastes a named selection from the copy buffer.

Filter group

When either check box is turned off, you can't select those elements. Thus, for example, you can disable vectors and click a patch object without moving a vector by mistake.

Vertices: When on, you can select and move vertices.

Vectors: When on, you can select and move vectors (handles on the control points).

Lock Handles: Affects only Corner vertices. Locks the tangent vectors together so that when you move one, you move them all. Applies only to the Vertex sub-object level.

By Vertex: When you click a vertex, any edges or patches that use that vertex, depending on the current sub-object level, are selected. This also works with Region Select.

Note: When By Vertex is on, you can select sub-objects only by clicking a vertex, or by region selection.

Ignore Backfacing: When on, selection of sub-objects selects only those sub-objects whose normals are visible in the viewport. When off (the default), selection includes all sub-objects, regardless of the direction of their normals. Use this on a complex patch model where you want to select only visible patches.

Note: The state of the Backface Cull setting in the Display panel does not affect sub-object selection. Thus, if Ignore Backfacing is off, you can still select sub-objects, even if you can't see them.

Select Open Edges: Selects all edges, in sub-object edge, that are used by only one patch. You can use this to troubleshoot a surface; open edges will be highlighted.

Selection Information: At the bottom of the Selection rollout is a text display giving information about the current selection. If 0 or more than one sub-object is selected, the text gives the number and type selected. If one sub-object is selected, the text gives the identification number and type of the selected item.

Geometry rollout

The Geometry rollout provides functions for editing a patch object and its sub-objects. For specific information on controls found in all groups except Tessellation, select any of the links below:

Editable Patch (Object)

Editable Patch (Vertex)

Editable Patch (Edge)

Editable Patch (Patch)

Editable Patch (Element)


Editable Patch (Object)

Select an editable patch. > Modify panel > Editable patch (not a sub-object level) selected in the modifier stack

Select an editable patch. > Right-click the patch. > Tools 1 (upper-left) quadrant of the quad menu > Sub-objects > Top-level

The functions available at the editable patch object level (that is, when no sub-object level is chosen) are also available at all sub-object levels, and work exactly the same at each level.

Interface

Selection rollout

For information on these settings, see Editable Patch.

Geometry rollout

Subdivision group

Not available at this level.

Topology group

Attach: Attaches an object to the currently selected patch object. Click the object you want to attach to the currently selected patch object.

If you attach a non-patch object, the object is converted to a patch object.

When you attach an object, the materials of the two objects are combined in the following way:

  • If the object being attached does not have a material assigned, it inherits the material of the object it is being attached to.

  • Likewise if the object you're attaching to doesn't have a material, it inherits the material of the object being attached.

  • If both objects have materials, the resulting new material is a multi/sub-object material that encompasses the input materials. A dialog appears offering three methods of combining the objects' materials and material IDs. For more information, see Attach Options Dialog.

Attach remains active in all sub-object modes, but always applies to objects.

Reorient: Reorients the attached object so that its creation local coordinate system is aligned with the creation local coordinate system of the selected patch object.

Unhide All: Restores any hidden sub-objects to visibility.

Surface group

View Steps: Controls the grid resolution of the patch model surface as depicted in the viewports.

Show Interior Edges: Enables the display of the patch object's interior edges in wireframe views. When off, only the object's outline is visible. Turn on to simplify the display for faster feedback.

Surface Properties rollout

Relax Mesh group

Relax changes the apparent surface tension by moving vertices closer to, or away from, their neighbors. The typical result is that the object gets smoother and a little smaller as the vertices move towards an averaged center point. You can see the most pronounced effects on objects with sharp corners and edges.

Relax: Turns on the relax function.

Relax Value: Sets the distance a vertex moves as a percentage of the distance between a vertex and the average location of its neighbors. Range=0.0 to 1.0. Default=0.5.

Iterations: Sets how many times Relax is repeated. Each iteration recalculates average vertex locations based on the result of the previous iteration. Default=1.

Keep Boundary Points Fixed: Vertices at the edge of open patches do not relax. Default=on.

Save Outer Corners: Preserves the original positions of vertices farthest away from the object center.


Editable Patch (Vertex)

Select an editable patch. > Modify panel > Expand the editable patch in the stack display. > Vertex sub-object level

Select an editable patch. > Modify panel > Selection rollout > Vertex button

Select an editable patch. > Right-click the patch > Tools 1 (upper-left) quadrant of the quad menu > Sub-objects > Vertex

While at the Editable Patch (Vertex) level, you can select single and multiple vertices and move them using standard methods. You can also move and rotate vector handles, thus affecting the shapes of any patches connected to the vertex.

Procedures

To transform either vertices or vectors:

  1. At Patch (Vertex) level, with Selection rollout > Filter group > Vertices turned on, select vertices in the patch object you want to transform.

    Vertices and their vectors both appear.

  2. Turn off one of the filters, leaving the other on, and choose a transform.

    A transform cursor appears when you move onto a vertex or vector in the selection set. You can toggle between filters to alternatively transform either component.

To switch vertex types:

  1. Right-click a patch vertex.

  2. Choose from commands on the quad menu. The Tools 1 (upper-left) quadrant includes two options specific to patch vertices:

    • Coplanar: If you set a patch control point's property to be coplanar, it's like locking the handle of the outgoing vector for that point. Moving a handle attached to a coplanar vertex causes the opposite vectors to adjust their positions to maintain a coplanar surface. This option is the default and gives smooth transitions between patches.

    • Corner: If you set a patch control point's property to be corner, it unlocks the handle of the outgoing vector, so you can create a discontinuous break in the patch surface.

To switch vertex types from Coplanar to Corner, do one of the following:

  • Hold down SHIFT as you move a handle of a Coplanar vertex.

    This switches the vertex type to Corner.

    If Lock Handles is turned off (the default), SHIFT-Move "breaks" the handle, allowing it to move independently.

    If Lock Handles is turned on, the handles remain locked in their coplanar relationship. However, the vertex is still switched to Corner, and turning off Lock Handles lets you move the handles separately.

  • Right-click the vertex, and choose Corner from the quad menu.

To delete a vertex:

  1. At Patch (Vertex) level, select a vertex.

  2. Click Delete.

    The vertex and all patches sharing this control point are deleted.

    Deleting vertices

To weld vertices:

  1. At Patch (Vertex) level, select two valid vertices on different patches.

  2. Set Weld Threshold to a value at least equal to the distance between the selected vertices.

  3. Click Weld.

    The two vertices move together and join.

    Welding vertices

To transform interior vertices:

Using program defaults, you can select only vertices and vectors on the outer edge or boundary of a patch. This default is known as Auto Interior.

In some cases, you might want to move the interior vertices. For example, you might want to tweak a patch's curvature without having to subdivide the patch. At Patch level, you can change the default on a patch-by-patch basis by right-clicking a patch and choosing Manual Interior from the shortcut menu. This lets you select and transform individual interior vertices. These vertices appear as yellow squares in the viewports.

Warning: If you return a patch to the default, changes due to Manual Interior are lost.

Note: Certain objects, such as the TeapotTeapot, are automatically set to Manual Interior when converted to patch objects. In such cases, you can see all interior vertices when you go to the Vertex sub-object level.

Interface

Selection rollout

For information on these settings, see Editable Patch.

Soft Selection rollout

See Soft Selection Rollout for information on the Soft Selection rollout settings.

Geometry rollout

When Edit Patch is the active modifier and the Vertex sub-object level is active, the Geometry rollout on the Modify panel has the options listed below.

Subdivision group

Bind: Lets you create a seamless, gapless connection between two patch edges that have unequal numbers of vertices. The two patches must belong to the same object, and the vertex need not be selected first. Click Bind, then drag a line from an edge-based vertex (not a corner vertex) to the edge you want to bind it to. The cursor turns into a white cross when over a legal edge.

Binding patch edges

To exit Bind mode, click the Bind button again, or right-click in the active viewport.

Tip: When connecting two patches edge-to-edge, first line up as many pairs of vertices as possible, and use Weld to connect them. Then use Bind to connect the remaining vertices. Bound vertices cannot be manipulated directly, although their handles can.

Note: Bind is useful for connecting patch objects with different patch resolutions, such as a head and a neck, without the need to create additional patches in the lower-resolution object.

Unbind: Disconnects a vertex connected to a patch with Bind. Select the vertex, and then click Unbind.

Topology group

Create: Creates freestanding vertices.

Attach: Attaches an object to the currently selected patch object. Click the object you want to attach to the currently selected patch object.

For further details, see Attach.

Reorient: When on, reorients the attached patch so that each patch's creation local coordinate system is aligned with the creation local coordinate system of the selected patch.

Delete: Removes vertices from the framework. Use this option with caution. Deleting a single vertex also deletes any patches that share this control point. For example, if you delete the single vertex at the top of a spherical patch object, the top four patches are also deleted, leaving a hemisphere.

Break: Breaks a vertex into multiple vertices. Use this if you need to split open an edge to add another patch or for general modeling operations. Select a vertex and then click Break. After the break select the individual vertices and move them to separate the edges.

Hide: Hides selected vertices and the attached patches.

Unhide All: Restores any hidden sub-objects to visibility.

Weld group

Selected: Welds selected vertices that fall within the tolerance specified in the Weld Threshold spinner (to the right of the Weld button). Select the vertices you want to weld between two different patches, set the spinner to a sufficient distance, and click Weld.

Target: Turn on and drag from one vertex to another to weld the vertices together. The dragged vertex fuses to the target vertex.

The pixels spinner to the right of the Target button sets the maximum distance in screen pixels between the mouse cursor and the target vertex.

Surface group

View Steps: Controls the grid resolution of the patch model surface as depicted in the viewports.

Show Interior Edges: Enables the display of the patch object's interior edges in wireframe views. When off, only the object's outline is visible. Turn on to simplify the display for faster feedback.

Surface Properties rollout

Edit Vertex Colors group

Use these controls to assign the color, illumination color (shading), and alpha (transparency) values of selected vertices.

Color: Click on the color swatch to change the color of selected vertices.

Illumination: Click on the color swatch to change the illumination color of selected vertices. This lets you change the color of shadows without changing the vertex colors.

Alpha: Lets you assign an alpha (transparency) value to selected vertices.

The spinner value is a percentage; zero is completely transparent and 100 is completely opaque.

Select Vertex By group

Color and Illumination radio buttons: These buttons determine whether to select vertices by vertex color values or vertex illumination values.

Color Swatch: Displays the Color Selector, where you can specify a color to match.

Select: Depending on which radio button is selected, selects all vertices whose vertex color or illumination values either match the color swatch, or are within the range specified by the RGB spinners.

Range: Specifies a range for the color match. All three RGB values in the vertex color or illumination must either match the color specified by the Color swatch in Select By Vertex Color, or be within plus or minus the values in the Range spinners. Default=10.


Editable Patch (Edge)

Select an editable patch. > Modify panel > Expand the editable patch in the stack display. > Edge sub-object level

Select an editable patch. > Modify panel > Selection rollout > Edge button

Select an editable patch. > Right-click the patch > Tools 1 (upper-left) quadrant of the quad menu > Sub-objects > Edge

An edge is the portion of a patch object between two adjacent vertices. When at the Editable Patch (Edge) level, you can select single and multiple segments and move, rotate, and scale them using standard methods. You can also hold down the SHIFT key and drag an edge to create a new patch. Holding down the SHIFT key during edge extrusion creates a new element.

Procedure

To unlock interior edges:

When you move an outer or boundary edge of a patch, the adjacent interior edges are normally "locked" so that they move in parallel with the boundary edge. This is often useful, because it provides a uniform transition across the patch. This default is known as Auto Interior.

At Patch level, you can change the default on a patch-by-patch basis by right-clicking a patch and choosing Manual Interior from the Tools 1 (upper-left) quadrant of the quad menu. Thereafter, when you move a boundary edge, interior edges are affected in a nonlinear way. The interior edges are no longer locked to the boundary edge.

Warning: If you return a patch to the default, changes caused by Manual Interior are lost.

Interface

Selection Rollout

Select Open Edges: Selects all edges that are used by only one patch. You can use this to troubleshoot a surface; open edges will be highlighted.

For information on the other controls in this rollout, see Editable Patch.

Soft Selection rollout

See Soft Selection Rollout for information on the Soft Selection rollout settings.

Geometry rollout

When Edit Patch is the active modifier and the Edge sub-object level is active, the Geometry rollout on the Modify panel has the options listed below:

Subdivision group

Subdivide: Subdivides selected edges and the associated patches. Select one or more edges, and then click Subdivide.

Propagate: When on, subdividing edges propagates the subdivision to neighboring patches. Propagating the subdivisions along all contiguous patches prevents patch cracks where you have attached patches together. Turning off the check box restricts subdivisions to just the one or two patches bordering each selected edge, and will create cracks in the edges between these patches and the surrounding ones.

Topology group

You can add Tri and Quad patches to any open edge of an object. On closed objects like a sphere, you can delete one or more existing patches to create open edges, and then add new patches.

The new patches adapt to the existing geometry. For example, when you add a patch to a curved edge, the new patch follows that curve and seamlessly extends it.

Add Tri: Adds a three-sided patch to each selected edge. Select one or more edges, then click Add Tri to add the patch or patches.

Original patch with edges selected (top) and three-sided patches added (bottom)

Add Quad: Adds a four-sided patch to each selected edge. Select one or more edges, and then click Add Quad to add the patch or patches.

Attach: Lets you attach an object to the currently selected patch object. Click the object you want to attach to the currently selected patch object.

For further details, see Attach.

Reorient: When on, reorients the attached patch so that each patch's creation local coordinate system is aligned with the creation local coordinate system of the selected patch.

Delete: Removes edges from the framework. Use this option with caution. Deleting an edge also deletes any patches that share the edge.

Break: Splits an edge. Use this if you need to split open an edge for general modeling operations. Select one or more edges and then click Break. After the break move the handles of adjacent vertices to create a gap in the patch.

Note: To move the handles away from each other, use Shift-Move.

Hide: Hides selected edges and the attached patches. You cannot hide an entire object this way; at least one patch always remains visible.

Unhide All: Restores any hidden sub-objects to visibility.

Weld group

Selected: Weld two edges that share vertices. Use this to eliminate gaps on a surface.

Extrude and Bevel group

Extrude: Click this button, and then drag any edge to extrude it interactively. Hold down the SHIFT key during this operation to create a new element.

  • When the mouse cursor is over a selected edge, it changes to an Extrude cursor.

  • With multiple edges selected, dragging on any one extrudes all selected edges equally.

  • You can drag other edges in turn to extrude them while the Extrude button is active. Click Extrude again or right-click to end the operation.

Extrusion: This spinner lets you extrude selected edges outward or inward, depending on whether the value is positive or negative. Hold down the SHIFT key during this operation to create a new element.

Normal: With Normal set to Group, extrusion takes place along the averaged normal of each contiguous group of edges. If you extrude multiples of such groups, each group moves along its own averaged normal. If Normal is set to Local (the default), extrusion takes place along each selected edge's normal.

Surface group

View Steps: Controls the grid resolution of the patch model surface as depicted in the viewports.

Show Interior Edges: Enables the display of the patch object's interior edges in wireframe views. When off, only the object's outline is visible. Turn on to simplify the display for faster feedback.

Miscellaneous group

Create Shape: Creates splines based on the selected edges. If no edges are selected then splines are created for all the patch edges. The software prompts you for a name, type in a name for the shape object and click OK.

Each patch edge forms an individual spline. Use this for creating a spline cage based on the patch edges. This is useful for spline modeling or Surface tools work.


Editable Patch (Patch)

Select an editable patch. > Modify panel > Expand the editable patch in the stack display. > Patch sub-object level

Select an editable patch. > Modify panel > Selection rollout > Patch button

Select an editable patch. > Right-click the patch > Tools 1 (upper-left) quadrant of the quad menu > Sub-objects > Patch

A patch is an area of a patch object, defined by three or four surrounding edges and vertices. Controls described in this topic let you manipulate a patch object at the patch level. As well as moving and rotating patches, you can create a separate element by holding down the SHIFT key during a move operation. This creates a separate element of the selected patches.

Texture Mapping Patches: Interpolation in Curved Space

Patches can be mapped in curved space; this means simplified texture mapping for patches. A planar map on a complex patch object will not be distorted. At the Patch sub-object level there is a parameter in the right-click quad menu (Tools 1 quadrant) called Linear Mapping. If you leave Linear Mapping off, then textures are interpolated in curved space and behave much like texture mapping a mesh object, predictably.

In the old method, patch mapping is interpolated between the knot points. This works well with procedural maps but not so well with bitmaps, since each patch is linear in UV space.

A complex patch (on right) no longer deforms a bitmap

The two leftmost patches show Linear patch mapping. The top left patch is a patch with planar mapping and the bottom left shows its UVW space representation. The patch on the right is a curved projection where the vectors are used in UVW space projection. Notice the bottom right represents the UVW space and notice how the handles and knots contribute to the shape of the UVW space.

In short, leave the Linear option off for predictable planar maps. Leave the linear mapping option on for backward compatibility.

Note: The UVW Unwrap modifier now supports the new patch curve mapping. Spline handles can be manipulated in the Edit dialog in the UVW Unwrap modifier.

Interface

Selection rollout

See Editable Patch for information on the Selection rollout settings.

Soft Selection rollout

See Soft Selection Rollout for information on the Soft Selection rollout settings.

Geometry rollout

Subdivision group

Subdivide: Subdivides selected patches. Select one or more patches, and then click Subdivide.

Propagate: When on, extends the subdivision to neighboring patches. Propagating the subdivisions along all contiguous patches prevents patch cracks where you have attached patches together.

Topology group

Create: Creates a three or four-sided patch on existing geometry or in free space. First turn on Create and then click on geometry or free space in the viewports to create a quad or a tri patch.

Patch vertices are selected by left clicking on existing vertices. Left clicking in free space creates a new vertex at that location. If you digitize away from an existing vertex then a new vertex is created and it will be included in the sequence of vertices for the new patch. The cursor changes to a white cross hair when selecting an existing vertex.

To create a Tri Patch: Click three times in free space or on existing vertices. Right-click, or left-click on one of the vertices in the current sequence to complete the creation of a Tri Patch.

To create a Quad Patch: Click four times in free space or on existing vertices. The Quad Patch will be automatically created after the fourth click.

No operation will take place if you right-click or select a vertex in the current sequence when only one or two vertices are in the sequence.

Detach: Lets you select one or more patches within the current object and then detach them (or copy them) to form a separate patch object.

Reorient: When on, the detached patch copies the position and orientation of the source object's creation Local coordinate system. The new detached object is moved and rotated so that its Local coordinate system is positioned and aligned with the origin of the current active grid.

Copy: When on, the detached patches are copied to a new patch object, leaving the originals intact.

Attach: Lets you attach an object to the currently selected patch object. Click the object you want to attach to the currently selected patch object.

For further details, see Attach.

Reorient: When on, reorients the attached patch so that each patch's creation local coordinate system is aligned with the creation local coordinate system of the selected patch.

Delete: Deletes the selected patch or patches.

Hide: Hides selected patches.

Unhide All: Restores any hidden sub-objects to visibility.

Extrude & Bevel group

These controls let you extrude and bevel patches. Extruding patches moves them along a normal and creates new patches that form the sides of the extrusion, connecting the selection to the object. Beveling adds a second step that lets you scale the extruded patches. You can extrude and bevel patches by dragging or by direct entry. You can also hold down the SHIFT key during extrusion, which creates a separate element.

Note: Sides created by beveling or extrusion are assigned to smoothing group 1.

Extrude: Click this button, and then drag any patch to extrude it interactively. Hold down the SHIFT key during this operation to create a new element.

  • When the mouse cursor is over a selected patch, it changes to an Extrude cursor.

  • With multiple patches selected, dragging on any one extrudes all selected patches equally.

  • You can drag other patches in turn to extrude them while the Extrude button is active. Click Extrude again or right-click to end the operation.

Bevel: Click this button, and then drag any patch to extrude it interactively, then click and release the mouse button, and drag again to bevel the extrusion. Hold down the SHIFT key during this operation to create a new element.

  • When the mouse cursor is over a selected patch, it changes to a Bevel cursor.

  • With multiple patches selected, dragging on any one bevels all selected patches equally.

  • You can drag other patches in turn to bevel them while the Bevel button is active. Click Bevel again or right-click to end the operation.

Original patch (top) and inward and outward extrusions

Extrusion: This spinner lets you extrude selected patches outward or inward, depending on whether the value is positive or negative.

Outlining: This spinner lets you scale selected patches bigger or smaller, depending on whether the value is positive or negative. It is normally used after an extrusion for beveling the extruded patches.

Normal: With Normal set to Group, extrusion takes place along the averaged normal of each contiguous group of patches. If you extrude multiples of such groups, each group moves along its own averaged normal. If Normal is set to Local (the default), extrusion takes place along each selected patch's normal.

Bevel Smoothing: These settings let you set the shape of the intersection between the surface created by a beveling operation and the neighboring patches. The shapes are determined by the handle configurations of vertices at the intersections. Start refers to the intersection between the sides and the patches surrounding the beveled patch. End refers to the intersection between the sides and the beveled patch or patches. The following settings are available for each:

  • Smooth: Vertex handles are set so the angles between the new patches and their neighbors are relatively small.

  • Linear: Vertex handles are set to create linear transitions.

  • None: Vertex handles are not modified.

Warning: Set Bevel Smoothing before the bevel is performed; changing the setting has no effect on existing beveled patches.

Surface group

View Steps: Controls the grid resolution of the patch model surface as depicted in the viewports.

Show Interior Edges: Enables the display of the patch object's interior edges in wireframe views. When off, only the object's outline is visible. Turn on to simplify the display for faster feedback.

Surface Properties rollout

These controls let you work with patch normals, material IDs, smoothing groups and vertex colors.

Normals group

Flip: Reverses the direction of the surface normals of the selected patches.

Unify: Flips the normals of an object so that they all point in the same direction, usually outward. This is useful for setting an object's patches to appropriate orientations, thus eliminating apparent holes in the object surface.

Flip Normal Mode: Flips the normal of any patch you click. To exit, click this button again or right-click anywhere in the program interface.

Tip: The best way to use Flip Normal Mode is to set up your viewport to display with Smooth+Highlight and Edged Faces turned on. If you use Flip Normal Mode with default settings, you'll be able to flip a patch away from you, but you won't be able to flip it back. For best results, turn off Ignore Backfacing in the Selection rollout. This lets you click any patch and flip the direction of its normal, regardless of its current direction.

Material group

These controls let you use multi/sub-object materials with patches.

ID: Lets you assign a particular material ID number to selected patches for use with multi/sub-object materials and other applications. Use the spinner or enter the number from the keyboard. The total number of available IDs is 65,535.

Select by ID: Displays a dialog for you to enter a material ID number. Clicking OK selects the patches assigned that material ID. If Clear Selection is on, any previously selected patches are first deselected. If Clear Selection is off, the new selection is added to any previous selection set.

Smoothing Groups group

Use these controls to assign selected patches to different smoothing groups, and to select patches by smoothing group.

To assign patches to one or more smoothing groups, select the patches, and then click the number(s) of the smoothing group(s) to assign them to.

Select by SG (Smoothing Group): Displays a dialog that shows the current smoothing groups. Select a group by clicking the corresponding numbered button and clicking OK.

Clear All: Removes any smoothing group assignments from selected patches.

Edit Vertex Colors group

Use these controls to assign the color, illumination color (shading), and alpha (transparency) values of vertices on the selected patch(es).

Color: Click on the color swatch to change the color of vertices on the selected patch(es).

Illumination: Click on the color swatch to change the illumination color of vertices on the selected patch(es). This lets you change the color of shadows without changing the vertex colors.

Alpha: Lets you assign an alpha (transparency) value to vertices on the selected patch(es).

The spinner value is a percentage; zero is completely transparent and 100 is completely opaque.


Editable Patch (Element)

Select an editable patch. > Modify panel > Expand the editable patch in the stack display. > Element sub-object level

Select an editable patch. > Modify panel > Selection rollout > Element button

Select an editable patch. > Right-click the patch > Tools 1 (upper-left) quadrant of the quad menu > Sub-objects > Element

Use the Element sub-object level when you want to select and work on all contiguous faces in an element. The Element sub-object level is essential when you are SHIFT-cloning and SHIFT-extruding patches, because doing so creates separate elements. For example, if you select a patch, hold down the SHIFT key, and move the patch to a new location, a new element is created separate from the original. This also applies to extrusion. If you hold the SHIFT key down while you extrude, a new element is created.

Note: In some cases, you might find that moving a patch element causes parts of it to move by differing amounts. This typically occurs because the object is set to Manual Interior. It happens, for instance, when you convert a sphere primitive to an editable patch object. To remedy this, select the element, and then right-click it to display the quad menu, and in the Tools1 quadrant, choose Auto Interior.

Interface

Selection rollout

See Editable Patch for information on the Selection rollout settings.

Soft Selection rollout

See Soft Selection Rollout for information on the Soft Selection rollout settings.

Geometry rollout

Subdivision group

Subdivide: Subdivides selected elements. Select one or more elements, and then click Subdivide.

Propagate: When on, extends the subdivision to neighboring patches. Propagating the subdivisions along all contiguous patches prevents patch cracks where you have attached patches together.

Topology group

Create: Creates a three or four-sided patch on existing geometry or in free space. First turn on Create and then click on geometry or free space in the viewports to create a quad or a tri patch.

The cursor changes to a white cross hair when over an existing patch vertex. Select an existing vertex by clicking it. Click in free space to create a new vertex at that location; this vertex is included in the sequence of vertices for the new patch.

To create a Tri Patch: Click three times in free space or on existing vertices. Right-click, or left-click on one of the vertices in the current sequence to complete the creation of a Tri Patch.

To create a Quad Patch: Click four times in free space or on existing vertices. The Quad Patch will be automatically created after the fourth click.

No operation will take place if you right-click or select a vertex in the current sequence when only one or two vertices are in the sequence.

Detach: Lets you select one or more elements within the current object and then detach them (or copy them) to form a separate patch object.

Reorient: When on, the detached patch element copies the position and orientation of the source object's creation Local coordinate system. The new detached object is moved and rotated so that its Local coordinate system is positioned and aligned with the origin of the current active grid.

Copy: When on, the detached patch elements are copied to a new patch object, leaving the originals intact.

Attach: Lets you attach an object to the currently selected patch object. Click the object you want to attach to the currently selected patch object.

For further details, see Attach.

Reorient: When on, reorients the attached element so that each patch's creation local coordinate system is aligned with the creation local coordinate system of the selected patch.

Delete: Deletes the selected element.

Hide: Hides selected elements.

Unhide All: Restores any hidden sub-objects to visibility.

Extrude & Bevel group

These controls let you extrude and bevel all patches in an element or elements. Extruding patches moves them along a normal and creates new patches that form the sides of the extrusion, connecting the selection to the object. Beveling adds a second step that lets you scale the extruded patches. You can extrude and bevel patches by dragging or by direct entry. You can also hold down the SHIFT key during extrusion, which creates a separate element.

Note: Sides created by beveling or extrusion are assigned to smoothing group 1.

Extrude: Click this button, and then drag any element to extrude it interactively. Hold down the SHIFT key during this operation to create a new element.

When the mouse cursor is over a selected element, it changes to an Extrude cursor.

Bevel: Click this button, and then drag any element to extrude it interactively, then click and release the mouse button, and drag again to bevel the extrusion. Hold down the SHIFT key during this operation to create a new element.

When the mouse cursor is over a selected element, it changes to a Bevel cursor.

Original patch (top) and inward and outward extrusions

Note: In some cases, particularly with closed objects (objects with no holes or open edges), the second bevel step might not produce visible results.

Extrusion: This spinner lets you extrude selected elements outward or inward, depending on whether the value is positive or negative.

Outlining: This spinner lets you scale selected elements bigger or smaller, depending on whether the value is positive or negative. It is normally used after an extrusion for beveling the extruded patches.

Normal: If Normal is set to Local (the default), extrusion takes place along the individual normals of patches in selected elements. With Normal set to Group, extrusion takes place along the averaged normal of all patches in selected elements.

Bevel Smoothing: These settings let you set the shape of the intersection between the surface created by a beveling operation and the neighboring patches. The shapes are determined by the handle configurations of vertices at the intersections. Start refers to the intersection between the sides and the patches surrounding the beveled patch. Finish refers to the intersection between the sides and the beveled patch or patches. The following settings are available for each:

  • Smooth: Vertex handles are set so the angles between the new patches and their neighbors are relatively small.

  • Linear: Vertex handles are set to create linear transitions.

  • None: Vertex handles are not modified.

Warning: Set Bevel Smoothing before the bevel is performed; changing the setting has no effect on existing beveled patches.

Surface group

View Steps: Controls the grid resolution of the patch model surface as depicted in the viewports.

Show Interior Edges: Enables the display of the patch object's interior edges in wireframe views. When off, only the object's outline is visible. Turn on to simplify the display for faster feedback.


Editable Mesh

Create or select an object. > Quad menu > Transform quadrant > Convert To: sub-menu > Editable Mesh

Create or select an object. > Utilities panel > Collapse button > Collapse Selected button

Editable Mesh is not so much a modifier as it is a state. However, like the Edit Mesh modifier, it provides controls for manipulating an object as a triangular mesh object and at three sub-object levels: vertex, edge and face. For open spline objects, only vertices are available, because open splines have no faces or edges when converted to meshes.

To make a sub-object selection on a non-editable mesh object (for example, a primitive) for passing up the stack to a modifier, use the Mesh Select modifier.

Once you make a selection with Editable Mesh, you have these options:

  • Use the options supplied on the Edit Geometry rollout to modify the selection. Later topics discuss these options for each of the mesh components.

  • Transform or Shift-Clone the selection, as with any object.

  • Pass the selection to a later modifier in the stack. You can apply one or more standard modifiers to the selection.

  • Use the options on the Surface Properties rollout to alter the surface characteristics of selected mesh components.

Note: Because Edit Mesh modifier functionality is almost identical to that of editable mesh objects, features described in the Editable Mesh topics also apply to objects with Edit Mesh applied, except as noted.

Note: You can exit most Editable Mesh command modes, such as Extrude, by right-clicking in the active viewport.

See also

Edit Modifiers and Editable Objects

Modifying at Sub-Object Level

Modifier Stack

Procedure

To produce an editable mesh object:

First select the object, and then do one of the following:

  • Right-click on the object and choose Editable Mesh from the Convert To sub-menu in the transform quadrant.

  • Apply a modifier to a parametric object that turns the object into a mesh object in the stack, and then collapse the stack. (For example, you can apply a Mesh Select modifier.)

  • Import a non-parametric object, such as that found in a .gmax file.

    Converting an object to an editable mesh removes all parametric controls, including the creation parameters. For example, you can no longer increase the number of segments in a box, slice a circular primitive, or change the number of sides on a cylinder. Any modifiers you apply to an object are collapsed as well. After conversion, the only entry left on the stack is "Editable Mesh."

Maintaining an object's creation parameters

As described in the above procedure, you can convert an existing object to an editable mesh, which replaces the creation parameters in the stack with "Editable Mesh." The creation parameters are no longer accessible or animatable. If you want to maintain the creation parameters, you can use the following modifiers:

Edit Mesh Modifier

Mesh Select Modifier

Delete Mesh Modifier

Tessellate Modifier

Face Extrude Modifier

Affect Region Modifier

Interface

Modifier Stack display

Show End Result: Normally, if you apply a modifier such as Twist to an editable-mesh object and then return to the Editable Mesh stack entry, you cannot see the effect of the modifier on the object's geometry. But if you turn on Show End Result while in sub-object level, you can see the original sub-object selection as a yellow mesh, the final object as a white mesh, and the original editable mesh as an orange mesh.

Selection rollout

The Selection rollout provides buttons for turning different sub-object levels on and off, working with named selections and handles, display settings, and information about selected entities.

When you first access the Modify panel with an editable mesh selected, you're at the Object level, with access to several functions available as described in Editable Mesh (Object). You can toggle the various sub-object levels, and access relevant functions by clicking the buttons at the top of the Selection rollout.

Clicking a button here is the same as selecting a sub-object type in the Modifier Stack display. Click the button again to turn it off and return to the Object selection level.

The Selection rollout also allows you to display and scale vertex or face normals.

Vertex: Turns on Vertex sub-object level, which lets you select a vertex beneath the cursor; region selection selects vertices within the region.

Edge: Turns on Edge sub-object level, which lets you select a face or polygon edge beneath the cursor; region selection selects multiple edges within the region. When Edge sub-object level is on, hidden edges are displayed as dashed lines, allowing for more precise selection.

Face: Turns on Face sub-object level, which lets you select a triangular face beneath the cursor; region selection selects multiple triangular faces within the region.

Polygon: Turns on Polygon sub-object level, which lets you select all coplanar faces (defined by the value in the Planar Threshold spinner) beneath the cursor. Usually, a polygon is the area you see within the visible wire edges. Region selection selects multiple polygons within the region.

Element: Turns on Element sub-object level, which lets you select all contiguous faces in an object. Region selection lets you select multiple elements.

By Vertex: When you click a vertex, any edges or faces that use that vertex, depending on the current sub-object level, are selected. Also works with Region Select.

Note: When By Vertex is on, you can select sub-objects only by clicking a vertex, or by region.

Ignore Backfacing: When on, selection of sub-objects selects only those sub-objects whose normals are visible in the viewport. When off (the default), selection includes all sub-objects, regardless of the direction of their normals.

Note: The state of the Backface Cull setting in the Display panel does not affect sub-object selection. Thus, if Ignore Backfacing is off, you can still select sub-objects, even if you can't see them.

Ignore Visible Edges: This is enabled when the Polygon face selection method is chosen. When Ignore Visible Edges is off (the default), and you click a face, the selection will not go beyond the visible edges no matter what the setting of the Planar Thresh spinner. When this is on, face selection ignores the visible edges, using the Planar Thresh setting as a guide.

Generally, if you want to select a "facet" (a coplanar collection of faces), you set the Planar Threshold to 1.0. On the other hand, if you're trying to select a curved surface, increase the value depending on the amount of curvature.

Planar Thresh: (Planar Threshold) Specifies the threshold value that determines which faces are coplanar for Polygon face selection.

Show Normals: When on, the program displays normals in the viewports. Normals are displayed as blue lines.

Show normals is not available in Edge mode.

Scale: Specifies the size of the normals displayed in the viewport when Show is on.

Hide: Hides any selected sub-objects. Edges and entire objects cannot be hidden.

Note: The Select Invert command on thegmax Edit menu is useful for selecting faces to hide. Select the faces you want to focus on, choose Edit > Select Invert, then click the Hide button.

Unhide All: Restores any hidden objects to visibility. Hidden vertices can be unhidden only when in Vertex sub-object level.

Named Selections

Copy: Places a named selection into the copy buffer.

Paste: Pastes a named selection from the copy buffer.

For more information, see Named Selection Sets.

Selection Information

At the bottom of the Selection rollout is a text display giving information about the current selection. If 0 or more than one sub-object is selected, the text gives the number and type selected. If one sub-object is selected, the text gives the identification number and type of the selected item.

Note: When the current sub-object level is Polygon or Element, selection information is given in faces.

Soft Selection rollout

Soft Selection controls affect the action of sub-object Move, Rotate, and Scale functions. When these are on, gmaxapplies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect with a sphere of influence around the transformation.

For more information, see Soft Selection Rollout.

Edit Geometry rollout

The Edit Geometry rollout provides various functions for editing an editable mesh object and its sub-objects. For specific information, click any of the links below:

Editable Mesh (Object)

Editable Mesh (Vertex)

Editable Mesh (Edge)

Editable Mesh (Face/Polygon/Element)


Working with Mesh Sub-Objects

This topic describes how to work with sub-object selections when you are editing an Editable Mesh.

See also

Edit Modifiers and Editable Objects

Modifying at Sub-Object Level

Modifier Stack

Editable Mesh

Editable Poly

Selecting and Transforming

In selecting and transforming sub-object geometry, you use standard techniques:

  • Clicking any vertex, edge, or face/polygon/element selects it.

    When working with complex scenes, the Select By Name tool is a good choice for careful selection. For example, to avoid unintentional transforms, you can use Select By Name to make the selection, then switch to Move, Rotate, or Scale once you’ve finished.

  • Holding down CTRL lets you add to or subtract from the selection with single clicks.

  • Holding down ALT lets you a subtract from the selection with single clicks, or with Window/Crossing selections.

  • Beginning a selection outside the object starts a region selection. Holding down CTRL during region selection lets you add to the selection.

Once you’ve made a sub-object selection, you can use the SPACEBAR to lock the selection while you’re working with it.

Using Sub-Object Selection

With either an editable mesh (or Edit Mesh modifier) or a Mesh Select modifier, you can store three separate sub-object selections: one for each selection level (vertex, face, and edge). These selection sets are saved with the file. With sub-object selections, you have these options:

  • Choose one of the selection sets to pass geometry up the stack to other modifiers. Only one selection set is active at a time.

  • Change to one of the other selection sets at any time.

  • Use named selection sets for sub-object geometry you want to reuse.

    In modeling a head, for example, you might have a number of different vertex selections for forehead, nose, and chin. Such selections can be difficult to recreate, so named sets give you easy access to the original selection when you want to rework a particular area.

Cloning Sub-Object Geometry

Using SHIFT-transform with a selection of vertices or faces displays the Clone Part Of Mesh dialog. This lets you determine whether you want to "Clone To Object" or "Clone To Element." Click the desired option, optionally giving the cloned object a new name, then click OK.

  • If you choose Clone To Object, the cloned copy becomes a plain mesh object, entirely separate from the original object. The new object is given the name in the field to the right of the Clone To Object radio button.

  • If you choose Clone To Element, the selection is cloned in its new position and remains part of the original object.

Animating Sub-Object Geometry

When you work with an editable mesh, you can directly transform and animate a sub-object selection. In effect, the selection works like any other object.


Editable Mesh (Object)

Select an editable mesh object or object with the Edit Mesh modifier applied. > Modify panel

Select an editable mesh object. > Quad menu > Tools 1 quadrant > Sub-Objects sub-menu > Top Level

Editable Mesh (Object) functions are available when no sub-object levels are active. These functions are also available at all sub-object levels, and work the same in each mode, except as noted below.

Interface

Edit Geometry rollout

Attach: Lets you attach another object in the scene to the selected mesh. You can attach any type of object, including splines and patch objects. Attaching a non-mesh object converts it to a mesh. Click the object you want to attach to the currently selected mesh object.

When you attach an object, the materials of the two objects are combined in the following way:

  • If the object being attached does not have a material assigned, it inherits the material of the object it is being attached to.

  • Likewise if the object you're attaching to doesn't have a material, it inherits the material of the object being attached.

  • If both objects have materials, the resulting new material is a multi/sub-object material that encompasses the input materials. A dialog appears offering three methods of combining the objects' materials and material IDs. For more information, see Attach Options Dialog.

Attach remains active in all sub-object levels, but always applies to objects.

Attach List: Lets you attach other objects in the scene to the selected mesh. Click to display a Select By Name dialog where you choose multiple objects to attach.

Shaded view of model (upper left); wireframe view of model (upper right); model with objects attached (lower left); and subsequent sub-object material (lower right)

Explode group

Explode: Breaks up the current object into multiple elements or objects based on the angles of its edges. This function is available in Object mode as well as all sub-object levels except Vertex and Edge.

The angle threshold spinner, to the right of the Explode button, lets you specify the angle between faces below which separation will not occur. For example, all sides of a box are at 90-degree angles to each other. If you set the spinner to 90 or above, exploding the box changes nothing. However, at any setting below 90, the sides all become separate objects or elements.

To: Objects/Elements: Specifies whether the exploded faces become the separate objects or elements of the current object.

Remove Isolated Vertices: Deletes all isolated vertices in the object regardless of the current selection.

View Align: Aligns all vertices in selected objects to the plane of the active viewport. If a sub-object level is active, this function affects only selected vertices or those belonging to selected sub-objects.

In the case of orthographic viewports, using View Align has the same effect as aligning to the construction grid when the home grid is active. When aligning to a perspective viewport (including camera and light views), the vertices are reoriented to be aligned to a plane that is parallel to the camera’s viewing plane. This plane is perpendicular to the view direction that is closest to the vertices’ average position.

Grid Align: Aligns all vertices in selected objects to the plane of the current view. If a sub-object level is active, function aligns only selected sub-objects.

This function aligns the selected vertices to the current construction plane. The current plane is specified by the active viewport in the case of the home grid. When using a grid object, the current plane is the active grid object.

Surface Properties rollout

Note: The Surface Properties rollout is available only for editable mesh objects; it does not appear in the Modify panel for an object to which the Edit Mesh modifier is applied.

Subdivision Displacement: When on, the program subdivides faces to accurately displace the mesh, using the method and settings you specify in the Subdivision Presets and Subdivision Method group boxes. When off, the program displaces the mesh by moving existing vertices, the way the Displace modifier does. Default=off.

Split Mesh: Affects the seams of displaced mesh objects; also affects texture mapping. When on, the program splits the mesh into individual faces before displacing them; this helps preserve texture mapping. When off, the program uses an internal method to assign texture mapping. Default=On.

Tip: This parameter is required because of an architectural limitation in the way displacement mapping works. Turning Split Mesh on is usually the better technique, but it can cause problems for objects with clearly distinct faces, such as boxes, or even spheres. A box's sides might separate as they displace outward, leaving gaps. And a sphere might split along its longitudinal edge (found in the rear for spheres created in the Top view) unless you turn off Split Mesh.

Subdivision Presets and Subdivision methods groups

The controls in these two groups specify how the program applies the displacement map when Subdivision Displacement is turned on.

Subdivision Presets

Lets you choose a preset low, medium, or high quality surface approximation. While a preset is chosen, the values it uses are displayed on the Subdivision Method rollout.

Low: Selects a (comparatively) low-quality surface approximation. These are the default values:

Viewports, Base Surface:

Method=Spatial and Curvature
Edge=50.0
Distance=50.0
Angle=50.0
Merge=0.0
Advanced Parameters > Minimum=0, Maximum=3

Medium: (The default for viewports.) Selects a medium-quality surface approximation. These are the default values:

Viewports, Base Surface:

Method=Spatial and Curvature
Edge=20.0
Distance=20.0
Angle=15.0
Merge=0.0
Advanced Parameters > Minimum=0, Maximum=3

High: Selects a high-quality surface approximation. These are the default values:

Viewports, Base Surface:

Method=Spatial and Curvature
Edge=5.0
Distance=15.0
Angle=10.0
Merge=0.0
Advanced Parameters > Minimum=0, Maximum=3

Subdivision Method group

The controls in this group affect the display of the surface in the viewports. Generally speaking, if the preset values you have chosen give good results, you don't need to adjust the controls on this group. Adjust them if you encounter problems with the preset alternative.

Tip: Choose the method that gives the result you need. If you use modifiers heavily, Spatial might be better than Curvature, because of their regular tessellation. Curvature-dependent tessellation can cause problems with some modifiers.

Regular: Generates a fixed tessellation across the surface based on the Steps parameter. Increasing Steps increases accuracy at a cost of speed, and vice versa, but in general this can be the quickest and least accurate way to approximate a surface.

Spatial: Generates a uniform tessellation made of triangular faces.

The Edge parameter specifies the maximum length of a triangular face in the tessellation. The value is a percentage of the object's bounding box. Decreasing this value increases accuracy.

Curvature: Generates a variable tessellation based on the curvature of the surface. The tessellation has a finer grain where the surface is more curved. Changing surface curvature dynamically changes the curvature tessellation.

The Distance parameter specifies how far the approximation can deviate from the actual surface. Distance is a percentage of the diagonal of each surface's bounding box. Each surface in an object is tessellated based on its size, independently of other surfaces. Scaling a surface doesn't change its tessellation. Decreasing this value increases accuracy. When you set Distance to 0.0, the software ignores this parameter and uses the Angle to control accuracy.

The Angle parameter specifies the maximum angle between faces in the approximation. Decreasing this value increases accuracy. When you set Angle to 0.0, the software ignores this parameter and uses Distance to control accuracy.

When both Distance and Angle are 0.0, the surfaces degenerate and can become flat surfaces.

Spatial and Curvature: Combines the spatial (edge-length) method and the curvature (distance and angle) methods, using all three values.

The Edge parameter specifies the maximum length of a triangular face in the tessellation. The value is a percentage of the object's bounding box. Decreasing this value increases accuracy. When you set Edge to 0.0, the effect is equivalent to the Curvature method.

The Distance parameter specifies how far the approximation can deviate from the actual surface. Distance is a percentage of the diagonal of each surface’s bounding box. Each surface in an object is tessellated based on its size, independently of other surfaces. Scaling a surface doesn’t change its tessellation. Decreasing this value increases accuracy. When you set Distance to 0.0, the software ignores this parameter and uses the Edge and Angle values to control accuracy.

The Angle parameter specifies the maximum angle between faces in the approximation. Decreasing this value increases accuracy. When you set Angle to 0.0, the software ignores this parameter and uses the Edge and Distance values to control accuracy.

When Distance, Angle, and Edge are all 0.0, the surfaces degenerate and can become flat surfaces.

View-Dependent When turned on, takes the object's distance from the camera into account while calculating tessellation.

Note: When View-Dependent is on, tessellation quickly reaches the maximum subdivision limit. You might want to increase this value to 7 (the greatest value allowed). See the description of Advanced Parameters, below.

Advanced Parameters: Click to display the Advanced Displacement Approximation dialog. The parameters in this dialog apply to the Spatial, Curvature, and Spatial and Curvature approximation methods.


Editable Mesh (Vertex)

Select an editable mesh object. > Modify panel > Selection rollout > Vertex

Select an editable mesh object. > Modify panel > Modifier Stack display > Editable Mesh rollout > Vertex

Select an editable mesh object. > Quad menu > Tools 1 quadrant > Sub-Objects sub-menu > Vertex

Vertices are points in space: they define the structure of faces. When vertices are moved or edited, the faces they form are affected as well. Vertices can also exist independently; such isolated vertices can be used to construct faces.

When in Editable Mesh (Vertex) mode, you can select single and multiple vertices and move them using standard methods. This topic covers the Edit Geometry rollout; for other controls, see Editable Mesh.

Procedure

To select vertices by color:

  1. In the Surface Properties rollout, click the Existing Color swatch, and specify the color of vertex you want in the Color Selector.

  2. Specify ranges in the RGB Range spinners. This lets you select vertices that are close to the specified color, but don't match exactly.

  3. Click the Select button.

    All vertices matching the color, or within the RGB range, are selected.

    You can add to the selection by holding CTRL when you press the Select button, and you can subtract from the selection by holding the ALT key.

    Tip: You can select all vertices of the same color by first selecting the vertex you want matched, dragging a copy of the Edit Color swatch to the Existing Color swatch, and then clicking the Select button. (If you want an exact match, be sure to set the RGB Range spinners to 0 first.)

Interface

Selection rollout

See Editable Mesh for information on the Selection rollout settings.

Soft Selection rollout

Soft Selection controls affect the action of sub-object Move, Rotate, and Scale functions. When these are on, the program applies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect with a sphere of influence around the transformation.

For more information, see Soft Selection rollout.

Edit Geometry rollout

Create: Lets you add vertices to a single selected mesh object. After selecting the object and clicking Create, click anywhere in space to add free-floating vertices to the object. The new vertices are placed on the active construction plane.

Delete: Deletes selected vertices and any attached faces.

Attach: Attaches another object in the scene to the selected mesh. You can attach any type of object, including splines and patch objects. Attaching a non-mesh object converts it to a mesh. Click the object you want to attach to the currently selected mesh object.

For further details, see Attach.

Detach: Detaches the selected vertices and all attached faces as a separate object or element. The Detach As Clone option copies the faces rather than moving them.

You're prompted to enter a name for the new object. Detached faces leave a hole in the original object when you move them to a new position.

Break: Creates a new vertex for each face attached to selected vertices, allowing the face corners to be moved away from each other where they were once joined at the original vertex. If a vertex is isolated or used by only one face, it is unaffected.

Chamfer group

The Chamfer controls let you bevel object corners using a chamfer function. You can apply this effect interactively (by dragging vertices) or numerically (using the Chamfer spinner).

Chamfer: Click this button, and then drag vertices in the active object. The Chamfer Amount spinner updates to indicate the chamfer amount as you drag.

If you drag one or more selected vertices, all selected vertices are chamfered identically. If you drag an unselected vertex, any selected vertices are first deselected.

A vertex chamfer "chops off" the selected vertices, creating a new face connecting new points on all visible edges leading to the original vertex. These new points are exactly <chamfer amount> distance from the original vertex along each of these edges. New chamfer faces are created with the material ID of one of the neighboring faces (picked at random) and a smoothing group which is an intersection of all neighboring smoothing groups.

For example, if you chamfer one corner of a box, the single corner vertex is replaced by 3 vertices moving along the 3 visible edges that lead to the corner. Outside faces are rearranged and split to use these 3 new vertices, and there's a new triangle created at the corner.

Chamfer Amount: Adjust this spinner (to the right of the Chamfer button) to apply a chamfer effect to selected vertices.

Cut & Slice group

For details, see Cut & Slice. Note that Cut does not work at the Vertex sub-object level.

Weld group

Selected: Welds selected vertices that fall within the tolerance specified in the Weld Threshold spinner (to the button's right). All line segments become connected to the resulting single vertex.

Target: Enters weld mode, which allows you to select vertices and move them around. While moving, the cursor changes to the Move cursor as usual, but when you position the cursor over an unselected vertex the cursor changes to a + cursor. Release the mouse at that point to weld all selected vertices to the target vertex they were dropped on.

The pixels spinner to the right of the Target button sets the maximum distance in screen pixels between the mouse cursor and the target vertex.

Remove Isolated Vertices: Deletes all isolated vertices in the object, regardless of the current selection.

View Align: Aligns selected vertices to the plane of the active viewport. In the case of orthographic viewports, this is the same effect as aligning to the construction grid when the home grid is active. When aligning to a perspective viewport (including camera and light views), the vertices are reoriented to be aligned to a plane that is parallel to the camera's viewing plane. (Perspective viewports have invisible camera planes.) In these cases, the selection of vertices is not translated but only rotated.

Grid Align: Aligns the selected vertices to the current construction plane. The current plane is specified by the active viewport in the case of the home grid. When using a grid object, the current plane is the active grid object.

Make Planar: Forces all selected vertices to become coplanar. The plane's normal is the average surface normal of all faces attached to the selected vertices.

Collapse: Collapses selected vertices into an averaged vertex.

Surface Properties rollout

These controls let you set the weight and color for vertices.

Weight: Displays and lets you change vertex weights for NURMS operations (see MeshSmooth Modifier).

Edit Vertex Colors group

Use these controls to assign the color, illumination color (shading), and alpha (transparency) values of selected vertices.

Color: Click on the color swatch to change the color of selected vertices.

Illumination: Click on the color swatch to change the illumination color of selected vertices. This lets you change the illumination of a vertex without changing the vertex's color.

Alpha: Lets you assign an alpha (transparency) value to selected vertices.

The spinner value is a percentage; zero is completely transparent and 100 is completely opaque.

Select Vertices By Group

Color and Illumination radio buttons: These buttons determine whether to select vertices by vertex color values or vertex illumination values.

Color Swatch: Displays the Color Selector, where you can specify a color to match.

Select: Depending on which radio button is selected, selects all vertices whose vertex color or illumination values either match the color swatch, or are within the range specified by the RGB spinners.

Range: Specifies a range for the color match. All three RGB values in the vertex color or illumination must either match the color specified by the Color swatch in Select By Vertex Color, or be within plus or minus the values in the Range spinners. Default=10.


Editable Mesh (Edge)

Select an editable mesh object. > Modify panel > Selection rollout > Edge

Select an editable mesh object. > Modify panel > Modifier Stack display > Editable Mesh rollout > Edge

Select an editable mesh object. > Quad menu > Tools 1 quadrant > Sub-Objects sub-menu > Edge

An edge is a line, visible or invisible, forming the side of a face and connecting two vertices. Two faces can share a single edge.

When in Editable Mesh (Edge) mode, you can select single and multiple edges and transform them using standard methods. This topic covers the Edit Geometry rollout; for other controls, see Editable Mesh.

Procedure

To create a shape from one or more edges:

  1. Select the edges you want to make into shapes.

  2. On the Edit Geometry rollout, click Create Shape From Edges.

  3. Make changes, as needed, on the Create Shape dialog that appears.

    • Enter a curve name or keep the default.

    • Choose Smooth or Linear as the Shape Type.

    • Turn on Ignore Hidden Edges to exclude hidden edges from the calculation, or turn this feature off.

  4. Click OK.

    The resulting shape consists of one or more splines whose vertices are coincident with the vertices in the selected edges. The Smooth option results in vertices using smooth values, while the Linear option results in linear splines with corner vertices.

    When you region-select edges, all edges are highlighted, including hidden edges, which are displayed as dashed lines. As a default, the Create Shape function ignores the hidden edges, even though they're selected. Turn off Ignore Hidden Edges if you want to include the hidden edges in the calculation.

    If the selected edges are not continuous, or if they branch, the resulting shape will consist of more than one spline. When the Create Shape function runs into a branching 'Y' in the edges, it makes an arbitrary decision as to which edge produces which spline. If you need to control this, select only those edges that will result in a single spline, and perform Create Shape repeatedly to make the correct number of shapes. Finally, use Attach in the Editable Spline to combine the shapes into one.

Original object (top) and object with edges selected (bottom)

Selected edges removed from original object (top) and unwanted edges removed (bottom)

Interface

Selection rollout

See Editable Mesh for information on the Selection rollout settings.

Soft Selection rollout

Soft Selection controls affect the action of sub-object Move, Rotate, and Scale functions. When these are on, gmax applies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect with a sphere of influence around the transformation.

For more information, see Soft Selection rollout.

Edit Geometry rollout

Delete: Deletes selected edges and both faces attached to each edge.

Attach: Lets you attach another object in the scene to the selected mesh. You can attach any type of object, including splines and patch objects. Attaching a non-mesh object converts it to a mesh. Click the object you want to attach to the currently selected mesh object.

For further details, see Attach.

Divide: Lets you divide edges into two edges with a new vertex where you clicked. Click Divide, and then select an edge to be divided. Each edge is divided where you click it. You can click as many edges as you want divide, in sequence. To stop dividing, click Divide again or right-click.

Turn: Rotates the edge within its bounding. All mesh objects in gmax are composed of triangular faces, but by default, most polygons are depicted as quadrilaterals, with a hidden edge dividing each quad into two triangles. Turn lets you change the direction in which the hidden edge (or any other) runs, thus affecting how the shape changes when you transform sub-objects directly, or indirectly with a modifier.

Extrude & Chamfer group

These controls let you extrude edges and bevel them using a chamfer function. Edge extrusion works in a fashion similar to face extrusion. You can apply both effects interactively (by dragging on edges) or numerically (using spinners).

Extruded edges seen in a wireframe and a shaded viewport

Extrude: Click this button and then either drag to extrude the selected edge(s), or adjust the Extrude spinner to perform the extrusion. You can select different edges to extrude while Extrude is active.

Extrude Amount: This spinner (to the right of the Extrude button) lets you specify the amount to extrude the edge. Select one or more edges, and then adjust the spinner.

Chamfer: Click this button and then drag edges in the active object. The Chamfer spinner updates to indicate the chamfer amount as you drag.

If you drag one or more selected edges, all selected edges are chamfered identically. If you drag an unselected edge, any selected edges are first deselected.

An edge chamfer "chops off" the selected edges, creating new edges that move along the faces on either side by <chamfer amount>. Some vertex chamfering is done at the ends to make this behavior work with the rest of the mesh. New chamfer faces are created with the material ID of one of the neighboring faces (picked at random) and a smoothing group which is an intersection of all neighboring smoothing groups.

Chamfer Amount: Adjust this spinner (to the right of the Chamfer button) to apply a chamfer effect to selected edges.

Cut and Slice group

Lets you subdivide edges with either cut or slice tools to create new vertices, edges and faces. For details, see Cut & Slice.

Remove Isolated Vertices: Deletes all isolated vertices in the object regardless of the current selection.

Select Open Edges: Selects all edges with only one face. In most objects, this shows you where missing faces exist.

Create Shape from Edges: After selecting one or more edges, click this button to create a spline shape from the selected edges. A Create Shape dialog appears, letting you name the shape, set it to Smooth or Linear, and ignore hidden edges. The new shape's pivot is placed at the center of the mesh object.

View Align: Aligns selected edges to the plane of the active viewport. In the case of orthographic viewports, this is the same effect as aligning to the construction grid when the home grid is active. When aligning to a perspective viewport (including camera and light views), the edges are reoriented to be aligned to a plane that is parallel to the camera's viewing plane. (Perspective viewports have invisible camera planes.) In these cases, the selection of edges is not translated but only rotated.

Grid Align: Aligns the selected edges to the current construction plane. The current plane is specified by the active viewport in the case of the home grid. When using a grid object, the current plane is the active grid object.

Make Planar: Forces all selected edges to become coplanar. The plane's normal is the average surface normal of all faces attached to the selected edges.

Collapse: Collapses selected edges by welding the vertex at one end of each selected edge to the vertex at the other end.

Surface Properties rollout

These controls affect the visibility of the edges. Invisible edges (also called construction lines) appear in the viewports when Edges Only is turned off in the Display command panel, or when you're editing at the Edge sub-object level.

Visible: Makes selected edges visible.

Invisible: Makes selected edges invisible, so they won't be displayed in Edges Only mode.

Auto Edge group

Auto Edge: Automatically determines edge visibility based on the angle between the faces that share the edge, with the angle set by the Threshold spinner to its right.

Clicking Auto Edge can have one of three effects, depending on which radio button is active (Set means to make an invisible edge visible; Clear means to make a visible edge invisible):

  • Set and Clear Edge Vis: Can change the visibility of all selected edges depending on the Threshold setting.

  • Set: Makes previously invisible edges visible only if they exceed the Threshold setting; does not clear any edges.

  • Clear: Makes previously visible edges invisible only if they are less than the Threshold setting; does not make any edges visible.


Editable Mesh (Face/Polygon/Element)

Select an editable mesh object. > Modify panel > Selection rollout > Face/Polygon/Element

Select an editable mesh object. > Modify panel > Modifier Stack display > Editable Mesh rollout > Face/Polygon/Element

Select an editable mesh object. > Quad menu > Tools 1 quadrant > Sub-Objects sub-menu > Face/Polygon/Element

A face is the smallest possible mesh object: a triangle formed by three vertices. While a vertex can exist as an isolated point in space, a face cannot exist without vertices.

When in Editable Mesh (Face) mode, you can select single and multiple faces and transform them using standard methods. This is also true for the Polygon and Element sub-object levels; for the distinctions between face, polygon, and element, see Editable Mesh > Selection rollout. This topic covers the Edit Geometry rollout functions for these sub-object types; for other controls, see Editable Mesh.

Interface

Selection rollout

See Editable Mesh for information on the Selection rollout settings.

Soft Selection rollout

Soft Selection controls affect the action of sub-object Move, Rotate, and Scale functions. When these are on, gmaxapplies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect with a sphere of influence around the transformation.

For more information, see Soft Selection rollout.

Edit Geometry rollout

Create: To create faces, click Create. All vertices in the object are highlighted, including isolated vertices left after deleting faces. Next, click existing vertices (the cursor changes to a cross, indicating that it's over a vertex) in a blank area of the viewport to create a new vertex on the active grid. You can start creating faces in any viewport, but all subsequent clicks must take place in the same viewport. At the Face and Element sub-object levels, a new face is created after every third click. At the Polygon sub-object level, you can continue clicking as many times as you like to add vertices to the new polygon. To finish drawing a new polygon, click twice, or click again on any existing vertex in the current polygon.

Delete: Deletes selected sub-objects.

Attach: Attaches another object in the scene to the selected mesh. You can attach any type of object, including splines and patch objects. Attaching a non-mesh object converts it to a mesh. Click the object you want to attach to the currently selected mesh object.

For further details, see Attach.

Detach: Detaches the selected faces as a separate object (the default) or as an element of the current object. The Detach as Clone option copies the faces rather than moving them.

You're prompted to enter a name for the new object. Detached faces leave a hole in the original object when you move them to a new position, unless you use the Detach as Clone option.

Divide: Subdivides faces into three smaller faces. This function applies to faces even if you're in Polygon or Element sub-object level. Click Divide, and then select a face to be divided. Each face is subdivided where you click it. You can click as many faces as you want divided, in sequence. To stop dividing, click Divide again or right-click.

Extrude & Bevel group

These controls let you extrude and bevel faces and polygons, as well as some elements. The latter are typically made up of several faces and do not fully enclose a volume. Extruding an element that fully encloses a volume, such as an attached sphere, simply translates the element.

Extruding faces moves them along a normal and creates new faces that form the sides of the extrusion, connecting the selection to the object. Beveling adds a second step that lets you scale the extruded faces.

Chamfer box showing extruded face

Extruded face beveled in two different directions

You can extrude and bevel faces by dragging or by using keyboard/spinner entry.

Extrude: Click this button, and then drag vertically on any face to extrude it.

  • When over a selected face, the mouse cursor changes to an Extrude cursor.

  • With multiple faces selected, dragging on any one extrudes all selected faces equally.

  • You can drag other faces in turn to extrude them while the Extrude button is active. Click Extrude again or right-click in the active viewport to end the operation.

Extrusion: This spinner (to the right of the Extrude button) lets you extrude selected faces outward or inward, depending on whether the value is positive or negative.

Bevel: Click this button, and then drag vertically on any face to extrude it. Release the mouse button and move the mouse vertically to bevel the extrusion. Click to finish.

  • When over a selected face, the mouse cursor changes to a Bevel cursor.

  • With multiple faces selected, dragging on any one bevels all selected faces equally.

  • You can drag other faces in turn to bevel them while the Bevel button is active. Click Bevel again or right-click to end the operation.

Outlining: This spinner (to the right of the Bevel button) lets you scale selected faces bigger or smaller, depending on whether the value is positive or negative. It is normally used after an extrusion for beveling the extruded faces.

Normal: With Normal set to Group (the default), extrusion takes place along the averaged normal of each contiguous group of faces. If you extrude multiples of such groups, each group moves along its own averaged normal. If you set Normal to Local, extrusion takes place along each selected face's normal.

Cut & Slice group

The Cut and Slice functions are available in Face, Polygon, and Element modes as of gmax. For details, see Cut & Slice.

Tessellate group

Use these controls to tessellate (subdivide) selected faces. Tessellation is useful for increasing local mesh density while modeling. You can subdivide any selection of faces. Two tessellation methods are available: Edge and Face-Center.

Tessellate: Click to tessellate selected faces, based on the Edge, Face-Center, and Tension (spinner) settings.

Original selection (top), tessellated once (center), and tessellated twice (bottom)

Tension: (Active only when Tessellate by Edge is active.) This spinner, to the right of the Tessellate button, lets you increase or decrease the Edge tension value. A negative value pulls vertices inward from their plane, resulting in a concave effect. A positive value pulls vertices outward from their plane, resulting in a rounding effect.

By Edge/Face-Center: Edge inserts vertices in the middle of each edge and draws three lines connecting those vertices. As a result, four faces are created out of one face. (To see this at the Polygon or Element sub-object level, turn off Display panel > Display Properties rollout > Edges Only.)

Face-Center adds a vertex to the center of each face and draws three connecting lines from that vertex to the three original vertices. As a result, three faces are created out of one face.

Set of polygons showing Face-Center tessellation

Explode group

Use these controls to detach selected faces from each other.

Explode: Explodes the selected faces into multiple elements or objects based on the angles of its edges.

Exploded faces (white) removed from tessellated faces

The angle threshold spinner, to the right of the Explode button, lets you specify the angle between faces below which separation will not occur. For example, all sides of a box are at 90-degree angles to each other. If you set the spinner to 90 or above, exploding the box changes nothing. However, at any setting below 90, the sides all become separate objects or elements.

To Objects/Elements: Specifies whether the exploded faces become the separate objects or elements of the current object.

Remove Isolated Vertices: Deletes all isolated vertices in the object regardless of the current selection.

View Align: Aligns selected faces to the plane of the active viewport. In the case of orthographic viewports, this is the same effect as aligning to the construction grid when the home grid is active.

When aligning to a Perspective viewport (or Camera and Light views), the faces are reoriented to be aligned to a plane that is parallel to the camera's viewing plane (perspective viewports have invisible camera planes.). In these cases, the selection of faces is not translated but only rotated.

Selected faces in Perspective view (left); same faces aligned to Front view (right)

Grid Align: Aligns the selected faces to the current construction plane. The current plane is specified by the active viewport in the case of the home grid. When using a grid object, the current plane is the active grid object.

Make Planar: Forces all selected faces to become coplanar. The plane's normal is the average surface normal of the selected faces.

One application for Make Planar is making a flat side on an object. Normally, you would use a contiguous selection set. If the selection includes faces on various parts of the object, the faces are still made planar, but with distorting effects on the rest of the geometry.

Collapse: Collapses selected faces by welding their vertices to the vertex in the center.

Surface Properties rollout

These controls let you work with face normals, material IDs, smoothing groups and vertex colors.

Normals group

Flip: Reverses the direction of the surface normals of the selected faces.

Unify: Flips the normals of an object so that they all point in the same direction, usually outward. This is useful for restoring an object's faces to their original orientations. Sometimes normals of objects that have come into gmax as part of a DXF file are irregular, depending on the methods used to create the objects. Use this function to correct them.

Flip Normal Mode: Flips the normal of any face you click. To exit, click this button again or right-click anywhere in the program interface.

Tip: The best way to use Flip Normal mode is to set up your viewport to display with Smooth+Highlight and Edged Faces turned on. If you use Flip Normal mode with default settings, you'll be able to flip a face away from you, but you won't be able to flip it back. For best results, turn off Ignore Backfacing in the Selection rollout. This lets you click any face and flip the direction of its normal, regardless of its current direction.

Material group

ID: Lets you assign a particular material ID number to selected faces (polygons, elements) for use with multi/sub-object materials. Use the spinner or enter the number from the keyboard. The total number of available IDs is 65,535.

Select by ID: Displays a Select By Material ID dialog that you use to enter a material ID number. Clicking OK selects the faces assigned that material ID. If Clear Selection is on, any previously selected faces are first deselected. If Clear Selection is off, the new selection is added to any previous selection set.

Smoothing Groups group

Use these controls to assign selected faces to different smoothing groups, and to select faces by smoothing group.

To assign faces to one or more smoothing groups, select the faces, and then click the number(s) of the smoothing group(s) to assign them to.

Select by SG (Smoothing Group): Displays a dialog that shows the current smoothing groups. Select a group by clicking the corresponding numbered button and clicking OK. If Clear Selection is on, any previously selected faces are first deselected. If Clear Selection is off, the new selection is added to any previous selection set.

Clear All: Removes any smoothing group assignments from selected faces.

Auto Smooth: Sets the smoothing groups based on the angle between faces. Any two adjacent faces will be put in the same smoothing group if the angle between their normals is less than the threshold angle, set by the spinner to the right of this button.

Threshold: This spinner (to the right of Auto Smooth) lets you specify the maximum angle between the normals of adjacent faces that determines whether those faces will be put in the same smoothing group.

Edit Vertex Colors group

Use these controls to assign the color, illumination color (shading), and alpha (transparency) values of vertices on the selected face(s).

Color: Click on the color swatch to change the color of vertices on the selected face(s). Assigning vertex colors at the face level prevents blending across the face(s).

Illumination: Click on the color swatch to change the illumination color of vertices on the selected face(s). This lets you change the illumination without changing the vertex's color.

Alpha: Lets you assign an alpha (transparency) value to vertices on the selected face(s).

The spinner value is a percentage; zero is completely transparent and 100 is completely opaque.


Soft Selection Rollout (Edit/Editable Mesh)

Soft Selection Rollout

Select an editable patch, editable mesh, or editable spline, or an object that has an Edit Mesh, Edit Patch, or Edit Spline modifier applied to it. > Modify panel > Choose a sub-object level. > Soft Selection rollout

The Soft Selection controls make a sub-object selection behave as if surrounded by a "magnetic field." Unselected sub-objects within the field are drawn along smoothly while you transform the sub-object selection, the effect diminishing with distance. If a sub-object selection is passed up the modifier stack, and Use Soft Selection is on, the results of modifiers such as Bend and XForm that deform the object are affected by the Soft Selection parameter values.

The controls in this dialog let you modify Soft Selection parameters. All sub-object levels share the same Soft Selection parameter values. Soft Selection is available for mesh, poly, patch, and spline objects.

Interface

Note: The keyboard shortcuts listed here require that the Keyboard Shortcut Override Toggle be turned on.

Use Soft Selection: Affects the action of Move, Rotate, and Scale functions within editable object or edit modifier, and the action of deformation modifiers applied to the object if they are operating on a sub-object selection. When on, gmax applies a spline curve deformation to the unselected sub-objects surrounding the selection that you transform. To take effect, this check box must be on before moving the selection.

Edge Distance: This spinner setting limits the region affected by the number of edges between the selection and the affected vertices. The affected region is measured in terms of "edge-distance" space, along the surface, rather than real space.

Affect Backfacing: When on, deselected sub-objects whose normals (or, in the case of vertices and edges, the normals of faces to which they're attached) are facing in the opposite direction to the average normal of the selected sub-objects, are affected by the soft selection influence. Turn off Affect Backfacing when you want to pull faces of a thin object, such as a thin box, but don't want to affect faces on the other side of the object.

Note: Affect Backfacing is not available when editing splines.

Falloff: Distance in current units from the center to the edge of a sphere defining the affected region. Use higher falloff settings to achieve more gradual slopes, depending on the scale of your geometry. Default=20.

Note: At the Vertex sub-object level, the region specified by the Falloff setting is depicted graphically in the viewports as a vertex-color gradient from the Sub-selection color (normally red) to the Vertex Ticks color (normally blue). In addition, this gradient is updated in real time as you change the Falloff setting.

Pinch: Raises and lowers the top point of the curve along the vertical axis. Sets the relative "pointedness" of the region. When negative, a crater is produced instead of a point. At a setting of 0, Pinch produces a smooth transition across this axis. Default=0.

Bubble: Expands and contracts the curve along the vertical axis. Sets the relative "fullness" of the region. Limited by Pinch, which sets a fixed starting point for Bubble. A setting of 0 for Pinch and 1.0 for Bubble produces a maximum smooth bulge. Negative values for Bubble move the bottom of the curve below the surface, creating a "valley" around the base of the region. Default=0.

Soft Selection Curve: Graphically displays how Soft Selection will work. You can experiment with a curve setting, undo it, and try another setting with the same selection.


Attach Options Dialog

Select an editable mesh object. > Modify panel > Attach button

The Attach Options dialog appears when you attach two or more objects to which materials have been assigned. It provides three different methods of combining the sub-materials and the material IDs in the two objects.

Interface

Match Material IDs to Material: The number of material IDs in the attached objects are modified so they are no greater than the number of sub-materials assigned to those objects. For example, if you have a box with only two sub-materials assigned to it, and you attach it to another object, the box will have only two material IDs, instead of the six it was assigned on creation.

Match Material to Material IDs: Maintains the original ID assignment in the attached objects by adjusting the number of sub-materials in the resulting multi/sub-object material. For example, if you attach two boxes, both assigned single materials, but with their default assignment of 6 material IDs, the result would be a multi/sub-object material with 12 sub-materials (six containing instances of one box's material, and six containing instances of the other box's material). Use this option when it's important to maintain the original material ID assignments in your geometry.

Note: If you want to make the instanced sub-materials unique, select them in Track View, and click the Make Unique button on the Track View toolbar.

Do Not Modify Mat IDs or Material: Does not adjust the number of sub-materials in the resulting sub-object material. Note that, if the number of material IDs in an object is greater than the number of sub-materials in its multi/sub-object material, then the resulting face-material assignment might be different after the attach.

Condense Material IDs: Affects the Match Material IDs To Material option. When this is turned on, duplicate sub-materials or sub-materials that aren't used in the objects are removed from the multi/sub-object material that results from the attach operation.

Tips

  • In most cases, use the first option (Match Material IDs to Material) while keeping Condense Material IDs selected. This maintains the appearance of the objects, and results in the fewest additional sub-materials or IDs.

  • Use the second option (Match Material to Material IDs) when you need to maintain the original material ID assignments.

  • Leave Condense Material IDs selected unless you have an unassigned sub-material that you want to keep for future assignment.

  • Perform Edit menu > Hold before performing the attach.


Cut and Slice

Select an editable mesh object. > Modify panel > Selection rollout > (Optional: Choose a sub-object level.) > Edit Geometry rollout > Cut and Slice group box

The tools available in the Cut and Slice group let you subdivide edges and faces to create new vertices, edges, and faces. You can slice an editable mesh object at any sub-object level; the Cut tool is available at every sub-object level except the Vertex sub-object level.

Procedures

To create a new face using Cut:

  1. Convert the geometry to an editable mesh.

  2. On the Modify panel, choose the object's Edge (or Face, Polygon, or Element) sub-object level.

  3. On the Selection rollout, turn on Ignore Backfacing.

  4. On the Edit Geometry rollout, in the Cut and Slice group, click the Cut button.

  5. Click the first edge you want to subdivide, and then move your cursor toward the second edge. The cursor changes to a plus sign when over an edge, and a dotted line connects the initial point where the edge was clicked with the current cursor location.

  6. Click the second edge. This edge can be anywhere, cutting across as many faces as you like. A new visible edge appears.

  7. At this point, a new dotted line is connected to the mouse cursor, originating from the last point you clicked.

  8. Continue clicking edges to cut. To start from a different point, right-click, and then select the new start point. To finish cutting, right-click twice.

    Before and after applying Cut to selected faces

    You can use Snaps with Cut. To divide an edge in half, set Snaps to midpoint. To start or end a cut at a vertex, set snap to vertex or endpoint.

To create multiple slices:

  1. Select an editable mesh.

  2. On the Modify panel, choose any sub-object level.

  3. Select one or more sub-objects. Slice affects only selected sub-objects in face, poly, or element sub-object. No selection is necessary in edge or vertex sub-object.

  4. In the Cut And Slice group box, click the Slice Plane button.

  5. Position and rotate the Slice Plane gizmo to where you want the first slice.

  6. Click the Slice button. The object is sliced.

  7. If you want, move the Slice Plane to a second position and click the Slice button again.

  8. Click the Slice Plane button again to turn it off and see the results.

  9. To better understand what has happened, turn off Edges Only in the Display panel.

    Slice gizmo placed for first slice (top) and second slice (bottom)

Interface

Note: The keyboard shortcuts listed here require that the Keyboard Shortcut Override Toggle be turned on.

Cut and Slice group

Slice Plane: Creates a gizmo for a slice plane that can be positioned and rotated where you want to slice the edges. Also enables the Slice button.

Slice: Performs the slice operation at the location of the slice plane. The Slice button is available only when the Slice Plane button is highlighted. This tool slices the mesh just like the Slice modifier in “Operate On: Face” mode.

Note: Slice works only on a sub-object selection. Make the selection before activating Slice Plane.

Cut: Lets you divide a edge at any point, then divide a second edge at any point, creating a new edge or edges between the two points. Clicking the first edge sets the first vertex. A dotted line tracks the cursor movement until you click a second edge. A new vertex is created at each edge division. Alternately, double-clicking an edge simply divides that edge at the point clicked, with invisible edges on either side.

You can use Cut to cut across any number of faces, even across an entire object. Click one edge to start the cut, and a second edge to end the cut.

Use Snaps with Cut for precision. Cut honors Midpoint, Endpoint, and Vertex snaps.

Important: When using the Cut tool to add new edges, you should work in a non-Perspective viewport, such as Front or User. If you use Cut while working in a Perspective viewport, you may find that the created edges appear to jump or aren't placed correctly. Using an orthogonal viewport will allow the cuts to appear where you click.

Split: When on, the Slice and Cut operations create double sets of vertices at the points where the edges are divided. This lets you easily delete the new faces to create holes, or animate the new faces as separate elements.

Refine Ends: When on, adjacent faces at the ends of the cut are also divided by additional vertices, so that the surface stays contiguous. When Refine Ends is off, the surface will have a seam where the new vertex meets the adjacent face. For this reason, it’s a good idea to keep Refine Ends turned on, unless you are sure that you don’t want the extra vertices created.

Refine Ends affects only Cut. It does not affect Slice.

Note: When performing a Cut, turn on Selection rollout > Ignore Backfacing to avoid accidentally selecting edges on the back side of the mesh.


Advanced Displacement Approximation Dialog

Select an editable mesh object. > Modify Panel > Surface Properties rollout > Advanced Parameters button

This dialog sets parameters that control the tessellation used in the Spatial, Curvature, and Spatial and Curvature approximation methods.

Interface

Subdivision Style

Chooses the method used to subdivide the surface:

Grid: Subdivides the surface using a regular grid.

Tree: (The default.) Subdivides the surface using a binary tree.

Delaunay: Subdivides the surface using nearly equilateral triangles.

Delauney surface subdivision style

Subdivision Limits

For Grid or Tree subdivisions, the limits control the number of recursive decompositions that are performed during tessellation.

Minimum Subdivision Levels: Sets the minimum number of recursions. Default=0.

Maximum Subdivision Levels: Sets the maximum number of recursions. The maximum can be no greater than 7. Be careful: setting the maximum greater than 5 can result in massive face counts and poor performance. Default=3.

Maximum Number of Triangles

For Delaunay subdivision, the Maximum Number of Triangles lets you specify the maximum number of triangles into which the surface will be divided. Default=20000.


Editable Poly

Create or select an object. > Quad menu > Transform quadrant > Convert To sub-menu > Convert to Editable Poly

Editable Poly is an editable object. It's similar to the way the Edit Mesh modifier provides controls for manipulating an object as a triangular mesh object, except that the poly object has an additional vertex making it polygonal. There are five sub-object levels: vertex, edge, border, face, and element. For open spline objects, only vertices are available, because open splines have no polygons or edges when converted to polymeshes.

Note: Because the functionality of the Edit Mesh modifier is almost identical to that of Editable Poly, features described in the Editable Poly topics also apply to objects with Edit Mesh applied, except as noted.

To make a sub-object selection on a non-editable poly object (for example, a primitive) for passing up the stack to a modifier, use the Poly Select modifier.

Once you make a selection with Editable Poly, you have these options:

  • Use the options supplied on the Edit Geometry rollout to modify the selection. Later topics discuss these options for each of the polymesh components.

  • Transform or Shift-Clone the selection, as with any object.

  • Pass the selection to a later modifier in the stack. You can apply one or more standard modifiers to the selection.

  • Use the options on the Surface Properties rollout to alter the surface characteristics of selected polymesh components.

Note: You can exit most Editable Poly command modes, such as Extrude, by right-clicking in the active viewport.

Procedure

To produce an editable poly object:

First select the object, and then do one of the following:

  • In the Modify panel, right-click in the modifier stack display and choose Editable Poly from the Convert To list on the pop-up menu.

  • Right-click the object and choose Convert To Editable Poly from the Convert To sub-menu in the Transform quadrant of the quad menu.

  • Apply a modifier to a parametric object that turns the object into a poly object in the stack display, and then collapse the stack. (For example, you can apply a Poly Select modifier.)

    Converting an object to an editable poly removes all parametric controls, including the creation parameters. For example, you can no longer increase the number of segments in a box, slice a circular primitive, or change the number of sides on a cylinder. Any modifiers you apply to an object are collapsed as well. After conversion, the only entry left on the stack is "Editable Poly."

To maintain an object's creation parameters:

As described in the previous procedure, you can convert an existing object to an editable poly, which replaces the creation parameters in the stack with "Editable Poly." The creation parameters are no longer accessible or animatable. If you want to maintain the creation parameters, you can use the following modifiers:

Poly Select Modifier

Interface

Stack Display

For more information on the Stack Display, see Modifier Stack.

Show End Result: Normally, if you apply a modifier such as Twist to an editable-polymesh object and then return to the Editable Poly stack entry, you cannot see the effect of the modifier on the object's geometry. But if you turn on Show End Result while in sub-object level, you can see the final object as a white mesh, the original sub-object selection as a yellow mesh, and the original editable polymesh as an orange mesh.

Selection rollout

The Selection rollout provides buttons for turning different sub-object levels on and off, working with named selections and handles, display settings, and information about selected entities.

When you first access the Modify panel with an editable poly selected, you're at the Object level, with access to several functions available as described in Editable Poly (Object). You can toggle the various sub-object levels, and access relevant functions, by clicking the buttons at the top of the Selection rollout.

Clicking a button here is the same as selecting a sub-object type in the Stack View. Click the button again to turn it off and return to the Object selection level.

Vertex: Turns on Vertex sub-object level, which lets you select a vertex beneath the cursor; region selection selects vertices within the region.

Edge: Turns on Edge sub-object level, which lets you select a polygon edge beneath the cursor; region selection selects multiple edges within the region. When Edge sub-object level is on, hidden edges are displayed as dashed lines, allowing for more precise selection.

Border: Turns on Border sub-object level, which lets you select an area on a mesh that can generally be described as a hole. Areas like this are usually sequences of edges with faces on only one side. For example, a box doesn't have a border, but the teapot object has a couple of them: on the lid, on the body, on the spout, and two on the handle. If you create a cylinder, then delete the top face, the top row of edges forms a border.

When Border sub-object level is active, you can't select edges which aren't on borders. Clicking on a single edge on a border selects that whole border.

Borders can be capped (either in Editable Poly or by applying the Cap Holes modifier). They can also be connected to another object (compound object connect).

Polygon: Turns on Polygon sub-object level, which lets you select all coplanar polygons beneath the cursor. Region selection selects multiple polygons within the region.

Element: Turns on Element sub-object level, which lets you select all contiguous polygons in an object. Region selection lets you select multiple elements.

By Vertex: When you click a vertex, any edge that uses that vertex, depending on the current sub-object level, is also selected. Also works with Region Select.

Note: When By Vertex is on, you can select sub-objects only by clicking a vertex, or by using region selection.

Ignore Backfacing: When on, selection of sub-objects selects only those sub-objects whose normals are visible in the viewport. When off (the default), selection includes all sub-objects, regardless of the direction of their normals.

Note: The state of the Backface Cull setting in the Display panel does not affect sub-object selection. Thus, if Ignore Backfacing is off, you can still select sub-objects, even if you can't see them.

Hide: Hides any selected sub-objects. Edges and entire objects cannot be hidden.

Note: The Select Invert command on the gmax Edit menu is useful for selecting faces to hide. Select the polygons you want to focus on, choose Edit > Select Invert, then click the Hide button.

Unhide All: Restores any hidden objects to visibility. Hidden vertices can be unhidden only when in Vertex sub-object level.

Named Selections

Copy: Places a named selection into the copy buffer.

Paste: Pastes a named selection from the copy buffer.

For more information, see Named Selection Sets.

Selection Information

At the bottom of the Selection rollout is a text display giving information about the current selection. If 0 or more than one sub-object is selected, the text gives the number and type selected. If one sub-object is selected, the text gives the identification number and type of the selected item.

Soft Selection rollout

Soft Selection controls affect the action of sub-object Move, Rotate, and Scale functions. When these are on, gmax applies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect with a sphere of influence around the transformation.

For more information, see Soft Selection Rollout.

Edit Geometry rollout

The Edit Geometry rollout provides various functions for editing an editable poly object and its sub-objects. For specific information, click any of the links below:

Editable Poly (Object)

Editable Poly (Vertex)

Editable Poly (Edge)

Editable Poly (Border)

Editable Poly (Polygon/Element)


Editable Poly (Object)

Select an editable poly object. > Modify panel

Select an editable poly object. > Quad menu > Tools 1 quadrant > Sub-Objects sub-menu > Top Level

Editable Poly (Object) functions are available when no sub-object levels are active. These functions are also available at all sub-object levels, and work the same in each mode, except as noted below.

Interface

Edit Geometry rollout

Attach: Lets you attach another object in the scene to the selected editable poly. You can attach any type of object, including splines and patch objects. Attaching a non-mesh object converts it to editable-poly format. Click the object you want to attach to the currently selected poly object.

When you attach an object, the materials of the two objects are combined in the following way:

  • If the object being attached does not have a material assigned, it inherits the material of the object it is being attached to.

  • Likewise if the object you're attaching to doesn't have a material, it inherits the material of the object being attached.

  • If both objects have materials, the resulting new material is a multi/sub-object material that includes the input materials. A dialog appears offering three methods of combining the objects' materials and material IDs. For more information, see Attach Options Dialog.

Attach remains active in all sub-object levels, but always applies to objects.

Attach List: Lets you attach other objects in the scene to the selected mesh. Click to display a Select By Name dialog where you choose multiple objects to attach.

Shaded view of model (upper left); wireframe view of model (upper right); model with objects attached (lower left); and subsequent sub-object material (lower right)

View Align: Aligns all vertices in selected objects to the plane of the active viewport. If a sub-object mode is active, this function affects only selected vertices or those belonging to selected sub-objects. In the case of orthographic viewports, using View Align has the same effect as aligning to the construction grid when the home grid is active. When aligning to a perspective viewport (including camera and light views), the vertices are reoriented to be aligned to a plane that is parallel to the camera's viewing plane. This plane is perpendicular to the view direction that is closest to the vertices' average position.

Grid Align: Aligns all vertices in selected objects to the plane of the current view. If a sub-object mode is active, function aligns only selected sub-objects. This function aligns the selected vertices to the current construction plane. The current plane is specified by the active viewport in the case of the home grid. When using a grid object, the current plane is the active grid object.

Remove Isolated Vertices: Deletes all isolated vertices in the object regardless of the current selection.

Subdivide rollout

MeshSmooth group

These controls provide explicit MeshSmooth NURMS subdivision for object and sub-object smoothing (see MeshSmooth Modifier).

Smoothness: Determines how sharp a corner must be before polygons are added to smooth it. Smoothness is calculated as the average angle of all edges connected to a vertex. A value of 0.0 prevents the creation of any polygons. A value of 1.0 adds polygons to all vertices even if they lie on a plane.

Separate By Smoothing Groups: Prevents the creation of new polygons at edges between polygons that don't share at least one smoothing group.

Separate By Materials: Prevents the creation of new polygons for edges between polygons that do not share Material IDs.

Tessellate group

Use these controls to tessellate (subdivide) selected polygons. Tessellation is useful for increasing local mesh density while modeling. You can subdivide any selection of polygons. Two tessellation methods are available:

Tessellate: Tessellates selected polygons based on the Edge, Face, and Tension (spinner) controls.

Edge: Inserts vertices in the middle of each edge and draws lines connecting those vertices. The number of polygons created will equal the number of sides of the original polygon.

Face: Adds a vertex to the center of each polygon and draws connecting lines from that vertex to the original vertices. The number of polygons created will equal the number of sides of the original polygon.

Set of polygons showing face -Center tessellation

Tension: (Active only when Tessellate By Edge is active.) This spinner, below the Tessellate button, lets you increase or decrease the Edge tension value. A negative value pulls vertices inward from their plane, resulting in a concave effect. A positive value pulls vertices outward from their plane, resulting in a rounding effect.

Surface Properties rollout

Applies smoothing groups to the object and restricts the MeshSmooth effect by using surface properties.

Use NURMS Subdivision: Provides a display option and weighting controls for use with NURMS objects.

Smooth Result: Applies the same smoothing group to all polygons.

Display group

Iterations: Sets the number of iterations used to smooth the poly object. Each iteration generates all polygons using the vertices created from the previous iteration. Range=0 to 10.

Tip: Be cautious when increasing the number of iterations. The number of vertices and polygons in an object (and thus the calculation time) can increase as much as four times for each iteration. Applying four iterations to even a moderately complex object can take a long time to calculate. You can press ESC to stop calculation and revert to your previous iteration setting.

Smoothness: Determines how sharp a corner must be before polygons are added to smooth it. Smoothness is calculated as the average angle of all edges connected to a vertex. A value of 0.0 prevents the creation of any polygons. A value of 1.0 adds polygons to all vertices even if they lie on a plane.

Separate By group

Smoothing Groups: Prevents the creation of new polygons at edges between faces that don't share at least one smoothing group.

Materials: Prevents the creation of new polygons for edges between faces that do not share Material IDs.

Update Options group

For situations where the complexity of the smoothed object is too high for automatic updates.

Always: Updates the object automatically whenever you change any MeshSmooth settings.

Manually: Turns on manual updating. When manual updating is selected, any settings you change don't take effect until you click the Update button.

Update: Updates the object in the viewport to match the current MeshSmooth settings.

Subdivision Displacement rollout

Subdivision Displacement: When on, the program subdivides faces to accurately displace the mesh, using the method and settings you specify in the Subdivision Presets and Subdivision Method group boxes. When off, the program displaces the mesh by moving existing vertices, the way the Displace modifier does. Default=off.

Split Mesh: Affects the seams of displaced mesh objects; also affects texture mapping. When on, the program splits the mesh into individual faces before displacing them; this helps preserve texture mapping. When off, the program uses an internal method to assign texture mapping. Default=On.

Tip: This parameter is required because of an architectural limitation in the way displacement mapping works. Turning Split Mesh on is usually the better technique, but it can cause problems for objects with clearly distinct faces, such as boxes, or even spheres. A box's sides might separate as they displace outward, leaving gaps. And a sphere might split along its longitudinal edge (found in the rear for spheres created in the Top view) unless you turn off Split Mesh.

Subdivision Presets and Subdivision methods groups

The controls in these two groups specify how the program applies the displacement map when Subdivision Displacement is turned on.

Subdivision Presets

Lets you choose a preset low, medium, or high quality surface approximation. While a preset is chosen, the values it uses are displayed on the Subdivision Method rollout.

Low: Selects a (comparatively) low-quality surface approximation. These are the default values:

Viewports, Base Surface:

Method=Spatial and Curvature
Edge=50.0
Distance=50.0
Angle=50.0
Merge=0.0
Advanced Parameters > Minimum=0, Maximum=3

Medium: (The default for both viewports.) Selects a medium-quality surface approximation. These are the default values:

Viewports, Base Surface:

Method=Spatial and Curvature
Edge=20.0
Distance=20.0
Angle=15.0
Merge=0.0
Advanced Parameters > Minimum=0, Maximum=3

High: Selects a high-quality surface approximation. These are the default values:

Viewports, Base Surface:

Method=Spatial and Curvature
Edge=5.0
Distance=15.0
Angle=10.0
Merge=0.0
Advanced Parameters > Minimum=0, Maximum=3

Subdivision Method group

The controls in this group affect the display of the surface in the viewports. Generally speaking, if the preset values you have chosen give good results, you don't need to adjust the controls on this group. Adjust them if you encounter problems with the preset alternative.

Tip: Choose the method that gives the result you need. If you use modifiers heavily, Spatial might be better than Curvature, because of their regular tessellation. Curvature-dependent tessellation can cause problems with some modifiers.

Regular: Generates a fixed tessellation across the surface based on the Steps parameter. Increasing Steps increases accuracy at a cost of speed, and vice versa, but in general this can be the quickest and least accurate way to approximate a surface.

Spatial: Generates a uniform tessellation made of triangular faces.

The Edge parameter specifies the maximum length of a triangular face in the tessellation. The value is a percentage of the object's bounding box. Decreasing this value increases accuracy.

Curvature: Generates a variable tessellation based on the curvature of the surface. The tessellation has a finer grain where the surface is more curved. Changing surface curvature dynamically changes the curvature tessellation.

The Distance parameter specifies how far the approximation can deviate from the actual surface. Distance is a percentage of the diagonal of each surface's bounding box. Each surface in an object is tessellated based on its size, independently of other surfaces. Scaling a surface doesn't change its tessellation. Decreasing this value increases accuracy. When you set Distance to 0.0, the software ignores this parameter and uses the Angle to control accuracy.

The Angle parameter specifies the maximum angle between faces in the approximation. Decreasing this value increases accuracy. When you set Angle to 0.0, the software ignores this parameter and uses Distance to control accuracy.

When both Distance and Angle are 0.0, the surfaces degenerate and can become flat surfaces.

Spatial and Curvature: Combines the spatial (edge-length) method and the curvature (distance and angle) methods, using all three values.

The Edge parameter specifies the maximum length of a triangular face in the tessellation. The value is a percentage of the object's bounding box. Decreasing this value increases accuracy. When you set Edge to 0.0, the effect is equivalent to the Curvature method.

The Distance parameter specifies how far the approximation can deviate from the actual surface. Distance is a percentage of the diagonal of each surface’s bounding box. Each surface in an object is tessellated based on its size, independently of other surfaces. Scaling a surface doesn’t change its tessellation. Decreasing this value increases accuracy. When you set Distance to 0.0, the software ignores this parameter and uses the Edge and Angle values to control accuracy.

The Angle parameter specifies the maximum angle between faces in the approximation. Decreasing this value increases accuracy. When you set Angle to 0.0, the software ignores this parameter and uses the Edge and Distance values to control accuracy.

When Distance, Angle, and Edge are all 0.0, the surfaces degenerate and can become flat surfaces.

View-Dependent When turned on, takes the object's distance from the camera into account while calculating tessellation.

Note: When View-Dependent is on, tessellation quickly reaches the maximum subdivision limit. You might want to increase this value to 7 (the greatest value allowed). See the description of Advanced Parameters, below.

Advanced Parameters: Click to display the Advanced Displacement Approximation dialog. The parameters in this dialog apply to the Spatial, Curvature, and Spatial and Curvature approximation methods.


Editable Poly (Vertex)

Select an editable poly object. > Modify panel > Selection rollout > Vertex

Select an editable poly object. > Modify panel > Modify Stack display > Editable Poly rollout > Vertex

Select an editable poly object. > Quad menu > Tools 1 quadrant > Sub-Objects sub-menu > Vertex

Vertices are points in space: they define the structure of other sub-objects that make up the poly. When vertices are moved or edited, the geometry they form is affected as well. Vertices can also exist independently; such isolated vertices can be used to construct other geometry.

When in Editable Poly (Vertex) mode, you can select single and multiple vertices and move them using standard methods. This topic covers the Edit Geometry rollout; for other controls, see Editable Poly.

Procedure

To select vertices by color:

  1. In the Surface Properties rollout, under Select Vertices By, click the color swatch, and specify the color of vertex you want in the Color Selector.

  2. Specify ranges in the RGB Range spinners. This lets you select vertices that are close to the specified color, but don't match exactly.

  3. Click the Select button.

    All vertices matching the color, or within the RGB range, are selected.

    You can add to the selection by holding CTRL when you press the Select button, and you can subtract from the selection by holding the ALT key.

    Tip: You can select all vertices of the same color by first selecting the vertex you want matched, dragging a copy of the Edit Color swatch to the Existing Color swatch, and then clicking the Select button. (If you want an exact match, be sure to set the RGB Range spinners to 0 first.)

Interface

Selection rollout

See Editable Poly for information on the Selection rollout settings.

Soft Selection rollout

Soft Selection controls affect the action of sub-object Move, Rotate, and Scale functions. When these are on, the program applies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect with a sphere of influence around the transformation.

For more information, see Soft Selection rollout.

Edit Geometry rollout

Create: Lets you add vertices to a single selected poly object. After selecting the object and clicking Create, click anywhere in space to add free-floating vertices to the object. The new vertices are placed on the active construction plane.

Delete: Deletes selected vertices and any attached polygons.

Attach: Lets you attach another object in the scene to the selected editable poly. You can attach any type of object, including splines and patch objects. Attaching a non-mesh object converts it to editable-poly format. Click the object you want to attach to the currently selected poly object.

For further details, see Attach.

Detach: Detaches the selected vertices and all attached polygons from the poly object, creating a separate object or element. The Detach As Clone option copies the polygons rather than moving them.

You're prompted to enter a name for the new object. Detached polygons leave a hole in the original object when you move them to a new position.

Break: Creates a new vertex for each polygon attached to selected vertices, allowing the polygon corners to be moved away from each other where they were once joined at the original vertex. If a vertex is isolated or used by only one polygon, it is unaffected.

Collapse: Collapses selected vertices into an averaged vertex.

Chamfer: Click this button and then drag vertices in the active object. The Chamfer spinner updates to indicate the chamfer amount as you drag.

Chamfer button: Click this button, and then drag vertices in the active object. The Chamfer Amount spinner updates to indicate the chamfer amount as you drag.

If you drag one or more selected vertices, all selected vertices are chamfered identically. If you drag an unselected vertex, any selected vertices are first deselected.

A vertex chamfer "chops off" the selected vertices, creating a new face connecting new points on all visible edges leading to the original vertex. These new points are exactly <chamfer amount> distance from the original vertex along each of these edges. New chamfer faces are created with the material ID of one of the neighboring faces (picked at random) and a smoothing group which is an intersection of all neighboring smoothing groups.

For example, if you chamfer one corner of a box, the single corner vertex is replaced by 3 vertices moving along the three visible edges that lead to the corner. Outside faces are rearranged and split to use these three new vertices, and there's a new triangle created at the corner.

Slice Plane: Creates a gizmo for a slice plane that can be positioned and rotated where you want to slice the edges. Also enables the Slice button.

Reset Plane: When in Slice Plane mode, use this button to return to the previous plane.

Slice: Performs the slice operation at the location of the slice plane. The Slice button is available only when the Slice Plane button is highlighted. This tool slices the poly just like the Slice modifier in "Operate On: Polygon" mode.

Cut: Lets you cut from vertex to vertex.

Split: When on, the Slice and Cut operations create double sets of vertices at the points where the edges are divided. This lets you easily delete the new polygons to create holes, or animate the new polygons as separate elements.

Weld group

Tip: Welding only works on border vertices. It is not possible to weld arbitrary points together as can be done in Editable Mesh since this would create illegal polymeshes. For conditions when welding is not allowed, Collapse can be used in place of Weld.

Selected: Welds selected vertices that fall within the tolerance specified in the spinner. All line segments become connected to the resulting single vertex.

Target: Allows you to select a vertex and weld it to a target vertex. When positioned over a vertex, the cursor changes to a + cursor. Click and move the mouse and a dashed line appears from the vertex with an arrow cursor at the other end of the line. Position the cursor over another vertex and when the + cursor appears again, click to weld the vertices.

The pixels spinner to the right of the Target button sets the maximum distance in screen pixels between the mouse cursor and the target vertex.

Make Planar: Forces all selected vertices to become coplanar. The plane's normal is the average surface normal of all polygons attached to the selected vertices.

View Align: Aligns selected vertices to the plane of the active viewport. In the case of orthographic viewports, this is the same effect as aligning to the construction grid when the home grid is active. When aligning to a Perspective viewport (including camera and light views), the vertices are reoriented to be aligned to a plane that is parallel to the camera's viewing plane. (Perspective viewports have invisible camera planes.) In these cases, the selection of vertices is not translated but only rotated.

Grid Align: Aligns the selected vertices to the current construction plane. The current plane is specified by the active viewport in the case of the home grid. When using a grid object, the current plane is the active grid object.

Remove Isolated Vertices: Deletes all isolated vertices in the object, regardless of the current selection.

Subdivide rollout

MeshSmooth group

These controls provide explicit MeshSmooth NURMS subdivision for object and sub-object smoothing using the MeshSmooth modifier.

Smoothness: Determines how sharp a corner must be before polygons are added to smooth it. Smoothness is calculated as the average angle of all edges connected to a vertex. A value of 0.0 prevents the creation of any polygons. A value of 1.0 adds polygons to all vertices even if they lie on a plane.

Separate by Smoothing Groups: Prevents the creation of new polygons at edges between polygons that don't share at least one smoothing group.

Separate by Materials: Prevents the creation of new polygons for edges between polygons that do not share Material IDs.

Tessellate group

Use these controls to tessellate (subdivide) selected polygons. Tessellation is useful for increasing local mesh density while modeling. You can subdivide any selection of polygons. Two tessellation methods are available:

Tessellate: Tessellates selected polygons based on the Edge, Face-Center, and Tension (spinner) controls.

Edge: Inserts vertices in the middle of each edge and draws lines connecting those vertices. The number of polygons created will equal the number of sides of the original polygon.

Face: Adds a vertex to the center of each polygon and draws connecting lines from that vertex to the original vertices. The number of polygons created will equal the number of sides of the original polygon.

Tension: (Active only when Tessellate by Edge is active.) This spinner, below the Tessellate button, lets you increase or decrease the Edge tension value. A negative value pulls vertices inward from their plane, resulting in a concave effect. A positive value pulls vertices outward from their plane, resulting in a rounding effect.

Surface Properties rollout

These controls let you set the color for vertices.

Weight: Sets the weight of selected edges. Increasing an edge weight tends to push the smoothed result away.

Edit Vertex Colors group

Use these controls to assign the color, and illumination color (shading) of selected vertices.

Color: Click the color swatch to change the color of selected vertices.

Illumination: Click the color swatch to change the illumination color of selected vertices. This lets you change the illumination without changing the vertex's color.

Alpha: Lets you assign an alpha (transparency) value to selected vertices.

The spinner value is a percentage; zero is completely transparent and 100 is completely opaque.

Select Vertices By group

Color and Illumination radio buttons: These buttons determine whether to select vertices by vertex color values or vertex illumination values.

Color Swatch: Displays the Color Selector, where you can specify a color to match.

Select: Depending on which radio button is selected, selects all vertices whose vertex color or illumination values either match the color swatch, or are within the range specified by the RGB spinners.

Range: Specifies a range for the color match. All three RGB values in the vertex color or illumination must either match the color specified by the Color swatch in Select By Vertex Color, or be within plus or minus the values in the Range spinners. Default=10.


Editable Poly (Edge)

Select an editable poly object. > Modify panel > Selection rollout > Edge

Select an editable poly object. > Modify panel > Modifier Stack display > Editable Poly rollout > Edge

Select an editable mesh object. > Quad menu > Tools 1 quadrant > Sub-Objects sub-menu > Edge

An edge is a line forming the side of a polygon and connecting two vertices. An edge can't be shared by more than two polygons.

When in Editable Poly (Edge) mode, you can select single and multiple edges and transform them using standard methods. This topic covers the Edit Geometry rollout; for other controls, see Editable Poly.

Procedure

To create a shape from one or more edges:

  1. Select the edges you want to make into shapes.

  2. On the Edit Geometry rollout, click Create Shape.

  3. Make changes, as needed, on the Create Shape dialog that appears.

    • Enter a curve name or keep the default.

    • Choose Smooth or Linear as the Shape Type.

  4. Click OK.

    The resulting shape consists of one or more splines whose vertices are coincident with the vertices in the selected edges. The Smooth option results in vertices using smooth values, while the Linear option results in linear splines with corner vertices.

    If the selected edges are not continuous, or if they branch, the resulting shape will consist of more than one spline. When the Create Shape function runs into a branching 'Y' in the edges, it makes an arbitrary decision as to which edge produces which spline. If you need to control this, select only those edges that will result in a single spline, and perform a Create Shape operation repeatedly to make the correct number of shapes. Finally, use Attach in the Editable Spline to combine the shapes into one.

Original object (top) and object with edges selected (bottom)

Selected edges removed from original object (top) and unwanted edges removed (bottom)

Interface

Selection rollout

See Editable Poly for information on the Select rollout settings.

Soft Selection rollout

Soft Selection controls affect the action of sub-object Move, Rotate, and Scale functions. When these are on, gmax applies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect with a sphere of influence around the transformation.

For more information, see Soft Selection Rollout.

Edit Geometry rollout

Create: Creates an edge from vertex to vertex. The edge you create separates the polygons. For example, by creating an edge inside a four-sided polygon, you turn the polygon into two triangles.

Delete: Deletes selected edges.

Attach: Lets you attach another object in the scene to the selected editable poly. You can attach any type of object, including splines and patch objects. Attaching a non-mesh object converts it to editable-poly format. Click the object you want to attach to the currently selected poly object.

For further details, see Attach.

Split: Divides the mesh along the selected edges. This does nothing when applied to a single edge in the middle of a mesh. The vertices at the end of affected edges must be separable in order for this option to work. For example, it would work on a single edge which intersects an existing border, since the border vertex can be split in two. Additionally, two adjacent edges could be split in the middle of a grid or sphere, since the shared vertex can be split.

Divide: Lets you divide edges into two edges with a new vertex where you click. Click Divide, and then select an edge to be divided. Each edge is divided where you click it. You can click as many edges as you want divided, in sequence. To stop dividing, click Divide again or right-click.

Collapse: Collapses selected edges by welding their vertices to a vertex at the selection center.

Chamfer: Click this button and then drag edges in the active object. The Chamfer spinner updates to indicate the chamfer amount as you drag.

If you drag one or more selected edges, all selected edges are chamfered identically. If you drag an unselected edge, any selected edges are first deselected.

An edge chamfer "chops off" the selected edges, creating new edges that move along the polygons on either side by <chamfer amount>. Some vertex chamfering is done at the ends to make this behavior work with the rest of the mesh. New chamfer polygons are created with the material ID of one of the neighboring polygons (picked at random) and a smoothing group which is an intersection of all neighboring smoothing groups.

Chamfer spinner: Adjust this spinner to apply a chamfer effect to selected edges.

Use Snaps with Cut for precision. Cut honors Midpoint, Endpoint, and Vertex snaps.

Slice Plane: Creates a gizmo for a slice plane that can be positioned and rotated where you want to slice the edges. Also enables the Slice button.

Reset Plane: When in Slice Plane mode, use this button to return to the previous plane.

Slice: Performs the slice operation at the location of the slice plane. The Slice button is available only when the Slice Plane button is highlighted. This tool slices the poly just like the Slice modifier in "Operate On: Face" mode.

Cut: Lets you divide a edge at any point, then divide a second edge at any point, creating a new edge or edges between the two points. Clicking the first edge sets the first vertex. A dotted line tracks the cursor movement until you click a second edge. A new vertex is created at each edge division. Alternately, double-clicking an edge simply divides that edge at the point clicked, with invisible edges on either side.

You can use Cut to cut across anywhere on or off the surface. Click one edge to start the cut, continue to pick edges to cut, and right-click to exit cut mode.

Use Snaps with Cut for precision. Cut honors Midpoint, Endpoint, and Vertex snaps.

Split: When on, the Slice and Cut operations create double sets of vertices at the points where the edges are divided. This lets you easily delete the new polygons to create holes, or animate the new polygons as separate elements.

Weld group

Selected: Welds selected edges that fall within the tolerance specified in the spinner.

Target: Allows you to select an edge to be welded to a second selected edge.

The pixels spinner to the right of the Target button sets the maximum distance in screen pixels between the mouse cursor and the target edge.

Create Shape: After selecting one or more edges, click this button to create a spline shape from the selected edges. A Create Shape dialog appears, letting you name the shape, set it to Smooth or Linear, and ignore hidden edges. The new shape's pivot is placed at the center of the poly object.

Make Planar: Forces all selected edges to become coplanar. The plane's normal is the average surface normal of all faces attached to the selected edges.

View Align: Aligns selected edges to the plane of the active viewport. In the case of orthographic viewports, this is the same effect as aligning to the construction grid when the home grid is active. When aligning to a Perspective viewport (including camera and light views), the edges are reoriented to be aligned to a plane that is parallel to the camera's viewing plane. (Perspective viewports have invisible camera planes.) In these cases, the selection of edges is not translated but only rotated.

Grid Align: Aligns the selected edges to the current construction plane. The current plane is specified by the active viewport in the case of the home grid. When using a grid object, the current plane is the active grid object.

Remove Isolated Vertices: Deletes all isolated edges in the object, regardless of the current selection.

Subdivide rollout

MeshSmooth group

These controls provide explicit MeshSmooth NURMS subdivision for object and sub-object smoothing using the MeshSmooth modifier.

Smoothness: Determines how sharp a corner must be before polygons are added to smooth it. Smoothness is calculated as the average angle of all edges connected to a vertex. A value of 0.0 prevents the creation of any polygons. A value of 1.0 adds polygons to all vertices even if they lie on a plane.

Separate By Smoothing Groups: Prevents the creation of new polygons at edges between polygons that don't share at least one smoothing group.

Separate By Materials: Prevents the creation of new polygons for edges between polygons that do not share Material IDs.

Tessellate group

Use these controls to tessellate (subdivide) selected polygons. Tessellation is useful for increasing local mesh density while modeling. You can subdivide any selection of polygons. Two tessellation methods are available:

Tessellate: Tessellates selected polygons based on the Edge, Face-Center, and Tension (spinner) controls.

Edge: Inserts vertices in the middle of each edge and draws lines connecting those vertices. The number of polygons created will equal the number of sides of the original polygon.

Face: Adds a vertex to the center of each polygon and draws connecting lines from that vertex to the original vertices. The number of polygons created will equal the number of sides of the original polygon.

Tension: (Active only when Tessellate by Edge is active.) This spinner, below the Tessellate button, lets you increase or decrease the Edge tension value. A negative value pulls vertices inward from their plane, resulting in a concave effect. A positive value pulls vertices outward from their plane, resulting in a rounding effect.

Surface Properties rollout

Weight: Sets the weight of selected edges. Increasing an edge weight tends to push the smoothed result away.

Crease: Specifies how much creasing is performed on the selected edge or edges. At low settings, the edge is relatively smooth. At higher settings, the crease becomes increasingly visible. At 1.0, the highest setting, the edge is not smoothed at all.


Editable Poly (Border)

Select an editable poly object. > Modify panel > Selection rollout > Border

Select an editable poly object. > Modify panel > Modify Stack display > Editable Poly rollout > Border

Select an editable mesh object. > Quad menu > Tools 1 quadrant > Sub-Objects sub-menu > Border

A border is an area on a mesh that can generally be described as a hole. Areas like this are usually sequences of edges with polygons on only one side. For example, a box doesn't have a border, but the teapot object has several on the lid, on the body, on the spout, and two on the handle. If you create a cylinder, then delete the top face, the top row of edges forms a border

When in Editable Poly (Border) mode, you can select single and multiple borders and transform them using standard methods. This topic covers the Edit Geometry rollout; for other controls, see Editable Poly.

Procedure

To create a polygon that closes the surface at the selected border:

  1. Select any open edge in Border sub-object border level.

    The program selects the entire closed loop of continuous open edges that make up the border selection.

  2. Click Cap.

Interface

Selection rollout

See Editable Poly for information on the Selection rollout settings.

Soft Selection rollout

Soft Selection controls affect the action of sub-object Move, Rotate, and Scale functions. When these are on, gmax applies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect with a sphere of influence around the transformation.

For more information, see Soft Selection rollout.

Edit Geometry rollout

Cap: Caps an entire border loop with a single polygon.

Attach: Lets you attach another object in the scene to the selected editable poly. You can attach any type of object, including splines and patch objects. Attaching a non-mesh object converts it to editable-poly format. Click the object you want to attach to the currently selected poly object.

For further details, see Attach.

Divide: Lets you divide edges into two edges with a new vertex where you click. Click Divide, and then select an edge to be divided. Each edge is divided where you click it. You can click as many edges as you want divided, in sequence. To stop dividing, click Divide again or right-click.

Collapse: Collapses selected edges by welding their vertices to a vertex at the selection center.

Chamfer: Click this button and then drag edges in the active object. The Chamfer spinner updates to indicate the chamfer amount as you drag.

If you drag one or more selected edges, all selected edges are chamfered identically. If you drag an unselected edge, any selected edges are first deselected.

An edge chamfer "chops off" the selected edges, creating new edges that move along the polygons on either side by <chamfer amount>. Some vertex chamfering is done at the ends to make this behavior work with the rest of the mesh. New chamfer polygons are created with the material ID of one of the neighboring polygons (picked at random) and a smoothing group which is an intersection of all neighboring smoothing groups.

Chamfer spinner: Adjust this spinner to apply a chamfer effect to selected borders.

Slice Plane: Creates a gizmo for a slice plane that can be positioned and rotated where you want to slice the edges. Also enables the Slice button.

Reset Plane: When in Slice Plane mode, use this button to return to the previous plane.

Slice: Performs the slice operation at the location of the slice plane. The Slice button is available only when the Slice Plane button is highlighted. This tool slices the poly just like the Slice modifier in "Operate On: Face" mode.

Cut: Lets you divide a edge at any point, then divide a second edge at any point, creating a new edge or edges between the two points. Clicking the first edge sets the first vertex. A dotted line tracks the cursor movement until you click a second edge. A new vertex is created at each edge division. Alternately, double-clicking an edge simply divides that edge at the point clicked.

You can use Cut to cut across anywhere on or off the edge. Click one edge to start the cut, continue to pick edges to cut, and right-click to exit cut mode.

Use Snaps with Cut for precision. Cut honors Midpoint, Endpoint, and Vertex snaps.

Split: When on, the Slice and Cut operations create double sets of vertices at the points where the edges are divided. This lets you easily delete the new polygons to create holes, or animate the new polygons as separate elements.

Create Shape: After selecting one or more borders, click this button to create a spline shape from the selected borders. A Create Shape dialog appears, letting you name the shape, set it to Smooth or Linear, and ignore hidden edges. The new shape's pivot is placed at the center of the poly object.

Make Planar: Forces all selected borders to become coplanar. The plane's normal is the average surface normal of all polygons attached to the selected borders.

View Align: Aligns selected borders to the plane of the active viewport. In the case of orthographic viewports, this is the same effect as aligning to the construction grid when the home grid is active. When aligning to a perspective viewport (including camera and light views), the borders are reoriented to be aligned to a plane that is parallel to the camera's viewing plane. (Perspective viewports have invisible camera planes.) In these cases, the selection of borders is not translated but only rotated.

Grid Align: Aligns the selected edges to the current construction plane. The current plane is specified by the active viewport in the case of the home grid. When using a grid object, the current plane is the active grid object.

Remove Isolated Vertices: Deletes all isolated vertices in the object, regardless of the current selection.

Subdivide rollout

MeshSmooth group

These controls provide explicit MeshSmooth NURMS subdivision for object and sub-object smoothing using the MeshSmooth modifier.

Smoothness: Determines how sharp a corner must be before polygon are added to smooth it. Smoothness is calculated as the average angle of all edges connected to a vertex. A value of 0.0 prevents the creation of any polygons. A value of 1.0 adds polygons to all vertices even if they lie on a plane.

Separate By Smoothing Groups: Prevents the creation of new polygons at edges between polygons that don't share at least one smoothing group.

Separate By Materials: Prevents the creation of new polygons for edges between polygons that do not share Material IDs.

Tessellate group

Use these controls to tessellate (subdivide) selected polygons. Tessellation is useful for increasing local mesh density while modeling. You can subdivide any selection of polygons. Two tessellation methods are available:

Tessellate: Tessellates selected polygons based on the Edge, Face, and Tension (spinner) controls.

Edge: Inserts vertices in the middle of each edge and draws lines connecting those vertices. The number of polygons created will equal the number of sides of the original polygon.

Face: Adds a vertex to the center of each polygon and draws connecting lines from that vertex to the original vertices. The number of polygons created will equal the number of sides of the original polygon.

Tension: (Active only when Tessellate By Edge is active.) This spinner, below the Tessellate button, lets you increase or decrease the Edge tension value. A negative value pulls vertices inward from their plane, resulting in a concave effect. A positive value pulls vertices outward from their plane, resulting in a rounding effect.

Surface Properties rollout

Weight: Sets the weight of selected edges. Increasing an edge weight tends to push the smoothed result away.

Crease: Specifies how much creasing is performed on the selected edge or edges. At low settings, the edge is relatively smooth. At higher settings, the crease becomes increasingly visible. At 1.0, the highest setting, the edge is not smoothed at all.


Editable Poly (Polygon/Element)

Select an editable poly object. > Modify panel > Selection rollout > Polygon/Element

Select an editable poly object. > Modify panel > Modify Stack display > Editable Poly rollout > Polygon/Element

Select an editable poly object. > Quad menu > Tools 1 quadrant > Sub-Objects sub-menu > Polygon/Element

A polygon is the smallest possible poly object: a polygon formed by four vertices. While a vertex can exist as an isolated point in space, a polygon can't exist without vertices.

When in Editable Poly (Polygon) mode, you can select single and multiple polygons and transform them using standard methods. This is also true for the Polygon and Element sub-object levels; for the distinctions between polygon and element, see Editable Poly > Selection rollout. This topic covers the Edit Geometry rollout functions for these sub-object types; for other controls, see Editable Poly.

Interface

Selection rollout

See Editable Poly > Selection rollout for information on the Selection rollout settings.

Soft Selection rollout

Soft Selection controls affect the action of sub-object Move, Rotate, and Scale functions. When these are on, gmax applies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect with a sphere of influence around the transformation.

For more information, see Soft Selection rollout.

Edit Geometry rollout

Create: Creates polygons. All vertices in the object are highlighted, including isolated vertices left after deleting faces. Next, click existing vertices (the cursor changes to a cross, indicating it's over a vertex) in a blank area of the viewport to create a new vertex on the active grid. You can start creating polygons in any viewport, but all subsequent clicks must take place in the same viewport. You can create new polygons at the Element sub-object level too. To finish drawing a new polygon, click twice, or click again on any existing vertex in the current polygon.

Delete: Deletes selected sub-objects.

Attach: Lets you attach another object in the scene to the selected editable poly. You can attach any type of object, including splines and patch objects. Attaching a non-mesh object converts it to editable-poly format. Click the object you want to attach to the currently selected poly object.

For further details, see Attach.

Detach: Detaches the selected polygons/elements as a separate object (the default) or detach a polygon as an element. The Detach As Clone option copies the polygons/elements rather than moving them.

You're prompted to enter a name for the new object. Detached faces leave a hole in the original object when you move them to a new position, unless you use the Detach As Clone option.

Divide: Subdivides polygons into four smaller polygons. This option applies to Polygons, even if you are in Element sub-object level. Click Divide, and then select a polygon to be divided. Each polygon is subdivided where you click it. You can click as many polygons as you want divide, in sequence. To stop dividing, click Divide again or right-click.

Collapse: Collapses selected polygons by welding their vertices to a vertex at the selection center. This option is not available in Element sub-object level.

Extrude and Bevel group

These controls let you extrude and bevel polygons, as well as some elements. The latter are typically made up of several polygons and do not fully enclose a volume. Extruding an element that fully encloses a volume will not yield any results unless you use the By Polygon extrusion type.

Extruding polygons moves them along a normal and creates new polygons that form the sides of the extrusion, connecting the selection to the object. Beveling adds a second step that lets you scale the extruded polygons.

Chamfer box showing extruded polygon

Extruded polygon beveled in two different directions

You can extrude and bevel polygons by dragging or by using keyboard/spinner entry.

Extrude: Click this button, and then drag vertically on any polygon to extrude it.

  • When over a selected polygon, the mouse cursor changes to an Extrude cursor.

  • With multiple polygons selected, dragging on any one extrudes all selected polygons equally.

  • You can drag other polygons in turn to extrude them while the Extrude button is active. Click Extrude again or right-click in the active viewport to end the operation.

Bevel: Click this button, and then drag vertically on any polygon to extrude it. Release the mouse button and move the mouse vertically to bevel the extrusion. Click to finish.

  • When over a selected polygon, the mouse cursor changes to a Bevel cursor.

  • With multiple polygons selected, dragging on any one bevels all selected polygons equally.

  • You can drag other polygons in turn to bevel them while the Bevel button is active. Click Bevel again or right-click to end the operation.

Extrusion: This spinner lets you extrude selected polygons outward or inward, depending on whether the value is positive or negative.

Outline: This spinner lets you scale selected polygons bigger or smaller, depending on whether the value is positive or negative. It is normally used after an extrusion for beveling the extruded polygons.

Extrusion Type options

Group: Extrusion takes place along the average normal of each contiguous group of edges. If you extrude multiples of such groups, each group moves along its own averaged normal.

Local Normal: Extrusion takes place along each selected edge's normal.

By Polygon: Extrudes or bevels each polygon individually.

Cut and Slice group

Slice Plane: Creates a gizmo for a slice plane that can be positioned and rotated where you want to slice the edges. Also enables the Slice button.

Reset Plane: When in Slice Plane mode, use this button to return to the previous plane.

Slice: Performs the slice operation at the location of the slice plane. The Slice button is available only when the Slice Plane button is highlighted. This tool slices the poly just like the "Operate On: Polygons" mode of the Slice modifier.

Cut: Lets you make a cut from one polygon to another. Right-click to exit Cut mode.

Split: When on, the Slice and Cut operations create double sets of vertices at the points where the edges are divided. This lets you easily delete the new polygons to create holes, or animate the new polygons as separate elements.

Make Planar: Forces all selected polygons to become coplanar. The plane's normal is the average surface normal of the selected polygons.

Tip: One application for Make Planar is making a flat side on an object. Normally, you would use a contiguous selection set. If the selection includes polygons on various parts of the object, the polygons are still made planar, but with distorting effects on the rest of the geometry.

View Align: Aligns selected polygons to the plane of the active viewport. In the case of orthographic viewports, this is the same effect as aligning to the construction grid when the home grid is active.

When aligning to a Perspective viewport (or Camera and Light views), the polygons are reoriented to be aligned to a plane that is parallel to the camera's viewing plane. (Perspective viewports have invisible camera planes.) In these cases, the selection of polygons is not translated but only rotated.

Selected polygons in Perspective view (left); same polygons aligned to Front view (right)

Grid Align: Aligns the selected polygons to the current construction plane. The current plane is specified by the active viewport in the case of the home grid. When using a grid object, the current plane is the active grid object.

Remove Isolated Vertices: Deletes all isolated vertices in the object regardless of the current selection.

Subdivide rollout

MeshSmooth group

These controls let you set the smoothness for the editable poly object using the MeshSmooth plug-in using the MeshSmooth modifier.

Smoothness: Determines how sharp a corner must be before polygons are added to smooth it. Smoothness is calculated as the average angle of all edges connected to a vertex. A value of 0.0 prevents the creation of any polygons. A value of 1.0 adds polygons to all vertices even if they lie on a plane.

Separate by Smoothing Groups: Prevents the creation of new polygons at edges between polygons that don't share at least one smoothing group.

Separate by Materials: Prevents the creation of new polygons for edges between polygons that do not share Material IDs.

Tessellate group

Use these controls to tessellate (subdivide) selected polygons. Tessellation is useful for increasing local mesh density while modeling. You can subdivide any selection of polygons. Two tessellation methods are available: Edge and Face.

Tessellate: Tessellates selected polygons based on the Edge, Face-Center, and Tension (spinner) controls.

Edge: Inserts vertices in the middle of each edge and draws lines connecting those vertices. The number of polygons created will equal the number of sides of the original polygon.

Face: Adds a vertex to the center of each polygon and draws connecting lines from that vertex to the original vertices. The number of polygons created will equal the number of sides of the original polygon.

Tension: (Active only when Tessellate By Edge is active.) This spinner, below the Tessellate button, lets you increase or decrease the Edge tension value. A negative value pulls vertices inward from their plane, resulting in a concave effect. A positive value pulls vertices outward from their plane, resulting in a rounding effect.

Surface Properties rollout

These controls let you work with face normals, material IDs, smoothing groups and vertex colors.

Edit Triangulation: Lets you edit the polygon's triangulation by drawing internal edges.

To manually edit triangulation, turn on this button. Click a polygon vertex. A rubber-band line appears, attached to the cursor. Clicking the opposite vertex creates a new triangulation for the polygon. Clicking a vertex that would not retriangulate the polygon has no effect.

Retriangulate: Lets gmaxdo its best triangulation on the polygon or polygons currently selected.

Flip Normals: Flips the normals of selected elements. Only active in Element sub-object level.

Material group

ID: Lets you assign a particular material ID number to selected polygons and elements for use with multi/sub-object materials and other applications. Use the spinner or enter the number from the keyboard. The total number of available IDs is 65,535.

Select by ID: Displays a Select By Material ID dialog that you use to enter a material ID number. Clicking OK selects the faces assigned that material ID. If Clear Selection is on, any previously selected faces are first deselected. If Clear Selection is off, the new selection is added to any previous selection set.

Smoothing Groups group

Use these controls to assign selected polygons to different smoothing groups, and to select polygons by smoothing group.

To assign polygons to one or more smoothing groups, select the polygons, and then click the number(s) of the smoothing group(s) to assign them to.

Select By SG (Smoothing Group): Displays a dialog that shows the current smoothing groups. Select a group by clicking the corresponding numbered button and clicking OK. If Clear Selection is on, any previously selected polygons are first deselected. If Clear Selection is off, the new selection is added to any previous selection set.

Clear All: Removes any smoothing group assignments from selected polygons.

Auto Smooth: Sets the smoothing groups based on the angle between polygons. Any two adjacent polygons will be put in the same smoothing group if the angle between their normals is less than the threshold angle, set by the spinner to the right of this button.

Threshold: This spinner (to the right of Auto Smooth) lets you specify the maximum angle between the normals of adjacent polygons that determines whether those polygons will be put in the same smoothing group.

Edit Vertex Colors group

Use these controls to assign the color, illumination color (shading), and alpha (transparency) values of vertices on selected polygons or elements.

Color: Click the color swatch to change the color of vertices on selected polygons or elements.

Illumination: Click the color swatch to change the illumination color of vertices on selected polygons or elements. This lets you change the illumination without changing the vertex's color.

Alpha: Lets you assign an alpha (transparency) value to vertices on selected polygons or elements.

The spinner value is a percentage; zero is completely transparent and 100 is completely opaque.


Subdivision Surfaces

In gmax, you create a subdivision surface by applying a modifier to an object. one kind of subdivision surface is supported:

  • The MeshSmooth modifier provides smoothing

This modifier works best as a finishing tool for models.


Tools for Low-Polygon Modeling

The Polygon Counter utility monitors the number of faces in the scene, and helps you manage a budget of allowable faces.

Use the Utilities panel to open a low-polygon utility and make it active.

Polygon Counter Utility


Polygon Counter Utility

Utilities panel > Utilities rollout > Polygon Counter

If you’re concerned about using only a small number of faces in your scene, use the Polygon Counter utility. When you follow the path indicated above, the Polygon Counter dialog is displayed, and you can set your budget face count for selected objects and for all objects in the scene.


Polygon Counter Dialog

Utilities panel > Utilities rollout > Polygon Counter

The Polygon Counter dialog shows the number of faces in the current scene, as well as the number of faces in the current selection set. Use the spinners on this dialog to set a budget for both of these values. A bar graph changes from green to yellow to red as you approach and exceed the allocated budget.

Procedure

To use the Polygon Counter:

On the Utilities panel, click Polygon Counter.

  1. Set the spinner on All Objects to create the polygon budget for the entire scene.

  2. Select any individual object and set the polygon budget for the individual object.

  3. When you exceed your limit the graph line will display its end in red.

Interface

Selected Objects/All Objects: Displays two numbers and color bar indicators showing the number of faces in the scene for selected objects and the number of faces in the scene for all objects. The Polygon Counter will include any closed spline shapes in the face count, as well as all mesh objects.

Current: Displays the number of faces currently in the scene.

Budget: Displays a number of faces allowed in the scene for your budget.

Close: Closes the polygon counter.


Precision and Drawing Aids

gmax provides tools that give you control over the positioning and alignment of objects in 3D space. With these tools, you can do the following:

  • Choose units from the most common real-world measuring systems or define your own.

  • Use the home grid as a construction plane, or use grid objects to position custom construction planes.

  • Select different options to align objects with grids, points, and normals.

  • Use 3D object snaps on a modeless dialog as you build and move geometry in your scene. Grid points and lines are among the many snap options.

  • Use "helper objects" in your work. Grid objects are in this category, along with objects used for positioning and measurement.

This section presents these brief topics designed to help you quickly start learning how to use the tools that make precision possible:

Tools for Precision

Using Units

Using Grids

Using the Home Grid

Using Grid Objects

Aligning Objects

Aligning Normals

Setting Standard Snaps

Setting Snap Options

Measuring Distances


Tools for Precision

A set of interrelated tools in the program gives you precise control of the scale, placement, and movement of objects in your scene. These are especially important tools for those who build precise models in real-world units of measurement.

Basic Tools

The tools for precision are grouped as follows:

Units: Define different measurement systems. Besides the generic unit, you have your choice of feet and inches in both decimals and fractions. Metric units range from millimeters to kilometers. You can also define other units.

Grids: Include the home grid and special grid objects. Both types of grid can act as construction planes. The software constructs objects using the orientation and position of the active grid. While the home grid is fixed in world space, you can rotate grid objects and place them anywhere in a scene, and align them to other objects and surfaces. You can also give each grid object its own spacing, and display any grid as a dedicated viewport.

Object alignment: Matches an object with the position, orientation, or normal of another object, or to a point in space.

Object snaps: Ensure precise placement when creating and rearranging objects. Keyboard shortcuts let you change object snaps as you work. You can also set snaps to find grid lines and intersections. An angle snap sets the increment for rotation, and a percent snap sets the increment for scaling.

Helpers: Provide useful assistance, as the name implies. These are specialized tools in the same category as grid objects. A Tape object measures distances in current units, and a Protractor object measure angles. A Point object marks a particular spot in 3D space.

How the Tools Work Together

The tools themselves establish a general order of use and interaction, although you can always change settings as needed without following this sequence.

  • Choose a measuring unit. The default is generic units, sufficient for many purposes.

  • Set grid spacing (the size of the smallest square), based on the measuring unit. The home grid and grid objects can have their own spacing, separate from the grid spacing.

  • Move and align grid objects to a useful orientation.

  • Set or vary snap settings as needed in your work.

  • Use other helper objects like Point and Tape as part of the precision process.

As you work, you can change your settings (including the measuring unit) without losing any precision.


Using Units

Units are the key to connecting the three-dimensional world of gmax with the physical world. You define the units you want to use from a single dialog, Units Setup.

To display the Units Setup dialog:

  • Choose Customize menu > Units Setup.

Changing Units

When you change units, the program displays measurements in the new unit for your convenience. All dimensions in the program read out in the new unit. Essentially, you’re using a new "measuring stick." No object is changed in this process. As in the physical world, objects in the software maintain their absolute size, regardless of how you measure them.

Type-In Entry

When you enter a number, the program always assumes the current unit. You can also enter a series of numbers, and the software then converts the sum into the current unit. Here are some examples that assume you’re working in centimeters:

  • When you enter a dimension of 1’ (one US foot), the software converts it to 30.48cm.

  • If you enter a series of numbers like 14 286 175 (separated by spaces), the software totals the series to 475.0cm.

  • If you enter 1’ 1 (one US foot and 1 centimeter), the software converts and combines the two into 31.48cm.

When you use US Standard, you can select either feet or inches as the default for type-in entry. If you select feet and enter 12, the result is 12’ 0". However, if you enter 1’ 2, the software identifies the second digit as inches, producing 1’ 2" as the result.

In any unit system, you can enter fractional amounts. Assume you’re working in US Standard with feet as the default:

  • If you enter 18/3, the result is 6’0".

  • You can change units on the fly. If you enter 18/3", the result is 0’6". Similarly, you can change the fraction to centimeters. If you enter 18/3cm, the result is 0'2.362".

Understanding the System Unit

gmax keeps track of all measurements in its own internal system unit. No matter what kind of units you use, the program maintains measurements in this absolute unit for storage and computation. This means you can merge a model created with any standard unit into your scene at true scale. The software converts the model to the units currently active in your scene.

The default system unit in this program is defined as 1.000 inch. As long as the system unit is left at one inch, you can freely share models and change units on the fly with no effect on the underlying geometry. Except in rare circumstances, you never need to change this default scale.

Do not reset the system unit unless you have a clear need to do so. If the need arises, see Units Setup.


Using Grids

One grid establishes the pitch of the boat, another the pitch of the ship

Grids are two-dimensional arrays of lines similar to graph paper, except that you can adjust the spacing and other features of the grid to the needs of your work.

Grids have these primary uses:

  • As an aid in visualizing space, scale, and distance.

  • As construction planes where you create and align objects in your scene.

  • As a reference system for using the Snap feature.

Home Grid and Grid Objects

The program provides two kinds of grids: the home grid and grid objects. Additionally, it includes the AutoGrid feature, an automated way of creating grid objects.

Home grid: The basic reference system, defined by three fixed planes on the world coordinate axes.

  • The home grid is present by default when you start gmax, but can be turned off.

  • You can use any view of the home grid as a construction plane.

See Viewing and Navigating 3D Space for a complete introduction to the home grid.

Grid objects: A type of helper object you can create whenever you need a local reference grid or construction plane somewhere other than the home grid.

The following are features of grid objects:

  • You can have any number of grid objects in your scene, but only one can be active at a time.

  • When active, a grid object replaces the home grid in all viewports.

  • Each grid object has its own set of XY, YZ, and ZX planes. You can freely move and rotate grid objects, placing them at any angle in space, or attach them to objects and surfaces.

  • You can change viewports to display a plan or top view of any active grid object.

  • Grid objects can be named and saved like other objects, or used once and deleted.

AutoGrid: This feature lets you create new objects and grid objects off the surfaces of other objects on the fly. See AutoGrid.


Using the Home Grid

Using the home grid to position houses

The home grid provides ready-to-use construction planes, much like a leveled building site marked with stakes and strings. When you create an object in a viewport, the new object is placed on the home grid plane of that viewport.

To use the home grid effectively for construction, you often need to change the defaults to the job at hand, analogous to moving the stakes and strings to match your own site plan.

Changing Home Grid Settings

The home grid is a single system: its three planes use the same settings for grid spacing and major line divisions. You change these settings from a single panel of the Grid and Snap Settings dialog.

To access the Home Grid panel:

  • Choose Customize menu > Grid And Snap Settings, then click the Home Grid tab.

Setting Grid Spacing

Grid spacing is the size, in current units, of the grid's smallest square. The basic idea is to choose a grid spacing that corresponds to your unit of measurement, then choose a larger spacing for multiple units.

For example, if you have units set to centimeters, you might make one grid space equal to 1.000 (one unit, or one centimeter in this case).

Setting Major Grid Divisions

The home grid displays heavier or "major" lines to mark groups of grid squares. You can use these to represent larger units of measurement.

For example, if you use a grid spacing of one centimeter, you might use a value of 10 so the major grid divisions represent one decimeter.

In perspective viewports, the displayed size of the home grid adjusts for different major grid divisions. The home grid itself is unchanged.

Setting Color and Intensity

To improve grid visibility, you can change the intensity or color of the home grid. Choose Customize menu > Customize User Interface > Colors panel.


Using Grid Objects

Above: Inactive grid object in a scene
Below: Activated grid object

Grid objects let you bypass the home grid and work on separately defined grids to create and position objects. You can use as many grid objects as you like, each serving as a custom construction plane with its own grid settings.

Grid objects are 2D parametric objects, with adjustments for overall size and grid spacing. You can adjust their orientation in world space, and match them to a particular surface or object.

To activate a grid object:

  1. In the Create panel > Helpers category, click the Grid button.

  2. Create a grid object.

  3. Choose Views > Grids > Activate Grid Object.

To deactivate a grid object, do one of the following:

  • Select and activate another grid object.

  • Choose Views > Grids > Activate Home Grid.

  • Delete the grid object.

Creating and Modifying Grid Objects

You find Grid objects in the Create panel > Helpers category.

When creating an object, you can also create a temporary "AutoGrid" grid object that's tangent to an existing object surface at the point you click. To do this, turn on the AutoGrid check box in the Object Type rollout. You can save this grid by holding the ALT key before you click. See AutoGrid.

Grid objects are named when you create them and are saved with the scene. They can be deleted at any time.

Like other objects created in gmax, standard grid objects are placed on the grid of the current viewport. By default, this is a plane of the home grid, but can also be another activated grid object.

For more information on grid object settings, see Grid.


Viewing Grid Objects

An activated grid object creates a true plane in 3D space. No matter how small an activated grid object appears on-screen, its plane is effectively infinite, just as if it were a plane of the home grid. However, you can view a given grid object in different ways.

Setting the Display Plane

You can adjust the visible plane of a selected or activated grid object on the Modify panel.

To set the display plane:

  1. Open the Modify panel to display the Parameters rollout for the selected grid.

  2. Under Display, choose any of the three planes: XY, YZ, or ZX.

    The grid rotates in world space to display the corresponding plane, always based on the grid's local axis.

You can move or rotate a grid, either before or after setting its display plane.

Setting Grid Views

You can set the view in any viewport to an orthographic view as well as the display view.

To set grid view:

  1. Activate the grid object.

  2. Right-click a viewport label and choose Views > Grid to display a menu of possible views.

  3. Choose Front, Back, Top, Bottom, Right, Left, or Display Planes. Display Planes corresponds to the current setting on the Parameters rollout (XY, YZ, or ZX).

    The viewport now shows this view of the grid.

You can set different viewports to different views of the grid. Objects are always created on a view's orthographic grid, even if you rotate the angle of view. In other words, you can set up a convenient view and still construct on the chosen plane.

Deactivating Grid Objects

You can deactivate a grid object in any of the following ways:

  • Select and activate another grid object.

  • Choose Views > Grids > Activate Home Grid.

  • Delete the grid object.

When you deactivate a grid object, any viewports based on that grid switch to the corresponding orthographic view. For example, a Grid (Front) viewport becomes a Front viewport. A Grid (Display Planes) viewport always switches to Top view, regardless of the currently displayed plane.


AutoGrid

Create panel > Any object category > Object Type rollout

AutoGrid lets you automatically create objects on the surface of other objects by generating and activating a temporary construction plane based on normals of the face that you click. This serves as a more efficient way of stacking objects as you create them, rather than building objects and then aligning them.

Note: If the Smooth checkbox is turned on in the Parameters rollout of a parametric object, the construction plane is placed tangent to the face of the surface implied by any smoothing present on the surface, not the actual face of the surface.

See also

Grid

Grid and Snap Settings

Snaps

Activate Grid Object

Procedure

Example: To create a box aligned to another object using a temporary construction grid:

  1. Create or load a scene containing an object to which you want to align a new box object.

  2. Choose Create panel > Standard Primitives > Object Type rollout > Box.

  3. Turn on AutoGrid.

  4. Move your cursor over the object to which you want to orient the box.

    The cursor includes an X,Y,Z tripod to help you orient the position of the new object. As you move over the object, the cursor aligns the Z axis to the surface normal.

  5. When the orientation is as you want it, click and then use the standard drag-release-move-click method to create the box.

    When you click, a temporary, automatic grid is created, and the newly created object is aligned to that grid.

Interface

Object Type rollout

AutoGrid: AutoGrid is available only after you select an object button (such as Box). When you turn AutoGrid on, the cursor includes an axis tripod to help you orient the grid. Before clicking and as you position the cursor over a visible mesh object, the cursor jumps to the nearest point on that surface. The tripod's X and Y axes form a plane tangent to the object surface (forming an implied construction grid), and the Z axis is perpendicular to the plane.

After creating the object, gmax places it on the temporary construction grid. When creating an object, if the cursor isn't over another object, gmax places the object on the current active grid.

Tip: If you want to make the grid permanent, hold down the ALT key before you click. The grid becomes active and gmax turns AutoGrid off. This method applies only to the first click when you create objects that require multiple clicks. So, for instance, if you want to create a Line shape that snaps to the faces of a sphere, turn on Face in the Grid And Snap Settings dialog.


Aligning Objects

Aligning objects by the center, bottom, or top of their bounding boxes

You can align any two objects, with one as the source object that takes on the alignment of the target object. There are many uses for this feature. For precision, an important use is grid alignment. You can create a new grid object and align it to an existing object, either manually or automatically with the AutoGrid feature. Conversely, you can move an object onto a grid anywhere in your scene.

Source and Target Objects

Alignment involves two objects: one is the source object, where the process begins; the other is the target object, where the selection process ends.

Source object: Object you want to move into alignment with another object. You select a source object to begin the alignment process.

Target object: Object used to define the alignment. You select the target object during the alignment process. It cannot be selected beforehand.

After selecting the source object, choose Tools menu > Align or click the Align button on the main toolbar, then select the target object. Next, the Align Dialog appears.

Setting a Coordinate System

The effects of alignment depend on the current reference coordinate system, such as View, World, and Local. You should decide what system you want to use before beginning alignment.

Reference Coordinate System: Determines the axes used for positional alignment and the size of the bounding box for maximum and minimum positions.

To align objects using active grid axes:

  • Choose Grid as the reference system from the list on the main toolbar.

To align two objects using their own axes:

  • Choose Local as the reference system. Alignment is then strictly between the two objects. Object bounding boxes determine maximum and minimum positions.

As a reminder, the current reference system appears in parenthesis following the Align Position label in the Align Selection dialog.

Basics of Aligning Objects

Alignment controls are on a single dialog. As you make a setting, the object being aligned moves immediately to the new position. This lets you experiment with alignment until you get what you want. Settings can be made in any order.

You can also work step-by-step, by applying position choices, for example, before deciding on final orientation. You can cancel at any time, returning the scene to its original state. You can also undo any alignment and start over.

Aligning Multiple Objects

Aligning multiple objects to the arrow object (each photo is adjusted in a different correction)

When you select multiple objects for alignment, the same settings apply to all of them. However, the effect on each source object is different. In practice, you're aligning separate objects at the same time with the same settings.

To align a collection of objects as a single unit, select the objects and group them. The alignment now takes place relative to the pivot and bounding box of the entire group.

Sub-Object Alignment

You can use Align with any selection that can be transformed. The tripod axis becomes the source for alignment. You do this by accessing the sub-object level of the object before clicking Align.

For further discussion of the Align options, see Align Dialog.


Aligning Normals

The program lets you align the normals between any two objects. In the case of mesh objects, the alignment is between individual faces, because each face has its own normal. See Normal Align.

Basics of Aligning Normals

Before you begin, select a view that lets you see both objects you want to align. If necessary, you can navigate the view after selecting the first normal. To see face normals clearly, work in a wireframe viewport.

For details on the procedure and dialog settings, see Normal Align Dialog.

Other Align Options

The Align flyout has other buttons that provide specialized alignments.

Align to Camera: Orients a camera viewport to a selected face normal, with the normal in the center of the viewport and on the axis of the camera. See Align Camera.

Align to View: Orients a local axis of an object or sub-object selection with the current viewport. Options on the dialog are interactive, as they are on the Normal Align dialog. See Align to View.

Place Highlight: Orients a face normal to a light. See Place Highlight (Main Toolbar) and Lighting Your Scene.


Setting Standard Snaps

Standard snaps give you control in creating, moving, rotating, and scaling objects. You access the snap features in the program from buttons on the prompt line.

You make most snap settings on Grid And Snap Settings, a modeless dialog with four panels. You can move this dialog to any convenient location on your screen and turn options on and off as you work. Panels are reset to defaults for each new session.

Snap settings are stored in the gmax.ini (or gmaxdev.ini) file rather than in the .gmax file. This means that the state of the snap settings persists from session to session without your having to modify the gmaxstart.gmax file.

Grid and Snap Settings Dialog

The most commonly used grid and object snaps appear on the Grid and Snap Settings dialog. This is the general sequence for using these snaps:

  • Click to turn on the 3D Snap button on the status bar, then right-click this button to display the Grid and Snap Settings dialog. Standard snaps are the default.

  • By default, only Grid Points snap is active. Turn on other snap types to activate them. When you create or move objects, these snaps are now in effect, anywhere in 3D space and unaffected by the current transform coordinate system.

  • As you move the cursor, each snap type is marked by a distinctive icon shown on the Snap panel. The current icon indicates the type and position of the next snap.

  • Grid points and grid lines are secondary to the other snap types. For example, if both Grid Point and Vertex are active, the software makes a vertex snap in preference to an equally close grid point.

  • Turn snaps on and off as needed; the easiest way is by pressing the S key.

For more information on snaps, see 2D Snap, 2.5D Snap, 3D Snap and Snaps Settings.

Snap Override

Snap Override bypasses currently selected snaps. You use a keyboard-mouse combination to define a new snap for the next click. You can override on the fly, one snap at a time.

For example, while creating a spline between grid points, you might need to snap to a vertex or midpoint of an object. This is the general procedure:

  • As you use preset snaps to create or move an object, hold down SHIFT and right-click. This pops up a small Snap Override right-click menu.

    Note: You must actually begin the creation or transformation process before accessing the override menu. This typically means that you'll be holding down the left button as you SHIFT+right-click.

  • From the Standard option on this menu, choose the snap type you want to use. The cursor switches to this type.

  • Make the snap. After the snap, currently set snaps are back in effect.

The Snap Override menu also contains an Options submenu, with toggles for snapping within current transform constraints (default=on) and snapping to frozen objects (default=off). In addition, the menu lets you reuse the last override you used (listed by name), and gives you an option for None. None turns off snaps entirely on the next click.


Setting Snap Options

You access a number of snap features from the Options tab of the Grid And Snap Settings dialog. Right-click any of the snap buttons on the status bar to display the Grid And Snap Settings dialog or choose Customize menu > Grid and Snap Settings, then click the Options tab.

Marker settings: Determine the color and size of the snap cursor. Turn off Display to turn off the snap cursor entirely.

Snap Strength: Determines how close the cursor needs to approach a snap point before the snap takes place. This is a global setting, affecting all snap interactions. Possible values range from 1 to 20, representing the pixels in a "search region" around the active point of the cursor. Default=8.

Snap to Frozen Objects: You can snap to frozen objects.

Settings for Angle and Percent Snap

The following Options settings are for two snap buttons that operate independently of standard snaps.

Angle snap: A global setting, in degrees, that determines the angle of rotation for a number of features in the program, including the standard Rotate transform. As you rotate an object (or group of objects), the object moves around a given axis in the increment you set. Angle snap also affects the following:

  • Pan/Orbit camera controls

  • FOV and Roll camera settings

  • Hotspot and Falloff light angles

For more information, see Angle Snap.

Percent snap: Sets a percentage increment during a scaling operation.

For more information, see Percent Snap.

Rotating and Scaling with Snaps

The effect of rotating and scaling with snaps depends on whether the Animate button is turned on or off.

Animate Off: Rotations and scales occur around the snap point. For example, using Vertex snap, you can rotate a box about any of its corners.

Animate On: Snap toggles are disabled, while Angle and Percent snaps remain active. Rotation and scaling occur around the pivot point of the object.

Translation Option

By default, the Use Axis Constraints option is off. The current toolbar setting for axis constraint (XY, for example) has no effect. Setting this option lets you use snaps in conjunction with axis constraints.

Settings for Spinner Snap

You set the spinner snap on the General panel of the Preferences dialog. Right-click the Spinner Snap button to display this panel.

Spinner snap: Sets a numerical increment for spinner fields. If you’re using generic units of 1 inch, a setting of 12 would let you resize objects by one foot with every click, or add 12 segments to a sphere.

The same setting applies to all spinner fields. Since spinner snap is a toggle, you can easily turn it on when needed and use the default at other times. Spinner snap has no effect on dragging a spinner, only on single clicks.

For more information, see Spinner Snap.


Measuring Distances

gmax provides options for measuring distances, angles, direction, and object data. Five helper objects create a dummy object, Grid, tape measure, protractor, and point.

Helper Objects for Measurement

Helper objects are located on the Create panel.

To create a helper object:

  1. Click the Helpers button, then click the button for the object you want to create.

  2. Either drag or click in a viewport to create the object.

Dummy Object

A Dummy helper object is a wireframe cube with a pivot point at its geometric center. It has a name but no parameters, and cannot be modified. Its only real feature is its pivot, used as a center for transforms. The wireframe acts a reference for transform effects.

To create a dummy object, click Dummy and drag out a cube to any convenient size.

Grid

You can use the Grid object as a construction plane on all three orthographic planes in both directions. When you create a Grid object, it automatically activates itself and turns off the home grid. If you create the Grid with the AutoGrid feature on, your new construction plane is on the normal where you created the grid.

To create a Grid:

  1. On the Create panel, click the Helpers button.

  2. Click Grid, and toggle AutoGrid on or off.

  3. Click and drag from the center point where you want to place the grid in the viewport. When you release, the grid is created and the Home Grid, or previous grid, is turned off.

Tape

Using 3D snaps, you can create a Tape object by dragging between any two points in 3D space, much like using a physical tape measure. You then read the length on the Parameters rollout.

If you turn on Specify Length, the length field lets you enter a value in current units. This is like locking a tape measure to a set length. You can position the tape object and snap to its ends.

  • To display length and angle settings, select only the tape end of the object, a small yellow pyramid.

  • To move the entire tape including its target, a blue cube, select the connecting line.

Two sets of World Space Angles give you current readouts to the three world axes (X, Y, Z) and the three world planes (XY, YZ, ZX).

Protractor

The Protractor object reads angles between pivot points of two objects, measured from the center, and the protractor object.

To use a protractor:

  1. Click to position it as a Protractor object.

  2. On its Parameters rollout, click Pick Object 1 and select an object in your scene. The name of the selected object appears above the pick button. A line connects the protractor to the center of the object.

  3. Repeat for a second object, then read the angle on the rollout.

  4. To move either object while watching the Angle readout, turn on the Pin Stack button in the Modifier Stack rollout. This locks the stack to the Protractor's Parameters rollout.

Point

You can create a Point object with a single click anywhere in 3D space. This dimensionless object lets you identify a position that has no other geometry. You might snap a Point object to a corner or another object, and use the point as one pick for the protractor.


Standard Helpers

Create panel > Helpers > Standard > Object Type rollout

The standard set of helper objects includes the following:

Dummy

Grid

Point

Tape

Protractor


Dummy Helper

Dummy

Create panel > Helpers > Standard > Object Type rollout > Dummy

Animation menu > Dummy

A Dummy helper object is a wireframe cube with a pivot point at its geometric center. It has a name but no parameters, you can't modify it. Its only real feature is its pivot, used as a center for transforms. The wireframe acts as a reference for transform effects.

The dummy object is used primarily in hierarchical linkages. For example, you can use a dummy object as a center of rotation by linking a number of different objects to it. When you rotate the dummy, all of its linked children rotate with it. A dummy is often used this way to animate linked motion.

Another common usage of a dummy object is in the animation of target cameras. You can create a dummy and position a target camera within the dummy object. Then you can link both the camera and its target to the dummy, and animate the dummy with a path constraint. The target camera will follow the dummy along the path.

Dummy objects are always created as cubes. You can change the proportions of dummies by using non-uniform scaling, but avoid this on dummies that are within a hierarchical linkage; this can introduce unexpected results.

Procedure

To create a dummy object:

  • Click Dummy and drag a cube to any convenient size.

Interface

Dummy objects don't have any parameter rollouts or settings.


Grid Helper

Grid

Create panel > Helpers > Standard > Object Type rollout > Grid

Tab panels > Helpers tab > Grid Object

Procedures Interface

The grid, also called "User Grid" or "Custom Grid", is a 2D parametric object with adjustments for overall size and grid spacing. You can move and orient user grids anywhere in world space.

You can create any number of grid objects in your scene. You name them when you create them and save them with the scene. You can delete them at any time.

Like other objects you create in the software, grid objects are placed on the grid of the current viewport. By default, this is a plane of the home grid, but it can also be another activated grid object.

Note: You can use AutoGrid to create a temporary or permanent user grid off the surface of any object. See AutoGrid for more information.

Using the Grid Object

You can use the grid object as a construction plane on all three orthographic planes in both directions. Here's how it works:

In the Parameters rollout of each grid object is a Display group box with three option buttons: XY Plane, YZ Plane, and ZX Plane. These determine which of the three planes of the grid object is displayed in the viewport.

When you activate a grid object, the displayed plane is the construction plane for all viewports. When you create a grid viewport, you can choose from one of six orthographic views (Front, Top, Left, and so on), or you can choose a special "Display Planes" grid viewport. (When you press the "G" key to create a grid viewport, the Display Planes type becomes the default.) The Display Planes type of grid viewport always displays the plane chosen by the three option buttons under Display. Thus, as you switch between XY Plane, YZ Plane, and ZX Plane, the view through the grid viewport switches accordingly, and objects created in that viewport are created on the displayed plane.

When you right-click on a viewport label (or go to the Layout page of the Viewport Configuration dialog), you can choose six additional types of grid viewports, based on the six orthographic views. These are available by a cascading Grid menu that provides Left, Right, Front, Back, Top, Bottom, and Display Planes. Each of the orthographic directions is local to the grid object, regardless of its orientation in the scene.

When you choose a specific orthographic grid viewport (as opposed to the Display Planes viewport), the construction of objects in that viewport is on the plane specified in the viewport title regardless of the displayed plane of the grid object.

You can create more than one viewport based on the same grid object, with each using a different plane. For example, you can have a Grid (Front) viewport and a Grid (Top) viewport, as well as a Grid (Display Planes) viewport.

When you deactivate a grid object, its remaining viewports show the assigned orthographic view. Thus, a Grid (Front) viewport becomes a Front viewport, for example. A Grid (Display Planes) viewport always reverts to a Top view, regardless of the currently displayed plane.

Scaling Not Advised

As a rule, don't use scaling to resize a grid object. Scaling enlarges or reduces the apparent size of the grid object but has no effect on grid spacing. A sphere 20 units in radius created on a grid object appears smaller than another 20-unit sphere created on a scaled-up version of the same grid.

If you want to change the actual size of the grid object, select it and go to the Modify panel > Parameters rollout > Grid Size group box, and change the Length and Width settings.

Locating Grid Tools

Grid tools are spread throughout the interface of the software.

  • In the Views menu, under Grids, are the commands to activate home and user grids.

    The same tools are available with a right-click anywhere in the viewport.

  • Choose Customize menu > Grid and Snap Settings to display the Grid and Snap Settings dialog. Two tabs are devoted to Grid tools, one for home, another for user grids. You can change parameters of any active grid using the Modify panel.

Procedures

To create a grid object:

  1. Click Create panel > Helpers > Standard > Object Type rollout > Grid.

    A Parameters rollout appears on the Create panel.

  2. In a viewport, drag a rectangle and release the mouse button. This creates and selects a grid object, which appears in white wireframe, divided into four quadrants with coordinate axes at the center.

    While the newly created grid object is still selected, you can change its settings on the Parameters rollout.

    You can also create a grid object during object creation. Turn on AutoGrid, then press ALT during object creation. A grid is created at the same time as the object and remains displayed and active. See AutoGrid for more information.

To activate a grid object:

A grid object requires activation before use. Standard selection doesn't activate it unless you turn on the option to do so (see User Grids).

Only one grid can be active for construction at a time, whether it's the home grid or a grid object. Activating a user grid "deactivates" the home grid.

Activating a grid object enables options to reactivate the home grid on the Views menu > Grids submenu and the Quad menu.

If you have more than one grid object in your scene, you have to activate each one separately. Select the grid object you want to make active and follow the same procedure. Activating another grid object deactivates the current one.

  1. Select a grid object.

  2. Do one of the following:

    • From the Views menu, choose Grids > Activate Grid Object.

    • Right-click the selected grid object and choose Activate Grid > Selected.

      The grid object changes to show its internal grid structure. Except for its main axes, the home grid disappears in all viewports.

To return to the home grid:

Do one of the the following:

  • From the Views menu, choose Grids > Activate Home Grid.

  • Right-click the selected grid object and choose Activate Home Grid from the Viewport Properties menu.

    This deactivates the grid object and returns the home grid in all views.

    If you delete an activated grid object, the home grid also reactivates.

    You can assign a keyboard shortcut to Activate Home Grid in the Keyboard panel of the Customize User Interface dialog. This is useful if you need to move back and forth between different grids.

To use a grid object as construction plane:

When activated, a grid object replaces the home grid as the frame of reference for creating objects.

An activated grid object creates a true plane in 3D space. No matter how small an activated grid object appears on screen, its XY plane is effectively infinite, just as if it were the XY plane of the home grid.

  1. Activate the grid object.

  2. Create any category of object from the Create command panel.

    The software creates the object directly on the plane of the grid object, with the object's Z axis perpendicular to the plane.

    See Align for details on aligning objects and grids.

    Like other objects in the software you can move and rotate grid objects freely using standard transformation methods. These transforms, along with alignment, are essential in positioning a construction plane in 3D space.

To nudge a grid object up or down:

  1. Activate the grid object.

  2. Press the + or - keys on the numeric keypad to move the grid object up or down.

    The Grid Nudge Distance is controlled in the Viewports panel of the Preferences dialog.

Interface

Grid Size group

Sets the overall size of the grid object. This size determines the extents of a viewport set to the grid object. It doesn't affect the useful limits of the grid, which extend infinitely.

Length/Width: Specifies the length and width of the grid.

Grid Spacing group

Grid: Specifies the size of the smallest square in the visible grid. This setting appears on the status line when the grid is activated.

Note: You can set Grid Spacing when a grid is selected, but you won't see the grid spacing until the grid is activated.

Active Color group

Determines the color used to draw the grid in viewports when it's not selected.

Gray: The active grid object is two shades of gray.

Object Color: The main grid lines use the assigned object color, while the secondary lines use a lighter intensity.

Home Color: The grid object uses whatever custom color has been assigned the home grid in the Customize User Interface Dialog.

Home Intensity: The grid object uses the same Grid Intensity settings as those assigned to the home grid in the Customize User Interface Dialog.

Display group

XY Plane, YZ Plane, ZX Plane: Determines which of the three planes of the grid object are displayed in the viewport.


Point Helper

Point

Create panel > Helpers > Standard > Object Type rollout > Point

Animation menu > Point

Point provides a specific location in 3D space that can be used as a reference or by other program functions.

Procedure

To create a point in space:

  1. Click Point and check the type of display from the Parameters rollout.

  2. Adjust the size of the point object by using the Size spinner in the Parameters rollout.

  3. Drag anywhere in your scene.

    The display you chose follows the cursor, indicating the current location of the point object.

  4. Move the cursor to where you want the point object and release the mouse button.

    The point object appears as the display you chose.

    You can move and rotate the point as needed using standard transformation methods.

Interface

Center Marker: Displays a small X marker at the center of the point object.

Axis Tripod: Displays a tripod axis indicating the position and orientation of the point object. The axis remains visible when the point object is no longer selected.

Cross: Displays an axis-aligned cross.

Box: Displays a small axis-aligned box at the center of the point object.

Size: Sets the size for the point object. Use this to minimize the point object, or increase its size to aid in locating it. Default=20.

Constant Screen Size: Keeps the size of the point object constant, regardless of how much you zoom in or out.

Draw On Top: Displays the point object on top of all other objects in the scene.


Tape Helper

Tape

Create panel > Helpers > Standard > Object Type rollout > Tape

Tape provides an on-screen "tape measure" for determining and setting distances. The tape is composed of two named objects, in the same way targeted lights and cameras are. By default, these are named Tape## and Tape##.Target. The tape and target icons are connected by a line representing the current distance between them.

You can drag a length (the default), or enter a specific length by turning on Specify Length. You can snap or align either end of the tape or link to objects in your scene. Deleting either end deletes the tape.

Selection

You can select a tape-measure object from either end, or from the middle. When you click the connecting line, both ends of the tape object become selected so you can move them as one. Note that the same is true of target cameras and lights.

Note: Line selection is available only when clicking with the mouse. Region selection doesn't work for this.

Tip: The Length readout of the tape object is displayed in the Modify panel only when you select the tape end of the object (as opposed to the target or link line). You can lock the Length display by activating the Pin Stack button while the tape end is selected, and then proceed to adjust any part of the tape objector any other object in your scene.

Procedures

To measure a distance:

  1. Click Tape and drag from one point to create the tape, and then move to a second point and release the mouse button to create the target.

    The distance between tape and target appears in the Length field, which is unavailable to indicate that this is a read-only measurement.

    Note: To snap the tape ends to object vertices, edges and so on, turn on Snap with the appropriate snap settings turned on.

  2. Move either end to a new location. The line between stretches to the new distance, shown in the Length field.

    Note: For accurate results when moving a tape endpoint with Snap, you must turn on Pivot in the Snap Settings panel as well as the type(s) of sub-object you want to snap to; see Snaps. This is because the endpoints are actually pivots.

To set a distance:

  • Turn on Specify Length in the Parameters rollout, enter a length, and then create the tape.

    The yellow line is the length you specified, although you can still set the target to any offset by dragging. You can reorient this line as required. You can also clear Specify Length and adjust the length.

Interface

Parameters rollout

Length: Specifies the length of the tape object. You must select the Specify Length check box to enable this option.

Specify Length: Activates the Length parameter setting. Otherwise the tape object's length will be specified by clicking and dragging in the viewport.

World Space Angles group

To X/Y/Z Axis: Displays the angle of the tape object relative to each axis in world space.

To XY/YZ/ZX Plane: Displays the angle of the tape object relative to each of these home planes.


Protractor Helper

Protractor

Create panel > Helpers > Standard > Object Type rollout > Protractor

Tab panels > Helpers tab > Protractor Object

Protractor measures the angle between any two objects in your scene.

The names of the two objects appear above their respective buttons, and the angle formed at the protractor object between the pivot points of the two objects is displayed in the Angle field. Lines are drawn between the protractor and the two selected objects.

The line to the first selected object uses the Target Line color (set in Customize User Interface dialog> Colors panel > Gizmos group), and the line for the second selected object uses the color of the protractor. Set the protractor color by choosing Tape Object from the Objects group in the Colors panel. The same color is used for the Tape Object and the protractor.

You can reselect the protractor at any time, enter the Modify panel, and pick new objects to measure. You can move either of the two objects or the protractor itself to change the angle.

Note: If you need to watch the Angle readout while moving either of the objects, first select the protractor, then click the Pin Stack button. You can now select and move the other objects while the stack remains pinned to display the protractor angle.

Procedure

To use the protractor:

  1. After selecting Protractor in the Create/Helper group, click in the viewport to place and create the protractor icon. You can also drag to move it before releasing the mouse button.

  2. Click the Pick Object 1 button, and then select one of the objects in the scene.

    The name of the selected object appears above the button.

  3. Click Pick Object 2, and then select a second object in the scene.

Interface

Parameters rollout

Pick Object 1: Click this and select the first of the two objects whose angle you want to measure.

Pick Object 2: Click this and select the second of the two objects whose angle you want to measure.

Angle: Displays the angle between the two objects.


Manipulator Helper Objects

Create panel > Helpers

Manipulator helpers are objects you can create to manipulate other objects. They let you add customized controls to your scene that provide visual feedback in viewports. To control other objects, manipulators use the parameter wiring feature.

Manipulators can be especially useful when you create a scene that will be used by more than one animator.

There are three kinds of manipulator helpers:

Cone Angle Manipulator

Plane Angle Manipulator

Slider Manipulator

See also

Wire Parameters

Parameter Wiring Dialog

Procedures

To connect a manipulator so it controls another object:

  1. Select the manipulator.

    Note: Select And Manipulate must be off before you can select the manipulator.

  2. Choose Animation > Wire Parameters > Wire Parameters.

    You can also right-click the manipulator and choose Wire Parameters from the Transform (lower-right) quadrant of the quad menu.

    A pop-up menu appears over the manipulator.

  3. In the pop-up menu, choose Object > Value or Object > Angle (depending on whether the manipulator is a slider or an angle manipulator).

  4. Drag to the object you want to manipulate, and click it.

    A pop-up menu appears over the object.

  5. In the pop-up menu, choose Object, then the name of the parameter you want to manipulate.

    The Parameter Wiring dialog appears.

  6. In the Parameter Wiring dialog, make sure the direction goes from the manipulator to the object (or both directions), and then click Connect.

  7. Close the Parameter Wiring dialog.

    Now when you turn on Select And Manipulate and use the manipulator, the object updates under the manipulator's control.


Cone Angle Manipulator

Create panel > Helpers > Manipulators > Object Type rollout > Cone Angle button

The Cone Angle manipulator is a cone whose base you can adjust. By wiring its Angle value to a parameter of another object, you can create a custom control, with visual feedback, within a scene.

Cone angle manipulator

Cone angle manipulators are used by a spotlight's Hotspot and Falloff controls.

Procedures

To create a cone angle manipulator:

  1. In the Create panel, go to Helpers and choose Manipulators from the drop-down list.

  2. Click to turn on Cone Angle.

  3. Drag in a viewport, and then release the mouse.

    The cone angle manipulator is created along the negative Z axis of the viewport in which you drag. In other words, its initial position points away from you.

To change the angle of a cone angle manipulator:

  1. Turn on Select And Manipulate.

    Tip: If you are still in the Create panel, turn on Select Object before using the manipulator. Otherwise, it is too easy to create a new one.

  2. In a viewport, move the mouse over the manipulator.

    The manipulator turns red when the mouse is over it and it is available to be manipulated. Also, a tooltip appears, showing the name of the manipulator and its current value.

  3. Drag the base of the cone angle manipulator's cone.

    The Angle value changes as you drag the manipulator. This value can range between 0.0 and 360.0.

To select a cone angle manipulator:

  1. Turn on Select Object.

    You can also use Select And Move, Select And Rotate, and the scale options on a cone angle manipulator.

  2. Turn off Select And Manipulate.

    If you don't turn off Select And Manipulate, you adjust the manipulator's Angle value without affecting its properties.

  3. Adjust the properties of the selected manipulator.

To connect a cone angle manipulator so it controls another object:

  1. Select the cone angle manipulator.

    Note: Select And Manipulate must be off before you can select the manipulator.

  2. Choose Animation > Wire Parameters > Wire Parameters.

    You can also right-click the manipulator and choose Wire Parameters from the Transform (lower-right) quadrant of the quad menu.

    A pop-up menu appears over the manipulator.

  3. In the pop-up menu, choose Object > Angle.

  4. Drag to the object you want to manipulate, and click it.

    A pop-up menu appears over the object.

  5. In the pop-up menu, choose Object, then the name of the parameter you want to manipulate.

    The Parameter Wiring dialog appears.

  6. In the Parameter Wiring dialog, make sure the direction goes from the manipulator to the object (or both directions), and then click Connect.

  7. Close the Parameter Wiring dialog.

    Now when you turn on Select And Manipulate and use the manipulator, the object updates under the manipulator's control.

Interface

Angle: The initial angle of the manipulator.

Distance: The length of the manipulator, in gmax units. Default=the distance of mouse drag when the manipulator was created.

Use Square: When on, the base of the cone is square or rectangular, rather than circular. Default=off.

Aspect: When Use Square is on, adjusts the aspect ratio of the rectangular cone base. Default=1.0.


Plane Angle Manipulator

Create panel > Helpers > Manipulators > Object Type rollout > Plane Angle button

The Plane Angle manipulator looks like a lever or joystick. By wiring its Angle value to a parameter of another object, you can create a custom control, with visual feedback, within a scene.

Plane angle manipulator at different angles

Procedures

To create a plane angle manipulator:

  1. In the Create panel, go to Helpers and choose Manipulators from the drop-down list.

  2. Click to turn on Plane Angle.

  3. Drag in a viewport, and then release the mouse.

    The plane angle manipulator is always created vertically, along the Y axis of the viewport in which you drag.

To change the angle of a plane angle manipulator:

  1. Turn on Select And Manipulate.

    Tip: If you are still in the Create panel, turn on Select Object before using the manipulator. Otherwise, it is too easy to create a new one.

  2. In a viewport, move the mouse over the manipulator.

    The manipulator turns red when the mouse is over it and it is available to be manipulated. Also, a tooltip appears, showing the name of the manipulator and its current value.

  3. Drag the handle of the plane angle manipulator.

    The Angle value changes as you drag the manipulator. This value can range between 0.0 and 360.0.

To select a plane angle manipulator:

  1. Turn on Select Object.

    You can also use Select And Move, Select And Rotate, and the scale options on a plane angle manipulator.

  2. Turn off Select And Manipulate.

    If you don't turn off Select And Manipulate, you adjust the manipulator's Angle value without affecting its properties.

  3. Adjust the properties of the selected manipulator.

To connect a plane angle manipulator so it controls another object:

  1. Select the plane angle manipulator.

    Note: Select And Manipulate must be off before you can select the manipulator.

  2. Choose Animation > Wire Parameters > Wire Parameters.

    You can also right-click the manipulator and choose Wire Parameters from the Transform (lower-right) quadrant of the quad menu.

    A pop-up menu appears over the manipulator.

  3. In the pop-up menu, choose Object > Angle.

  4. Drag to the object you want to manipulate, and click it.

    A pop-up menu appears over the object.

  5. In the pop-up menu, choose Object, then the name of the parameter you want to manipulate.

    The Parameter Wiring dialog appears.

  6. In the Parameter Wiring dialog, make sure the direction goes from the manipulator to the object (or both directions), and then click Connect.

  7. Close the Parameter Wiring dialog.

    Now when you turn on Select And Manipulate and use the manipulator, the object updates under the manipulator's control.

Interface

Angle: The angle of the manipulator, from 0.0 to 360.0 (both values are perpendicular in the Y axis of the viewport where you created the manipulator, unless you have rotated the manipulator object). Default=0.0.

Distance: The length of the manipulator, in gmax units. Default=the distance of mouse drag when the manipulator was created.

Size: The size of the manipulator's handle, in gmax units. Default=1.0.


Slider Manipulator

Create panel > Helpers > Manipulators > Object Type rollout > Slider button

The Slider manipulator is a graphic control that appears in the active viewport. By wiring its Value to a parameter of another object, you can create a custom control, with visual feedback, within a scene.

Slider manipulator

Using a Slider Manipulator

Slider manipulator components:
1 Label
2 Value
3 Move
4 Show/hide
5 Slider bar
6 Adjust value
7 Change width

The slider appears in the same location in whichever viewport is active.

You can adjust the slider's value by dragging the triangle below the slider bar. The triangle turns red when you move the mouse over it. It represents the slider's value, and the value changes as the triangle is dragged. You can also make the following changes without going into the Modify panel:

  • Dragging the small square at the left moves the slider.

  • Dragging the diamond at the right changes the width of the slider.

  • Clicking the plus sign (next to the move icon at the left) hides all of the slider except for the label and the move icon.

Like the Value triangle, these components also turn red when you move the mouse over them.

Procedures

To create a slider manipulator:

  1. In the Create panel, go to Helpers and choose Manipulators from the drop-down list.

  2. Click to turn on Slider.

  3. Click a viewport.

    The slider manipulator is created with its default width of 100 units. It will appear at the same viewport location in whichever viewport is active.

To change the value of a slider manipulator:

  1. Turn on Select and Manipulate.

    The slider turns green.

    Tip: If you are still in the Create panel, turn on Select Object before using the manipulator. Otherwise, it is too easy to create a new one.

  2. In a viewport, move the mouse over the triangle below the slider bar.

    The triangle turns red when the mouse is over it and it is available to be dragged.

  3. Drag the value triangle of the slider manipulator.

    The slider's value display changes as you drag the triangle.

To move a slider manipulator:

  1. Turn on Select And Manipulate.

  2. In the active viewport, move the mouse over the move icon, which is the small square at the left of the slider, below the sliders label (if there is one) and value display.

    The square turns red when the mouse is over it and it is able to be dragged.

  3. Drag the box to move the slider.

    Unlike angle manipulators, transforms have no effect on sliders.

To connect a slider manipulator so it controls another object:

  1. Select the slider.

    Note: Select And Manipulate must be off before you can select the slider.

  2. Choose Animation > Wire Parameters > Wire Parameters.

    You can also right-click the manipulator and choose Wire Parameters from the Transform (lower-right) quadrant of the quad menu.

    A pop-up menu appears over the manipulator.

  3. In the pop-up menu, choose Object > Value.

  4. Drag to the object you want to manipulate, and click it.

    A pop-up menu appears over the object.

  5. In the pop-up menu, choose Object, then the name of the parameter you want to manipulate.

    The Parameter Wiring dialog appears.

  6. In the Parameter Wiring dialog, make sure the direction goes from the slider to the object (or both directions), and then click Connect.

  7. Close the Parameter Wiring dialog.

    Now when you turn on Select And Manipulate and use the slider, the object updates under the slider's control.

Interface

Name: The slider label that appears in viewports. Default=none.

Value: The value of the slider, based on the position of the slidable triangle. Default=0.0.

Min: The minimum possible value of the slider. Default=0.0.

Max: The maximum possible value of the slider. Default=100.0.

When the minimum is 0.0 and the maximum is 100.0, the slider Value can represent a percentage.

X Position: The slider's X location in the active viewport. Default=Viewport X location you clicked when you created the slider.

Y Position: The slider's Y location in the active viewport. Default=Viewport Y location you clicked when you created the slider.

Width: The slider's width, in gmax units. Default=100.0.

Snap: When on, the slider "snaps" to incremental values. When off, Default=on.

Snap Value: The increment used by the slider when Snap is on. Default=0.01.

Hide: When on, hides all of the slider except for the label and the move and show/hide components. Default=off.


Grids

Views menu > Grids

The Grids submenu provides functions to manipulate the home grid and grid objects.

Grids are used both as visual references and as physical snap references by the Snap system. In addition, grids are construction planes, since the objects you create are built on the active grid in the active viewport.

As a default, there is a home construction grid called home grid. The home grid is the basic reference system, and is defined by three fixed planes on the world coordinate axes. It provides ready-to-use construction planes, intersecting at right angles through the origin. When the home grid is displayed, each orthographic viewport is coplanar (parallel) with one of the grid faces.

A custom grid, or grid object, is a helper object that you can use in place of the home grid. While the home grid is three intersecting planes whose orientation is fixed in world space, a grid object is a free-floating, 2D grid that you can position and rotate anywhere, letting you construct objects at any angle in world space. You can also automatically create grids on the surface of objects by using AutoGrid in the Object Type rollout of the command panel.

The Grids submenu on the Views menu contains the following commands:

Show Home Grid

Activate Home Grid

Activate Grid Object

Align Grid to View


Show Home Grid

Views menu > Grids > Show Home Grid

Keyboard > G

Show Home Grid toggles the display of the home grid in the active viewport.

Procedure

To toggle the display of the home grid, do one of the following:

  • Choose Views menu > Grids from the menu bar and change Show Home Grid.

  • Right-click a viewport label and click Show Grid on the viewport right-click menu.

  • Press G on the keyboard.


Activate Home Grid

Activate a grid other than the Home grid. > Views menu > Grids > Activate Home Grid

This command activates the home grid as the construction grid and deactivates the active grid object.

Procedure

To return to the home grid, do one of the following:

  • Choose Views menu > Grids > Activate Home Grid.

  • Right-click the selected grid object, and choose Activate Home Grid.

    This deactivates the grid object and returns the home grid in all views.


Activate Grid Object

Select a grid object. > Views menu > Grids > Activate Grid Object

This command activates the selected grid object as the construction grid and deactivates the home grid. This menu item is available only when a grid object is selected.

Procedure

To activate a grid object:

  1. Select a grid object.

  2. Do one of the following:

    • Choose Views menu > Grids > Activate Grid Object.

    • Right-click the selected grid object and choose Activate Grid from the viewport right-click menu.

      The grid object changes to show its internal grid structure. Except for its main axes, the home grid disappears in all viewports.


Align Grid to View

Activate a grid object. > Views menu > Grids > Align Grid to View

This command aligns a grid object with the current view. The grid object is aligned so that it's coplanar with the view and oriented with the top of the grid at the top of the view.

Procedure

To align a grid object with a viewport:

  1. Activate a grid object.

  2. Click or right-click in a viewport.

  3. Choose Views menu > Grids > Align Grid to View.

    The grid object rotates to align itself with the selected view. The grid object is now planar, or parallel, with the viewport.


Animation Concepts and Methods

Animation is used throughout gmax. You can animate the position, rotation, and scale of an object, and almost any parameter setting that affects an object's shape and surface. You can link objects for hierarchical animation, using both forward and inverse kinematics, and you can edit your animation in Track View.

This section discusses the basics of creating animation. It looks briefly at a comparison between computer animation and classic hand-drawn animation, and then describes the creation of keyframed animation, using the Animate button. The following topics are covered here:

Animation Concepts

Using the Animate Button

Viewing and Copying Transform Keys

Controlling Time

Setting Time Segments

Moving Through Time

Choosing a Frame Rate and Playback Speed


Animation Concepts

Animation is based on a principle of human vision. If you view a series of related still images in quick succession, you perceive them as continuous motion. Each individual image is referred to as a frame.

A frame is a single image in an animated film.

Traditional Animation Method

Historically, the main difficulty in creating animation has been the effort required of the animator to produce a large number of frames. One minute of animation might require between 720 and 1800 separate images, depending on the quality of the animation. Creating images by hand is a big job. That’s where the technique of keyframing comes in.

Most of the frames in an animation are routine, incremental changes from the previous frame directed toward some goal. Traditional animation studios realized they could increase the productivity of their master artists by having them draw only the important frames, called keyframes. Assistants could then figure out what belonged on the frames in between the keyframes. The in-between frames were called tweens.

Once all of the keyframes and tweens were drawn, the images had to be inked or rendered to produce the final images. Even today, production of a traditional animation usually requires hundreds of artists to generate the thousands of images needed.

The gmax Method

This program is your animation assistant. As the master animator, you create the keyframes that record the beginning and end of each animated sequence. The values at these keyframes are called keys. The software calculates the interpolated values between each key to produce the completed animation.

The software can animate just about any parameter in your scene. You can animate modifier parameters, such as a Bend angle or a Taper amount, material parameters, such as the color or transparency of an object, and much more.

Once you have specified your animation parameters, you can play the animation back in the viewport by using the Play button. You can export your .gmax animation back to your video game and see the results.

Comparing Frames and Time

Traditional animation methods, and early computer animation programs, are rigidly locked to the concept of producing animation frame by frame. This is okay if you always work in a single format or do not need to specify an animated effect at a precise time.

Unfortunately, animation comes in many formats. Two of the more common formats are film at 24 frames per second (FPS) and NTSC video at 30 FPS. Also, the need for accurate time-based animation versus frame-based animation is critical as animation becomes more common for scientific and legal presentation.

Different animation formats have differing frame rates.

gmax is a time-based animation program. It measures time, and stores your animation values, with an internal precision of 1/4800 of a second. You can configure the program to display time in a format best suited for your work, including traditional frames format. See Viewport Configuration Dialog.

Many of the examples in the following sections describe time using the frames method for the sake of tradition and familiarity. Keep in mind that you are really animating using a very precise time-based method, and frames aren’t created until you play or export animation.

Identifying Animation Tools

You can locate the basic animation tools in the following areas of the interface:

Track View: Provides detailed animation editing capabilities in a floating window. See Track View.

Track Bar: Provides quick access to keyframes and interpolation controls. See Track Bar.

Motion Panel: Use this panel to adjust transform controllers that affect all position, rotation, and scale animation. See Working with Controllers.

Hierarchy Panel: Use this panel to adjust all parameters governing the linkage of two or more objects. These include inverse kinematics parameters and pivot point adjustments. See Hierarchy Panel.

Time Controls: Use these controls to move through time in the viewport displays. You can move to any point in time, and play animations in the viewports. The time controls, documented in Viewport Controls, include:

  • Time slider

  • Animate button

  • Animation playback buttons

  • Current frame field

  • Key Mode toggle

  • Time Configuration button

To get started with animation, see Using the Animate Button.


Using the Animate Button

Start creating an animation by turning on the Animate button, setting a current time, and then changing something in your scene. You can change the position, rotation, or scale of an object, or change almost any setting or parameter.

When you make a change, a key storing the new value for the changed parameter is created at the current time. If that key was the first animation key created for the parameter, a second animation key is also created at time 0 to hold the parameter’s original value.

Keys are not created at time 0 until you create at least one key at another time. After that, you can move, delete, and re-create keys at time 0.

Turning Animate on has the following effect:

  • The Animate button, the time slider and the border of the active viewport turn red to indicate you are in animation mode.

  • Keys are created whenever you transform an object or change an animatable parameter.

  • The time slider sets the time where keys are created.

To begin animating an object:

Click Animate to turn it on.

Drag the time slider to a time other than 0.

Do one of the following:

    • Transform an object.

    • Change an animatable parameter.

For example, if you have a cylinder that has not been animated yet, it has no keys. If you turn Animate on, and at frame 20 you rotate the cylinder 90 degrees about its Y axis, Rotate keys are created at frames 0 and 20. The key at frame 0 stores the original orientation of the cylinder, while the key at frame 20 stores the animated rotation of 90 degrees. When you play the animation, the cylinder rotates 90 degrees about its Y axis over 20 frames.

Modeling Without Animating

Just as you can animate at any time by turning Animate on, you can also model at any time in your animation without creating animation keys.

The results of changing an object or any other parameters with Animate off varies according to whether or not the object or parameters have been animated yet.

  • If you create a new object, or change an object parameter that has not been animated yet, you can work at any time with Animate off. The changes you make are constant through the entire animation.

    For example, you might animate an object bouncing around your scene and then decide to create pads for the object to land on. To do that, you drag the time slider to a time when the bouncing object hits the ground, and make sure Animate is off before you proceed. You can then create a pad under the bouncing object and repeat the process at the next time where it hits the ground. Because Animate was off, it does not matter at what time the pad objects were created. They remain inanimate through the entire animation.

  • If you change an object or parameter that is already animated, while Animate is off, the amount of change is applied equally across all the animation keys.

    For example, you might animate a sphere’s radius to be 15 at frame 0, 30 at frame 10, and 50 at frame 20. If you drag the time slider to frame 10, turn Animate off, and increase the sphere’s radius from 30 to 40, the change in the radius is applied to the other two keys as well. Because you increased the radius by 10 units with Animate off, all radius keys are increased by 10 units. The sphere’s radius is now 25 at frame 0, 40 at frame 10, and 60 at frame 20.

    If Animate had been on when you changed the radius, it would have been an animated change applied only to the key at frame10.

Identifying What Can Be Animated

Because most parameters in gmax can be animated, the easiest way to find out if something can be animated is just to try it. Usually, if you want to animate a parameter, it can be animated.

Sometimes you need to know in advance if you can animate a parameter. If so, you can use Track View. The Track View Hierarchy list displays every parameter that can be animated. Any item in the list displayed with a green triangle icon can be animated. See Track View and Animation Controllers


Spinner Right-Click Menu

When you right-click the spinner text box of an animatable parameter, the Spinner Right-Click menu is displayed. This menu provides options for cutting and pasting values, wires, and animation tracks between various object parameters. It also allows you to show the parameter in Track View or in the Parameter Wiring dialog.

Interface

Undo: Reverses the effect of the last action.

Cut: Removes highlighted text to be placed elsewhere.

Copy: Copies highlighted text to be placed elsewhere.

Paste: Places cut or copied text into selected text box.

Delete: Removes highlighted text.

Select All: Highlights all text within selected text box.

Copy Animation: Copies animation controller of selected parameter to be assigned elsewhere.

Paste Animation – Copy: Assigns copy of animation controller to selected parameter.

Paste Animation – Instance: Assigns an instance of the copied animation controller to the selected parameter.

Paste Animation – Wire: Opens a Parameter Wiring dialog with the copied parameter and the paste destination parameter selected. This is equivalent to creating a wire parameter in the viewport between two parameters.

Edit Wire: Opens the Parameter Wiring dialog expanded and positioned to show the wire controller assigned to the selected parameter.

This is only available if there is currently a wire controller on the selected parameter.

Show in Track View: Opens a Track View window expanded and positioned to show the selected parameter.

Show in Parameter Wire dialog: Opens a Parameter Wiring dialog expanded and positioned to show the selected parameter.


Viewing and Copying Transform Keys

The viewports display white brackets around objects that have transform keys at the current time. These key brackets don’t appear in shaded viewports.

Key brackets are displayed only for transform keys. Use the Track View to view all key types. You can also see all keys for the current selection in the track bar.

For example, suppose you animate a sphere by moving it at frame 20, and scale and rotate it at frame 50. When you drag the time slider, white brackets appear around the sphere at frames 50, 20, and 0, and keys appear at the same frames in the track bar.

If you then apply a modifier such as Bend, and animate its Angle setting at frame 40, you won't see a white bracket around the sphere at frame 40, but track bar displays a key for the Bend animation.

Controlling Key Bracket Display

Animation panel of the Preference Settings dialog

You can control the display of key brackets using options in the Preference Settings dialog > Animation panel.

Creating Transform Keys with the Time Slider

You can use the time slider to create transform keys by copying transform values from one time to another. To specify the type of key to create and the source and destination time for the key values, right-click the time slider to display the Create Key dialog.

Create Key dialog

You set parameters in the Create Key dialog:

Source Time: Specifies the time from which transform values will be copied.

Destination Time: Specifies the time where the key will be created.

Position, Rotation, Scale: Determine which transform key values will be copied to the destination time.

When you click OK, new keys for the specified transforms are created at the destination time, using values from the source time. Keys do not have to exist at the source frame, because the interpolated values at the frame are used.

You may find it easier to create and manipulate keys with the track bar. For more information, see track bar.

Creating Position Lock Keys and Rotation Lock Keys

Creating a lock key creates a key with Linear interpolation. If you create the lock key while an existing key is selected, it changes that key's interpolation from Smooth to Linear. (Different types of interpolation are described in Bezier Controllers.)

You can create a lock key for position or for rotation.

Lock keys are useful when you want an object to be stationary, but smooth interpolation is causing it to "wobble" on its stationary spot.

To create a lock key:

  1. (Optional.) Select a key.

  2. ALT+Right-click the object you're animating.

    Note: The Animate button doesn't have to be turned on.

  3. In the quad menu that appears, choose Set Position Lock Key from the Position Keys (lower-right) quadrant, or Set Rotation Lock Key from the Rotation Keys (upper-right) quadrant.

    You can create keyboard shortcuts for these two commands. Create Position Lock Key and Create Rotation Lock Key are main user interface shortcuts.


Controlling Time

You create animation by changing your scene over time. You can exercise great control over time as follows:

  • How time is measured and displayed.

  • How much time is in your active work segment.

  • How much time is covered by each rendered frame of your animation.

Other issues in the following topics describe how to move through time and how to view animation in the viewports.

Choosing the Time Display Format

When you start gmax, the default time display is in frames, but you can use alternative time-display formats. For example, you might want to see time in seconds and minutes.

You can specify four different time-display formats using the Time Configuration dialog > Time Display group settings. When you change the time display format, you not only change the way that time is shown in all parts of the software, but you also change the method with which you access time.

Time Configuration dialog

You can use these time display formats:

Frames: Displays time in whole frames. This is the default display mode for gmax. The amount of time covered by a single frame depends on your choice for the current frame rate. For example, in NTSC video each frame represents 1/30th of a second.

SMPTE: Displays time using the Society of Motion Picture and Television Engineers format. It is the standard time-display format for most professional animation work. From left to right, the SMPTE format displays minutes, seconds, and frames, delineated by colons. For example, 2:16:14 represents 2 minutes, 16 seconds, and 14 frames.

FRAME:TICKS: Displays time using frames and the program's internal time increment, called "ticks." There are 4,800 ticks per second, so you can actually access time down to 1/4800 of a second.

MM:SS:TICKS: Displays time in minutes (MM), seconds (SS), and ticks, delineated by colons. For example 2:16:2240 represents 2 minutes, 16 seconds, and 2,240 ticks.


Setting Time Segments

The active time segment specifies a block of working time. You might think of it as a window in time that you use to focus on a specific part of your animation.

Specifying an Active Time Segment

You specify the active time segment by setting the Start Time and End Time for the segment on the Time Configuration dialog.

You can change the active time segment whenever you want without affecting the keys you've already created. For example, if you have keys scattered over a range of 1000 frames, you can narrow your active time segment to work only on frames 150-300.

Changing the active time segment has the following effect:

  • Restricts the range of time you can access using the time slider.

  • Restricts the range of time displayed when using the animation playback buttons.

The default setting for the active time segment runs from frames 0 to 100, but you can set it to any range.

You can also increase the active time segment using track bar.

Rescaling the Active Time Segment

You use the Rescale Time button on the Time Configuration dialog to change your entire animation based on the active time segment.

Use Rescale Time as follows:

  • Scale all animation in the active time segment to fit within a new time range.

  • Move the entire animation to a new time.

Click Re-scale Time and then enter new Start Time and End Time values on the Re-scale Time dialog. When you click OK all the animation in the active time segment is moved and scaled to fit the new Start Time and End Time settings. Any animation outside the active time segment is moved to match the new active time segment boundaries.

For example, say you have an animation from frame 0 to frame 300 and an active time segment starting at frame 100 and ending at frame 200. Use Re-scale Time to set the new Start Time to frame 200 and the new End Time to frame 250. Clicking OK gives you the following result:

  • Animation in the active time segment moves forward 100 frames and shrinks to a length of 50 frames. The new active time segment is from frames 200 to 250.

  • Animation in the frames preceding the original active time segment moves forward 100 frames to connect to the start of the new active time segment.

  • Animation in the 100 frames after the original active time segment moves forward 50 frames to connect to the end of the new active time segment.

    You can also rescale the active time segment using track bar.


Moving Through Time

You can move to any time in your active time segment by using either the time slider, or the Current Frame field in the time controls area. You can also move through time using the playback control buttons.

Using the Time Slider

The time slider shows you the current time, and lets you move to any time in your active time segment.

To change the current time using the time slider, do one of the following:

  • Drag the time slider.

  • Click in the empty track to either side of the time slider.

  • Click the increment arrows at either end of the time slider.

When you click in the slider track, the time slider jumps to the time where you clicked. This is a faster method of moving through time than dragging the time slider.

The time slider displays the current time, followed by a slash (/), followed by the total time in the active time segment. For example 25/100 means frame 25 of 100 frames. The current time also appears in the current time field. If your scene has been animated, it’s played back in all viewports as you drag the time slider.

Moving to an Exact Time

The Current Time field always displays the current time. You can also enter a time value and press ENTER to move to that time.

Using the Time Control Buttons

You use the Time Control buttons to move forward and backward in time and to play your animation in one or more viewports. The Time Control buttons include four buttons for moving through time and a center flyout for controlling animation playback.

Go to Start

Previous Frame

Play/Stop

Next Frame

Go to End

They work like VCR controls that you use to move through frames and to start and stop animation playback.


Choosing a Frame Rate and Playback Speed

The frame rate of an animation is expressed in frames per second (FPS). This is the number of frames the software displays and renders in the viewport for every second of real time.

Because the program stores your animation keys using real time using an internal precision of 1/4800 of a second, you can change the frame rate for your animation at any time without affecting your animation timing.

For example, if you create three seconds of animation using the NTSC video frame rate of 30 FPS, you will have a 90-frame animation. If you later discover you need to output to PAL video, at 25 frames per second, you can switch to the PAL frame rate, and your animation is now set to 75 frames of output. No change in the timing of your animation has occurred. Only the number of frames that gmax will display and render in the viewport has changed.

Setting the Frame Rate

You use the settings in the Time Configuration dialog > Frame Rate group to switch back and forth between frame rates at any time.

NTSC: U.S. and Japanese video standard of about 30 frames per second.

PAL: European video standard of 25 frames per second.

Film: Movie standard of 24 frames per second.

Custom: Frame rate set in the FPS parameter.

Configuring Animation Playback

You use settings in the Time Configuration dialog > Playback group to specify the playback speed, and the number of viewports that play the animation.

Real Time: Animation plays at the selected playback speed, skipping frames, if necessary, to maintain the correct speed. Turn this off and the animation will play every frame without trying to maintain the correct speed.

Active Viewport Only: Animation plays only in the active viewport. Turn this off and the animation will play in all four viewports at once.

Speed: Select one of these options to multiply the frame rate by the selected speed.

Viewport Playback Speed

The ability of the program to play your animation at a specified rate depends on many things, including the complexity of the scene, the number of objects moving in the scene, the geometry display mode, and so on. The worst case is a camera move in shaded mode, in which the viewport is filled with detailed geometry. In such cases, it’s best to simplify the viewport display, using either wireframe display or, in extreme cases, box display mode.

Naturally, it takes more computing power to display your animation in four viewports, and playback smoothness is reduced. When Active Viewport Only is selected, you can switch active viewports during playback either by clicking the label of an inactive viewport, or by right-clicking in an inactive viewport.


Working with Track View

Track View is the tool that you use to see a data-driven view of your scene and animation.

The standard views, such as Top, Front, User, and Camera, are geometry-driven views. These views display the surfaces of your objects and show them changing over time.

Track View displays the values and timing that produce the geometry and motion you see in standard views. Using Track View, you have very precise control over every aspect of your scene.

The animation edit modes used in Track View are Edit Keys, Edit Ranges, Position Ranges, and Edit Time. Certain buttons in the Motion panel also work well with Track View. For details about using Track View and editing animation, see Track View.

Understanding Track View Concepts

The left side of Track View presents a Hierarchy list of everything in your scene. Every object and environment effect appears in the list, along with its associated animatable parameters. Choose items from this list to apply changes to the animation values.

The right side of Track View, called the Edit window, charts the changes applied to parameters over time. Any change you make to one of these parameters when the Animate button is on, appears as a key in the right side of Track View. Select keys to apply changes to one or more specific keys.

This section covers some of the editing functions you can do with Track View:

Copying and Pasting Items

Copying and Pasting Objects

Making Instance and Reference Objects Unique


Working with Controllers

Everything you animate in gmax is handled by a controller. A controller is a plug-in that handles the storage and interpolation of all animated values.

Although the program has many different types of controllers, most animation is handled by the Bezier controller. Other controllers exist to provide you with animation options and special animation techniques. You can also add to the available controllers by acquiring new controller plug-ins, extending the program's animation capabilities.

This section explains techniques of working with controllers. See Animation Controllers for details about the parameters and use of each controller type. Following is a list of topics in this section:

Understanding Controllers

Changing Controller Properties

Assigning Controllers

Specifying Default Controllers

General-Purpose Controllers

Special-Purpose Controllers

Float Controllers

Controlling Transforms

Controlling Position

Controlling Rotation

Controlling Colors

Morph Controllers


Understanding Controllers

Controllers are plug-ins that handle all of the animation tasks in gmax, including:

  • Storing animation key values.

  • Storing procedural animation settings.

  • Interpolating between animation key values.

Most parameters don't receive a controller until you animate them. As soon as you change a parameter with the Animate button on, or click in its track using Track View Add Keys, a default controller is assigned to the parameter.

Accessing Controllers

There are two places where you work directly with controllers:

  • Track View: Controllers are indicated in the Hierarchy list by the green arrow icon. Using Track View you can view and work with the controllers for all objects and all parameters. See Track View.

  • Motion panel: Contains special tools for working with transform controllers. The Motion panel contains many of the same controller functions as Track View, plus controls necessary for working with special controllers such as the IK Solvers. Using the Motion panel you can view and work with the transform controllers of a single selected object. See Motion Panel.

Categories of Controllers

There are two main categories of controllers. These categories are easy to identify when looking at the Track View Hierarchy list.

Single-Parameter Controllers: Control animation values of a single gmax parameter. Regardless of whether the parameter has a single component, such as the number of sides of a cylinder, or multiple components, such as the RGB values of a color, the controller is handling a single parameter.

Compound Controllers: Combine or manage multiple controllers. Compound controllers include high-level Transform controllers, such as PRS, the Euler XYZ Rotation controller, the Transform Script controller, and the List controller.

A compound controller appears in the Hierarchy list as a controller icon with subordinate-level branches of other controllers.

Controllers and Constraints

In addition to controllers, the software provides the capability of animating using constraints. Many of the items are located in the Animation > Constraint menu. The controllers that are also constraints include the following: Attachment, Surface, Path, Link, and Look-At, Position and Orientation.

When you assign a Controller in the Motion panel or in Track View, you will see these constraints appearing in the list of available controllers. You can assign them just the same as the other controllers, but they are also assignable from the Animation > Constraints submenu. For more information, see Animation Constraints.

Viewing Controller Types

You can view the controller type assigned to a parameter in both Track View and in the Motion panel. Before you can view the controller types in Track View, you must do two things:

  1. Select Controller Types display on the Track View Filters dialog.

  2. Assign controllers to parameters.

The Parameters mode of the Motion panel always displays the transform controller types for the selected object.

Reading Controller Types

You can tell a lot about how a parameter is animated by looking at the controller type.

Parameter Name: Is always visible and is always to the right of the controller icon. It tells you what is animated.

Interpolation Type: Usually follows the parameter name. It tells how animation values are calculated. The label Diffuse: Bezier Color indicates a Diffuse color parameter using Bezier interpolation with Color data.

Data Type: Usually follows the interpolation type. It tells what type of data is used. The label Height: Linear Float indicates a Height parameter using Linear interpolation with a floating point value.


Changing Controller Properties

You can analyze and change your animation by editing controller properties. Most controllers display a properties dialog where you can change animation values. Whether or not a controller displays a properties dialog, and the type of information displayed, depends on the controller type.

Using Track View you can view controller properties dialogs for multiple tracks simultaneously. The following rules govern viewing multiple controller properties dialogs:

  • Each track displays only one properties dialog in each Track View window.

  • When properties dialogs for multiple tracks are visible, only one dialog can be active.

  • Properties dialogs for tracks that use keys are disabled unless keys are selected.

Changing Controller Properties

Some controllers do not use keys, using instead a properties dialog that affects the entire animation. Such controllers are usually parametric controllers like Noise, or compound controllers like List.

To view controller properties in Track View:

  1. Click in an empty area of the edit window to make sure no keys are selected.

  2. Right-click the label for a parametric or compound controller, then choose Properties from the shortcut menu to display the properties dialog.

    The dialog title identifies the controller type, the item or object name, and the parameter. For example: Noise-Controller:-Box01\Position

You can also view global properties for some transform controllers in the Motion panel.

Controller properties can also be viewed from the track bar. Right-click on any key and choose Controller Properties.

Changing Controller Key Information

Some controllers interpolate between keys that you set on specific frames. Such controllers are always single parameter controllers such as a Bezier Float controller for Height or TCB for Rotation. These controllers use a Key Info dialog that contains settings for one of more selected keys.

To view key information in Track View:

  • Right-click a selected key to display the Key Info dialog.

    If more than one key is selected, Key Info displays common information for all of the selected keys. Settings that contain values indicate values common to all of the selected keys. Settings that are blank indicate values that change from key to key.

Viewing key information in the Motion panel always displays the settings for a single transform key.

To view key information for transform controllers in the Motion panel:

  1. Select an object.

  2. On the Motion panel, click Parameters.

  3. Click Position, Rotation, or Scale on the Parameters rollout.

    If the transform controller uses keys, Key Info rollouts appear below the Parameters rollout.

To view key information for transform controllers in track bar:

  1. Select an object that is already animated.

  2. Right-click any key in track bar.

  3. Choose Controller Properties from the right-click menu.

Changing Controllers That Do Not Display Properties

Some controller types do not display any properties in Track View or the Motion panel. You change the animation values of these controllers using the Animate button in the viewports and using the Key, Range, Time, and Function Curve tools in Track View and track bar.


Assigning Controllers

Every parameter has a default controller type that gets assigned the moment the parameter is animated. You can choose from multiple controller types for any parameter and change controllers after the parameter is animated.

Assigning Controllers in Track View

You can assign controllers to any parameter in Track View by selecting controller items and clicking the Assign Controller button in the Track View toolbar.

You can also assign the same controller type to a selection of multiple parameters as long as all the selected parameters can use the same type of controller. For example, you could select the Length, Width, and Height parameters for multiple Box objects and assign the same controller type to all of them. This is because they all use controllers that work on floating point data.

If a parameter has already been animated, then assigning a new controller has one of the following effects:

  • The existing animation values are recalculated to produce a similar animation with the new controller. For example, replacing TCB Position with Bezier Position closely preserves the animation.

  • The existing animation values are discarded. For example, replacing Smooth Rotation with Noise Rotation discards the Smooth Rotation animation values.

Assigning Controllers in the Motion Panel

You can assign controllers on the Motion panel by selecting an object and then, on the Assign Controller rollout, choosing a controller and clicking Assign Controller. You can only change the controllers of a single selected object.

Copying and Pasting Controllers

Click Copy Controller and Paste Controller on the Track View toolbar to copy and paste controllers. For a general discussion of using Copy and Paste, see Copying and Pasting Items.

Rules for using Copy and Paste are as follows:

  • You can copy only single controllers. Compound controllers like List or PRS Transform controllers are considered single controllers for Copy and Paste operations.

  • You can paste a copied controller into one or more controllers using the same data type.

  • You can choose to make an instance or a copy of the pasted controller.

  • You can choose to convert other controller instances in the scene automatically.

Clicking Paste displays the Paste dialog, with three controls for determining how the Paste operation is carried out.

Copy: Pastes the controller as a copy.

Instance: Pastes the controller as an instance of the source controller. Any change you make to either controller will affect the other.

For example, you can paste a box's Length controller as an instance into its Height and Width parameters. This makes the box a cube. Changing either of the Length, Width, or Height parameters changes the other two.

Replace All Instances: When selected, all instances of the target controller receive the paste controller, whether or not they are selected. This keeps all instances of the target controller as instances. When off, the target controller is made unique and the remaining instances are unchanged.


Specifying Default Controllers

You can specify the permanent defaults for controller types and controller settings to match the way you prefer to work. The following defaults are written to the gmax.ini file:

  • The default controller used for each data type

  • The default controller settings

Specifying Default Controllers

You specify default controllers by clicking Assign Controller on the Track View toolbar (see “Assigning Controllers”). When you choose a controller on the Replace Controller dialog you have the option to click Make Default before clicking OK.

Clicking Make Default assigns the chosen controller as the default for all parameters using that data type. It has the following effects:

  • The default controller is listed at the bottom of the Replace Controller dialog.

  • Many different parameters might share the same data type. For example, selecting the Length parameter of a Box and specifying Linear Float as the default sets the default controller for all parameters that use the Float data type. This includes, Width, Camera FOV, and Scale Deformation Curves.

  • Default controller choices are written to the gmax.ini file and become the default for all new scenes.

  • Previously assigned controllers are not affected.

Specifying Default Controller Values

You can specify the default settings for many controller types, or reset controllers to their factory settings on the Preference Settings dialog.

To specify default controller settings:

  1. Choose Customize menu > Preferences.

  2. In the Preference Settings dialog > Animation panel > Controller Defaults group, click Set Defaults to display the Set Controller Defaults dialog.

  3. From the list of available controllers, choose a controller type and click the Set button to display the default settings supported by the selected controller. For example, with a Bezier controller you can set the In and Out tangents.

    Once you click OK, the controller defaults are changed. Changes to the controller default settings are written to your gmax.ini file and become the defaults for all newly assigned controllers and all new scenes.

    You can also revert to the original gmax defaults for all controllers by clicking Preference Settings dialog > Animation panel > Controller Defaults group > Restore to Factory Settings.


General-Purpose Controllers

The following controllers are general purpose in that you can apply them to parameters of different data types, yet they behave in essentially the same way for those different parameters.

Within certain general-purpose controllers there may be variations according to the data type used by a parameter.

See Animation Controllers for detailed descriptions of controller properties.

Bezier Controllers

Bezier controllers interpolate between keys using an adjustable spline curve; they are the default controller for most parameters.

Use Bezier controllers to provide fully adjustable interpolation between keys. Bezier is the only controller that supports the following:

  • Adjustable tangent handles.

  • Step tangents for abrupt changes from one key to the next.

  • Constant velocity control.

TCB Controllers

TCB controllers produce curve-based animation like Bezier controllers. However, TCB controllers use fields to adjust the Tension, Continuity, and Bias of the animation.

Use TCB controllers when you want adjustable, curved interpolation between keys, and you want to use TCB style controls.

Linear Controllers

Linear controllers interpolate between animation keys by evenly dividing the change from one key value to the next by the amount of time between the keys.

Use Linear controllers when you want motion to have a rigid, mechanical look.

Noise Controllers

Noise controllers produce random, fractal-based animation over a range of frames. Noise controllers are parametric; they do not use keys.

Noise controllers have many possible uses; as in the following examples:

  • Use Noise whenever you need completely random animation around a given value. For example, use a Noise Rotation controller when you want an object to wobble in place.

  • Use Noise in a List controller to apply variations to the result of another controller. For example, use a List controller to combine Noise Position with Bezier Position. The Bezier controller moves the object while the Noise controller makes the object shake and stray a little from the trajectory.


Special-Purpose Controllers

The controllers described in this topic are also applied to parameters of different data types, but they are used for special purposes.

List Controllers

List controllers combine multiple controllers into a single effect. It is a compound controller with tools for managing the order in which its internal controllers are calculated.

Use List controllers to combine controllers as in the following examples:

  • Combine Noise Rotation and TCB Rotation controllers to introduce random orbital motion as an object rotates.

  • Combine Bezier Position and Path Constraint to make an object follow a path with manually keyframed variation away from the path.

Expression/Script Controllers

You write custom code for Expression controllers and Script controllers in an Expression or Script controller dialog. You specify parameters using mathematical expressions, functions, and variables. The code can include values based on the controllers of other objects in the animation.

See also

Expression Controller Techniques

Trigonometric Functions

Vectors


Explicit Axis Keys

The XYZ controllers assign an individual track to the X, Y, and Z components of the position, rotation, or scale of an object. However, the controllers always assign three keys (one for each axis), by default.

There are actions available from the Customize User Interface dialog that let you create or delete explicit or non-explicit keys with the touch of a button.

When an explicit key is created on an axis, any keys on the two remaining axes (at the selected time) will be deleted. Non-explicit keys do not affect the other axes.

An explicit or non-explicit axis key can only be assigned to objects that already have an XYZ controller assigned to their position, scale, or rotation tracks.

Interface

Note: These commands are not available in the default user interface. You can use the Customize User Interface dialog to assign a keyboard shortcut to them or add them to your toolbars or menus if you find them useful.

Create Explicit Key Position X, Y, or Z: Creates an explicit key on the designated position axis.

Create Explicit Key Rotation X, Y, or Z: Creates an explicit key on the designated rotation axis.

Create Explicit Key Scale X, Y, or Z: Creates an explicit key on the designated scale axis.

Create a Position Key on X, Y, or Z: Creates a non-explicit key on the designated position axis.

Create a Rotation Key on X, Y, or Z: Creates a non-explicit key on the designated rotation axis.

Create a Scale Key on X, Y, or Z: Creates a non-explicit key on the designated scale axis.

Deletes a Position Key on X, Y, or Z: Deletes any key on the designated position axis.

Deletes a Rotation Key on X, Y, or Z: Deletes any key on the designated rotation axis.

Deletes a Scale Key on X, Y, or Z: Deletes any key on the designated scale axis.

See also

Position XYZ Controller

Euler XYZ Rotation Controller

Scale XYX Controller


Float Controllers

The following controllers are available only for parameters that use the Float data type.

On/Off Controller

An On/Off controller controls parameters using binary on and off values. The On/Off track displays a solid blue color in frames that are on, and the background in frames that are off. The on/off state of the parameter switches every time you add a key.

Use for binary parameters such as the Smooth object parameter, or for Visibility tracks.


Controlling Transforms

Transform controllers are compound controllers. They set the type and behavior of the controllers used for Position, Rotation, and Scale.

You assign Transform controllers using either Track View or the Motion panel, but compound Transform controllers do not display properties in Track View. You can access the parameters of Transform controllers only in the Motion panel.

Position/Rotation/Scale Controller

The Position/Rotation/Scale (PRS) controller is the default Transform controller for most objects. The PRS Transform controller sets up default Bezier Position, TCB Rotation, and Bezier Scale controllers.

Use a PRS controller whenever you want a standard transform set up or when you want complete control over the Position, Rotation, and Scale controllers.

Transform Script Controller

The Transform Script controller contains all of the information contained in a PRS Controller in one scripted matrix value. Instead of having three separate tracks for position, rotation, and scale, all three values can be simultaneously accessed from one script controller dialog. Because the transform values are defined by a script, they are easier to animate.

The value of the controller script must be a matrix3 value. A matrix3 value is a 4x3 3D transformation matrix. For more information, see the Matrix3 Values topic in the MAXScript Reference.


Controlling Position

Below the Transform controller is the Position controller. Position is a data type that can use most of the standard controllers such as Bezier, TCB, and Noise.

The controllers described in this topic can be used only as position controllers.

XYZ Controller

The XYZ controller breaks a Position controller into three separate Bezier Float controllers. Each of the X, Y, and Z components of position receives its own track.

Use the XYZ controller when you want to have separate key patterns or controller types for each position component.

See Euler XYZ Rotation Controller, Position XYZ Controller, and Scale XYZ Controller.


Controlling Rotation

Below the Transform controller is the Rotation controller. Rotation is a data type that can use most of the standard controllers such as TCB, Linear, and Noise.

Rotations in 3D are very complex. Even the standard controller types behave a differently when used for rotation. The most common way of calculating rotations in 3D animation uses four components to define rotation about an arbitrary axis. This is the quaternion method.

The benefits of using quaternion rotation include:

  • It produces a direct one-to-one relationship between the quaternion values and how objects interactively rotate in the scene.

  • It produces smoother rotation than other methods.

The drawbacks of using quaternion rotation include:

  • Rotation values in key information can be difficult to understand.

  • Quaternion rotation controllers do not display function curves in Track View.

You can use the following controllers only as rotation controllers.

Smooth Rotation

Use Smooth Rotation when you want rotation to have a smooth and natural look. Smooth rotation uses nonadjustable curved interpolation, and has the following characteristics:

  • You can move keys in Track View to change timing.

  • You can directly rotate objects in the viewports to change rotation values.

  • You cannot display controller or key properties, or function curves.

Euler XYZ Rotation

Use the Euler XYZ Rotation controller when you do not want to use the quaternion method. Euler XYZ is a compound controller that combines separate, single-value float controllers to specify an angle of rotation about each of the X, Y, and Z axes.

Euler XYZ is not as smooth as quaternion rotation, but it is the only rotation type that you can use to edit rotation function curves.

Euler angles are well suited for animating mechanical rotations. They can also be a good choice for an object in an inverse kinematics chain because IK Rotational joints are defined as Euler angles. X,Y and Z function curves displayed by this controller in Track View represent rotations in "world" or "parent" space which is the rotation system used by most 3D animation packages.


Controlling Colors

You can animate colors in gmax just like most other parameters. There are two data types used for controlling colors.

Point3: A general-purpose, three-component data type that works with RGB color values. It uses most of the standard controllers.

Color: A special data type designed specifically for working with RGB and HSV color values. Color uses the Bezier and RGB controllers.

Color Point3 Controller

You can assign any of a variety of Point3 controllers to a material's color channels, including Point3 Expression, Point3 List, Color RGB (described later in this topic), and so on. When using Point3 controllers for color parameters, an important issue is behavior of the Key Value fields, labeled X, Y, Z. They store color values using only the RGB color model.

  • The X value field stores Red color values.

  • The Y value field stores Green color values.

  • The Z value field stores Blue color values.

The Point3 Key Value fields do not clamp at the valid color range of 0 to 255. Values that drop below 0 or exceed 255 are ignored by the color parameter but are still displayed in Track View.

Bezier Color Controller

The Bezier Color controller (see Bezier Controllers) is a data type that uses Bezier key interpolation. You can use RGB or HSV color models with the Bezier Color controller.

The choice of color model is global for all keys used by the controller. You can switch between color models anytime and color key values are correctly converted.

The Color Value fields are limited to a range of 0 to 255. You can drag the color keys above 255 in Track View Function Curves mode, but the values are clamped at 255.

Color RGB Controller

Assign a Color RGB controller to break a Color controller into three separate Bezier Float controllers. Each of the R, G, and B components of color uses its own track.

Use the Color RGB controller when you want to have separate key patterns or controller types for each color component.


Morph Controllers

You can choose from two morph controllers. These controllers manage how morph targets blend from one target to another.

Cubic Morph Controller

A Cubic Morph controller is a TCB-style controller. It uses Tension, Continuity, and Bias controls much like the generic TCB controller.

The Cubic Morph controller manages only the interpolation from one morph target to the next. If you want to add Morph keys or change the morph target, you must use the Pick Targets and Current Targets rollouts in the Modify panel.

Barycentric Morph Controller

The Barycentric Morph controller is also a TCB controller like the Cubic Morph controller, except that instead of each key representing a single target, each key represents a series of weights for all targets. A Barycentric Morph key represents a new object which is a blending of all targets.

You can adjust each morph key to percentages of the available morph targets, creating subtle adjustments in the animation.

You can also click Add Keys in Track View to create new Barycentric Morph keys. The added keys contain interpolated values for all targets.


Trajectories Rollout

Trajectories

Select an object. > Motion panel > Trajectories

Scooter following a trajectory

The Trajectories rollout displays the path an object travels over time. Controls to convert splines into trajectories, trajectories into splines, and to collapse any transform controller into editable keys are also available by choosing Motion panel > Trajectories.

Note: The state of the Trajectory check box under Display in the Object Properties dialog (and on the Display panel > Display Properties rollout) controls whether trajectories will be visible for an object.

Using trajectories, you can do the following:

  • Display the 3D path for selected object’s position tracks.

  • Add and delete keys from the path.

  • Move, rotate, and scale keys on the path.

  • Convert the path to a spline object.

  • Derive a new path from a spline object.

  • Collapse transforms.

Values under Sample Range are used in the Spline Conversion and Collapse Transform functions.

Procedures

To display an object’s trajectory:

  1. Select an animated object that moves over time.

  2. Right-click the object and choose Properties.

  3. Turn on Trajectory, then click OK.

    The Trajectory is displayed as a blue line with white squares and dots. The white squares are keys, the white dots are inbetweens.

To add a key to a trajectory:

  1. Select an object.

  2. Display the trajectory by following the previous steps.

  3. In the Motion panel, click Trajectories.

  4. Click Sub-Object to activate Keys and enable editing.

  5. Click Add Key.

    The button highlights.

  6. Click the trajectory.

    Wherever you click the trajectory a key will be added.

  7. Right-click the key and select Key Info from the right-click menu.

    In the Key Info dialog, you can change the In and Out values for the inbetweens on either side of the key. This allows you to use the trajectory key to create the illusion of hesitation or acceleration.

    You can click repeatedly to add many keys in this mode.

To delete a key from a trajectory:

  1. Select a key on a trajectory. You can click it, or use window selection.

  2. Be sure Add Key is turned off in the Trajectories rollout of the Motion panel.

  3. Click Delete Key in the Trajectories rollout of the Motion panel.

    The key is deleted.

To transform keys on a trajectory:

  1. Select one or more objects.

  2. On the Motion panel, click Trajectories.

  3. Click Sub-Object to activate Keys and enable editing.

  4. Select one or more keys and use the transform tools on the Main toolbar to move, rotate, or scale the selected keys.

Interface

Sub-Object: Enables key editing. Use the Move, Rotate, and Scale transforms to change the location of a key(s) displayed on a trajectory.

Trajectories rollout

Delete Key: Deletes the selected key(s) from the trajectory.

Add Key: Adds key(s) to the trajectory. This is a modeless tool. When you click this button once, you can add several keys in succession. Click the button again to turn off Add Key mode.

Sample Range group

Start Time/End Time: Specifies the interval for the conversion. If you're converting from position keyframes to a spline object, this is the time interval for which the trajectory will be sampled. If you're converting from a spline object to position keys, this is the interval over which the new keys will be placed.

Samples: Sets the number of samples for the conversion. When converting in either direction, the source is sampled at regular intervals, and keys or control points are created on the target object.

Spline Conversion group

Convert To/Convert From: Converts keyframe position tracks to and from spline objects. This enables you to create a spline trajectory for an object and then convert that spline to keyframes for that object's position track in order to do various keyframe-specific functions (such as applying constant velocity to the keys and normalizing the time). Or, you can convert an object's position keyframes into a spline object.

Tip: Convert to and Convert From can be used to move an object along a path without using a path constraint.

Collapse Transform group

Generates keys based on the current transformation of the selected object. You can apply this for any type of transform controller assigned to an object, but the main purpose of this function is to "collapse" a parametric transform effect, such as one generated by a Path constraint, into standard, editable keys.

Collapse: Collapses the transform of the selected object.

Position, Rotation, Scale: Specifies which transforms you want to collapse.

You must choose at least one check box to activate the Collapse button.


PRS Parameters Rollout (Motion Panel)

PRS Parameters Rollout

Select an object. > Motion panel > Parameters > PRS Parameters rollout

The PRS Parameters rollout provides tools for creating and deleting keys. PRS stands for the three basic transform controllers: Position, Rotation, and Scale.

Procedure

To create a PRS transform key:

  1. Select an object in the viewports.

  2. Drag the time slider to the frame where you want to place a key.

  3. On the Motion panel, choose Parameters > PRS Parameters rollout.

  4. Click one of the following buttons under Create Key PRS Parameters rollout:

    • Click Position to create a Position key.

    • Click Rotation to create a Rotation key.

    • Click Scale to create a Scale key.

      If a particular Position, Rotation, or Scale controller doesn't use keys, then that button is not available under Create Key. For example, you can’t create Position keys if you're using a Noise Position controller.

Interface

Create Key/Delete Key: Creates or deletes a move, rotate, or scale key at the current frame. These buttons become active or inactive depending on the existence of a key type at the current frame.

For example, if you're on a frame containing a Scale key, the Scale button is inactive in the Create column because a key already exists. At the same time, the Position and Rotation buttons are inactive in the Delete column because there are no keys of that type to delete.

Position/Rotation/Scale: Determines the contents of the Key Info rollouts that appear below the PRS Parameters rollout on the Motion panel.


Key Info (Basic) Rollout

Select an object. > Motion panel > Parameters > Key Info (Basic) rollout

The Key Info (Basic) rollout changes the animation value, time, and interpolation methods of one or more selected keys.

The following parameters are available with the Bezier controller, which is the default position controller. The Key Info controls for a TCB position controller are different.

Procedure

To set the tangent type for a key:

  1. Select an object and open the Key Info (Basic) rollout.

  2. Use the arrows to select a key.

  3. Choose a tangent type from the In or Out tangent flyouts.

Interface

Key number: Shows the current key number. Click the right or left arrows to go to the next or previous key.

Time: Specifies at what time the key occurs.

Time Lock: Prevents horizontal key movement in Track View Edit modes.

X/Y/Z: Adjusts the position of the selected object at the current key.

Key Tangent Flyouts: Sets the interpolation properties of the In tangent and Out tangent of the key.

Tangent Copy buttons: Use the arrow buttons at either side of the Key Tangent flyouts to copy the tangent type between the tangents of the current key or between the tangents of the previous and next key.

  • The left arrow of the In tangent copies to the Out tangent of the previous key.

  • The right arrow of the In tangent copies to the Out tangent of the current key.

  • The left arrow of the Out tangent copies to the In tangent of the current key.

  • The right arrow of the Out tangent copies to the In tangent of the next key.

Bezier Scale Controller (Lock X): In the Key Info dialog for the Bezier Scale controller, a Lock button is displayed beside the X Scale spinner. If you click Lock X, only the X value affects all three axes of scale. The Y and Z values are ignored and their function curves are not displayed.

When X is locked, the Y and Z values aren't affected by changes in the X value. If you click Lock X when all three axes are at identical values, alter the X value, and then unlock X. The Y and Z values remain where they were while X retains its new value.


Key Info (Advanced) Rollout

Select an object. > Motion panel > Parameters > Key Info (Advanced) rollout

The Key Info (Advanced) rollout controls velocity in three ways:

  • You control the absolute velocity at a key using the Velocity Fields.

  • You average velocity over a specified amount of time using Normalize Time.

  • You force constant velocity from one component key to the next using Constant Velocity.

If you are creating Path animation, you can force constant velocity by placing a Normalize Spline modifier on the spline used as a path.

Procedure

To set normalize time for a key:

  1. Select an object and choose a key to Normalize.

    You can use the arrows in the Key Info (Basic) rollout to step through Keyframes.

  2. In the Key Info (Advanced) rollout, click Normalize Time.

    The key is moved in time to average the velocity through the key.

Interface

In/Out: The In field is the rate of change as the parameter approaches the key. The Out field is the rate of change as the parameter leaves the key.

  • These fields are only active for keys using the Custom tangent type.

  • The number in the field is the rate of change expressed as parameter units per tick. By changing the two values for X, Y, and Z you are changing the length and angle of the tangent handle.

Lock button: Changes one Custom tangent by changing the other an equal but opposite amount. For example, if you click the Lock button and the In value is 0.85, then the Out value is -0.85.

Normalize Time: Averages the position of the keys in time and applies them to any consecutive blocks of selected keys. Useful if you have an object that speeds up and slows down repeatedly, and you want to smooth out the motion.

Constant Velocity: When turned on for a key, values in between that key and the next one are interpolated so the object moves at a constant velocity across that curve segment.

Free Handle: Used for automatically updating the length of the tangent handle. When this is turned off, the length of the tangent is at a fixed percentage from its neighboring key. As you move a key, the handles adjust to stay the same percentage away from the neighboring keys. When this is turned on, the handle lengths are based on time lengths.


Animation Controllers

Main toolbar > Open Track View > Select a track in the Track View Hierarchy > Assign Controller (Track View toolbar) > Choose a controller in the dialog.

Select an object. > Motion panel > Assign Controller rollout > Select a track. > Assign Controller > Choose a controller in the dialog.

Controllers, like constraints, handle the animation tasks in a scene, including:

  • Storing animation key values

  • Storing procedural animation settings

  • Interpolating between animation key values

Objects and parameters don't receive a controller until you animate them. As soon as you change a parameter with Animate on, or click in its track using the Track View Add Keys, the software assigns a controller to the parameter. The software chooses a default type for the controller, depending on the animation. You can change the default controller to some other type.

The animation controllers are organized in the following categories:

  • Float controllers: for animating floating-point values

  • Point3 controllers: for animating three-component values such as colors or 3D points

  • Position controllers: for animating positions of objects and selection sets

  • Rotation controllers: for animating rotation of objects and selection sets

  • Scale controllers: for animating the scale of objects and selection sets

  • Transform controllers: for animating general transforms (position, rotation, and scale) of objects and selection sets

To change an assigned controller, use Assign Controller in Track View or in the Motion panel.

The controllers and constraints are:

Attachment Constraint

Bezier Controller

Barycentric Morph Controller

Block Controller

Color RGB Controller

Euler XYZ Rotation Controller

Expression Controller

IK Controller

Linear Controller

List Controller

Link Constraint

Look-At Constraint

Master Point Controller

Noise Controller

On/Off Controller

Orientation Constraint

Path Constraint

Position Constraint

Position XYZ Controller

PRS Transform Controller (Position, Rotation, and Scale)

Scale XYZ Controller

Script Controller

Smooth Rotation Controller

Surface Constraint

TCB Controller (Tension, Continuity, and Bias)

Transform Script Controller

See also

Working with Controllers

Animation Constraints

udio_Controller_Dialog


Barycentric Morph Controller

Select an object > Create panel > Geometry > Compound Objects > Morph

The Barycentric Morph controller is automatically applied when a morph object is created in Create > Geometry > Compound Objects > Morph. Morph targets are selected and keys are created at different times to morph the original object into the shape of the Morph Targets.

Note: The Morpher modifier provides an alternative to the Morph controller to morph objects.

See also

Morph

Morpher Modifier

The Barycentric Morph controller represents each key as a series of weights for all targets. One barycentric key represents a new object, which is a blending of all targets.

You can adjust each morph key to various percentages of the available morph targets. This lets you create subtle adjustments in the animation.

You can add keys between existing morph keys. The added keys contain interpolated values for all targets.

To access the key properties dialog, select the Morph track, select one of its keys, and click Properties to display the Key Info dialog.

Procedure

See

Morph

Barycentric Controller Key Info Dialog

Interface

After assigning the Barycentric Morph controller in Create panel > Compound Objects > Morph, then morph parameters for the controller display in the Modify panel and in the Barycentric Controller Key Info dialog, which is displayed by right-clicking over a morph key in Track View or the track bar.

See Morph for Morph parameters.


Bezier Controllers

Main toolbar > Open Track View > Select a track in the Track View Hierarchy. > Track View toolbar > Assign Controller > Bezier

Graph Editors > Track View > Open Track View > Select a track in the Track View Hierarchy. > Track View toolbar > Assign Controller > Bezier

The Bezier controller is the most versatile controller in gmax. Bezier controllers interpolate between keys using an adjustable spline curve. They are the default controller for most parameters.

Use Bezier controllers whenever you want fully adjustable interpolation between keys. Bezier is the only controller that supports the following:

  • Dragging tangent handles

  • Step tangents for abrupt changes from one key to the next

  • Constant velocity controls

Procedures

To set the tangent type for a key:

  1. Select an object and open the Key Info (Basic) rollout in the Motion panel.

  2. Use the arrows to select a key.

  3. Choose a tangent type from the In or Out tangent flyouts.

To normalize time for a key:

  1. Select an object, and then choose a key to normalize.

    You can use the arrows in the Key Info (Basic) rollout to step through keyframes.

  2. On the Motion panel, in the Key Info (Advanced) rollout, click Normalize Time.

    The key is moved in time to average the velocity through the key.

Interface

Motion panel > Parameters > Key Info (Basic) rollout

A Key Info dialog with identical parameters to this rollout is available by right-clicking a key in Track View or the Track Bar.

Key number: Shows the current key number. Click the right or left arrows to go to the next or previous key.

Time: Specifies when in time the key occurs.

Time Lock: Controls dragging the key horizontally in Track View edit modes.

X/Y/Z: Adjusts the position of the selected object at the current key.

Key Tangent: Two flyouts set the interpolation properties of the in tangent and out tangent of the key.

Choosing Bezier Tangent Types: Sets the tangent types for one or more keys in the same track using the In and Out tangent flyouts.

Smooth: Creates smooth interpolation through the key.

Linear: Creates linear interpolation at the key.

A linear tangent affects only the curve near the key. Full linear interpolation between two keys occurs only when the Out tangent of the first key and the In tangent of the next key both use a linear tangent.

Step: Creates binary interpolation from one key to the next. Step tangents require a matched set between the Out tangent of one key and the In tangent of the next key.

Choosing Step for the In tangent of the current key also changes the Out tangent of the previous key. Choosing step for the Out tangent of the current key also changes the In tangent of the next key.

Using Step tangents, the outgoing value of a key is held constant until the time of the next key is reached. The value then abruptly jumps to the value of the next key. Use this tangent when you want to animate On/Off switching or instantaneous changes from one value to the next.

Slow: Causes the interpolated rate of change to slow down around the key. A slow In tangent decelerates as it approaches the key. A slow Out tangent begins slow and accelerates as it leaves the key.

Fast: Causes the interpolated rate of change to speed up around the key. The effect is the opposite of using slow. A fast In tangent accelerates as it approaches the key. A fast Out tangent begins fast and decelerates as it leaves the key.

Custom: Displays adjustable tangent handles at the key in Function Curves mode. Choosing Custom for either tangent also sets the other tangent to custom.

Tangent Copy: Copies the tangent type between the tangents of the current key or between the tangents of the previous and next key. Use the arrow buttons on either side of the Key Tangent flyouts.

The left arrow of the In tangent copies to the Out tangent of the previous key.

The right arrow of the In tangent copies to the Out tangent of the current key.

The left arrow of the Out tangent copies to the In tangent of the current key.

The right arrow of the Out tangent copies to the In tangent of the next key.

Choosing Bezier Tangent Types: Sets the tangent types for one or more keys in the same track using the In and Out tangent flyouts.

Bezier Scale Controller (Lock X): Causes the X value to affect all three axes of scale. The Y and Z values are ignored and their function curves are not displayed.

When X is locked, the Y and Z values are not affected by changes in the X value. If you lock X when all three axes are at identical values, alter the X value, and then unlock X, the Y and Z values remain where they were while X retains its new value.

Key Info (Advanced) rollout

Controls velocity in three ways:

  • Control the absolute velocity at a key using the Velocity Fields

  • Average velocity over a specified amount of time using Normalize Time

  • Force constant velocity from one component key to the next using Constant Velocity

In/Out: The In field displays the rate of change as the parameter approaches the key. The Out field displays the rate of change as the parameter leaves the key.

These fields are active only for keys using the Custom tangent type.

The number in the field is the rate of change expressed as parameter units per Tick. By changing the two values for X, Y, and Z you are changing the length and angle of the tangent handle.

Lock button: When on, changing one Custom tangent changes the other by equal but opposite amount. For example, if the Lock button is on and the In value is 0.85, then the Out value is -0.85.

Normalize Time: Averages the position of the keys in time and is applicable to any consecutive blocks of selected keys. Useful if you want to smooth out the motion and have an object that speeds up, slows down, speeds up, and slows down.

Constant Velocity: Interpolates values between a key and the next one in a way that makes the object move at a constant velocity across that curve segment.

Free Handle: Used for automatically updating the length of the tangent handle. When this is turned off, the length of the tangent is at a fixed percentage from its neighboring key. As you move a key, the handles adjust to stay the same percentage away from the neighboring keys. When this is turned on, the handle lengths are based on time lengths.

Create Position Lock Key / Create Rotation Lock Key: Makes the incoming handle of the current key linear, and the out going handle of the previous key linear. This is to prevent overshoot from the spline interpolation.

To use these two features, you must first create a keyboard shortcut in Customize > Customize User Interface. Look for Create Position Lock Key and Create Rotation Lock Key in the keyboard shortcut list and assign a key. You can also press ALT+right-click, and access these commands in the quad menu.


Block Controller

Main toolbar > Open Track View > Expand Global Tracks in the Track View hierarchy. > Block Control

Graph Editors > Track View > Open Track View > Expand Global Tracks in the Track View hierarchy. > Block Control

A Block controller is a Global List controller that allows you to combine several tracks from multiple objects over a range of time, and group them as "Blocks." These Blocks are then used to re-create the animation anywhere in time. Blocks can be added, removed, scaled, moved graphically in Track View, and saved. Blocks can represent either absolute or relative animation.

To form a guitar chord, all the rotations of the fingers and hand can be saved as a block. This block can then be used to recreate the hand and finger position, rotation, and animation whenever the chord is played in an animation.

Procedure

To create and use a block:

  1. Animate two objects moving in the viewports. Make the final keyframe for the objects frame 10.

  2. Open Track View.

  3. On the Track View Hierarchy, expand Global Tracks, expand Block Control, and then select Available.

    Available is the track below the Block Control track.

  4. On the Track View toolbar, click Assign Controller, select Master Block in the dialog, and then click OK.

  5. In the Track View Edit window, right-click over the Master Block track, and select Properties in the dialog.

  6. On the Master Block Parameters dialog that displays, click Add.

  7. On the Track View Pick dialog, expand the tracks for the two animated objects.

  8. Press CTRL, click the Position track for both objects, and then click OK.

  9. On the Block Parameters dialog, type a name in the name field.

    Choose a name that will remind you of the animation in this block.

  10. Set the End value to 10, and click OK.

    The Block will contain animation between frame 0 and frame 10.

  11. Click OK on the Master Block Parameters dialog to close it.

  12. In the Track View Edit Window, right-click over the Master Block track.

  13. Select the name of the block you created earlier.

    The Block displays in the Track View Edit Window.

  14. Drag the Block to start at frame 20, and click Play.

    The animation repeats at frame 20. You can create a number of blocks for a period of animation for objects. these can be pasted into the Master Block track.

    • Once a block is added, a slave controller is added to the controllers on the tracks for the block. This enables communication between the track and the Block controller.

    • With the Blend track (below the Master Block track in the Track View hierarchy) you can animate how much of the block animation will be in effect. Negative values reverse the animation.

    • Controllers that each block uses are listed under the block name. This allows you to adjust the data for a particular block.

Interface

Block Control Track: Displays in Track View under Global Tracks.

To create a MasterBlock Control, expand Block Control, select Available, and click Assign Controller on the Track View toolbar.

MasterBlock Track: Displays in Track View after assigning a Master Block controller to an available track.

Right-click the track in the Track View Edit window for a choice of displaying the MasterBlock Parameters dialog or inserting a Block, if a one has been created.

Blocks: Display as colored rectangles in the Track View Edit window. Right-click a Block to display the Block Keys Properties dialog. Click and drag the center of a block to move it in time. Select a key in the corner of a Block to move one edge of the block (scale time).

Block Keys Properties dialog: Right-click over a block to display the Block Keys Properties dialog.

Relative Motion: Toggles between relative and absolute motion.

Start and End: Sets the start and end frame for the block (scale the block).

Blend Track: Animates the influence of a Block by creating keys with different values in the Blend Track. Default=1.0

MasterBlock Sub Tracks: Displays a block name and associated tracks below the MasterBlock track. Keys on these tracks can be edited to change block behavior.

MasterBlock Parameters dialog

After assigning a MasterBlock, right-click the MasterBlock track to display the MasterBlock Parameters dialog. This is the first step in creating a Block.

Track View Pick dialog

The Track View Pick dialog displays when track selection is necessary, by clicking Add in the MasterBlock parameters dialog for example. Select tracks in the dialog to include in a Block. Valid tracks are darker.

Block Parameters dialog

After clicking Add in the MasterBlock Parameter dialog and selecting tracks in the Track View Pick dialog to create a Block, clicking OK in the Track View Pick dialog displays the Block Parameters dialog.

Attach Controls dialog (Loading Blocks)

The Attach Controls dialog displays when you click Load in the MasterBlock Parameters dialog. Tracks in Blocks saved previously can be mapped to tracks in the current scene.

Slave Parameters dialog (Slave Controller)

Every time a Block is created, all tracks within the Block are assigned a slave controller, which allows the MasterBlock to transfer key data. See Slave Parameters dialog.


Color RGB Controller

Color RGB Controller (Point3 XYZ Controller)

Main toolbar > Open Track View > Select a material color track in the Track View Hierarchy. > Track View toolbar > Assign Controller > Color RGB

Graph Editors > Track View > Open Track View > Select a material color track in the Track View Hierarchy. > Track View toolbar > Assign Controller > Color RGB

The Color RGB controller splits the R, G, and B components into three separate tracks. You can use this controller with color tracks. By default, each track is assigned a Bezier Float controller. The Bezier Float controller is a single parameter controller.

Note: The Color RGB and the Point3 XYZ controllers are identical in function, except that the labels of their tracks are RGB and XYZ respectively. Point3 XYZ controllers can be used for functions such as Noise Strength, the FFD modifier, and the Unwrap UVW's modifier.

Procedure

Example: To animate the background color of an animation:

  1. Open Track View.

  2. In the Track View Hierarchy, expand the Environment track and then select Background Color.

  3. On the Track View toolbar, click Assign Controller and select the Color RGB controller.

  4. Expand the Color RGB track.

  5. On the Track View toolbar, click Add Key.

  6. Add 3 keys along the red track at frames 0, 50, 100.

  7. Right-click one of the keys to display the Bezier Float dialog. Change the key values to 0, 400, and 0, respectively.

    Although you can set values over 255 in the value field, the actual color value stops at 255.

Interface

Bezier Float controller properties.

See Bezier Controller for a description of these parameters.


Euler XYZ Rotation Controller

Main toolbar > Open Track View > Select a rotation track in the Track View Hierarchy > Track View toolbar > Assign Controller > Euler XYZ

Graph Editors > Track View > Open Track View > Select a rotation track in the Track View Hierarchy > Track View toolbar > Assign Controller > Euler XYZ

The Euler XYZ Rotation controller is a compound controller that combines separate, single-value float controllers to specify an angle of rotation about each of the X, Y, and Z axes. Euler XYZ is not as smooth as Quaternion rotation, but it is the only rotation type that you can use to edit rotation function curves.

The Euler XYZ Rotation controller assigns an individual track to the X, Y, and Z components of the position, rotation, or scale of an object. However, the controller assigns three keys (one for each axis), by default.

There are actions available from the Customize User Interface dialog that let you create explicit axis keys.

Euler Rotation and the Noise Float Controller

When a Noise Float controller is applied to an Euler axis, the default Strength setting is 2864.789 or 50 percent of 100 radians in degrees (maximum deflection).

Gimbal Lock and Euler Interpolation

Gimbal lock occurs with Euler rotations when an object is rotated exactly 90 degrees from it's parent. Rotational Axis order, and the coordinate space the rotations occur is important (World Space for Eulers).

For example, if a forearm is rotated 90 degrees around the Y axis relative to the parent object, it is actually rotating 0 degrees around the X axis first, then 90 degrees around the Y axis, and finally it is rotated around the Z axis. However, since the Y axis rotation occurs before the Z axis rotation, the new Z axis is now identical to the original X axis. Change the axis order of Euler rotation to solve the problem. This can also be an issue when setting joint limits with Euler rotations; the axis order is hardcoded to XYZ for rotational limits. Another workaround is to open the Hierarchy > Pivot panel, turn on Affect Pivot only, and then rotate the object's pivot 90 degrees around one of the axes, to change the order in which rotations occur.

Procedures

Example: To use Euler XYZ Rotation:

  1. Create a box, and then select the rotation track in Motion panel > Parameters > Assign Controller rollout.

  2. Click Assign Controller, and then select Euler XYZ in the Assign Controller dialog list. Click OK.

  3. Turn on Animate.

  4. Select Rotation at the bottom of the PRS Parameters rollout.

  5. In the Euler Parameters rollout, select the X axis.

  6. In the Create Key group of the PRS Parameters rollout, click Rotation.

    A rotational key is created.

  7. Move the time slider to frame 50.

  8. Again, in the Create Key group of the PRS Parameters rollout, click Rotation.

  9. In the Key Info (Basic) rollout, enter 500 in the value field.

  10. Select the Z axis in the Euler Parameters rollout, and then enter 90 in the value field of the Key Info (Basic) rollout.

    Play the animation. The box rotates 500 degrees around the X axis and 90 degrees around the Z axis. In this case the X axis is rotated first, then Z.

Interface

Euler parameters are displayed in the Motion panel.

The Euler parameters rollout is displayed when Rotation is selected in the PRS Parameters rollout.

Axis Order: Selects the order that rotations are calculated. The default is X,Y,Z order, where the X axis is rotated first.

X: Displays controller properties for X axis rotation angle.

Y: Displays controller properties for Y axis rotation angle.

Z: Displays controller properties for Z axis rotation angle.

Each axis uses its own independent controller using the float data type. For example, the X and Y Rotation axes could use Bezier Float controllers, while the Z rotation axis uses a Noise Float controller.


Linear Controller

Main toolbar > Open Track View > Select a track in the Track View Hierarchy. > Track View toolbar > Assign Controller > Linear

Graph Editors > Track View > Open Track View > Select a track in the Track View Hierarchy. > Track View toolbar > Assign Controller > Linear

The Linear controller interpolates between animation keys by evenly dividing the change from one key value to the next by the amount of time between the keys.

Linear controllers do not display a properties dialog. The only information stored in a linear key are the time and animation values.

Use Linear controllers whenever you want a very regular, even transition from one key to the next. For example, use a Linear controller for:

  • A color parameter to change from one color to another at a constant rate of change.

  • Transforms to produce mechanical, robot-like motion.

Procedure

To assign a Linear controller:

  1. Select an animated object.

  2. In the Motion panel > Parameters > Assign Controller rollout, select the Position track in the list window.

  3. Click Assign Controller, and then select Linear Position in the Assign Controller dialog.

    The animated object has a mechanical motion.

    You can also assign this controller in Track View.

Interface

No Properties dialog is available for Linear controllers. You can however move keys in Track View to change the animation.

Time: Change linear key time. Move keys horizontally in Track View Edit Keys or Function Curves mode.

Value: Change linear animation values by moving keys vertically in Track View Function Curves mode, change the parameter value in the viewport with Animate on.


List Controller

Main toolbar > Open Track View > Select a track in the Track View Hierarchy. > Track View toolbar > Assign Controller > List

Graph Editors > Track View > Open Track View > Select a track in the Track View Hierarchy. > Track View toolbar > Assign Controller > List

The List controller combines multiple controllers into a single effect. It is a compound controller with tools for managing the order in which its internal controllers are calculated. Controllers are evaluated in a top to bottom order; the controller at the top of the list is evaluated first.

When you assign a List controller to a parameter, the current controller is moved one level below the List controller; it becomes the first controller in the list. A second parameter is added below the List controller and is named Available. This is an empty placeholder for the next controller you add to the list.

Procedure

Example: To use the List controller to combine two controllers:

  1. Create a box, and then turn Animate on.

  2. Create a simple animation containing three position keys.

  3. In the Motion panel > Parameters > Assign Controller rollout, select the position track.

  4. Click Assign Controller, and then choose the Position List in the Assign Position Controller dialog. Click OK.

  5. Click the plus sign in the Position track to expand the track.

    A Bezier Position Controller track and a track labeled Available are now visible.

  6. Select the track named Available and click the Assign Controller button.

  7. Select Noise Position in the Assign Controller dialog, and then click OK.

    The Noise Controller Parameters dialog automatically appears.

  8. Play the animation.

    The box follows the original animated path but vibrates randomly.

    You can vary the Noise track using the Noise parameters. You can animate the strength fields also.

Interface

Motion panel > Parameters > List rollout

List Window: Displays all the controllers in a list, with evaluation order from top to bottom. The controller at the top of the list is evaluated first; lower controllers are layered onto the result of higher controllers.

Set Active: Determines which controller is affected by interactive changes in the viewport. The current active controller is marked with an arrow in the list.

For example, you have an object using a Position List, with Noise Position and Bezier Position in the list. The Bezier Position controller handles the general motion path of the object, while the Noise Position controller adds a random shake to the motion.

  • If Bezier Position is the active controller, you can freely move the object in the scene.

  • If Noise Position is the active controller, you cannot move the object because Noise is not an interactive controller.

Delete: Deletes the selected controller.

Cut: Removes the selected controller and stores it in a temporary clipboard. The clipboard contents are only held until you paste the controller, close the List Controller dialog, or exit the Motion panel.

Paste: Puts the contents of the controller clipboard in the position above the selected controller. The clipboard is empty after pasting.

Editable Name Field: Select one of the controllers in the list window of the List Controller Properties window, and then enter a descriptive name in this field.


Master Point Controller

Main toolbar > Open Track View > Expand tracks on an object with animated vertices or vectors in the Track View Hierarchy. > Master Point Controller

Graph Editors > Track View > Open Track View > Expand tracks on an object with animated vertices or vectors in the Track View Hierarchy. > Master Point Controller

The Master Point controller is assigned automatically whenever control points, vertices, or vectors (tangent handles) are animated in the sub-object mode of an Editable Spline, Editable Patch, Editable Mesh, Editable Poly, or FFD. By allowing you to select and move all the sub keys, visually correlate keys to points in the viewports, and change key properties quickly, this controller helps to manage the numerous tracks created when animating vertices, control points, and vectors.

The Master Point controller displays as a track with green keys in Track View. Sub tracks below the Master track contain all the animated vertices, control points, and vectors.

Procedure

Example: To animate vertices, viewing the Master Point controller track:

  1. In the Front viewport, create a sphere.

  2. Right-click the sphere and select Convert to Editable Mesh in the dialog.

  3. On the Editable Mesh > Selection rollout, click Vertex.

  4. On the Editable Mesh > Soft Selection rollout, click Use Soft Selection.

  5. Turn on Animate, and move the time slider to frame 10.

  6. In the viewports, select and move some vertices on the sphere.

    A key appears on the track bar at frame 10.

  7. Right-click the sphere, and select Track View Selected in the dialog.

    Track View displays with the sphere at the top of the Track View Hierarchy window.

  8. Expand all the sphere tracks in the Track View Hierarchy.

    The Master Point Controller track displays, with tracks for the animated vertices below it.

Interface

Master Track Keys: Selecting a master key (green) selects all the sub keys at that frame.

If hundreds of vertices are animated, collapse the master track so that only the master track is visible. Moving the green keys will move all the sub keys.

Master Track Key Info dialog

Right-click a green master key in Track View to display the Master Track Key Info dialog.


Noise Controller

Main toolbar > Open Track View > Select a track in the Track View Hierarchy. > Track View toolbar > Assign Controller > Noise

Graph Editors > Track View > Open Track View > Select a track in the Track View Hierarchy. > Track View toolbar > Assign Controller > Noise

The Noise controller produces random, fractal-based animation over a range of frames. Noise controllers are parametric; they work on a range of frames, but do not use keys.

When you assign a Noise controller in Track View or the Motion panel, it is initially applied to all frames in the current time segment. You can change the range of frames by dragging the Noise range bar in Track View.

  • Use Noise whenever you need completely random animation around a given value. For example, use a Noise Rotation controller when you want an object to wobble in place.

  • Use Noise as part of a compound List controller to apply noise variations to the result of another controller. For example, use a List controller to combine Noise Position with Bezier Position. The Bezier controller moves the object through your scene while the Noise controller makes the object shake and stray a little from the path.

Procedure

Example: To apply a Noise controller to a rotation track:

  1. Create a box in any viewport.

  2. In the Motion panel > Parameters > Assign Controller rollout, select the rotation track in the list window.

  3. Click Assign Controller.

  4. Select Noise rotation from the list of controllers.

  5. Play the animation.

    The box rotates randomly around all three axes.

  6. Right-click the noise track in the list window, and select properties to display the Noise Controller dialog.

Interface

Characteristic Graph: Shows a stylized graph of how changing Noise properties affects the Noise curve.

Seed: Starts the noise calculations. Changing the seed creates a new curve.

Frequency: Controls the peaks and valleys of the noise curve. The useful range is from 0.01 to 1.0. High values create jagged, heavily oscillating noise curves. Low values create soft, gentle noise curves.

Strength fields: Sets the value range for noise output. These values can be animated.

The number and meaning of the fields vary with different parameter data types. Some typical field arrangements are:

  • XYZ fields for Position and Point3 keys

  • XYZ percentage fields for Scale keys

  • A single value field for Float keys

>0 Value constraint: Forces Noise values to stay positive. Each strength field has its own >0 constraint.

When turned on, the application of the Strength field is changed. Noise values will range from 0 to the value of Strength; most values will hover around Strength/2.

Ramp In: Sets the amount of time Noise takes to build to its full strength. A value of 0 causes Noise to start immediately at full strength at the start of its range. Any other value causes Noise to start at 0 strength and then build to full strength by the elapsed time set in the Ramp In field.

Ramp Out: Sets the amount of time Noise takes to fall to 0 strength. A value of 0 causes Noise to stop immediately at the end of its range. Any other value causes Noise to fall off to 0 strength by the end of its range. The value in the Ramp Out field sets the amount of time before the end of the range that Noise begins to fall off.

Fractal Noise: Generated noise using a fractal Brownian motion. The main value of using Fractal Noise is that it activates the Roughness field.

Roughness: Changes the roughness of the Noise curve (when Fractal Noise is turned on). Where Frequency sets the smoothness of the overall Noise effect, Roughness changes the smoothness of the Noise curve itself.


On/Off Controller

Main toolbar > Open Track View > Select a track in the Track View Hierarchy > Track View toolbar > Assign Controller > On/Off

Graph Editors > Track View > Open Track View > Select a track in the Track View Hierarchy > Track View toolbar > Assign Controller > On/Off

The On/Off controller is assigned to tracks providing only binary on and off control. For example, the Smooth check box in creation parameters or tracks.

You can view the curve for this controller in the Function Curve display, but it's not editable. In addition, there's no Properties dialog for this controller.

Note: When you load a scene from gmax that contains a Visibility controller, the controller is automatically converted to an On/Off controller.

Procedure

Example: To use the On/Off controller:

  1. Create a cylinder, and display the Smooth track in Track View.

  2. Turn on Animate, move to frame 20, and turn off Smooth.

    From frame 0 to 20, the track appears blue up to the new key dot, and gray following the key dot.

  3. Move to frame 30, and select Smooth.

    The track is now blue again following frame 30.

  4. Click Add Keys in Track View, and click to add some keys in the Smooth Track. Each added key reverses the on/off blue pattern following the added key.

    In this case, an On/Off Controller is added to the Smooth Track automatically.

    Tip: You can select 2 or more keys and copy them to different positions. This allows you to create even intervals for the On/Off effect.

Interface

You assign the On/Off Controller in Track View.

In Track View, the On/Off track displays a solid blue color in frames that are On, and no blue in frames that are Off. When you add a key to an On section of the track, the section following that key is turned off. When you add a key to an Off section, the following section is turned on and colored blue.


Position XYZ Controller

Main toolbar > Open Track View > Select a position track in the Track View Hierarchy > Track View toolbar > Assign Controller > Position XYZ

Graph Editors > Track View > Open Track View > Select a position track in the Track View Hierarchy > Track View toolbar > Assign Controller > Position XYZ

The Position XYZ controller splits the X, Y, and Z components into three separate tracks (similarly to the Euler XYZ Rotation controller). This provides separate control of the three tracks when referenced from Expression controllers.

The Position XYZ controller assigns three keys (one for each axis), by default. There are actions available from the Customize User Interface dialog that let you create explicit axis keys.

Procedure

Example: To use the Position XYZ and Noise controller together:

  1. Create a sphere.

  2. In the Motion panel > Parameters > Assign Controller rollout, select the Position track of the sphere.

  3. Click Assign Controller and choose Position XYZ.

  4. Turn on Animate and create three keys that move the sphere on the XY plane.

  5. In the Assign Controller rollout, expand the position track and select Z Position.

  6. Click Assign Controller, and then select Noise Float.

  7. Play the animation. The sphere moves around the keys that were created earlier. The random up and down movement in the Z axis is generated by the noise controller on the Z track.

    This effect can also be created using the List Controller to combine controllers.

Interface

Motion panel > Parameters > Position XYZ Parameters rollout

X: Displays controller properties for X axis transformation.

Y: Displays controller properties for Y axis transformation.

Z: Displays controller properties for Z axis transformation.

When you select an axis, a Key Info (Basic) and Key Info (Advanced) rollout is available to change values.

A Bezier Float Controller is assigned to each track by default. Use Key Info (Basic) and Key Info (Advanced) to control how the keys behave. See Bezier Controller.


PRS Controller

Main toolbar > Open Track View > Select a transform track in the Track View Hierarchy > Track View toolbar > Assign Controller > Position/Rotation/Scale

Graph Editors > Track View > Open Track View > Select a transform track in the Track View Hierarchy > Track View toolbar > Assign Controller > Position/Rotation/Scale

The Position/Rotation/Scale (PRS) controller is the default Transform controller for most objects. Use it for all general-purpose transforms.

Procedure

To create PRS Transform keys:

  1. Select an object.

  2. Select Motion panel > Parameters.

  3. Drag the time slider to the frame where you want to place a key.

  4. On the PRS Parameters rollout, in the Create Key group, click one of the following:

    • Click Position to create a Position key.

    • Click Rotation to create a Rotation key.

    • Click Scale to create a Scale key.

      If a particular Position, Rotation, or Scale controller does not use keys, then that button is not available in the Create Key group. For example, you cannot create Position Keys if a Noise Position controller is being used.

Interface

Motion panel > PRS Parameters rollout

Create Key/Delete Key: The six buttons in the PRS Parameters rollout let you create or delete a transform key at the current frame. These buttons become active or inactive depending on the existence of a key type at the current frame.

For example, if you're on a frame containing a Scale key, the Scale button is inactive in the Create column, because a key already exists. At the same time, the Position and Rotation buttons are inactive in the Delete column because there are no keys of that type to delete.

Position/Rotation/Scale: Determines the contents of the Key Info rollouts that appear below the PRS Parameters rollout in the Motion panel.


Scale XYZ Controller

Main toolbar > Open Track View > Select a scale track in the Track View Hierarchy > Track View toolbar > Assign Controller > Scale XYZ

Graph Editors > Track View > Open Track View > Select a scale track in the Track View Hierarchy > Track View toolbar > Assign Controller > Scale XYZ

The Scale XYZ controller has independent float controllers for each scale axis of an object's transform. With three separate tracks for scale, you can create scale keys for each axis independently, change interpolation settings for a single axis, or assign a controller on an axis. For example, after applying a Scale XYZ controller, you could apply a Noise controller to an axis to animate that axis independently.

Tip: Open Track View to view and edit the three scale tracks.

Procedure

Example: To assign the Scale XYZ controller to an object:

  1. In the Top viewport, create a sphere.

  2. Right-click over the sphere and choose Track View Selected in the dialog.

  3. In the Track View Hierarchy, expand the Sphere01, and, then select the Scale track.

  4. On the Track View toolbar, click Assign Controller and select Scale XYZ.

  5. In the Track View Hierarchy, expand the Scale track.

    Three tracks are displayed and are available to control the object's scale.

  6. In the Track View Hierarchy, select the Z Scale, click Assign Controller on the Track View toolbar, and then choose Noise Float from the dialog.

  7. Click Play. The sphere scales along the Z axis, controlled by the Noise controller.

Interface

After applying the Scale XYZ controller to an object, Scale XYZ parameters appear in a rollout on the Motion panel.

Scale Axis: Adjusts and axis using controls in the Motion panel > Key Info rollout.

An axis should already have a key to adjust. To create keys, either turn on Animate and scale the object, or, click Scale in the Create Key group on the PRS Parameters rollout.


Script Controller

Main toolbar > Open Track View > Select a track in the Track View Hierarchy > Track View toolbar > Assign Controller > Script

Graph Editors > Track View > Open Track View > Select a track in the Track View Hierarchy > Track View toolbar > Assign Controller > Script

Six Script controllers are available in the software:

  • Float Script - float controller

  • Position Script - position Point3 controller

  • Point3 Script - Point3 controller

  • Rotation Script - rotation Quaternion controller

  • Scale Script - scale Point3 controller

  • Transform Script – matrix3 PRS controller

The Script controllers work similarly to Expression controllers. They provide a Properties dialog where a script can be entered for computing the controller value. The primary advantages of Script controllers are:

  • They can use all the features of the MAXScript language, including loops, scripted functions, pathnames, and so on.

  • Almost any property of any object in a scene can be used to help compute controller values, including mesh vertices, values of properties at arbitrary frame times, and other non-animatable properties that are not accessible in Expression controllers.

  • They can use MAXScript global variables to communicate and coordinate with other controllers and scripts in the software.

Writing Controller Scripts

The software interprets the text you type into the Script text box as the body of a MAXScript block expression. You can type as many expressions as you want on as many lines as you want, and they are evaluated in turn. The value of the last expression is taken as the controller value. This value must yield the right type for the controller: Float for float, Point3 for position, Quat for rotation, and so on.

Since the text is inside a block expression, you can declare local variables that are visible only within the script and are temporary for one evaluation. You can also declare or access global variables that are shared with all other scripts in MAXScript and hold their values from one evaluation to the next.

A controller is always evaluated by the software with respect to a specific animation time. This might be the current time slider or incrementing frame time if an animation is playing. In the case of Script controllers, the time being evaluated is used to establish an automatic "at time" context around the controller script, so any properties you access (outside of other explicit “at time” expressions) yield the correct values for the current controller evaluation time. This means you don't have to do anything special in your scripts to work at the correct time. You can access the evaluation time, with the standard MAXScript variable, current Time. You can also reference scene property values at other times by using "at time" expressions in your scripts, as in regular MAXScript programming.

See also

MAXScript

Procedure

Example: To keep an object centered relative to other objects in the scene during an animation:

  1. Assign a Script controller to the Position track of the object that should remain centered.

  2. Right-click the Position track in the Track View Hierarchy and select Properties.

  3. Type the following script in the Script Controller dialog window.

    local pos=[0,0,0]

    for o in objects where o != $foo do

    pos += o.pos

    pos / (objects.count - 1)

    This script computes the average position of all objects, except the current one (written as $foo here) by setting up a local, iterating over all objects except $foo, accumulating a total position vector, and computing the average in the last line, which is the final result of the script.

Interface

After assigning a Script controller, a Properties dialog is available by right-clicking the track in the Track View Hierarchy and selecting properties or clicking the Properties button on the Track View toolbar.

Script Controller dialog

Script: Type the script to compute the controller value here.

Result: Shows the results of an evaluation or any error messages caused by errors in your script.

Evaluate: Evaluates the controller script and prints the result in the Result box. The evaluation is computed for the current position of the time slider.

Close: Compiles and checks the controller script. If everything works, the Properties dialog is closed. Any problems result in a query box asking whether you really want to close the box with an incorrect script. If you do, the controller will yield a null value (0, [0,0,0],) when evaluated.


Smooth Rotation Controller

Main toolbar > Open Track View > Select a rotation track in the Track View Hierarchy. > Track View toolbar > Assign Controller > Smooth Rotation

Graph Editors > Track View > Open Track View > Select a rotation track in the Track View Hierarchy. > Track View toolbar > Assign Controller > Smooth Rotation

Use Smooth Rotation when you want rotation to have a smooth and natural look. Smooth rotation functions the same as Linear Rotation, but uses non-adjustable curved interpolation, and has the following characteristics:

  • Displays no controllers, key properties, or function curves

  • Move keys in Track View to change timing

  • Directly rotate objects in the viewports to change rotation values


TCB Controllers

Main toolbar > Open Track View > Select a track in the Track View Hierarchy. > Track View toolbar > Assign Controller > TCB

Graph Editors > Track View > Open Track View > Select a track in the Track View Hierarchy. > Track View toolbar > Assign Controller > TCB

TCB Controllers produce curve-based animation much like Bezier controllers. However, TCB controllers do not use tangent types or adjustable tangent handles. They use fields to adjust the Tension, Continuity, and Bias of the animation.

This controller works well as a Position controller in conjunction with the Motion panel > Trajectories display of an object. With sub-object keys turned on and the Key Info dialog for a key displayed (right-click and select Key Info on the selected key to display Key Info properties), you can change the parameters in the Key Info dialog and see the trajectory path change. This allows for very precise control of an object's trajectory with visual feedback.

The TCB Rotation controller is the default rotation controller.

Procedure

To change a Bezier Position controller into a TCB position controller:

  1. Select an object animated with a Bezier controller.

  2. In Motion panel > Parameters > Assign Controller rollout, select the Position track in the list window.

  3. Click Assign Controller, and then select TCB Position.

    You can also assign this controller in Track View.

Interface

TCB controllers display their properties in a Key Info dialog in Track View and a single Key Info rollout in the Motion panel.

Time field: Specifies when in time the key occurs.

Time Lock: Prevents horizontal key motion in Track View edit modes.

Key Value fields: Stores the animation values for the key. The number and meaning of the fields vary with different parameter data types. Some typical field arrangements are:

  • XYZ fields for Position and Point3 keys

  • XYZ percentage fields for Scale keys

  • A single value field for Float keys

TCB Graph: Charts the effect that changing the controller properties will have on the animation. The red mark at the top of the curve represents the key. The marks to the left and right of the curve represent an even division of time to either side of the key.

The TCB graph is a stylized representation of the animation around a single key. If you want to view the effect of changing TCB properties on the true animation curve, use the Function Curves mode of Track View (works only with position and scale).

The following descriptions refer to both the TCB graph and the function curve as the animation curve.

Note: When you are changing the properties of a selection of multiple keys, the TCB graph is blank unless all properties are equal.

Tension: Controls the amount of curvature in the animation curve.

High Tension produces a linear curve. It also has a slight Ease To and Ease From effect.

Low Tension produces a very wide, rounded, curve. It also has a slight negative Ease To and Ease From effect.

The default value of 25 produces an even amount of curvature through the key.

Continuity: Controls the tangential property of the curve at the key. The default setting is the only value that produces a smooth animation curve through the key. All other values produce a discontinuity in the animation curve causing an abrupt change in the animation. Default=25.

High Continuity values create curved overshoot on both sides of the key.

Low Continuity values create a linear animation curve. Low continuity creates a linear curve similar to high tension except without the Ease To and Ease From side effect.

The default setting creates a smooth continuous curve at the key.

Bias: Controls where the animation curve occurs with respect to the key. Default=25.

High Bias pushes the curve beyond the key. This produces a linear curve coming into the key and an exaggerated curve leaving the key.

Low Bias pulls the curve before the key. This produces an exaggerated curve coming into the key and a linear curve leaving the key.

The default setting distributes the curve evenly to both sides of the key.

Ease To: Slows the velocity of the animation curve as it approaches the key. Default=0.

High Ease To causes the animation to decelerate as it approaches the key.

The default setting causes no extra deceleration.

Ease From: Slows the velocity of the animation curve as it leaves the key. Default=0.

High Ease From causes the animation to start slow and accelerate as it leaves the key.

The default setting causes no change of the animation curve.


Transform Script Controller

Main toolbar > Open Track View > Select a transform track in the Track View hierarchy. > Track View toolbar > Assign controller > Transform Script

Graph Editors > Track View > Open Track View > Select a transform track in the Track View hierarchy. > Track View toolbar > Assign controller > Transform Script

The Transform Script controller contains all of the information contained in a Position/Rotation/Scale (PRS) controller in one scripted matrix value. Instead of having three separate tracks for position, rotation, and scale, all three values can be simultaneously accessed from one script controller dialog. Because the transform values are defined by a script, they are easier to animate.

The value of the controller script must be a matrix3 value. A matrix3 value is a 4x3 3D transformation matrix. For more information, see the Matrix3 Values topic in the MAXScript reference.

Writing Controller Scripts

The software interprets the text you type into the Script text box as the body of a MAXScript block expression. You can type as many expressions as you want on as many lines as you want, and they are evaluated in turn. The value of the last expression is taken as the controller value. This must yield a matrix3 value.

Since the text is inside a block expression, you can declare local variables that are visible only within the script and are temporary for one evaluation. You can also declare or access global variables that are shared with all other scripts in MAXScript and hold their values from one evaluation to the next.

A controller is always evaluated with respect to a specific animation time by the software. This might be the current time slider or incrementing frame time if an animation is playing. In the case of Script controllers, the time being evaluated is used to establish an automatic "at time" context around the controller script, so any properties you access (outside of other explicit “at time” expressions) yield the correct values for the current controller evaluation time. This means you don't have to do anything special in your scripts to work at the correct time. You can access the evaluation time with the standard MAXScript variable, current Time. You can also reference scene property values at other times by using "at time" expressions in your scripts, as in regular MAXScript programming.

See also

MAXScript Reference

Procedure

To use a Transform Script controller:

  1. Select an object.

  2. Right-click to open the quad menu.

  3. In Transform quadrant, click Track View Selected.

  4. Select the Transform track of the selected object in Track View.

  5. Click Assign Controller.

  6. Select Transform Script from the Assign Transform Controller dialog and press OK.

  7. Right-click the Transform track in Track View and click Properties.

    The Script Controller dialog opens.

  8. Edit the matrix3 value in the Script Controller dialog, and click Evaluate when you are finished.

Interface

After assigning a Transform Script controller, a Properties dialog is available by right-clicking the track in the Track View hierarchy and choosing Properties or clicking the Properties button on the Track View toolbar.

Script: Type the script to compute the controller value here.

Result: Shows the results of an evaluation or any error messages caused by errors in your script.

Evaluate: Evaluates the controller script and prints the result in the Result box. The evaluation is computed for the current position of the time slider.

Close: Compiles and checks the transform controller script. If everything works, the Properties dialog is closed. Any problems result in a query box asking whether you really want to close the box with an incorrect script. If you do, the controller will yield a null value (0, [0,0,0],) when evaluated.


Expression Controller

Main toolbar > Open Track View > Select a track in the Track View Hierarchy. > Track View toolbar > Assign Controller > Expression

Graph Editors > Track View > Open Track View > Select a track in the Track View Hierarchy. > Track View toolbar > Assign Controller > Expression

Interface Procedures

With the Expression controller you can use mathematical expressions to control the following animation aspects:

  • Object parameters, such as length, width, and height

  • Transform and modifier values, such as an object's position coordinates

    You can constrain values by basing them on the controller values of other objects in the scene.

An expression is a mathematical function that returns a single value. gmax evaluates the expression once for each frame of an animation, generating values that can change from frame to frame.

You create and manage expression controllers in Track View. You can assign expressions to the following kinds of animation controllers:
Creation parameters | Any numeric creation parameter
Transforms | Position [X, Y, Z] X Rotation Y Rotation Z Rotation Scale [X%, Y%, Z%]
Modifiers | Any numeric modifier parameter (including creation parameters)
Materials | Colors [R, G, B] Any numeric material parameter

Note: Expression controllers can work only with the individual XYZ components of Euler rotation. You can't assign an expression to TCB rotation or other kinds of rotation controllers.

Expression Return Types

Operators

Variables

Functions

Expression Return Types

The type of value returned by an expression depends on the kind of controller:

  • Float expressions return a floating-point scalar value (For example, 5.617). Scalars are used in the animation controllers of numeric parameters.

    If the parameter has an integer value, the expression rounds the float value to the nearest integer.

  • Position, Scale, and Point3 expressions return a three-component vector. For example, [5, 18, 24]. The vector can represent an object's X,Y, Z location, percent scaling in X, Y, and Z, or a color (RGB values) in a material.

Operators

In the following tables, p and q are any scalar value or expression, V and W are any vector value or expression. (The character "x" is used as the vector cross-product operator.)

Scalar Operators

These are the arithmetic operators for scalar values:
Operator | Use | Meaning
+ | p+q | addition
- | p-q | subtraction
- | -p | additive inverse
* | p*q | multiplication
/ | p/q | division
^ | p^q | power (p to the power of q);
** | p**q | ^ and ** are the same operation

You can also use logical (Boolean) operators with scalar values. These operators all return 1 if true, 0 otherwise:
Operator | Use | Meaning
= | p=q | equal to
< | p<q | less than
> | p>q | greater than
<= | p<=q | less than or equal to
>= | p>=q | greater than or equal to
| | p|q | logical OR, returns 1 if either p or q is non-zero; otherwise, returns 0
& | p&q | logical AND, returns 1 if p and q are both non-zero; otherwise, returns 0

Note: Logical operators are useful with the "if" function.

Vector Operators

For vectors that have a variable name, you can use a special component operator (.) to refer to the three scalar components of the vector:
Use | Meaning
V.x | first component (X)
V.y | second component (Y)
V.z | third component (Z)

These are the operators for vector arithmetic:
Operator | Use | Meaning
+ | V+W | addition
- | V-W | subtraction
* | p*V | scalar multiplication
* | V*p | scalar multiplication
* | V*W | dot product
x | VxW | cross product
/ | V/p | scalar division

Operator Precedence

gmax expressions use eight levels of precedence. The higher the operator is on the list, the earlier it is evaluated.
Operator | Level of Precedence
- + | as unary operators; e.g., -8, +25
. | the component operator, as in V.x
** ^ |
x | cross product
* / |
+ - |
= < > <= >= |
| & |

Parentheses are a special case. They are a grouping or subexpression operator that is provided so you can override the precedence order of the other operators.

Variables

In gmax expressions, variables are represented by symbolic names. You create them to contain constant or variable values in your expressions. gmax also provides several predefined variables that have constant or variable values.

Predefined Variables with Constant Values

These are the predefined variables that have a constant value in gmax expressions (variable names are case-sensitive):
Variable Name | Constant Value | Use
pi | 3.14159 | Ratio of a circle's circumference to its diameter.
e | 2.71828 | Base of natural logarithms.
TPS | 4800 | Ticks per second; the basic time unit of gmax animation.

Predefined Variables with Variable Values

These are the predefined variables that have a variable, time-based value in gmax expressions (variable names are case sensitive):
Variable Name | Meaning
F | Frame number. For each frame, F equals the current frame number, counting from zero. The range of frames can vary depending on the number of frames in the active time segment.
NT | Normalized time. By definition, normalized time (NT) ranges from 0 to 1 over the active time segment, regardless of how many frames are in the segment. If you base an expression on NT, its effect happens exactly once over the range. You can also multiply NT by a factor for the expression's effect to occur a certain number of times (for example, 2*NT causes the expression's effect to occur twice). Expressions based on NT speed up or slow down if you change the length of the time segment.
S | Seconds (elapsed time in seconds). Elapsed time is measured from the first frame to the current frame. The range of seconds can vary depending on the total time of the active time segment.
T | Ticks (elapsed time in ticks). There are 4800 ticks per second. Elapsed time is measured from the first frame to the current frame. The range of ticks can vary depending on the total time of the active time segment.

Rules for Variable Names

  • Variable names can contain as many alphanumeric characters as you like, their length is not limited.

  • Variable names cannot contain spaces.

  • The variable name must begin with a letter. Numbers are valid within a variable name (as in "Pos1" or "M23").

  • Variable names are case-sensitive. For example, "pos", "Pos", and "POS" designate three different variables.

  • You can't create a variable with a name that duplicates another name, including the variable names that are predefined.

Variables and Controllers

You can create a variable whose value varies over time by assigning a controller to it. The controller must be one of the tracks of a different object. The value of the variable will then vary according to how the other object's track varies over time.

There is one exception to the rule that the controller must belong to a different object; you can also assign Transform expressions to the same object's base parameters, and vice versa.

Vector Variables and Objects

You can assign vector variables to objects as well as controllers, making the result of the expression absolute to the local object. The value returned is the absolute value of the object relative to the world.

When you click Assign to Controller, the Hierarchy list is displayed with the valid controller and the valid objects in boldface text.

Global Variables

Use Global Tracks in the Track View Hierarchy to create global variables. Using expression controllers, you can point to a controller in the Global Tracks from several other tracks. Then, to change all of the other tracks, alter the expression in the Global Tracks.

Functions

Following is a list of functions provided for gmax expressions. In this list, p, q, and r represent scalar values or scalar expressions. V and W represent vector values or vector expressions.

To use a function in an expression, enter the name of the function and appropriate arguments to it.

Trigonometric Functions

The sine, cosine, and tangent functions take an angle in degrees and return a floating-point value. The arc functions take a floating-point value and return a value in degrees.
Function | Meaning
sin(p) | sine
cos(p) | cosine
tan(p) | tangent
asin(p) | arc sine
acos(p) | arc cosine
atan(p) | arc tangent

Hyperbolic Functions

Hyperbolic functions take a floating-point value and return a floating-point value.
Function | Meaning
sinh(p) | hyperbolic sine
cosh(p) | hyperbolic cosine
tanh(p) | hyperbolic tangent

Conversion Between Radians and Degrees

Function | Meaning
radToDeg(p) | takes p in radians and returns the same angle in degrees
degToRad(p) | takes p in degrees and returns the same angle in radians

Rounding Functions

Function | Meaning
ceil(p) | smallest integer greater than or equal to p
floor(p) | largest integer less than or equal to p

Standard Calculations

Function | Meaning
Ln(p) | natural (base e) logarithm
log(p) | common (base 10) logarithm
exp(p) | exponential function exp(p)=e^p
pow(p,q) | p to the power of q (p^q)
sqrt(p) | square root
abs(p) | absolute value
min(p,q) | minimum returns p or q, depending on which is smaller
max(p,q) | maximum returns p or q, depending on which is greater
mod(p,q) | remainder of p divided by q

Conditional Functions

Function | Meaning
If(p,q,r) | works like the common spreadsheet "if" (If p is non-zero then "if" returns q, otherwise "if" returns r.)
vif(c,V1,V2) | "Vector If" (Value is V1 if c is true, else V2.)

Vector Handling Functions

Function | Meaning
length(V) | length of V
comp(V,i) | i'th component (I=0,1,2): comp([5,6,7],1)=6
unit(V) | returns a unit vector in the same direction as V

Note: The comp function is an alternative to the notation V.x, V.y, V.z.

Special Animation Functions

Function | Meaning
Noise(p,q,r) | 3D noise, returns a randomly generated position

The arbitrary values p,q and r, are used as a random-generation seed. Re-use these values to ensure that noise() returns the same value.

See also

Expression Controller Techniques

Trigonometric Functions

Vectors

Procedures

To assign a constant value to a variable:

  1. Highlight the variable name in the Scalars or Vectors list.

  2. Click Assign to Constant.

  3. In the dialog, enter the new value of the constant, and then click OK.

To assign a controller to a variable:

  1. Highlight the variable name in the Scalars or Vectors list.

  2. Click Assign to Controller.

    The Track View Pick subdialog is displayed, showing the track hierarchy. The display in the dialog is similar to the Track View Hierarchy.

  3. Select the track for the variable to use, and then click OK.

Example: To create an expression that moves a sphere in a precise circle:

  1. Create a sphere 30 units in diameter.

    Use Track View to create the Expression controller.

  2. On the Main toolbar, click Track View.

  3. In the Hierarchy list, expand Objects/Sphere01 so the sphere's Position track is visible. Select this track by clicking the Position label once to highlight it.

  4. Click Assign Controller on the Track View toolbar.

    The Assign Controller dialog is displayed.

  5. Select Position Expression from the list of controller types, and then click OK.

  6. In the Expression Controller dialog, create the expression.

  7. On the Track View toolbar, click Properties.

    The Expression Controller dialog is displayed.

  8. Replace the default expression by typing the following position expression in the Expression field:

    [100*cos(360*NT), 100*sin(360*NT), 0]

  9. Click Evaluate.

  10. Play the animation. The sphere moves in a circle about the world origin (0,0,0). The radius of the circular path is 100 units.

    You've now specified a circular path for the sphere. NT is a variable that means normalized time. Movement based on NT happens exactly once per the active time segment, regardless of how many frames are in the animation.

Example: To change the radius of the circle:

The two 100s in the position expression from the previous procedure specify the radius. To adjust the radius of the circle's path, create a symbolic variable to represent the radius. The variable has a constant value that is easy to edit.

  1. Make Track View visible again.

  2. In the Expression Controller dialog, type radius in the Name field. Click Scalar, and then click Create.

    "radius" is displayed in the Scalars list in the lower-left of the dialog.

  3. Click Assign to Constant.

    A dialog titled "radius" is displayed.

  4. Type 150 in the value field, and then click OK.

    The radius variable is now 150.

    Now use the new variable in the expression.

Example: To replace the literal value with the variable name:

  1. In the Expression field, change 100 to radius in both places. The expression should now look like this:

    [ radius*cos(360*NT), radius*sin(360*NT), 0]

  2. Click Evaluate.

  3. Play the animation. The sphere moves in a circle about the world origin (0,0,0). The radius of the circular path is 150 units.

Example: To make the sphere rotate about a box:

  1. Create a box about 40 units square, and animate its position over three or four keyframes.

  2. In the Expression Controller dialog, type boxposn in the Name field. Click Vector, and then click Create.

    The name "boxposn" is displayed in the Vectors list in the lower-left part of the dialog.

    Variable names are case sensitive; the variable name should be lower case.

  3. Click Assign to Controller.

    The Track View Pick dialog is displayed. It shows the object hierarchy as it appears in the left side of Track View.

  4. In the Hierarchy list, highlight the Position controller for Box01 and then click OK.

  5. In the Expression field, add boxposn as an offset:

    [radius * cos(360*NT),
    radius * sin(360*NT), 0] + boxposn

  6. Click Evaluate, and then click Close.

    Play the animation again. The sphere moves in a circle around the box and follows the box wherever it moves.

Interface

Create Variables group

Name: Contains the variable.

Scalar: Selects the type of variable to create.

Vector: Selects the type of variable to create.

Create: Creates the variable.

You must enter a name and specify a type before clicking Create.

Delete: Select a variable in the Scalar or Vector list, then click to delete it.

Variable Parameters group

Tick Offset: Contains an offset value.

A tick is 1/4800 of a second. If a variable has a non-zero tick offset, that value is added to the current time.

Expression group

Type an expression in the Expression box.

The expression must be a valid mathematical expression. The result is either a three-value vector for a vector expression (position, scale, or point3) or a scalar value for a float expression.

Description group

Type text in this group to document an expression. For example, you can describe user-defined variables.

Function list: Displays a list of Expression controller functions.

In the list, p, q, and r represent scalar values or scalar expressions; V and W represent vector values or vector expressions.

Save: Saves an expression. Expressions are saved as files with a .xpr file name extension.

Load: Loads an expression.

A saved expression does not save variable definitions or values. After loading the expression, you need to redefine them.

Debug: Displays the Expression Debug window.

This window displays the values of all variables, and the value of the expression. When you change the variables or move the time slider, the Debug window automatically updates so you can interactively view what's happening with the expression. The values for frames (F), normalized time (NT), secs (S), and ticks (T) are also displayed.

Evaluate: Evaluate the expression for each frame in the animation.

There is no explicit assignment (= or := operator) as in a conventional programming language; the assignment is implicit and takes place over time.

If the expression has a syntax error, an error message is displayed. The error message is the first part of the expression itself. The last character in the error message is the point of the error. This is usually where the error actually is, unless the problem is that opening and closing parentheses (or the braces for vectors) don't match. In this case, evaluation may proceed further before the error is detected.

Close: Closes the Expression Controller dialog.


Expression Controller Techniques

This topic summarizes some useful expression techniques. The following topics review trigonometric functions and vector arithmetic. If you’re familiar with these subjects you can skip the review topics.

Commonly Used Expressions

This topic lists some expressions that you might find useful in situations when you animate.

Circular Path

[ Radius * cos(360*Time),

Radius * sin(360*Time), 0 ]

where Time is one of the predefined time variables such as NT or S.

If you make the two Radius values unequal, you get an elliptical path.

If you specify a non-zero Z component, the path is no longer planar.

Following Another Object

[X, Y, Z] + Position

where Position is the Position controller of the second object.

The vector [X, Y, Z] can be an offset from the second object. (If it’s [0,0,0], the two objects occupy the same position.) It can also be a vector expression that specifies some movement in itself.

Keeping an Object Between Two Objects

(Position1 + Position2) / 2

where Position1 and Position2 are the Position controllers of two objects.

The divisor 2 constrains the object to be halfway between the two other objects. Other values constrain the object to other locations.

Bouncing Between Other Objects

(1+sin(360*Time))/2 * (Pos1-Pos2) + Pos2

where Time is one of the predefined time variables such as NT or S; Pos1 and Pos2 are the Position controllers of two other objects.

The subexpression (1+sin(360*Time))/2 is a value that oscillates between 0 and 1 over time. (Pos1-Pos2) is the vector between the two other objects. Multiplying the two and then adding Pos2 as an offset locates the object along this vector.

Changing the Number of an Object’s Segments Based on Camera Distance

This expression varies the number of segments in a cylinder based on the distance of a camera. It is assigned to the cylinder’s Segments creation parameter.

if ( (length(Camera-Myself) > 35),

3 + (50*Height) / length(Camera-Myself),

MaxSegs)

where Camera is the position controller of the camera; Myself is the cylinder’s position controller; Height (= 70) is the cylinder’s height; MaxSegs (=100) is the maximum number of segments.

When the camera is closer, more segments make the cylinder smoother; when the camera is distant, the smoothing is less important and fewer segments render more quickly.

The if() function returns its second argument if the first argument is true; otherwise, it returns its third argument. In this example, if the camera is more than 35 units away from the cylinder, the expression calculates the number of segments; if the camera is 35 units away or closer, the number of segments is the MaxSegs constant.

The values in the second argument are chosen so that as the distance decreases toward the threshold of 35, the number of segments increases toward MaxSegs. The addition "3+" ensures that the cylinder always has at least three segments, even when the division rounds to zero (Segments is an integer).

Note: To the expression, it doesn’t matter whether the camera is moving, or the cylinder, or both.


Trigonometric Functions

This topic is a quick review for readers who need a reminder about this area of mathematics. If you’re familiar with trigonometry, you can skip this topic. If you find this topic difficult to follow, you might consult a more basic reference on mathematics.

Trigonometric functions are principally used to model or describe:

  • The relation between angles in a triangle (hence the name).

  • Rotations about a circle, including locations given in polar coordinates.

  • Cyclical or periodic values, such as sound waves.

The three basic trigonometric functions are derived from an angle rotating about a unit circle.

Trigonometric functions based on the unit circle

The tangent function is undefined for x=0. Another way to define the target is:

Because XYR defines a right-angled triangle, the relation between the sine and cosine is:

The graphs of the basic trigonometric functions illustrate their cyclical nature.

Graphs of basic trigonometric functions

The sine and cosine functions yield the same values, but the phase differs along the X axis by ?/2: in other words, 90 degrees.

The inverse functions for the trigonometric functions are the arc functions—the inverse only applies to values of x restricted by –?/2 = X = ?/2. The graphs for these functions appear like the basic trigonometric function graphs, but turned on their sides.

Graphs of basic arc functions

The hyperbolic functions are based on the exponential constant e instead of on circular measurement. However, they behave similarly to the trigonometric functions and are named for them. The basic hyperbolic functions are:

Graphs of basic hyperbolic functions


Vectors (Introduction)

Vectors

This topic is a quick review for readers who need a reminder about vector arithmetic. If you’re familiar with vectors and vector calculations, you can skip this topic. If this topic is difficult to follow, you might consult a more basic reference on mathematics.

A vector expresses a length and a direction in a particular space. The vector is expressed as a point; for example, [5, 5, 7]. The length is the distance from the origin to that point, and the direction is similarly from the origin to (and through) the point.

In gmax, vectors have three values and describe positions in three-dimensional space. They can also represent percent scaling in X, Y, and Z; and (more abstractly) describe locations in RGB color space.

Unit Vectors and Basic Vectors

A unit vector has a length of one. Unit vectors are often used to express direction only. The three basic vectors are unit vectors that describe the three axes (X, Y, and Z) of 3D space.

Basic vectors and the XYZ axes

Adding and Subtracting Vectors

Adding two vectors creates a new vector that combines the length and direction of the original two. Vector addition is commutative: V+W=W+V.

Adding two vectors

Subtracting two vectors gives the vector between the two points.

Subtracting two vectors

Scalar Multiplication and Division

Multiplying a vector by a scalar changes the vector’s length, as does dividing the vector by a scalar.

Vector Length and Direction

The length of a vector is obtained from the Pythagorean theorem.

In gmax expressions, the length() function returns this value.

The direction of the vector is the vector divided by its length; this gives you a unit vector with the same direction.

The distance between two points is the length of the vector between them.

Subtracting vectors to obtain a distance


Barycentric Morph Controller Key Info Dialog

Select a Morph object > Main toolbar > Open Track View > Right-click over a Morph key. > Barycentric Morph Controller Key Info dialog

Graph Editors > Track View > Open Track View > Right-click over a Morph key. > Barycentric Morph Controller Key Info dialog

You can change morph target weighting using controls in the Barycentric Morph Controller Key Info dialog.

Interface

Current Key: Specifies the current key that you're adjusting.

Time: Specifies where, in time, the current key is placed.

Tension/Continuity/Bias: Adjusts the TCB parameters of the key spline interpolation.

TCB Spline: Displays the key interpolation spline.

Targets: Lists all morph targets for the object, along with the percentage of their influence at the current key. The total percentage of all targets is displayed below the window. You can select any target in this window, and then adjust its percentage of influence using the spinner at right.

Percentage: Sets the percentage of influence for the target selected in the list window. Percentage values can be negative as well as greater than 100 percent.

Constrain to 100%: Limits total weight of all targets to 100 percent. As you increase or decrease the percentage of a selected target, the other targets adjust accordingly. The adjustment takes the form of balancing all of the target percentages so that their relative weights remain the same.

When this check box is turned off, you can adjust the weight of each target without affecting the others, and create a total that's greater or less than 100 percent. Totals greater than 100 percent cause the morph object to scale up in size, while totals less than 100 percent cause the morph object to scale down. Note that this check box is global, and not confined to a single key or track.


Master Track Key Info Dialog (Master Point Controller)

Main toolbar > Open Track View > Right-click a master track key in the Track View Edit window. > Master Track Key Info dialog

Graph Editors > Track View > Open Track View > Right-click a master track key in the Track View Edit window. > Master Track Key Info dialog

Right-click a green master key in Track View to display the Master Track Key Info dialog.

Interface

Key Arrows: Moves to the next or previous key.

Time: Moves the master key to a new time.

List Window: Displays all the animated sub keys at a particular keyframe.

Select Point: Select a node in the List Window and the corresponding node in the viewports is selected.

Key Frame Properties: Controls interpolation and position. See Bezier Controller.


Track_View_Pick_Dialog

Main toolbar > Open Track View > Global Tracks > Master Block > Right-Click master block track. > Properties > Master Block Parameters dialog > Add > Track View Pick dialog

Graph Editors > Track View > Open Track View > Global Tracks > Master Block > Right-Click master block track. > Properties > Master Block Parameters dialog > Add > Track View Pick dialog

This dialog is displayed when track selection is necessary, by clicking Add in the Master Block Parameters dialog, for example. Select tracks in the dialog that you want to include in a Block. Valid tracks are darker.

Interface

Cancel: Exits the Track View Pick dialog with no changes.

If tracks are selected in the hierarchy list, then the Block Parameters dialog displays when you click OK, to allow you to set the duration for the Block.


Master Block Parameters Dialog

Main toolbar > Open Track View > Global Tracks > Block Control > Master Block > Right-click over the Block Control track in the Track View Edit window. > Master Block Parameters dialog

Graph Editors > Track View > Open Track View > Global Tracks > Block Control > Master Block > Right-click over the Block Control track in the Track View Edit window. > Master Block Parameters dialog

After assigning a Master Block, right-click the Master Block track to display the Master Block Parameters dialog. This is the first step in creating a block.

Interface

Add: Displays the Track View Pick dialog. In the Track View Pick dialog, select tracks to include in a Block. Valid tracks are displayed in darker text.

Add Selected: Creates a block using the tracks already selected in the Track View Hierarchy. Any invalid tracks are ignored.

Select the tracks (include the Master Block track), and then right-click Master Block in the Track View Hierarchy.

Replace: Replaces the currently selected block.

Remove: Remove the selected block from the list.

Load: Loads a block from disk. Displays the Attach Controls dialog.

Map incoming tracks to tracks in your scene using controls in the Attach Controls dialog.

Save: Saves the current block to disk.


Slave Parameters Dialog

Main toolbar > Open Track View > Right-click an object with Slave Track in the Track View Hierarchy. > Slave Parameters dialog

Graph Editors > Track View > Open Track View > Right-click an object with Slave Track in the Track View Hierarchy. > Slave Parameters dialog

Every time you create a block, all tracks within the block are assigned a Slave controller, which allows the Master Block to transfer key data.

The Slave controller can be assigned without being connected to a Master Block controller. Controls in the Slave Parameters dialog allow you to attach the slave to a master. If the slave is not attached to a master, a dialog is displayed listing the available master controls you can attach to. The Track View Pick dialog is displayed, listing the tracks you can add.

Right-click a Slave controller in the Track View Hierarchy to display the Slave Parameters dialog. The list window displays any assigned tracks.

Interface

Add New Link: Adds a link. Displays a New Link dialog.

Remove Link: Removes a selected link.

Collapse Control: Collapses the Slave controller to a standard controller.

Existing keys are copied to the new controller.

OK: Closes the dialog.


Block Parameters Dialog

Main toolbar > Open Track View > Global Tracks > Master Block > Right-click master block track. > Properties > Master Block Parameters dialog > Add > Track View Pick dialog > OK > Block Parameters dialog

Graph Editors > Track View > Open Track View > Global Tracks > Master Block > Right-click master block track. > Properties > Master Block Parameters dialog > Add > Track View Pick dialog > OK > Block Parameters dialog

After clicking Add in the Master Block Parameter dialog and selecting tracks in the Track View Pick dialog to create a Block, clicking OK in the Track View Pick dialog displays the Block Parameters dialog.

Interface

Name Field: Names the block.

Start and End: Sets the range of the block in frames.

Color: Selects a color for the Block. Displays a color selection dialog.

OK: Saves the parameters and closes the dialog.

Cancel: Closes the dialog without saving the parameters.


Attach Controls Dialog

Main toolbar > Open Track View > Global Tracks > Master Block > Right-click master block track. > Properties > Load > Select a file > OK > Attach Controls dialog

Graph Editors > Track View > Open Track View > Global Tracks > Master Block > Right-click master block track. > Properties > Load > Select a file > OK > Attach Controls dialog

This dialog is displayed when Load is clicked in the Master Block Parameters dialog. Tracks in blocks previously saved can be mapped to tracks in the current scene.

The list window on the left contains all the incoming tracks. The list window on the right contains all the tracks in the current scene that you will attach to.

Interface

Add: Selects tracks in the current scene in the Track View Pick dialog.

Add Null: Allows a space to be taken if you don’t want to use a particular track.

Match by Node: Select tracks on the left that you want to match. Click Match By Node. Then select a group of tracks that you want to match to. The system attempts to match the controls based on their names.

Delete: Deletes a track from the list.

Move Up and Move Down: Move tracks up and down to align them before attaching them.

OK: Imports the tracks and closes the dialog.

Cancel: Cancels the Load operation.


Animation Constraints

Animation constraints are used to help automate the animation process. They can be used to control an object’s position, rotation, or scale through a binding relationship with another object.

A constraint requires one object and at least one target object. The target imposes specific limits on the constrained object.

For example, if you want to quickly animate an airplane flying a predefined path, you could use a path constraint to restrict the airplane’s motion to a spline path.

The constraint’s binding relationship with its targets can be animated on or off over a period of time.

Common uses for constraints:

  • Linking one object to another over a period of time, such as a character’s hand picking up a baseball bat

  • Linking an object’s position or rotation to one or several objects

  • Keeping an object’s position between two or more objects

  • Constraining an object along a path or between multiple paths

  • Constraining an object along a surface

  • Making an object point towards another object’s pivot point

  • Controlling the “look at” direction of a character’s eyes

  • Keeping an object’s orientation in relation to another

There are seven types of constraints:

  • Attachment constraint attaches an object’s position to a face on another object

  • Surface constraint restricts an object's position along the surface of another object

  • Path constraint restricts an object's movement along a path

  • Position constraint causes the constrained object to follow the position of another object

  • Link constraint links the constrained object from one object to another

  • Look-At constraint constrains an object’s orientation so that it’s always looking at another object

  • Orientation constraint causes the rotation of the constrained object to follow the rotation of another object

Using Constraints with Bones

Constraints can be applied to bones as long as an IK controller is not controlling the bones. If the bones have an assigned IK controller, you can only constrain the root of the hierarchy or chain.


Attachment Constraint

Animation menu > Constraints > Attachment Constraint

The Attachment constraint is a Position constraint that attaches an object's position to a face on another object (the target object doesn't have to be a mesh, but must be able to convert itself to a mesh).

By keying different attachments over time, you can animate the position of an object over the irregular surface of another object, even if that surface is changing over time.

Procedures

Example: To attach a cone to a bending cylinder:

  1. In the Perspective viewport, create a cylinder with a radius of 20, a height of 10, and 10 height segments.

  2. In the Perspective viewport, create a cone with a radius 1 of 15, a radius 2 of 5, and a height of 30.

  3. Select the cylinder, apply a Bend modifier, and set the bend angle to -70 degrees.

  4. Turn on Animate, move to frame 100, and set the bend angle to 70 degrees.

    The cylinder bends from one direction to the other over 100 frames.

  5. Turn off Animate.

Example continued: To assign the Attachment constraint and adjust the cone:

  1. Select the cone.

  2. In the Motion panel, open the Assign Controller rollout, click the Position track, click Assign Controller, and choose Attachment.

    The cone moves to the origin of the scene, and the Attachment Parameters rollout is displayed.

  3. Click the Pick object, and then click the cylinder.

    The name of the cylinder is displayed above the Pick Object button.

    Go to frame 0. Arc Rotate the Perspective viewport so you can see the top surface of the cylinder.

  4. Click Set Position, and drag over the faces on the top surface of the cylinder.

    The cone jumps to the top of the cylinder. As you drag the mouse, it jumps to whichever face you drag over.

  5. Release the mouse when the cone is on the top surface of the cylinder.

Example continued: To adjust the position of the cone relative to the face:

  1. Drag in the face display window to position the red x relative to the triangle representing the face. (Because of the radial arrangement of cap faces in a cylinder, the upper-left corner of the displayed triangle is the center of the cylinder cap. You can turn off Edges Only for the cylinder to see this.)

  2. Adjust the A and B spinners to move the cone across the surface of the face.

  3. Drag the time slider to various frames.

    As the cylinder bends back and forth, the cone remains attached to its upper surface. Continue adjusting the A and B spinners and dragging in the face display window to adjust the cone's position.

  4. Remember the number in the Face spinner, and then lower the spinner value until the cone leaves the cylinder cap and begins jumping around various areas of the cylinder.

    The Face spinner specifies which face the cone is attached to. As you change its values, the cone moves to different faces on the cylinder.

  5. Re-enter the original value in the Face spinner to return the cone to the top of the cylinder.

  6. Play the animation.

    The cylinder bends back and forth with a cone attached to its upper cap.

Interface

Parameters for this constraint are available in the Motion panel after the controller has been assigned.

Attach To group

Object Name text: Specifies the target object to which the source object is attached.

Pick Object: Selects and picks the target object in the viewports for the attachment.

Align to Surface: Fixes the orientation of the attached object to the face where it's assigned. When this is turned off, the orientation of the attached object is not affected by the orientation of the face on the target object.

Update group

Update: Update the display.

Manual Update: Enable Update.

Key Info group

Current Key: Displays the current key number and lets you move to another key.

Time: Displays the current frame, and lets you move the current key to a different frame.

Position group

Face: Provides the index of the face to which the object is attached. Range=0 to 268435455.

A: and B: Contains the barycentric coordinates defining the position of the attached object on the face. Range=-999,999 to 999,999.

Display window: Shows the position of the source object within the attachment face. You can drag within this window to adjust the position of the object relative to the face.

Set Position: Adjusts the placement of the source object on the target object. Drag over the target object to specify a face and a position within the face. The source object moves accordingly over the target object.

TCB group

All of the items in this group are the same as in other TCB controllers. The orientation of the source object is also interpolated and affected by these settings.

Tension: Range=0 to 50

Continuity: Range=0 to 50

Bias: Range=0 to 50

Ease To: Range=0 to 50

Ease From: Range=0 to 50


Surface Constraint

Animation menu > Constraints > Surface Constraint

Main toolbar > Track View > Select a position track in the Track View Hierarchy > Track View toolbar > Assign Controller > Surface

The Surface constraint positions an object along the surface of another object.

The type of object that can be used as the surface object is limited to those whose surfaces can be represented parametrically. Use the Surface constraint with the following types of objects:

  • Sphere

  • Cone

  • Cylinder

  • Torus

  • Quad Patches (single quad patches)

The surface used is a "virtual" parametric surface, and not the actual mesh surface. Objects with a low number of segments might have a mesh surface quite different than the parametric surface.

The parametric surface ignores Slice and Hemisphere options. So if the object is sliced, for example, the controlled object will position itself as if the missing portion were still there.

Since the Surface constraint only works on parametric surfaces, if you apply a modifier that converts the object to a mesh, the constraint will no longer work. For example, you can't use it with a cylinder with a Bend modifier applied.

Procedure

Example: To animate a sphere over the surface of a cylinder:

  1. In the Top viewport, create a cylinder and a sphere.

  2. Select the sphere, open the Motion panel, expand the Assign Controller rollout, and then expand the Transform heading in the list.

  3. In the list window, click the Position item and then click Assign Controller.

  4. In the Assign Position Controller dialog, choose Surface and then click OK.

    The Surface Constraint Parameters rollout replaces the Key Info rollout.

  5. Click Pick Surface, and then select the cylinder.

  6. Turn on Animate, and place the time slider at frame 0.

  7. Use the V Position spinner to move the sphere to a starting position at the bottom of the cylinder.

  8. Place the Time Slider at frame 100.

  9. Use the V Position spinner to place the sphere at the top of the cylinder.

  10. Set U Position to 300.

    Play the animation. The sphere moves over the surface of the cylinder in a helical path.

Interface

The Surface Constraint parameters rollout is in the Motion panel.

Current Surface Object group

This group provides a method for selecting and then displaying the selected surface object.

Text: Displays the name of the selected object.

Pick Surface: Selects the object you want used as a surface.

Surface Options group

This group provides controls for adjusting the position and orientation of the object along the surface.

U Position: Adjusts the position of the controlled object along the U coordinates of the surface object.

V Position: Adjusts the position of the controlled object along the V coordinates of the surface object.

No Alignment: When on, the controlled object is not reoriented, regardless of its position on the surface object.

Align to U: Aligns the local Z axis of the controlled object with the surface normal of the surface object, and the X axis with the U axis of the surface object.

Align to V: Aligns the local Z axis of the controlled object with the surface normal of the surface object, and the X axis is aligned with the V axis of the surface object.

Flip: Flips the alignment of the local Z axis of the controlled object. This check box is not available if No Alignment is turned on.


Path Constraint

Animation menu > Constraints > Path Constraint

Select the object to be constrained > Motion Panel > Assign Controller Rollout > click Position track > click Assign Controller icon > Path Constraint

A path constraint restricts an object's movement along a spline or at an averaged distance between multiple splines.

A path target can be any type of spline. The spline curve (target) defines a path of motion for the constrained object. Targets can be animated using any of the standard translation, rotation, scale tools. Setting keys on the path’s sub object level, such as vertex, or segment will animate the path while affecting the constrained object.

Multiple Targets and Weighting

A constrained object can be influenced by several target objects. When using multiple targets, each target has a weight value that defines the degree by which it influences the constrained object, relative to other targets.

Using Weight is meaningful (and available) only with multiple targets. A value of 0 means the target has no influence. Any value greater than 0 causes the target to influence the constrained object relative to other targets' Weight settings. For example, a target with a Weight value of 80 will have twice the influence of a target with a Weight value of 40.

Procedures

To assign a Path constraint:

  1. Select a single object.

  2. Choose Animation menu > Constraints > Path Constraint.

    You are now in select target mode.

  3. In the viewport, select a shape object.

    If a shape does not exist, you can create one from the Create panel > Shapes.

To access the Path constraint’s parameters through the Motion panel:

  1. Select the path-constrained object.

  2. Click the Motion Panel tab on the Command panel.

  3. In the PRS Parameters rollout, click the Position button.

  4. The Path constraint's settings are located in the Path Parameters rollout.

To assign a Path constraint through the Motion panel:

  1. Select a single object.

  2. Click Parameters in the Motion panel.

  3. Select the Position controller in the Assign Controller rollout.

  4. Click Assign Controller.

  5. Choose Path Constraint from the Assign Position Controller dialog.

  6. Click Parameters in the Motion panel.

  7. Click Pick Path in the Path Parameters rollout.

  8. In the Viewport, select a shape object.

    You can create a shape in Create panel > Shapes if one does not exist.

To edit weight values:

  1. Select the constrained object.

  2. Open the Path Parameters rollout in the Motion panel.

  3. Click a target from the list.

  4. Adjust the Weight spinner or enter a numerical value for the weight value.

To animate weight values:

  1. Select the constrained object.

  2. Open the Path Parameters rollout in the Motion panel.

  3. Click a target from the list.

  4. Turn on the Animate button.

  5. Adjust the Weight spinner or enter a numerical value for the weight value.

Interface

Once you assign a Path constraint, you can access its properties via the Path Parameters rollout in the Motion panel. In this rollout you can add or delete targets, assign weighting, and animate each target's weight value.

Note: When you assign a Path constraint via the Animation menu, the software assigns a Position List controller to your object. In the Position List rollout list you will find Path Constraint. This is the actual path constraint controller. To view the Path Parameters rollout with the constraint settings, double-click Path Constraint in the list.

Add Path: Adds a new spline path that influences the constrained object.

Delete path: Removes a path from the target list. Once removing the path target, it will no longer influence the constrained object

Weight: Assigns and animate weight values for each target.

% Along Path: Sets the percent that the object is positioned along the path. This duplicates the Value spinner in the track Properties dialog for the Percent track in Track View. If you want to set keys to place an object at a certain percent along the path, turn on Animate, move to the frame where you want the key set, and adjust the % Along Path spinner to move the object.

Follow: Aligns the object to the trajectory as it follows the contour.

Bank: Allows the object to bank (roll) as it negotiates the curves of the spline.

Bank Amount: Adjusts the amount of the banking to one side or the other, depending on whether the value is positive or negative.

Smoothness: Controls how rapidly the roll angle changes as the object moves through bends in the trajectory. Smaller values will make the object more responsive to subtle changes in the curve, while larger values smooth out jerking. The default value is a good value for general damping along the curve. Values below 2 tend to make the action jerky, but values around 3 can be very useful for simulating a certain degree of realistic instability.

Allow Upside Down: Turn on to avoid the situation in which an object flips when going around a vertically oriented path.

Constant Velocity: Provides a constant velocity along the path. When off, the velocity of the object along the path varies depending on the distance between the vertices on the path.

Loop: By default, when the constrained object reaches the end of a path it can no longer move past the end point. The loop option changes this behavior so that when the constrained object reaches the end of the path it loops back to the starting point.

Relative: Turn on to maintain the original position of the constrained object. The object will follow the path with an offset distance based on its original world space position.

Axis: Defines which axis of the object is aligned to the trajectory of the path.

Flip: Turn on to flip the direction of the axis.


Position Constraint

Animation menu > Constraints > Position Constraint

A position constraint causes an object to follow the position of an object or the weighted average position of several objects.

In order to activate, a position constraint requires an object and a target object. Once assigned the object becomes constrained to the target object's position. Animating the target’s position causes the constrained object to follow.

Each target has a weight value defining its influence. A value of 0 is equal to off. Any value greater than 0 will cause the target to influence the constrained object. Weight values may be animated to create effects such a ball being picked up from a table.

Multiple Targets and Weighting

A constrained object can be influenced by several target objects. When using multiple targets, each target has a weight value that defines the degree by which it influences the constrained object, relative to other targets.

Using Weight is meaningful (and available) only with multiple targets. A value of 0 means the target has no influence. Any value greater than 0 causes the target to influence the constrained object relative to other targets' Weight settings. For example, a target with a Weight value of 80 will have twice the influence of a target with a Weight value of 40.

Procedures

To assign a Position constraint:

  1. Select the object you want to constrain.

  2. Choose Animation menu > Constraints > Position Constraint.

  3. Select the target object.

To access the Position constraint’s parameters through the Motion panel:

  1. Select the Position-constrained object.

  2. On the Motion panel, on the Position list, double-click Position Constraint.

    The Position constraint parameters are located under the Position Constraint rollout.

To edit weight values:

  1. Select the constrained object.

  2. Open the Position Constraint rollout in the Motion panel.

  3. Click a target from the list.

  4. Adjust the Weight spinner or enter a numerical value for the weight value.

To animate weight values:

  1. Select the constrained object.

  2. Open the Position Constraint rollout in the Motion panel.

  3. Click a target from the list.

  4. Turn on the Animate button.

  5. Adjust the Weight spinner or enter a numerical value for the weight value.

Example: To assign a Position constraint with two targets and editing weights:

  1. In the Top viewport, create a sphere, a teapot, and a cylinder so that the teapot is between the sphere and the cylinder.

  2. Click to select the teapot, assign a Position constraint, and select the sphere as the target.

  3. Click to select the teapot, assign a Position constraint, and select the cylinder as the target.

    The teapot is now position constrained between the two targets.

  4. In the Top viewport, move the sphere around.

    As the sphere moves, the teapot maintains an equal distance between the sphere and the cylinder. This is because the weight values for both targets are equal. By default the values are 100. If the sphere had a higher weight value than the cylinder, the sphere would influence the teapot more than the cylinder.

  5. To edit the weight values, select the teapot.

  6. Click Position Constraint Parameters on the Motion panel.

  7. Click the Cylinder’s name in list of targets.

  8. Using the Weight spinner, change the value from 100 to 20.

    As the value decreases, the teapot moves closer to the sphere.

  9. In the Top viewport. select the cylinder and move it around.

  10. In the Top viewport, select the sphere and move it around.

    The sphere has more influence over the teapot’s movement than the cylinder.

Interface

Once you assign a Position constraint, you can access its properties via the Position Constraint rollout in the Motion panel. In this rollout you can add or delete targets, assign weighting, and animate each target's weight value.

Note: When you assign a Position constraint via the Animation menu, the software assigns a Position List controller to your object. In the Position List rollout list you will find Position Constraint. This is the actual Position Constraint controller. To view the Position Constraint rollout, double-click Position Constraint in the list.

Add position target: Adds new target objects that influence the position constrained object.

Delete position target: Removes targets. Once a target is removed, it will no longer influence the constrained object.

Weight: Assigns and animates weight values for each target.

Keep Initial Offset: Use Keep Initial Offset to preserve the original distance between the constrained object and the target object. This prevents the constrained object from snapping to the target object's pivot. The default is Off.


Link Constraint

Animation menu > Constraints > Link Constraint

A Link constraint is used to animate an object linking from one target object to another.

The Link constraint causes an object to inherit the position, rotation, and scale of its target object.

An example of using a link constraint is to pass a ball from one hand to another. Assume that at frame 0 the ball is in the right hand. The hands are animated to meet at frame 50 and then spread apart until frame 100.

Procedures

Example: To assign a Link constraint:

  1. In the Top viewport, create a sphere and a teapot.

  2. Select the sphere.

  3. Choose Motion panel.

  4. Expand > Assign Controller rollout.

  5. Select the Transform: Position/Rotation/Scale controller.

  6. Click Assign Controller.

  7. Choose Link Constraint.

    It is recommended that you add a Link To World before linking to any target objects. This will allow you to animate the object on its own, before the first link to a target object takes place.

To access the Link constraint’s parameters through the Motion panel:

  1. Select the Link-constrained object.

  2. Choose Motion panel > Link Params rollout.

Example: To assign the Link constraint and animate links:

  1. Move the time slider to frame 0.

  2. In the Top viewport, create a sphere, a cylinder and a box.

  3. Select the sphere.

  4. Choose Motion panel.

  5. Expand the Assign Controller rollout.

  6. Select the Transform: Position/Rotation/Scale controller.

  7. Click Assign Controller.

  8. Choose Link Constraint.

  9. In the Link Params rollout, click Link To World.

  10. Move the time slider to frame 1.

  11. Click Add Link and select the cylinder.

    It now becomes a target. The Link Constraint relationship is now active between the sphere and the cylinder.

  12. Move the time slider to frame 50.

  13. Turn on the Animate button and move the cylinder a good distance away from where it is.

  14. Play back the animation.

    The sphere follows the cylinder as it moves. The sphere is link-constrained.

  15. Select the sphere.

  16. Move the time slider to frame 25.

  17. On the Motion panel > Link Param rollout, click Add link and select the box.

    You have now added another target that becomes active at frame 25.

  18. Play back the animation. The sphere is linked to the cylinder from frame 0 to 24. It follows the cylinder until frame 25 where it Links to the Box.

Interface

Once you assign a Link constraint, you can access its properties via the Link Params rollout in the Motion panel. In this rollout you can add and delete targets and animate the time at which each target becomes the active parent of the constrained object.

Add Link: Adds a new link target.

Delete Link: Removes a link target. Once a link target is removed, it will no longer influence the constrained object.

Start Time: The start time spinner is used to assign or edit the frame value of a target. Select one of the target object names in the list window and see the frame where the object becomes a parent. You can adjust the value to change when the link transfer takes place.

Key Mode group

No Key: When used, no keyframes are written to the constrained object or its targets. The link control happens without inserting any keys.

Key Nodes: When used, keyframes are written to the specified option. There are two options: Child and Parents. Child only sets a keyframe on the constrained object. Parents sets keyframes for the constrained object and all of its targets.

Key Entire Hierarchy: Sets keyframes up the hierarchy for the specified option. There are two options: Child and Parents. Child only sets a keyframe on the constrained object and its parents. Parents sets keyframes for the constrained object, it’s targets, and their upper hierarchy.


Look-At Constraint

Animation menu > Constraints > Look-At Constraint

Look-At Constraint constrains an object’s orientation so that it’s always looking at another object.

The Look-At constraint locks an object’s rotation so that one of its axes points towards the target object. The LookAt axis points towards the target, while the Upnode axis defines which axis points upward. If the two coincide, a flipping behavior may result. This is similar to pointing a target camera straight up.

An example of a Look-At constraint’s use would be to constrain the eyeballs of a character to a point helper. The eyes will then always look at the point helper. Animate the point helper, and the eyes follow. Rotate the character’s head and the eyes maintain their lock on the point helper.

Multiple Targets and Weighting

A constrained object can be influenced by several target objects. When using multiple targets, each target has a weight value that defines the degree by which it influences the constrained object, relative to other targets.

Using Weight is meaningful (and available) only with multiple targets. A value of 0 means the target has no influence. Any value greater than 0 causes the target to influence the constrained object relative to other targets' Weight settings. For example, a target with a Weight value of 80 will have twice the influence of a target with a Weight value of 40.

Procedures

To assign a Look-At constraint:

  1. Select the object you want to constrain.

    This is the object that will be always looking at its target.

  2. Choose Animation menu > Constraints > Look-At Constraint.

  3. Select the target object.

To access the Look-At constraint’s parameters through the Motion panel:

  1. Select the Look-At Constrained object.

  2. On the Motion panel > Rotation list, double-click Look-At Constraint.

    The Look-At constraint parameters are located under the Look-At Constraint rollout.

To edit weight values:

  1. Select the constrained object.

  2. Open the Look-At Constraint rollout in the Motion panel.

  3. Click a target from the list.

  4. Use the Weight spinner or enter a numerical value to adjust the weight value.

To animate weight values:

  1. Select the constrained object.

  2. Open the Look-At Constraint rollout in the Motion panel.

  3. Click a target from the list.

  4. Turn on the Animate button.

  5. Use the Weight spinner or enter a numerical value to adjust the weight value.

Interface

Once you assign a Look-At constraint, you can access its properties via the Look-At Constraint rollout in the Motion panel. In this rollout you can add or delete targets, assign weighting, assign and animate target weight values, and adjust other, related parameters.

Note: When you assign a Look-At constraint via the Animation menu, the software assigns a Rotation List controller to your object. In the Rotation List rollout list you will find Look-At Constraint, which is the constraint you assigned. To view the LookAt Constraint rollout, double-click Look-At Constraint entry in the list.

Add LookAt Target: Adds new targets that influence the constrained object.

Delete LookAt Target: Removes target objects that influence the constrained object.

Weight: Use to assign and animate weight values for each target. Available only when multiple targets are used.

Keep Initial Offset: Maintains the constrained object’s original orientation as an offset to its constrained orientation.

Viewline Length: Defines the length of the viewline drawn from the pivot of the constrained object to the pivot of its target. A negative value draws the line from the constrained object in the opposite direction of the target.

Note: The viewlines drawn from the constrained object to each target inherit the color of their respective target object. When multiple targets are assigned, another viewline indicates the actual, calculated orientation. The color of this line is defined by the Target Line element in the Gizmos category of the Colors panel in the Customize > Customize User Interface dialog.

Keep Viewline Length Absolute: When on, the Viewline Length setting is ignored and the viewline is always drawn between the constrained object and the target object.

Set Orientation: Use to manually define the offset orientation of the constrained object. When turned on, you can use the Rotation tool to set the constrained object’s orientation. This orientation is then maintained as the constrained object looks at its target.

Reset Orientation: Use to reset the orientation of the constrained object. This is useful if you want to reset the constrained object’s orientation after having set the orientation manually.

Select LookAt Axis: Use to define the axis that looks at the target. The X,Y,Z check boxes reflect the constrained object's local axis. The Flip check box is used to flip the directions of the local axis.

Select Upnode: The default Upnode is the world. Uncheck world to manually select an object that defines the Upnode plane. This plane is drawn from the constrained object to the Upnode object. If the look at Axis and the Upnode axis coincide, the constrained object will flip. Animating the position of the upnode object will move the upnode plane.

Source/Upnode Alignment group

Source Axis: Chooses the constrained object’s axis that is to be oriented along a certain upnode axis that is specified by the Aligned to Upnode Axis option. The Source Axis reflects the constrained object’s Local Axis. The Source Axis and LookAt Axis work together;therefore the Axis used to define the LookAt Axis will be unavailable.

Aligned to Upnode Axis: Chooses the Upnode axis that the selected Source Axis aligns to. Note that the selected Source axis might or might not be able to completely align to the Upnode Axis.


Orientation Constraint

Animation menu > Constraints > Orientation Constraint

An Orientation constraint causes an object’s orientation to follow the orientation of an object or averaged orientation of several objects.

An Orientation-constrained object can be any rotatable object. When constrained, it will inherit its rotation from a target object. Once constrained, you can not rotate the object manually, you may move or scale the object as long as its not constrained in a manner that affects the object’s position or scale controller.

The target object can be any type of object. The rotation of a target object drives the constrained object. Targets can be animated using any of the standard translation, rotation, and scale tools.

Multiple Targets and Weighting

A constrained object can be influenced by several target objects. When using multiple targets, each target has a weight value that defines the degree by which it influences the constrained object, relative to other targets.

Using Weight is meaningful (and available) only with multiple targets. A value of 0 means the target has no influence. Any value greater than 0 causes the target to influence the constrained object relative to other targets' Weight settings. For example, a target with a Weight value of 80 will have twice the influence of a target with a Weight value of 40.

Procedures

To assign an Orientation constraint:

  1. Select the object you want to constrain.

  2. Choose Animation menu > Constraints > Orientation Constraint.

  3. Select target object.

To access the Orientation constraint’s parameters through the Motion panel:

  1. Select the Orientation-constrained object.

  2. On the Motion panel > Rotation list, double-click Orientation Controller.

    The Orientation constraint parameters are located on the Orientation Constraint rollout.

To edit weight values:

  1. Select the constrained object.

  2. Open the Motion panel > Orientation Constraint rollout.

  3. Click a target from the list.

  4. Use the Weight spinner or enter a numerical value to set the weight value.

To animate weight values:

  1. Select the constrained object.

  2. Open the Motion panel > Orientation Constraint rollout, and choose a target from the list.

  3. Turn on the Animate button.

  4. Use the Weight spinner or enter a numerical value to set the weight value.

Interface

Once you assign an Orientation constraint, you can access its properties via the Orientation Constraint rollout in the Motion panel. In this rollout you can add or delete targets, assign weighting, assign and animate target weight values, and adjust other, related parameters.

Note: When you assign an Orientation constraint via the Animation menu, the software assigns a Rotation List controller to your object. In the Rotation List rollout list you will find Orientation Constraint, which is the constraint you assigned. To view the Orientation Constraint rollout, double-click Orientation Constraint entry in the list.

Add Orientation Target: Adds new target objects that influence the constrained object.

Add World as Target: Aligns the constrained object to the world axis. You can weight the amount of influence that the world target has on the constrained object as you would any other target object.

Delete Orientation Target: Removes targets. Once a target is removed, it will no longer influence the constrained object.

Weight: Assigns and animates weight values for each target.

Keep Initial Offset: Preserves the original orientation of the constrained object. When you turn off Keep Initial Offset, the object adjusts itself to match the orientation of its target or targets. Default=off.


Wire Parameters

Select an object. > Animation menu > Wire Parameters > Wire Parameters

Select an object. > Right-click quad menu > Transform (lower-right) quadrant > Wire Parameters

Wire Parameters allow you to link any animatable parameters from one object to another in the viewport. This enables you to set up two-way links between specified object parameters, or to control one or more objects with a dummy object containing the desired parameters. Using wire parameters lets you set up object constraints directly without having to go to Track View and assign controllers.

Parameter wiring is accessed from the Animation menu or the quad menus. The Wire Parameters command is only available if there is a singly selected node in the viewport. Selecting the Wire Parameters command displays a hierarchical pop-up menu with levels and items corresponding to the animatable tracks that would be visible for that object in Track View.

When a parameter selection is made, a dashed line, similar to that displayed in the Select and Link mode, is drawn from the selected object. The cursor changes from an arrow to a cross whenever it is over a valid destination object. You can right-click at any time to cancel the parameter wiring.

You can either click empty space in the viewport (while the rubber-band connector is still being displayed) or on a destination node to display the Parameter Wiring dialog, which allows you to customize the relationship between two wired parameters. If you click empty space, the Parameter Wiring dialog will open showing the selected parameter in the left Tree View and a full scene in the right tree. Selecting a destination node (which can be the same as the originating node) displays a hierarchical pop-up menu for the destination object, allowing the user to choose the destination parameter. When a parameter is selected, the Parameter Wiring dialog is displayed.

Wire Parameters can be made either one-way or two-way between parameters. For one-way wires, one parameter is effectively slaved to the other and its value will change as the controlling parameter changes, according to a user-defined transfer expression. The controlling parameter can be animated and adjusted as needed using all the animating tools in gmax. Note that this includes making it a controlled parameter in another parameter-wiring set-up, so that you could potentially set up a chain of controlled parameters.

For two-way wiring, Wire controllers of the appropriate kind are assigned to each of the parameters and they are cross-linked so that changes to either parameter cause linked changes in the other.

Note: You should establish all object hierarchies before wiring parameters in a scene. If you change the hierarchy of an object that has a wired parameter, it will take on new parameters, which may introduce undesired results in your wired parameters.

Procedure

To attach wire parameters:

  1. Select the first object you want to use.

  2. Choose Animation menu > Wire Parameters > Wire Parameters.

    A pop-up menu displays the parameters you can link.

    Note: Wire Parameters only works for parameters that can be animated. The menu options displayed depend upon the selected object and are the same options you would see for the selected object in Track View.

  3. Choose the parameter you want to link to another object from the displayed menu.

    A dashed line displays.

  4. Drag the dashed line to the second object you want to use. When the cursor changes from an arrow to a selection cross, you are over a valid destination object. Click to select the destination object.

    A pop-up menu displays the parameters to which you can link.

  5. Choose the parameter you want to link from the displayed menu.

    The Parameter Wiring dialog displays.

  6. Choose the desired parameters in the dialog, and click the direction buttons between the two panels to determine the control direction: one way or both directions (changes to either object’s selected parameters affect the other object).

  7. Click Connect to complete the wiring.


Parameter Wiring Dialog

Animation menu > Wire Parameters > Parameter Wiring dialog

Select an object. > Right-click quad menu > Transform (lower-right) quadrant > Wire Parameters > Select parameters to wire.

Select an object. > Modify panel > Right-click text box portion of animatable parameter spinner. > choose Show in Parameter Wire dialog.

Select an object with a wired parameter. > Modify panel > Right-click text box portion of wired parameter spinner. > Edit Wire

The Parameter Wiring dialog allows you to define the relationships for Wire Parameters. In this dialog, you can create new one and two-way control relationships between object parameters, edit existing relationships, and create or edit expressions which define the parameter relationships.

Only parameters that can be animated can be wired. Sub-objects, such as vertices, must be animated before they can be wired.

Parameter wires can be used to establish connections from Manipulators and Custom Attributes to objects, materials, and modifiers.

Note: The Parameter Wiring dialog is a modeless dialog, and you can have several dialogs open at the same time.

Procedures

To use an expression with wire parameters:

  1. Create a box and a sphere in your scene.

  2. Right-click the box, and from the quad menu choose Transform quadrant > Wire Parameters.

  3. From the pop-up menu, choose Object (box) > Length.

  4. Click the sphere and choose Transform > Position from the pop-up menu.

    The position of the sphere and the length of the box are now wired.

  5. In the Parameter Wiring dialog, create a one-way wire by selecting the arrow pointing towards the box’s Tree View.

  6. Enter abs(position.z) in the expression text box for Box01.

  7. Click Connect.

  8. Move the sphere upward along the z-axis in the viewport.

    Note that as the sphere moves in the viewport, the length of the box changes. Using abs() ensures that the box would never have a negative length.

To control several slave parameters from one master parameter:

  1. Open the Parameter Wiring dialog.

  2. Choose the master parameter in the Tree View.

  3. Choose the first slave parameter in the other Tree View.

  4. Click the arrow pointing towards the slave parameter.

  5. Enter the desired relationship expression in the expression text box.

  6. Click Connect.

  7. Keeping the master parameter selected, choose another slave parameter from the Tree View.

  8. Click the arrow pointing towards the slave parameter.

  9. Enter the desired relationship expression in the expression text box.

  10. Click Connect.

    You can repeat this cycle to set up as many slaves as you want. The result is a “fan” of parameter wires, so that you can control all of the slave parameters at once as you change the master parameter.

To create a chain of wired parameters:

  1. Open the Parameter Wiring dialog.

  2. Choose the first controlling parameter in one Tree View.

  3. Choose the first slave parameter in the other Tree View.

  4. Click the arrow pointing towards the slave parameter.

  5. Enter the desired relationship expression in the expression text box.

  6. Click Connect.

  7. Keeping the original slave parameter selected, choose the next slave parameter from the Tree View.

  8. Click the arrow pointing towards the new slave parameter.

  9. Enter the desired relationship expression in the expression text box.

  10. Click Connect.

    You can repeat this cycle, continuing to alternate slaves to masters as many times as you like. The result is a “daisy chain” of parameter wires, so that as you modify the original master parameter, each slave parameter maintains a constant relationship with the next in a line of parameters.

Interface

Tree Views

There are two Tree Views, which display the animatable parameters of all of the visible objects in the scene. The names of the currently selected objects appear at the top. The Tree Views display the objects in the scene and allow you to select and wire all of the animatable parameters of the objects in the scene and the scene itself.

The Tree Views are color-coded to show existing wiring. A parameter with a wire controller assigned to it (either as the member of a two-way pair or as the slave in a one-way wire) displays in red. When a wire-controlled parameter is selected, all of the parameters wired directly to it are displayed in green text in the other Tree View. In either case, if the parameter is inside a track that is not expanded, the enclosing track will display in red or green, so you can expand the tracks to find the wires.

Note: If you open the Parameter Wiring dialog by wiring two parameters, the Tree Views will initially only display the selected objects, highlighting the parameters that were selected in the pop-up menus during the wiring procedure. If you want to expand the trees, to include all other animatable parameters in the scene, click Up To World.

There are two buttons above the Tree Views:

Show All Tracks: Brings you to the top of the scene object list.

Find Next Parameter: Finds the next wired parameter in the scene, expanding the tree if necessary to show and select it. You can browse through all existing wires by successively pressing this button.

Note: If you select a wired parameter, its connections are shown in green on the other Tree View. While the wired parameter is selected, the Show Next Wire button on the other tree will cycle through the green connections only, so you can quickly find the selected wire’s connections.

Control Direction: There are 3 direction control buttons between the Tree Views. You can only select one of these at a time. These buttons determine the direction of control, either one-way or two-way:

Bi-directional Arrow: When this is selected, both parameters are linked, and changes to either parameter affect the other.

Left Arrow: When this is selected, the right parameter controls the left parameter.

Right Arrow: When this is selected, the left parameter controls the right parameter.

Note: You can change the direction of a wire at any time by clicking the desired direction button and clicking Connect or Update.

Connect/Update: The Connect/Update button changes its label depending on whether clicking it would add a new wire to previously unwired parameters (Connect) or change an existing wire’s expressions or direction (Update). Changes to existing wires are only applied when you click Update.

Disconnect: The Disconnect button is enabled when you’ve selected parameters with an existing wire between them. It will remove the wire controller(s) and replace them with the Master parameter’s animation track (if two-way) or with default controllers (if one-way).

Master parameters

The Parameter Wire system provides a way for the pair of wired parameters to be animated as a single system. It does this by setting up a sub-controller on one of the parameters and any animation on this controller drives the Wire Controller pair. The animation sub-controller is always assigned to the master parameter of the wired pair. By default, this is the parameter that is clicked on first in the wiring interaction. The master parameter can also be designated with the Master radio buttons beneath the Tree Views.

The animation sub-controller appears as a nested track inside the master parameter’s track in Track View and its values directly drive and match the master parameter values. If the sub-controller is keyframeable (which is the default when a two-way wiring is first established) it can be keyframed by adjustments of either of the wired parameters. This means that if you keyframe the wired pair by adjusting the non-master parameter, the values keyframed into the animation sub-controller are derived from the master parameter transfer expresssion. Since the wired pair can be animated through either parameter, the choice of master parameter is essentially just a convention.

Transfer Expression boxes

Underneath the parameter trees are the transfer expression text boxes. These expressions determine how changes to each parameter affect the other and are usually inverses of one another.

The expressions use the same syntax as expressions in the expression controller.

When the parameters are first wired, the default expressions are simple 1-to-1 links between the parameters. These expressions can be edited into any valid script fragment that will yield a result of the correct type for its parameter. For example, if you link a parameter such as height (which contains a float value) to a parameter such as position (which contains a point3 value), your expressions must include conversions that produce the same output value type.

For one-way wires, the Expression box for the controlling parameter is unavailable, since there is no Wire controller assigned to it.

For two-way wiring, both transfer expression text boxes will be enabled. It is possible for the user to supply transfer expressions for the two parameters that are not inverses of one another, but this is of course discouraged, since the relationship of the parameters will be different depending on which one is changed first.


Hierarchies and Forward Kinematics

Bipedal figure with part of its hierarchy diagrammed in the background

One of the most useful tools in producing computer animation is the ability to link objects together to form a hierarchy. By linking one object to another, you create a parent-child relationship. Transformations applied to the parent are also transmitted to the child object. By linking more objects to both parent and child objects, you can create complex hierarchies. Chains can be created to include ancestors (parents’ parents) and descendents (children's children).

Kinematics describes the movement of the chains. They can be animated by transforming the parent object (forward kinematics or FK) or by manipulating the other end of the chain (inverse kinematics or IK). Forward kinematics is primarily based on rotational keys; inverse kinematics is based on translations and rotations of special manipulators (goals and end effectors) which drive the ends of the chains.

Linking objects together and building complex hierarchies have the following common uses:

  • Creating complex motions

  • Simulating jointed structures

  • Providing the structure for inverse kinematics (IK)

These topics explain how to plan and build linked hierarchies. They also show how the standard hierarchical linking commands are used to set up complex motion and to create jointed structures.

About Hierarchies

Manipulating Hierarchies with Forward Kinematics

Linking Strategy

Linking and Unlinking Objects

Selecting and Deselecting Hierarchies

Viewing Hierarchy Structure

Using Dummies

Adjusting Pivots

Adjusting Object Transforms

Locking Object Transforms

Changing Link Inheritance

Animating Hierarchies

Animating Links

Animating Attachment


About Hierarchies

Object linking and building hierarchical structures are common techniques in computer modeling and animation. You find the commands to build and manipulate hierarchies in the following places of the interface:

  • The Select and Link and Unlink buttons on the left side of the toolbar are used to make and break links between objects in your scene.

  • The Bones System on the Create panel is used to create a hierarchy of bones. Choosing Create Bones from the Animation menu can also create Bones. Any hierarchy of objects can be turned into Bones by selecting the hierarchy and clicking Bone On/Off in Object Properties, and then choosing Display Properties > Link Display > and either Link Replaces Object or Display Links.

  • The Hierarchy panel contains commands to control the hierarchy. The Pivot button provides controls for adjusting the pivot points. The IK button provides controls for Interactive and Applied IK. The Link button contains commands to control how the links behave.

Defining Terms to Describe Hierarchies

You can link objects together so that one object is superior and controls the transforms of one or more subordinate objects. The linkage is unidirectional in that superior objects control subordinates but subordinates have no effect on their superiors. This structure is called a hierarchy.

The relationship between objects linked together in a hierarchy is analogous to a family tree.

Parent: Object that controls one or more children. A parent object is often controlled by another superior parent object. In the figure, objects 1 and 2 are parent objects.

Child: Object controlled by its parent. A child object can also be a parent to other children. In the figure, objects 2 and 3 are children of object 1. Objects and 5 are children of object 2.

Ancestors: Parent and all of the parent’s parents of a child object. In the figure, objects 1 and 2 are ancestors of object 4.

Parent-child relationship in a hierarchy

1 – root
2 – leaves
3 - subtree

Example of a hierarchical structure

Descendants: Children and all of the children’s children of a parent object. In the figure, all of the objects are descendants of object 1.

Hierarchy: Collection of all parents and children linked together in a single structure.

Root: Single parent object that is superior to all other objects in the hierarchy. All other objects are descendants of the root object. In the figure, Object 1 is the root.

Subtree: All the descendants of a selected parent. In the figure, 6, 8, 9, and 7 represent the subtree under object 3.

Branch: Path through the hierarchy from a parent to a single descendant. In the figure, objects 3, 6, and 8 represent a branch from the root to a leaf object.

Leaf: Child object that has no children. The lowest object in a branch. In the figure, objects 4, 5, 7, 8, and 9 are leaf objects.

Link: Connection between a parent and its child. Links transmit position, rotation, and scale information from parent to child.

Pivot: Defines the local center and coordinate system for each object. You can think of links as connecting the pivot of a child object to the pivot of its parent.

Common Uses for Linking

  • Link a large collection of objects to a single parent so they can be easily animated and transformed by moving, rotating, or scaling the parent.

  • Link the target of a camera or light to another object so it tracks the object through the scene.

  • Link objects to dummy objects to create complex motions by combining multiple simple motions.

  • Link objects to simulate jointed structures to use with inverse kinematics.

Hierarchy of Unlinked Objects

All objects are part of a hierarchy. An imaginary World object acts as the root of everything in your scene. Therefore, if an object is not linked to some other object in the scene, it is considered a child of the World.

The World object and children of the World have special functions when you work with inverse kinematics and Track View.

See also

Introduction to Inverse Kinematics

Track View


Manipulating Hierarchies with Forward Kinematics

The default method of manipulating a hierarchy uses a technique called forward kinematics. The basic principles employed by this technique are:

  • Hierarchical linking from parent to child

  • Placement of pivot points to define the connecting joint between linked objects

  • Inheritance of position, rotation, and scale transforms from parent to child

This topic examines links, pivots, and inheritance as they apply to forward kinematics.

How Links and Pivots Work

Once two objects are linked together, the child object maintains its position, rotation, and scale transforms relative to its parent object. These transforms are measured from the pivot of the parent to the pivot of the child.

For example, consider the two spheres in the following figure. The larger sphere is the parent of the smaller. The pivots and link between the spheres are indicated to show how the link works. The link extends from the pivot of the parent and connects to the pivot of the child. You can think of the child’s pivot as being the joint between the parent and child.

Links act as a one-way conduit to transmit the transforms of a parent object to its child object. If you move, rotate, or scale the parent, the child is moved, rotated, or scaled by the same amount. Because hierarchical links are one-way, moving, rotating, or scaling the child has no effect on its parent.

The end result is that transforms applied to a child object are applied in addition to any transforms inherited from the child’s parent.

Manipulating the Hierarchy

A child object inherits the transforms of its parent, and the parent inherits the transforms of its ancestors all the way up the hierarchy to the root object. Because forward kinematics employs this method of inheritance, you must position and animate your hierarchies using a top-down method.

Manipulating the hierarchy of a superhero

Consider the linked mannequin in the figure. If you want to position the mannequin’s left foot to rest on top of the box beside it, you perform the following steps:

  1. Rotate the right thigh so the entire leg is above the box.

  2. Rotate the right shin so the foot is near the top of the box.

  3. Rotate the foot so it is parallel with the top.

  4. Repeat steps 1 through 4 until the foot is properly placed.

You always start transforming objects at the highest-level parent affected by the motion and work your way down the hierarchy to the last child.

You have considerable control over the exact placement of every object in the hierarchy using forward kinematics. However, the process can become tedious with large and complex hierarchies. In such situations, you might want to use Inverse Kinematics.


Linking Strategy

Before you begin linking any but the simplest hierarchy you should take a few minutes to plan your linking strategy. Your choices for the root of the hierarchy and how the branches grow out to the leaf objects will have important effects on the usability of your model.

The strategy behind linking objects into a hierarchy can be reduced to two main principles:

  • The hierarchy follows a logical progression from parent to child.

  • Parent objects move less than their descendants.

Within these two principles you have almost unlimited flexibility as to how you link your objects. If you think about how you intend to use the hierarchy, and link it with that use in mind, you will rarely have a problem.

Progression from Parent to Child

Progression from parent to child means the links do not erratically jump from object to object. If two objects touch each other they should probably be linked as parent and child. There is nothing to prevent you from linking a body in the order of: Thigh->Foot->Shin->Waist. You would probably regret such a linking strategy later. The effort to figure out how to transform objects linked in such a strange way would be quite difficult.

Using Multiple Hierarchies

Rather than build a single bone chain from a hip to a toe, the animator will make one chain from the hip to the ankle, and then a second independent chain from the heel to the toe. In this case there is no single hierarchy; instead there are two independent ones. This allows for independent control of the foot rotation, raising and pivoting on the heel or toe. The movement of the leg bones does not drive the foot contact with the ground.

Parents Move Less Than Descendants

Because of the way transforms are inherited from parent to child, small adjustments to a parent object might require you to adjust all of its descendants. The typical approach to linking is to choose as your root object the object that moves the least. Objects close to the root should move very little, and leaf objects should move the most.

This is especially true when you are linking jointed structures like robots or machinery, or intend to use the hierarchy with inverse kinematics.

An exception to this rule occurs when you are using the root object as a handle. All of the descendants of the root are just along for the ride. Consider a tray full of objects traveling on a conveyor belt. All the objects should be children of the tray even though the tray moves much more than any of the other objects.


Linking and Unlinking Objects

Use Select and Link and Unlink on thetoolbar to make and remove links between objects.

Linking Objects

The general process of creating links is to build the hierarchy from child to parent. You click Select and Link on the toolbar, select one or more objects as children, and then drag the link cursor from the selection to a single parent object. The selected objects become children of the parent object.

Once objects are linked, any transformations applied to the parent are also applied to its children. For example, if you scale the parent to 150%, the size of its children and the distance between the children and the parent are also scaled by 150%.

Unlinking Objects

Click Unlink to remove the link from selected objects to their parents. Any children of the selected object are unaffected.

You can quickly unlink an entire hierarchy by double-clicking the root object to select the object and all of its children. Then click Unlink.

Linking Animated Objects

You should establish links before you begin animating objects. This linkage of objects cannot be animated, and these links exist throughout an entire animation. See Animating Hierarchies. If you do want to animate a linkage use the Link constraint.

Displaying Links

A complex mesh hierarchy can be displayed with the links visible, or even with the links replacing the mesh objects. Select the objects and choose Animation menu > Bone Options > Show Links to displace the links and Show Links Only to hide the mesh.

Joint Limits on Hierarchies

The way the children behave toward one another is governed by the inheritance of the transforms down the chain. Setting joint limits on individual child objects can influence this inheritance. If three children in a row all have their rotational axes made inactive, they will not be able to rotate, and so a piece of the chain will appear stiff. Or if only one axis is made active as a sliding joint, the component can separate in space from the chain.

Any hierarchy of objects or bones system can have its joint limits defined. Select all the objects, and turn on their bone display. Select the bone and open the hierarchy panel > IK tab. Scroll down to the Sliding and Rotational Joints. There, you can activate axes and set their individual limits.

Note: When using a bone system, add the IK solvers first, then set the joint limits second.


Selecting and Deselecting Hierarchies

You can quickly select or deselect an object plus all of its descendants.

Double-Clicking

You can double-click an object to select and deselect that object and all of its descendants.

  • Double-click an object in a viewport.

  • Double-click an object icon in the Track View Hierarchy list.

Select Children or Ancestors from Quad Menu

You can customize the quad menu so it displays commands to select children, or ancestors, or both. On the Customize menu, choose Customize User Interface. On the Quads panel, drag Select Ancestor or Select Children from the list of all commands to the quad menu. Then you can easily select children or parent with a right-click.

Using the Select Objects Dialog

Enable Select Subtree to select hierarchies in the Select Objects dialog. When Select Subtree is enabled, click the name of an object to select the object and all its descendants.

Navigating a Hierarchy

Once you have selected one or more objects in a hierarchy, you can navigate up and down the hierarchical tree using the PAGE UP and PAGE DOWN keys.

  • PAGE UP deselects the object and selects the object’s parent.

  • PAGE DOWN deselects the object and selects all of its children.

These navigation commands are particularly useful when setting joint parameters for inverse kinematics.


Viewing Hierarchy Structure

Displaying the hierarchy in the Track View list window

You can use any of several methods to view the tree structure of your hierarchies. One method is the Display Subtree option in the Select Objects dialog. Another is the Hierarchy list in Track View. Both of these methods display your hierarchies as indented lists expressing the parent-child relationship from the root object to the leaf objects.

Using the Select Objects Dialog

The Select Objects dialog appears whenever you use a by-name selection method, such as choosing Edit menu > Select By > Name or by clicking Select by Name on the Main toolbar.

Turn on Display Subtree on the dialog to list objects hierarchically, by indenting children below their parent.

Using Track View

Track View displays all objects using indentation to express hierarchy. Child objects are displayed indented and below their parent. An added advantage of Track View is that you can control the view by collapsing and expanding branches of the hierarchy.

You expand and collapse branches of the hierarchy by clicking the square icon to the left of the object icon.

  • A square icon with a plus indicates a collapsed branch under that object. Clicking it expands the branch.

  • A square icon with a minus indicates the branch under that object is expanded. Clicking it collapses the branch.

  • An empty square icon means no branch under that object. Clicking it does nothing.


Using Dummies

The primary use of dummy helper objects is to assist in creating complex motions and building complex hierarchies. Because dummies are invisible when rendered, they are an excellent choice for offset joints, connectors between objects, and handles for complex hierarchies. Dummies and Points act as null objects that function as controls for transforming parts of an IK chain.

Using a Dummy to Control Motion

Breaking complex motions into simple components often makes it easier to go back and edit your animations.

Consider a bouncing ball that moves along a path. You could animate the ball by positioning it on many frames, but it would be very difficult for you to go back and adjust the height of the bounce or the path of the ball. You have to edit the motion of the ball on many frames to make even a simple change.

Using a dummy object solves this problem by breaking the motion into simple components. One component is the up and down bounce of the ball. The other is movement on the path.

Using a Dummy as a Handle

You might want to move and animate a selection of objects individually but also have the ability to transform them as a single object.

A good example of this is a camera on a tripod. You want to adjust both the camera and its target individually but also want to move them together as a single unit.

Procedures

To create a complex bounce motion using a dummy object:

  1. Start with a sphere, then create a dummy object below the sphere, and link the sphere as a child of the dummy.

  2. Animate the sphere bouncing up and down above the dummy.

  3. Animate the dummy moving.

    The sphere bounces on top of the dummy object as the dummy moves around the scene. You can easily change the height and speed of the bounce by changing the sphere animation. You can change the path through the scene by changing the dummy animation.

To create a camera tripod:

  • Create a dummy object below a target camera and link the camera and target as children of the dummy object.

    The camera and the target follow the dummy object. You can quickly position the camera by placing the dummy object and compose your view by adjusting the camera and its target.


Adjusting Pivots

You can think of an object's pivot point as representing its local center and local coordinate system. The pivot point of an object is used for a number of purposes:

  • As the center for rotation and scaling when the Pivot Point transform center is selected.

  • As the default location of a modifier center.

  • As the transform offset for linked children.

  • As the joint location for IK.

You can adjust pivot points by clicking Pivot on the Hierarchy panel, and then using features on the Adjust Pivot rollout.

The functions under the Adjust Pivot rollout cannot be animated. Adjusting an object's pivot on any frame changes it for the entire animation.

Affecting Pivot Only

When Affect Pivot Only is on, move and rotate transforms are only applied to the pivot of selected objects.

  • Moving or rotating the pivot does not affect the object or its children.

  • Scaling the pivot scales the object from the pivot center, but its children are unaffected.

Affecting Object Only

When Affect Object Only is on, transforms are applied only to selected objects. Pivots are not affected.

Moving, rotating, or scaling the object does not affect the pivot or its children.

Examples of Affect Pivot only

Affecting Object only

Affecting Hierarchy Only

When Affect Hierarchy Only is on, Rotate and Scale transforms are applied only to the links between objects and their children.

  • Scaling or rotating an object affects the link offsets of all its descendents without affecting the geometry of the object or its descendents. The descendents shift position because of the scaled or rotated links.

Use this technique to adjust the offset relationship between linked objects and for adjusting bones to match geometry.

Aligning Pivots

Buttons on the Alignment group box of the Adjust Pivot rollout change names based on the state of Affect Object Only and Affect Pivot Only. Alignment is disabled when Affect Hierarchy Only is active.

Center to Object/Pivot: Moves the object, or pivot, so the pivot is at the center of the object.

Align to Object/Pivot: Rotates the object, or pivot, to align the pivot with the object's original local coordinate system.

Align to World: Rotates the object, or pivot, to align with the world coordinate system.

Resetting the Pivot

Click Reset Pivot to return the pivot point of a selected object to the position and orientation it held when the object was first created.

Reset Pivot has no effect on the object or its children. The state of the Affect Pivot Only and Affect Object Only is ignored.


Adjusting Object Transforms

You use the features on the Adjust Transform rollout to transform objects after they have been linked without transforming descendents, and to reset an object's transform.

Transforming Parent Objects

You might discover, after linking a number of objects, that you need to move, rotate, or scale a parent object but you do not want to affect the object's descendents. You can transform a parent object without affecting its descendents by clicking Don't Affect Children on the Adjust Transform rollout of the Hierarchy panel.

Resetting an Object's Orientation

Click the Transform button in the Reset group box to rotate an object's pivot to match its parent's local coordinate system. Descendents of the object are not affected.

Resetting an Object's Scale

Click the Scale button in the Reset group box to set the current scale value as the selected object's base scale value. All following scale transforms are then applied using the base scale value as an absolute local scale of 100%.

Consider a sphere with a radius of 20 units and a linked child object:

  1. Uniform Scale the sphere to 200%. The sphere and its child become twice as big. Scale Transform Type-In reports an Absolute Local Scale of 200% and the object's creation parameters report a radius of 20 units. The true radius of the sphere is 200% of 20 units, or 40 units.

  2. Select the sphere and click Reset Scale. The sphere and its child remain the same size. Here's what has happened:

    The 200% scale has been absorbed by the sphere as its original state. The sphere has a true radius of 40 units, Creation Parameters report a radius of 20 units, and absolute local scale is 100%.

    The sphere's child object accepts a local scale of 200% so it does not change in size.

Resetting the scale of an object can lead to confusion because the object's true size, absolute local scale, and creation parameters no longer match up.

Using the Reset Transform Utility

You can also reset the orientation and scale of an object by clicking Reset Xform on the Utilities panel. Reset XForm takes the rotation and scale transforms of an object and places them in an XForm modifier on the modifier stack.

Consider the same sphere as before with a radius of 20 units and a linked child object:

  1. Uniform-scale the sphere to 200%. The sphere and its child become twice as big. The Scale Transform Type-In reports an Absolute Local scale of 200% and Creation Parameters report a radius of 20 units. The true radius of the sphere is 200% of 20 units, or 40 units.

  2. Select the sphere and click Reset XForm. The sphere remains the same size but its child reverts to its original size and position. Here's what has happened:

    The 200% scale has been placed in an XForm modifier on the sphere's modifier stack. The sphere has a true radius of 40 units, Creation Parameters report a radius of 20 units, and absolute local scale is 100%.

    The sphere's child object now sees only the 100% local scale so it reverts to its original size and position.


Locking Object Transforms

You can lock an object’s ability to move, rotate, or scale about any of its local axes by selecting objects and then setting options on the Locks rollout of the Hierarchy panel.

Enabling and disabling Local transform axes is also referred to as setting degrees of freedom (DoF) for an object. If an axis is enabled, an object is free to transform about that Local axis.

The Locks rollout contains three groups: one each for Move, Rotate, and Scale. Each group contains three options, one each for the X, Y, and Z Local axes of the selected objects.

  • When turned on, the objects cannot be transformed about the selected Local axes when you directly use one of the transform tools.

    Objects can still be transformed by other means such as being a child of a transformed parent object or being part of an inverse kinematics chain.

  • When turned off, objects can be freely transformed about the unlocked Local axes.


Changing Link Inheritance

Links can transmit transform information from a parent to a child. By default, a child inherits all of the transforms of its parent. To set an object's ability to inherit the move, rotate, and scale transforms of its parent, you use the Inherit rollout of the Hierarchy panel. Use its settings to limit which transforms a child inherits.

The Inherit rollout is available only when you have selected a single object. When multiple objects are selected, the rollout is disabled.

Setting Link Inheritance Options

Set the Inherit options to release the link components between a selected object and its parent for any world axis of Move, Rotate, or Scale.

The options that appear when you expand the Inheritance rollout are determined by the transform controllers assigned to the selected object.

The Inherit rollout for objects using standard position, rotation, and scale controllers contains three groups: one each for Move, Rotate, and Scale. Each group contains three options, one each for the X, Y, and Z world axes.

  • When turned on, transform information from the parent is passed on to the child for the selected World axes.

  • When turned off, transform information for the selected axes is ignored by the child.

Imagine you are animating a Ferris wheel that rotates on the world Y axis. The wheel is the parent and the cars are its children. You want the cars to ignore the Y axis rotation of the wheel. Otherwise, the passengers would all fall out. You use Link Info to turn off the Y axis option on the Rotation group of the Inherit rollout for each car.


Animating Hierarchies

You animate the objects of a hierarchy in much the same way you animate anything else. Turn on the Animate button and apply transformations and modifiers at different frames. However, you need to be aware of a few special issues for animating hierarchies.

Animating a Child Object

A child is not constrained by its link to a parent. You can move, rotate, and scale children independent of their parents.

Animating a Parent Object

Only transforms are passed from parent to child. Animating a parent object using move, rotate, or scale animates the parent and the subtree attached to the parent.

Animating a parent's modifiers or creation parameters has no effect on its descendants.

Inverse Kinematics Animation

Another method for animating hierarchical structures is through the use of inverse kinematics. Using this method you animate child objects and pass the effects up the hierarchy to the child's ancestors. See Introduction to Inverse Kinematics.

Linking Objects After Animation

When you link an object to another, the link relationship between the child and its parent is determined on the frame when the link is made.

Imagine linking a sphere to an animated box. The figure shows a stationary sphere near a moving box.

  • At frame 0 the box is beside the sphere.

  • At frame 50 the box is 20 units away.

Linking the sphere to the box causes the sphere to move with the box. The distance between the sphere and the box depends on the frame when the link is made. Linking the sphere on different frames has the following effects:

  • Link on frame 0, and the sphere stays next to the box as it moves.

  • Link on frame 50, and the sphere stays a distance 20 units away from the box as it moves.

Unlinking Objects After Animation

When you unlink a child, its frame 0 transforms are taken from the transforms of its parent at the frame when the link is removed.

Imagine a sphere linked to a box moving around the face of a clock. The box starts at 12 o'clock and travels all the way around the face over 100 frames. The figure shows a box moving in a circle with a sphere linked above it.

If you unlink the sphere, it stops following the box. The position of the sphere depends on the frame when the link is removed. Unlinking the sphere on different frames has the following effects:

  • Unlink on frame 0, and the sphere stops at 12 o'clock.

  • Unlink on frame 25, and the sphere stops at 3 o'clock.

  • Unlink on frame 75, and the sphere stops at 9 o'clock.

Animating Links

Links are permanent, regardless of the state of the Animate button. Using a Link constraint to simulate animated links is discussed in Animating Links.


Animating Links

You assign a Link constraint to an object to animate links from one parent to another. You use a link constraint instead of using the regular Link and Unlink buttons on the toolbar. (See Animation Constraints.)

An example of using a link constraint is to pass a ball from one hand to another. Assume that at frame 0 the ball is in the first hand. The hands are animated to meet at frame 50 and then spread apart until frame 100.

To animate the links for the ball:

  1. On the Motion command panel, assign a Link constraint as the ball's Transform controller.

  2. Set the Time Slider to frame 0, then on the Motion panel click Add Link, and click the hand holding the ball. The ball will now move along with the hand, as if it were linked to it.

  3. Set the Time Slider to frame 50, where you want the second hand to pick up the ball, click Add Link, then click the second hand. From this frame on, it's as if the ball were linked to the second hand.

When you play back the animation, the ball travels with the first hand until frame 50, where you added the second link, then it travels with the second hand.

Adding and Deleting Links

You add and delete links on the Motion panel. Expand the Link Parameters rollout and click Add Link or Delete Link.

  • Click Add Link then click the object that you want to link to as a parent. The frame at which you add the link is the frame at which control is passed. You can change the link frame with the Start Time parameter.

  • Click the name of a parent object in the list, and then click Delete Link to remove the link.

Properties of the Link constraint include:

  • The Link constraint respects the link inheritance settings applied to the child object.

  • The object using a Link constraint is not a true child object. It does not appear in the subtree of any linked parent objects.

  • Objects with Link constraint do not participate in IK solutions.

Link to World

You can also link an object to the world using the Link to World button. This will keep the object stationary without the use of a dummy object. Just click Link to World and the world is automatically entered as a Target.

Key Modes

You can choose between three different key modes, which determine how keyframes are written on the linked objects as part of the link constraint. These options provide the following:

No Key Mode: No keys are created any of the objects involved.

Key Nodes: Sets keys for some of the objects. Child applies keys to the child object only. Parents applies keys to both parents and the child object.

Key Entire Hierarchy: This applies keyframes to the chosen nodes and their entire hierarchies. Child keys the chosen object and the nodes in its hierarchy up to the world. Parents keys both parents and the child and all three hierarchies up to the world.

Side Effects of the Link Constraint

The Link constraint works to keep a child object from jumping position at the time when the link changes from one parent to another parent.

Considering the previous example, the following should hold true:

  • During frames 0 to 50 the ball remains constant relative to the first hand.

  • During frames 50 to 100 the ball remains constant relative to the second hand.

  • At frame 50, the time when link control changes, the ball does not jump.

If you change the animation of the second hand at frame 75, it affects the position of the hand relative to the ball at the time of the link (frame 50). This change in relative position affects the ball over all frames where it is linked to the second hand. Therefore, as you change the position of the hand at frame 75, the child's position will also change, possibly in a counter-intuitive way. However, when playing back the animation the above three rules will hold true.


Animating Attachment

You assign an Attachment constraint to cause an object to hold a position on the surface of another object. The Attachment constraint is not a hierarchical link, but it has the effect of "linking" an object to the surface of another object as follows:

  • Attach a "source" object to the face of a "target" object so that the source object acts as if it's glued to the target object, no matter how the surface of the target object is deformed.

  • Animate the Attachment parameters so that the source object moves over the surface of the target object.

Unlike hierarchical linking, which considers only object transforms, an object using an Attachment constraint follows the deformations of another object based on that object's modifiers.

See Animation Constraints

Setting Attachment Parameters

You use features on the Attachment Parameters rollout on the Motion panel, to pick a target object and position the source object.

  • Click Pick Object, then click the target object to perform the attachment.

  • Click Set Position and click or drag on the surface of the target object to place the source object onto the surface.

    If you want to move the source object along the normal of the face (move it below or above the face) click Affect Object Only on the Hierarchy panel and move the object, using Local transform coordinates.

  • Turn on Align to Surface if you want to align the world Z axis of the source object with the surface normal of the target object. Even with Align to Surface selected, you can always rotate the source object to orient it the way you want in relation to the target object.

    If you were to align trees on an uneven terrain, you would turn off Align to Surface so that all of the trees grew upright, regardless of the angle of the terrain surface.

Animating Attachment Position

You can move to any frame and click Set Position to animate the source object moving across the surface of the target object. It is not necessary to turn on the Animate button, because you are working with an animation constraint.

When you set positions for the source target on multiple frames, its attachment to the target object is only fixed at each keyframe. Frames between keys are interpolated and may not match the target surface.

Test your animation, and either adjust the values of the keys, or add intermediate keys to better match the target surface. Too many keys can result in jittery movement of the source object, while too few keys may result in the source object missing the surface of the target object over some frames.


Link and Unlink Commands

Main toolbar > Select and Link

Main toolbar > Unlink Selection

To build a hierarchy, you use the Select and Link button on the default main toolbar. (Hierarchies are also built when you create some systems, such as Bones)

You use the Unlink Selection button to "dismantle" a hierarchy.

See also

Introduction to Hierarchies and Forward Kinematics

Introduction to Inverse Kinematics (IK)

Animating with Interactive IK

Animating with Applied IK

IK Solvers

Link Constraint


Select and Link

Main toolbar > Select and Link

Use the Select and Link button to define the hierarchical relationship between two objects by linking them as child and parent.

You link from the currently selected object (child) to any other object (parent).

You can link an object to a closed group. When you do, the object becomes a child of the group parent rather than any member of the group. The entire group flashes to show that you've linked to the group.

A child inherits the transformations (move, rotate, scale) applied to the parent, but the child's transformations have no effect on the parent. If you want the child not to inherit the transforms, use the controls found in Link Info in the Hierarchy panel.

Procedure

To link two objects:

  1. Click Select and Link.

  2. Drag a line from an object (the child) to any other object (the parent).

    Note: You do not need to select the child object first.


Unlink Selection

Main toolbar > Unlink Selection

Use the Unlink Selection button to remove the hierarchical relationship between two objects.

Unlink Selection detaches a child object from its parent object.

Procedure

To unlink a child object from a parent object:

  1. Select the child object you want to unlink.

  2. Click Unlink Selection.


Inverse Kinematics (IK)

Using IK to animate a leg

Inverse kinematics (IK) is a method of animating that reverses the direction of the chain manipulation for the animator. Rather than work from the root of the tree, it works from the leaves.

Let's take the example of a human arm. To animate an arm using forward kinematics, you rotate the upper arm away from the shoulder, then rotate the forearm, the hand from the wrist and so, on adding rotation keys for each child object.

To animate the arm using inverse kinematics, you move a goal that positions the wrist. The upper and lower arms are rotated by the IK solution which moves the pivot point of the wrist, called an end effector, toward the goal.

In the case of a leg, for example, the foot is constrained to the floor by the goal. If you move the pelvis, the foot stays put since the goal has not moved, and this causes the knees to bend. The entire animation is contained in keyframes for the goal and the root, without keys applied to the individual chain objects.

With inverse kinematics you can quickly set up and animate complex motions. The basic procedure involves these tasks:

  • Building a model. It could be a jointed structure or many pieces or a single continuous surface.

  • Linking the jointed model together and defining pivot points, as described in Hierarchies and Forward Kinematics.

    For a continuous surface model, create a Bone structure to animate the skin of the character. For a jointed model, create a Bone structure through Bone Options. See Bones.

  • Applying IK solvers to either the jointed hierarchy or to the bones. You will probably create several IK chains throughout the hierarchy, rather than just one. You might also create several independent hierarchies, rather than linking everything together in one large hierarchy. The IK Limb Solver is the only IK solver available to use in gmax.

  • Defining joint behavior at the pivot points, setting limits or preferred angles, depending on which IK solvers you are using.

    You might also need to move the root of the hierarchy, as well.

  • Animating the goal (in the case of an IK Limb solver). This animates all the components of the IK chain.

    You can apply constraints to the goals or control objects or to the root of a chain.

Control Objects to Assist IK

You can link a goal or end effector to points, splines, or dummy objects that serve as quick controls to translate or rotate the end of the chain. These control objects can be linked together as well.

You can wire control objects to manipulator helpers or to custom attributes, creating an easily accessible interface for your animatable model.

You can add further controls to manipulate the elements in the middle of the chain.

Note: In the IK Limb Solver, the swivel angle has its own manipulator, which can be animated or linked to another target object.

Differences Between Forward and Inverse Kinematics

Forward kinematics uses a top-down method, where you begin by positioning and rotating parent objects and work down the hierarchy positioning and rotating each child object.

Basic principles of forward kinematics include:

  • Hierarchical linking from parent to child.

  • Pivot points defining joints between objects.

  • Children inheriting the transforms of their parents.

These principles are fairly forgiving. As long as everything is linked together and the pivots are located at joint locations, you can successfully animate the structure.

Inverse kinematics (IK) uses a goal-directed method, where you position a goal object and the program calculates the position and orientation of the end of the chain. The final position of the hierarchy, after all of the calculations have been solved, is called the IK solution. In gmax the IK Limb Solver is the only solver available..

Inverse kinematics starts with linking and pivot placement as its foundation and then adds the following principles:

  • Joints can be limited with specific positional and rotational properties.

  • Position and orientation of parent objects are determined by the position and orientation of child objects.

Because of these additions, IK requires greater thought about how you link your objects and place pivots. Where many different solutions for linking objects may be suitable for forward kinematics, there are usually just a few good solutions for any given IK approach.

Inverse kinematics is often easier to use than forward kinematics, and you can quickly create complex motions. If you need to edit those motions later, it can be simpler to revise the animation if you are using IK. It also is the best way to simulate weight in an animation.

See also

Inverse Kinematics Methods

IK Solvers

IK Terminology

Linking Objects for Inverse Kinematics

Bones (Systems)


Inverse Kinematics Methods

Inverse kinematics builds on the concepts of hierarchical linking. To understand how IK works you must first understand the principles of hierarchical linking and forward kinematics.

IK Solvers

IK solvers are specialized controllers that apply IK solutions procedurally across a range of frames. The IK solver that ships with gmax is the IK Limb Solver.

In general, all IK solvers:

  • Work on any hierarchy or bone structure

  • Calculate IK solutions for all frames in real-time as you make changes

  • Allow you to create multiple or overlapping IK chains within a single hierarchy

  • Graphically display active joint axes and joint limits

  • Use a goal or end effector to animate the end of a chain

    An IK Limb solver places keyframes only on the IK goal, as opposed to forward kinematics (or the non-solver IK methods), which place rotation keyframes on the bones themselves.

Other IK Methods

In addition to the IK Limb solver, gmax provides two other methods of inverse kinematic animation: Interactive IK and Applied IK. These IK methods do not apply an IK solver.

  • Interactive IK

    Interactive IK gives you the ability to use IK manipulation on hierarchies without applying an IK solver. You animate your IK structure by activating Interactive IK (found in the IK panel of the Hierarchy panel) and manually animating the position of end effectors. IK solutions are calculated only for the keyframes you set. All other motion is interpolated as set by the object's controllers. Moving the end of the chain simply adds rotational keys to the objects in the chain. The objects can have joint limits assigned, just like bones. The chain can also be terminated using the tools in the Auto Termination rollout.

  • Applied IK

    With Applied IK, you animate follow objects and the program calculates the solution on every frame of a specified range. The IK solution is applied as standard transform animation keys. Applied IK works with any linked hierarchy of objects except for bones that use the IK Limb solver. It can combine forward kinematics with inverse kinematics on the same objects. You can apply it automatically to a range of frames, or interactively to single frames.

    Applied IK is fast and accurate, but it creates keys for every object in the kinematic chain, on every frame. The large number of keys makes it difficult to adjust the animation later.


IK Solvers

Select an object in a hierarchy where you want IK to start. > Animation menu > IK Solvers > Apply an IK solver. > Click the object in the hierarchy where you want the IK chain to end (for the IK Limb Solver, click two bones from the first click).

An IK solver creates an inverse kinematic solution to rotate and position links in a chain. It applies an IK Controller to govern the transforms of the children in a linkage. You can apply an IK solver to any hierarchy of objects, or you can use IK solvers with a system of bones. You apply an IK solver to a hierarchy or part of a hierarchy using commands on the Animation menu. Select an object in the hierarchy, choose an IK solver, and then click another object in the hierarchy to define the end of the IK chain.

Bones system with IK solver applied

IK solvers are plug-ins, so programmers can expand the software's capabilities by customizing or writing their own IK solvers. In gmax, the only IK Solver available is the IK Limb Solver.

How Does an IK Solver Work?

An IK solver generally operates in this way: an inverse kinematic chain is defined on part of the hierarchy, say from the hip to the heel, or the shoulder to the wrist of a character. At the end of the IK chain is a gizmo, called the goal. The goal can be repositioned or animated over time in a variety of ways, often using linkage or constraints. No matter how the goal is moved, the IK solver attempts to move the pivot of the last joint in the chain (also called the end effector) to meet the goal. The IK solver rotates the parts of the chain to stretch out and reposition the end effector to coincide with the goal.

Using an IK solver to animate an arm

Frequently, the end effector is constrained to the ground plane. For example, you might "pin" the toes as the heels lift in a walk cycle. Then the movement of the heel poses the foot up to the toes.

One plug-in IK solver ships with gmax:

  • IK Limb solver

    The IK Limb solver operates on only two bones in a chain. It is an analytical solver that is fast in viewports, and can animate the arms and legs of a character.

    This solver creates a goal and an end effector (although the display of end effector is off by default). It uses a swivel angle to adjust the solver plane to position the elbow or the knee. You can display the swivel angle manipulator as a handle in the viewport, and adjust it. The IK Limb Solver also uses a preferred angle to define a direction for rotation, so the elbow or knees bend correctly.

    The IK Limb solver is meant for export to game engines. Its code is a component delivered as part of the Discreet Open Source initiative.

Note: gmax also provides two other methods of inverse kinematic manipulation of hierarchies, which don't depend on a solver: Interactive IK and Applied IK.

IK with Bones

While you can apply an IK solver to any hierarchy of objects, a system of Bones combined with an IK solver is a good way to animate a character.

A bones system is a jointed, hierarchical linkage of bone objects. Bones are used as an armature on to which objects are linked. If you use the skin modifier, you can "skin" an object to the bones, so the animation of the bones deforms the mesh that models a character.

Animating bones with skin causes the skin to stretch or shrink

Turning Other Objects into Bones

Any object can be turned into a bone object. Right-click any object and select Properties from the quad menu. In the Bone group, choose Bone On/Off. You can also use the Display panel, in the Link Display rollout to turn on Display Links and Link Replaces Object to display the bones instead of the object.

Any object hierarchy can be displayed as bones.

Bones can scale, squash and stretch over time. See Using Objects as Bones.

Advantages of Animating Bones with IK

It is possible to animate a character's motion through forward kinematics, rotating each limb into position from the shoulder to the fingers, and the hips to the toes. But it's a lot quicker and more realistic to use inverse kinematics to simulate the foot interacting with the ground. And it is a lot easier to control when you need to make changes to the animation. Rather than having keyframes on every bone in the chain, you have to make changes only to one node, to change the animation of the entire chain.

On the other hand, it is common for animators to use IK for the legs and FK for the torso and the arms. FK offers a bit more control for posing the upper body. It is not necessary to use IK for every character animation task. Using the IK Limb Solver allows you to jump back and forth easily between FK and IK.

How to Apply an IK Solver

You can apply an IK solver when you create a Bones system, or from the Animation menu:

  • Bones creation

    When you create bones, turning on the Assign to Children option lets you apply an IK solver immediately. Default is Off.

  • Animation menu

    More often, you will apply the IK solver to a part of the skeleton later using Animation menu > IK Solvers. You must select the node where you want the IK chain to start, then choose Animation menu > IK Solvers > IK Limb Solver. Then click the node where you want the chain to end. The chain will be created between the pivot points of the two nodes.

    Note: The IK Limb Solver is a two bone solver. You need three bones to put the solver on the chain. The goal is placed at the pivot point of the third bone, but doesn't affect the third bone.

    Warning: If you assign an IK Limb Solver to a chain of more than two bones, it will have no effect on the chain.

Where to Adjust the IK Solver

You adjust IK solver settings in the Motion and Hierarchy panels:

  • Motion panel

    When the goal of an IK chain is selected, the motion panel displays the rollouts for the individual IK solver.

    IK Limb Solver: Motion panel parameters adjust the swivel angle of the solver plane, to point the knees and elbows. Also, the controls in the IK Solver rollout let you mix periods of IK with FK (forward kinematics) through the Enabled button and the IK button.

  • Hierarchy panel

    IK Limb Solver: When a bone is selected, the IK panel displays controls to activate and limit the rotational joints, and set a preferred angle for the joints. The preferred-angle poses of all the joints help control the direction of rotation of the limbs. When a goal is selected, the IK panel is blank.

Procedures

To add an IK solver to a hierarchy or bones system:

  1. Create a Bones system or any other linked hierarchy of objects.

  2. Select a Bone or object where you'd like the IK chain to start.

  3. Choose Animation menu > IK Solvers, and choose the IK Limb Solver:

  4. Click two bones down the chain from the start joint.

    The IK solver appears in the viewport. To test if it works, try moving the goal. If the chain moves, you have correctly assigned the solver. If not, you have assigned the solver to more a chain of than two bones.

To create a bones hierarchy that uses an IK solver:

  1. Go to the Create panel, choose Systems, and click Bones.

  2. In the IK Chain Assignment rollout, select the IK Limb solver.

  3. Turn on Assign To Children.

  4. Click and drag in a viewport to create the bones. Right-click to stop bone creation. A third "nub" bone is automatically created when you right-click.

    The bones are drawn with the IK solver already applied.


Linking Objects for Inverse Kinematics

The same principles you use to analyze linking for forward kinematics also apply to linking for inverse kinematics. Inverse kinematics is less forgiving and is highly dependent on the linking strategy for performing IK calculations.

Two principles for hierarchical linking are described in Linking Strategy:

  • The hierarchy follows a logical path from parent to child.

  • Parent objects move less than their descendants.

You need to consider two additional principles when linking hierarchies for use with inverse kinematics:

  • Links and pivot placement simulate real-world joint locations.

  • Choose an object near the structure’s center of gravity as the root of the hierarchy. The center of gravity in the real world is the point on an object about which reactions to external forces are applied.

1 and 2 each represent the root of the characters.

Both structures are suitable for forward kinematics.

The structure on the right is best for most inverse kinematics.

The figure above shows two approaches to linking a skeletal structure. Either structure is suitable for working with forward kinematics. The structure on the right, however, is a better choice for working with inverse kinematics.

  • The root object is located near the body’s center of gravity.

  • The link order more closely simulates the connections of a real body.

The structure on the left has the arms and torso linked to the neck. The structure on the right links the arms and neck to the torso, a more realistic approach.

Choosing the Root of a Hierarchy

You can find the best candidate for the root of your hierarchy by asking the following question:

If I move this object, should all of the other objects in the hierarchy move with it?

  • If the answer is "not OFTEN," then you are probably looking at a child object. Examples of this type of object are hands, lamp shades, and tree leaves.

  • If the answer is "almost always," then you are looking at a likely candidate for the root object. Examples of this type of object are a torso, a lamp base, and a tree trunk.

Once you have a few candidates for the root object, you can examine them in greater detail. Use these criteria to determine a good root object for IK animation:

  • The root object is near the hierarchy’s center of gravity.

  • Moving the root object usually has a great effect on all other objects in the hierarchy.

  • The root object is often unaffected by movement of other objects in the hierarchy.

  • The root object is rarely the primary object animated.

The one object that best satisfies these criteria is your root object. You then create your hierarchy with all of the other objects as descendants of that root object.


IK Terminology

Using inverse kinematics requires that you set parameters for a number of IK components. Brief definitions of these components follow; details are provided in other topics.

Solvers: An IK solver applies an IK solution to a kinematic chain. The kinematic chain is composed of a bones system, or a set of linked objects.

Joints: An IK joint controls how an object transforms with respect to its parent. You specify joint behavior with settings in three categories:

  • Object Pivot Point: The location of an object’s pivot point defines where joint motion is applied.

  • Joint Parameters: Changing the IK settings in the Hierarchy command panel determines the direction, constraints, and order of how the joint operates.

  • Parent Pivot Point: The location of an object’s parent pivot point defines the origin from which the joint constraints are measured.

The commands you use to place the pivot points for both the object and its parent are described in Adjusting Pivots.

Start and End Joints: The start and end joints define the beginning and end of an IK chain managed by the IK solver. The hierarchy of the chain determines the direction of the chain. The pivot point of the end joint is displayed as the end effector, when end effector display is enabled. In gmax the IK Limb Solver will only work on two bones, so don't change the Start or End joints to create a chain of longer than two bones between the start and end.

Kinematic Chain: Inverse kinematics calculates the position and orientation of objects in a kinematic chain. The kinematic chain is defined as any part of a hierarchy under IK control. The IK chain starts with a selected node and consists of a start joint and an end joint. The base of the chain is either the root of the entire hierarchy, or an object that you specify as a terminator for the chain. The kinematic chain is defined when you apply an IK solver to a chain, or when you create a bone chain with an IK solver automatically applied.

Goal: The goal is used by the IK Limb Solver to manipulate the end of the chain. When the goal is animated, the IK solution attempts to match the end effector (pivot point of the last child in the chain) to the goal position.

End Effector: For any IK solution, you explicitly move a control object. IK calculations then move and rotate all other objects in the kinematic chain to react to the object you move. The object that you move is the goal, in an IK Limb solver.

Preferred Angle: Determines which direction a joint will bend. The preferred angle establishes a base angle between chain elements when an IK Limb solver is applied. The IK Solution seeks this angle in calculations.

Solver Plane and Swivel Angle Manipulator: A plane can be defined between the start and end joints, which aids in controlling the IK solution. Adjust or animate the solver plane by changing the swivel angle manipulator when in manipulate mode. This determines an up-vector handle for the chain, which can also be animated over time. You can also define a target for the swivel angle manipulator to follow. For more information, see Whitepaper: Swivel Angle of the IK Solver.

Terminators: You can explicitly set the base of an IK chain by defining one or more objects as terminators. A terminator object stops the IK calculations so that objects higher up the hierarchy are unaffected by the IK solution. In gmax, Terminator objects are used only on hierarchies with Interactive or Applied IK. Terminators are not used by the IK Limb Solver.

Bound Objects: Objects in your hierarchy can be bound to the world, or they can be bound to other objects called follow objects.

Binding allows objects in your hierarchy to be influenced by objects that are not part of the hierarchy.

  • An object bound to the world will attempt to maintain its current position and orientation.

  • An object bound to a follow object will attempt to match the position and orientation of the follow object.

  • You can bind to a follow object when Applied IK is used. If you want to bind to a follow object when using an IK Limb solver, apply a position constraint between the goal and any follow object of your choice (usually a point, dummy, spline, or bone).

Enabled IK (IK Limb Solver): When using the IK Limb solver, you have the ability to animate with either inverse kinematics or forward kinematics (FK). When Enabled is turned on, inverse kinematics controls the chain, and keyframes are placed only on the goal. When Enabled is turned off, forward kinematic rotational keys are placed on all the bones.

IK/FK Snap (IK Limb Solver): When using the IK Limb solver, if you animate using both IK and FK, you might create a situation where the goal has moved away from the end of the chain, causing a jump in the animation. Pressing IK/FK Snap will result in the goal being moved back to match the position of the end effector, eliminating the jump in the animation.

IK for FK pose (IK Limb Solver): When this button is turned on, moving the goal automatically sets rotation keys for the bones. In effect, this lets you use IK manipulation to create your pose, setting FK keys.


Animating with the IK Limb Solver

The IK Limb solver is specifically meant for animating the limbs of human characters; for example, the hip to the ankle, or the shoulder to the wrist. It affects only two bones in a chain. It is an analytical solver that is very fast and accurate in viewports.

Note: To use with the IK Limb solver, a bones system must have three bones in the chain. The goal is placed at the pivot point of the third bone, and the IK solution is calculated for the first and second bones.

The IK Limb solver works not only with bone hierarchies, but with any linked hierarchy that has three elements, and is set up to model a human limb. The additional requirements are:

  • The first joint is "spherical." That is, it has three degrees of freedom.

  • The second joint is "revolute." That is, it has one degree of freedom.

If you attempt to put an IK Limb solver on an inappropriate chain your IK Limb solver assignment will have no effect.

The IK Limb solver allows for mixing periods of forward and inverse kinematics in the same animation period.

The IK Limb solver is provided as part of the Discreet Open Source initiative, so it can be exported directly to a game engine.

Procedures

To apply a IK limb solver:

  1. Create a chain that has three bones.

  2. Select the root of the chain.

  3. From the Animation menu, choose IK Solvers > IK Limb Solver.

  4. In the viewport, move the mouse. You will see a dotted line attached to the cursor as you move the mouse.

  5. Click the third bone in the chain.

    The IK Limb solver displays on the Bone chain. The IK Limb solver only affects two bones in the chain, but you need to select the third bone to put it on the other two bones.

To animate an IK limb solver chain:

  1. Apply the IK Limb solver to a two bone chain, with joint limits as described above.

  2. Select the goal.

  3. Move or rotate the goal.

Interface

The Interface for the IK Limb solver is identical to that of the HI IK solver.

Select the goal at the end of the chain, and open the Motion panel. Here you will see the controls for the IK Limb solver.

See also

IK Solver Rollout (IK Limb Solver)

IK Solver Properties Rollout (IK Limb Solver)

IK Display Options Rollout (IK Limb Solver)


Animating with Interactive IK

Select the end of a hierarchy. > Hierarchy panel > IK > Interactive IK

With Interactive IK and Animate turned on, you position your model on keyframes, and the IK solution is interpolated between those keyframes. Because the IK solution accounts for multiple objects and the joints between objects, the interpolated animation of an IK object is usually different from the animation of objects without IK.

Example of Interactive IK

The following example demonstrates how an interactive IK animation works and how it might differ from what you expect. The figure shows an IK structure with its end effector resting on top of a box. The box moves in a straight line over 100 frames.

Turn the Animate button on and then in the Hierarchy panel > IK tab, turn on Interactive IK. Move the end effector of the bone structure to rest on top of the box at frame 100. The interpolated animation of the end effector follows a natural looking curved path.

You might have expected the IK bone structure to follow the same path as the box. However, the IK solution is only calculated at the keyframes. The positions and rotations of all the objects in the kinematic chain are interpolated between the keyframes to produce the curved result.

To make the end effector closely follow the path of the box, you would have to add more keyframes. You can also use binding and standard applied IK. For information about making the end effector precisely follow the motion of the box, see Animating with Applied IK.

IK structure

Results of animating the box and IK structure

Behavior of Objects in IK Mode

As you move and rotate objects using interactive IK you notice that some objects might not be able to move or rotate about all axes. This is because the objects are constrained by the joint parameters you have set. If the joint parameters specify that motion cannot occur in a certain axis, the end of the chain will not move.

Behavior of Root Objects in IK Mode

An option on the Inverse Kinematics panel of the Preference Settings dialog enables the special case of moving and rotating root objects when IK mode is on. The name of this control is Always Transform Children Of The World.

While you are transforming an end effector using IK mode, the settings for the root object’s joint parameters are used and the root object does not move with respect to the World. If you select the root object, its joint parameters are released and you can transform the root object.

If you decide you want root objects to always use their joint parameters, you can turn off the Always Transform Children Of The World option.

Single, unlinked objects are hierarchies of one. An unlinked object is its own root and is also a child of the World. Turning off Always Transform Children of the World will prevent you from transforming single objects in IK mode.


Animating with Applied IK

Select the end of a hierarchy > Hierarchy panel > IK > Set Object Parameters such as Bind to Follow Object > Apply IK.

Applied IK requires you bind one or more parts of your IK structure to animated follow objects. Once bound, you can select any object in your kinematic chain and click Apply IK. This calculates the IK solution for each frame of the animation and places transform keys for every object in the IK chain.

The Apply IK method of animation works best when you want objects in the kinematic chain to match the motions of other objects exactly.

Example of Applied IK

IK structure

Animating the box with applied IK

The illustration demonstrates how a applied IK animation works. Just as in the example in Animating with Interactive IK, the figure shows an IKstructure with its end effector resting on top of a box. The box moves in a straight line over 100 frames.

To bind the end effector to the box click Bind. Once the end effector is bound to the box, it will try to match the location of its pivot point with the pivot point of the box.

Select the end effector and click Apply IK. The software matches the end effector with the box and calculates the IK solution for every frame. Playback of the animation shows that the end effector perfectly follows the box.

Clearing Keys from Previous Animation

If you have animated any members of the IK chain interactively, or run Apply IK previously, the existing animation keys will affect the new IK solution. Sometimes that is exactly what you want. You can use manual animation to subtly nudge the IK solution towards a particular result. However, it is more likely that you want to remove old keys in order to begin the IK calculations with a clean slate.

The Clear Keys option in the Inverse Kinematics rollout controls whether or not old move and rotate animation keys are removed.

Constraining the IK Solution to Specific Frames

You use the Start and End fields in the Inverse Kinematics rollout to set the range of frames used to calculate the applied IK solution. Using these fields, you can restrict IK solutions to specific frames and solve for different solutions in different time segments.

You can set the Start and End fields to include frames outside of the active time segment.

You can also constrain an IK solution to frames where a key exists for an end effector. This is useful if you want to animate a hierarchy using end effectors but do not want keys generated on every frame.

Turn on Apply Only To Keys to constrain the IK solution to frames with end effector keys.

Watching Progress of the IK Solution

Normally, Apply IK calculates all frames before updating the viewports. To watch the progress of Apply IK frame by frame, turn on Update Viewports on the Inverse Kinematics rollout.

Updating the viewports slows down the Apply IK process but it can help you troubleshoot complex animations.


Setting Joint Parameters

You set whether a joint behaves as a hinge, a drawer slide, or another type of joint by setting joint parameters for each object in the kinematic chain. Joints control the rotation and position of an object with respect to its parent.

Any object has a maximum of two joint-type rollouts. One rollout contains settings to control the object's position. The other rollout controls the object's rotation. There can be many different types of positional and rotational joints. Which joint parameters are available is determined by the whether or not an IK solver is assigned to an object. IK Limb solvers, for instance, are controlled with a preferred angle setting found in the Rotational Joint parameters. Object hierarchies that have no solver assigned have different parameters for joint limitation, including controls for spring back, precedence and damping.

1. base

2. post

3. cap

4. ring

5. holder

6. handle

Common Joint Types

The two joint types are Rotational and Sliding joints. Each joint type displays its own set of joint parameters.

Rotational joints: Control rotation of objects using many of the standard rotation controllers. The parameters for rotational joints set an object's ability to rotate about a given axis.

For many IK structures, consider using an Euler XYZ controller. Quaternion-based controllers tend to freeze if an object is moved beyond rotational joint limits before turning on IK.

Sliding joints: Control the position of objects using many of the standard position controllers. The parameters for sliding joints control whether an object can move along a given axis. To use sliding joints in gmax, set up the joint limits on the hierarchy with no IK solver, then use Interactive IK to animate the sliding joint.

Surface joints: Control the position of objects using Surface constraint. The parameters control how the object travels along its assigned surface.

Path joints: Control the positional motion of objects using Path constraint. The parameters for path joints control how far an object can travel along its assigned path.

Tip: When you are using an object with a path constraint in an IK chain you might want the path to appear as if it is part of the IK chain. You achieve this effect by linking the object using the path constraint and the path to the same parent. The path object should have no children, and other objects in the IK chain should be linked to the object using the path constraint.

In the figure, the bead uses a path constraint to hold it to the ring. The IK chain from parent to child is Post->Cap->Bead->Handle. The ring is a child of the Cap but is not part of the IK chain.

Copying and Pasting Joint Parameters

You can copy and paste at the bottom of the Object Parameters rollout in the Hierarchy panel to copy and paste a complete set of joint parameters from one object to another.

There are separate copy and paste functions for sliding joints and rotational joints. Each joint type saves copied parameters in separate clipboards.

Tip: Choose one of the Mirror Paste options if you want to mirror the joint parameter settings as you paste them. This is very useful when pasting from one side of an object to another, such as left arm joints to a right arm.


Activating Joint Axes

You set whether an object can move or rotate about a given axis by using the Active check box in the joint rollouts. Joints have a maximum of six possible axes: three for rotation and three for position. You constrain the motion of a joint by setting which axes are active.

  • A joint with all axes active can move and rotate freely, independent of its parent.

  • A joint with all axes inactive is locked to its parent and cannot move independently.

  • The setting of IK joint axes overrides Inherit and Lock settings on the Link Info rollout.

Understanding Joint Axis Orientation

IK joint axes for an object are defined by the Local axes of the object’s parent. That means if you activate the X axis of an object’s rotational joint parameters, the object rotates about its parent’s X axis, not its own X axis.

You might have a problem when you set joint parameters for an object whose local coordinate system is oriented 90 degrees from its parent’s coordinate system. In such a case, the rotation angle about one axis becomes indeterminate. The result is that one axis will often cause rotation about one of the other two axes.

The following techniques will make setting joint parameters easier and more successful:

  • Assemble IK hierarchies with objects aligned along the World axes.

  • Consider using the Adjust Pivot functions to align your object pivots with either the World axes or the root object of the hierarchy.

  • Set the transform managers to Parent coordinate system and Use Pivot Point Center, while setting joint parameters. This helps you see the orientation of the joint axes by displaying the parent axis icon at the selected object’s pivot point.

  • When activating joint axes, drag the From spinner up and down. This causes the object to move or rotate about the active axis and is a quick check that you chose the right axis.

Activating Rotational Joints

1. Rotational link

When you turn on Active for one of the X, Y, Z axes of a rotational joint, the object can rotate about that axis of its parent’s coordinate system.

Joints that rotate about multiple axes are very common. A ball joint, like your shoulder, is a rotational joint active about all three axes. A pin joint, like your elbow, is a rotational joint active on a single axis.

Activating Sliding Joints

1. Sliding axis

When you turn on Active for one of the X, Y, Z axes of a sliding joint the object can move along that axis of its parent’s coordinate system.

Most sliding joints are active only along a single axis. A telescope is an example of a sliding joint active on a single axis. You rarely see a sliding joint active along all three axes.

If a sliding joint is active along all three axes, it moves independently from its parent. It’s almost as if there is no joint connection at all.

Path and Surface Joints

Circular path

When you turn on Active for Path or Surface joints you are setting whether the object can move along the assigned path or surface.

A house key on a ring is an example of an active path joint.


Limiting Joint Action

Most joints are limited in their range of motion along an active axis. For example: a hinge may open only to 120 degrees; a piston slides only within the length of its cylinder. To limit the range of motion allowed on an active axis, you turn on Limited and set values for the From and To fields on the joint rollouts.

You can also view joint limits in the viewport by pressing and holding the mouse button on the From or To label of a limit field. The object will move or rotate to the limit value until you release the mouse button.

Limiting Rotational Joints

Limits for a rotational joint define how far the object can rotate about its parent’s axes. The values in the From and To fields represent the rotation angle about the active axis measured from 0 degrees on the parent object.

For example, an elbow joint rotates the forearm with respect to the upper arm. In the figure the limits on X axis rotation are from 0 to 135 degrees. The Y, Z axes are inactive because an elbow joint rotates about a single axis.

Limiting Sliding Joints

Limits for a sliding joint define how far a joint can move along its parent’s axes. The values in the From and To fields represent a distance for movement along the active axis measured from the pivot point of the parent to the pivot point of the selected object.

For example, a sliding joint on a piston moves the piston in and out of the cylinder. In the figure, the limits on Z axis movement are from 10 to 90. This prevents the piston from hitting the bottom or moving past the end of the cylinder.

Limiting Path and Surface Joints

Limits for path and surface joints define how far along the path or surface an object can move. The values in the From and To fields represent a percentage of the total distance measured along the path or surface.

For example, a path joint for a house key moves the key along a key ring. Setting the limits on the path joint at 5% to 95% prevents the key from traveling along the ring where the fob is attached.

See also

Sliding and Rotational Joints Rollouts


Hierarchy Panel Commands

Once you have set up a hierarchy using the Link command or a system such as Bones, you can manage it using the Hierarchy panel. This command panel has three tabs:

Pivot

IK

Link Info

You use the Pivot tab to adjust the pivot points of objects in the hierarchy. You use the IK tab to manage the behavior of inverse kinematics (IK). You use the Link Info tab to apply constraints to movement within the hierarchy.

See also

Introduction to Hierarchies and Forward Kinematics

Introduction to Inverse Kinematics (IK)

IK Terminology

Animating with Interactive IK

Animating with Applied IK

Animating with the IK Limb Solver


Pivot

Make a selection. > Hierarchy panel > Pivot button

All objects have a pivot point. You can think of the pivot point as representing an object's local center and local coordinate system. The pivot point of an object is used for the following:

  • Functions as the center for rotation and scaling when you select the Pivot Point transform center.

  • Sets the default location of a modifier center.

  • Defines the transform relationship for the object's linked children.

  • Defines the joint location for inverse kinematics (IK).

You can adjust the position and orientation of an object's pivot point at any time using the buttons in the Adjust Pivot rollout in the Hierarchy panel. Adjusting an object's pivot has no effect on any children linked to that object.

Note: You cannot animate the functions under the Adjust Pivot rollout. Adjusting an object's pivot on any frame changes it for the entire animation. Use caution when adjusting the pivot of an animated object. Adjusting the pivot on one frame might produce unexpected results in another part of the animation.

The Pivot panel has two rollouts:

Adjust Pivot Rollout

Adjust Transform Rollout


Adjust Pivot Rollout

Make a selection. > Hierarchy panel > Pivot button > Adjust Pivot rollout

You can adjust the position and orientation of an object's pivot point at any time using the buttons in the Adjust Pivot rollout. Adjusting an object's pivot has no effect on any children linked to that object.

You cannot animate the functions under the Adjust Pivot rollout. Adjusting an object's pivot on any frame changes it for the entire animation.

Pivot point sets hand to the center of the clock face.

Procedure

To reposition an object's pivot point:

  1. Select an object and then turn on Adjust Pivot rollout > Affect Pivot Only.

  2. Move or rotate the pivot.

    You can also use Align, Normal Align, and Align to View on the toolbar to align the pivot.

    See Adjust Transform Rollout for related information.

Interface

Move/Rotate/Scale group

Each of the buttons in the Move/Rotate/Scale group box highlights when active. This determines which part of the object is affected by the three buttons in the Alignment area, as well as the Transform and Align commands on the Main toolbar.

Affect Pivot Only: Affects only the pivot point of the selected objects.

Note: A Scale transform has no effect on the pivot.

Affect Object Only: Affects only the selected objects (and not the pivot point).

Affect Hierarchy Only: Affects only the Rotation and Scale tools. It applies the rotation or scale to the hierarchy by rotating or scaling the position of the pivot point without rotating or scaling the pivot point itself.

Note: You can use this on hierarchies of gmax objects, but don't use it on Bones systems. To reposition, rotate or change the size of bones in a chain, see Bones.

Note: It's important to remember that the Align, Normal Align, and Align to View functions in the toolbar are all affected by the state of Affect Pivot Only, Affect Object Only, and Affect Hierarchy Only. Snap mode allows you to snap the pivot to its own object, or to any other object in the scene.

Alignment group

The effect of these buttons depends on whether you chose Affect Pivot Only or Affect Object Only. They don't apply to Affect Hierarchy Only.

If you chose Affect Pivot Only, the buttons work as follows:

Center to Object: Moves the pivot to the center of its object.

Align to Object: Rotates the pivot to align with the object's transformation matrix axes.

Align to World: Rotates the pivot to align with the world coordinate axes.

If you chose Affect Object Only, the buttons work as follows:

Center to Pivot: Moves the center of the object to its pivot location.

Align to Pivot: Rotates the object to align its transformation matrix axes with the pivot.

Align to World: Rotates the object to align its transformation matrix axes with the world coordinate axes.

Pivot group

Reset Pivot: Resets the pivot point to the position and orientation it held when the object was first created. This is not affected by the state of the Affect Pivot Only and Affect Object Only buttons.


Adjust Transform Rollout

Make a selection. > Hierarchy panel > Pivot button > Adjust Transform rollout

You can transform an object and its pivot without affecting its children using the buttons in Adjust Transform rollout. Adjusting an object's transforms has no effect on any children linked to that object.

See also

Adjust Pivot Rollout

Procedure

To reinitialize the scale of an object:

  1. Select an object.

  2. In the Adjust Transform rollout > Reset group, click Scale.

    The XYZ values are re-initialized to 100%. This operation will prevent Non Uniform Scale inheritance if a child object is linked to this object.

Interface

Move/Rotate/Scale group

Don't Affect Children: Limits transforms to the selected object and its axis, not to its children.

Reset group

Transform: Resets the orientation of an objects local axis coordinates to align with the world coordinate system, regardless of the current orientation of the object.

This does not affect descendants.

When applied to closed groups, it aligns the dummy node of the parent, but keeps the children in the same place. It reorients and resizes the dummy node to correctly bind the children of the group.

Scale: Resets the scale values in the transformation matrix to reflect the new scale of the object. There is no visual change in the object.

You can use the Scale to correct Non Uniform Scale inheritance problems. If Non Uniform Scale is inherited by a child object in a hierarchy, it can result in an undesirable deformation in the child object. To correct for this, use Scale in the Adjust Transform rollout on an object before linking.

You can view the scale values of the transformation matrix of a selected object. On the toolbar, turn on Scale, then right-click any of the three toolbar Transform buttons (Move, Rotate, or Scale).

There is also a Reset XForm Utility to do the same tasks. For more information see Reset XForm Utility.


IK

Make a selection. > Hierarchy panel > IK button

Turning on the IK button in the Hierarchy panel displays rollouts that pertain to Interactive IK and Applied IK.

The rollouts for interactive IK are:

Inverse Kinematics Rollout

Auto Termination Rollout

The rollouts for applied IK are:

Inverse Kinematics Rollout

Object Parameters Rollout

Auto Termination Rollout

Sliding and Rotational Joints Rollouts

Note: The Rollouts for the IK Limb solvers are not available while IK is chosen in the Hierarchy panel. The controls for IK Limb solver are found on the Motion panel.


Inverse Kinematics Rollout

Select a hierarchy. > Hierarchy panel > IK > Inverse Kinematics rollout

The Inverse Kinematics rollout displays controls to perform interactive and applied inverse kinematic manipulations to the selected hierarchy without the application of an IK Solver. It allows for you to animate any hierarchy from the child end of a chain, or to have that child follow another object's position and orientation.

This type of inverse kinematics is fundamentally different from using the IK Limb Solver, which is a more sophisticated system limited to two- bone chains. The IK Limb Solver is applied to hierarchies via the Animation menu. An IK Limb Solver also can be applied to bones systems at the time of bone creation.

Use Interactive IK to animate a chain from the child back toward the parent. Moving the child rotates and transforms all the links up the chain.

Use Apply IK to calculate the IK solution and generate Transform keys (move, rotate) for all objects in an IK chain (the IK chain must include a follow object). By default, keys are created at every frame.

  • Applied IK requires that one or more parts of your IK structure be bound to animated follow objects. Once bound, you can select any object in your kinematic chain and click the Apply IK button.

  • The Apply IK method of animation works best when you want objects in the kinematic chain to match the motions of other objects exactly. An example of this would be a mechanical connection that should always appear to be attached to the follow object.

Procedure

To use interactive IK:

  1. Build a hierarchy of objects. If you want to use Bones, be sure Assign to Children is not checked when you create the Bones.

  2. Select the end of the chain.

  3. Go to the Hierarchy panel > IK tab.

  4. Scroll up to the Inverse Kinematics Rollout

  5. Click Interactive IK.

  6. Advance the time slider and move the end of the chain.

    Note: You can control how far up the chain is effected by using termination. Set individual objects as terminators or use Auto Termination.

  7. Turn off Interactive IK when you want to do forward kinematics.

To use applied IK:

  1. Bind objects in your IK structure to follow objects.

  2. Animate the follow objects.

  3. Select any object in the IK structure.

  4. Click IK in the Hierarchy panel and expand the Inverse Kinematics rollout.

  5. Click Apply IK.

    Tip: Be sure your Start Frame and End frames match the length of your animation.

Interface

Apply IK: Calculates the IK solution for each frame of the animation and creates transform keys for every object in the IK chain. A bar graph appears on the prompt line to indicate progress of the calculations.

Apply Only To Keys: Solves the IK solution for keyframes that already exist for one of the end effectors.

Update Viewports: Views the progress of Apply IK frame by frame in the viewports.

Clear Keys: Removes all move and rotate keys from the selected IK chain before applying IK.

Start/End: Sets the range of frames to calculate the applied IK solution. The default settings for Apply IK calculates the IK solution for every frame of the active time segment.


Auto Termination Rollout (Interactive IK)

Make a selection. > Hierarchy panel > IK button > Auto Termination rollout

The Auto Termination controls temporarily assign terminators a specific number of links up the hierarchical chain from the selected object. This only works with Interactive IK; it does not work with applied IK or with the IK solvers.

Procedure

To use auto termination:

  1. In the Auto Termination rollout, turn on Auto Termination.

  2. Enter a value in the # of Links Up field.

  3. Turn on the Interactive IK button.

  4. Select any object in hierarchy to move or rotate.

Interface

Interactive IK Auto Termination: Turns on the auto termination feature.

# of Links Up: Specifies how far up the chain the termination is applied.

For example, if you set this to 5, when you move any object in the hierarchy, the object that's five links up the chain from the object you're adjusting acts as a terminator. If you select a different object in the hierarchy, termination is switched to whichever object is five links up the chain from the newly selected object.

A setting of 1 simply locks the hierarchy, since it terminates the joint just beyond the currently selected object.


Link Info

Make a selection. > Hierarchy panel > Link Info button

This part of the Hierarchy panel contains two rollouts. The Locks rollout has controls to restrict the movement of objects in the hierarchy. The Inherit rollout has controls to limit the transforms that a child inherits from its parent object.

Interface

The Link Info panel has two rollouts:

Locks rollout: Locks an object's ability to Move, Rotate, or Scale about any of its local axes.

Inherit rollout: Limits what transforms a child inherits.


Locks Rollout

Make a selection. > Hierarchy panel > Link Info button > Locks rollout

The Locks rollout contains controls that prevent transforms along particular axes.

See also

Inherit Rollout

Procedure

To lock all move transforms:

  1. Select an object in the viewports.

  2. In the Locks rollout, turn on Move group > X, Y, and Z.

    Only rotate and scale transforms will work.

    The object does not need to be part of a hierarchy.

Interface

X, Y, Z: Turn on any axis in the Move, Rotate, or Scale group box to lock the axis. For example, if Rotate > X and Y are turned on, you'll be able to rotate the object only around the Z axis. All locks are relative to an object's local coordinate system.


Inherit Rollout

Make a selection. > Hierarchy panel > Link Info button > Inherit rollout

The Inherit rollout constrains the links between a selected object and its parent for any axis of position, rotation, or scale.

See also

Locks Rollout

Procedure

To prevent inheritance of X rotation in a hierarchy:

  • Select an object, then turn off X in the Rotate group on the Inherit rollout.

Interface

X, Y, Z: Turn off any axis in the Move, Rotate, or Scale group boxes to prevent inheritance.

When you turn on an axis, transform information passes from the parent to the child for that axis. When you turn off an axis, transform information on that axis is ignored by the child.


Track View

Main toolbar > Open Track View

Graph Editors menu > Track View > Open Track View

With Track View, you can view and edit all the keys that you create. You can also assign animation controllers to interpolate or control all the keys and parameters for the objects in your scene. Some of the functions in Track View, such as moving and deleting keys, are also available on the track bar near the time slider. Thirteen Track View layouts can be named and stored in the Track View buffer and used. Track Views are stored with the .max file.

Typical Uses for Track View

Track View can perform a variety of scene management and animation control tasks. Use Track View to:

  • Display a list of objects in your scene and their parameters.

  • Change key values.

  • Change key timing.

  • Change interpolation between keys.

  • Edit ranges of multiple keys.

  • Edit blocks of time.

  • Add sound to your scene.

  • Create and manage notes about the scene.

  • Change the behavior of the animation outside the range of keys.

  • Change controllers for animated parameters.

  • Select objects, vertices, and hierarchies.

  • Navigate the Modifier Stack in the Modify panel by clicking the modifier items in the Track View Hierarchy.

    Note: Tracks are created for animated vertices in Track View. A Bezier Point3 controller is the default vertex interpolation controller.

See also

Track View Edit window

Time Ruler

Track View Toolbar

Filters

Assign Controller

Copy Controller

Paste Controller

Make Controller (or Object) Unique

Parameter Curve Out-of-Range Types

Add Note Track

Delete Note Track

Edit Keys

Track View Utilities

Edit Time

Edit Ranges

Function Curves

Status Bar/View Controls

Track View Hierarchy

Animation Controllers

Explicit Axis Keys

Procedures

To put Track View into Edit Keys mode:

  • On the Track View toolbar, click Edit Keys.

    The Track View toolbar buttons to the right of the Lock Selection button change.

    Edit Keys is useful for getting a global view of your animation because you can display animation timing for all tracks. Use this mode for key and range editing when you want to view your changes in context of the total animation.

To choose Track View Edit modes:

  • Click an Edit mode button on the Track View toolbar.


Track View Edit Window

Main toolbar > Open Track View

Graph Editors menu > Track View > Open Track View

The Track View Edit window displays tracks and function curves. You select and change animation values and timing in this window. The Edit window also indicates the active time segment. Time within the active time segment is highlighted with a light gray background.

Interface

Tracks

Every item in the Track View Hierarchy has a track that displays what happens to the item over time.

There are two types of tracks.

  • Range tracks indicate when items below the track are animated. A range bar in the track displays the range of time over which the animation occurs.

  • Animation tracks contain the actual animated values for an item. These values are usually represented as keys

Keys

Whenever you change a parameter with the Animate button on, you create a key at the current time in that parameter's track. Keys are normally displayed in their track as dots, but they can also be displayed as ranges and vertices on a function curve.

Range Bars

When animation keys have been created, range bars display to indicate the range of time the animation occurs. Ranges always appear in range tracks, but in some display modes and certain controllers, animation tracks also display ranges.

Function Curves

Function Curves display the values of keys, and the interpolated values between keys as a curve. These curves express how a parameter varies over time. Only animation tracks can display function curves.

Time Ruler

The time ruler measures time. Markings on the ruler reflect the settings in the Time Configuration dialog.

Current time line

The current time set by the time slider is shown as a dark vertical line running through the edit window. Dragging the time slider moves the current time line.


Time Ruler

Main toolbar > Open Track View > Edit window > Time Ruler

Graph Editors menu > Track View > Open Track View > Edit window > Time Ruler

The Time Ruler at the bottom of the Track View Edit window measures time. Markings on the time ruler reflect the settings in the Time Configuration dialog. You can drag the time ruler vertically in the Edit window to align it with any track.


Track View Hierarchy

Main toolbar > Open Track View > Track View Hierarchy

Graph Editors menu > Track View > Open Track View > Track View Hierarchy

The Track View Hierarchy displays all objects in your scene in a hierarchical fashion. You select objects in the Hierarchy list to:

  • Select object and track labels for Track View operations.

  • Select object icons to select objects in the scene.

  • Select material or map icons when working in the Material Editor.

  • Select modifiers in Track View to navigate the modifier stack in the Modify panel.

See also

Hierarchy Right-Click Menu

Properties

Modify Subtree

Sound Options Dialog

Procedures

To select objects in the scene using the Track View Hierarchy:

  1. Do one of the following to select the first object:

    • Click an object's yellow box icon to select a single object.

    • Double-click a parent object's yellow box icon to select an object and its descendants.

  2. Do one of the following to select additional objects:

    • Press SHIFT and click an object icon to select all objects between the object and the previously selected object.

    • Press CTRL and click an object icon to add (or remove) the object to the selection.

      When objects are selected in the scene, their icons are also highlighted in Track View.

      All objects in your scene are always displayed in Track View. However, selecting object icons in Track View follows the same rules as selecting objects in the scene:

    • You can't select the icon of a hidden object.

    • You can't select the icon of a frozen object.

    • If you select the icon of an object that is part of a closed group, the group icon and all the objects in the group are selected.

To select and deselect item labels by clicking:

  1. Select the first item by clicking its label.

  2. Do one of the following to add or subtract from the selection:

    • Press SHIFT and click an item label to select all items between the item and the previously selected item.

    • Press CTRL and click an item label to add (or remove) that item to the selection.

    • Press ALT and click an item label to select all item labels in the column.

      Right-clicking an item displays a right-click menu for globally selecting items in the Hierarchy list.

To select items in the Hierarchy with the right-click menu:

Right-click an item in the Hierarchy, then do the following.

    • Choose Select All to select all items visible in the Hierarchy list. Collapsed items are not selected. Press CTRL and choose Select All to select only visible transform items.

    • Choose Select Invert to reverse the selection pattern.

    • Choose Select None to clear all items from the selection.

    • Choose Selected Children to select the linked descendants of a parent object.

      When working with function curves, you can also select a controller icon (instead of the label) to select that function curve for vertex editing.

To select children:

  1. Right-click over an object track in the Hierarchy list window.

    (The Select Children item only appears when you right-click over an object track.)

  2. Choose Select Children from the right-click menu.

    All object tracks that are children of the selected track are selected.

To navigate the modifier stack in the Modify panel:

  1. Create a cylinder.

  2. In the Modify Panel, add a Bend and a Twist modifier to the cylinder.

  3. In the Track View Hierarchy, expand the Cylinder branch.

  4. Expand the Modified Object branch.

  5. Select the orange diamond of the Twist modifier.

    The Twist modifier is displayed on the Modify Panel.

  6. Select the orange diamond of the Bend modifier in the Hierarchy window.

    The Bend modifier is displayed on the Modify Panel.

Interface

Scene Hierarchy

World: World is the root of the scene hierarchy. This track collects all keys in your scene as a single range for quick global operations.

By default, the World track shows the range of the Sound, Environment, Medit Materials, and Scene Materials branches. Modify Subtree in Edit Ranges mode causes the World track to include the range of all tracks in the Objects branch as well.

Note: The default location of the time ruler covers the World animation track. Move the time ruler to see the World track.

Sound: Allows you to synchronize your animation to a sound file or to a metronome. If you use a sound file, a Wave Form track is displayed in the Hierarchy list, and a waveform is displayed in the Edit window. A sound file plays on your installed sound card. You set the Metronome and the Wave Form parameters in the Sound Options dialog.

Global Tracks: Allows you to store controllers for global use. Using expression controllers, for example, you could point to a controller in the Global Tracks from several other tracks. By altering the expression in the Global Tracks, all of the other tracks are changed.

By pasting an instance of a controller in Global Tracks to a number of other tracks, you can change many tracks by altering the controller in Global Tracks.

By default, Global Tracks contains List tracks of the different controller types. To assign a controller, open one of the List tracks, highlight the available track, and then click Assign Controller. Once the controller is assigned, you can point to it from an expression controller assigned to any other track, or you can copy and paste it to any number of matching controller types.

Environment: Contains items that control the background and scene environment effects. Examples include Ambient Light, Background definition, Fogs, and Volumetric Lighting.

Global Shadow Parameters: Use these tracks to change or animate shadow parameters for any light that has the Use Global Settings parameter turned on in the Shadow Parameters rollout. (Select a light, then open the Modify Panel > Shadow Parameters rollout to toggle the Use Global Settings parameter).

You can change shadow parameters for multiple lights simultaneously. Tracks include Map Size, Map Range, Map Bias, and Absolute Bias.

Scene Materials: Contains the definitions for all materials in the scene. It is empty until you begin assigning materials to objects. When you select materials in this branch, you are working with instances of materials assigned to objects in your scene. These materials might not be in any of the Material Editor samples.

Medit Materials: Contains global material definitions. The Medit Materials branch contains the six material definitions in the Material Editor. When you select materials from this branch, you are working with global material definitions that might not yet be assigned to objects in your scene.

Objects: Contains a hierarchy for all the objects in your scene.

Item Categories

Each type of item in the Hierarchy list is represented by an icon. You can use these icons to quickly identify what each item represents.

Objects: Yellow cubes indicate objects in the scene. Branches below the square icon next to a yellow cube contain linked descendants of the object. Branches below the circle icon next to a yellow cube contain transforms, modifiers, and materials applied to the object, as well as the object's creation parameters.

Controllers: Green triangles indicate controllers. They contain the animation values for parameters and are the only item in the Hierarchy list that can have a track containing keys.

Certain types of controllers can contain other controllers. Examples of these are Transform Controllers and List Controllers.

Maps: Green parallelograms indicate map definitions. All branches below a map definition are part of that map. This includes values used by parametric maps and other map definitions that are part of a map tree.

Material: Blue spheres indicate material definitions. All branches below a material definition are part of that material. Because a material can be composed of multiple materials, you can have nested material definitions in Track View. Blue spheres also appear in an object's modifier branch when a material is assigned to an object.

Container: Blue cylinders indicate a container of other items. Branches below a blue cylinder can contain any number of other items. Blue cylinders organize complex items in the hierarchy.

Modifier: Orange diamonds indicate modifiers and Space Warp bindings. Branches below a modifier contain the modifiers sub-objects and parameters.

Hierarchy Right-Click menu

Right-click any item in the Hierarchy list to display the right-click menu.


Hierarchy Right-Click Menu

Main toolbar > Open Track View > Select an item in the Track View Hierarchy and right-click. > Hierarchy right-click menu

Graph Editors menu > Track View > Open Track View > Select an item in the Track View Hierarchy and right-click. > Hierarchy right-click menu

The Hierarchy right-click menu contains quick-access commands for expanding and collapsing the hierarchy.

Interface

Expand Objects: Expands branches for all descendants of the object.

Expand Tracks: Expands all levels of all non-object branches below the item.

Expand All: Expands all non-object branches and descendants of the object.

Collapse Objects: Collapses all branches for descendants of the object.

Collapse Tracks: Collapses all non-object branches below the item.

Collapse All: Collapses all branches in the hierarchy.

Select All: Selects all tracks.

Select Invert: Inverts the current selection pattern of tracks, deselecting selected tracks, and selecting deselected tracks. Has no effect on collapsed tracks.

Select Children: Selects all object tracks that are children of the selected track.

Select None: Deselects all selected tracks.

Properties: See Properties.


Properties Dialog (Track View)

Properties

Main toolbar > Open Track View > Select an item in the Track View Hierarchy and right-click. > Hierarchy right-click menu > Properties

Graph Editors menu > Track View > Open Track View > Select an item in the Track View Hierarchy and right-click. > Hierarchy right-click menu > Properties

Properties displays the Properties dialog for the selected item in the Track View. For example, this option displays the Key Info dialog for selected keys, or the Sound Options dialog if you select an item in the Sound Track.

Procedures

To display properties for animation controllers:

  • On the Track View toolbar click Properties.

To display the properties dialog for a Bezier key:

The Bezier Controller is the default position controller when an object is animated.

  1. In the Track View Edit window, select an object's position key.

  2. On the Track View toolbar, select Properties.

    The Bezier Controller dialog is displayed.

    Note: You can also display the Properties dialog by right-clicking the key in the Track View Edit window.

To display the properties dialog of a waveform controller:

  1. In the Track View Hierarchy list, select the item using the waveform controller.

  2. On the Track View toolbar, click Properties.

    The Wave Form controller dialog is displayed.

    Note: You can also display the Properties dialog for the wave form controller track by right-clicking the item in the Track View Hierarchy and selecting Properties. You can also right-click the range bar in the Track View Edit window (waveform controllers don't have keys).

To display the Sound Options dialog for adding a sound track:

  1. In the Track View Hierarchy, select the Sound item.

  2. On the Track View toolbar, select Properties.

    The Sound Options dialog is displayed.


Modify Subtree

Main toolbar > Open Track View > Modify Subtree

Graph Editors menu > Track View > Open Track View > Modify Subtree

Modify Subtree has three modes: Edit Keys, Edit Time, and Edit Ranges. Modify Subtree allows edits in a parent object to affect the children of that object.

Procedure

To drag the ranges and linked descendants of an object:

  1. Click Edit Ranges.

  2. Click Modify Subtree.

  3. Drag an Object range bar or the World range bar.

    With Modify Subtree on, a range bar is displayed in the Objects branch. The Objects branch is the default parent of all named objects in the scene.

    Dragging a parent Object range bar, with Modify Subtree on, affects all tracks subordinate to the object and all tracks of its linked descendants.

    Dragging the World range bar, with Modify Subtree on, affects all tracks in the scene, including Sounds, Materials, and all tracks of all objects.

Interface

Modify Subtree (Edit Keys): Edits (cuts, pastes, or moves) keys in the parent track. Anything you do to the keys in the parental track affects the child keys as well.

Note: Adding keys only affects the current track.

Modify Subtree (Edit Time): Edits time keys in the parent track. Cutting and pasting a parent track, cuts and pastes the child keys as well.

Modify Subtree (Edit Range): Affects the tracks of an object and all of its descendent objects. When you edit the range of a parent object, the child objects are also affected.

  • When you switch from one display mode to another (such as from Edit Keys to Edit Time), the Modify Subtree button is automatically turned off.

  • When Modify Subtree is active, Slide Keys is inactive.


Sound Options Dialog

Main toolbar > Open Track View > Right-click a Sound track in the Track View Hierarchy. > Properties > Sound Options Dialog

Graph Editors menu > Track View > Open Track View > Right-click a Sound track in the Track View Hierarchy. > Properties > Sound Options Dialog

The Sound track in the Track View Hierarchy contains two sound options. Use the Metronome to generate a series of beeps, or load a sound file to play back.

Sound is one way to provide the timing for your animation. You can scrub the time slider to locate a particular sound, and coordinate your visuals around it.

You can display this dialog by right-clicking the Sound item in the Track View Hierarchy list, or by right-clicking a sound track in the Edit window.

Procedure

To add a sound track:

  1. In the Track View Hierarchy, right-click a sound item and select Properties.

    The Sound Options dialog is displayed.

  2. Click Choose Sound, select a sound file, and then click OK.

    A Wave Form branch appears in the Track View Hierarchy. A waveform appears in the Track View Edit window.

  3. Turn on Real Time in the Time Configuration dialog to hear the sound track when you play your animation.

Interface

Audio group

Choose Sound: Displays a file selector where you choose a sound file.

Remove Sound: Deletes the waveform from Track View.

Reload Sound: Reloads the last loaded file. This allows the sound file to be reloaded when it has been changed by another program.

Active: Plays the waveform during animation play back.

Metronome group

The Metronome track produces a regular beat using two tones. You specify three settings in the Sound Options dialog to control the Metronome:

Beats per minute: Sets the frequency of beats. The beats display in the Metronome tracks as black vertical bars. Default=60.

Beats per measure: Sets which beat is emphasized with a higher pitch tone. Emphasized beats display in the Metronome track as black pluses. For example, a setting of 4 generates a higher pitched tone every fourth beat. Default=4.

Active: Plays the beats during animation playback.


Track View Toolbar

Main toolbar > Open Track View > Track View toolbar

Graph Editors menu > Track View > Open Track View > Track View toolbar

The Track View toolbar contains the tools for working with items, tracks, and function curves.

The Track View toolbar buttons are divided into three functional groups.

From left to right, the groups are:

  • Global Track View buttons apply to all items regardless of the current edit mode.

  • Edit mode buttons change the way you view and edit values in the Edit window.

  • Edit buttons vary according to the current edit mode. You use these buttons to make changes to the animation values.

Procedure

To move the world track:

  1. Select Edit Ranges on the Track View toolbar.

  2. Select the World track item in the Track View Hierarchy.

  3. Click and drag the World range bar horizontally in the Edit window.

    Everything in the edit window moves back and forth, in time.

Interface

Track View toolbar in Edit Keys mode

Track View is in Edit Keys mode by default. Other modes are Edit Time, Edit Ranges, Position Ranges, and Function Curves.

Filters

Copy Controller

Paste Controller

Assign Controller

Delete Controller

Make Controller Unique

Parameter Out-of-Range Types

Add Note Track

Delete Note Track

Edit Keys

Edit Time

Edit Ranges

Position Ranges

Function Curves

Snap Frames

Lock Selection

Add Visibility Track

Align Keys

Delete Keys

Move Keys

Slide Keys

Scale Keys

Add Keys

Modify Subtree

Properties

Track View Utilities

Edit Time mode options

Delete Time

Cut Time

Copy Time

Paste Time

Reverse Time

Select Time

Scale Time

Insert Time

Modify Subtree

Exclude Left End Point

Exclude Right End Point

Reduce Keys

Function Curves mode buttons

Freeze Nonselected Curves

Move Keys/Horizontal/Vertical

Scale Keys

Scale Values

Add Keys

Show Tangents

Lock Tangents

Apply Ease Curve/Multiplier Curve

Delete Ease/Multiplier Curve

Enable Ease/Multiplier Curve Toggle

Multiplier Out-of-Range Types

Position Ranges mode button

Recouple ranges


Filters

Main toolbar > Open Track View > Track View toolbar > Filters

Graph Editors menu > Track View > Open Track View > Track View toolbar > Filters

With Filters, you display or limit items in the Hierarchy list, and function curves in the Edit window. When you click the Filters button, Track View's Filters Dialog is displayed.

You can also right-click Filters for quick selection of items.

Tip: You can set up a default filter configuration. Open a single Track View, set the filters the way you want them to come up, and close the Track View. Save the (empty) scene as maxstart.max.

Procedures

To place a selected object at the top of the Track View Hierarchy:

  1. In the viewports, right-click over a selected object.

  2. Choose Track View Selected in the dialog.

    Track View opens and displays the selected object at the top of the Track View Hierarchy.

To display the animated transform tracks for an object in Track View:

  1. Select an object, then open Track View.

  2. Right-click Filters.

  3. Choose Animated Tracks only in the dialog.

  4. Right-click Filters again.

  5. Choose Selected Object.

Interface

See Filters Dialog.


Filters Dialog (Track View)

Main toolbar > Open Track View > Track View toolbar > Filters > Filters Dialog

Graph Editors menu > Track View > Open Track View > Track View toolbar > Filters > Filters Dialog

Use Track View's Filters dialog to choose what to display in Track View. For example, view only animated tracks, or tracks for selected objects.

Procedure

To select filter options quickly, do one of the following:

  • On the Track View toolbar, right-click Filters.

  • Choose any of the filter options from the right-click menu.

Interface

Show group

All: Sets all Show check boxes to on.

None: Sets all Show check boxes to off.

Invert: Reverses the state of all Show check boxes.

Hide by Controller Type group

Hide By Controller Type contains a window displaying a list of all controllers in the program. Select one or more controllers in the list to hide its display in the Hierarchy window. You can use the standard multiple-selection methods of CTRL-click, SHIFT-click, or drag.

All/None/Invert: Selects either all items in the list, none of the items in the list, or inverts the current selection.

Note: When you hide a controller, its subcontrollers (if any) are hidden as well. For example, if you hide a PRS Transform controller, its Position, Rotation, and Scale controllers are also hidden.

Hide by Category group

Contains a list of check boxes that let you hide tracks based on categories similar to those found in the Display branch. Checking one of these hides the entire node and all of its sub-components.

Show Only group

Animated Tracks: Displays only items that contain animation. When a parameter is animated, that parameter and items on all levels above it are considered to contain animation.

Selected Objects: Displays only items for objects selected in the scene. As you select objects in the scene, the display in the Hierarchy list changes to show the current selection. The display of sound and materials branches are not affected by this filter.

Selected Tracks: Displays only items that you select prior to setting this filter. All of the displayed items are left-justified in the Hierarchy list regardless of their level in the hierarchy.

Visible Objects: Determines whether objects that are hidden in the viewports will appear in the Track View Hierarchy. This does not consider objects with tracks, but only objects that have been hidden. Default=on.

Function Curve Display group

Suppresses the display of function curves.


Copy Controller

Main toolbar > Open Track View > Select controller or item in the Track View Hierarchy. > Track View toolbar > Copy Controller

Graph Editors menu > Track View > Open Track View > Select controller or item in the Track View Hierarchy. > Track View toolbar > Copy Controller

Copy Controller copies the selected item to the Track View clipboard.

You can use Copy and Paste to copy object and modifier tracks, controllers, objects, and containers, depending on what you are working on.

Not all tracks can be copied and pasted. The basic restrictions for using Copy and Paste in Track View are:

  • Only a single selected item can be copied.

  • A copied item can only be pasted into another item of the same type.

  • A copied item can be pasted into a selection of multiple items only if all of the items are of the same type.

Procedure

To copy and paste a modifier:

  1. In the Track View Hierarchy, select a modifier track.

  2. On the Track View toolbar, click the Copy Controller button.

  3. Select the object track for an object in the Track View Hierarchy.

  4. Click the Paste Controller button.

    The Paste dialog diplays.

  5. Set the options in the Paste dialog, and click OK.

    The pasted modifier is inserted above the object track you selected. Note that it does not replace any of the tracks in the target object.

Interface

Copy Controller: Copies the selected item to the Track View clipboard.


Paste Controller

Main toolbar > Open Track View > Track View toolbar > Paste controller

Graph Editors menu > Track View > Open Track View > Track View toolbar > Paste Controller

The Paste controller pastes the contents of the Copy Controller buffer. You can use the Copy and Paste buttons to copy tracks, controllers, objects, and containers.

Procedures

See Copy Controller.

Interface

Paste Controller: Pastes an item from the Track View clipboard.

The Paste dialog contains the following options:

Copy/Instance: Determines whether the cloned item is a simple copy or an instance of the original.

Replace All Instances: When you paste to any track that contains an instanced object, replaces all instances of the object with the object on the clipboard. If off, only the object in the selected track will be replaced. Any instanced objects will remain as they are.


Assign Controller

Main toolbar > Open Track View > Select a track in the Track View Hierarchy. > Track View toolbar > Assign Controller

Graph Editors menu > Track View > Open Track View Select a track in the Track View Hierarchy. > Track View toolbar > Assign Controller

Use Assign Controller to assign animation controllers to any parameter or track in Track View.

Animation controllers provide powerful alternatives for animating all the objects in a scene. For example, rather than keyframing the position of an object in your scene, the object can follow a spline using the Path constraint or move to the beat of music using the Audio controller. Controllers can be combined using a List Controller. A single vertex or control point on a complex object can be driven by a variety of controllers.

Special-Case Controllers

Special-case controllers are not assigned manually with the Assign Controller command. They are applied automatically during certain procedures.

Barycentric Morph Controller is applied by selecting an object and clicking Command Panel > Geometry > Compound Objects > Morph.

Master Point Controller is assigned when animating vertices, control points, or vectors in the Sub-Object mode of an Editable Mesh, Editable Spline, Editable Patch, or FFD modifier.

Available Animation Controllers

Attachment Constraint: A Position controller that attaches an object's position to a face on another object. The target object doesn't have to be a mesh, but must be able to convert itself to a mesh.

Bezier Controller: Smoothes function curves between transform keys, giving the effect of continuous, natural movement. The Bezier controller is the default controller for position and scale.

Barycentric Morph Controller: Applied during the creation of a morph object. Each morph key represents a series of weights for all morph targets.

Color RGB Controller (Point 3 XYZ Controller): Creates separate tracks for red, green, and blue.

Euler XYZ Rotation Controller: Combines separate, single-value float controllers to specify an angle of rotation about each of the X, Y, and Z axes. You can specify the order the axes are rotated.

Expression Controller: Mathematical expressions control object parameters such as length, width, and height, or transform and modifier values, such as position coordinates.

IK Controller: Assigned to a hierarchy through the use of IK Solvers. Can be automatically assigned to bones at the time of creation by using Assign to Children.

Linear Controller: Makes the function curves between each of the keyframes into straight lines.

List Controller: Combines controllers.

Link Constraint: Animates the transfer of hierarchical links from one object to another. You can, for example, have the same object passed from object to object.

Look-At Constraint: Forces that object to constantly look at another. Formerly a Transform controller, this is now a rotation controller.

Master Point Controller: Automatically assigned when animating vertices, control points, or vectors in sub-object mode. This controller simplifies managing potentially hundreds of tracks in Track View.

Noise Controller: Generates random values, which you can see as peaks and valleys in the function curve.

Path Constraint: Assigns a spline as a trajectory (path) for an object so that the object follows the path.

Position XYZ Controller: Splits the X, Y, and Z components into three separate tracks.

PRS Transform Controller: Creates sub controllers for position, rotation, and scale.

Scale XYZ Controller: Provides separate scale tracks for the X, Y, and Z axes.

Script Controller: Controls objects and parameters with the 3ds max scripting language (Similar to an Expression Controller).

Smooth Rotation Controller: Creates smooth rotations.

Surface Constraint: Positions an object along the surface of another object.

TCB Controller: Provides Tension, Continuity, and Bias controls for the function curves between keys.

Transform Script Controller: Provides scripted PRS control for objects.

Procedure

To assign an animation controller in Track View:

  1. In the Track View Hierarchy, select one or more parameter items of the same type.

  2. On the Track View toolbar, click Assign Controller.

  3. Choose a controller type from the Assign Controller dialog.

    If a parameter has already been animated, then assigning a new controller has one of the following effects:

    • The existing animation values are recalculated to produce a similar animation with the new controller. For example, replacing TCB Position with Smooth Position closely preserves the animation.

    • The existing animation values are discarded. For example, replacing Smooth Rotation with Noise Rotation discards the Smooth Rotation animation values.

Interface

Assign Controller: Choose a controller type from the Assign Controllers dialog. Depending on the type of track you have selected, the Choose Controller dialog displays a subset of the different types of controllers.


Delete Controller

Main toolbar > Open Track View > Select a deletable track in the Track View Hierarchy. > Track View toolbar > Delete Controller

Graph Editors menu > Track View > Open Track View > Select a deletable track in the Track View Hierarchy. > Track View toolbar > Delete Controller

Some node sub-controllers can be deleted. Visibility tracks, Image Motion Blur Multiplier, Object Motion Blur On/Off are examples of controllers that can be deleted.

Procedure

To delete a controller:

  1. In the Hierarchy, select a controller.

  2. On the Track View toolbar, click Delete.

Interface

Delete Controller: Deletes the selected controller.


Make Controller Unique

Main toolbar > Open Track View > Select an instanced or referenced Modified Object or Object container in the Track View Hierarchy. > Track View toolbar > Make Controller Unique

Graph Editors menu > Track View > Open Track View > Select an instanced or referenced Modified Object or Object container in the Track View Hierarchy. > Track View toolbar > Make Controller Unique

Make Controller Unique converts an instanced clone of a controller to a copy that's unique to the current object. Objects and modifiers can also be made unique.

The result depends on whether or not the data flow branches at the selected container:

  • If the data flow does not branch anywhere below the selected container, nothing happens.

  • If the data flow does branch at or below the selected container, the data flow above the branch is split from the current data flow as a unique object. The data flow from the selected container to the master object is copied and attached to the new unique object.

Procedure

To convert an instance or a reference to a unique object:

  1. Select a Modified Object container or an Object container.

  2. Click Make Unique.

Interface

Make Controller Unique: Converts an instanced clone of a controller to a copy that's unique to the current object.


Parameter Out-of-Range Types

Parameter Curve Out-of-Range Types

Main toolbar > Open Track View > Select an animated track in the Track View Hierarchy. > Track View Main toolbar. > Parameter Curve Out-of-Range Types

Graph Editors menu > Track View > Open Track View > Select an animated track in the Track View Hierarchy. > Track View Main toolbar. > Parameter Curve Out-of-Range Types

With Parameter Curve Out-of-Range Types you can specify how an object is to behave outside the range of the keys you've defined.

Use Parameters Curve Out-of-Range Types to create loops and cycles. The idea is to create a short pattern of keys that produce an animated effect, and then loop or cycle through those keys throughout the animation.

Using the Parameter Curve Out-of-Range Types dialog, you select from four ways for repeating your animation and two ways for applying a linear value.

Typical Steps for Using Parameter Out-of-Range Types

  1. Animate an object to loop or cycle.

  2. Use Position Ranges to adjust the relationship between a range bar and its keys. The loop or cycle will occur within the range bar.

  3. Click Parameter Out-of-Range Types to select how your animation behaves outside the time covered by the range bar.

Procedure

To use Parameter Out-of-Range Types to create a loop:

  1. On the Create Panel, click Geometry, then click Box.

  2. On the left side of the Front viewport create a small box.

  3. Turn on Animate and move the time slider to frame 10.

  4. Turn on Toolbar/Select and move the box to the right side of the Front viewport.

  5. Open Track View, right-click Filters, and then select Animated Tracks Only.

  6. Choose the Position track for the box in the Track View Hierarchy, and then click Parameter Out-of-Range.

  7. In the Parameter Curve Out-of-Range Types dialog, select Ping Pong and click OK.

  8. Click Play in the Viewport Controls.

    The box moves back and forth repeatedly.

    While the animation is playing, experiment by turning on Position Ranges on the Track View toolbar and moving the ends and middle of the Position track bar back and forth in the Track View Edit window. You can adjust the range bar independent of its keys and change the nature of the loop.

Interface

Select from the options for repeating your animation and options for applying a linear value.

Constant: Holds the value of the end key of the range for all frames. Use constant when you want no animated effect before the first key of the range or after the last key. Constant is the default out-of-range type.

Cycle: Repeats the same animation as within the range. If the first and last keys in the range have different values, the animation will show an abrupt "jump" from the last key to the first. Use Cycle when you want an animation to repeat, but do not need the ends to match.

Loop: Repeats the same animation as within the range, but interpolates between the last key and first key in the range to create a smooth loop. If the first and last key are both at the extreme ends of the range, Loop will behave exactly like Cycle. If you use Position Ranges to extend the range bar beyond the keys, the added length determines the amount of time used to interpolate between the last key and the first key. Use loop with an extended range bar to produce smoothly repeating animation.

Ping Pong: Alternates between a forward and backward repeat of the animation within the range. Use Ping Pong when you want your animation to alternate back and forth.

Linear: Projects the animation value along a line tangent to the function curve at the end of the range. Use Linear when you want the animation to enter and leave the range at a constant velocity.

Relative Repeat: Repeats the same animation as within the range but offsets each repetition by the value at the end of the range. Use Relative Repeat to create animations that build on each other as they repeat.


Add Note Track

Main toolbar > Open Track View > Select one or more item labels in the Track View Hierarchy. > Track View toolbar. > Add Note Track

Graph Editors menu > Track View > Open Track View > Select one or more item labels in the Track View Hierarchy. > Track View toolbar. > Add Note Track

With Add Note Track, you can insert a note track below the selected track in the Track View Hierarchy. You can make note keys and notes at certain time locations to keep track of keys do.

Any item in the Hierarchy list can have a note track added as a branch below it. You can add a note track to an item in any of the Track View modes, but Edit Keys mode is the most convenient.

Note tracks are inserted as branches directly below the selected items. The icon for a note track is a yellow triangle, indicating that it is a special type of non animated controller.

Once you have created a note track for an item, use Add Keys to insert note keys. Use the Notes dialog to edit the notes.

Procedures

To add a note track:

  1. On the Track View toolbar, click Edit Keys.

  2. Select one or more item labels in the Hierarchy list.

  3. Click Add Note Track.

    Note tracks are inserted as branches directly below the selected items. The icon for a note track is a yellow triangle, indicating that it is a special type of non-animated controller.

To add a note key to a note track:

  1. Click Add Keys.

  2. Click in a note track to place a note at that location.

To edit notes:

  1. Right-click a note key to display the Notes dialog.

  2. Enter your note in the edit box.

    The first line of your note appears as a label to the right of the note key. You should type a short one or two word description as the first line of your note. Press ENTER to enter the body of the note.

Interface

Add Note Track: Inserts a note track directly below the selected items in the Hierarchy list.

Notes Dialog

Adds or edits notes on the animation in Track View. The first line of your note appears as a label to the right of the note key. You should type a short one or two word description as the first line of your note. Press ENTER to start the body of the note.

Note Number: Indicates which note key you are working with. Click the left arrow to move back to the previous note or the right arrow to move forward to the next note.

Time: Sets the time position for the note key. Change the value to move the note to a new time.

Lock Key: Locks the key to the Time field. When set, the key ignores all operations performed with Move, Slide, and Scale. The only way to change the key's time is to use the Time field in the Notes dialog.


Delete Note Track

Main toolbar > Open Track View > Select one or more note tracks in the Track View Hierarchy. > Track View toolbar > Delete Note Track

Graph Editors menu > Track View > Open Track View > Select one or more note tracks in the Track View Hierarchy. > Track View toolbar > Delete Note Track

Use Delete Note Track to delete a note track and its associated keys.

Procedure

To delete a note track from items:

  1. Click Edit Keys.

  2. Select one or more note tracks in the Hierarchy list.

  3. Click Delete Note Track.

Interface

Delete Note Track: Delete the selected note track(s).


Edit Keys

Main toolbar > Open Track View > Track View toolbar > Edit Keys

Graph Editors menu > Track View > Open Track View > Track View toolbar > Edit Keys

Edit Keys displays your animation as a series of key dots and range bars in the Track View Edit window. Only controller items (items with a green triangle icons) can display key dots. All other items display range bars indicating the time span of key dots for controller items in their subordinate branches.

Edit Keys is useful for getting a global view of your animation because it displays animation timing for all tracks. Use this mode for key and range editing when you want to view your changes in the context of the total animation.

Use Edit Keys mode to:

  • Select and change one or more keys

  • Drag range bars to change all animation in multiple tracks

Procedure

To turn on Edit Keys mode in Track View:

  • On the Track View toolbar, click Edit Keys.

    In Edit Keys mode, the following buttons are displayed: Add Visibility Track, Delete Visibility Track, Align Keys, Delete Keys, Move Keys, Slide Keys, Scale Keys, Modify Subtree, and Add Keys.

    Modify Subtree is also available in Edit Time and Edit Ranges mode.

Interface

Edit Keys: Switches Track View to Edit Keys node. The Track View toolbar to the right of the Lock Selection button changes to reflect the current editing mode.

These options are available in Track View when Edit Keys is selected:

Snap Frames

Lock Selection

Align Keys

Delete Keys

Move Keys

Slide Keys

Scale Keys

Add Key

Properties


Snap Frames

Main toolbar > Open Track View > Track View toolbar > Snap Frames

Graph Editors menu > Track View > Open Track View > Track View toolbar > Snap Frames

With Snap Frames, all key and range bar positions that are changed, are forced to absolute frame increments. This includes selection sets of multiple keys. When Snap Frames is on, each key in a selection set will snap to the nearest frame when the selection is moved or scaled.

When you use the Time Display Format of MM:SS:Ticks (which does not use frames), Snap Frames snaps to time values that match frame boundaries.

Procedure

To use Snap Frames:

  1. On the Track View toolbar, click Edit Keys.

  2. On the Track View toolbar, turn on Snap Frames.

  3. In the Track View Edit window, select one or more keys.

  4. Use Move Keys or Scale Keys to move keys.

    With Snap Frames on, each key in a selection set snaps to the nearest frame when the selection is moved or scaled.

Interface

Snap Frames: Forces keys to single-frame increments.


Lock Selection (Track View)

Lock Selection

Main toolbar > Open Track View > Select keys in the Track View Edit window. > Track View Main toolbar > Lock Selection

Graph Editors menu > Track View > Open Track View > Select keys in the Track View Edit window. > Track View Main toolbar > Lock Selection

Keyboard > SPACEBAR

Lock Selection toggles selection locking on and off.

Procedure

To use Lock Selection in Track View:

  1. On the Track View toolbar, click Edit Keys.

  2. In the Track View Edit window, select one or more keys.

  3. On the Track View toolbar, turn on Lock Selection, and then click and drag inside the Track View Edit window.

    All the selected keys move regardless of where inside the Track View Edit window you click and drag.

Interface

Lock Selection (Track View): Toggles selection locking on and off.


Align Keys

Main toolbar > Open Track View > Select keys to align to current frame. > Track View toolbar > Align Keys

Graph Editors menu > Track View > Open Track View > Select keys to align to current frame. > Track View toolbar > Align Keys

Use Align Keys to move selected keys to the current time. Select the keys to align using Move, Slide, or Scale.

Align Keys is useful for taking a group of scattered keys and moving them to the same time location.

  • Align Keys is available in Edit Keys and Function Curves modes.

  • Align Keys ignores the state of Snap Frames, and always uses the exact time set by the time slider.

Procedure

To move all selected key dots to the current frame:

  1. Make sure Edit Keys is active.

  2. Drag the time slider to the time where you want the keys aligned.

  3. Select one or more keys using Move, Slide, or Scale Keys.

  4. Click Align Keys.

    The leftmost selected key in each track is moved to the current time. Multiple selected keys on the same track maintain their relative distance from the leftmost key.

Interface

Align Keys: Moves all selected key dots to the current frame.


Add Visibility Track

Main toolbar > Open Track View > Select an object in the Track View Hierarchy. > Track View toolbar > Add Visibility Track

Graph Editors menu > Track View > Open Track View > Select an object in the Track View Hierarchy. > Track View toolbar > Add Visibility Track

Add Visibility Track controls when you can see an object. Visibility tracks can only be added to objects. You can create a visibility track by either animating the Visibility parameter in the Object Properties dialog or by selecting an object in the Track View Hierarchy and clicking Add Visibility Track in the Track View toolbar. In both cases a visibility track, using a Bezier float controller, is created in Track View. The visibility track displays as a child of the object in the Track View Hierarchy.

Note: Right-click over an object in the viewports and select Properties to display the Object Properties dialog.

On and Off Visibility

When you first assign a visibility track to an object, a Bezier float controller is automatically assigned, this allows gradual visibility. You can replace the Bezier float controller with an On/Off controller if you want an on and off effect rather than gradual visibility.

Variable opacity is supported in the shaded viewports. For ease of use, the object never completely disappears from the viewports.

Visibility Inheritance

An object can inherit the visibility of its parent (as determined by the parent's Visibility track in the Track View). Use the Object Properties/Inherit Visibility check box to determine the visibility inheritance of an object.

Groups and Visibility

All members of a Group inherit the visibility of the parent when a visibility controller is assigned to the parent. Transparent materials and hidden objects have no effect on this function.

Level of Detail Utility and Visibility

The Level of Detail utility lets you construct an object that alters its geometric complexity or level of detail based on its size. You create several versions of the same object each with different levels of detail; you group them as one, and then assign the Level of Detail utility. This automatically creates a special LOD controller as a Visibility track.

Procedures

To add a visibility track to objects:

  1. On the Track View toolbar, click Edit Keys.

  2. In the Track View Hierarchy, select one or more item labels for objects in your scene.

  3. On the Track View toolbar, click Add Visibility Track.

    A visibility track appears below the selected object(s). Add and Edit keys in the visibility track to control the objects visibility.

To add visibility keys:

  1. On the Track View toolbar, click Edit Keys.

  2. Click Add Keys.

  3. On the Track View Edit window, click in a visibility track to add a key at that time location.

To create and animate a visibility track using the Object Properties dialog:

  1. Create a box.

  2. Turn on Animate.

  3. Move the time slider to frame 10, where the box will disappear.

  4. Right-click over the object and select Properties in the Shortcut menu.

  5. In the General tab, set Visibility to 0, and then click OK.

  6. Scrub the time slider.

    The box fades. This creates a visibility track in Track View and adds a key with a value of 0 to the track.

Interface

Add Visibility Track: Adds a visibility track to a selected object(s). Assigns a Bezier float controller by default.


Delete Keys

Main toolbar > Open Track View > Select keys in the Track View Edit window. > Track View toolbar > Delete Keys

Graph Editors menu > Track View > Open Track View > Select keys in the Track View Edit window. > Track View toolbar > Delete Keys

To delete keys in Track View, you first select keys and then click Delete Keys.

To delete all keys associated with an object, select the object name label in the Hierarchy list and click Delete Key, or the DEL key. If you delete all the keys in a track, the value for the parameter associated with the track is set to the value at the current time. This applies to Edit Keys, Edit Time, and Function Curves mode.

Procedures

To delete selected keys:

  1. Select one or more keys.

  2. Click Delete Keys.

To delete all keys for a selected object in Track View:

  1. In the Track View Hierarchy, click the object name label.

  2. Click Delete Keys.

    A Delete Keys dialog displays, warning that you are about to delete all animation keys for the object.

  3. Click OK in the dialog.

Interface

Delete Keys: Deletes selected keys in Track View. May also be accessed by pressing the DEL key, but make sure that the Track View window is active (otherwise, the selected geometry in the scene will be deleted).


Move Keys

Main toolbar > Open Track View > Select keys in the Track View Edit window. > Track View toolbar > Move Keys

Graph Editors menu > Track View > Open Track View > Select keys in the Track View Edit window. > Track View toolbar > Move Keys

Move Keys moves selected keys horizontally in time.

While the move key is active, you can move the selected key dots by clicking and dragging them. You can clone key dots by moving them while holding down the SHIFT key. You can move one or more keys horizontally in their track to change when the keys occur.

Procedure

To move a selection of keys:

  1. On the Track View toolbar, click Edit Keys.

  2. Click Move Keys.

  3. Select one or more keys.

  4. Drag the selection to a new time location, or press SHIFT and drag the selection to add copies of the keys at the new time location.

    The new time and time offset are displayed in the Track View prompt line as you drag.

Interface

Move Keys: Moves a selection of keys to a new time location.


Slide Keys

Main toolbar > Open Track View > Select keys in the Track View Edit window. > Track View toolbar > Slide Keys

Graph Editors menu > Track View > Open Track View > Select keys in the Track View Edit window. > Track View toolbar > Slide Keys

Use Slide Keys to move a group of keys (your selected keys plus all the keys to one end of the animation). The direction that you drag determines which group of keys moves:

  • Dragging to the right moves the selected keys, plus all keys to the last key of the animation, forward in time.

  • Dragging to the left moves the selected keys, plus all keys to the first key of the animation, backward in time.

Slide Keys is a way to split the animation at the selected keys and spread the ends apart. Slide Keys is available in Edit Keys mode.

Procedure

To slide a selection of keys:

  1. On the Track View toolbar, click Edit Keys.

  2. Click Slide Keys.

  3. Select one or more keys.

  4. Drag to slide the keys to a new location.

Interface

Slide Keys: Slides the selected keys forward and backward in time. Dragging to the right moves the selected keys, plus all keys to the last key of the animation, forward in time. Dragging to the left moves the selected keys, plus all keys to the first key of the animation, backward in time.


Scale Keys

Main toolbar > Open Track View > Select keys in the Track View Edit window. > Track View toolbar > Scale Keys

Graph Editors menu > Track View > Open Track View > Select keys in the Track View Edit window. > Track View toolbar > Scale Keys

Scale Keys moves all selected keys proportionally towards or away from the current frame. Use the Scale Keys button in Edit Keys mode to change the location and amount of time covered by one or more selected keys.

The scale center is defined by the current time set by the time slider. You can scale keys about any moment in time by dragging the time slider before you use Scale Keys.

Procedure

To use Scale Keys:

  1. On the Track View toolbar, click Edit Keys.

  2. Drag the time slider to the time you want to use as the scale center.

  3. Click Scale Keys.

  4. Select one or more keys.

  5. Drag to scale the selected keys or press SHIFT and drag to add scaled copies of the selected keys.

    Drag away from or towards the current time line for the following results:

    • Dragging away expands the keys from the current time. Expanding the selection increases time between the selected keys and slows that part of the animation.

    • Dragging shrinks the keys towards the current time. Shrinking the selection reduces time between the selected keys and accelerates that part of the animation.

    • Dragging through the current time reverses the keys and expands the keys away from the current time.

      The scale percentage is displayed in the Track View prompt line as you drag the selection.

Interface

Scale Keys: Moves all selected keys proportionally towards or away from the current frame.


Add Keys

Main toolbar > Open Track View > Track View toolbar > Add Keys

Graph Editors menu > Track View > Open Track View > Track View toolbar > Add Keys

Add Keys inserts a key at the point where you click.

Add Keys is a mode that remains active until you activate another mode. While Add Keys is on, you click in any animation track to add a key at that location in time.

Procedure

To add keys in Track View:

  1. On the Track View toolbar, click Add Keys.

  2. Click in an animation track to add a key.

    The location where you click sets the time of the key as measured on the time ruler.

    The value of the new key is set by one of the following conditions:

    • Keys added before the first key of a track receive the same value as the former first key.

    • Keys added between two keys receive an interpolated value based on the values of the original keys.

    • Keys added after the last key in the track receive the same value as the former last key.

      If you are unable to add keys to a track, check the following conditions:

    • Only animation tracks can accept keys. Animation tracks are identified as parameter items in the Hierarchy list with a controller icon (green triangle).

    • The animation controller must be a type that uses keys. Not all controllers use keys. Examples of controllers that do not use keys include Expression controllers, List controllers, and Parametric controllers.

Interface

Add Keys: Adds a key at the point where you click.


Properties Button (Track View)

Properties (Track View Toolbar)

Main toolbar > Open Track View > Select an item in the Track View Hierarchy or Edit window. > Track View toolbar > Properties

Graph Editors menu > Track View > Open Track View > Select an item in the Track View Hierarchy or Edit window. > Track View toolbar > Properties

Properties displays a dialog to change animation values. The type of dialog displayed depends on the type of Animation controller the selected track is using:

  • Selected keys display a Key Info dialog. You can change the values in the Key Info fields to change the animation value, time, and interpolation methods of one or more selected keys.

  • Tracks with Parametric controllers, such as Noise, display a Properties dialog. You change the values in the properties dialog to change the behavior of the controller over its entire range.

You can also display the Key Info dialog by right-clicking a key in the Edit window. Parametric controller dialogs can also be displayed by right-clicking their range bars.

The Properties button is grayed out in ambiguous case, for example, when a key and a Parametric controller item are both selected.

Procedure

To display the Key Info dialog for a key:

  1. In the Track View Edit window, select a key.

  2. Click the Properties, or right-click over the key.

    The Key Info dialog displays.

  3. Change key properties in the dialog.


Track View Utilities

Main toolbar > Open Track View > Track View toolbar > Track View Utilities

Graph Editors menu > Track View > Open Track View > Track View toolbar > Track View Utilities

Track View Utilities displays a dialog listing plug-in Track View utilities. A typical Track View utility displays a modeless dialog (though utilities can be modal) and provides functions that can be applied across multiple selected keys and tracks. You can launch more than one utility by selecting the Track View Utilities button again.

Procedure

To select a Track View utility:

  1. On the Track View toolbar, click the Track View Utilities.

  2. In the Track View Utilities dialog, select a utility and click OK.

Interface

Track View Utilities: Lists the available Track View utilities in a dialog. Click to select the utility you want, and then click OK.


Edit Time

Main toolbar > Open Track View > Track View toolbar > Edit Time

Graph Editors menu > Track View > Open Track View > Track View toolbar > Edit Time

Keyboard > F2

Use Edit Time mode to work directly with selected blocks of time as opposed to working with keys and range bars. A block of time is any contiguous time segment, across one or more tracks, and is independent of key locations.

In Edit Time mode, keys and range bars of your animation are there only for reference. You select blocks of time and then apply time-editing functions to your selection.

Copy and Paste Tracks in Edit Time Mode

When pasting tracks in Edit Time mode, you can select a contiguous range of tracks that include Position tracks; you're not limited to only the correct track types. Paste Track pastes copies to all of the valid track types.

Copy and Paste Tracks Without Keys in Edit Time Mode

You can copy and paste controller tracks regardless of whether they have animation keys. When a track has no keys, its value at frame 0 is used. You must select some block of time before cutting or pasting, though the time is ignored.

You can cut, copy, and paste time to and from the time clipboard. After selecting a block of time, you can cut or copy time to the clipboard, and then paste time to selected tracks.

You can use the clipboard to copy time, with keys, to different places in the same track, or from one track to another.

Procedure

To put Track View into Edit Time mode:

  • On the Track View toolbar, click Edit Time.

    On the Track View toolbar, to the right of the Lock Selection button, the Edit Time mode buttons are displayed.

Interface

Edit Time: Switches Track View to Edit Time mode. The Track View toolbar to the right of the Lock Selection button changes to reflect the current editing mode.

In Edit Time mode you can perform the following tasks for one or more tracks:

Select time

Delete time

Cut, Copy, and Paste time

Reverse time

Insert time

Scale time

Exclude Left End Point

Exclude Right End Point

Reduce keys


Select Time

Main toolbar > Open Track View > Track View toolbar > Edit Time > Select Time

Graph Editors menu > Track View > Open Track View > Track View toolbar > Edit Time > Select Time

With Select Time you can select a block of time by clicking and dragging without changing the selection.

First you select the block of time you want to work with. You can use one of two options to select time in the Edit Time window:

  • Select Time without changing the selection.

  • Scale Time to begin scaling the selection immediately.

See also

Scale Time

Procedure

To select time:

  1. Select one or more item labels in the Hierarchy list to select tracks for time editing.

  2. Click Select Time or Scale Time.

  3. Drag in the Edit Time window to select time from the selected tracks.

    If a selected track does not support time operations, time selection in that track is ignored.

Interface

Select Time: Selects a block of time by clicking and dragging without changing the selection.


Delete Time

Main toolbar > Open Track View > Track View toolbar > Edit Time > Delete Time

Graph Editors menu > Track View > Open Track View > Track View toolbar > Edit Time > Delete Time

Use Delete Time to delete a selected block of time. The deleted block is not copied to the clipboard.

Procedure

To delete a block of time:

  1. Select item labels in the Hierarchy list to select tracks for time editing.

  2. Select a block of time.

  3. Click Delete Time.

Interface

Delete Time: Deletes a selected block of time and any keys inside the selected block. Keys to the right of the deleted time slide to the left.


Cut Time

Main toolbar > Open Track View > Track View toolbar > Edit Time > Select Time in the Track View Edit window. > Cut Time

Graph Editors menu > Track View > Open Track View > Track View toolbar > Edit Time > Select Time in the Track View Edit window. > Cut Time

Use Cut Time to cut a block of time out of one or more tracks. Before you can paste time in a track, you must have time in the clipboard. After selecting a block of time, place it in the clipboard with either Cut Time or Copy Time.

Procedure

To cut time from tracks:

  1. Select item labels in the Hierarchy list to select tracks for time editing.

  2. Select a block of time in the Track View Edit window.

  3. Click Cut Time.

    The block of time is deleted from the selected tracks and stored in the time clipboard. Keys to the right of the deleted time slide left.

Interface

Cut Time: Deletes the selected block of time and places it in the clipboard.


Copy Time

Main toolbar > Open Track View > Track View toolbar > Edit Time > Select Time in the Track View Edit window. > Copy Time

Graph Editors menu > Track View > Open Track View > Track View toolbar > Edit Time > Select Time in the Track View Edit window. > Copy Time

Use Copy Time to copy time from one or more tracks. After selecting a block of time, you can cut or copy the block to the clipboard, and then paste it to selected tracks.

You can use the clipboard to copy time, with keys, to different places in the same track or from one track to another. For example, you can copy the position track from one object to another.

Procedure

To copy time from tracks:

  1. On the Track View toolbar, select Edit Time.

  2. In the Hierarchy list, select item labels to select tracks for time editing.

  3. Select a block of time.

  4. Click Copy.

    The selected block of time is copied to the time clipboard. The original block remains unchanged.

Interface

Copy Time: Places a copy of a selected block of time in the clipboard.


Paste Time

Main toolbar > Open Track View > Track View toolbar > Edit Time > Paste Time

Graph Editors menu > Track View > Open Track View > Track View toolbar > Edit Time > Paste Time

Use Paste Time to paste a block of time from the clipboard into one or more tracks.

The conditions for pasting time into a track are:

  • If the block of time on the clipboard is from a single track, you can paste it into any track using the same type of controller.

  • If the block of time on the clipboard is from multiple tracks, you can paste it into a selection of multiple tracks as long as the controllers for the selected tracks include valid track types. For example, position tracks in the clipboard are pasted to position tracks in the selection.

  • If the above conditions are not met, the Paste Time button is not available.

In Edit Time mode, you can copy and paste controller tracks that have no animation keys. When a track has no key, its value at frame 0 is used. You must select a block of time before cutting or pasting; the time is ignored.

Relative and Absolute Pasting

The values of all the pasted keys are adjusted so that the first pasted key has a value equal to the value at the time of the insertion point. For example, the value of the controller at frame 50 is 10. The clipboard holds three keys spanning 50 frames with values 20, 30, and 40. When you paste the three keys at frame 50, the first key has a value of 20, but the insertion point has a value of 10. gmax subtracts 10 from the pasted key to maintain the value at the insertion point. The software then subtracts 10 from the remaining pasted keys, resulting in three pasted keys valued at 10, 20, and 30. In addition, any keys after the insertion range are also adjusted by the net change over the range being pasted. The net change is the value of the last key pasted minus the value of the first key pasted. In this case 40-20=20. Every key after the insertion point is increased by 20.

Procedure

To paste time into tracks:

  1. Select item labels in the Hierarchy list.

  2. In the Edit window drag to select a block of time, or click to define an insertion point.

  3. Click Paste.

Interface

Paste Time: Pastes a block of time from the clipboard into one or more tracks.

Paste Track dialog options

Paste Absolute: Replaces the current animation values with the values in the clipboard. Use this method when you want to replace one animated effect with another.

Paste Relative: Adds the animation values in the clipboard to the current animation values. Use this method when you want to layer animation on to an existing effect.


Reverse Time

Main toolbar > Open Track View > Track View toolbar > Edit Time > Select time in the Track View Edit window. > Reverse Time

Graph Editors menu > Track View > Open Track View > Track View toolbar > Edit Time > Select time in the Track View Edit window. > Reverse Time

Reverse Time flips keys within the selected time. You can reverse time by scaling a selection past its left edge but this also changes the position of the selection and the remaining keys around it. Use the Reverse Time button to reverse within a selected block of time.

Procedure

To reverse time:

  1. On the Track View toolbar, select Edit Time.

  2. In the Hierarchy list, select item labels to select tracks for time editing.

  3. Select a block of time.

  4. Click Reverse Time.

    The position of the selected block of time does not change, but keys within the selection are mirrored in reverse order.

Interface

Reverse Time: Reverses keys within a selected block of time.


Insert Time

Main toolbar > Open Track View > Track View toolbar > Edit Time > Select a track in the Track View Hierarchy. > Insert Time

Graph Editors menu > Track View > Open Track View > Track View toolbar > Edit Time > Select a track in the Track View Hierarchy. > Insert Time

Use Insert Time to insert and remove time from selected tracks. Inserting time adds time at a selected point in your animation. Removing time is a way of deleting time, or inserting negative time, in your animation without deleting any keys.

Procedure

To insert positive time into tracks:

  1. In the Hierarchy list, select item labels to select tracks for time editing.

  2. Click Insert Time.

  3. Drag to the right anywhere in the Edit window to insert time into the selected tracks.

    • Time is inserted and the start point defined wherever you place the cursor and click.

    • As you drag to the right, time is inserted after the start point. The inserted time appears as a dark bar in the selected tracks.

    • All keys to the right of the start point in the selected tracks slide right as time is inserted.

Interface

Insert Time: Inserts or deletes empty time.


Scale Time

Main toolbar > Open Track View > Track View toolbar > Edit Time > Select a track in the Track View Hierarchy. > Scale Time

Graph Editors menu > Track View > Open Track View > Track View toolbar > Edit Time > Select a track in the Track View Hierarchy. > Scale Time

Scale Time scales a block of time. You can scale down to fit into less time, or expand it to fill more time.

Procedure

To scale time:

  1. Click Scale Time.

  2. In the Hierarchy list, select item labels to select tracks for time editing.

  3. Select a block of time, then do one of the following:

    • Drag to the right within the selection to expand time from the left edge of the selection. All keys to the right of the selection slide right as the selection expands.

    • Drag to the left within the selection to reduce time towards the left edge of the selection. All keys to the right of the selection slide left as the selection shrinks.

    • Drag past the left edge of the selection to reverse time and expand it with a negative scale factor. Keys inside the selection, and keys to the right of the selection, can overlap keys to the left of the selection.

Interface

Scale Time: Selects time, and allows you to scale the selection.


Exclude Left End Point

Main toolbar > Open Track View > Track View toolbar > Edit Time > Exclude Left End Point

Graph Editors menu > Track View > Open Track View > Track View toolbar > Edit Time > Exclude Left End Point

Use Exclude Left End Point to exclude the beginning key in a selected block of time.

If you paste the same block of time repeatedly, one block following the other, you can create a looping segment in your animation. To create a smooth looping animation, you need to exclude either the first or last key of the copied block to prevent keys from doubling up at the ends.

The key to be excluded must be at the exact start or end time of the selected block of time.

Procedure

To create an animated loop:

  1. On the Track View toolbar, click Edit Time.

  2. On the Track View toolbar, select Exclude Left End Point.

  3. In the Track View Hierarchy list, select the Position item label for the animated object.

  4. Select a block of time.

    For a smooth loop, the first and last frame of the selection should be the same.

  5. On the Track View toolbar, select Copy Time.

    The selection is copied to the clipboard (minus the first frame).

  6. Click to define an insertion point.

    The last position key should be your insert point.

  7. Click Paste Time.

Interface

Exclude Left End Point: Prevents a key at the first frame of a selected block of time from being copied to the clipboard.


Exclude Right End Point

Main toolbar > Open Track View > Track View toolbar > Edit Time > Exclude Right End Point

Graph Editors menu > Track View > Open Track View > Track View toolbar > Edit Time > Exclude Right End Point

If you paste the same block of time repeatedly, one block following the other, you can create a looping segment in your animation. To create a smooth looping animation, you need to exclude either the first or last key of the copied block to prevent keys from doubling up at the ends.

Use the Exclude End Point buttons to exclude the beginning or end key in a selected block of time.

Procedure

To create an animated loop:

  1. On the Track View toolbar, click Edit Time.

  2. On the Track View toolbar, select Exclude Left End Point.

  3. In the Track View Hierarchy list, select the Position item label for the animated object.

  4. Select a block of time.

    For a smooth loop, the first and last frame of the selection should be the same.

  5. On the Track View toolbar, select Copy Time.

    The selection is copied to the clipboard (minus the first frame).

  6. Click to define an insertion point.

    The last position key should be your insert point.

  7. Click Paste Time.

Interface

Exclude Right End Point: Prevents a key at the last frame of a selected block of time from being copied to the clipboard.


Reduce Keys

Main toolbar > Open Track View > Track View toolbar > Edit Time > Reduce Keys

Graph Editors menu > Track View > Open Track View > Track View toolbar > Edit Time > Reduce Keys

Use Reduce Keys to reduce key density. Using inverse kinematics, or creating any complex animation, can leave you with many keys. In the case of applied inverse kinematics, the software generates a key on nearly every frame. Often, the same animation can be produced with fewer keys. Having fewer keys in a track makes it easier to change your animation.

Use Reduce Keys in Edit Time mode to analyze the pattern of keys in a block of time and create a new pattern of fewer keys that produces nearly the same animation. You specify how closely the new animation matches the original.

Procedure

To reduce keys within a block of time:

  1. On the Track View toolbar, click Edit Time.

  2. In the Track View Hierarchy list, select item labels to select tracks for time editing.

  3. Select a block of time.

  4. On the Track View toolbar, click Reduce Keys.

    The Reduce Keys dialog is displayed.

  5. Enter a value in the Threshold field to specify how closely to match the original animation.

    If you apply key reduction to multiple tracks, the threshold value is applied to each track using the track's value type. For example, if you select both a position track and a bend angle track and apply key reduction with a threshold value of 0.5, positions will be held within 0.5 units of the original, and bend angles will be held within 0.5 degrees of the original.

Interface

Reduce Keys: Display the Reduce Keys dialog.

Threshold: Sets a threshold value.


Edit Ranges

Main toolbar > Open Track View > Track View toolbar > Edit Ranges

Graph Editors menu > Track View > Open Track View > Track View toolbar > Edit Ranges

Keyboard > F3

Edit Ranges displays all tracks as range bars. This mode is useful for quickly scaling and sliding complete animation tracks.

  • Drag the range bar of an animation track to change all animation in that track.

  • Drag range bars in higher-level tracks to change all animation in multiple tracks.

You cannot access individual key values in this mode.

Procedure

To drag the ranges of an object and all of its linked descendants:

  1. On the Track View toolbar, click Edit Ranges.

  2. On the Track View toolbar, click Modify Subtree.

  3. In the Track View Edit window, drag an Object range bar or the World range bar.

    With Modify Subtree on, a range bar displays in the Objects track. The Objects branch is the default parent of all named objects in the scene.

    Dragging a parent object range bar, with Modify Subtree on, affects all tracks subordinate to the object and all tracks of all of its linked descendants.

Interface

Edit Ranges: switches to Edit Ranges mode.

The Track View toolbar to the right of the Lock Selection button changes to reflect the current editing mode and shows the following buttons:

Position Ranges

Recouple Ranges


Position Ranges

Main toolbar > Open Track View > Track View toolbar > Position Ranges

Graph Editors menu > Track View > Open Track View > Track View toolbar > Position Ranges

Keyboard > F4

Position Ranges switches the Track View to Position Ranges mode. The Track View toolbar to the right of the Lock Selection button changes to reflect the current editing mode. Position Ranges mode allows you to position range bars independently from their associated keys and produce special effects.

The process of adjusting a range bar independent of its keys is called decoupling the range. Positioning a range bar so it matches the first to last keys of a track is called recoupling the range.

Decouple a Range Bar

You decouple a range bar for two reasons:

  • You want some keys at the start or end of an animation range to be ignored.

    Keys outside of the range bar are ignored during animation playback. The keys outside the range still affect interpolated values inside the range, but the applied Out-of-Range type is used to animate time outside the range bar.

  • You want to add extra time before the first key or after the last key that is not affected by the applied Out-of-Range type.

    Time beyond the first or last key of the track, but still within the range, uses the constant value of the nearest key within the range.

Procedure

To decouple a range bar from its keys:

  1. On the Track View toolbar, click Position Ranges.

  2. In the Track View Edit window, drag the entire range bar left or right of the keys or drag either end of the range bar to make it longer or shorter than the keys.

    Using Out-of-Range types in conjunction with this procedure allows you to change the behavior of an animated loop. Positioning either end of a range bar changes the loop.

Interface

Position Ranges: Adjusts the relationship between a range bar and its keys.

To the right of the Lock Selection button, the Track View toolbar changes to reflect the current editing mode.


Recouple Ranges

Main toolbar > Open Track View > Track View toolbar > Recouple Ranges

Graph Editors menu > Track View > Open Track View > Track View toolbar > Recouple Ranges

Recouple Ranges resizes the range bar so that the beginning and end of the range matches the first and last keys in the track. This is useful to quickly realign the range and the keys after editing.

Procedure

To recouple a range:

  1. On the Track View toolbar, click Position Ranges.

  2. Select one or more item labels in the Hierarchy list to select tracks to be recoupled.

  3. On the Track View toolbar, click Recouple Ranges

    The range bars for the selected tracks are positioned to match up with the first and last keys in their track.

    Position Ranges mode allows you to decouple the range bar from the animation keys. Recouple Ranges is a quick way to realign the range bars.

Interface

Recouple Ranges: Resizes the range bar to fit the first and last key of the selected track.


Copying and Pasting Items

You can copy and paste geometry, materials, and animation controllers between items in the Track View Hierarchy list. You can copy two categories of items in Track View:

Containers: Items with multiple branches that completely define something in your scene. Container items that can be copied include:

  • Material Parameters containing the Basic Parameters for a material definition.

  • Material Maps containing the entire set of maps and map parameters assigned to a material.

  • Map definitions containing a single map type with its associated parameters and coordinates.

  • Map Coordinates containing the map XYZ and UVW coordinate offset, tiling, and angle settings.

  • Map Parameters containing the parameters for a specific map type.

  • Objects, one level below a named object item, containing creation parameters for an unmodified object.

  • Modified Object containing modifiers applied to an object and the object creation parameters.

  • Modifiers containing modifier parameters.

Controllers: These are items with a green triangle icon. They control actual animated values for each parameter. Keep in mind that when you copy containers, you are actually copying and pasting groups of related controllers. Details about copying and pasting single controllers are presented in Assigning Controllers.

Whether you copy objects, materials, or controllers, the same basic principles apply. Here are restrictions for using Copy and Paste:

  • You can copy only a single selected item.

  • You can paste a copied item only into another item of the same type. An exception to this restriction involves pasting Object and Modified Object containers.

  • You can paste a copied item into a selection of multiple items only if all the items are of the same type.

  • When pasting items, you can choose to make an instance or a copy of the pasted item.

Copying Items

You copy an item by selecting it in the Hierarchy list and then clicking Copy on the Track View toolbar to copy it to the clipboard. If Copy is available, the selected item is a valid copy source. gmax disables Copy when the selected item is not a valid copy source or if multiple items are selected.

Pasting Items

Pasting items involves a few more choices than copying. You select one or more items from the Hierarchy list. If Paste is available the selected items are valid paste targets. The program disables Paste if the selected targets are not all the same type or if they do not match the type of item in the clipboard.

You can use Paste as follows:

  • Paste into a single target item.

  • Paste into multiple target items.

  • Paste copies or instances.

  • Choose to convert other instances in the scene automatically.

Clicking the Paste button displays the Paste dialog, with controls for determining how the Paste operation will be carried out.

Copy: Pastes the item in the clipboard as an independent copy. The target item will have no connection to the copied source item.

Instance: Pastes the item in the clipboard as an instance of the copied source item. The target item will be an instance of the source item. Any change you make to either item affects the other.

Replace All Instances: Controls whether existing instances of the target item are also converted to the paste source or left as they are.

Making Instances Unique

You can convert instanced items to unique items by clicking Make Unique on the Track View toolbar. If the selected item is not an instance, or if a selection of multiple items does not contain similar instances, Make Unique is disabled.


Copying and Pasting Objects

Copying and pasting objects involves working with the item that represents the object at the top of the modifier stack. This item is always a branch immediately below the named object item. The name of the item changes based on whether or not you have applied modifiers to the object:

Object: If you have not applied any modifiers to the object, then the Object container is at the top of the modifier stack.

Modified Object: After you apply a modifier to an object, the Modified Object container is at the top of the stack. The Object container moves to the bottom of the modifier stack inside the Modified Object container.

Using these two container types, you can copy geometry between objects.

To copy one object to other objects:

  1. Expand a named object item.

  2. Select the Object or Modified Object item one level below the named object.

  3. Click Copy in the Track View toolbar.

  4. Select one or more Objects or Modified Objects one level below the named object.

  5. Click Paste.

  6. Set the Paste options in the Paste dialog.

Here are some examples of how you might use object copy and paste:

  • Paste an Object into another Object to replace one simple object with another. For example, you animate the transforms of a box object and want to replace the box with a torus.

  • Paste an Object into a Modified Object to replace a complex, modified object with a simple stand-in object. For example, you model a complicated vehicle and you want to replace it with a box while you animate its transforms. Be sure to save the Modified Object to a file (using Save Selected).

  • Paste a Modified Object into another Modified Object to replace one complex modified object with another. For example, you have animated a flight of jets and you want to replace them with helicopters.

  • Paste a Modified Object into an Object to replace simple stand-in objects with complex modified objects. For example, you have animated a box and now want to replace it with a complex model of a jet.

Copying and Pasting Object Modifiers

You can also copy and paste modifiers below the Modified Object container. Copy and paste modifiers to do the following:

  • Copy modifiers within the modifier stack of a single object.

  • Copy modifiers between objects.

Unlike pasting other items, modifiers do not replace the selected item when you click Paste. Instead, the pasted modifier is inserted above the selected item.


Making Instance and Reference Objects Unique

You can convert instance and reference objects into unique objects by clicking Make Unique on the Track View toolbar. The result of clicking Make Unique depends on how the object was instanced or referenced, and which object container you select in the Hierarchy list.

When you make an instance or reference object, you cause the data flow to branch on its way from the master object to two or more named objects.

  • In Track View, these branches usually occur at Modified Object containers and sometimes at the base Object container.

  • In the modifier stack, these branches display as a horizontal line, called a derived object line.

For descriptions of object data flow and instance objects, see Understanding Object Data Flow.

You can make an object unique by selecting a Modified Object or an Object container and clicking Make Unique on the Track View toolbar. Your result depends on whether or not the data flow branches at the selected container.

  • If the data flow does not branch anywhere below the selected container, nothing happens.

  • If the data flow does branch at or below the selected container, the data flow above the branch is split from the current data flow as a unique object. The data flow from the selected container to the master object is copied and attached to the new unique object.

Making a Selection of Multiple Instances Unique

If you select multiple objects that are instances of each other, or share instanced modifiers, you can choose how to make them unique. After you click Make Unique, the Make Unique dialog appears, with the question, “Do you want to make the selected items unique with respect to each other?”

  • Click Yes to make each object in the selection completely unique.

  • Click No to leave the objects in the selection as instances, but to make them unique from other objects not in the selection.


Function Curves

Main toolbar > Open Track View > Track View toolbar > Function Curves

Graph Editors menu > Track View > Open Track View > Track View toolbar > Function Curves

Keyboard > F5

Function Curves displays selected controller items as curves, charting the controller's change of value over time.

Selecting a controller item icon, or selecting a curve in the Edit window, displays keys for that item as vertices on the function curve. You can then select and change the key values.

You can view and add keys to function curves for tracks that are not yet animated, and therefore have no controller. The curves appear as straight lines. As soon as you add a key to a function curve, a controller is created for that track.

Bezier Tangent Handles

Custom Tangents

You can use Bezier handles to change the shape of the trajectory through a key. To display handles on a key, right-click a key in the Track View Edit Window and choose the Custom Tangents option. You can assign the Custom Tangent type only to items using a Bezier controller. This will display tangent handles on the keys that you can manipulate horizontally and vertically.

Procedure

To display function curves:

  1. On the Track View toolbar, click Function Curves.

  2. In the Track View Hierarchy list, click a controller item label containing animation values to display the item's function curve.

    Press CTRL and repeat step 2 to add or remove function curves from the display.

Interface

Function Curves: Switches Track View to Function Curves mode.

The Track View toolbar to the right of the Lock Selection button changes to reflect the current editing mode and displays the following options:

Move Keys, Horizontal, Vertical

Scale Keys

Scale Values

Add Keys

Show Tangents

Lock Tangents

Apply Ease Curve or Multiplier Curve

Delete Ease/Multiplier Curve

Enable Ease/Multiplier Curve Toggle

Ease Out-of-Range Types

Multiplier Out-of-Range Types

Freeze Nonselected Curves


Move Keys, Horizontal, Vertical

Main toolbar > Open Track View > Track View toolbar > Function Curves > Move Keys, Horizontal, Vertical

Graph Editors menu > Track View > Open Track View > Track View toolbar > Function Curves > Move Keys, Horizontal, Vertical

With Move Keys, Horizontal, Vertical, you can move one or more selected keys to change both the timing and value of the keys in function curves mode.

Procedure

To move a selection of keys:

  1. On the Track View toolbar, click Function Curves.

  2. In the Hierarchy list, select a track.

  3. On the Track View toolbar, click Move Keys.

  4. In the Track View Edit window, select one or more keys.

  5. Drag the selected keys to a new location, or press SHIFT and drag the selected keys to add copies at the new location.

Interface

Move Keys: Moves keys in both horizontal and vertical axes.

Horizontal: Constrains movement to the horizontal axis.

Vertical: Constrains movement to the vertical axis.

Note: You can clone the keys by holding down SHIFT while dragging.


Scale Keys (Function Curves)

Main toolbar > Open Track View > Track View toolbar > Function Curves > Scale Keys

Graph Editors menu > Track View > Open Track View > Track View toolbar > Function Curves > Scale Keys

Use Scale Keys to scale function curve keys horizontally.

Procedure

To scale a selection of keys horizontally:

  1. On the Track View toolbar, click Function Curves.

  2. In the Hierarchy list, select a track.

  3. Scrub the time slider to the frame you want as the scale center.

  4. On the Track View toolbar, click Scale Keys.

  5. Select one or more keys.

  6. In the Track View Edit window, drag horizontally to scale selected keys, or press SHIFT and drag to add scaled copies of selected keys.

  7. Drag left or right for the following results:

    • Drag right to expand the keys away from the current time.

    • Drag left to shrink the keys towards the current time.

    • Drag left past the current time to reverse the keys and expand the keys away from the current time.

Interface

Scale Keys: Changes the horizontal location and amount of time covered by selected keys.

The scale center for scale time is the current time set by the time slider. You can scale keys about any moment in time by dragging the time slider before you use Scale Keys.


Scale Values

Main toolbar > Open Track View > Track View toolbar > Function Curves > Scale Values

Graph Editors menu > Track View > Open Track View > Track View toolbar > Function Curves > Scale Values

Use Scale Values to scale function curve keys vertically.

Procedure

To scale a selection of keys vertically:

  1. On the Track View toolbar, click Function Curves.

  2. On the Track View toolbar, click Scale Values.

  3. In the Hierarchy list, select a track.

  4. In the Track View Edit window, select one or more keys.

  5. Drag vertically to scale the values of selected keys.

  6. Drag up or down for the following results:

    • Drag up to expand the keys away from zero and increases their values.

    • Drag down to shrink the keys towards zero and decreases their values.

    • Drag down past zero to reverse the keys and expand the keys away from zero with negative values.

Interface

Scale Values: Scales the selected vertices to and from zero. The scale center of Scale Values is always the horizontal base line at the value of 0.


Add Keys (Function Curves)

Main toolbar > Open Track View > Track View toolbar > Add Keys

Graph Editors menu > Track View > Open Track View > Track View toolbar > Add Keys

When Add Keys is active, you can click anywhere on a function curve to add a key at that location on the curve. Add Keys is a mode that stays active until you click another mode.

If the selected curve is part of a multicurve controller, vertices are added to each curve at the time location where you clicked. For example, adding a key to the red X curve of a position track will also add keys at the same time to the green Y curve and the blue Z curve.

Adding Keys to a Multicurve Controller

The value of each key is set by one of the following conditions:

  • Keys added between keys receive the interpolated value shown by the function curve at that location.

  • Keys added before the first or after the last key on the curve receive the same value as the nearest key.

Procedure

To add keys to a function curve:

  1. On the Track View toolbar, click Function Curves.

  2. In the Hierarchy list, select a track.

  3. On the Track View toolbar, click Add Keys.

  4. Click the function curve where you want to add the key.

    If the selected curve is part of a multicurve controller, vertices are added to each curve at the time location where you clicked. For example, adding a key to the red X curve of a Position track also adds keys at the same time to the green Y curve and the blue Z curve.

Interface

Add Keys (Function Curves): Adds a key to any curve you select.


Show Tangents

Main toolbar > Open Track View > Function Curves > Show Tangents

Graph Editors menu > Track View > Open Track View > Function Curves > Show Tangents

With Show Tangents you can adjust the tangents of the selected vertices in Function Curves mode. Selected keys must have the Bezier controller with Custom Tangent type assigned.

Custom Tangent

You can assign the Custom Tangent type only to items using a Bezier controller. To determine if a displayed function curve uses a Bezier controller, turn on the Controller Types filter.

The tangent handles can be either continuous or discontinuous.

  • Continuous handles behave like a single lever with its pivot point at the key location. Moving either end of the handle also moves the opposite end, maintaining the continuity of the tangent. The function curve, and the animation it represents, moves smoothly through a key with continuous tangent handles.

  • Discontinuous handles behave like leaves on a hinge, with the hinge pin at the key location. Either end moves independently of the other.

Converting a discontinuous tangent to a continuous tangent requires changing the tangent type from Custom to Smooth and back to Custom again. This technique is performed at the key level and can affect unselected vertices if they belong to the same key as one of the selected vertices.

Horizontal Bezier Handle Control

When using the Custom Tangent type, tangent handles can be moved horizontally in length away from its key frame to affect the shape of the function curve. This affects the amount of influence the key frame has over the interpolation between key frames.

This feature can be used to aid in the slow in and slow out workflow of traditional animation. For example, suppose you are animating a ball bouncing up and down on the world’s Z axis. On frame 1, the ball is on the ground; on frame 8, the ball is in the air; on frame 16 the ball is back on the ground. You could adjust the tangents for frame 8 so that their length pulls more of the curve towards its keyframe and away from the key frames on frame 1 and 16. The ball will be more visible on screen near the top of its bounce and blurrier near the points where it touches the ground.

Procedures

To assign a Custom tangent type:

  1. On the Track View toolbar, click Function Curves.

  2. In the Hierarchy list, select a track that uses a Bezier controller (a Position track, for example).

  3. Select one or more keys on the curve.

  4. On the Track View toolbar, click Properties to display the Key Info dialog.

  5. Choose the Custom Tangent type from either In or Out at the bottom of the Key Info dialog.

    Tangent handles are displayed on the selected vertices.

To drag continuous tangent handles:

  1. On the Track View toolbar, click Function Curves.

  2. In the Hierarchy list, select a track that uses a Bezier controller (a Position track, for example).

  3. On the Track View toolbar, click one of the Move Keys buttons.

  4. Select one or more keys.

  5. On the Track View toolbar, click Lock Tangents to set one of the following modes:

    Inactive: Dragging a tangent handle affects only the single key displaying the handle.

    Active: Dragging a tangent handle affects the handles of all selected keys.

  6. Drag either end of the handles to rotate both handles about the key location, or press SHIFT and drag the end of one handle to break continuity and rotate only that handle about the key location.

To edit the horizontal length of a Bezier handle:

  1. First a Custom Tangent type must be assigned to the key frame you want to edit on the function curve.

  2. Make sure Show Tangents is turned on. The toggle is located on the Track View toolbar.

  3. Select the key frame on the function curve. Tangent handles are displayed on the selected key frame.

  4. Select one of the handles and move it horizontally away from its vertex (Key frame).

Interface

Show Tangents: Adjusts the tangents of the selected vertices.

By holding down the SHIFT key, you can edit the tangents of a vertex separately.

Free Handle: Automatically updates the length of the handle. When this is turned off, the length of the tangent is at a fixed percentage from its neighboring key. As you move a key, the handles adjust to stay the same percentage away from the neighboring keys. When this is turned on, the handle lengths are based on time lengths.


Lock Tangents

Main toolbar > Open Track View > Function Curves > Lock Tangents

Graph Editors menu > Track View > Open Track View > Function Curves > Lock Tangents

When Lock Tangents is active, dragging a tangent handle affects the handles of all selected keys. When Lock Tangents is inactive, dragging a tangent handle affects only the single key displaying the handle.

Procedure

To drag discontinuous tangent handles:

  1. Click one of the Move Keys buttons.

  2. Select one or more keys.

  3. Click Lock Tangents to set one of the following modes:

    Inactive: Dragging a tangent handle affects only the single key displaying the handle.

    Active: Dragging a tangent handle affects both handles of all selected keys.

  4. Drag the end of one handle to rotate it about the key location, or press SHIFT when Lock Handles is on and drag the end of one handle to rotate the matching handle about all selected key locations.

Interface

Lock Tangents: Keeps tangents oriented relative to one another after the SHIFT key has been used to manipulate them.


Apply Ease Curve or Apply Multiplier Curve

Apply Ease Curve or Multiplier Curve

Main toolbar > Open Track View > Track View toolbar > Function Curves > Apply Ease Curve or Apply Multiplier Curve

Graph Editors menu > Track View > Open Track View > Track View toolbar > Function Curves > Apply Ease Curve or Apply Multiplier Curve

Apply Ease Curve or Multiplier Curve creates an ease curve or multiplier curve track. Once you apply an ease or multiplier curve, you can edit its keys, ranges, and properties just like any other animation track.

Procedure

To apply an ease curve or a multiplier curve:

  1. On the Track View toolbar, click Function Curves.

  2. In the Hierarchy list, select a controller item.

    Not all controller items can receive ease or multiplier curves. For example, the Path constraint position controller cannot receive an ease or multiplier curve, but its subordinate Percent controller can. If the selected controller is incapable of receiving ease or multiplier curves, the buttons are grayed out.

  3. On the Track View toolbar, click Apply Ease Curve or Apply Multiplier Curve.

    The ease or multiplier curve is displayed as a subordinate item to the selected controller.

    You can apply ease and multiplier curves to most controllers, or to other ease or multiplier curves. Experiment with this technique to produce complex effects. To visualize the effects of editing ease and multiplier curves, turn on Trajectories in Command Panel > Motion Panel.

  4. In the Hierarchy list, select the ease or multiplier curve track.

  5. Add or move keys in the Edit window to vary the effect.

Interface

This flyout contains two functions:

Apply Ease Curve: Applies a curve to alter time of the selected function curve. Ease curves vary the timing of a superior function curve. A normal function curve charts an animated parameter value over time. An ease curve charts changes to the time of a function curve over time.

Apply Multiplier Curve: Applies a curve to scale the value of the selected function curve. The value of a multiplier curve is a scale factor applied to the value of its superior function curve.

You apply ease and multiplier curves in Function Curves mode. Once you apply an ease or multiplier curve, you can edit its keys, ranges, and properties just like any other animation track.


Delete Ease/Multiplier Curve

Main toolbar > Open Track View > Track View toolbar > Function Curves > Delete Ease or Delete Multiplier Curve

Graph Editors menu > Track View > Open Track View > Track View toolbar > Function Curves > Delete Ease or Delete Multiplier Curve

With Delete Ease or Multiplier Curve, you can remove an ease or multiplier curve at any time.

Procedure

To delete an ease or multiplier curve:

  1. In the Hierarchy list, select one or more ease or multiplier curve tracks.

  2. On the Track View toolbar, click Delete Ease/Multiplier Curve.

Interface

Delete Ease/Multiplier Curve: Deletes the currently selected ease curve or multiplier curve from the Track View.


Enable Ease/Multiplier Curve Toggle

Main toolbar > Open Track View > Function Curves > Enable Ease/Multiplier Curve Toggle

Graph Editors menu > Track View > Open Track View > Function Curves > Enable Ease/Multiplier Curve Toggle

Use Enable Ease/Multiplier Curve Toggle when you want to work with the original function curve rather than a curve altered by ease and multiplier curves. A disabled curve has no effect on its assigned track, but can be enabled to restore the effect.

Procedure

To toggle the active state of an ease or multiplier curve:

  1. In the Hierarchy list, select one or more ease or multiplier curves.

  2. On the Track View toolbar, click the Enable Ease/Multiplier Curve toggle.

Interface

Enable Ease/Multiplier Curve Toggle: Toggles the state of the selected ease curve or multiplier curve.


Ease Out-of-Range Types

Main toolbar > Open Track View > Track View toolbar > Function Curves > Select an Ease Curve track in the Track View Hierarchy. > Ease Out-of-Range Types

Graph Editors menu > Track View > Open Track View > Track View toolbar > Function Curves > Select an Ease Curve track in the Track View Hierarchy. > Ease Out-of-Range Types

Ease Out-of-Range Types displays a dialog where you can assign out-of-range types for the current ease curve.

Ease and multiplier curves use the same out-of-range types as other function curves, with two exceptions:

  • Out-of-Range types for ease and multiplier curves are applied with their own buttons.

  • Ease curves have one extra out-of-range type called the Identity type.

You will usually want to use the same out-of-range type for ease and multiplier curves that you use for their superior function curve.

Procedure

To set the out-of-range type for an ease or multiplier curve:

  1. Select one or more ease or multiplier curve items in the Hierarchy list.

  2. Do one of the following.

    • Click Ease Curve Out-Of-Range Types to display the Ease Curve Out-Of-Range Types dialog.

    • Click Multiplier Curve Out-Of-Range Types to display the Multiplier Curve Out-Of-Range Types dialog.

    • Do one of the following.

    • Click an out-of-range type image to apply that type to both the incoming and outgoing curves of the selected ease or multiplier curves.

    • Click the Left Arrow button below an out-of-range type image to apply it to only the incoming curve of the selected ease or multiplier curves.

    • Click the right arrow button below an out-of-range type to apply it to only the outgoing curve of the selected ease or multiplier curves.

Interface

See Ease Out-of-Range Types Dialog.


Ease Out-of-Range Types Dialog

Main toolbar > Open Track View > Function Curves > Ease Out-of-Range Types > Ease Out-of-Range Types dialog

Graph Editors menu > Track View > Open Track View > Function Curves > Ease Out-of-Range Types > Ease Out-of-Range Types dialog

Use the Ease Out-of-Range Types dialog to assign out-of-range types for the current ease curve.

Interface

Identity: Projects the ease curve along a line with a slope of 1.0 from either end of the range. This causes time to flow at a normal, constant rate outside the range of the ease curve. Use Identity when you want the ease curve to be a localized, non repeating effect.

Identity for an ease curve produces an effect similar to constant for other types of curves. Identity is not available for multiplier curves; it is the default Out-of-Range type for Ease curves.

Constant: Holds the value at the ends of the range for all frames. Use Constant when you want no animated effect before or after ends of the range. The time value at the end of the range is held for all frames before or after the range. Constant is the default out-of-range type for multiplier curves.

Linear: Projects the animation value along a line tangent to the ease or multiplier curve at the end of the range. use linear when you want the animation to enter and leave the range at a constant velocity.

Cycle: Repeats the same animation as within the range. Use Cycle when you want an animation to repeat exactly.

Loop: Repeats the same animation as within the range but interpolates between the last key and the first key of the range to create a smooth loop. Use Loop with an extended range bar to produce smoothly repeating animation.

Ping Pong: Alternates between a forward and backward repeat of the animation within the range. Use Ping Pong when you want your animation to alternate back and forth.

Relative Repeat: Repeats the same animation as within the range but offsets each repetition by the value at the end of the range. Use Relative Repeat to create animations that build on each other as they repeat.


Multiplier Out-of-Range Types

Main toolbar > Open Track View > Track View toolbar > Function Curves > Select a Multiplier Curve track in the Track View Hierarchy. > Multiplier Out-of-Range Types

Graph Editors menu > Track View > Open Track View > Track View toolbar > Function Curves > Select a Multiplier Curve track in the Track View Hierarchy. > Multiplier Out-of-Range Types

Multiplier Out-of-Range Types displays a dialog where you can assign out-of-range types for the current multiplier curve. Ease and multiplier curves use the same out-of-range types as other function curves, with two exceptions:

  • Out-of-Range types for ease and multiplier curves are applied with their own buttons.

  • Ease curves have one extra out-of-range type called the Identity type.

You will usually want to use the same out-of-range type for Ease and Multiplier curves that you use for their superior function curve.

Interface

Multiplier Out-of-Range Types: Displays a dialog where you can assign out-of-range types for the current multiplier curve.

Multiplier Out-of-Range Types dialog

Constant: Holds the value at the ends of the range for all frames. Use Constant when you want no animated effect before or after ends of the range. The time value at the end of the range is held for all frames before or after the range. Constant is the default Out-of-Range type for Multiplier curves.

Linear: Projects the animation value along a line tangent to the ease or multiplier curve at the end of the range. Use Linear when you want the animation to enter and leave the range at a constant velocity.

Cycle: Repeats the same animation as within the range. Use Cycle when you want an animation to repeat exactly.

Loop: Repeats the same animation as within the range but interpolates between the last key and the first key of the range to create a smooth loop. Use Loop with an extended range bar to produce smoothly repeating animation.

Ping Pong: Alternates between a forward and backward repeat of the animation within the range. Use Ping Pong when you want your animation to alternate back and forth.

Relative Repeat: Repeats the same animation as within the range but offsets each repetition by the value at the end of the range. Use Relative Repeat to create animations that build on each other as they repeat.


Freeze Nonselected Curves

Main toolbar > Open Track View > Track View toolbar > Function Curves > Freeze Nonselected Curves

Graph Editors menu > Track View > Open Track View > Track View toolbar > Function Curves > Freeze Nonselected Curves

Freeze Nonselected Curves makes all nonselected curves uneditable. Freeze Nonselected Curves is a selection modifier and has the following properties:

  • Selected curves display as solid lines with black squares at their vertices.

  • Nonselected curves display as dotted lines.

  • You can only select vertices from selected curves in the Edit window.

  • You select other curves by clicking their icons in the Hierarchy list.

Procedure

To freeze nonselected curves:

  1. Animate two objects.

  2. On the Track View toolbar, click Function Curves.

  3. In the Hierarchy list, hold CTRL and select the Position tracks of both objects.

    Freeze Nonselected Curves is on by default causing the selection of both the track label and container (green triangle). Function curves and keys for both objects are displayed.

  4. On the Track View toolbar, turn off Freeze Nonselected Curves.

  5. In the Hierarchy list, hold CTRL and click the Position track container (green triangle) of one of the objects.

    Keys for the track are hidden.

  6. On the Track View toolbar, click Freeze Nonselected Curves.

    The non selected curve freezes.

Interface

Freeze Nonselected Curves: Makes all nonselected curves uneditable. Default=on.


Status Bar/View Controls

Main toolbar > Open Track View > Status Bar/View Controls

Graph Editors menu > Track View > Open Track View > Status Bar/View Controls

Use the Status Bar/View Controls to control the Track View Edit window and view or enter frame and key values on the Track View status bar.

Zoom Selected Object

Select by Name

Prompt Line

Key Time Display

Value Display

Show Selected Key Statistics

Zoom Horizontal Extents

Zoom Value Extents

Pan

Zoom

Zoom Region


Zoom Selected Object

Select an object in the Viewports > Main toolbar > Open Track View > Track View status bar > Zoom Selected Object

Graph Editors menu > Track View > Open Track View > Track View status bar > Zoom Selected Object

Use Zoom Selected Object to place the currently selected object at the top of the Hierarchy list.

Zoom Selected Object affects the Hierarchy list as well as the Edit window. (In the case of the Function Curve display mode, it only affects the Hierarchy List). This Option scrolls the Hierarchy to place the track of the currently selected object at the top of the Hierarchy list. If the object is a child of a closed hierarchy, the hierarchy is opened to display the selected object. If more than one object is selected in the scene, the uppermost selected object in the Hierarchy list is placed at the top of the list. If no objects are selected, nothing happens. This function works only on object tracks.

Note: You can also select an object in the viewports, and then right-click and choose Track View Selected in the dialog, to open Track View with the selected object placed at the top of the Hierarchy list.

Procedure

To place the selected object at the top of the Hierarchy list:

  1. Select an object in the Viewports.

  2. Open Track View, then click Zoom Selected Object.

    The object is placed at the top of the Hierarchy list.

    This option is handy to quickly find an object in a hierarchy, for example, a character's finger, and place it at the top of the Hierarchy List.

Interface

Zoom Selected Object: Places the currently selected object at the top of the Hierarchy List.


Select By Name Button (Track View)

Select By Name

Main toolbar > Open Track View > Track View status bar > Select by Name

Graph Editors menu > Track View > Open Track View > Track View status bar > Select by Name

With Select By Name you can select tracks in the Hierarchy window by entering the track names (including optional wildcards) in the editable field. If the Controller Type display is active in the Filters options, you can specify by controller type as well.

Procedure

To select and display position tracks for three objects:

  1. Create three boxes.

    By default, the boxes are named Box01, Box02, and Box03.

  2. On the main toolbar, click Open Track View.

  3. In the Track View Hierarchy list, right-click Objects and choose Expand All in the dialog.

  4. In the Select By Name field, type (Box*)p.

    All the position tracks are selected.

  5. On the Track View toolbar, right-click Filters and choose Selected Tracks Only in the dialog.

    The position tracks for the three boxes are displayed at the top of the Hierarchy list.

Interface

Select by Name: Selects tracks in the Hierarchy list by name.

  • The name selection is not sensitive to case, except for text within parentheses.

  • Only those tracks that are open and displayed can be selected.

  • You can use wildcard characters. For example:

    Box selects all objects with Box in the beginning of the name.

    (Cone01)Position selects only the Position track under Cone01.

    (Cone*)Position selects the Position track under all objects that begin with "Cone"


Prompt Line (Track View)

Prompt Line

Main toolbar > Open Track View > Track View status bar > Prompt Line

Graph Editors menu > Track View > Open Track View > Track View status bar > Prompt Line

The text in the prompt line changes according to the currently selected mode. The prompt line displays reminders of what action is expected in the Edit window.


Key Time Display

Main toolbar > Open Track View > Track View status bar > Key Time Display

Graph Editors menu > Track View > Open Track View > Track View status bar > Key Time Display

The Key Time editable field displays the frame number (position in time) of the selected key. You can enter a new frame number or enter an expression to move the key to a frame.

Using Expressions in the Time and Value Fields

You can enter any expression in the time and value fields. The variable 'n' stands for the key time or value. An expression can be as complex as you want, and can involve any function the expression controller uses. For example, you could enter an expression such as: n/2+sin(n)*40^n.

  • The expression parsing in the time field works only when the time display mode is set to frames. The expression parser doesn't understand SMPTE or Frame:Ticks.

Procedure

To add 10 frames to selected keys:

  1. In the Track View Edit window, select keys.

  2. Type n+10 in the Key Time field.

    Selected keys are incremented by 10 frames.

Interface

Key Time Display (Track View): Displays the frame number of the selected key. You can enter a new frame number or enter an expression.


Value Display

Main toolbar > Open Track View > Track View status bar > Value Display

Graph Editors menu > Track View > Open Track View > Track View status bar > Value Display

Value Display displays the value (position in space) of the selected key. This is an editable field. In Function Curves mode, you can enter a new number or expression to change the value of selected keys.

Using Expressions in the Time and Value Fields

You can enter any expression in the time and value in fields. The variable 'n' stands for the key time or value. An expression can be as complex as you want and can involve any function that is supported by the software. For example, you could enter an expression such as: n/2+sin(n)*40^n.

  • The expression parsing in the time field works only when the time display mode is set to frames. The expression parser doesn't understand SMPTE or Frame:Ticks.

Procedure

To add 10 to value of selected keys:

  1. On the Track View toolbar, click Function Curves.

  2. In the Hierarchy list, select the Position track of an object.

    Graph curves and keys are displayed in the Edit window.

  3. Select keys in the Edit window.

  4. Type n+10 in the Key Time field.

    10 is added to the value of each key. Typing 10 would give each key a value of 10.

Interface

Value Display: Displays the value of the selected key. You can enter a new number or enter an expression.


Show Selected Key Statistics

Main toolbar > Open Track View > Track View status bar >Show Selected Key Statistics

Graph Editors menu > Track View > Open Track View > Track View status bar >Show Selected Key Statistics

Show Selected Key Statistics displays the statistics represented by the currently selected keys in Function Curves mode.

The frame number and value are displayed to the right of the key in the Edit window. For example, 68,40.620 (frame=68, value=40.620 ).

Procedure

To show selected key statistics:

  1. On the Track View toolbar, click Function Curves.

  2. On the Hierarchy list, click the Position track of an object.

  3. On the Track View status bar, click Show Selected Key Statistics.

  4. In the Edit window, select keys.

    Key statistics are displayed next to the selected keys.

Interface

Show Selected Key Statistics: Displays the statistics of the currently selected key.


Zoom Horizontal Extents

Main toolbar > Open Track View > Track View status bar > Zoom Horizontal Extents

Graph Editors menu > Track View > Open Track View > Track View status bar > Zoom Horizontal Extents

Zoom Horizontal Extents is a flyout containing Zoom Horizontal Extents and Zoom Horizontal Extents Keys.

Procedure

To display the active time segment in the Edit window:

  • On the Track View status bar, select Zoom Horizontal Extents.

    The active time segment (displayed in a lighter color) is centered in the Edit window.

Interface

Zoom Horizontal Extents: Adjusts the size of the Track View Edit window horizontally so that all of the active time segment is visible at once.

Zoom Horizontal Extents Keys: Scales your view horizontally to display the full range of all animation keys. Depending on your animation, this view could be larger or smaller than the Active Time Segment.


Zoom Value Extents

Main toolbar > Open Track View > Track View status bar > Zoom Value Extents

Graph Editors menu > Track View > Open Track View > Track View status bar > Zoom Value Extents

In Function Curves mode, Zoom Value Extents adjusts the size of the Track View Edit window vertically so that the full height of the curves in the active time segment is visible.

Procedure

To adjust the Edit window for function curves:

  1. On the Track View toolbar, click Function Curves.

  2. In the Hierarchy list, click the position track for an object.

  3. On the Track View status bar, click Zoom Value Extents.

    The Edit window scales vertically to display the function curves.

Interface

Zoom Value Extents: Zooms the Edit window to display function curves.


Pan (Track View)

Pan

Main toolbar > Open Track View > Track View status bar > Pan

Graph Editors menu > Track View > Open Track View > Track View status bar > Pan

With Pan you can click and drag the Edit window to move it left, right, up or down. Pan remains active until you right-click to cancel or click another option. The Pan button is green while active.

Zooming and Panning with the Intellimouse

You can use the wheel on the Intellimouse to zoom and pan the Track View Edit window. Drag with the wheel to pan, and roll the wheel to zoom. (If you have a standard three button mouse, you can pan but you can't zoom.)

Procedure

To pan in the Edit window:

  1. On the Track View status bar, click Pan.

  2. In the Edit window, click and drag to pan the window.

Interface

Pan (Track View): Moves the Edit window left, right, up or down. Drag horizontally in all modes to slide the view forward and backward in time. Drag vertically (in Function Curve mode only) to slide the view up and down in value.


Zoom (Track View)

Zoom

Main toolbar > Open Track View > Track View status bar > Zoom

Graph Editors menu > Track View > Open Track View > Track View status bar > Zoom

Zoom is a three-button flyout. You can zoom your view of time horizontally, vertically, and in both directions simultaneously. You drag right to increase magnification and drag left to decrease magnification.

Procedure

To zoom your view of time horizontally:

  1. On the Track View status bar, click Zoom.

  2. Click and drag to the right in the Track View Edit window.

    Your view of time expands horizontally in the edit window.

Interface

Zoom: Zooms your view of time and values simultaneously. Zoom remains active until you right-click to cancel or click another option. The Zoom button is green while active.

Drag down to zoom out and see more time and a larger range of values. Drag up to zoom in and see less time and a smaller range of values.

Zoom Vertically: In Function Curves mode, dynamically zooms the contents of the Edit window vertically. Drag up to increase magnification. Drag down to decrease magnification.

Zoom Horizontally: Dynamically zooms the contents of the Edit window horizontally.


Zoom Region

Main toolbar > Open Track View > Track View status bar > Zoom Region

Graph Editors menu > Track View > Open Track View > Track View status bar > Zoom Region

With Zoom Region, you can drag a region in the Edit window and scale that region to fill the window.

Procedure

To zoom a region of the Edit window:

  1. On the Track View status bar, click Zoom Region.

  2. Drag a window in the Edit window.

    The selection zooms to fill the Edit window.

Interface

Zoom Region (Track View): Activates region zooming. Region Zoom remains active until you right-click to cancel or click another option. The Zoom Region button is green while active.

In Function Curves mode, both time and value are scaled to fit the Edit window. In all other modes, only time is scaled to fit the Edit window.


Open Track View

Graph Editors menu > Track View > Open Track View

Opens the most recent Track View window. This command works the same as the Track View button in the toolbar.

The behavior of this command changes depending on how many track views you have created or opened. If you have not previously created a track view window, a new track view window labeled "Untitled 1" appears. If an open track view labeled "Untitled 1" already exists, the software creates a new track view labeled "Untitled 2".

You can open up to 13 track view windows per gmax scene. You can pick these by name from the stored track views list at the end of the Track View menu. Open Track View is disabled if the scene already has 13 track view windows.

The software follows these rules in handling track view windows.

  • The software preserves the order of all track view windows during a gmax session. It saves all the stored track view windows are saved with the .gmax file, but the order of the track view windows is lost when you reopen the .gmax file.

  • Track View filter settings are saved in the .gmax file.

  • Reset closes all open track views and deletes all named track views.

  • Opening another .gmax file closes all open track views in the current scene.

Procedures

To open a track view window:

  • Click Track View > Open Track View.

    If no Track View window was previously closed, gmax opens a new, untitled Track View window. Otherwise, it opens the last Track View that you closed.

To name a track view window:

  • Type the name in the edit box at the right end of the Track View toolbar.


New Track View

Graph Editors menu > Track View > New Track View

New Track View opens a new, untitled Track View window.. A gmax scene can have up to 13 track view windows. You can pick these by name from the stored track views list at the end of the Track View menu. New Track View is disabled if the scene already has 13 track view windows.

You can name a track view by typing in the editable field at the right end of the track view toolbar.

Procedures

To create a new track view window:

  • Click Graph Editors menu > Track View > New Track View.

    The software opens a new, untitled track view window, regardless of whether you have closed other track view windows.

To name a track view window:

  • Type the name in the edit box at the right end of the track view toolbar.


Delete Track View

Graph Editors menu > Track View > Delete Track View

Delete Track View displays a Delete Track View dialog that lets you delete one or more of the stored track view windows.

Procedure

To delete a track view:

  1. Choose Graph Editors menu > Track View > Delete Track View.

  2. In the Delete Track View dialog, select the name of one or more track view windows.

  3. Click OK to delete the track view windows you chose.


Stored Track Views List

Graph Editors menu > Track View > Track View window names at the bottom of the Track View menu

After you close one or more track view windows, gmax displays their names at the bottom of the Track View menu. You can store up to 13 track view windows with each scene.

Procedure

To display a previously stored track view window:

  1. Click Graph Editors menu > Track View on the menu bar.

  2. Choose a stored track view from the list at the bottom of the Track View Menu.


Delete Track View Dialog

Graph Editors Menu > Track View > Delete Track View

Lets you delete one or more stored track view windows by choosing their names from a list.

Procedure

To delete a track view:

Choose Graph Editors Menu > Track View > Delete Track View.

  1. In the Delete Track View dialog, select the name of one or more track view windows.

  2. Click OK to delete the Track View windows you chose.


Follow/Bank Utility

Utilities panel > Utilities rollout > Follow/Bank

The Follow/Bank utility applies rotation keys to an object that already has a motion trajectory. The settings are similar to those found in the Path constraint. Use this when you have an object for which you've already assigned motion and want it to follow or bank along its trajectory, but don’t want to use a Path constraint.

The utility aligns the object's X axis to the direction of motion. To change the orientation, change the pivot orientation in the Hierarchy > Pivot panel before using this utility.

Although many of the settings are the same as in the Path constraint, this utility is not dynamic; you have to click the Apply Follow button each time you change an object's animation or the utility settings. When adjusting banking settings, move to the point at which the object is at the sharpest turn, then alternately click Apply Follow and adjust the banking settings to get the right affect at the extreme corner.

Procedure

On the Utilities panel, click the Follow/Bank button.

  1. Adjust the options in the Follow/Bank Parameters rollout.

  2. Select the objects you want to follow/bank.

  3. Click the Apply Follow button.

    The objects orient themselves at the start frame, and follow or bank along their trajectories.

Interface

Selected Object group

Displays the name of the current selection. If more than one object is selected, "Multiple Selected" displays.

Apply Follow: Applies the settings and generates rotation keys. Each time you click this button, rotation keys in the specified range of frames (set in the Samples group) are deleted and regenerated.

Follow Options group

Contains the parameters that specify whether or not to use banking, and the banking settings.

Bank: Turn on to cause the objects to bank as well as follow the trajectory.

Bank Amount: Adjusts the amount of the banking to one side or the other, depending on whether the value is positive or negative.

Smoothness: Controls how rapidly the roll angle changes as an object moves through bends in the trajectory. Smaller values make an object more responsive to subtle changes in the curve while larger values minimize jerkiness.

Allow Upside Down: Avoids the situation where an object flips when going around a vertically oriented path.

Samples group

Specifies the range of frames over which rotation keys are generated, and the number of keys to be generated.

Start: Specifies the first frame rotation keys are generated.

End: Specifies the last frame rotation keys are generated.

Samples: Specifies the number of rotation keys to be generated in the specified range.

Close: Exits the Follow/Bank utility.


Lights

Create panel > Lights

Create menu > Lights

Nighttime scene with artificial lighting

Lights are objects that simulate real lights such as household or office lamps, the light instruments used in stage and film work, and the sun itself. Different kinds of light objects cast light in different ways, simulating different kinds of real-world light sources.

When there are no lights in a scene, the scene is shaded with default lighting. You add lights to give the scene a more realistic appearance. Lighting enhances the clarity and three-dimensionality of a scene. In addition to general lighting effects, lights can be used to project images.

Light objects replace the default lighting. As soon as you create a light, the default lighting is turned off. If you delete all the lights in the scene, default lighting is turned back on. The default lighting consists of two invisible lights: one is above and to the left of the scene, and the other is below and to the right.

Tip: One way to begin your work on lighting a scene is to convert the default lighting into light objects by using the command Add Default Lights to Scene.

You can turn the display of light objects on and off with an option in the Display panel.

There are five types of light objects:

Target Spot

Free Spot

Target Direct

Free Direct

Omni

Most of the light parameters are common to all types of lights, and are described in the following topics:

General Lighting Parameters

Attenuation Parameters

Shadow Parameters

Projection Parameters

Spotlights and Directional lights have rollouts specific to them:

Spotlight Parameters

Directional Parameters

For parameters specific to a particular kind of light, see that light's description.

You can use the Place Highlight command to change a light's position. See the Procedures in Working with Lights.

A Light viewport can be a useful way to adjust lights other than omni lights.

See also

Working with Lights

Using Lights

Lights Include/Exclude

Light Lister


Using Lights

In general, these are the reasons to use light objects:

  • To improve the illumination of a scene

    The default illumination in viewports might not be bright enough, or it might not illuminate all faces of a complicated object.

  • To enhance a scene's realism through realistic lighting effects

    Guidelines for Lighting has suggestions about making lighting appear realistic.

  • To enhance a scene's realism by having lights cast shadows

    All kinds of lights can cast shadows. Also, you can selectively control whether an object casts or receives shadows. See Shadow Parameters.

  • To cast projections in a scene

    All kinds of lights can project still or animated maps. See Projection Parameters.

  • To help model a source of illumination in the scene, such as a flashlight

    Light objects don't render, so to model a source of illumination, you also need to create geometry that corresponds to the light source. A self-illuminating material can help as well.

See also

Properties of Light

Lighting in gmax

Guidelines for Lighting

Positioning Light Objects

Animating Lights


Working with Lights

Here are some general tips about working with lights:

  • One way to begin your work on lighting a scene is to convert the default lighting into light objects by using the command Add Default Lights to Scene.

  • You can turn the display of light objects on and off with an option in the Display panel. See Procedures.

  • You can use the Place Highlight button to change a light's position. See Procedures, below.

  • A Light viewport can be a useful way to adjust lights other than omni lights.

Procedures

To create a light:

  1. On the Create panel, click Lights.

  2. In the Object Type rollout, click the type of light you want to create.

  3. Click in a viewport to create the light. This step varies slightly depending on the type of light. For example, if the light has a target, you drag and click to set the target’s location.

    Light objects replace the default lighting. As soon as you create a light, the default lighting is turned off. If you delete all lights in the scene, the default lighting is restored.

  4. Set the creation parameters.

    Like all objects, lights have a name, a color, and a General Parameters rollout.

To create shadows, do one of the following:

  • In the General Parameters rollout, turn on Cast Shadows. Adjust shadow parameters in the Shadow Parameters rollout and the additional (Shadow Map or Ray Traced Shadows) shadow rollouts.

  • Right-click the light, and turn on Cast Shadows in the Tools 1 (upper-left) quadrant of the quad menu.

    Turning on Cast Shadows also turns on the On toggle in the Shadow Parameters rollout, and vice versa.

    Shadows are not visible in shaded viewports.

    Tip: To turn shadows on or off for multiple lights, select the lights and then use the Light Lister.

    You can set an object to not cast or not receive shadows. By default, objects do both. See Object Properties.

To control the display of light objects:

  1. On the Display control panel, in the Hide By Category rollout, turn on Lights.

    All light objects in the scene disappear, but the lighting itself is unchanged.

    Light objects can cast light whether or not their display is turned off. The Zoom Extents commands are affected by whether light icons are displayed or not. When lights are displayed, Zoom Extents and Zoom Extents All include the lights in the zoom.

  2. Turn off Lights to redisplay all lights in the viewport.

To change a light's parameters:

  1. Select the light.

    Tip: Lights are hard to select by clicking. Use the keyboard shortcut H to select the light by name.

  2. Open the Modify panel.

  3. Change the light's parameters in the General Parameters rollout and other rollouts available for that light.

To position a light so it highlights a face:

  1. Activate the viewport where you want to place the highlight, and make sure that the object you want to highlight is visible in it.

    The result of Place Highlight depends on what is visible in the viewport.

  2. Select a light object.

  3. On the Main toolbar, click Place Highlight.

    If the button is not visible on the toolbar, choose it from the Align flyout.

  4. Drag over the object to place the highlight.

    When you place an omni, free spot, or free direct light, the program displays a face normal for the face the mouse indicates.

    When you place a target spotlight or direct light, the program displays the light's target and the base of its cone.

  5. Release the mouse when the normal or target display indicates the face you want to highlight.

    The light now has a new position and orientation. You can see the highlight illumination in shaded viewports that show the face you chose.

    Place Highlight works with any kind of selected object. You can also use Place Highlight with a selection set of multiple objects. All objects maintain their initial distance from the face.

    Another way to use Place Highlight is to choose Tools menu > Place Highlight in step 3, above.

    Note: For objects with materials, the appearance of the highlight depends on the material's specular properties.


Properties of Light

This topic describes light in the real world. When you light a scene, it can be helpful to know how light naturally behaves.

When light rays strike a surface, the surface reflects them, or at least some of them, enabling us to see the surface. The appearance of a surface depends on the light that strikes it combined with the properties of the surface material, such as color, smoothness, and opacity.

Materials let you specify the properties of surfaces.

Intensity

The intensity of light at its point of origin affects how brightly the light illuminates an object. A dim light cast on a brightly colored object shows only dim colors.

Angle of Incidence

The more a surface inclines away from a light source, the less light it receives and the darker it appears. The angle of the surface normal relative to the light source is known as the angle of incidence.

When the angle of incidence is 0 degrees (that is, the light source strikes the surface perpendicularly), the surface is illuminated with the full intensity of the light source. As the angle of incidence increases, the intensity of illumination decreases.

Angle of incidence affects intensity.

Attenuation

In the real world, light diminishes over distance. Objects far from the light source appear darker; objects near the source appear brighter. This effect is known as attenuation.

In nature, light attenuates at an inverse square rate. That is, its intensity diminishes in proportion to the square of the distance from the light source. It is common for attenuation to be even greater when light is dispersed by the atmosphere, especially when there are dust particles in the atmosphere, or fog or clouds.

Reflected Light and Ambient Light

The light an object reflects can illuminate other objects. The more light a surface reflects, the more light it contributes to illuminating other objects in its environment.

Reflected light creates ambient light. Ambient light has a uniform intensity and is uniformly diffuse. It has no discernible source and no discernible direction.

Color and Light

The color of light depends partly on the process that generates the light. For example, a tungsten lamp casts orange-yellow light, a mercury vapor lamp casts cold blue-white light, and sunlight is yellow-white. Light color also depends on the medium the light passes through. For example, clouds in the atmosphere tint daylight blue, and stained glass can tint light a highly saturated color.

Light colors are additive colors; the primary light colors are red, green, and blue (RGB). As multiple colored lights mix together, the total light in the scene gets lighter and eventually turns white.

Additive mixing of colored lights

Color Temperature

Color temperature describes a color in terms of degrees Kelvin (K). This is useful for describing the color of light sources and other color values that are close to white. The following table shows color temperatures for some common types of light, with the equivalent hue number (from the HSV color description).

If you use these hue numbers for lights in a scene, set the value to full (255) and then adjust the saturation to meet the needs of your scene. Mentally we tend to correct light color so that objects appear to be lit by white light; usually the effect of color temperature in a scene should be subtle.
Light source | Color temperature | Hue
Overcast daylight | 6000 K | 130
Noontime sunlight | 5000 K | 58
White fluorescent | 4000 K | 27
Tungsten/halogen lamp | 3300 K | 20
Incandescent lamp (100 to 200 W) | 2900 K | 16
Incandescent lamp (25 W) | 2500 K | 12
Sunlight at sunset or sunrise | 2000 K | 7
Candle flame | 1750 K | 5


Lighting in gmax

Lighting in gmax simulates natural lighting, but is simpler than natural lighting.

Intensity

The intensity of a light is its HSV Value. At full value (255), the light is at its brightest; at 0, the light is completely dark.

See Designing Materials for more information about material color and how it interacts with light intensity.

A surface is fully illuminated when the angle of incidence is 0 degrees (that is, the light source strikes the surface perpendicularly). There is no attenuation, and the light is white. If the angle of incidence increases, attenuation is in effect, or if the light has a color, the surface intensity can be reduced.

Angle of Incidence

gmax uses a vector from the light object to the face, along with the face normal, to calculate the angle of incidence.

In other words, the position and orientation of the light, relative to the object, are what control the angle of incidence in a scene. The Place Highlight command is one way to fine-tune the location of a light.

Attenuation

By default, gmax lights have no attenuation. To shade a scene with attenuation, you turn it on for one or more lights. All lights support attenuation.

gmax lets you explicitly set where attenuation begins and where it ends. This is partly so you don’t have to worry about setting up strictly realistic distances between light objects and the objects they illuminate. More importantly, this feature lets you fine-tune the effect of attenuation.

See Attenuation Parameters.

In outdoor scenes, attenuation can enhance the effect of distance.

In an indoor setting, attenuation is useful for low-intensity light sources such as candles.

Reflected Light and Ambient Light

gmax lighting does not calculate the effect of light reflected from objects in the scene.

Ambient light affects contrast. The higher the intensity of ambient light, the lower the contrast in the scene.

The color of ambient light tints the scene. Sometimes ambient light is bounced light that gets its color from other objects in the scene. Most of the time, however, the color of ambient light should be the complement of the color of the principal light source for the scene.

Tip: To better simulate reflected light and variations in it due to the varying reflectivity of objects in the scene, you can add more lights to a scene and set them to exclude the objects you don’t want them to affect. You can also set up lights to affect only the ambient component of surfaces. See General Lighting Parameters.

Color

You can set the color of gmax lights. You can use the RGB values for color temperatures as a guide for the principal lighting of a scene; see Properties of Light. Be aware, however, that we tend to perceive scenes as always being lit by white light (this is a perceptual phenomenon known as color constancy), so accurately reproducing the color of a light source can make the scene appear to be tinted oddly. Use the light source values as a general guideline only.

Shadowless Light

Scenes have no shadows unless you explicitly turn them on. Shadows are caused by one object blocking the path of light. If you don’t cast shadows, light passes through objects and each object is lit as if other objects were not there. In other words, unless you turn on shadows, the relative position of objects has no effect on how they are lit.

See Shadow Parameters.


Guidelines for Lighting

The guidelines for lighting used by photographers, filmmakers, and stage designers can also help you set up the lighting for scenes in gmax.

Your choice of lighting depends on whether your scene simulates natural or artificial illumination. Naturally lit scenes, such as daylight or moonlight, get their most important illumination from a single light source. Artificially lit scenes, on the other hand, often have multiple light sources of similar intensity. In gmax, both kinds of scenes require multiple secondary light sources for effective illumination.

Whether a scene is indoors or outdoors can also affect your choice of material colors. See Designing Materials.

Natural Light

Outdoor scene with natural sunlight

For practical purposes at ground level, sunlight has parallel rays coming from a single direction. The direction and angle vary depending on the time of day, the latitude, and the season.

In clear weather, the color of sunlight is a pale yellow: for example, RGB values of 250, 255, 175 (HSV 45, 80, 255). Cloudy weather can tint sunlight blue, shading into dark gray for stormy weather. Particles in the air can give sunlight an orange or brownish tint. At sunrise and sunset, the color can be more orange or red than yellow.

gmax specifically provides directional light objects to simulate the sun. See Target Direct and Free Direct. A single directional light is appropriate as the main light source for sunlit scenes.

Shadows are more distinct the clearer the day is, and can be essential for bringing out the three-dimensionality of a naturally lit scene.

A directional light can also simulate moonlight, which is white but dim compared to the sun.

Artificial Light

Outdoor scene with natural twilight and one streetlight

Artificial light, whether used indoors or outdoors at night, uses multiple lights. The following guidelines are for creating normally lit, easily legible scenes. You don’t have to follow the guidelines, of course, but then you call attention to the lighting itself, rather than to the subject of the scene.

The subject of a scene should be lit by a single bright light, known as the key light. Position the key light in front of the subject and slightly above.

In addition to the key light, position one or more other lights to illuminate the background and the side of the subject. These are known as fill lights. Fill lights are less bright than the key light.

When you use only one fill light, the angle at ground level between it, the subject, and the key light should be approximately 90 degrees.

Key-and-fill lighting emphasizes the subject of a scene. It also emphasizes the three-dimensionality of the scene.

In gmax, a spotlight is usually best for the key light, and either spotlights or omni lights are good for creating the fill lighting. See Target Spot, Free Spot, and Omni. Ambient light can be another element of your fill lighting.

You can also add lights to emphasize secondary subjects in a scene. In stage terminology, these lights are known as specials. Special lights are usually brighter than the fill light but less bright than the main key light.

Ambient Light

Left: No ambient light
Middle: Default ambient light
Right: User-adjusted ambient light

Ambient light in gmax simulates the general illumination from light reflecting off diffuse surfaces. Ambient settings determine the illumination level of surfaces in shadow, or those not receiving direct illumination from light sources. The Ambient level in the Viewport Background dialog establishes the scene’s basic illumination level before any light sources are taken into account, and is the dimmest any portion of the scene can ever become.

Ambient light is most often used for exterior scenes, when the sky’s broad lighting produces an even distribution of reflected light to surfaces not in direct sun. A common technique for deepening the shadows is to tint the ambient light color to be the complement of the scene’s key light.

Unlike the outside, interior scenes typically have numerous lights, and a general ambient light level is not ideal for simulating the diffuse reflection of local light sources. For interiors, it’s common to set the scene’s environment ambient level to black, and use lights that effect ambient only to simulate the regional areas of diffuse reflection.

You set the scene’s ambient light using the Viewport Background dialog. You set a light to affect only ambient illumination with its General Parameters rollout > Ambient Only check box.


Positioning Light Objects

Once you have placed lights in your scene, you can use transforms to change a light's position or orientation.

Transforming Lights

Use transforms on light objects as follows:

Move: Use Move to change the position of lights. You can also use it to change the position of light targets.

Rotate: Use Rotate to change the orientation of lights.

You can't rotate a target light about its local X or Y axes. Instead, use Move to move the light or its target. Rotating the light about its local Z axis can be useful if the light uses a rectangular beam or projects a bitmap.

Rotating a plain omni light has no effect as omni lights cast light uniformly in all directions. However, rotating an omni projector light causes the projected image to rotate.

Scale: Scaling spotlights and directional lights changes the size of their light beam and attenuation ranges. Scaling omni lights changes only the attenuation ranges.

Light viewports are another convenient way to transform and change parameters of spotlights and directional lights.

Tip: When you adjust lights, it can be useful to turn on Degradation Override. If Override is off and shaded viewports begin to display in wireframe, you can't see the result of the changes you make to lights.

Placing Highlights

You use Place Highlight to position a light to create a specular highlight at a designated point on an object. Place Highlight is one of the buttons on the Align flyout.

Place Highlight moves or rotates the selected light object to aim it at a face on an object you pick. The light maintains its original distance from the face.

Place Highlight works with any kind of selected object. You can also use Place Highlight with a selection set that contains more than one object. All objects maintain their initial distance from the face.


Animating Lights

You animate lights by using transforms or changing creation parameters on different keyframes while the Animate button is on. During animation, light transforms and parameter values are interpolated between keyframes.

Note: If you adjust a Light viewport while the Animate button is on, you animate the light.

Moving and Rotating Light Objects

You can use the following methods to move and rotate light objects.

Move an omni light when it’s a "practical" light within a scene (a light that appears in the scene itself). Combine the light with a self-illuminating geometric object.

Use a free spotlight when the spotlight is to move within the scene. Free spotlights are especially intended to be animated along a path, using a Path constraint. Unlike target spotlights, free spotlights can bank as they travel. Use target spotlights when the light position is fixed.

If you do need to move a target spotlight, link both the light and its target to a dummy object, then assign the path constraint to the dummy object.

Use a Look-At Constraint to have a spotlight track a moving object.

If the spotlight is a target spotlight, its previous target is ignored.

If the spotlight is a free spotlight, it effectively becomes a target spotlight, with the looked-at object the target.

Animating Light Creation Parameters

The following techniques can be used to animate light creation parameters.

To dim or brighten a light over time, animate its Value parameter.

To change the color of a light over time, animate its color parameters. Use a smooth tangent for color change keys unless you want the color to change abruptly.

To make a light flash on and off, set its Value to 0 in repeated keyframes, and assign a step tangent to its color change keys.


Light Include/Exclude

Tab panel > Lights & Camera tab > Light Include/Exclude Tool

Light Include/Exclude is a modeless dialog that lets you include or exclude objects on a light-by-light basis. When excluded, an object is not illuminated by the selected light and receives no shadows.

This dialog requires at least one light object in your scene. For a selected light, this dialog is a shortcut to the same functionality available on the Exclude/Include dialog.

Although light exclusion does not occur in nature, this feature is useful when you need exact control over the lighting in your scene. Sometimes, for example, you'll want to add lights specifically to illuminate a single object but not its surroundings, or you'll want a light to cast shadows from one object but not from another.

Note: By default, no objects are excluded for a new light. It’s only necessary to include objects that have previously been excluded.

See also

Light Lister

Procedure

To exclude an object from receiving light:

  1. In the scene, select the object you want to exclude. You can select multiple objects.

  2. On the Lights & Camera tab, click Launch Light Include/Exclude to display the Light Incl/Exl dialog.

  3. In the Geometry group, turn on Exclude.

  4. Click the Assign To Light button.

  5. In the scene, click a light. If the light is hard to locate, use the keyboard shortcut H to pick the light.

    The object is now excluded from the light. The Objects list at the bottom of the dialog lists the object.

Interface

Geometry group

Include, Exclude: Toggles the state of a selected object to receive light from a particular light object. Default=include.

Assign to Light: Activates selection so you can choose the light you want to use. You can only choose one light at a time.

List Light Properties group

These controls let you view and edit the include/exclude status of objects on a light-by-light basis.

Current displayed light: Names the currently selected light.

Choose Light: Activates selection so you can choose another light.

Clear Light: Empties the Objects list, removing any included or excluded objects assigned to the currently displayed light.

Include, Exclude: Reverses the state of included or excluded objects to receive light from the currently displayed light.

Objects: Lists objects selected for inclusion or exclusion by the currently displayed light.

Help: Provides a quick reminder of procedures.


Light Lister

Tools menu > Light Lister

Tab panel > Lights & Camera tab > Light Lister Tool

Light Lister is a modeless dialog that lets you control a number of features for each light. You can also make global settings that affect every light in your scene.

This dialog requires at least one light object in your scene. For a selected light, this dialog is a shortcut to the same functionality available on the Modify panel > Parameters rollout.

See also

Light Include/Exclude

Procedures

To use global settings:

  1. On the Light Lister dialog, open the Global Settings rollout.

  2. Make changes to the settings. See Interface, below.

  3. Click Set All Lights.

    An alert asks if you want to continue.

  4. Click Yes to update the scene to these global changes.

To set individual lights:

  1. On the Light Lister dialog > Lights rollout, change the settings for any light on the list. See Interface, below.

    Some changes show up immediately in the viewport.

  2. When you’re done, click Refresh to force an update to the new settings.

Interface

Global Setting rollout

These controls affect all lights in your scene.

The labels for settings in the Global Settings rollout are buttons. When on, the setting is active and affects lights in the scene when you click Set All Lights or Set Selected Lights. When off, the setting is inactive and does not affect lights in the scene. The buttons are highlighted in yellow when you turn them on.

On: When on, all lights are active in the scene. When off, all lights go dark. Default=on.

Color: By default, the color of all lights is white. Click to display the Color Selector dialog and change the global light color.

Multiplier: Increases or decreases the intensity of Standard lights. See General Lighting Parameters for Standard lights.

Shad (Shadows): When on, all lights cast shadows. When off, no lights cast shadows. Default=on.

Shad. Type (Shadow Type): Selects either shadow-mapped shadows (Shadow Maps) or ray-traced shadows (Raytraced). Default=Shadow Maps.

MapSize: Sets the size (in pixels squared) of the shadow map used by all lights.

Bias: Setting depends on whether shadow-mapped shadows or ray-traced shadows is selected. In general, bias moves the shadow toward or away from the shadow-casting object. See Shadow Map Parameters and Ray-Traced Shadow Parameters for specific effects.

Samples: For shadow-mapped shadows, sets the Sample Range value. See Shadow Map Parameters. This value has no effect for ray-traced shadows. Default=4.0.

Decay: Sets the type of decay: None, Inverse, or Inverse Square. See Attenuation Parameters. Default=None.

Start: Sets the start range for decay. See Attenuation Parameters. Default=0.0.

Atten S. (Attenuation Start): Sets the start value for attenuation. See Attenuation Parameters.

Atten. E. (Attenuation End): Sets the end value for attenuation. See Attenuation Parameters.

Set All Lights: Click to apply the active global settings to all lights in the scene. The active global settings are the ones whose label button is on, and highlighted in yellow. An alert appears so you can confirm that you want to do this.

Set Selected Lights: Click to apply the active global settings to the selected lights in the scene. The active global settings are the ones whose label button is on, and highlighted in yellow. An alert appears so you can confirm that you want to do this.

Global Tint: Adds a color tint to all lights in the scene except ambient light. Click to use the Color Selector dialog. The tint is in addition to the global light color, or the color of individual lights. The default setting, white, has no tinting effect.

Global Level: Increases or decreases the overall lighting level for Standard lights. Default=1.0.

Ambient: Changes the ambient color, the color seen in shadows. Click to use the Color Selector dialog.

Lights rollout

Refresh: Updates the scene to use current settings on this rollout.

Show Selected Only: When on, displays only selected lights in the Lights rollout. Otherwise, displays all lights in the scene. Default=off.

The following controls are for individual lights.

Blank gray button: Click to select the named light. This button turns gray for selected lights. Selecting a light opens the Modify panel for that light. This button has a gray box in the middle for the light that appears in the Modify panel. The gray box appears whether the light is selected or not.

Note: You can set the controls for a light without selecting it.

Check box: Turns the light on or off. Default=on.

Name: Shows the name of the light object.

Color: Click to display the Color Selector dialog and change the light color. Default=white.

Multiplier: Increases or decreases the intensity of the light. Default (Standard lights)=1.0.

Shad. (Shadows): Turns shadow casting on or off. Default=on.

Shad. Type (Shadow Type): Selects either shadow-mapped shadows (Shadow Maps) or ray-traced shadows (Raytraced). Default=Shadow Maps.

MapSize: Available only when shadow map shadows (S) is on. Sets the size (in pixels squared) of the shadow map used by all lights.

Bias: Setting depends on whether shadow map shadows (S) or raytraced shadows (R) is selected. In general, bias moves the shadow toward or away from the shadow-casting object. See Shadow Map Parameters and Ray-Traced Shadow Parameters for specific effects.

Samples: For shadow-mapped shadows, sets the Sample Range value. See Shadow Map Parameters. This value has no effect for ray-traced shadows. Default=4.0.

Decay: Sets the type of decay: None, Inverse, or Inverse Square. See Attenuation Parameters. Default=None.

Start: Sets the start range for decay. See Attenuation Parameters. Default=0.0.

Attn S. (Attenuation Start): Sets the start value for attenuation. See Attenuation Parameters.

Attn. E. (Attenuation End): Sets the end value for attenuation. See Attenuation Parameters.


Target Spot

Create panel > Lights > Target Spot button

Create menu > Lights > Target Spotlight

Tab panels > Lights & Cameras tab > Target Spotlight

Left: Top view of a target spotlight
Right: Perspective view of the same light

A spotlight casts a focused beam of light like a flashlight, a follow spot in a theater, or a headlight. A target spotlight uses a target object to aim the camera.

Target Spotlight icon

See also

Lights

General Lighting Parameters

Shadow Parameters

Projection Parameters

Spotlight Parameters

Procedures

To create a target spotlight:

  1. On the Create panel, click Lights.

  2. In the Object Type rollout, click Target Spot.

  3. Drag in a viewport. The initial point of the drag is the location of the spotlight, and the point where you release the mouse is the location of the target.

    The light is now part of the scene.

  4. Set the creation parameters.

To adjust a target spotlight:

  1. Select the light.

  2. Use Move on the main toolbar to adjust the light. As an alternative, right-click the light and choose Move.

    Because the spotlight is always aimed at its target, you can't rotate it about its local X or Y axis. However, you can select and move the target object as well as the light itself. When you move either the light or the target, the light's orientation changes so it always points at the target.

    Note: The target’s distance from the light does not affect the attenuation or brightness of the light.

To select the target:

The target, displayed as a small square, is often in the same area as objects that you want to illuminate. It can be difficult to select it by clicking.

  1. Select the spotlight itself.

  2. Right-click the light and choose Select Target from the upper-left (Tools 1) quadrant of the quad menu.

    Clicking the line that connects the light and its target selects both objects. However, region selection doesn't recognize the link line.

    Another way to adjust a spotlight is to use a Light viewport.

To change a viewport to a Light view:

  1. Right-click a viewport label.

    The viewport right-click menu is displayed.

  2. Choose Views.

    The name of each spotlight or directional light is displayed in the Views list.

  3. Choose the name of the light you want.

    The viewport now shows the light's point of view. You can use the Light viewport controls to adjust the light.

    The default keyboard shortcut for switching to a Light viewport is $.

Interface

When you rename a target spotlight, the target is automatically renamed to match. For example, renaming Light01 to Klieg causes Light01.Target to become Klieg. Target. The target's name must have the extension .Target. Renaming the target object does not rename the light object.


Free Spot

Create panel > Lights > Free Spot button

Create menu > Lights > Free Spotlight

Tab panels > Lights & Cameras tab > Free Spotlight

Left: Top view of a free spotlight
Right: Perspective view of the same light

Unlike a targeted spotlight, a Free Spot has no target object. You can move and rotate the free spot to aim it in any direction.

Free Spot icon

See also

Lights

General Lighting Parameters

Shadow Parameters

Projection Parameters

Spotlight Parameters

Procedures

To create a free spotlight:

  1. On the Create panel, click Lights.

  2. In the Object Type rollout, click Free Spot.

  3. Click the viewport location where you want the light to be.

    The light is now part of the scene. It points away from you in the viewport you clicked.

    You can adjust the light's direction with Move and Rotate or by using a Light viewport.

  4. Set the creation parameters.

To change a viewport to a Light view:

  1. Right-click a viewport label.

    The viewport right-click menu is displayed.

  2. Choose Views.

    The name of each spotlight or directional light is displayed in the Views list.

  3. Choose the name of the light you want.

    The viewport now shows the light's point of view. You can use the Light viewport controls to adjust the light.

    The default keyboard shortcut for switching to a Light viewport is $.

Interface

You aim a free spotlight by adjusting its orientation in a scene using Move and Rotate.

The free spotlight is useful when you want a spotlight to follow a path and either don't want to bother with linking a spotlight and target to a dummy object, or you need banking along the path.

Spotlight Parameters rollout

A Free Spot has this additional parameter on the Spotlight Parameters rollout.

Target Distance: Sets a point to use as an invisible target about which the Free Spot can orbit. The target distance is animatable.


Target Direct

Create panel > Lights > Target Direct button

Create menu > Lights > Target Directional Light

Tab panels > Lights & Cameras tab > Target Directional Light

Left: Top view of a target directional light
Right: Perspective view of the same light

Directional lights cast parallel light rays in a single direction, as the sun does (for all practical purposes) at the surface of the earth. Directional lights are primarily used to simulate sunlight. You can adjust the color of the light and position and rotate the light in 3D space.

Because directional rays are parallel, directional lights have a beam in the shape of a circular or rectangular prism instead of a "cone."

Target Direct light icon

See also

Lights

General Lighting Parameters

Shadow Parameters

Projection Parameters

Directional Parameters

Procedures

To create a target direct light:

  1. On the Create panel, click Lights.

  2. In the Object Type rollout, click Target Direct.

  3. Drag in a viewport. The initial point of the drag is the location of the light, and the point where you release the mouse is the location of the target.

    The light is now part of the scene.

  4. Set the creation parameters.

    To adjust the light's direction, move the target object.

To change a viewport to a Light view:

  1. Right-click the viewport label.

    The viewport right-click menu is displayed.

  2. Choose Views.

    The name of each spotlight or directional light is displayed in the Views list.

  3. Choose the name of the light you want.

    The viewport now shows the light's point of view. You can use the Light viewport controls to adjust the light.

    The default keyboard shortcut for switching to a Light viewport is $.

Interface

Clicking the line that connects the light and its target selects both objects. However, region selection doesn't recognize the link line.

When you rename a target directional light, the target is automatically renamed to match. For example, renaming Light01 to Sol causes Light01.Target to become Sol.Target. The target's name must have the extension .Target. Renaming the target object does not rename the light object.


Free Direct

Create panel > Lights > Free Direct button

Create menu > Lights > Directional Light

Tab panels > Lights & Cameras tab > Directional Light

Left: Top view of a free directional light
Right: Perspective view of the same light

Directional lights cast parallel light rays in a single direction, as the sun does (for all practical purposes) at the surface of the earth. Directional lights are primarily used to simulate sunlight. You can adjust the color of the light and position and rotate the light in 3D space.

Because directional rays are parallel, directional lights have a beam in the shape of a circular or rectangular prism instead of a "cone."

Free Direct light icon

See also

Lights

General Lighting Parameters

Shadow Parameters

Projection Parameters

Directional Parameters

Procedures

To create a free direct light:

  1. On the Create panel, click Lights.

  2. In the Object Type rollout, click Free Direct.

  3. Click a viewport.

    The light is now part of the scene. It points away from you in the viewport you clicked.

  4. Set the creation parameters.

    To adjust the light's direction, you can rotate it as you would any object.

To change a viewport to a Light view:

  1. Right-click the viewport label.

    The viewport right-click menu is displayed.

  2. Choose Views.

    The name of each spotlight or directional light appears in the Views list.

  3. Choose the name of the light you want.

    The viewport now shows the light's point of view. You can use the Light viewport controls to adjust the light.

    The default keyboard shortcut for switching to a Light viewport is $.

Interface

Spotlight Parameters rollout

A Free Direct light has this additional parameter on the Spotlight Parameters rollout.

Target Distance: Sets a point to use as an invisible target about which the Free Direct light can orbit. This parameter also affects the length of the light's cone display.


Omni

Create panel > Lights > Omni button

Create menu > Lights > Omni Light

Tab panels > Lights & Cameras tab > Omni Light

Left: Top view of an omni light
Right: Perspective view of the same light

An Omni light casts rays in all directions from a single source. Omni lights are useful for adding "fill lighting" to your scene, or simulating point source lights.

Omni lights can cast shadows and projections. A single shadow-casting omni light is the equivalent of six shadow-casting spotlights, pointing outward from the center.

Omni light icon

Omni Lights and Projections

When you set a map projected by an Omni light to be projected using the Spherical, Cylindrical, or Shrink Wrap Environment coordinates, the map is projected using one of these geometries. This is the same way maps are projected by the UVW Map modifier. When you use the Screen Environment coordinates or Explicit Map Channel Texture coordinates, six copies of the map are projected radially.

Omni Lights and Shadows

Tip: Omni lights can generate up to six quadtrees, so they generate ray-traced shadows more slowly than spotlights. Avoid using ray-traced shadows with omni lights unless your scene requires this.

See also

Lights

General Lighting Parameters

Shadow Parameters

Projection Parameters

Procedure

To create an omni light:

  1. On the Create panel, click Lights.

  2. In the Object Type rollout, click Omni.

  3. Click the viewport location where you want the light to be. If you drag the mouse, you can move the light around before releasing the mouse to fix its position.

    The light is now part of the scene.

  4. Set the creation parameters.

    To adjust the light's effect, you can move it as you would any object.


General Lighting Parameters

Create panel > Lights > Create a light. > General Parameters rollout

The General Parameters rollout is displayed for all types of lights. These controls turn a light on and off, adjust its color, exclude or include objects in the scene, and select which color components the light affects.

In the Modify panel, the General Parameters rollout also lets you change the light from one type to another.

Procedures

To turn a light on and off:

  • Turn the On toggle on or off.

    Default=on.

To choose the color of a light using the color selector:

  1. Click the color swatch next to the On check box.

    A modal Color Selector dialog is displayed.

  2. Use the Color Selector to choose a new color, and then click OK.

    Shaded viewports update to show the new light color.

To choose the color of a light using the General Parameters spinners:

  • Use the RGB and HSV spinners to change the light's color.

    The color swatch now shows the light's new color.

To change a light's intensity:

  • Increase or decrease the light's HSV Value in the Color area of the General Parameters rollout.

    Shaded viewports are updated to show the new light intensity, which also appears in renderings.

    You can animate a light's value.

    If the light is not bright enough at full value (255), add another light to the scene. If multiple lights still aren't adequate, you can try increasing the light's Multiplier.

Interface

These are the general parameters for lights.

Type: Changes the type of the light. The light can be an omni, target spot, free spot, target direct, or free direct light.

This parameter is available only in the Modify panel.

On: Turns the light on and off. When On is on, shading uses the light to illuminate the scene. When On is off, the light is not used in shading. Default=on.

In viewports, the interactive renderer shows the effect of turning lights on or off.

Color Swatch: Shows the color of the light. Clicking the color swatch displays the Color Selector dialog so you can choose a color for the light.

Exclude: Excludes selected objects from the effects of the light. Click this button to display the Exclude/Include dialog.

Excluded objects still appear lit in shaded viewports. But exclusion takes effect when you apply vertex colors.

R, G, B / H, S, V: Set the color of the light by adjusting the red, green, and blue components or by adjusting the hue, saturation, and value. The effect of adjusting the spinners is visible in the color swatch above them. You can also click the color swatch to display the Color Selector dialog. Default=white (RGB=255,255,255; HSV=0,0,255).

Multiplier: Amplifies the power of the light by a positive or negative amount. For example, if you set the multiplier to 2, the light will be twice as bright. Multipliers are also useful for subtracting light and selectively placing dark areas in the scene. Default=1.0.

Using this parameter to increase intensity can cause colors to appear "burned out." In general, leave Multiplier set to its default of 1.0 except for special effects and special cases.

High Multiplier values wash out colors. For example, if you set a spotlight to be red but then increase its Multiplier to 10, the light is white in the hotspot and red only in the falloff area, where the Multiplier isn't applied.

Negative Multiplier values result in "dark light." That is, the light darkens objects instead of illuminating them.

Affect Surfaces group

Contrast: Adjusts the contrast between the diffuse and ambient areas of the surface. Leave this set to 0 for normal contrast. Increase the value to increase the contrast for special effects: for example, the harsh light of outer space. Default=0.0.

Soften Diffuse Edge: Increasing the value of Soften Diffuse Edge softens the edge between the diffuse and ambient portions of a surface. This helps eliminate edges that can appear on a surface under certain circumstances. Default=50.

Note: Soften Diffuse Edge reduces the amount of light, slightly. You can counter this, to some extent, by increasing the Multiplier value.

Diffuse: When on, the light affects the diffuse properties of an object's surface. When off, the light has no effect on the diffuse surface. Default=on.

Specular: When on, the light affects the specular properties of an object's surface. When off, the light has no effect on the specular properties. Default=on.

For example, by using the Diffuse and Specular check boxes you can have one light color the specular highlights of an object, while not coloring its diffuse area, and then have a second light color the diffuse portion of the surface while not creating specular highlights.

Ambient Only: When on, the light affects only the ambient component of the illumination. This gives you more detailed control over the ambient illumination in your scene. When Ambient Only is on, Affect Diffuse Affect Specular, Contrast, Soften Diffuse Edge, and shadow parameters are unavailable. Default=off.

The effect of Ambient Only isn't visible in viewports.


Exclude/Include Dialog

Create panel > Lights > Create light. > General Parameters rollout > Exclude button

The Exclude/Include dialog determines which objects are not illuminated by the selected light.

Although light exclusion does not occur in nature, this feature is useful when you need exact control over the lighting in your scene. Sometimes, for example, you'll want to add lights specifically to illuminate a single object but not its surroundings, or you'll want a light to cast shadows from one object but not from another.

Procedures

To exclude objects from a light:

  1. In the General Parameters rollout, click Exclude.

    The Exclude/Include dialog is displayed.

  2. Make sure Exclude is on.

  3. Choose to exclude objects from Illumination, Shadow Casting, or Both.

  4. In the list of object names on the left, highlight the objects you want to exclude.

  5. Click the arrow pointing to the right to move the selected object names into the right-hand list.

    Objects in the right-hand list will be excluded. To remove an object from this list, highlight its name and click the arrow pointing to the left. To remove all objects from this list, click Clear.

  6. Click OK.

    Now when you shade or render the scene, the light will have no effect on the objects you chose.

    The object still appears lit in shaded viewports. Exclusion takes effect only when you apply vertex colors.

To include objects that were excluded:

  1. Click Exclude.

    The Exclude/Include dialog is displayed.

  2. Select the names of objects in the right-hand list, and then click the arrow pointing to the left.

  3. Click OK.

To include all excluded objects at once:

  1. Click Exclude or Include.

    The Exclude/Include dialog is displayed.

  2. Click Clear.

  3. Click OK.

Interface

The Exclude/Include dialog contains the following controls:

Exclude/Include: Determines whether the light will exclude or include the objects named in the list on the right.

Illumination: Excludes or includes illumination of the object's surface.

Shadow Casting: Excludes or includes creation of the object's shadow.

Both: Excludes or includes both of the above.

Scene Objects: Select objects from the Scene Objects list on the left, then use the arrow buttons to add them to the exclusion list on the right.

The Exclude/Include dialog treats a group as an object. You can exclude or include all objects in a group by selecting the group's name in the Scene Objects list. If a group is nested within another group, it isn't visible in the Scene Objects list. To exclude a nested group or individual objects within the group, you have to ungroup them before you use this dialog.

Search field: The edit box above the Scene Objects list searches for objects by name. You can enter names that use wildcards.

Display Subtree: Indents the Scene Objects list according to the object hierarchy.

Case Sensitive: Uses case sensitivity when searching object names.

Selection Sets: Displays a list of named selection sets. Choosing a selection set from this list selects those objects in the Scene Objects list.

Clear: Clears all entries from the Exclude/Include list on the right.


Attenuation Parameters

Create panel > Lights > Create light. > Attenuation Parameters rollout

Attenuation settings cause distant objects to be dimmer.

Attenuation is the effect of light diminishing over distance. In gmax, you can set attenuation values explicitly. The effects can vary from real-world lights, giving you more direct control over how lights fade in or fade out.

Attenuation is not visible in viewports.

Note: With no attenuation, an object can paradoxically appear to grow brighter as it moves away from the light source. This is because the angle of incidence more closely approaches 0 degrees for more of the object's faces.

Two sets of values control attenuation for objects. The Far attenuation value sets the distance at which the light drops off to zero. The Near attenuation value sets the distance at which the light "fades in." Both these controls are turned on and off by a toggle called Use.

When Use is set for far attenuation, the light at its source uses the value specified by its color and multiplier controls. It remains at this value from the source to the distance specified by Start, then its value drops off to zero at the distance specified by End.

Adding attenuation to a scene

When Use is set for Near attenuation, the light value remains at zero up to the distance specified by Start. From Start to the distance specified by End, its value increases. Beyond End, the light remains at the value specified by the color and multiplier controls, unless far attenuation is also active.

You can't set the Near and Far attenuation distances so they overlap.

The Decay controls are an additional way to make a light fade out.

Procedures

To use attenuation:

  1. Set the Start and End values.

  2. Turn on Use.

    Attenuation is now in effect for this light when the scene is shaded or rendered.

To see the attenuation range in viewports:

  • Set Show for far or near attenuation.

    You can preview the effect of attenuation in shaded viewports only if you turn this on as an option in viewport preferences.

Interface

Near Attenuation group

Start: Sets the distance at which the light begins to fade in.

End: Sets the distance at which the light reaches its full value.

Use: Enables near attenuation for the light.

Show: Displays the near attenuation range settings in viewports. For spotlights, attenuation ranges appear as lens-shaped sections of the cone. For directional lights, the ranges appear as circular sections of the cone. For omni lights and spot or directional lights with Overshoot turned on, the ranges appear as spheres. By default, Near Start is dark blue and Near End is light blue.

Far Attenuation group

Start: Sets the distance at which the light begins to fade out.

End: Sets the distance at which the light has faded to zero.

Use: Enables far attenuation for the light.

Show: Displays the far attenuation range settings in viewports. For spotlights, attenuation ranges appear as lens-shaped sections of the cone. For directional lights, the ranges appear as circular sections of the cone. For omni lights and spot or directional lights with Overshoot turned on, the ranges appear as spheres. By default, Far Start is light brown and Far End is dark brown.

Decay group

Decay is an additional way to make a light's intensity reduce over distance.

Type: Sets the type of decay to use. There are three types to choose from.

None: (The default.) Applies no decay. The light maintains full strength from its source to infinity, unless you turn on far attenuation.

Inverse: Applies inverse decay. The formula is luminance=R0/R, where R0 is the radial source of the light if no attenuation is used, or the Near End value of the light if Attenuation is used. R is the radial distance of the illuminated surface from R0.

Inverse Square: Applies inverse-square decay. The formula for this is (R0/R)2. This is actually the "real-world" decay of light, but you might find it too dim in the world of computer graphics.

Tip: If Inverse Square decay makes the scene too dim, try increasing the light's Multiplier value.

The point at which decay begins depends on whether or not you use attenuation.

  • With no attenuation, decay begins at the source of the light.

  • With near attenuation, the decay begins at the Near End position. Decay overrides far attenuation.

Once the beginning point is established, the decay follows its formula to infinity, or until the light itself is cut off by the Far End distance. In other words, the distance between Near End and Far End does not scale, or otherwise affect, the apparent ramp of decaying light.

Tip: Because decay continues to calculate dimmer and dimmer values as the distance of the light throw increases, it's a good idea to attenuate at least the end of the light to eliminate unnecessary calculations.


Spotlight Parameters

Create panel > Lights > Create a target spotlight or free spotlight. > Spotlight Parameters rollout

The Spotlight Parameters rollout appears when you create or select a target spot or free spot light. These parameters control hotspots and falloff, shadow mapping, and in the case of free spotlights, the target distance.

Procedures

To see the spotlight cone in viewports:

The cone is always visible while the light is selected. This setting keeps the cone visible when the light is unselected.

  1. Select the spotlight.

  2. In the Spotlight Parameters rollout > Light Cone group, turn on Show Cone.

  3. Select another object, deselecting the light.

    A wireframe outline of the light's cone appears. The hotspot region is outlined in light blue, and the falloff region is outlined in dark gray.

    The cone is always visible while the light is selected.

    Tip: The hotspot and falloff borders are not visible in shaded viewports. Use controls in the Light Cone group to adjust hotspot and falloff in the viewport.

Spotlight cone displayed in a viewport

To adjust the hotspot and falloff, do one of the following:

  • Use the Hotspot and Falloff spinners to increase or decrease the size of the hotspot and falloff regions. For spotlights, Hotspot and Falloff are expressed in degrees.

  • Use manipulators to adjust hotspot and falloff by dragging in a viewport, as described in the procedure that follows.

    By default, falloff value is always constrained to be at least two degrees or two units greater than the hotspot value.

    When the hotspot and falloff values are equal, the light casts a hard-edged beam.

To use manipulators to control hotspot and falloff:

  1. Select the spotlight.

    Tip: When you select multiple spotlights, all their manipulators are accessible.

  2. On the default main toolbar, click to turn on Select And Manipulate.

    Now when you move the mouse over the hotspot or falloff circle, the circle turns red to show you can adjust it by dragging. Also, a tooltip displays the spotlight name, the parameter, and its value.

  3. Drag the hotspot or falloff circle to adjust the value.

    The hotspot and falloff constrain each other, as their spinner controls do.

    Spotlight manipulators are described at the end of this topic.

To set the shape of the light beam:

  1. Choose either Rectangle or Circle.

    The shape of the light's cone changes to reflect the shape you chose.

  2. If you chose Circle, you are done. If you chose Rectangle, you can now adjust the aspect ratio of the rectangular light in the Aspect field.

To change a rectangular light's aspect ratio:

  1. Choose Rectangle, as described above.

  2. Change the Aspect value to the aspect ratio that you want.

    The Bitmap Fit button is another way to set the aspect ratio. It is mainly used with projections.

    The Projector and Assign controls are also for setting up projections. The Overshoot control is mainly used when the light casts shadows.

Interface

Light Cone group

These parameters control hotspots and falloff for spotlights.

Show Cone: Turns display of the cone on or off.

Note: The cone is always visible when a light is selected, so clearing this check box has no apparent effect until you deselect the light.

Overshoot: When Overshoot is set, the light casts light in all directions. However, projections and shadows occur only within its falloff cone.

Hotspot: Adjusts the angle of a light's cone. The Hotspot value is measured in degrees. Default=43.0.

Falloff: Adjusts the angle of a light's falloff. The Falloff value is measured in degrees. Default=45.0.

You can manipulate the hotspot and falloff by dragging manipulators in viewports, as described in the previous procedures, and the later section "Manipulators for Spotlights."

You can also adjust hotspot and falloff angles in a Light viewport (looking at the scene from the point of view of the spotlight).

Circle/Rectangle: Determine the shape of the falloff and hotspot areas. Set Circle when you want a standard, circular light. Set Rectangle when you want a rectangular beam of light, such as light cast through a window or doorway.

Aspect: Sets the aspect ratio for the rectangular light beam. The Bitmap Fit button lets you make the aspect ratio match a specified bitmap. Default=1.0.

Bitmap Fit: If the light's projection aspect is rectangular, sets the aspect ratio to match a particular bitmap. This is useful when you are using the light as a projector light.. See Projection Parameters.

Projector Map group

These controls make the spotlight a projector. For procedures, see Projection Parameters.

Check box: Turn on to project the map selected by the Map button. Turn off to turn off projection.

Map: Names the map used for the projection. You can drag from any map specified in the Material Editor, or any other map button, and drop that map on the light's Map button. You can also click the Map button to display the Material/Map Browser, which lets you choose the map.

Target Distance: Displays the distance between the spotlight and its target. For a free spotlight, you can set this value. For a target spotlight, you can change it only by moving the light or the light's target object.

Manipulators for Spotlights

The spotlight cone has graphic manipulators to help you adjust the hotspot and falloff.

Manipulators are visible and usable while the Select and Manipulate button is turned on. This button is on the default main toolbar. When you move the mouse over a manipulator, the manipulator turns red to show that dragging or clicking it will have an effect. Also, a tooltip appears, showing the name of the object, the parameter, and its value.

Tip: When you select multiple spotlights, all their manipulators are accessible.

For more information on using the spotlight manipulators, see the Procedures section at the top of this topic.

Hotspot manipulator: In a viewport, drag the hotspot circle to adjust the hotspot value.

Falloff manipulator: In a viewport, drag the falloff to adjust the falloff value.

The hotspot and falloff constrain each other, as their spinner controls do.


Directional Parameters

Create panel > Lights > Create target direct or free direct light. > Directional Parameters rollout

The Directional Parameters rollout appears when you create or select a target direct or free direct light. These parameters control hotspots and falloff, shadow mapping, and in the case of free direct lights, the target distance.

Procedures

To see the directional cone in viewports:

The cone is always visible while the light is selected. This setting keeps the cone visible when the light is unselected.

  1. Select the spotlight.

  2. In the Directional Parameters rollout > Light Cone group, turn on Show Cone.

  3. Select another object, deselecting the light.

    A wireframe outline of the light's cone appears. The hotspot region is outlined in light blue, and the falloff region is outlined in dark gray.

    The cone is always visible while the light is selected.

    Tip: The hotspot and falloff borders are not visible in shaded viewports. Use the cone values to adjust hotspot and falloff in the viewport.

To adjust the hotspot and falloff:

  • Use the Hotspot and Falloff spinners to increase or decrease the size of the hotspot and falloff regions. For directional lights, Hotspot and Falloff are expressed in units.

    By default, the falloff value is always constrained to be at least two degrees or two units greater than the hotspot value.

    When the hotspot and falloff values are equal, the light casts a hard-edged beam.

To set the shape of the light beam:

  1. Choose either Rectangle or Circle.

    The shape of the light's cone changes to reflect the shape you chose.

  2. If you chose Circle, you are done. If you chose Rectangle, you can now adjust the aspect ratio of the rectangular light using the spinner labeled Aspect.

To change a rectangular light's aspect ratio:

  1. Choose Rectangle, as described above.

  2. Change the Aspect value to the aspect ratio that you want.

    The Bitmap Fit button is another way to set the aspect ratio. It is mainly used with projections.

    The Projector and Assign controls are also for setting up projections. The Overshoot control is mainly used when the light casts shadows.

Interface

Light Cone group

These parameters control hotspots and falloff for spotlights.

Show Cone: Turns display of the cone on or off.

Note: The cone is always visible when a light is selected, so clearing this check box has no apparent effect until you deselect the light.

Overshoot: When Overshoot is set, the light casts light in all directions. However, projections and shadows occur only within its falloff cone.

Hotspot: Adjusts the size of a light's cone. The Hotspot value is measured in gmax units. Default=43.0.

Falloff: Adjusts the size of a light's falloff. The Falloff value is measured in gmax units. Default=45.0.

You can also adjust hotspot and falloff angles in a Light viewport (looking at the scene from the point of view of the spotlight).

Circle/Rectangle: Determine the shape of the falloff and hotspot areas. Set Circle when you want a standard, circular light. Set Rectangle when you want a rectangular beam of light, such as light cast through a window or doorway.

Aspect: Sets the aspect ratio for the rectangular light beam. The Bitmap Fit button lets you make the aspect ratio match a specified bitmap. Default=1.0.

Bitmap Fit: If the light's projection aspect is rectangular, sets the aspect ratio to match a particular bitmap. This is useful when you are using the light as a projector light. See Projection Parameters.

Projector Map group

These controls make the directional light a projector. For procedures, see Projection Parameters.

Check box: Turn on to project the map selected by the Map button. Turn off to turn off projection.

Map: Names the map used for the projection. You can drag from any map specified in the Material Editor, or any other map button, and drop that map on the light's Map button. You can also click the Map button to display the Material/Map Browser, which lets you choose the map.

Target Distance: Displays the distance between the directional light and its target. For a free direct light, you can set this value. For a target direct light, you can change it only by moving the light or the light's target object.


Projection Parameters

Create panel > Lights > Create an omni, spot, or directional light. > Projector Parameters rollout, Spotlight Parameters rollout, or Directional Parameters rollout

You can make a light object into a projector by choosing a map for the light to project. A projected map can be a still image or an animation.

Casting a projection with a light

For Omni lights, a specific Projection Parameters rollout is displayed, which includes only the projection controls. For spotlights, these parameters are part of the Spotlight Parameters rollout. For directional lights, they are part of the Directional Parameters rollout.

Procedures

To make a light a projector:

  1. Open the Material Editor.

    The Material Editor is where you adjust the map's parameters.

  2. Use an unused sample slot to display a map.

  3. Drag the map from the Material Editor to the light's Map button. A dialog asks if the projection map should be a copy or an instance. Choose Instance. If you choose Copy, adjusting the map in the Material Editor has no effect on the projected map.

    You can also drag from any other used map button.

    Assigning the map displays the map name in the button, and turns on the Projector toggle. After you have set up the map, you can turn off Projector to not use the projected image.

    An alternative is to click the Map button. This displays the Material/Map Browser, which lets you choose the map type. At this point, the light behaves as a projector. To assign a map or adjust its parameters, you need to use the Material Editor.

    Note: Lights project maps only within their cone, even if Overshoot is turned on.

To put the map in the Material Editor:

  • Drag from the light's Map button to an unused sample slot in the Material Editor.

    Note: Sample slots with white triangles in the corners indicate materials that are used in the current scene.

    You can adjust the map in the Material Editor by changing the map's parameters.

To blur a projection map:

  • Increase the value of Blur Offset in the map's Coordinates rollout in the Material Editor.

    Tip: You can animate Blur Offset to have a projected map go in or out of focus.

To make the shape of the light fit the projected bitmap:

  1. Choose a bitmap to project, as described in the preceding procedures.

  2. Make sure the light's shape is set to Rectangular, and then click Bitmap Fit.

    A file selection dialog is displayed.

  3. Choose the same bitmap you chose for the standalone map, and then click OK.

    You can also choose a bitmap other than the one the light projects.

Interface

Projection Parameters rollout for omni lights

These parameters control projection. For Omni lights, they appear in their own rollout. For spotlights, they appear in the Spotlight Parameters rollout. For directional lights, they appear in the Directional Parameters rollout.

Check box: Turn on to project the map selected by the Map button. Turn off to turn off projection.

Map: Names the map used for the projection. You can drag from any map specified in the Material Editor, or any other map button, and drop that map on the light's Map button. Clicking Map displays the Material/Map Browser. You can choose the map type using the Browser, then drag the button to the Material Editor, and use the Material Editor to select and adjust the map.


Shadow Parameters

Create panel > Lights > Create a light. > Shadow Parameters rollout

The Shadow Parameters rollout is displayed for all types of lights. You can choose whether the light casts shadows, and which technique it uses to generate the shadows.

Casting shadows

Shadows are not visible in viewports.

Procedures

To have a light cast shadows:

  • In the Shadow Parameters rollout > Object Shadows group, turn on the On toggle. Default=off.

    The light will now cast shadows.

    Note: With Overshoot turned on, spotlights cast light in all directions but cast shadows only within the falloff cone; directional lights cast light throughout the scene, but cast shadows only within the falloff area.

    Left: A spotlight's projection cone truncates shadows.
    Right: An omni light casts complete shadows.

To have a light use the global settings for shadows:

  • On the Shadow Parameters rollout, turn on Use Global Settings.

    When Use Global Settings is on, the other shadow controls (except Cast Shadows) are set to the values used by all other shadow-casting lights in the scene that have Use Global Settings set.

    Changing the affected parameters for one light with Use Global Settings set, changes them for all lights with Use Global Settings set.

To set a light's shadow parameters individually:

  • On the Shadow Parameters rollout, turn off Use Global Settings.

    The settings revert to the individual settings for the light.

    By default, Shadow Map is the active shadow type. In the Shadow Map Params rollouts, the default settings are:

    Map Bias=1
    Size=512
    Sample Range=4.0
    Absolute Map Bias=Off

    Scene with shadow-mapped shadows
    (The shadows use default parameter settings.)

To cast shadow-mapped shadows:

  1. On the Shadow Parameters rollout, choose Shadow Maps from the drop-down list.

  2. Go to the Shadow Map Params rollout.

    • Use the Size spinner to set the size of the shadow map.

    • Use the Bias spinner to adjust the shadow offset, if necessary.

    • Use the Sample Range spinner to create a soft-edged shadow.

To cast ray-traced shadows:

  1. On the Shadow Parameters rollout, choose Ray-Traced Shadows from the drop-down list.

  2. Go to the Ray Traced Shadow Params rollout. Use the Bias spinner to adjust the shadow offset, if necessary.

To keep an object from casting shadows:

  1. Select the object.

  2. Right-click the object to display the quad menu.

  3. Choose Properties from the lower-right (Transform) quadrant.

    The Object Properties dialog is displayed.

  4. Turn off Cast Shadows, and then click OK.

To make an object not receive shadows:

  1. Select the object.

  2. Right-click the object to display the quad menu.

  3. Choose Properties from the lower-right (Transform) quadrant.

    The Object Properties dialog is displayed.

  4. Turn off Receive Shadows, and then click OK.

    Now the object receives no shadows.

    Note: You can also prevent objects from casting shadows by excluding them from a light.

Interface

Object Shadows group

On: Determines whether the current light casts shadows or not. Default=on.

Shadow Method drop-down list: Determines whether shadow maps or ray-traced shadows should be used to generate shadows for this light.

When you use shadow-mapped shadows, additional controls are in the Shadow Map Params rollout. When you use ray-traced shadows, additional controls are in the Ray Traced Shadow Params rollout.

Use Global Settings: Turn on to use global settings for shadows cast by this light. Turn off to enable individual control of the shadows. If you choose not to use the global settings, you must choose which method will be used to generate shadows for this particular light. Default=off.

When Use Global Settings is on, the shadow map parameters or ray-traced shadow parameters switch over to show you what the global settings are. This data is shared by every other light of this class. When Use Global Settings is off, the shadow parameters are specific to that particular light.

Color: Displays a Color Selector dialog to choose a color for the shadows cast by this light. Default=black.

You can animate the shadow color.

Dens. (density): Adjusts the density of shadows.

Left: Increased shadow density
Right: Decreased shadow density

Increasing the Density value increases the density (darkness) of shadows. Decreasing Density makes shadows less dense. Default=1.0.

Density can have a negative value, which can help simulate the effect of reflected light. A white shadow color and negative Density yield dark shadows, though the quality of these is not as good as a dark shadow color and positive Density.

You can animate the Density value.

Map: Assigns a map to the shadows. The map's colors are blended with the shadow color. Default=none.

Map check box: Turn on to use the map assigned with the Map button. Default=off.

Light Affects Shadow Color: When on, blends the light's color with the shadow color (or shadow colors, if the shadow is mapped). Default=off.


Shadow Map Parameters

Create panel > Lights > Create light. > Shadow Parameters rollout > Shadow Map chosen > Shadow Map Params rollout

The Shadow Map Parameters rollout is displayed when you have chosen shadow mapping as the shadow-generation technique for a light. You select this in the Shadow Parameters rollout. This rollout contains additional controls that are specific to mapped shadows.

Interface

Bias: Map Bias moves the shadow toward or away from the shadow-casting object (or objects).

Left: Bias set to 0.1
Right: Bias set to 2.0

If the Bias value is too low, shadows can "leak" through places they shouldn't, produce moiré patterns or making out-of-place dark areas on meshes. If Bias is too high, shadows can "detach" from an object. If the Bias value is too extreme in either direction, shadows might not be rendered at all.

This value depends on whether Absolute Map Bias is on or off:

  • When Absolute is off (the default), Bias is calculated based on the scene extents, and then normalized to one. This provides similar default shadow results, regardless of scene size. User adjustments to Bias are typically low decimal values near 1.0 (for example, 1.2).

  • When Absolute is on, Bias is a value in gmax units. User adjustments to Bias depend on the size of the scene, and can range from values close to zero to values in the hundreds (see the Tip at the end of this topic).

Size: Sets the size (in pixels squared) of the shadow map that's computed for the light.

Left: Size set to 128
Right: Size set to 2000

Sample Range: The sample range determines how much area within the shadow is averaged. This affects how soft the edge of the shadow is. Range=0.01 to 50.0.

Left: Sample range set to 1
Right: Sample range set to 10

Absolute Map Bias: When on, the bias for the shadow map is not normalized, but is instead based on a fixed scale expressed in gmax units. This value does not change during an animation. You must choose the value, based on the size of the scene extents.

When off, the bias is computed relative to the rest of the scene, and then normalized to 1.0. This provides a common starting bias value in scenes of any size. If the scene extents change, this internal normalization can vary from frame to frame. Default=off.

Tip: Leaving Absolute Map Bias off gives good results in most situations, because the bias is internally balanced to match the scene size. In animations, however, if moving objects cause a large change in the scene extents (or if objects are unhidden, and so on), the normalized bias value might become inappropriate, causing shadows to flicker or disappear. If this happens, turn on Absolute Map Bias. You will have to set the Bias control to a value appropriate for the scene. As a rule of thumb, try a Bias value that is the distance between the light and the target object, divided by 100.


Ray-Traced Shadow Parameters

Create panel > Lights > light type selected > Shadow Parameters rollout > Ray Traced Shadows chosen > Ray Traced Shadow Params rollout

Ray-traced shadows

The Ray-Traced Shadow Parameters rollout appears when you have chosen raytracing as the shadow-generation technique for a light. You select this in the Shadow Parameters rollout. This rollout contains additional controls that are specific to ray-traced shadows.

Interface

Bias: Ray-Trace Bias moves the shadow toward or away from the shadow-casting object (or objects).

If the Bias value is too low, shadows can "leak" through places they shouldn't, producing moiré patterns or making out-of-place dark areas on meshes. If Bias is too high, shadows can "detach" from an object. If the Bias value is too extreme in either direction, shadows might not be rendered at all.

Max Quadtree Depth: Adjusts the depth of the quadtree used by the raytracer. Greater quadtree depth values can improve ray-tracing time at the cost of memory use. However, there is a depth value where the performance improvement is offset by the time it takes to generate the quadtree itself. This depends on the geometry of the scene. Default=7.

Tip: Omni lights can generate up to six quadtrees, so they generate ray-traced shadows more slowly than spotlights. Avoid using ray-traced shadows with omni lights unless your scene requires this.


Cameras

Create panel > Cameras

Cameras present a scene from a particular point of view. Camera objects simulate still-image, motion picture, or video cameras in the real world.

With a Camera viewport you can adjust the camera as if you were looking through its lens. Camera viewports can be useful for editing geometry. Multiple cameras can give different views of the same scene.

If you want to animate the point of view itself, you can create a camera and animate its position. For example, you might want to fly over a landscape or walk through a building. You can animate other camera parameters as well. For example, you can animate the camera's field of view to give the effect of zooming in on a scene.

The Display panel's Hide by Category rollout has a toggle that lets you turn the display of camera objects on and off.

There are two kinds of camera objects:

  • Target cameras view the area around a target object you create when you create the camera. Target cameras are easier to use when the camera does not move along a path.

  • Free cameras view the area in the direction the camera is aimed. Free cameras are easier to use when the camera's position is animated along a path. They can bank as they travel the path, which Target cameras cannot.

You can create cameras by clicking the buttons on the Lights & Cameras tab of the Tab panel, or by clicking the Cameras button on the Create panel.

After you have created a camera, you can change viewports to display the camera's point of view. While a camera viewport is active, the navigation buttons change to camera navigation buttons. You use the Modify panel in conjunction with a camera viewport to change the camera's settings.

While you use the navigation controls for a camera viewport, you can constrain Truck, Pan, and Orbit movement to be vertical or horizontal only with the SHIFT key.

You can move a selected camera so its view matches that of a Perspective, Spotlight, or another Camera view. Select the camera, activate the viewport, then choose Views > Match Camera To View. Change the viewport to a Camera viewport to see the results.

Choosing a Camera for Vertical Views

If you need an animated camera to look vertically upward or downward, use a free camera. If you use a target camera you may run into a problem of unexpected movement. The program constrains a target camera's up-vector (its local positive Y axis) to be as close as possible to the world positive Z axis. This is no problem when you are working with a static camera. However, if you animate the camera and put it in a nearly vertical position, either up or down, the program flips the Camera view to prevent the up-vector from becoming undefined. This creates sudden changes of view.

Camera Object Icons

Camera objects are visible in viewports unless you choose not to display them. However, the geometry that appears in the viewport is only an icon meant to show you where the camera is located and how it is oriented.

Target cameras create a double icon, representing the camera (a blue box intersecting a blue triangle) and the camera target (a blue box). Free cameras create a single icon, representing the camera and its field of view.

You cannot shade camera objects.

The display of camera object icons is not scaled when you change the scale of the viewport. When you zoom in on a camera, for example, the icon size does not change.

Scale transforms have the following effects on a camera object:

  • Uniform Scale has no effect on a target camera, but does change the free camera's Target Distance setting.

  • Non-Uniform Scale and Squash change the size and shape of the free camera's FOV cone. You see the effect in the viewport, but the camera's parameters do not update. Non-Uniform Scale and Squash will change the size and shape of a target camera’s icon, but have no visible effect in the viewport.

See also

Common Camera Parameters

Characteristics of Cameras

Using Transforms to Aim a Camera

Using Clipping Planes to Exclude Geometry

Using the Horizon to Match Perspective

Animating Cameras

Procedures

To change a viewport to a Camera view:

  1. Right-click the viewport label.

    The Viewport Properties menu is displayed.

  2. Choose Views.

    The name of each camera is displayed at the top of the Views sub-menu.

  3. Choose the name of the camera you want.

    The viewport now shows the camera's point of view.

    The default keyboard shortcut for camera viewports is C.

    Making a camera viewport active does not automatically select the camera. To adjust a camera by using its viewport and the Modify panel at the same time, select the camera and then make the Camera viewport active.

To control the display of camera objects, do one of the following:

  • Go to the Display panel and in the Hide By Category rollout, turn Cameras on or off.

  • Choose Tools menu > Display Floater, and on the Object Level tab turn Cameras on or off.

    Cameras appear in viewports if Cameras is off; if Cameras is on, they don't appear.

    When camera icons are displayed, the Zoom Extents commands include them in views. When camera icons are not displayed, the Zoom Extents commands ignore them.

To change the display size of camera icons:

  • In the Viewports panel of the Preference Settings dialog (Customize menu > Preferences), set the Non-Scaling Object Size (default=1.0 in current units).

    This also changes the size of light icons, helper objects, and other non-scaling objects in the scene.

To use the Modify panel in conjunction with a Camera viewport:

  1. Select the camera in any viewport.

  2. Right-click the Camera viewport to activate the viewport without deselecting the camera.

    The Camera viewport becomes active, but the camera is still selected in the other viewports.

  3. Adjust the camera using its Parameters rollout in the Modify panel and the navigation buttons.

    The Camera viewport updates as the parameters are changed.

To constrain Pan and Orbit to be vertical or horizontal:

  • Hold down SHIFT as you drag in the viewport.

    The initial direction of the drag sets the constraint. If you drag vertically at first, the pan or orbit is constrained to be vertical; if you drag horizontally at first, the constraint is horizontal.

    The Zoom Extents All flyout and the Min/Max toggles remain visible. These controls aren't specific to camera views. Clicking Zoom Extents All affects other kinds of viewports, but does not affect Camera viewports.

To match a camera to a viewport:

  1. Select a camera in any viewport.

  2. Activate a Perspective, Spotlight, or other Camera viewport.

    (If you match a camera to another camera's view, the two cameras occupy the same location in the scene.)

  3. From the Views menu, choose Match Camera to View.

    The selected camera (and target) are moved to match the active viewport.


Free Camera

Create panel > Cameras > Free button

Tab panels > Lights & Cameras tab > Free Camera

Free cameras view the area in the direction where the camera is aimed. Unlike target cameras, which have two independent icons for the target and the camera, free cameras are represented by a single icon, making them easier to animate. Free cameras can be used when the camera's position is animated along a trajectory, as in a walkthrough of a building or when the camera is attached to a moving vehicle. The free camera can bank as it travels along the path. If the camera needs to be directly overhead in a scene, use a free camera to prevent it from spinning.

Initial Direction of a Free Camera

A free camera’s initial direction is along the negative Z axis of the active construction grid of the viewport you click.

In other words, if you click in an orthogonal viewport, the initial camera direction is directly away from you. Clicking the Top viewport aims the camera downward, clicking the Front viewport aims the camera at the scene from the front, and so on.

Clicking in a Perspective, User, Light, or Camera viewport aims the free camera downward, along the negative Z axis of the World Coordinate System.

Because the camera is created on the active construction plane, where you also create geometry, you might have to move the camera before you can see objects in its Camera viewport. Check the camera’s position from several viewports to correct.

Procedure

To create a free camera:

  1. Click the Free Camera button on the Lights & Cameras tab of the tab panel, or click Cameras on the Create panel, then click Free in the Object Type rollout.

  2. Click the viewport location where you want the camera to be.

    The kind of viewport you click determines the free camera's initial direction.

    The camera is now part of the scene.

  3. Set the creation parameters.

  4. Rotate and move the camera to adjust the point of view.

Interface

See Common Camera Parameters.


Target Camera

Create panel > Cameras > Target button

Tab panels > Lights & Cameras tab > Target Camera

Target cameras view the area around the target object that you place when you create the camera. Target cameras are easier to aim than free cameras because you aim them as you create them. Use them when the camera and its target don't move.

You can animate both the target camera and its target to create interesting effects. To animate both the target and camera along a path, it is best to link them both to a dummy object, then animate the dummy.

Procedure

To create a target camera:

  1. Do one of the following:

    • Click Cameras on the Create panel, then click Target in the Object Type rollout.

    • Click the Target Camera button on the Lights & Cameras tab of the tab panel.

  2. Drag in a viewport. The initial point of the drag is the location of the camera, and the point where you release the mouse is the location of the target.

    The camera is now part of the scene. It is aimed at the target, which is a separate object.

  3. Set the creation parameters.

Interface

See Common Camera Parameters for a description of the common camera parameters.

The distance from the camera to the target is displayed at the bottom of the Parameters rollout. You can animate this parameter, or directly animate the target object's location.

When you rename a target camera, the target is automatically renamed to match. For example, renaming Camera01 to Rolli causes Camera01.Target to become Rolli.Target. The target's name must have the extension .Target. Renaming the target object does not rename the camera object.

Clicking the line that connects the camera and its target selects both objects. However, region selection doesn't recognize the link line.

If a target camera is already selected, you add its target to the selection by right-clicking the camera, and then choosing Select Target from the quad menu > Tools1 quadrant. Or you can hold down the CTRL key and click the target to add it to the selection set.


Characteristics of Cameras

Real-world cameras use lenses to focus the light reflected by a scene onto a focal plane that has a light-sensitive surface.

Focal Length

The distance between the lens and the light-sensitive surface, whether film or video electronics, is called the focal length of the lens. Focal length affects how much of the subject appears in the picture. Lower focal lengths include more of the scene in the picture. Higher focal lengths include less of the scene but show greater detail of more distant objects.

Focal length is always measured in millimeters. A 50mm lens is a common standard for photography. A lens with a focal length less than 50mm is called a short or wide-angle lens. A lens with a focal length longer than 50mm is called a long or telephoto lens.

Field of View (FOV)

The field of view (FOV) controls how much of the scene is visible. The FOV is measured in degrees of the horizon. It is directly related to the focal length of the lens. For example, a 50mm lens shows 46 degrees of the horizon. The longer the lens, the narrower the FOV. The shorter the lens, the wider the FOV.

Relationship Between FOV and Perspective

Short focal lengths (wide FOV) emphasize the distortions of perspective, making objects seem in-depth, looming toward the viewer.

Long focal lengths (narrow FOV) reduce perspective distortion, making objects appear flattened and parallel to the viewer.

The perspective associated with 50 mm lenses appears normal, partly because it is close to what the eye sees, and partly because such lenses are so widely used for snapshots, news photos, cinema, and so on.

Differences Between Camera Objects and Real-World Cameras

Many other controls on real-world cameras (such as those for focusing a lens, and advancing film) aren’t needed for computer rendering and have no counterpart in the camera objects.

The program does have counterparts for the camera movements used in motion picture making such as truck, dolly, and pan. See Camera Viewport Controls.


Common Camera Parameters

Create panel > Cameras > Target button or Free button > Parameters rollout

Most of the camera controls are common to both kinds of cameras. This topic describes those controls.

Procedures

To view a wider area, do either of the following:

  • Use the FOV spinner to increase the camera's field of view.

  • Click a button with a shorter focal length. Use the Lens spinner to give the focal length a value other than the preset "stock" values on the buttons.

To view a narrower area, do either of the following:

  • Change the FOV parameter to decrease the camera's field of view.

  • Click a button with a longer focal length. Use the Lens parameter to give the focal length a value other than the preset "stock" values on the buttons.

    In a camera viewport, the FOV button lets you adjust the field of view interactively.

    The camera viewport Perspective button also changes the FOV in conjunction with dollying the camera.

    Note: Only the FOV value is saved with the camera. The focal length value is merely an alternative way to express and select the FOV.

To set the camera lens size, do one of the following:

  • In the Stock Lenses group, click a button to choose a stock focal length.

  • Set the Lens spinner to a custom focal length.

    Tip: If you want to maintain the same lens, avoid using the FOV or Perspective controls among the navigation icon buttons, and don't change the FOV spinner.

To display a camera's cone:

  • Turn on Show Cone.

    The camera's field-of-view cone appears outlined in light blue.

    Note: A camera's cone is always visible while the camera object is selected, regardless of the Show Cone setting.

To display a camera's horizon line:

  • Turn on Show Horizon.

    A dark gray line appears at the level of the horizon in the camera's viewport.

    Horizon line shown near the top of the scene

    The horizon line might not be visible if the horizon is beyond the camera's field of view, or if the camera is tilted very high or low.

To set clipping planes:

  1. Turn on Clip Manually.

    When Clip Manually is off, the camera ignores the location of the Near and Far clipping planes, and their controls are grayed out. The camera’s viewport shows all geometry within the camera’s field of view.

  2. Set the Near Clip value to position the near clipping plane.

    Objects closer to the camera than the Near distance are not visible to the camera and don’t appear in the camera’s viewport.

  3. Set the Far Clip value to position the far clipping plane.

    Objects farther from the camera than the Far distance are not visible to the camera and don’t appear in the camera’s viewport.

    You can set the Near clipping plane close to the camera so that it doesn't exclude any geometry, and still use the Far plane to exclude objects. Similarly, you can set the Far clipping plane far enough from the camera that it doesn't exclude any geometry, and still use the Near plane to exclude objects.

    The Near value is constrained to be less than the Far value.

    If the clipping plane intersects an object, it cuts through that object, creating a cutaway view.

    The effect of clipping planes

Interface

Lens: Sets the camera's focal length in millimeters. Use the Lens spinner to give the focal length a value other than the preset "stock" values on the buttons in the Stock Lenses group box.

FOV Direction flyout: Lets you choose how to apply the field of view (FOV) value:

Horizontal: (The default.) Applies the FOV horizontally. This is the standard way to set and measure the FOV.

Vertical: Applies the FOV vertically.

Diagonal: Applies the FOV diagonally, from one corner of the viewport to the other.

FOV: Determines how wide an area the camera views (field of view). When FOV Direction is horizontal (the default), the FOV parameter directly sets the arc of the camera's horizon, measured in degrees. You can also set the FOV Direction to measure FOV vertically or diagonally.

You can also adjust the field of view interactively in a camera viewport by using the FOV button.

Orthographic Projection: When on, the camera view looks just like a User view. When off, the camera view is the standard perspective-like view. While Orthographic Projection is in effect, the viewport navigation buttons behave as they ordinarily do, except for Perspective. Perspective function still moves the camera and changes the FOV, but the Orthographic Projection cancels the two out, so you don't see any change until you turn off Orthographic Projection.

Stock Lenses group

15mm, 20mm, 24mm, 28mm, 35mm, 50mm, 85mm, 135mm, 200mm: These preset values set the camera's focal length in millimeters.

Type: Changes the camera's type from a Target Camera to a Free Camera, and vice versa.

Note: When you switch from a target camera to a free camera, any animation applied to the camera's target is lost, because the target object goes away.

Show Cone: Displays the cone (actually a pyramid) defined by a camera's field of view. The cone appears in the other viewports but does not appear in a camera viewport.

Show Horizon: Displays the horizon line. A dark gray line appears at the level of the horizon in the camera's viewport.

Environment Ranges group

Near Range and Far Range: Determine the near and far range limits for atmospheric effects. Objects between the two limits fade between the Far % and Near % values.

Show: Displays rectangles within the camera's cone to show the Near and Far range settings.

Clipping Planes group

Sets options to define clipping planes. In viewports, clipping planes are displayed as red rectangles (with diagonals) within the camera's cone.

Clip Manually: Turn on to define clipping planes.

When Clip Manually is off, geometry closer to the camera than 3 units is not displayed. To override this, use Clip Manually.

Near Clip and Far Clip: Sets near and far planes. Objects closer than the near clipping plane or farther than the far clipping plane are invisible to the camera. The limit of the Far Clip value is 10 to the power of 32.

With manual clipping on, the near clipping plane can be as close to the camera as 0.1 unit.

Caution: Extremely large Far Clip values can produce floating-point error, which can cause Z-buffer problems in the viewport, such as objects appearing in front of other objects when they shouldn't.

Target Distance: With a free camera, sets a point to use as an invisible target so that you can orbit a camera around that point. With a target camera, indicates the distance between the camera and its target.


Using Transforms to Aim a Camera

You can use transforms to aim a camera and change its orientation in the scene.

Move adjusts the position of the camera object or the position of a target camera’s target.

Because the target is displayed as a small square, and because it is often in the same area as objects that are the subject of the camera, it can be hard to select by clicking. Select the camera object, right-click, then choose Select Target from the Tools 1 (upper-left) quadrant of the quad menu. You can also choose Cameras from the Selection Filters list on the toolbar, and then click the target.

Rotate adjusts the orientation of the camera object. This transform is most useful with free cameras.

You can’t rotate a Target camera about its local X and Y axes, because it is constrained to aim at its target. Use Move to move the camera or its target.

Also, if you rotate a Target camera to a nearly vertical position, either up or down, the program must flip the Camera view to prevent the up-vector from becoming undefined. If you need a camera to look vertically upward or downward, use a Free camera.

In a Camera viewport, you can also use the navigation buttons to adjust the camera interactively. See Camera Viewport Controls. Some navigation buttons, such as Dolly and Orbit actually move the camera or its target.


Using Clipping Planes to Exclude Geometry

Clipping planes let you exclude some of a scene’s geometry and view only certain portions of the scene. Each camera object has a near and a far clipping plane. Objects closer than the near clipping plane or farther than the far clipping plane are invisible to the camera.

Left: Clipping plane excludes the foreground chair and the front of the table.
Right: Clipping plane excludes the background chair and the rear of the table.

Clipping plane settings are part of the camera’s parameters. The location of each clipping plane is measured along the camera’s line of sight (its local Z axis) in the current units for the scene.

You can set the near clipping plane close to the camera so that it doesn’t exclude any geometry, and still use the far plane to exclude objects. Similarly, you can set the far clipping plane far enough from the camera that it doesn’t exclude any geometry, and still use the near plane to exclude objects.

The near value is constrained to be less than the far value.

If the clipping plane intersects an object, it cuts through that object, creating a cutaway view.

You can also use clipping planes in non-camera viewports. Simply right-click the viewport label and choose Viewport Clipping.


Using the Horizon to Match Perspective

The horizon of a scene is the edge of vision at the height of the camera, parallel with the world coordinate plane. You can view the horizon in camera viewports.

Horizon line displayed in a camera viewport

A camera is level when it and its target are the same height from the world coordinate plane. In other words, the camera’s local Z axis is parallel to the world plane. When the camera is level, the horizon line is centered in the viewport. As the camera tilts up, the horizon line lowers; as it tilts down, the horizon line raises.

The horizon line control is in the camera’s Parameters rollout.

The horizon line can help you match the perspective of your scene to the perspective of a still image. In general, matching perspective involves the following steps:

  1. Display the horizon line. Use it to help you adjust the camera and target so they are level.

  2. Display the image in the camera viewport. Use Views > Viewport Background > Select, and choose Files in the Background Source group.

    If the image's horizon and the camera horizon don't match, you have to offset the image, perhaps by using a paint program.

  3. Orbit the camera until the perspective of the scene roughly matches that of the still image.

  4. Adjust the camera's perspective to fine-tune the perspective match.

  5. Move the camera or target to position the scene against the background.

    If you raise or lower the camera, raise or lower the target by an equal amount, in order to keep them level and maintain the horizon.


Animating Cameras

You animate a camera by using transforms or changing its creation parameters in different keyframes while the Animate button is on. The program interpolates camera transforms and parameter values between keyframes, as it does for object geometry.

See Animate and Track View for a full description of animation. This topic summarizes some possibilities and suggests some techniques.

In general, it’s best to use a free camera when the camera is to move within the scene; use a target camera when camera position is fixed.

Moving a Camera Along a Path

Having a camera follow a path is a common way to create architectural walkthroughs, roller coaster rides, and so on.

  • If the camera must bank or tilt close to the vertical (as on a roller coaster), use a free camera. Assign the Path constraint directly to the camera object. The camera follows the path, and you can adjust its point of view by adding pans or rotate transforms. This is comparable to filming with a hand-held camera.

  • For a target camera, link both the camera and its target to a dummy object, then assign the path constraint to the dummy object. This is comparable to mounting the camera on a tripod on a dolly. It is easier to manage than having, for example, separate paths for the camera and its target.

Following a Moving Object

You can use a Look-At Constraint to have the camera automatically follow a moving object.

  • The Look-At constraint makes the object replace the camera’s target.

    If the camera is a target camera, its previous target is ignored.

    If the camera is a free camera, it effectively becomes a target camera. While the Look-At constraint assignment is in effect, the free camera cannot rotate around its local X and Y axes, and can’t be aimed vertically because of the up-vector constraint.

  • An alternative is to link a target camera’s target to the object.

Panning

You can animate the pan of any camera very easily by following these steps:

  1. Select the camera.

  2. Activate the Camera viewport.

  3. Turn on the Animate button and advance the time slider to any frame.

  4. Use the Pan button (in the viewport navigation tools) and pan.

Orbiting

You can animate the orbiting of any camera very easily by following these steps:

  1. Select the camera.

  2. Activate the Camera viewport.

  3. Turn on the Animate button and advance the time slider to any frame.

  4. Use the Orbit button (in the viewport navigation tools) and orbit.

    The target camera revolves around its target; the Free camera revolves around its target distance.

Zooming

Zooming moves toward or away from the camera’s subject matter by changing the focal length of the lens. It differs from dollying, which physically moves the camera but leaves the focal length unchanged. You can zoom by animating the value of the camera’s FOV parameter.

Creating Animated Cutaway Views

You can animate the creation of a cutaway view by animating the location of the near or far clipping planes, or both.


Designing Materials

Materials make objects more convincing.
Left: A house with default shading
Right: The house with multiple materials applied

Materials "paint" objects. They add color and detail to your 3D model. They control shininess and transparency, as well as texture and bumpiness. Materials can apply bitmap files to the surface of objects, or these files can be used in any of the other map channels. Material values can be animated so the material changes over time.

The topics mentioned in the Workflow Outline give you an overview of using the Material Editor to design materials.

Workflow Outline

In general, when you create a new material and apply it to an object, you follow these steps:

  1. Open the gmax Material Editor.

  2. Click New.

  3. Enter a name for the material you are about to design.

  4. Enter settings for the various material components: diffuse color, shininess, opacity, and so on.

    Note: Lights and Shading describes how lights affect the appearance of a material. Choosing Colors for Realism gives guidelines on getting good results from unmapped materials.

  5. Assign maps to the components you want to map.

  6. Apply the material to the object.

  7. If necessary, adjust the UV mapping coordinates in order to orient maps with objects correctly.

Note: While a material is in the Material Editor or applied to an object, it is part of the scene, and is saved with the scene.


Material Components

A material's components describe its visual and optical properties. The components include its color components, highlight controls, self-illumination, and opacity.

A surface of a "single" color usually reflects many colors. Materials use multiple colors to simulate this:

  • Diffuse color is the color of the object in direct, "good" lighting.

  • Ambient color is the color of the object in shadow.

  • Specular color is the color of shiny highlights.

Self-illumination simulates an object lit from within.

Opacity is the opposite of transparency. As you reduce the Opacity value, the object becomes more transparent.

Bump is a component that uses a map to simulate bumpiness.

You can assign maps to most components, including color components such as Diffuse, and value components such as Opacity. Maps can increase the complexity and realism of the material's appearance.


Lights and Shading

Materials work in combination with lights. The intensity of light that falls on a surface determines the intensity of color to display. Three factors contribute to the intensity of light where it falls on an object:

  • Light intensity: A light's original intensity at its point of origin.

  • Angle of incidence: The more a surface inclines away from the light source, the less light it receives and the darker it appears. The angle between a ray of light and the face normal of a surface is the angle of incidence for that face.

    When the angle of incidence is 0 degrees (that is, the light strikes the face perpendicularly), the face is illuminated at full intensity unless the light is attenuated. Full intensity is the light's Multiplier value times the value of the face's surface color. The Multiplier value is 1.0 by default; the surface value is the Value component of the surface color's HSV description. As the angle of incidence increases, the intensity of the face illumination decreases.

Angle of incidence affects intensity.

  • Distance: Light diminishes over distance. This effect is known as attenuation. By default, attenuation is turned off, but you can turn it on and specify the distance over which it operates.

Attenuation settings cause distant objects to be dimmer.

Lights and a Material's Component Colors

As the names of a material's color components imply, the kind of light that strikes a surface with a material determines how the surface appears when it is shaded.

  • Diffuse color appears where light falls directly on the surface. It is called "diffuse" because light striking it is reflected in various directions. Highlights, on the other hand, are reflections of light sources.

  • Ambient color appears where the surface is lit by ambient light alone (where the surface is in shadow).

  • Specular highlights appear where the viewing angle is equal to the angle of incidence. Shiny surfaces have specular highlights.

These three color components blend at the edges of their regions. Between ambient and diffuse, the blending is calculated automatically. Between diffuse and specular, you can set the amount of blending by using the material's highlight controls.


Choosing Colors for Realism

Materials add greater realism to a scene if you choose their colors and other properties to appear like real-world objects. This topic presents some general guidelines for choosing colors. When possible, you should also observe colors in the objects you are modeling, especially under different lighting conditions.

Tip: For objects on which you want the viewer to focus attention, an unmapped material doesn't often provide realistic detail. However, for distant and peripherally visible objects, as well as some kinds of real-world materials, such as molded plastic, an unmapped material can work well. Keeping the number of maps to a minimum can help keep down the file size.

Indoor and Outdoor Lighting

Whether a scene is indoors or outdoors affects your choice of material colors, just as it affects the way you set up lights. Full sunlight is bright and unidirectional. Most indoor lighting is less intense and more even (that is, multidirectional) than daylight. However, some special indoor lighting (and nighttime outdoor lighting), as for the stage, also features intense, directional light.

Direct sunlight has a yellow tint. Materials for objects to appear in daylight should have a specular color of a pale, unsaturated yellow (for example, RGB values of 240, 240, 188). The ambient color should be the complement of the specular: a deep, dark purple with a hint of the diffuse color.

Materials for objects to appear under normal interior lighting should have a specular color that is close to white. (Our perception compensates for the yellow or green tint that is often present in artificial light.) The ambient color can often have the same hue as the diffuse color, but with a darker value.

Materials for objects to appear under spotlights should follow the general guidelines for daylight materials. The specular color should match the spotlight's color, and the ambient color should be a very dark value of the spotlight color's complementary hue, mixed with a bit of the material's diffuse color.

Representing Natural Materials

Outdoor scene with natural materials

Most natural materials have a matte surface with little or no specular color. For natural materials such as these, use the following guidelines:

  • Diffuse color: Choose a color found in nature. It is best to use the observed color of the object itself, or a similar object.

  • Ambient color: The ambient color depends on whether the scene is indoors or outdoors, as previously described.

  • Specular color: Make the specular color the same hue as the diffuse, but with a higher value and a lower saturation.

  • Shininess: Set the shininess to a low value.

    Some foliage, bird feathers, fish scales, and so on, are shiny. For materials such as these, set the shininess and shininess strength to higher values. You might also want to change the specular color so it's closer to the lighting color than the surface's diffuse color.

Representing Manufactured Materials

Indoor scene with manufactured materials

Manufactured materials often have a synthetic color rather than an "earth tone." Also, many manufactured materials, such as plastics and porcelain glazes, are very shiny. For manufactured materials, use the following guidelines:

  • Diffuse color: Although the diffuse color doesn't have to be an "earth tone," as with natural materials you should used the observed color of the object or a similar object.

  • Ambient color: The ambient color depends on whether the scene is indoors or outdoors, as previously described.

  • Specular color: Make the specular color close to white, or to the color of the light source. White highlights are especially characteristic of plastic.

  • Shininess: Set the shininess to a high value.


Applying a Material to an Object

There are a few ways to apply a material to an object:

  • Select the object, then in the Material Editor, click Apply.

  • Drag a material from the Material/Map Navigator to the object.

  • In the Material/Map Navigator, select a material, and then click Apply Material To Selected Object.

    As you drag, a tooltip appears over each object beneath the mouse, showing the object's name. You can apply the material whether the object is selected or not. Release the mouse to apply the material.

Applying a material overrides any previous material the object might have had.

The Undo command works for material application.

You can apply the same material to multiple objects in the scene. You can also apply multiple materials to one object: see Applying Multiple Materials to a Single Object.

Dragging and Dropping Maps and Materials

You can move materials from the Material/Map Navigator to objects by dragging and dropping. You can also drag to and from map and material buttons. See the following lists to determine where in the interface you can drag from and drag to.

When dragging materials, use the Undo command to cancel material application.

Where You Can Drag From

  • Material/Map Navigator lists

  • The sample slot in the Navigator

  • Material map buttons (see below)

  • The Asset Browser lists (text or icon lists)

Material Map Buttons

The material map buttons you can drag from include:

  • The small map icons on the component tabs in the Material Editor.

  • Any map button at any level.

Where You Can Drag To

  • Objects in viewports.

    Drag from a Navigator listing into the viewport and over an object. When you release the mouse, the material is applied.

    You can drag a material over multiple selected objects as well as a single object. The material is applied to all of the selection.

  • A projector light map button

  • A Displace modifier bitmap button

  • All of the items in the "Drag From" lists, except that you can drag to the Material/Map Navigator only when it displays a material library, and you can't drag to the Asset Browser.

    When the Material/Map Navigator is set to browse from a Material Library, dragging materials and maps into the Navigator adds them to the library.

  • A Face, Polygon, Patch, or Element sub-object selection of an editable mesh object, editable patch, or editable poly object.

  • A Face, Polygon, or Element sub-object selection of an object with the Edit Mesh modifier applied to it.

See also

Applying Multiple Materials to a Single Object


Applying Multiple Materials to a Single Object

You can apply multiple materials to a single object by applying different materials to different sub-object selections. The sub-object selection must be renderable: you can't apply a material to vertices or edges.

You can also apply a material to a sub-object selection created with an Edit Mesh modifier applied to it.

(You can't apply a material to sub-object selections created with the selection modifiers Mesh Select, Patch Select, or Poly Select.)

Applying a material to a sub-object selection creates a multi/sub-object material. It is labeled this way in the Material/Map Navigator, which shows the component sub-materials in a tree.

Multi/sub-object material tree, with component sub-materials

To apply the material to the sub-object selection, you can use the Apply button in the Material Editor, or you can drag the material from the Material/Map Navigator onto the selection in a viewport.

Note: You can disable drag-and-drop of materials to sub-objects. To do so, go to the General tab of the Preferences dialog, and turn off Assign Automatically in the Sub-Materials group. This check box is on by default.

Procedure

To drag materials onto sub-object selections:

  1. In the Modify panel > Modifier Stack display, choose Face, Polygon, Patch, or Element as the sub-object level.

  2. Select sub-objects.

  3. Drag a material from the Material/Map Navigator to the selected sub-objects.

How the Multi/Sub-Object Material Is Created

The multi/sub-object material is created in one of three ways, depending on what material was already applied to the selected sub-objects:

  • No material applied

    If the selected faces have no material applied, a new multi/sub-object material is created. The dragged material becomes a sub-material in the new material. If material IDs already exist, they are preserved.

  • Existing material applied (other than multi/sub-object material)

    A new multi/sub-object material is created and applied to the selected faces. The existing material is moved into the multi/sub-object material and becomes the first sub-material. Unselected faces get material ID #1, the selected faces get material ID #2, and the dragged material becomes part of the multi/sub-object material. Existing material IDs are not preserved.

  • Multi/sub-object material applied

    If the existing multi/sub-object material is already applied more than once in the scene, the material is copied and the new copy is applied to the selected faces.

    If the multi/sub-object material is only applied once in the scene, then the existing material is used. The dragged material is added to the existing multi/sub-object material.

    If the dragged material already is a part of the multi/sub-object material, then the selected faces receive the corresponding material ID number. If the selected faces all have the same material ID number, and no unselected faces are already using this number, then this number is used and the new material replaces the old sub-material at this ID. Otherwise, a new material ID number is assigned to the faces, and used for the dragged material. In this case, any existing material IDs are preserved.


Animating Materials

In general, you animate a material by changing its factors in different keyframes while the Animate button is turned on. The values are interpolated between keyframes, just as when you animate transforms and modifiers. These are the factors you can animate:

  • A component's color

  • A bitmap's Amount value

  • The material's highlight control values

Be aware that the tracks for a material applied to an object are distinct from the material tracks that belong to the Material Editor: animating a material in the Material Editor affects the scene only if the material is hot.


Using Maps to Enhance a Material

Maps provide images, patterns, color adjustments, and other effects you can apply to the visual/optical components of a material. Without maps, material design is limited. Maps give the Material Editor its full flexibility, and can give you dramatic results.

The simplest use of a map is to assign a pattern to a material's Diffuse color. Diffuse mapping is also known as "texture mapping." It applies an image or pattern to geometry the material is applied to.

Applying a map of the earth to the diffuse color of a simple sphere


Mapping Material Components

The effect of a bitmap depends on which material component the map is applied to. See Component Factors and Bitmap Controls for more information about the user interface.

Diffuse Color Mapping

Applying a map of the earth to the diffuse color of a simple sphere

The colors of the map replace the material's diffuse color component. This is the most common kind of mapping. Mapping the diffuse color is like painting an image on the surface of the object. For example, if you want a wall to be made out of brick, you can choose a map with an image of bricks.

By default, diffuse mapping applies the same map to the ambient color as well. You seldom need to use a different map for diffuse and ambient components.

Ambient Color Mapping

The map image is painted on the shaded parts of the object.

By default, diffuse mapping maps the ambient component as well, so you seldom need to use a different map for diffuse and ambient components. If you do want to apply a separate ambient map, first click to turn off Match Diffuse Color/Map in the Ambient color tab. This unlocks ambient and diffuse mapping, and the map controls for ambient color become available.

Specular Color Mapping

Mapping the specular highlight

The map's image appears only in the specular highlight areas. When the Amount spinner is at 100, all specular color is provided by the map.

Unlike Specular Level or Glossiness mapping, which alter the intensity and location of specular highlights, specular mapping alters the color of specular highlights.

Specular Level Mapping

Mapping the specular level

Mapping the specular level uses the intensity of the bitmap. White pixels in the map produce full specular highlights. Black pixels remove the specular highlights completely, and intermediate values reduce the specular highlights accordingly.

Mapping the specular level component is different from mapping specular color. Mapping the specular level alters the intensity of highlights, while specular mapping alters the color of highlights.

Tip: Specular level mapping usually works best when you assign the same map to both Specular Level and Glossiness. You can do this by dragging the map icon from one component's tab to the other component's tab.

Glossiness Mapping

A map assigned to glossiness determines which areas of the whole surface are more glossy and which areas are less glossy, depending on the intensity of colors in the map. Black pixels in the map produce full glossiness. White pixels remove glossiness completely, and intermediate values reduce the size of the highlight.

Mapping the glossiness component is different from mapping specular color. Mapping glossiness alters the location of highlights, while specular mapping alters the color of highlights.

Tip: Glossiness mapping usually works best when you assign the same map to both Glossiness and Specular Level. You can do this by dragging the map icon from one component's tab to the other component's tab.

Self-Illumination Mapping

Self-illumination mapping makes the glass panes of the lantern glow.

Mapping the self-illumination value makes portions of an object appear to glow. White areas of the map render as fully self-illuminating. Black areas render with no self-illumination. Gray areas render as partially self-illuminating, depending on the grayscale value.

Self-illumination means that the glowing area is not affected by lights in the scene (its ambient color component goes away), and does not receive shadows.

Opacity Mapping

Mapping opacity

Mapping opacity makes an object partially transparent. Lighter (higher-value) areas of the map render as opaque; darker areas render as transparent; and values in between are semi-transparent.

Setting the opacity map's Amount to 100 applies all of the map. Transparent areas are fully transparent. Setting the Amount to 0 is the equivalent of turning the map off. Intermediate Amount values are blended with the Opacity value. Transparent areas of the map become more opaque.

Specular highlights are applied to transparent areas of the opacity map, as well as to opaque areas, creating the effect of glass. If you want the transparent areas to look like holes, map the specular level as well. You can use the same map for both components by dragging the map icon from one component's tab to the other component's tab.

Bump Mapping

Bump mapping

Bump mapping makes an object appear to have a bumpy or irregular surface. Lighter (whiter) areas of the map appear to be raised, and darker (blacker) areas appear to be low.

Bump mapping uses the intensity of the map to affect the surface of the material. In this case, the intensity affects the apparent bumpiness of the surface: white areas protrude, and black areas recede.

Note: Bump mapping does not appear in viewports, and is supported only by certain game engines.

Use bump maps when you want to take the smoothness off a surface, or to create an embossed look. Keep in mind, however, that the depth effect of a bump map is limited. If you want extreme depth in a surface, you should use modeling techniques instead.

Grayscale images can make effective bump maps. Maps that shade between white and black generally work better than maps with hard edges between the white and black areas.

The bump map Amount adjusts the degree of bumpiness. Higher values render as higher relief; low values render as low relief.

The bumps are a simulation created by perturbing face normals. Because of this, bumps don't appear on the silhouette of bump-mapped objects.


Mapping Coordinates

To apply a material that contains maps to an object, the object must have mapping coordinates. These coordinates specify how the map is projected onto the material, and whether it is projected as a "decal," or is tiled or mirrored. Mapping coordinates are also known as UV or UVW coordinates. These letters refer to coordinates in the object's own space, as opposed to the XYZ coordinates that describe the scene as a whole.

Most objects have a Generate Mapping Coordinates parameter. If this is not already turned on, it is automatically turned on when you apply a mapped material to the object.

Some objects, such as editable meshes, don't have automatic mapping coordinates. For these types of objects, you can assign coordinates by applying a UVW Map modifier.

If the material appears the way you want it with the default mapping, you don't need to adjust the mapping. If you need to adjust it, use the UVW Map modifier.

Note: The UVW Remove utility provides a way to remove mapping coordinates or an entire material from selected objects.


UVW Remove Utility

Utilities panel > Utilities rollout > UVW Remove

The UVW Remove utility removes mapping coordinates or materials from the currently selected objects.

Interface

UVW: Click to remove UVW mapping from this object.

Materials: Click to remove material assignment from the selected objects.

Set Gray: If this is on when you click the Materials button, the object color is set to a neutral gray. Default=off.


Material Editor

Main toolbar > Launch gmax Material Editor

Main toolbar > Material/Map Navigator > Open gmax Material Editor

The gmax Material Editor provides functions to create materials and assign maps.

Materials create greater realism in a scene. A material describes how an object reflects or transmits light. Material properties work hand-in-hand with light properties, simulating how the object would look in a real-world setting.

You apply materials to individual objects or selection sets; a single scene can contain many different materials.

Note: It is possible for a material to be applied to an object but not listed in the Material Editor. For example, you might have dragged the material from the Material/Map Navigator directly into the scene. The Get button lets you get a material from an object and then edit it in the Material Editor.

See also

Material/Map Navigator

Applying a Material to an Object

Designing Materials

Animating Materials

Procedures

To view the Material Editor:

  • Click the Launch gmax Material Editor button on the main toolbar.

To give a material a different name:

  • Edit the Name field that appears above the material component tabs.

    The name of the active material appears in the Scene Material list at the top of the Material Editor window. The name of the material is not a file name: it can contain spaces, numbers, and special characters.

    The name can be longer than the length of the Name field.

To make a copy of a material:

  • In the Material Editor, click Copy.

    The Material Editor creates a new material with the same settings as the one you copied. By default, this new material is named "Copy of" followed by the original material's name.

To apply a material to objects in a scene:

  1. In the Scene Materials list, select the material you want to apply.

  2. Select the objects you want to apply the material to.

  3. Click Apply.

    When you apply a material to an object or selection, that material becomes a hot material. When you change the properties of a hot material, the scene immediately updates to reflect those changes. Any object with that material will change its appearance, not just the objects in the current selection.

    To make a material no longer hot so it doesn't change the current scene, click Copy. The Material Editor creates a new material that has the same settings, but isn't yet applied to any objects.

    Tip: You can also use the Material/Map Navigator to apply a material.

To get a material from a scene:

If a material that you want to change has been saved in the scene, but not in the Material Editor, you can load the material by getting it from the scene.

  1. Select an object with a material assigned to it.

    In the Material Editor, the Get button becomes available. This button is available only when a single object with an applied material is selected.

  2. Click Get.

    The material is added to the Scene Materials list in the Material Editor, and becomes the current material.

    When you get a material from a scene, it is initially a hot material.

To get a material from a library:

  1. Open the Material/Map Navigator.

  2. In the Browse From group at the upper left, choose Material Library.

    If you have opened a library, the list of materials shows the contents of the library.

    If you haven't opened a library, click Open in the File group of the Navigator. In the file dialog that is displayed, you can choose a material library to open. After you open the library, the list of materials updates to show the library's contents.

  3. Drag from the list of materials to an object in the scene.

    The material is applied to the object.

  4. Select the object.

  5. In the Material Editor, click Get.

    The material is now current in the Material Editor.

To select objects that have the same material applied:

When a material in the Material Editor is applied to objects in the scene, you can select the objects from the Material Editor.

  • Click Select Object(s) With Material.

    A Select Objects dialog appears, listing all the objects that have the current material applied to them. Use this dialog to select the objects you want.

Interface

Scene Materials: This drop-down list contains the names of all materials in the Material Editor. A material in the Material Editor can also be applied to objects in the scene, but that is not necessary.

The name currently displayed is the material whose settings you are currently editing. To edit another material, choose another name from this list.

Launch Material/Map Navigator: Click to display the Material/Map Navigator.

Get: Gets the material from the selected object. The material becomes the current material. You can now edit the material, or apply it to other objects.

Caution: When you get a material from a scene, it is initially a hot material. To edit the material without changing the scene, click Copy to make a copy of the material.

This button is available only when a single object with an applied material is selected.

New: Click to create a new material. The new material becomes the current one.

By default, the name of the new material is incremented from an existing default name. For example, if the highest-numbered material in your Material Editor is "Material #25," the new material is named "Material #26."

Copy: Makes a copy of the current material.

The Material Editor creates a new material with the same settings as the one you copied. By default, this new material is named "Copy of" followed by the original material's name.

Apply: Applies the current material to the objects currently selected in the scene.

When a material is applied to objects and it is also current in the Material Editor, it is known as a hot material.

Delete: Click to delete the material from the Material Editor.

Warning: You can't undo deleting a material.

Select Object(s) With Material: Displays a Select Objects dialog that lists all the objects that have the current material applied to them. Use this dialog to select the objects you want.

Name: Shows the name of the current material. You can use this field to change the material's name.

When the material is a multi/sub-object material, this part of the Material Editor interface changes to show two fields, as described in the next section.

2-Sided: Makes the material 2-sided. Applies the material to both sides of selected faces.

Show Material's Maps in Viewport: Click to toggle the display of the material's maps in viewports.

Multi-Material Name Controls

Multi-Material Sub-Material: This drop-down list contains the names of all sub-materials contained in the multi/sub-object material.

The name currently displayed is the sub-material whose settings you are currently editing. To edit another sub-material, choose another name from this list.

Sub-Material Name: Shows the name of the current sub-material. You can use this field to change the sub-material's name.

Components

The lower, and larger part of the Material Editor interface consists of tabs for setting the eight material components.

The use and contents of the component tabs are described in these topics:

Component Factors

Bitmap Controls

Highlight Controls


Component Factors

The tabs at the bottom of the Material Editor dialog control the settings, or "factors," of the material's eight components. To access the settings of a particular component, click its tab. The panel on the right shows the factors for that component.

Each component's tab includes bitmap controls. This topic describes the controls that are specific to each particular component.

If a component has a color assigned to it, a small color swatch appears in its tab.

Component colors displayed in component tabs

If a component has a bitmap assigned to it, a small checkered bitmap icon appears in its tab.

Bitmap icons displayed in component tabs

You can drag and drop the tabs' color swatches or bitmap icons, as described in Procedures, below.

See also

Choosing Colors for Realism

Mapping Material Components

Procedures

To copy a color from one component to another:

  • Drag the small color swatch from one tab to the other.

    The color you dragged replaces the target component's original color.

To copy a map from one component to another:

  • Drag the checkered bitmap icon from one tab to the other.

    The bitmap represented by the icon you dragged replaces the target component's previous bitmap.

    Note: If the ambient component is set to match the diffuse component, you can't change the ambient color or mapping. The same applies to the specular component when it is set to match diffuse.

Interface

Diffuse Factors

Color: Controls the diffuse color. The diffuse color is the color in direct light.

Click the swatch to display the Color Selector dialog and choose a diffuse color.

Ambient Factors

Color: Controls the ambient color. The diffuse color is the color in direct light.

Click the swatch to display the Color Selector dialog and choose an ambient color.

Match Diffuse Color/Map: When on, the ambient color is controlled by the Diffuse component, and you can't choose a specular color or map from this tab.

When this setting is on, an arrow in the tabs indicates that the two components are locked together.

Highlight Factors

Clicking the large Highlight tab displays the highlight controls. In addition to the highlight controls, there are three sub-tabs: Color, Level, and Glossiness.

Color: Controls the specular color. The specular color is the color of the highlight on a shiny object.

Click the swatch to display the Color Selector Dialog and choose a specular color.

You control the size of highlights using the highlight controls.

The Color sub-tab has an additional sub-control:

  • Match Diffuse Color/Map: When on, the ambient color is controlled by the Diffuse component, and you can't choose an ambient color or map from this tab. When this setting is on, an arrow in the tabs indicates that the two components are locked together.

Level: This sub-tab lets you assign a map to the specular level component.

Glossiness: This sub-tab lets you assign a map to the specular level component.

Self-Illumination Factors

There are two ways to specify self-illumination: either by a value, or by a color. The check boxes let you select which method to use.

Amount: The diffuse component is used as the self-illumination color. The spinner lets you adjust the amount of self-illumination. At 0, there is no self-illumination. At 100, the diffuse color takes over from the ambient color.

Color: The self-illumination color can be different from the diffuse color. Click the swatch to display the Color Selector dialog and choose a self-illumination color. Adjusting the Value (in the color's HSV description) adjusts the amount of self illumination. The greater the Value, the more the self-illumination color dominates both the diffuse and ambient color components.

Opacity Factors

Amount: Sets the opacity/transparency of the material as a percentage. At 0, the material is completely transparent. At 100, it is completely opaque.

Bump Factors

The only factors for bump are the bitmap controls. See Mapping Material Components for a description of how bump mapping affects a material.

Note: Bump mapping does not appear in viewports, and is supported only by certain game engines.


Bitmap Controls

Each component of a material has a set of controls for bitmaps. These are the same for each kind of component.

Open New Map File: Click to display a bitmap file dialog, which lets you choose the map to assign.

Note: To save loading time, if a map with the same name is in two different locations (in two different paths), it is loaded only once. This poses a problem only if your scene includes two maps that have different content but the same name. In this case, only the first map encountered will appear in the scene.

Clear Map: Removes the map from the material.

Show Map in Viewport: Turn on to have the map displayed in viewports.

On: Controls whether the material uses the bitmap, or not. When on, the bitmap is active. When off, the map is not used.

Amount: The Amount spinner determines the amount that the map affects the material. Its value is a percentage of full intensity. For example, a diffuse map at 100% is completely opaque and covers the base material. At 50%, it is semi-transparent and the base material (the diffuse, ambient, and other colors of the unmapped material) shows through.

The Amount is available for adjusting only when the map is turned on.

Procedure

To assign a bitmap to a material component:

  1. In the Material Editor, go to that component's tab.

  2. Click Open New Map File.

  3. In the bitmap file dialog, choose the bitmap you want, and then click Open.

    The map is now used by that component, as described in Mapping Material Components.

    Note: You can't assign a map to the ambient or specular color components when these are set to match the diffuse component.

    Tip: If you want the same map applied to more than one component, you can drag the checkered bitmap icon from one component's tab to another. See Component Factors.


Highlight Controls

The highlight controls appear on the main Highlight tab. They control how shiny the material appears.

The graph is a 2D representation of how the highlight will appear (if there is a highlight, a miniature graph appears in the tab itself). As you increase the Level amount, the curve grows taller, and as you increase the Glossiness amount, the curve grows narrower.

Level: Affects the intensity of the specular highlight. As you increase the value, the highlight grows brighter. Default=0.

Glossiness: Affects the size of the specular highlight. As you increase the value, the highlight gets smaller and the material appears shinier. Default=10.

Soften: Softens the effect of specular highlights. When the Level is high and Glossiness is low, you can get harsh backlights on surfaces. Increase the value of Soften to mitigate this effect. At 0, there is no softening. At 1.0, the maximum amount of softening is applied. Default=0.1.


Material/Map Navigator

Main toolbar > Material/Map Navigator

Select a Light object. > Projector Map group (This is either in the light-specific Parameters rollout, or for Omni lights, in a Projector Parameters rollout.) > Click Map button.

The gmax Material/Map Navigator lets you choose a material or map. Its interface is similar to the Asset Browser. The Material/Map Navigator lets you search various resources for materials and maps:

  • The scene itself

  • A material library (MAT) file

  • File systems

  • The World Wide Web

You can drag a material from the Navigator to an object in the scene. This applies the material to the object.

You can also drag a map in the Navigator to map buttons in the gmax user interface, although you can’t drag maps into the Material Editor.

See also

Applying a Material to an Object

Applying Multiple Materials to a Single Object

Material Editor

Interface

The Material/Map Navigator contains the following controls:

Resource Pane: The main part of the Material/Map Navigator dialog, on the right-hand side, shows various resources.

If you are browsing the scene or a material library, resources appear as a scrollable list of materials and maps. The list indicates a material with a blue sphere, and indicates a map with a green parallelogram. When you list both materials and maps, the materials are listed first.

If you are browsing a file system, the pane is split in two: the left shows a file system hierarchy, and the right displays either resource thumbnails or Web pages. The file system and Web navigation controls are identical to those of the Asset Browser.

Pane and controls for browsing file systems and the Web

Note: When Show Map In Viewport is turned on for a map, the Navigator displays its parallelogram icon in red. If Show Map In Viewport is turned on for the entire material, then the material’s ball icon is red, and the map icons are displayed in their usual green.

Text entry: This text field is at the upper left, above the sample slot. As you enter a material name in this field, the first matching text item is selected in the list. Press ENTER to select the next matching name, and so on.

For example, if you enter ch when the list includes the material names Cherry Red, Chrome Blue, and Chrome Zinc, Cherry Red is selected first. Press ENTER, and the Chrome Blue is selected. Press ENTER again, and Chrome Zinc is selected.

The search is not case-sensitive.

Sample slot: Below the text-entry field is a single sample slot. When the current selection is a map, this area displays it. You can drag the sample to objects in the scene or to material buttons in the user interface. The sample slot display is interruptable, so you can quickly click from one list item to the next without waiting. In addition, if you complete the display of one sample, then move on to another sample, when you return to the first sample, it displays instantly.

Current selection: This text field above the resource panel shows the name of the currently selected map or material. If there is no selection, it displays "None."

Apply Material to Selected Object: Click to apply the current material to an object selected in the scene. This button is available only when a material is selected.

You can also apply a material to multiple selected objects, or to certain kinds of sub-object selections.

Open gmax Material Editor: Click to display the Material Editor dialog.

Browse From group

The controls in this group choose the source of the resources displayed in the resource pane.

Scene group: Displays materials that are present in the scene. There are three options for displaying scene materials:

  • Entire: Displays all materials and maps in the scene. This includes materials that are in the Material Editor but not applied to objects, and maps applied as light projections.

    Tip: If you drag a material from the Navigator to an object, so the material is never in the Material Editor, and then delete the object, you can recover the material by using the list displayed by Entire.

  • Selected: Displays only materials applied to currently selected objects.

  • Applied: Displays only materials applied to objects in the scene. This excludes materials that are in the Material Editor but not applied to objects.

Material Library: Displays the contents of a material library file. When you set this option, the buttons under File become visible (see below).

In gmax dev, you can also load a library from a MAX file. When browsing from the Material Library in the Material/Map Navigator, click Open, and then choose 3ds max (*.max) from Files of type. Select and load a MAX file. All materials applied in that scene are listed in the Navigator.

File System: Displays a file hierarchy and either resource thumbnails or Web pages. The controls for file system and Web browsing are identical to those for the Asset Browser.

While browsing a file system, the File group disappears, and the Show group is disabled.

Show group

These options filter what is displayed in the list. They are unavailable when browsing from a file system.

Materials: Turns display of materials and sub-materials on or off.

Maps: Turns display of maps on or off.

Either Materials or Maps is always on, and both can be on at the same time.

Root Only: Turns display of maps and sub-materials on or off. When on, the list displays only the top level of a material with bitmaps assigned, or the top level of a multi/sub-object material.

List: Turns display of map and material names on or off.

File group

This button group is displayed when you've chosen Material Library in the Browse From group.

Open: Opens a material library.

Update Scene Materials from Library: Updates materials in the scene with the materials of the same name stored in the library.

When you click Update Scene Materials from Library, the Update Scene Materials dialog is displayed. This dialog lists materials in the library that have the same name as materials in the scene. In the list, select the materials you want to update in the scene, and then click OK.

If no materials exist in the scene that match the names in the library, an alert informs you of this.


Select Bitmap Image File Dialog

Material Editor > Any component tab > Component's Map group > Click Open New Map File.

The Select Bitmap Image dialog allows you to choose a file or sequence of files for a map.

Procedures

To select a bitmap image for a map:

  1. In the Material Editor, go to a component's tab.

  2. Click Open New Map File.

    This assigns a map to the component. For example, clicking Open New Map File in the Diffuse tab creates a diffuse or "texture" map.

  3. In the Select Bitmap Image dialog, navigate the Look In field to select the appropriate directory.

  4. Highlight the file name in the file list window.

  5. Click Open to close the dialog.

Interface

History: Displays a list of the most recent directories searched. Whenever an image is selected, the path used is added to the top of the history list as the most recently used path. The history information is saved in the file gmax.ini.

Look In: Opens a navigation list to browse other directories or drives.

Up One Level: Moves you up a level in the directory structure.

Create New Folder: Lets you create a new folder while in this dialog.

List: Displays the contents of a directory without the details.

Details: Displays the contents of a directory with all the details.

List Window: When details are turned on, the contents of the directory are displayed with Name, Size, Type, Date Modified, and Attributes. You can sort based on each of these columns by clicking the column label.

File Name: Displays the file name of the file selected in the list.

Files of Type: Displays all the file types that can be displayed. This serves as a filter for the list.

Open: Selects the highlighted file and closes the dialog.

Cancel: Cancels the selection and closes the dialog.

Setup: (Not available in gmax.)

Info: Displays expanded information about the file, such as frame rate, compression quality, file size, and resolution. The information here depends on the type of information that is saved with the file type.

View: Displays the file at its actual resolution. If the file is a movie, the Media Player is opened so the file can be played.

Gamma Group

Gamma: Selects the type of gamma to be used for the selected file. This is unavailable unless Enable Gamma Correction is turned on in the Gamma panel of the Preferences dialog.

Use Image’s Own Gamma: Uses the gamma of the incoming bitmap.

Use system Default Gamma: Ignores the image’s own gamma and uses the system default gamma instead, as set in the Gamma panel of the Preferences dialog.

Override: Defines a new gamma for the bitmap that is neither the image’s own, nor the system default.

Preview: Displays the image as a thumbnail in the image window.

Image Window: Displays a thumbnail of the selected file.

Statistics: Displays the resolution, color depth, file type, and number of frames of the selected file.

Location: Displays the full path for the file. With this information at the bottom of the dialog, you always know exactly where you are.


Managing Scenes and Projects

These topics are concerned with managing gmax scenes, projects, and the files that make them up.

File-Handling Commands

The principal commands for handling files are found on the default File menu, as in most Windows applications.

File-Handling Utilities

Several utilities help you manage files:

  • The Asset Browser provides another way to find and preview files and use them in gmax scenes.

  • The Map Path Editor lets you view bitmap paths or remove them from the scene file.

  • The MAX File Finder is another resource for finding gmax scenes.

  • The Resource Collector copies or moves a scene's bitmaps into a single directory.

Geometry File Formats

You can import a variety of geometry file formats into a scene.

Image File Formats

You can use image file formats in a variety of ways: as textures for materials, as backgrounds to viewports, as background environments, and as images projected from a light.

External References (XRefs) to Objects and Scenes

External references to objects and scenes are a powerful way to manage a project, especially when it involves multiple contributors.


File-Handling Commands

The main file-handling commands are on the default File menu. These commands are for creating, opening, and saving gmax scenes; importing and exporting other 3D file formats; viewing a 2D image file; displaying or changing a scene file's properties; exiting gmax; and other operations.

New

Reset

Open

Save

Save As

Save Selected

Merge

Replace

Merge Animation

Import

Export

Export Selected

Archive

Summary Info

Properties

View Image File

Exit

History

See also

Asset Browser

Geometry File Formats

Image File Formats


New (File Menu)

New

File menu > New

Keyboard > CTRL+N

New clears the contents of the current scene without changing system settings (viewport configuration, snap settings, Material Editor, background image, and so on).

Procedure

To create a new scene:

  1. Choose File > New or press CTRL+N.

  2. In the New Scene dialog, specify the types of objects to keep, if any.

  3. Click OK.

Interface

The New Scene dialog has the following controls.

Keep Objects and Hierarchy: Keeps the objects and the hierarchical links between them, but removes any animation keys.

Keep Objects: Keeps the objects in the scene, but removes any links between them and any animation keys.

New All (Default): Clears content of the current scene.


Reset

File menu > Reset

Reset clears all data and resets the system settings (viewport configuration, snap settings, Material Editor, background image, and so on). Resetting restores the program to its start-up defaults, stored in the file gmaxstart.gmax, and removes any customization you may have done during the current session.

Resetting the software has the same effect as exiting and restarting the program.

Procedure

If you have made changes since the last Save operation, a dialog prompts you whether you want to save your changes.

To reset the program:

  1. Choose File > Reset.

    If you have made any changes since the last Save operation, a dialog prompts you to save them. As further protection against data loss, a confirmation dialog appears.

  2. When asked if you really want to reset, click Yes.

    Clicking No on this dialog cancels the Reset operation.


Open (File Menu)

Open

File menu > Open

Keyboard > CTRL+O

Open loads a scene file (.gmax file or .max file) from an Open File dialog. You can also choose a previously opened file and use command-line options.

If the file you're loading was created using plug-ins that are not installed, a dialog lists them. You can still load the file, but any objects in the scene that were created by the missing plug-ins are replaced with boxes.

If the file you're loading contains bitmaps that cannot be located, a Missing Map Files dialog appears. This dialog lets you browse for the missing maps, or continue opening the file without loading them.

Automatic Unit Conversion

When Automatic Unit Conversion is turned on in the General panel of the Preferences Settings dialog, in the System Unit Scale group, loaded files that have a different system unit scale display a dialog that lets you rescale the loaded scene to the current system unit scale or change the current system unit scale to match the one in the loaded file. No conversion is done when loading files created in 3ds max 1.x.

  • If you rescale the file objects, the objects are scaled as if they had been created using the current system unit scale. For example, if the current system unit scale is set to 1 unit=1 inch, and the incoming file was set to 1 unit=1 foot, a sphere with a radius of 100 feet becomes 1200 inches in radius (if the unit display is set to generic units), or 100 feet.

  • If you change the current system unit scale to match the one in the loaded file, the same sphere remains 100 feet in radius, the System Unit Scale setting in the Options dialog is reset to 1 Unit=1 Foot.

  • If Automatic Unit Conversion is off, a 100-unit radius sphere that was created in a 1=1 foot system becomes a 100-inch sphere in a 1=1 inch system with a 100-unit radius.

Procedures

To display the Open File dialog:

  • Choose File > Open or press CTRL+O.

To reopen a previously opened file:

  • From the bottom of the File menu, choose the file name.

    You set the number of files listed by changing the Recent Files in File Menu field in the Files tab of the Customize > Preferences dialog.

To start the program and open a specific file:

  • In a command prompt window, specify the file name after the program file. For example:

    c:\gmax\gmax.exe myproject.gmax

To start gmax and open the last file you worked on:

  • In a command prompt window, type -L after the gmax program file:

    c:\gmax\gmax.exe –l

Interface

The Open File dialog has standard Windows file open controls. At the right, the Thumbnail area shows a preview of the scene whose file name is highlighted in the list on the left.

Clicking the plus button appends a sequence number to the file name you entered, or increments the sequence number if the name already has one, and then opens the file of that name, if it is present.

For example, if you have highlighted a file named test00.gmax, clicking the plus button changes the name to test01.gmax, and then opens test01.gmax.


Save

File menu > Save

Keyboard > CTRL+S

Save updates the current scene by overwriting the last save of the scene. If no scene was previously saved, this command works like Save As.

See also

Save As

Interface

When you save a scene, you save the system settings also. When you open the file again, it is opened with the same viewport configuration, view and zoom levels, snap and grid settings, and so on.

The software allows you to incrementally number saved files and to make automatic backup files at specified time intervals. The options to set up Increment on Save and Backup on Save are in the Files panel of the Preference Settings dialog.


Save As

File menu > Save As

Save As saves the current scene under a different file name.

Note: The software allows you to number saved files incrementally and to make automatic backup files at specified time intervals. The options to set up Increment on Save and Backup on Save are in the Files panel of the Preference Settings dialog.

See also

Save

Procedure

To save a file to a different name:

  1. Choose File > Save As.

  2. Do one of the following:

    • Enter a name in the File Name field.

    • Click the Increment button.

Interface

The Save File As dialog has standard Windows file save controls. At the right, the Thumbnail area shows a preview of the scene whose file name is highlighted in the list on the left.

Clicking the plus button appends a sequence number to the file name you entered, or increments the sequence number if the name already has one, and then saves the file to that name.

For example, if you have highlighted a file named test00.gmax, clicking the plus button changes the name to test01.gmax, and then saves test01gmax.


Save Selected

File menu > Save Selected

Save Selected saves the selected geometry as a scene file under a different file name.

Identically named bitmaps with different properties are stored as different files. Objects linked to a selected object are also saved. The following dependencies are preserved for a Save Selected operation:

  • Ancestors of selected child objects are saved, all the way to the root of the hierarchy.

  • IK follow objects to which selected objects are bound are saved.

Procedure

To save selected objects to a new file:

  1. Select one or more objects.

  2. Choose File > Save Selected.

  3. Enter a name in the File Name field.

  4. Click Save.


Merge

File menu > Merge

Merge brings objects from other gmax files into the current scene.

Automatic Unit Conversion

When Automatic Unit Conversion is turned on in the General tab of the Preferences dialog, in the System Unit Scale group, merged objects from a file with a different system unit scale are scaled to maintain their correct size in the new scene. No conversion is done when merging files created in 3ds max 1.x.

If Automatic Unit Conversion is off, a 100-unit radius sphere that was created in a 1=1 foot system becomes a 100-inch sphere in a 1=1 inch system with a 100-unit radius.

See also

Merge Animation

Open

Replace

Procedures

To merge items:

This is the general procedure. Detailed steps follow.

  1. Choose File > Merge.

  2. Select a file from which to merge items.

  3. Choose a group or an item to merge.

To specify object types to list, do any of the following:

  • Display or hide the subtree. If the subtree is not displayed, you can sort items in the list alphabetically or by type or color.

  • Select the object types that you want displayed in the list box.

  • Click All or None to select or clear all of the object types.

    The names of all objects that match the selected object types are displayed in the list window.

To select objects to merge, do any of the following:

  • Enter the name of an item, or use wildcard characters to specify multiple items that share a set of characters in their names.

  • Click to select single objects.

  • Press CTRL and click to add and remove single objects from the selection.

  • Press SHIFT and click to select all objects between the previously selected object and the current object.

  • Click All or None to select or deselect the entire list.

  • Click and drag to select items to merge from the list on the left.

To resolve conflicts when merged objects have the same name:

When one or more incoming objects have the same name as objects in the scene, an alert gives you the following options:

Merge: Merges the incoming object using the name in the field at the right. To avoid having two objects with the same name, type a new name before proceeding.

Skip: Does not merge the incoming object.

Delete: Deletes the existing object before merging the incoming one.

Apply to All Duplicates: Treats all subsequent incoming objects with duplicate names the same way you specified for the current object. No further alerts will appear. This option is not available if you renamed the current object.

Cancel: Cancels the merge operation.

When one or more materials assigned to incoming objects have the same name as materials in the scene, an alert gives you the following options:

Rename Merged Material: Defines the name for incoming material.

Use Merged Materials: Assigns the characteristics of the incoming materials to the same-named scene materials.

Use Scene Materials: Assigns the characteristics of the scene materials to the same-named incoming materials.

Note: Only top-level material names (not sub-materials) are checked for duplicates.

Auto Rename Merged Materials: Automatically renames the incoming materials to new names. Uses Material number names based on the next available Material number.

Apply to All Duplicates: Treats all subsequent incoming Materials with duplicate names the same way you specified for the current object.

Interface

In the standard file selector dialog, select the scene file to merge. To see more than one file type at a time, choose the All Files file type.

After you select a file, select the objects to merge in the Merge dialog. Either enter the object name or select the object from the Object List.

All/None: Selects all list items or no items.

Invert: Reverses the current list selection.

Display Subtree: Displays the objects in the list in an indented format. Turn off this option to activate the Sort group options.

Select Subtree: When this option is turned on, all items indented below the selected one are also selected.

Case Sensitive: Distinguishes between uppercase and lowercase for item names.

Sort group

Options allow you to sort the list on the left. If the Display Subtree check box is on, these options are not available.

Alphabetical: Sorts from A at the top to Z at the bottom.

By Type: Sorts by category, using the same order as the check boxes in List Types.

By Color: Sorts by object wireframe color.

List Types group

Determines which components in the scene are displayed in the list on the left: geometry, shapes, lights, cameras, helpers, and groups. Group names appear in brackets.

All/None: Turns all check boxes on or off.

Invert: Reverses the current status of check boxes.


Replace

File menu > Replace

Replace lets you substitute the geometry of one or more objects in a scene by merging objects with duplicate names. Use Replace when you want to work with less complex geometry to set up your scene and animation, and then replace it with more detailed geometry before rendering.

  • When you replace an object in your scene, you replace its geometry, including its modifiers, but not its transforms, hierarchy, or materials.

  • To replace the object with all its characteristics, use Merge.

  • If the object that you're replacing has instances in the scene, all of the instances are replaced with the new object.

  • All objects in the scene with the same name as the incoming object are replaced by that object. If you have more than one object in the scene with the same name as the incoming object, all of those objects are replaced.

See also

Merge

Merge Animation

Procedures

To replace items:

  1. Choose File > Replace to display the Replace File dialog.

    • To see more than one file type at a time, choose the All Files file type.

  2. Select a file from which to choose replacement items.

  3. On the Replace dialog for that file, choose a group or a replacement item. (See the following procedure.)

    An alert asks if you want to replace the materials along with the objects.

    • If yes, the materials from the incoming objects replace the current materials.

    • If no, only the geometry is replaced, while the material assigned to the original object is retained.

To select objects to replace, do one of the following:

  • Type the name of an item, or use wildcard characters to specify multiple items that share a set of characters in their names.

  • Click to select single objects.

  • Press CTRL and click to add and remove single objects from the selection.

  • Press SHIFT and click to select all objects between the previously selected object and the current object.

  • Click All or None to select or deselect the entire list.

Interface

In the standard file selector dialog, select the gmax scene file to replace. To see more than one file type at a time, choose the All Files file type.

After you select a file, select the objects to replace in the Replace dialog. Either enter the object name or select the object from the Object List.

All/None: Selects all list items or no items.

Invert: Reverses the current list selection.

Display Subtree: Displays the objects in the list in an indented format. Clear this option and the Sort group is enable.

Select Subtree: When this option is selected, all items indented below the selected one are also selected.

Case Sensitive: Distinguishes between upper and lowercase for item names.

Sort group

Options allow you to sort the list on the left. If the Display Subtree check box is on, these options are not available.

Alphabetical: Sorts from A at the top to Z at the bottom.

By Type: Sorts by category, using the same order as the check boxes in List Types.

By Color: Sorts by object wireframe color.

List Types group

Determines which components in the scene are displayed in the list on the left: geometry, shapes, lights, cameras, helpers, and groups. Group names appear in brackets.

Note: If you turn off Groups display, only the group name is shown, in brackets. To merge an entire group, select the group and all its children.

All/None: Turns all check boxes on or off.

Invert: Reverses the current status of check boxes.


Merge Animation

Select an object, group, or hierarchy. > File menu > Merge Animation

Merge Animation lets you import animation from another scene by replacing controller tracks. You can merge animations into a selected object, group, or hierarchy, but all items whose tracks you are replacing must be part of the same hierarchical branch.

The destination object must contain the same type of track (for example, Position or Bend) as the replacement object. Unmatched tracks from the replacement object are ignored.

See also

Merge

Replace

Procedure

To replace controller tracks in the current scene with those from another scene:

  1. Select an object, group, or hierarchy.

  2. Choose File > Merge Animation.

  3. Specify the name of the file from which to import controller tracks.

  4. In the Merge Animation dialog, select the object whose tracks you want to import.

  5. Specify the method by which the imported tracks will be inserted.

  6. Click OK.

Interface

The Merge Animation dialog has the following controls.

Objects group

Source: Displays all objects in the scene of the selected source file. If an object matches the name of the selected destination object in the current scene, it's highlighted.

Destination: Displays the name of the selected destination object in the current scene. This object will receive the inserted tracks.

Subtree: When on, merges the tracks of the entire hierarchy. When off, merges the tracks of only the selected object.

Method group

Options specify how tracks will be inserted.

Replace Controllers: Replaces all controllers and animation in the destination object with those in the source object.

Paste Time: Inserts animation from a specified range of time in the source file to a specified insertion point in the destination object. If the controllers in the source and destination are not compatible, the track is skipped.

Start and End Time: Specifies the range to insert.

First Key to Last Key: Restores Start and End Time to the first and last key in the source file.

Insertion Time: Specifies the frame where you want to insert the source range of animation. If a key exists in the destination track at that point, the key is deleted.

Relative: Inserts values relative to the initial time of insertion.

For example, if a sphere has an original radius of 20, and the incoming sphere's track has a radius of 10, the result is a sphere with a radius of 30.

Absolute: Inserts absolute values, regardless of the insertion time.

Affect Only: Specifies which types of tracks are inserted.


Import

File menu > Import

Import loads or merges geometry files that are not gmax scene files. See the following procedure for a complete list of file types you can import.

Procedure

To import a file:

  1. Choose File menu > Import.

  2. Choose an import file type from the Files Of Type list in the file selector dialog. To see more than one file type at a time, choose the All Files file type.

    3D Studio Mesh (3DS)

    3D Studio Project (PRJ)

    AutoCAD (DXF)

    3D Studio Shape (SHP)

  3. Select a file to import.

  4. For some file types, a second dialog appears, with options specific to that file type. Choose the import options you want.


Export

File menu > Export

Export converts and exports gmax scenes to a format supported by your game pack. If you're not using a game pack (that is, you downloaded gmax from a Web site), gmax does not support export.

If you're using gmax dev (the developer-only version), your development team will provide code that lets you export data in the desired format.

See also

Export Selected

Procedure

To export a file:

  1. Choose File menu > Export.

  2. Choose an export file type from the Files Of Type list in the file selector dialog.

  3. Enter a name in the File Name field.

  4. Depending on the file type you choose, you might be presented with options available for that export choice. If a second dialog appears, choose the export options you want.


Export Selected

File menu > Export Selected

Export converts and exports selected geometry to a format supported by your game pack. If you're not using a game pack (that is, you downloaded gmax from a Web site), gmax does not support export.

If you're using gmax dev (the developer-only version), your development team will provide code that lets you export data in the desired format.

Procedure

To export selected objects to a file:

  1. Select one or more objects.

  2. Choose File menu > Export Selected.

  3. Choose an export file type from the Files Of Type list in the file selector dialog.

  4. Enter a name in the File Name field.

  5. Depending on the file type you choose, you might be presented with options available for that export choice. If a second dialog appears, choose the export options you want.


Archive

File menu > Archive

Archive creates a compressed archive file or a text file listing the scene bitmaps and their path names.

The software program automatically finds the files referenced in the scene and creates the archive file in the executables folder. During the archiving process, the program displays a log window.

Compressed archive files are created using an external program. You specify the name and location of the archive program you want to use in the Files panel of the Preferences dialog.

Procedures

To set up an external archive program:

  1. Choose Customize > Preferences.

  2. Click the Files tab to display the Files panel.

  3. Enter the full path and executable file name, and any command-line option you want for your external archive program in the Program field.

To archive a file:

  1. Choose File > Archive.

  2. Enter a name in the File Name field.

    Include the appropriate file extension (for example .zip).

  3. Choose a file type: gmax Archive or List Of Files.

    • To create a text file, choose List Of Files (*.txt) in the Save As Type list. The resulting file is an ASCII list of scene files.

    • To create an archive file, choose gmax Archive in the Save As Type list. The archive file contains the scene plus all bitmaps used for the scene.


Summary Info

File menu > Summary Info

Summary Info displays statistics about the current scene.

Interface

The Summary Info dialog includes the following information:

Scene Totals: Number of objects in your scene listed by type.

Mesh Totals: Total number of vertices and faces in the scene.

Memory Usage: Physical and virtual memory used and available.

Description: Lets you enter notes about the scene.

Summary Info: Lists materials in the scene. The information is sorted by category and includes object name, assigned material name, type of material, object vertex and face counts, and so on. Materials are listed at the bottom of the list. Bitmaps used by the materials are listed with the materials. The Other Maps category lists all other maps used in the scene, such as Displace maps, and any maps assigned by third-party plug-ins.

The buttons at the bottom of the Summary Info dialog have the following functions:

Save to File: Saves the contents of the dialog and descriptive text to a .txt (text) file.

Plug-In Info: Displays a subdialog with information about the plug-ins used in the scene. By default, the subdialog shows the name and a brief description of each plug-in.

Show Details: Shows information about all of the classes supported by each plug-in.

Show Used Only: Restricts the view to only those plug-ins that have been used in the scene.


File Properties (File Menu)

File Properties

File menu > Properties

File Properties allows you to enter information about a scene that can later be read by Windows NT 4.0 and Windows 98 when viewing the properties of a gmax file. This information can also be used to locate gmax files with the gmax File Finder utility.

The Properties dialog comprises three tabs.

  • The Summary panel displays pre-defined fields that are commonly used.

  • The Contents panel displays scene information available after the scene had been saved.

  • The Custom panel enables you to create new fields that can also be used by the MAX File Finder utility.

Interface

Summary panel

Summary provides fields for entering information related to the saved scene. Many commonly used fields are available from the Summary tab. If there is a field you would like that is not represented in the Summary tab you can use the Custom tab to define new fields for information.

Title: Enter the title of your scene or animation here.

Subject: Enter the subject of your scene or animation here.

Author: Enter the author of your scene or animation here.

Manager: Enter the manager of your scene or animation here.

Company: Enter the name of your company here.

Category: Enter the category of your scene or animation here.

Keywords: Enter keywords that identify your scene here.

Comments: Enter personal comments here.

Contents panel

When a scene is saved, the program generates a summary list of everything contained in the scene and displays it under the Contents tab. If a scene has not been saved, the Contents panel remains empty.

Note: There is currently a bug in Windows NT 4.0 that causes the information in the Contents tab to look garbled when you view a gmax file in Windows Explorer. The problem has been corrected in Windows 98. Although the information looks garbled, it is internally correct and the gmax File Finder utility can still read it.

Custom panel

The Custom panel lets you create custom fields. Custom is useful when there is more information that needs to be entered into the properties of a scene but there is no field or no room in the Summary panel.

Name: Enter the name of a custom field. You can manually enter anything you want into the Name field. A drop-down list provides commonly used field types.

Type: Specifies the type of information to be entered into the Value field: choose from Text, Date, Number, and Yes or No. This dictates the type of information to be entered into the Value field.

Value: Enter the data here.

Add: Adds the Custom properties entered into the Name, Type, and Value fields to the Properties list.

Delete: Removes a selected Custom property from the Properties list.

Properties: Displays all Custom properties entered into the scene.


Image File

View Image File

File menu > View Image File

Select and view still images using options in the View File dialog. Selected still images appear in the Virtual Frame Buffer dialog.

You can zoom in and out and pan the image, even before it is fully displayed. If you have a Microsoft IntelliMouse, you can use its third-button/wheel to zoom and pan. See the following procedures.

Procedures

To view a file:

  1. Choose File > View Image File.

  2. Choose a file type from the Files of Type list.

  3. Select a file to view.

    Note: The View File dialog uses the last location where a file was chosen, rather than the default image path defined in configure paths

To zoom in in the virtual frame buffer:

  • Press CTRL and click.

To zoom out in the virtual frame buffer:

  • Press CTRL and right-click.

To pan the virtual frame buffer:

  • Press SHIFT and drag.

To use a Microsoft Intellimouse to zoom and pan:

  • Roll the wheel to zoom in or out.

  • Press the wheel, and drag to pan. (You can use any third-button device to pan the image.)

    Note: You must select the Pan/Zoom option in the Viewports page of the Customize > Preferences dialog in order to use the third button for panning and zooming.

Interface

History: Whenever an image is selected, the path used is added to the top of the history list as the most recently used path.

File selections from other areas of the software like Views > Viewport Background, are stored here also. The history information is saved in the gmax.ini file.

Look In: Browses drives and directories.

File Name: Displays the name of the selected file.

Files of type: Selects the type of files to list in the directory window.

Devices: Lets you choose the hardware output device, for example, a digital video recorder. The device, its driver, and its gmax plug-in must all be installed on your system to use the device.

Setup: This is unavailable in View Image File.

This option is available only in file dialogs like the Viewport Background dialog. Displays a dialog to specify image attributes for saved files.

Info: Displays image information.

View: View the selected image or animation.

Sequence: This is unavailable in View Image File. This option is available in the Views > Viewport Background > Files > Select Background Image dialog.

Preview: Toggle the image preview display.

Preview Window: Displays the selected image.

Gamma group

Use image's own gamma: Use image gamma.

Use system default gamma: Use system gamma.

Override: Specify gamma for the image.

Status Window: Displays the file specification and full directory path.


Exit

File menu > Exit

Exit closes the program. If you have unsaved work, you'll be asked if you want to save it.

Procedure

To exit the program:

  1. Choose File > Exit.

  2. Click the Yes, No, or Cancel button.

    If you click Yes the scene is saved, if you click No the scene is not saved, if you click Cancel the Exit operation is canceled.

Note: You can also click the Close button (the X) in the upper-right corner of the application window to exit.


History (File Menu)

History

File menu > Bottom of File menu

History appears as a list of recently saved files at the bottom of the File menu. The list displays most recently opened files at the top.

Procedure

To change the number of files displayed in the History list:

  1. Choose Customize > Preferences > Files tab > File Handling.

  2. Set a value for Recent Files In File Menu. The upper limit is 9.


Missing Map Files Dialog

File menu > New > Open file that has out-of-date map paths.

This file appears when you attempt to open a scene with bitmaps whose path is no longer current. This can happen if the bitmaps have been moved or deleted, or if the scene has been placed on a system with a different drive mapping than the system on which it was created.

See also

Configure Bitmap Paths

Bitmap Path Editor Utility

Bitmap Path Editor dialog

Interface

List of bitmaps: Lists the bitmaps that cannot be located, along with their path names,.

Continue: Opens the file anyway, without loading the missing bitmaps.

Browse: Displays a Configure Bitmap Paths dialog, to let you add the missing maps' paths to the search sequence. This dialog has the same controls as the Bitmaps panel of the Configure Paths dialog.


Asset Browser Utility

Asset Browser

Utilities panel > Utilities rollout > Asset Browser button

The Asset Browser provides access from your desktop to design content on the World Wide Web. From within the program you can browse the Internet for texture samples and product models. This includes bitmap textures (BMP, JPG, TIF, and TGA), or geometry files (GMAX, DXF, and so on). You can drag these samples and models into your scene for immediate visualization and presentation. You can use the CTRL key to drag geometry into predefined locations. You can also use the Asset Browser to browse thumbnail displays of bitmap textures and geometry files on your hard disk or shared network drives. Then you can either view them or drag them into your scene or into valid map buttons or slots.

Note: The thumbnail display of a geometry file is a bitmap representation of a view of the geometry. Since the thumbnail display is not a vector-based representation, you can't rotate it or perform zooms on it.

You can drag many graphic images that are embedded in a Web page into your scene. The exception is images or regions of a Web page that are tagged as hyperlinks or other HTML controls (such as when a bitmap is tagged as a button with hypertext links).

Important: Downloaded content may be subject to use restrictions or license of site owner. User is responsible for obtaining all content license rights.

Drag and Drop

You can assign files represented by the thumbnail images by dragging the thumbnails over various parts of the Asset Browser or the software's user interface. There are three basic methods of using drag in the Asset Browser:

Local Drag and Drop: You can drag thumbnails to the directory tree, and you can copy or move files from one directory to another. As the default, when you drag to a folder within the same partition or device, you perform a move. If you drag beyond the current partition or device (to another drive, for example), you perform a copy. If you hold down the CTRL key, you perform a copy regardless of the destination. If you hold down the SHIFT key, you perform a move. You can manipulate bitmap and gmax scene thumbnails in this way.

Bitmap Drag and Drop: You can drag the thumbnails that represent bitmap files to any bitmap or map slot in the interface or onto any object in a viewport. You can also drag the thumbnails into the viewport background. When you drag a bitmap onto an object, the program creates a new material with the bitmap as the diffuse map and assigns the material to that object.

Scene Drag and Drop: You can drag the thumbnails representing .gmax scene files directly over an active viewport to merge the scene with the current scene. When you drag the thumbnail over the active viewport and release the mouse, the objects in the file appear attached to the mouse. Place them where you want them, and then click the mouse. Choose from the menu whether you want to open the file, merge the file to the current scene, or XRef the file. To cancel, you can select from the menu, or right-click. If you hold down the CTRL key, and drag the thumbnail over the active viewport, when you release the mouse button the objects in the dragged file will snap into their old location in their original file.

Procedures

To drag scene files from the World Wide Web:

  1. In the Address bar, enter the URL of the scene files on the World Wide Web.

  2. Select the thumbnail of the scene file with your mouse and drag it over the active viewport.

    The Internet Download dialog appears.

  3. In the Options group, turn off Place Objects When Download Completes if you want the program to place the objects in the viewport automatically.

  4. When you release the mouse, the objects in the file appear attached to the mouse. Place them where you want them, and then click the mouse. Choose from the menu whether you want to open the file, merge the file to the current scene, or XRef the file. To cancel, you can select from the menu, or right-click. If you hold down the CTRL key when you drag the thumbnail, the program places the objects in the file at the world space origin of the current scene.

To drag thumbnails to the directory tree:

In the Asset Browser directory tree, make sure the place you want to copy or move the thumbnail to is visible.

  1. Select the thumbnail with your mouse and drag it to the directory tree destination.

  2. As a default, if you drag to a folder within the same partition or device, a move is performed. If you drag beyond the current partition or device (to another drive, for example), a copy is performed. If you hold the CTRL key down, a copy is performed, regardless of the destination. If you hold the SHIFT key down, a move is performed.

To drag bitmaps onto a map slot in the Material Editor:

Open the Material Editor and click the Maps rollout.

  1. Open the Asset Browser and select the thumbnail of a bitmap with your mouse.

  2. Drag the thumbnail to the map button of your choice on the Material Editor Maps rollout.

    This assigns the bitmap as a map type for use in the Material Editor.

To drag a bitmap onto an object in a viewport:

Select a thumbnail of the bitmap with your mouse and drag it onto an object in a viewport.

  1. The program creates a new standard material with the bitmap as the diffuse component and assigns the material to that object.

To drag scene files from a local or shared disk:

From Asset Browser's menu bar, choose Filter and then a geometry filter such as All Geometry, Importable Files, or gmax Files.

  1. Select the thumbnail of the geometry file with your mouse and drag it over a viewport.

  2. When you drag the thumbnail over the active viewport and release the mouse, the merged objects appear attached to the mouse. Place them where you want them, and then click the mouse. Choose from the menu whether you want to open the file, merge the file to the current scene, or XRef the file. To cancel, you can select from the menu, or right-click. If you hold down the CTRL key when you drag the thumbnail, the program places the objects in the file at the world space origin of the current scene.

Interface

When you first start Asset Browser, a window appears displaying the home page that is installed locally on your computer system.

Note: You can't change the home page for Asset Browser.

Each subsequent time that you start Asset Browser, the program displays what was displayed last in the previous session of the Asset Browser.

The Asset Browser window contains:

  • A menu bar.

  • A toolbar.

  • An address bar.

  • A pane on the left displaying your computer system's directory hierarchy.

  • A pane on the right displaying a Web page, thumbnails, or an Explorer view of file names.

At the bottom of the window, there is also a status bar.

Asset Browser menu bar

Contains the menus for the Asset Browser.

File menu

Contains commands for managing files.

Preferences: Displays the Preferences dialog, with which you can manage the cache directory and control drag and drop operations.

Properties: Displays information about the file of the selected thumbnail.

Show Image: Displays the currently selected bitmap thumbnail in a virtual frame buffer. You can also double-click a thumbnail. This does not work for geometry thumbnails.

Print: Prints the page displayed in the Web pane. Print is only available when a Web page displays.

Exit: Closes the Asset Browser window.

Filter menu

Filters the display of thumbnails according to the category or file type you select.

All images: Displays thumbnails of all supported bitmap files, such as BMP, JPG, TIF, and TGA.

All geometry: Displays thumbnails of all supported geometry files, such as GMAX and DXF.

All in cache: Displays thumbnails of all images stored in your cache directory. When turned on, the left pane displaying the directory tree goes away, and the thumbnails you see may be in various directories. Because the thumbnails point to the correct directories, you can still use them to access the files and display or drag them to areas in the program.

Important: If a file has been subsequently renamed, deleted, or moved from the directory it was in when its thumbnail was first created, then the thumbnail represents only the thumbnail bitmap itself. If you assign that image to a map slot in the software, you'll be assigning the thumbnail bitmap rather than the original image.

All files (*.*): Displays thumbnails for all files.

See the following topics for information on the file types listed on the Filter menu:

DXF Files

BMP Image File

JPEG File

Targa Image File

TIF Image File

Thumbnails menu

Sorts and sets the size of the displayed thumbnails.

Create Thumbnails: Creates thumbnails for bitmap and geometry files.

Sort by Name: Sorts by file names.

Sort by Type: Sorts by file extensions.

Sort by Size: Sorts by file size.

Sort by Date: Sorts by file creation date.

Large (200X200): Sets the size to large (200 by 200 pixels).

Medium (100X100): Sets the size to medium (100 by 100 pixels).

Small (50X50): Sets the size to small (50 by 50 pixels).

Display menu

Controls the display of:

  • The left pane, where the directory tree displays your computer system's folders.

  • The right pane where files appear in either a Thumbnail pane or an Explorer pane. For folders containing the HTML file, the right pane displays the page in a Web pane. If you enter a URL in the address bar, the page is displayed in this pane.

  • The Favorites and status bars located at the bottom of the Asset Browser window.

Directory Tree: Turns the directory tree in the left pane on or off. The directory tree displays the available directories on your system. You can navigate and select the directories where you want to view images. When you select and enter a directory containing valid bitmaps, the browser displays their thumbnails in the Thumbnail pane to the right. Right-clicking in the directory tree pane displays a menu allowing you to change directories, delete directories, and add a directory to your Favorites list.

Tip: To refresh the contents of the directory tree, press SHIFT+F5.

Favorites Bar: Turns the Favorites bar on or off. The Favorites bar is located at the bottom of the Asset Browser window.

Status Bar: Turns the status bar on or off. The status bar is located at the bottom of the Asset Browser window.

Thumbnail Pane: Displays valid bitmaps and geometry files of a selected directory as thumbnails in the right pane.

Thumbnail bitmaps for MAXScript files (.ms, .mcr, and .mse), dropScript files (.ds), and zipped script files (.mzp) display in the Thumbnail pane. By right-clicking the thumbnail, you can view the file, look at its properties, run the script, or open it in the Web Pane. By double-clicking the thumbnails for .ms, .mcr, and .ds files you can open them in the MAXScript editor window. Double-clicking .mzp files will open them in the associated zip utility.

Explorer Pane: Displays valid bitmaps and geometry files of a selected directory as file name icons in the right pane. This is similar to how Windows displays file name icons in the Explorer.

Web Pane: If there's a .htm file in the selected directory, the program displays it as a Web page in the right pane. You can use the .htm file to display selected bitmaps as a Web page. Also if you enter a URL in the address bar, the program displays the page in this pane.

Favorites menu

Adds and deletes Web sites and path names to the Favorites menu and the Favorites bar.

Add to Favorites: Displays the Favorite Location dialog.

Delete All Favorites: Removes all Web site and path name shortcuts from the Favorites menu and the Favorites bar.

Browse menu

Allows you to refresh thumbnails and Web pages, to move forward and backwards between recently viewed Web pages, to return to your home page, and to stop loading a Web page.

Refresh: For a Thumbnail pane, rereads the directory and redraws the thumbnails. For a Web pane, rereads the URL and redisplays the Web page.

Forward: For a Web pane, displays a Web page you viewed before clicking the Back button.

Back: Returns to the last Web page viewed in the Web pane.

Home: Returns to the local copy of the home page that is installed on your computer system. This is the page that displays when you first start Asset Browser.

Stop: Stops loading a Web page. Use this button when a page you're trying to view takes too long to load.

Toolbar

The buttons on the toolbar provide some of the same functions as the menu items on the menu bar.

Back to previous page: Returns to the last Web page viewed in the Web pane.

Forward to next page: Displays a Web page you viewed before clicking Back to previous page.

Stop: Stops loading a Web page. Use this button when a page you're trying to view takes too long to load.

Refresh content: For a Thumbnail pane, rereads the directory and redraws the thumbnails. For a Web pane, rereads the URL and redisplays the Web page.

Homepage: Returns to local copy of the program's home page that is installed on your computer system. This is the page that displays when you first start Asset Browser.

Add to Favorites Bar: Displays the Favorite Location dialog that allows you to add Web sites and pathnames to the Favorites menu and the Favorites bar. When you want to open that page or view the files from a path name, you can click the appropriate shortcut button from the Favorites bar, or click the appropriate menu item from the Favorites menu

Address: Displays the current pathname or URL. Clicking the history arrow at the right end of the address bar displays a list of recently viewed sites. You can select one of these to return to that site.

Favorites Bar

The Favorites bar is at the bottom of the Asset Browser window. It displays tabbed buttons for the startup page and for any shortcuts to directories and Web pages that you added to your favorites list. Right-clicking over a favorites tab that you've added displays a menu which you can use to modify or delete the favorites.

Startup: Returns to the directory or Web page where Asset Browser started in the current session.

Status Bar

The status bar is under the Favorites bar at the bottom of the Asset Browser window. The bar is divided into three sections. The first section displays a progress meter when the program loads thumbnails. The second section displays the current filter selection (such as "All in cache"). The third section displays messages, file names, or Web page shortcut labels when you move your cursor over such items.


Bitmap Path Editor Utility

Utilities panel > Utilities rollout > MapPath Editor

The Bitmap Path Editor lets you change or remove the paths of bitmaps used in the scene. It also lets you see which objects use a map in question.

By default, gmax stores a path with the name of the files it references. This can be a problem when you share scenes among different users. Another user might have the same scene and bitmaps, in the same directory structure, but on a different disk drive: and this will cause the scene to "lose" the bitmaps.

Removing paths from bitmap references eliminates this problem. When paths are not saved with the bitmap file, they are searched for in these directories:

  1. The directory of the current scene.

  2. The paths listed in the Bitmaps panel, starting at the top of the list.

See also

Asset Browser Utility

Bitmap Path Configuration

Missing Map Files Dialog

Resource Collector Utility

Interface

Edit Bitmaps: Click to display the Bitmap Path Editor dialog. Most of this utility's functionality is provided by this dialog.

Include Materials Editor: When on, the Bitmap Path Editor dialog shows materials in the Material Editor, as well as those assigned to objects in the scene. Default=on.

Include Material Library: When on, the Bitmap Path Editor dialog shows materials in the current material library, as well as those assigned to objects in the scene. Default=off.

Close: Click to close this utility.


gmax File Finder Utility

Utilities panel > Utilities rollout > gmax File Finder

Run maxfind.exe in the gmax root directory.

The gmax File Finder utility lets you search for .gmax files containing specific properties, for example:

  • Search the hard drive for all .gmax files containing the "Pink Carpet" material.

  • Search the c:\gmax directory and below for all .gmax files using the raymtl.dlt plug-in.

The utility comes in two formats: a standard gmax utility, and a stand-alone executable. Both work identically.

gmax File Finder demonstrates how to read a .gmax file's properties from an external application. These properties include predetermined data such as object and plug-in names, plus information you provide via the File menu > Properties dialog. You can also view this data from outside the software with Windows Explorer or an equivalent program by viewing a file's properties.

Tip: You can combine this tool with the powers of the Properties dialogs. If you have a team of animators, you can have the individual animators use the File menu > Properties dialog to create Categories, Keywords and Comments that you can search for using gmax File Finder. They can also use the Contents and Custom Tabs as well. All are searchable using the Finder.

You can also create similar structures at the Object level. The Object Properties dialog has a User Defined tab to enter any properties you like, and use that to organize your projects.

Interface

File menu

Reset: Clears the list box of any files previously found.

Exit: Exits the application

Help menu

About: Displays something fun to play with while Finder is searching for files. The search continues in the background while this dialog is active.

Program window

Search Text: Specifies the text to search for. If you leave the field empty, all gmax files that contain the specified property will be found.

File Spec: Specifies which file types to search through. The predefined file type is *.gmax. You can enter a different file type, such as *.dxf. To search through all files, use *.*.

The currently selected item in this list is restored the next time you run Finder.

Property: Specifies the property you want to search for. Use All to search for any property.

Start: Activates the search. During a search, the button title switches to Cancel. Click Cancel to abort the search.

Browse: Specifies the directory for the search, using the standard Windows Browse for Folder dialog.

Include Subfolders: When on, Finder searches the current directory and all subdirectories. When off, only the current directory is searched.

File List: Lists all files that were found and match the current search criteria.

Double-click a found file in this list to display the property viewer for the file. The information presented in this dialog is the same that is displayed with File > Properties inside the software. Use the << and >> buttons to step to the previous or the next file in the found list.

While in the property viewer, the search continues in the background.


Resource Collector Utility

Utilities panel > Utilities rollout > Resource Collector

The Resource Collector gathers the resource files used by a scene (bitmaps and optionally, the scene itself) into a single directory.

Caution: The Resource Collector does not collect maps used as light projections.

See also

Bitmap Path Editor Utility

Interface

Output Path: Enter the name of the directory where files will be collected. Default=The gmax \autoback subdirectory.

Browse: Click to display a Windows file dialog that lets you choose the output path.

Resource Options group

Collect Bitmaps: When on, the Resource Collector places the scene's bitmaps in the output directory. Default=on.

Include MAX File: When on, the Resource Collector places the scene itself (the .gmax file) in the output directory. Default=off.

Compress Files: When on, compresses the files into a ZIP file, saved in the output directory. Default=off.

Copy or Move: Choose Copy to make a copy of the files in the output directory. Choose Move to move the files (they are deleted from the directory in which they originally were saved). Default=Copy.

Update Materials: When on, updates material paths. Default=off.

Begin: Click to collect the resource files according to the settings above this button.


Preferences Dialog (Asset Browser)

Utilities panel > Utilities rollout > Asset Browser button > File menu > Preferences

Contains the settings with which you can manage the Asset Browser's cache directory and control drag and drop operations.

Interface

Cache Directory group

Provides settings and controls for the cache directory.

Browse: Displays the Choose Cache Directory dialog where you can specify a new directory to use for your cache. The adjacent text box displays the path of the cache directory where the thumbnail images are stored. You can change the path either by editing the field or choosing a directory from the pane below the Folders field.

Note: When you change directories, you're asked if you want to clear the cache from the previous directory. If you choose to do so, gmax erases all thumbnail files from the cache directory you were using previously.

Delete Files: Removes all thumbnail files from your cache directory.

Maximum Disk Space: Sets the maximum size of the cache directory. When you exit Asset Browser, gmax selects the size of the cache directory. If it's over the maximum size, gmax deletes the oldest thumbnail files until the total size is 50 percent of the Maximum Disk Space setting.

Drag and Drop group

Provides controls for importing or linking files after dragging and dropping them into a viewport.

Show the merge/import/XREF dialog: Displays the merge/import/XREF dialog after you drop a file into a viewport.

Always merge/import the file: Imports the file without prompting for confirmation after you drop it into a viewport.

Always XREF the file: Links the file as an XREF without prompting for confirmation after you drop it into a viewport.

Ask me each time: Displays a popup menu to confirm importing or linking after you drop a file into a viewport.


Internet Download Dialog

Utilities panel > Utilities rollout > Asset Browser button > Address bar > Enter URL of geometry files on World Wide Web. > Drag thumbnail over active viewport.

Menu bar > Tools > Asset Browser > Address bar > Enter URL of geometry files on World Wide Web. > Drag thumbnail over active viewport.

When you drag geometry files from the World Wide Web using the Asset Browser, the Internet Download dialog appears. How long this dialog remains on-screen depends on the size of the file you're downloading.

Interface

Download Information group

Displays the URL of the download, the pathname of the file being saved, and a meter indicating the bytes downloaded.

Uniform Resource Locator (URL): Displays the URL and file name that you're downloading.

Options group

Specifies whether or not to place the objects when the download is complete. If you leave this option selected, gmax allows you to position the mouse at the location of your choice.


Favorite Location Dialog

Utilities panel > Utilities rollout > Asset Browser button > Favorites menu > Add to Favorites

Menu bar > Tools > Asset Browser > Favorites menu > Add to Favorites

The Favorite Location dialog allows you to add Web sites and pathnames to the Asset Browser's Favorites menu and Favorites bar. When you want to open that page or view the files from a pathname, you can click the appropriate shortcut button from the Favorites bar, or click the appropriate menu item from the Favorites menu.

Interface

Custom Label

The icon button displays the Load Custom Icon dialog. Use this dialog to select an icon file to associate with the Web site or pathname you're adding to the Favorites. You must use icon files that have an .ico extension.

The text box adjacent to the icon button displays the URL of the Web page, or the pathname that you're adding to the Favorites. You can edit this to wording of your choice. The unedited URL or pathname displays in the label below the Custom Label group.

Add to favorites pull down menu: When you turn this on, gmax adds Web site or pathname shortcuts to the Favorites menu. When this box is not selected, gmax only adds the Web site or pathname shortcuts to the Favorites bar.

ollow_Bank_Utility

escale_World_Units_Utility


Bitmap Path Editor Dialog

Utilities panel > Utilities rollout > MapPath Editor > Edit Bitmaps button

This dialog is the main part of the interface to the Bitmap Path Editor utility.

See also

Asset Browser Utility

Missing Map Files Dialog

Resource Collector Utility

Procedure

To correct the pathname for a missing map:

You must first locate the missing bitmap files. The Asset Browser or the Windows Find program can help you with this.

  1. Click Select Missing Maps.

  2. Click to select a single missing map in the list.

    If a group of missing files are in the same directory, you can leave all of them selected.

  3. Click Strip Selected Paths.

  4. Click Set Path.

  5. Enter the correct path in the New Path field, or click the "..." button to browse for the correct path in a Windows file dialog.

    The Bitmap Path Editor updates the selected maps' path to use the new path.

Interface

List of maps: Shows all bitmaps used in the scene, along with their current path.

When no map is selected in the list, the only controls available in the dialog are Close, Select Missing Maps, and Strip All Paths.

Close: Click to close the dialog.

Info: Click to display a Bitmap Information dialog.

This button is available only when a single map is selected in the list.

Double-clicking a name in the list is another way to display the Bitmap Information dialog.

Copy Maps: Copies the selected map or maps to a directory you choose. This button displays a Windows file dialog that lets you choose the destination directory.

Select Missing Maps: Highlights the names of missing maps in the list.

Find Maps: Click to search for the maps in the current selection. This button displays an alert that shows how many maps are findable, how many maps are missing.

Strip Selected Paths: Click to strip the path from the selected maps. An alert appears to warn you that the scene will lose this information.

Strip All Paths: Click to strip the path from all maps in the list. An alert appears to warn you that the scene will lose this information.

Set Path: Click to apply the New Path field to the selected maps.

If the New Path field is identical to the selected map or maps, clicking Set Path clears New Path.

New Path: Lets you enter a path for the currently selected file or files. Default=The path of the currently selected file, or none if multiple files with differing paths are selected.

"..." button: (To the right of the New Path field.) Displays a Windows file dialog to let you browse for a path.


Bitmap Information Dialog

Utilities panel > Utilities rollout > MapPath Editor > Edit Bitmaps button > Select a single bitmap name. > Info button

Utilities panel > Utilities rollout > MapPath Editor > Edit Bitmaps button > Double-click a bitmap name.

This dialog displays information about a bitmap.

Interface

Referenced by Nodes: Lists the objects ("nodes") that are assigned materials that use this bitmap.

Close: Closes the dialog.

View Bitmap: Displays the bitmap.

This button has no effect if the map is missing.


Geometry File Formats

The default File menu commands Import and Export let you share 3D geometry with other 3D modeling programs and game engines. Note that import is available only in gmax dev, and export in gmax is supported only with specific game packs, to the format required by the particular game you're working with.

See also

Asset Browser

Importable File Formats

3D Studio Mesh (3DS) Files

3D Studio Project (PRJ) Files

3D Studio Shape (SHP) Files

AutoCAD Interchange (DXF) Files


Importing 3DS Files

(gmax dev only) File menu > Import > 3D Studio (*.3DS)

3DS is the 3D Studio® (DOS) mesh-file format. You can import 3DS files into gmax dev.

When you import a 3DS file, you can merge the imported objects with the current scene or replace the current scene completely. If you choose to merge the objects with the current scene, you are asked whether you want to reset the length of the animation in the scene to the length of the imported file (if the imported file contains animation).

When you import a 3DS file, the following information is imported:

  • Backgrounds (solid, gradient, and bitmap).

  • Subtractive transparency is converted to gmax "Filter" transparency and the filter color is set equal to the diffuse color.

  • Transparency falloff settings.

  • All map channels that are enabled. Map channels that are turned off in the 3DS file do not import into gmax dev.

  • Some map parameters, such as UV transforms, Negative, Mirror, and Rotation. Many map parameters, such as Blur, Luma, RGB, and Alpha, are not supported in gmax.

  • When materials with both Texture 1 and Texture 2 are imported, a composite texture is created and added to the Standard material's Diffuse channel.

  • 3DS/DOS R4 IK joint parameters.

  • 3D Surfer patch data.

When you import a 3DS file, the following information is not imported:

  • Fog, Layered Fog, and Distance Cue.

  • Ambient light level.

  • Morph keys.

  • Keyframer instances.

  • Map channels that are turned off.

  • Custom .cub-format cubic maps.

  • Decal transparency using the RGB color of the upper-left pixel of the map.

  • Mask bitmaps.

  • Reflection maps, auto-cubics, and mirrors.

  • Automatic reflection map Nth frame and Map Size settings.

  • SXP translation for Marble and Noise materials.

When you import a PRJ file, all of the above items are imported, plus the following:

  • Shapes

Interface

Merge objects with current scene: Merges imported data with the current scene.

Completely replace current scene: Completely replaces the current scene with the imported data.

Convert units: When turned on, the software assumes units in the imported file to be in inches, and converts them to the current system of units. When turned off, the software assumes the units in the imported file match the current system unit and doesn't convert the units.


Importing PRJ Files

(gmax dev only) File menu > Import > 3D Studio Project (*.PRJ)

PRJ is the 3D Studio (DOS) project-file format.

When you import a PRJ file, you can merge the imported objects with the current scene or replace the current scene completely. If you choose to merge the objects with the current scene, you'll be asked whether you want to reset the length of the animation in the scene to the length of the imported file (if the imported file contains animation).

You'll also be asked how you want the software to handle shapes in the incoming file: to make them into a single object or multiple objects.

Interface

When you import a PRJ file, you first see a 3DS Import dialog. This is identical to the dialog you see when you import a 3DS file. When you have set the options and clicked OK in the 3DS Import dialog, you then see a Shape Import dialog.

When importing PRJ files, the software converts polygons to shape objects. You choose an option in the Shape Import dialog to set how the shape objects are created:

Import Shapes: Turn on this option if you don't want to import shapes from a .prj file.

Single Object: All polygons in the .prj file are converted to Bezier splines and placed inside a single composite shape object.

Multiple Objects: Each polygon in the .prj file is converted to a Bezier spline and placed inside an independent shape object.


Importing SHP Files

(gmax dev only) File menu > Import > 3D Studio Shape (*.SHP)

SHP is the 3D Studio (DOS) shape file format. You can import these files into gmax dev.

A .shp file contains polygons created in 3D Studio's 2D Shaper.

When importing an SHP file that contains multiple shapes, the software gives you the option to either merge them all into one object or make multiple incoming objects.

The shape importer looks at the vectors on incoming splines, and if they're collinear within a couple of percentage points, it changes the angle to a smoothed Bezier (otherwise, it's a Bezier corner).

Interface

When you import an SHP file, you first see a 3DS Import dialog. This is identical to the dialog you see when you import a 3DS file. When you have set the options and clicked OK in the 3DS Import dialog, you then see a Shape Import dialog.

Import Shapes: When on, imports the shape objects. When off, does not import them. Default=on.

Import Shapes As group

Single Object: (The default.) When chosen, imports all shapes in the SHP file as a single editable spline object.

Multiple Objects: When chosen, imports each shape in the SHP file as an individual editable spline object.


AutoCAD to gmax dev Import Table

The following table lists AutoCAD objects and properties and the gmax object they convert to when you import them. Any AutoCAD objects not listed here do not import.
AutoCAD Object or Property | Imported gmax Object
Point | Point helper
Line | Spline shape
Arc | Arc shape
Circle | Circle shape
Ellipse | Ellipse shape
Solid | Closed spline shape
Trace | Closed spline shape
2D Polyline | Spline shape
3D Polyline | Spline shape
Polyline Donut | Donut shape
Spline | Spline shape
MLine | Spline shape
Text (using TTF or PFB) | Text shape
3D Face | Mesh object
Polyline Mesh | Mesh object
Polyface Mesh | Mesh object
ACIS Object | Mesh object
Region | Spline Shape
Blocks | Objects or group by option
UCS Definition | Grid helper
DView (perspective) | Target camera
Point Light | Omni light
Spotlight | Target spot
Distance Light | Directional light
Thickness Property | Extrude modifier
Polyline Width | Spline outline
Color | Object color by option

Note: AutoCAD uses a different lighting model than gmax, so the intensity value of a light in an AutoCAD drawing is not reflected in the gmax scene.


Importing DXF Files

(gmax dev only) File menu > Import > AutoCAD (*.DXF)

DXF files are used to import objects from AutoCAD (and other programs that support this file format).

Keep the following in mind when you are creating your DXF geometry, and when you are deciding whether to convert by layer, color, or entity:

  • With AutoCAD Release 12, if you're using the AutoCAD Advanced Modeling Extension (AME), use the SOLMESH command on your AME models prior to saving the .dxf file.

  • With AutoCAD Release 13, you can use the 3DSOUT command to convert an AutoCAD drawing to mesh objects. This command creates a 3D Studio R4 (DOS) file that you can import into gmax dev.

  • After importing a DXF file, you might want to divide the resulting gmax objects into smaller objects.

  • Entities that are frozen or turned off are ignored.

The successful unification of face normals depends on the welding of coincident vertices. Sometimes, depending upon the precision of the model as it was created in AutoCAD, the vertices may not be close enough to be considered "coincident." They will not be welded, and the faces will not be properly unified. In this case, increase the Weld Threshold value in the Import DXF File dialog.

Converting by layer can result in objects consisting of many elements. In certain cases, some of these elements may have all of their face normals flipped the wrong way. You can detect this in gmax by turning off Backface Cull in the Display panel. Use the Normal modifier to correct this.

If you do not want to flip normals, you can either use 2-sided materials, or turn on the Force 2-Sided option in Configure > Viewport Configuration > Viewport Rendering Options.

If you are loading a large scene containing thousands of entities (such as 3D faces) and have chosen to load an object by entity, the conversion can take a long time. It also produces a huge number of objects to handle in gmax. To avoid this, organize your DXF file so that these kinds of entities are grouped by layer, then make the conversion by layer rather than by entity.

Interface

When you import a PRJ file, you first see a DXF Import dialog. This has the same controls as the 3DS Import dialog, except that there is no Convert Units option. When you have set the options and clicked OK in the DXF Import dialog, you then see a Import DXF File dialog.

Derive Objects From: Determines how components in the .dxf file are to be converted into objects.

Layer: Each layer with a unique name is converted into a separate object.

Color: All entities of the same color are converted into a single entity.

Entity: Each entity is converted into a separate object.

Weld Vertices: Welds coincident vertices in the .dxf file into single vertices in the gmax mesh.

Weld Threshold: Determines the size of the area which vertices must occupy to be welded.

Weld: Turns on the Weld Vertices function. In most cases, you should leave this box turned on because unwelded objects can't be correctly unified or smoothed.

Auto-Smooth: Applies smoothing groups to the geometry based on the smoothing angle set by the smooth angle spinner. Edges between faces that have an angle between them that is greater than the specified smoothing angle will appear faceted. Edges between faces that are below the specified angle are smoothed.

Smooth Angle: Determines the size of the smoothing angle.

Auto-Smooth: Turns on the Auto-Smooth function.

Arc Subdivision group

Polygon Degrees: Specifies the number of degrees between each vertex any imported curvature that's converted to a mesh object in gmax. An example is an extruded polyline.

Spline Degrees: Specifies the number of degrees between vertices in an imported curvature that's converted to a Bezier spline (a shape) in gmax. This could be an arc or a non-extruded polyline, for example. Unlike mesh objects, Bezier splines contain their own curvatures, so you don't need as many vertices. The default setting of 90 degrees is usually adequate.

Miscellaneous group

Remove Double Faces: Removes one of the pair wherever two faces are occupying the same location.

Cap Closed Entities: Converts closed 2D polylines into mesh objects. Closed, planar, 3D polylines are capped. If the 2D polyline is open, it will be imported as a spline shape.

Unify Normals: Forces the normals of all faces on each object to face the same way (usually out). If, when you view your gmax scene, the face normals are pointing in the wrong direction, use the Normal modifier to flip them. For best results, leave this box on.


Image File Formats

Image files, also known as bitmaps, have a variety of uses in gmax scenes. You can use bitmaps as textures for materials, as backgrounds to viewports, and as images projected from a light.

These are the image file formats supported by gmax:

BMP (Bitmap)

JPEG (JPG)

Targa (TGA)

TIFF, TIF (Tagged Image File Format)

Note: To save loading time, if a map with the same name is in two different locations (in two different paths), it is loaded only once. This poses a problem only if your scene includes two maps that have different content but the same name. In this case, only the first map encountered will appear in the scene.


BMP File (Glossary)

Glossary

BMP File

A still-image bitmap file in Windows bitmap (.bmp) format.


JPEG Files (Glossary)

Glossary

JPEG Files

JPEG (.jpeg or .jpg) files follow the standards set by the Joint Photography Experts Group. You can use JPEG files as bitmaps.

These files use a variable compression method that is called lossy compression because of the loss of image quality as you increase the compression. However, the JPEG compression scheme works well and you can sometimes compress the file up to 200:1 without severe loss of image quality. JPEG is consequently a popular format for posting image files on the Internet for minimum file size and minimum download time.


Targa Files (Glossary)

Glossary

Targa Files

The Targa (TGA) format was developed by Truevision for their video boards. The format supports 32-bit true color; that is, 24-bit color plus an alpha channel, and is typically used as a true color format.

Targa files are widely used to render still images and to render sequences of still images to video tape.

Some Targa files created by other applications have different file name extensions. gmax can import the .vda, .icb, and .vst variants as well as .tga.


TIFF Files (Glossary)

Glossary

TIFF Files

TIFF (Tagged Image File Format) is a multiplatform bitmap format originating on the Macintosh and in desktop-publishing applications.


Referencing Objects and Scenes

The software allows you to use two kinds of externally referenced files (XRefs). You access XRef Objects and XRef Scenes from the File menu. Using these external references allows for a team approach to animation, where the modeling, materials, and animation can be handled in separate files by different artists. It makes large files much easier to deal with through the use of proxy objects.

The two types of references have distinct purposes:

  • Use referenced scenes to bring in a file that cannot be selected or inadvertently changed. An animator can bring in the environment or set as a referenced scene and won’t have to worry about mistakenly selecting walls and floors while trying to animate character legs and arms. The file appears as part of the animation, but will not hinder the workflow. Referenced scenes can be bound to an object in the scene so you can scale, rotate, or reposition the scene if necessary.

  • Referenced objects appear in the scene and can be animated, but the object’s modifier stack cannot be accessed. You can add modifiers or transform animation to the referenced objects, but you cannot inadvertently change the model’s structure. Referenced objects allow for the substitution of a proxy object, so you can animate a low-polygon version of a complex model and then substitute the polygon-intensive version.

The use of referenced objects and scenes allows you to continue to work on models and materials while the animation process is under way. You can choose to have the models and materials update automatically, as soon as changes are saved to the original file, or manually on demand.

There are also tools for easy conversion of scene objects into referenced objects, and a button to merge referenced objects back into the scene as a normal object.

See also

XRef Objects

XRef Scenes


XRef Objects

File menu > XRef Objects

Externally referenced objects, XRef objects, appear in your current scene, but are actually referenced from external scene files. As a result, the source objects are protected from modifications you make to the XRef objects. Updates or changes made to the source objects are also updated in the target file where the XRef appears.

An XRef object appears like any other object in your gmax scene. However, in the modifier stack, none of the stack entries is available for change; the only entry is “XRef Object”. You can add additional modifiers to the object, but you cannot access the original ones unless you merge the XRef object into the scene.

XRef objects can be modified or transformed in your current scene just like any other object. XRef objects also allow the use of proxy objects to stand in or substitute for geometry. Use XRef objects to manage the complexity of your scene during animation by substituting “lightweight” proxy objects for more complex geometry.

You can create a proxy by simplifying a clone of your existing model or you can build simple substitute objects like boxes or cylinders, or you can save a copy of the model in the early stages of modeling before you add the detail. You can even use an object from another scene.

Choosing XRef Objects from the File menu displays the XRef Objects Dialog where you add XRefs to your scene, as well as control their visibility, merge states, and set other options.

If your XRef object relies on another object in the source scene, the relationship will be preserved in the destination file (for example, objects with path constraints).

Procedures

To add an XRef object:

  1. Choose File > XRef Objects.

  2. Click the Add button in the XRef Objects dialog. An Open File dialog appears with a thumbnail browser to help you identify the file you want. Highlight the file you want to highlighting it in the list, then choose Open. The XRef Merge dialog appears.

  3. Select the objects that you’d like to appear in your current scene as XRef objects. You can choose as many as you want by holding down the CTRL key and choosing them from the list. You can filter the list using the List types radio buttons if your scene has a lot of objects you don’t need to include. You can also sort the list alphabetically or by color or type.

  4. If your objects have transform animation, you can ignore this at this time. If you want to ignore any other parametric animation you can turn it off in the XRef Objects dialog.

  5. The objects appear in the lower window of the XRef Objects dialog. Make additional choices at this time if you like. You can control all the objects will update (either automatically or on demand). You can update the object’s material. You can enable or disable the objects, but disabled objects will not appear in the viewport and are not held in memory. Updating is done at the file level. All objects from any file are updated together.

To set a proxy object for an XRef object:

You can also choose to use a proxy object, substituting alternate geometry for the XRef object.

Add the object as an XRef.

  1. After you add the object, highlight it in the XRef Objects window in the lower left.

    The Add button changes to Set, and Add as Proxy becomes Set Proxy.

  2. Turn on Set Proxy and choose the file and proxy object. This object will replace the XRef object in the scene.

  3. The name of the proxy object appears in the lower list, followed by (Proxy for “objectname”).

  4. You can also define the proxy for an object in the Modifier panel. In the XRef Viewport Proxy group of the XRef Object rollout, turn on Use Proxy. Use the File Name and Object Name fields to browse and specify the file and object.

To add a proxy object before adding the XRef object:

You can begin with a proxy object and eliminate the need to load your detailed model and store it in memory.

Choose File > XRef Objects.

  1. Click the Add As Proxy option and click the Add button.

  2. Choose the file containing your proxy object.

  3. Pick the object in the XRef Objects window in the lower-left.

  4. The Add button changes to Set, and Add as Proxy becomes Set Proxy.

  5. Turn off Set Proxy and click Set.

  6. Choose the file and XRef object.

To update an XRef object material:

Pick the object from the lower left list in the XRef Objects dialog.

  1. Either turn on Update Material in the XRef Objects group of the XRef Objects dialog, or turn on Update Material in the Options group of the XRef Objects rollout on the Modify panel.

  2. Click Update Now in the XRef Objects dialog.

To convert an object in the scene to an XRef object:

Choose Convert Selected in the XRef Objects dialog after selecting the objects.

  1. Choose a file name in which to save the source object.

    The Convert Selected button actually saves the selected objects to a new file and then creates XRef objects from that file.

To change an XRef object into a scene object:

  • Select the XRef object, and then click Merge. The XRef object becomes a full-fledged object in the scene, giving you access to its modifier stack.


XRef Objects Dialog

File menu > XRef Objects > XRef Objects dialog

The XRef Objects dialog provides controls to add and remove XRef objects, as well as provides additional controls for display and using proxy objects. Use this dialog to convert scene objects into XRef objects and merge XRef objects into scene objects. Tools for updating objects automatically and manually are found here as well.

Interface

XRef Files window: Displays the file path and file name of the source .max files containing the source objects used as XRef objects in the current scene. These files are added and removed from this window using the Add and Remove buttons to the right. XRefs that have been disabled (by turning off Enabled) are listed in gray rather than black. If an XRef is listed in red, its file could not be loaded. Either the file is corrupted, or the path is not pointing to the correct directory or file name.

XRef Objects window: Displays the XRef objects in the current scene that belong to the source file(s) currently highlighted in the XRef Files window. If no source files are highlighted, this window is empty.

Select buttons

These standard buttons change the pattern of selection in the XRef Files and XRef Objects windows.

All: Selects all items in the window.

None: Deselects all items in the window.

Invert: Inverts the current selection pattern in the window.

File Path field: Lets you change the path or file pointed to by one or more XRef objects. You can either enter the information directly in the edit field, or click the browse button at right to display a file dialog in which you can specify a path and file name.

You can use this field to reassign more than one XRef object to a different file. When two or more XRef objects with different source files are highlighted, the edit field is blank, but you can assign a single source file to these objects. Use this in cases when you’ve moved XRef objects to different paths or different source files.

Add: Click to add XRef objects to your scene.

A standard Open File dialog first appears, listing .max scene files. After choosing a scene file, an XRef Merge dialog appears, letting you choose which objects in the source scene to add as XRef objects in your current scene. After clicking OK in the XRef Merge dialog, the file name and path of the source scene appear in the XRef Files window. You can add from the same scene file more than once, but the scene will be listed only once in the XRef Scenes window.

Important: Any transform animation assigned to the source objects can be merged along with the XRef object itself, but it will not be updated with the source object. Thus, if one or more of the source objects you’ve selected as XRef objects contains transform animation, an alert appears: “One or more of the objects you have selected has transform animation. Do you wish to merge this animation?”

Click Yes to merge the object with the transform animation, choose No to merge only the object without the transform animation, or click Cancel to cancel the merge. If you click No, the object is merged at its frame 0 transform position. Note that this only pertains to transform animation. Animation of objects, or modifier parameters, for example, are updated in the XRef object when adjusted in the source object.

The stack and its animation are updated together with the XRef object, while the transformation (the node and transform controllers) become part of the target scene and are never updated.

The Add button changes to Set if you add an XRef object then select it in the lower window. Clicking it will allow you to change the file and object for the selected XRef.

Add as Proxy: When this option is on and then you click the Add button, you create a new object XRef by specifying the proxy object first instead of the full detail object first.

Set as Proxy: When this option is on and then you click the Set button, you can choose the proxy object for the currently selected XRef.

Convert Selected: Lets you take any selected objects in your scene and create XRefs out of them. Basically, this does a Save Selected for the objects, which are automatically cut from the .gmax file and pasted into a new file. A file dialog lets you name the new file. The selected objects remain in the viewport but are now XRefs.

Remove: Removes from the current scene all XRef objects referenced from the .max file(s) currently highlighted in the XRef File window.

XRef File group

Enabled: Turn off to disable all XRef objects referenced from the .gmax file(s) currently highlighted in the XRef File window. Disabled XRef files and objects are listed in gray in the windows and are not loaded into memory.

Update File group

Determines how and when the XRef objects are updated. Note that the options are applied to all objects in a selected source scene. As an example, the XRef objects from one source scene can have automatic updating, while objects from another scene can be manually updated, using the Update Now button.

Automatic: When this is on, the XRef objects from the selected source scene are automatically updated when the source scene is saved.

Update Now: Click this to update XRef objects from a selected source scene when you’re not using Automatic (or when several source scenes are selected in which some are not set to Automatic). When you click Update Now, the XRef object is updated to match its twin in the latest saved version of the source file. Updating is done at the File level, all objects from the same file update together.

Select … Scene buttons

The two selection buttons that follow let you duplicate selections between the viewports and the list

Select In Scene: Lets you select objects in the scene based on those XRef objects that are highlighted in the list window. To use, highlight one or more items in the XRef Objects window, and then click the Select In Scene button to select those objects in the scene. You can add to the current scene selection by holding CTRL when you click the Select In Scene button. Similarly, you can deselect specific objects by holding ALT when you click the button.

Select From Scene: Highlights items in the XRef Objects list window based on the currently selected objects in the scene.

XRef Objects group

The items in this group apply to XRef objects that are highlighted in the XRef Objects window.

Merge: Click to merge the XRef objects currently selected in the XRef Objects window as real objects in the scene. A prompt appears so you can confirm the action. Since a merged XRef object becomes part of the scene and is no longer an XRef, its name is removed from the list window.

Merging an XRef object loads the full modifier stack of the original object, while maintaining any additional stack items that were added while the object was an XRef. Thus, you can use Merge to update an original object that’s been altered as an XRef. If you do this, use Convert Selected to save out the “improved” original into a file, which then can be merged back into the original source.

Use Proxy: Turn on to display a proxy object instead of the selected geometry. The proxy object is chosen in the Modify panel, XRef Object rollout, or with the Set Proxy option and Set button.

Update Mtl: When turned on, the material assigned the highlighted XRef object is updated from the source object with each update. When off, source materials are not updated. This check box is also available in the Modify panel of the selected XRef object.

Important: By default, materials are independent of XRef objects. When you first add an XRef object to your scene, its assigned material comes with it. From that point on, however, you can edit that material, or assign a completely different material to the XRef object. Changes made to the source material will no longer affect the XRef object unless you’ve turned on Update Mtl. However, if you turn on Update Mtl., each update overwrites the material currently assigned to the XRef object, using the material from the source object.

Ignore Anim.: Disables the stack animation of the source object. Note that this does not affect any transform animation that might exist.

Close: Click to close the dialog.


Merge XRef File Dialog

File menu > XRef Objects > XRef Objects dialog > XRef Files window > Add

When you merge an object that’s linked to a parent object in a source scene, and an object of the same name as the original parent exists in the current scene, you can recreate the same hierarchy using this dialog.

Merging Child Objects

If you merge an object that’s linked to a parent object in a source scene, and an object of the same name as the original parent exists in the current scene, a dialog appears asking if you want to link the incoming object to the existing parent object.

Yes: Reparents the specified object and continues prompting for all subsequent merging objects that might need reparenting.

Yes To All: Reparents the specified object and all subsequent merging objects that need reparenting.

No: to merge the specified object without reparenting, but to continue prompting for subsequent objects.

No To All: Doesn’t reparent any of the incoming objects. When an object is merged without reparenting, it becomes a child of the world.

Note that this same alert appears when adding an XRef object to the scene, if the XRef source object is linked to an object and an object of the same name exists in the current scene.

This feature may also be used to reconnect parent objects to children in the scene.


XRef Merge Dialog

File menu > XRef Objects > XRef Objects dialog > Add button > Open File > XRef Merge dialog

The XRef Merge dialog lets you choose which objects to add as XRef objects to the scene. This behaves similarly to the File menu > Merge command and the Select by Name dialog.


XRef Scenes

File menu > XRef Scenes

Externally referenced scenes, XRef scenes, appear in your current file, but are actually referenced from other .max files. As a result, the source scenes are protected from any modifications you might make to the XRef scenes. Updates or changes made to the source scenes are also updated in the target file once the changes are made and saved to the source file.

XRef scenes allow a team working on a project to have access to each other’s work without the risk of changing the files. A modeler can create a setting, a second modeler might create a character. The animator can externally reference the setting as a scene and animate the character in the setting without being able to make changes to the setting. If the setting file is changed, those changes will be reflected in the animator’s scene.

XRef scenes do not appear in the Select Objects dialog, the modifier stack, or the Track View. They can be animated in the current file only by using the Bind To Parent function in the XRef Scenes window.

Choosing XRef Scenes from the File menu displays the XRef Scenes dialog.

Procedures

To add an XRef scene:

Choose File > XRef Scenes.

  1. Click the Add button. An Open File dialog appears that lets you locate the .gmax file you wish to reference. A thumbnail display is provided to help you identify your file.

  2. Click Open to bring the XRef scene into your current .gmax scene.

  3. The path and file name of the selected file appears in the XRef Files window.

    You can add as many files as you like; each one appears in the XRef Files window.

  4. Make additional choices in the XRef Scene window if you want.

    You can affect the display of the XRef scene, making it visible or not, or making objects in the referenced scene appear as bounding boxes. You can ignore the file's lights, cameras, shapes, helpers, or animation. You can control when the file updates, either automatically or on demand. You can have the file enabled or disabled, or you can merge in it completely, severing the XRef relationship and inserting the scene into your current file. You can bind the scene to a Parent object to reposition or animate the XRef scene.

To scale, rotate, or reposition an XRef scene:

Create an object in your current scene to be the parent object.

  1. Choose the XRef scene from the XRef File window.

  2. Click Bind (in the Parent group), and then select the parent object by clicking it in the viewport. The XRef scene jumps to match the pivot point of the parent object.

  3. Transform the parent object. The XRef scene will follow.

  4. This works best if both the parent object and the XRef scene have their pivot points positioned at 0,0,0. You can do this by using Transform Type-In to move the parent object.

    If the XRef scene was created a large distance from the origin you can run into a problem. As you try to scale, the XRef scene will move away from the center. To counteract this problem you can create a second dummy object centered over the XRef scene. Then select and link the original dummy object to the centered dummy object. You can then scale the centered dummy and the XRef will not move toward or away from the origin.


XRef Scenes Dialog

File menu > XRef Scene > XRef Scenes dialog

The XRef Scenes dialog lets you add and remove XRef scenes. It also gives you tools to let you control display of the XRef scene, options to ignore various components of the scene, and the ability to bind to a parent object so you can scale, rotate, or move the XRef scene.

Accessing XRef Scenes

Although XRefs are inaccessible “boxes” in the scene, they can be accessed in various ways.

  • Cameras and lights in the XRef scenes can be accessed in the Viewports list and assigned to viewports in the current scene.

  • Objects from the XRef scenes are included in the Summary Info dialog.

Nesting XRef Scenes

XRef scenes can be nested. That is, an XRef scene can contain other XRef scenes, which can in turn contain other XRef scenes.

Note: For a nested XRef scene to update automatically, all of its parent scene files (files that include it as an XRef) must have Auto Update turned on.

Interface

XRef Files window: Displays all XRef scenes in the current scene, and lets you select them for operations. XRefs that have been disabled (by turning off Enabled) are listed in gray rather than black. If an XRef is listed in red, that means its file could not be loaded. Either the file is corrupted, or the path is not pointing to the correct directory or file name.

XRef File path field: Lets you change the path or file pointed to by a selected XRef scene. To use, choose one of the XRef scenes in the list window, and then change the information in the field. You can either directly enter a new file name or path, or you can click the Browse button to the right of the field, and then choose a new file from the resulting file dialog. The new XRef scene that you choose replaces the one currently highlighted in the list window.

Add: Displays a file dialog from which you can choose a .gmax scene file to be loaded into the current scene as an XRef. The selected scene appears in the list window at left, and the geometry appears in the viewports.

You can also add scenes by dragging a .gmax file from the Windows Explorer into the list window.

Convert Selected: Lets you take any selected objects in your scene and create XRefs from them. Basically, this does a Save Selected for the objects, which are automatically cut from the .gmax file and pasted into a new file. A file dialog lets you name the new file. They remain in the viewport but are now XRefs.

Remove: Removes the XRef scene currently chosen in the list window, and removes it from the current scene. To use, choose one or more XRef scenes in the list window, and then click the Remove button.

Select buttons

These standard buttons change the pattern of selection in the list window.

All: Selects all items in the window.

None: Deselects all items in the window.

Invert: Inverts the current selection pattern in the window.

XRef File group

Enabled: Turn this off to disable the highlighted XRef. When an XRef is disabled, it’s listed in gray in the window, and it’s not loaded into memory.

Merge: Click this to merge selected XRefs into the scene as real geometry. A prompt appears so you can confirm the action. Since a merged XRef becomes part of the scene and is no longer an XRef, its name is removed from the list window.

Update File group

Determines how and when the XRef scenes are updated. Note that the options are applied to the selected XRefs, for example, one XRef can have automatic updating, while another can be manually updated, using the Update Now button.

Automatic: When this check box is turned on, the selected XRef scene is automatically updated when its source scene is saved.

Update Now: Click this to update a selected XRef scene when you’re not using Automatic (or when several XRef scenes are selected in which some are not set to Automatic). When you click Update Now, the XRef is updated to match the latest saved version.

Display Options group

These options let you specify how the selected XRefs are displayed in the viewport.

Visible: Turn on or off to display or hide the selected XRefs. This affects the visibility of the XRef in the viewports. Note, also, that this is different from the “Enabled” check box. Turning off Visible does not remove the XRef from memory.

Box: Turn this on to display the selected XRefs as bounding boxes. Turn off to display the full geometry.

Ignore group

This group box lets you specify categories that you do not want included with the XRef scene. For example, if you turn on Lights, the lights in the XRef scene are not included in the current scene. You can switch these categories on and off at any time, but if you Merge an XRef scene while a category is turned off, that category of objects will not be merged into the scene.

Lights: Turn this on to ignore the lights.

Cameras: Turn this on to ignore the cameras.

Shapes: Turn this on to ignore the shapes.

Helpers: Turn this on to ignore the helpers.

Animation: Turn this on to ignore the animation. All animation in the scene is disabled and the scene appears as it would at frame 0 of the source scene.

Children of an ignored object are also ignored. For example, if you have mesh objects linked as children to a dummy object and ignore Helpers, then the mesh objects are ignored as well.

Parent group

These controls let you position and animate XRef scenes within the current scene by binding the XRef scene to a parent object.

Parent Name field: Displays the name of the parent for the currently selected XRef.

Bind: Click this, and then pick an object in the current scene to become the parent of the highlighted XRef(s). The XRef scene is moved so that its original origin is placed at the pivot point of the parent object. Once an XRef is bound to a parent object, the transforms of the parent are inherited by the XRef. Thus, you can animate the XRef by animating the transforms of the parent.

Unbind: Click to unbind the highlighted XRef(s) from whichever parent they’d been bound to. The XRef immediately moves so that its original origin is placed at the world origin of the current scene.

Binding XRefs to objects is similar but different than linking objects, as performed with the Link/Unlink buttons in the toolbar. When you Bind an XRef scene to an object, the XRef scene moves so that the origin of the XRef scene is placed at the pivot point of the parent object. If you unbind an XRef scene, it again moves so that its origin is at the origin of the current scene. (The origin of an XRef scene is typically the 0,0,0 world origin of the .gmax file scene from which it came.)

If you Merge a linked XRef scene, converting it to objects in the current scene, the objects in the XRef scene become linked children of the binding parent. At this point, you could Unlink them (using the toolbar command), and they’ll maintain their offset position to the parent.

Close: Click to close the dialog.


XRef Object Rollout

Select an XRef object. > Modify panel > XRef Object rollout

When you've selected an XRef object on a scene, the XRef Object rollout appears on the Modify panel. The modifier stack for the XRef object simply displays “XRef Object”.

Interface

XRef group

The items here let you change the file path, file name, and object name of the source of the XRef object. From here, you can also assign proxy objects to appear in the viewport.

Important: The specified file must contain an object of the specified name, or no XRef object will appear in your scene. Instead, a small, yellow x appears as a placeholder.

File Name field: Displays the path and file name of the .max file containing the source of the XRef object. You can edit this to point to a different path and file.

Path button: Click to display a file dialog from which you can specify a different path and file name for the source file.

Object Name field: Displays the name of the source object pointed to in the source file.

Path button: Displays an XRef Merge dialog pointing to the scene in the XRef File Name field. Here, you can specify a different object to be used as the XRef object.

XRef: Viewport Proxy group

This group box lets you assign a proxy object to the XRef object. A proxy is a second XRef object that you can use as a substitute in the viewports. Typically, you’d use a less complex version of the primary XRef object to save viewport display time, but the proxy can be any object you choose. You can use this to swap between two versions of the same model as well, regardless of complexity.

Use Proxy: Turn this on to display the specified proxy object in the viewports. Turn off to display the original XRef object.

Note: If you turn this on when no proxy object has been specified, the XRef object appears in the viewports as a small, yellow ‘X.’

File Name field: Specify the path and file name of the .max scene containing the proxy object.

Path button: Click to display a file dialog from which you can specify the .gmax scene containing the proxy object.

Object Name field: Specifies the name of the proxy object in the specified scene.

Path button: Click to display a Merge dialog listing the objects in the specified scene file. From here, you can select an object to be used as the proxy.

Options group

Contains miscellaneous options that affect the updating of the XRef object.

Update Material: When on, the material assigned the XRef object is updated from the source. When off, source materials are not updated. This is a duplicate of the same check box in the XRef dialog.

Ignore Animation: When on, the stack animation of the source object is disabled. This does not affect any existing transform animation.


Missing XRef Paths Dialog

File menu > Open > Open a file that references other missing files.

If you load a scene with XRefs, but the originally specified path of the XRef object or scene can’t be found, or if the XRef object name doesn’t match the object name in the source file, an alert appears telling you this. The alert works in the same way as the missing bitmap dialog, and provides you with three options, described below.

Interface

OK: Lets you open the file. The referenced scene will have placeholders, but will not exist in the scene.

Cancel: OK and Cancel behave the same during file opening. Whichever you choose, the file still opens and the missing XRefs appear as red in the XRef Scenes dialog.

Browse: Displays the Configure Paths dialog, from which you can specify the correct file path. The Configure Paths dialog is identical to the tab displayed by choosing Customize > Configure Paths > XRefs. This lets you add, delete, modify, move up or down the paths the software uses to look for missing files.


User Interface

The gmax user interface provides multiple ways to achieve the same goals. You can hide, float or dock, resize and rearrange the user interface elements into your own personal design; for more information, see Customizing the User Interface.

See the topics referenced below for detailed information on all of the elements of the user interface.

See also

Menu Bar

Tab Panel

Toolbars

Status Bar Controls

Viewports

Viewport Controls

Command Panels

Track View


Menu Bar

The menu bar is located directly under the main window’s title bar. The title of each menu indicates the purpose of the commands on the menu. Each menu uses standard Microsoft Windows conventions.

File

Edit

Tools

Group

Views

Create

Modifiers

Animation

Graph Editors

Customize

MAXScript

Help

Interface

When you choose a menu, a drop-down menu opens showing a number of commands.

As an alternative to using your mouse (or other pointing device), each menu name includes an underlined character. Pressing that character key while holding down the ALT key opens the menu. Commands in the open menu usually have an underlined character as well. While the menu is open, pressing that character key invokes the command.

An ellipsis (…) after a command name indicates a dialog will appear.

A right-pointing triangle after a command name indicates a submenu will appear.

If a command has a keyboard shortcut, the menu displays it to the right of the command name.

Menu commands that are on/off toggles use a checkmark to indicate their status.


File Menu

Menu bar > File

The File menu contains commands for managing files.

New

Reset

Open

Save

Save As

Save Selected

XRef Objects

XRef Scenes

Merge

Replace

Merge Animation

Import

Export

Export Selected

Archive

Summary Info

File Properties

View Image File

History

Exit

Note: The Preferences and Configure Paths commands are accessed from the Customize menu.

File dialogs (such as Open, Save, Save As) uniformly remember the previous path you used, and default to that location.


Edit Menu

Menu bar > Edit

The Edit menu contains commands for selecting and editing objects in a scene.

Undo

Redo

Hold

Fetch

Delete

Clone

Select All

Select None

Select Invert

Select By

Region

Edit Named Selections

Object Properties


Tools Menu

Menu bar > Tools

The Tools menu displays dialogs that help you change or manage objects, especially collections of objects, in your gmax scene.

Transform Type-In

Display Floater

Selection Floater

Isolate

Light Lister

Mirror

Array

Align

Normal Align

Align Camera

Align to View

Snapshot

Place Highlight

Spacing Tool


Group Menu

Menu bar > Group

The Group menu contains functions for grouping and ungrouping objects in the scene.

Group

Ungroup

Open

Close

Attach

Detach

Explode

See also

Using Groups


Views Menu

Menu bar > Views

The Views menu contains commands for setting up and controlling gmax viewports. Some of the features found on this menu can also be accessed when you right-click a viewport label.

Views >

Undo View Change

Redo View Change

Save Active View

Restore Active View

Grids

Viewport Background

Update Background Image

Reset Background Transform

Show Transform Gizmo

Show Ghosting

Show Key Times

Shade Selected

Show Dependencies

Match Camera to View

Add Default Lights to Scene

Redraw All Views

Deactivate All Maps

Update During Spinner Drag

Expert Mode

Note: The following commands, also influencing viewport behavior, are accessed from the Customize menu :

Viewport Configuration

Units Setup

Grid and Snap Settings


Create Menu

Menu bar > Create

The Create menu provides a way to create some kinds of geometry. It is organized into five submenus.

See also

Create panel

Interface

Standard Primitives >

Box

Cone

Sphere

GeoSphere

Cylinder

Tube

Torus

Plane

Teapot

Shapes >

Line

Text

Arc

Circle

Donut

Ellipse

Helix

NGon

Rectangle

Star

Lights >

Omni Light

Target Spotlight

Free Spotlight

Target Directional Light

Directional Light


Modifiers Menu

Menu bar > Modifiers

The Modifiers menu provides a way to apply frequently used modifiers. It is organized into submenus. The availability of items on this menu depends on the current selection. If a modifier doesn't apply to currently selected objects, it is unavailable in the menu.

See also

Modify Panel

Modifier Stack

List of Available Modifiers

Interface

Selection Modifiers >

Mesh Select

Patch Select

Spline Select

Volume Select

Patch/Spline Editing >

Edit Patch

Edit Spline

Cross Section

Surface

Delete Patch

Delete Spline

Lathe

Normalize Spline

Mesh Editing >

Delete Mesh

Edit Mesh

Face Extrude

Extrude

Normal Modifier

Smooth

Tessellate

Cap Holes

Vertex Paint

Optimize

Animation Modifiers >

Skin

Morpher

Linked Xform

Path Deform

Patch Deform

UV Coordinates >

UVW Map

UVW XForm

Unwrap UVW

Subdivision Surfaces

MeshSmooth

Free Form Deformers >

FFD 2x2x2

FFD 3x3x3

FFD 4x4x4

FFD Box

Parametric Deformers >

Bend

Taper

Twist

Noise

Relax

Ripple

Wave

Skew

Slice

Affect Region

Mirror

Displace

XForm

Preserve

Surface >

Material


Animation Menu

Menu bar > Animation

The Animation menu provides a set of commands related to animation, constraints and inverse kinematics. There are also controls here for custom attributes and parameter wiring

Interface

IK Solvers >

IK Limb Solver

Constraints

Create Bones

Bone Options

Dummy

Point

Add Custom Attribute

Wire Parameters > Wire Parameters

Wire Parameters > Parameter Wire dialog


Graph Editors Menu

Menu bar > Graph Editors

The Graph Editors menu gives you access to graphic subwindows for managing a scene and its hierarchies and animation.

Interface

Track View >

Open Track View

New Track View

Delete Track View


Customize Menu

Menu Bar > Customize

The Customize menu contains commands for customizing the gmax user interface.

Customize User Interface

Load Custom UI Scheme

Save Custom UI Scheme

Revert to Startup Layout

Show UI

Lock UI Layout

Configure Paths

Units Setup

Grid and Snap Settings

Viewport Configuration

Preferences

You can create a custom user interface layout, including custom tab panels, keyboard shortcuts, colors, menus, and quad menus. You can load or save all of these things individually in the Customize User Interface dialog, or you can load or save all of them at once, using schemes. Schemes allow you to load all customized features of the UI at one time.

You can hide, float or dock, resize, and rearrange some UI elements into your own personal design. You can lock the UI once you’ve got it set. Tools are provided in the Customize menu to load and save these custom UI files, or to revert to the startup user interface.

System preferences such as keyboard shortcuts, viewport configuration, units setup, grid and snap settings, and many important default settings, are also on the Customize menu.

Tip: You can access many of these commands with keyboard shortcuts or right-click options. For example, you can display Grid and Snap Settings by right-clicking the Snaps buttons in the status line; you can display the Viewport Configuration dialog by right-clicking the viewport label, and then choosing Configure. Right-clicking the Keyboard Shortcut Override Toggle brings up the Keyboard panel of the Preferences dialog.


MAXScript Menu

Menu bar > MAXScript

Utilities panel > MAXScript

This menu contains commands for working with scripts you create with the software's built-in scripting language, MAXScript.

New Script

Open Script

Run Script

MAXScript Listener

Macro Recorder

There is also a MAXScript Mini Listener on the status bar.

For detailed information about the MAXScript utility, open the MAXScript Reference, available from Help menu > MAXScript Reference.


Help Menu

Menu bar > Help

The Help menu provides access to the gmax online reference systems.

User Reference

MAXScript Reference

Tutorials

Additional Help

Connect to Support and Information

Authorize gmax

About gmax


Main Toolbar

The default main toolbar provides quick access to tools and dialogs for many of the most common tasks in the software.

The main toolbar includes the following buttons:

Undo

Redo

Select and Link

Unlink Selection

Select Object

Rectangular Selection Region

Circular Selection Region

Fence Selection Region

Selection Filter

Select By Name

Select and Move

Select and Rotate

Select and Uniform Scale

Select and Non-Uniform Scale

Select and Squash

Select and Manipulate

Reference Coordinate System

Use Pivot Point Center

Use Selection Center

Use Transform Coordinate Center

Restrict to X

Restrict to Y

Restrict to Z

Restrict to XY

Restrict to YZ

Restrict to ZX

Mirror

Array

Snapshot

Spacing Tool

Align

Normal Align

Place Highlight

Align to Camera

Align to View

Named Selection Sets List

Track View

Material Editor

Material/Map Browser


Tab Panel

In gmax, the tab panel is hidden by default. To display the tab panel, right click on the main toolbar and select Tab Panel from the pop-up menu.

The tab panel is a row of tabbed toolbars located directly below the menu bar at the top of the gmax window. The tabs offer quick access to many of the tools available in the command panel, as well as many of the items found in the menus. Each tab on the tab panel can become a separate floating toolbar that can be resized, or docked at the sides or bottom of the gmax interface.

The tabs can display icon buttons or text buttons. You can rearrange the items by holding down the ALT key then dragging them from one toolbarto another. You can also copy items to other tabs or toolbars by holding CTRL when you drag the buttons. You can create new tabs for your own tools, as well as dragging scripts from the Macro Recorder onto the toolbars in the tab panel.

Based on your screen size and number of tabs, it is possible to have tabs or buttons extend off the screen apparently out of reach. If you move the cursor over an open area, you will get a hand cursor that allows you to scroll the tabs or the buttons within a tab. In addition, you can click the middle mouse button over any tab or button to get the hand cursor.

Procedures

To switch from one tab to another:

  • Click the tab label and it appears instantly.

To move a tab left or right:

  • Right-click the tab label and select Move Left or Move Right. If you get to the end, the tab will wrap around to the other side. Move Left or Right is used for repositioning the tabs into your own preferred order.

To scroll the tab panel:

  • Press on any tab with the middle mouse button to scroll the tab panel right or left.

To float a toolbar from the tab panel, do one of the following:

  • Press the tab label and drag into the viewport.

  • Right-click the tab label and choose Convert To Toolbar.

To move a toolbar to the tab panel:

  • Right-click the title bar of an an existing toolbar and choose Move To Tab Panel. This moves the toolbar to a tabbed slot in the tab panel and removes it from its previous location (either floating or docked).

To create a new tab:

  1. Right-click a tab label and choose Add Tab.

  2. In the Add Tab dialog, enter the name of the new tab, and click OK.

To move an icon to a different position on a tab:

  • Hold down ALT and drag the icon to where you want it.

To copy an icon to a different tab or toolbar:

  • Hold down CTRL and drag the icon to where you want it copied.

To move an icon from one tab to another:

  1. Float the toolbar containing the icon.

  2. Click the label of the tab where you want the icon to go.

  3. Hold down the ALT key and drag the icon from the floating toolbar to the displayed tab.

    You can also create and drag icon or text buttons from the Customize User Interface dialog directly to any open tab in the tab panel.

To hide and unhide the tab panel:

  • Customize Menu > Show UI > Show Tab Panel.

  • Press 2 to toggle the display of the tab panel. Use this in Expert Mode to gain access to your tools.

To hide and unhide individual tabs:

  1. Float the tab, and then close it by clicking the X button at the upper-right corner of the toolbar.

  2. To unhide it, right-click in the blank area in the upper-right of the tab panel. A history list of all toolbars appears: those displayed are preceded by a check mark; those that are hidden have no check mark. Click the ones you need to retrieve.

Interface

The tab panel includes the followingtoolbars. Right-click any tab label to display the Tab Right-Click menu.

Objects: Contains buttons for Standard Primitives, Patch Grids.

Shapes: Contains buttons for Shapes.

Compounds: Contains buttons for all Compound Objects.

Lights & Cameras: Contains buttons for Lights and light related scripts, as well as Cameras.

Helpers: Contains buttons for standard helpers, atmospheric gizmos, and camera match helpers.

Modifiers: Contains buttons for many modifiers.

Modeling: Contains buttons for tools for modeling.


Tab Right-Click Menu

Right-click any tab label on the tab panel.

When you right-click a tab label, the Tab right-click menu displays. This menu provides options for adding, deleting, or renaming the tabs, as well as moving tabs left or right. It also allows you to convert the tab into a floating toolbar, as well as to customize it.

Interface

Add Tab: Lets you add a tab to the tab panel. You can also create a new toolbar from the Customize UI menu and then move it to the tab panel.

Delete Tab: Lets you remove tabs from the tab panel.

Rename Tab: Lets you rename the tab. Use shorter names to display more tabs.

Move Left: Moves the selected tab to the left. If the tab is all the way to the left, then it wraps around to the extreme right.

Move Right: Moves the selected tab to the right. If the tab is all the way to the right, then it wraps around to the extreme left.

Convert to Toolbar: Moves the tab's contents from the tab panel to a floating toolbar that can be resized or docked top/bottom/left or right.

If you dock right or left, you can choose to use horizontal text on the vertical toolbars. In Customize menu > Preferences > General tab > UI Display group, turn on Horizontal Text On Vertical Toolbars.

Customize: Displays the Customize User Interface dialog. This lets you create entries for any of the actions. These entries can be icon or text buttons.

When you right-click any button in any tab of the tab panel, except for the Main toolbar buttons, a different right-click menu appears, with the following choices:

  • Edit Button Appearance: Opens the Edit Button Appearance dialog.

  • Delete Button: Deletes the selected button from the tab.

  • Edit Macro Script: Lets you edit the script for the button you right-clicked.

  • Customize: Opens the Customize User Interface dialog.


Edit Button Appearance Dialog

Right-click any button in any tab label on the tab panel. > Edit Button Appearance

Use this dialog to change the appearance of the selected button. You can substitute a different icon for the button, or change to a text button instead. You can also customize the tooltip.

Interface

Tooltip: You can add your own tooltips to the buttons. This is the tooltip that displays when the mouse is over the tool button. You can edit this to describe the tool.

Text Button: Lets you assign text to the button. You can enter whatever text you like for the button.

Image Button: Lets you assign an image (icon) to the button. You can use any predefined icons that you want by selecting it from the display on the right. If you want to create custom icons, see the topic Creating Icon Bitmap Files in the MAXScript Reference.

Group: Displays a list of button categories. The groups of icons change with each category selection.

Odd Only: Certain icon sets, like Internal, Classic, Main toolbar and others, are designed in pairs that show what the tool looks like when the button is enabled, and what it looks like when disabled. When Odd Only is turned on, only the odd numbered icons (enabled) are displayed, when Odd Only is turned off, all of the icons, enabled and disabled, are displayed.


Default Tab Panels

Default Tab Panel

The default tab panel provides a variety of buttons that give access to gmax features. By default, the Tab panel is hidden and does not appear in view. If, however, you right-click on the Main Toolbar, and turn on Tab Panel, it will appear at the top of the gmax window, directly above the viewports. You can also"float" the individual tabs so they appear in windows of their own.

These are the default tab panels:

Objects

Shapes

Compounds

Lights & Cameras

Helpers

Modifiers

Modeling

You can customize the contents of the tab panels, or create tab panels of your own. This is particularly useful in conjunction with macrorecording using MAXScript. See Customizing the User Interface.

Procedures

To display the tab panels:

  • Right-click the main toolbar, and choose Tab Panel.

    This menu item is a toggle. It is either on or off. Floating tab panels continue to be displayed even when Tab Panel is off.

To float a tab panel:

  • Click the tab label, and drag away from the main window. The tab panel is now floating. You can reposition, resize, or dock it.

To dock a floating tab panel, do one of the following:

  • Drag the panel by its title bar to the top, bottom, left, or right edge of the main window. The mouse cursor and the panel outline change shape at a docking location. Release the mouse.

    The tab panel docks automatically when you drag it to a "dockable" location. Tab panels can dock at the top, bottom, left, or right of the viewports. They can also dock on either side of the command panels.

  • Right-click the tab panel's title bar, choose Dock, and then Top, Bottom, Left, or Right.


Objects Tab

The Objects tab panel lets you create a number of geometric primitives and Bones systems.

Box

Sphere

Cylinder

Torus

Teapot

Cone

GeoSphere

Tube

Plane

Quad Patch

Tri Patch

Bones IK Chain

Procedure

To create an object from the Objects tab panel:

  • Click the button, then in a viewport, follow the object's creation procedure.


Shapes Tab

The Shapes tab panel lets you create a number of spline objects.

Line

Circle

Arc

NGon

Text

Rectangle

Ellipse

Donut

Star

Helix

Procedure

To create a shape object from the Shapes tab panel:

  • Click the button, then in a viewport, follow the object's creation procedure.


Compounds Tab

The Compounds tab panel lets you create compound objects. Buttons on this tab are disabled unless there are objects in the scene on which the compound object can be based.

Morph

ShapeMerge

Connect

Boolean

Loft

Procedure

To create a compound object from the Compounds tab panel:

  1. Create the objects the compound object will use.

  2. Click the button, then in a viewport, follow the object's creation procedure.


Lights & Cameras Tab

The Lights & Cameras tab panel lets you create lights and cameras. It also gives you access to the Light Include/Exclude and Light Lister dialogs, which let you manage multiple lights at once.

Target Spotlight

Free Spotlight

Omni Light

Directional Light

Target Directional Light

Light Include/Exclude Tool

Light Lister Tool

Target Camera

Free Camera

Procedures

To create a light or camera from the Lights & Cameras tab panel:

  • Click the button, then in a viewport, follow the light's or the camera's creation procedure.

To manage which objects are included by lights or excluded from lights:

  1. Click Launch Light Include/Exclude.

  2. Use the Light Include/Exclude dialog to select which objects are lit by which lights, and so on.

To manage multiple lights at once:

  1. Click Launch Light List.

  2. Use the Light Lister dialog to see a list of all lights in the scene, and adjust proporties such as color, on/off, multiplier, shadow casting, and so on.


Helpers Tab

The Helpers tab panel lets you create helper objects.

Dummy

Point

Protractor

Grid

Tape Measure

Procedure

To create a helper from the Helpers tab panel:

  • Click the button, then in a viewport, follow the helper's creation procedure.


Modifiers Tab

The Modifiers tab panel lets you apply modifiers to objects. Buttons on this tab are disabled unless there are objects in the scene to which the modifier can be applied.

Bend

Taper

Skew

Twist

Noise

Wave

Ripple

FFD Box

XForm

Skin

Displace

Optimize

Smooth

Cap Holes

Linked XForm

Vertex Paint

MeshSmooth

Volume Select

Mesh Select

Edit Mesh

Edit Patch

Edit Spline

Spline Select

UVW Map

Unwrap UVW

Material ID

Procedure

To apply a modifier using the Modifiers tab panel:

  1. Select the objects to which you want to apply the modifiier.

  2. Click the button, then adjust the modifier settings in the Modify panel.


Modeling Tab

The Modeling tab gives access to various commands that are useful for creating suface models. Some buttons on this tab are disabled unless, for example, there are objects in the scene to which a modifier can be applied.

Line Shape

Circle Shape

Rectangle Shape

Edit Spline Modifier

Loft Compound Object

Extrude Modifier

Lathe Modifier

CrossSection Modifier

Surface Modifier

Quad Patch Object

Edit Patch Modifier

Box Object

Cylinder Object

Sphere Object

Plane Object

Edit Mesh Modifier

Mesh Select Modifier

Volume Select Modifier

Face Extrude Modifier

Affect Region Modifier

MeshSmooth Modifier

FFD Box Modifier

Isolate Tool

Procedures

To create a spline shape, or primitive object:

  • Click the button; for example, Line, Box, or CV Surf.

To apply a modifier:

  1. Select the objects to modify.

  2. Click the modifier button.

    For example, you might create a line, and then choose the lathe modifier to turn the line into a surface.

To isolate a single object:

  1. Select a single object.

  2. Click Isolate Tool.

    All other objects are hidden, and the active viewport zooms to the extents of the isolated object.

To exit isolation mode:

  • In the ISOLATED dialog, click Exit Isolated.

    Other objects are displayed again. The viewport that was zoomed in on the isolated object, is now zoomed to the extents of all objects in the scene.


Quad Menu

When you click the right mouse button anywhere in an active viewport, except on the viewport label (see Viewport Right-Click Menu), the program displays a quad menu at the mouse cursor. The quad menu can display up to four quadrant areas with various commands. These commands can be customized in the Quads panel of the Customize User Interface dialog.

The quad menu allows you to find and activate most commands without having to travel back and forth between the viewport and the command panel rollouts.

The two right quadrants of the default quad menu display generic commands, which are shared between all objects. The two left quadrants contain context-specific commands, such as mesh tools and light commands. Each of these menus provides convenient access to functions found in the command panel.

The quad menu contents depend on what is selected, as well as any customization options you may have selected in the Quads panel of the Customize UI dialog. The menus are set up to display only the commands that are available for the current selection; therefore, selecting different types of objects displays different commands in the quadrants. Consequently, if no object is selected, all of the object-specific commands will be hidden. If all of the commands for one quadrant are hidden, the quadrant will not be displayed.

Cascading menus display submenus in the same manner as a right-click menu. The menu item that contains submenus is highlighted when expanded. The submenus are highlighted when you move the mouse cursor over them.

To close the menu, right-click anywhere on the screen or move the mouse cursor away from the menu and click the left mouse button. To reselect the last selected command, click in the quad box for the quadrant of the last menu item. The last menu item selected is highlighted when the quadrant is displayed.

There are additional, specialized quad menus available when you are working in the Edit UVWs dialog, or when you press any combination of SHIFT, CTRL, or ALT while right-clicking in any standard viewport. See Additional Quad Menus for further information.

Interface

The following are the default commands for the right-click menu. You can add, edit, or remove any of these commands in the Quads panel of the Customize User Interface dialog.

Default quad menu for an editable mesh object

Transform quadrant

These options are available from the Transform quadrant:

Move: Lets you move objects. This is the same as clicking the Select and Move button on the Main toolbar.

Rotate: Lets you rotate objects. This is the same as clicking the Select and Rotate button on the Main toolbar.

Scale: Lets you scale objects. This is the same as clicking the Select And Scale button on the Main toolbar. If one of the other Select and Scale flyout buttons is active on the Main toolbar, it replaces Scale in the right-click menu.

Manipulate: Lets you adjust the parameters of Manipulators on the screen using the mouse. This is the same as clicking the Select and Manipulate button on the Main toolbar.

Properties: Opens the Object Properties dialog for a selected object. This command is available only if an object is selected when you open the quad menu.

TrackView Selected: Track View opens and displays the selected object at the top of the Track View Hierarchy. This command is visible only if an object is selected when you open the quad menu.

Wire Parameters: Starts a wire parameter from the selected object. This command is available only if an object is selected when you open the quad menu.

Convert To: This sub-menu lets you convert the selected object to an editable mesh, an editable patch, an editable spline, an editable poly. This command is available only if an object is selected when you open the quad menu.

Display quadrant

These options are available from the Display quadrant:

Unfreeze All: Unfreezes all frozen objects.

Freeze Selection: Freezes the selected objects.

Unhide All: Unhides all hidden objects.

Hide Unselected: Hides all visible objects that are not selected.

Hide Selection: Hides the selected objects.

Context Hide/Unhide Tools: The hide and unhide commands are context-specific for editable meshes, polys, patches, and splines. They are visible only if there is a corresponding geometry selected when the quad menu is opened.

Tools quadrants

The two quadrants on the left side of the default quad menu are called Tools 1 and Tools 2. These quadrants contain commands specific to various geometries and modifiers such as: lights, editable geometries, FFD, and Skin. These quadrants are not displayed unless one of the corresponding geometries or modifiers are selected when the quad menu is opened.


Additional Quad Menus

There are several specialized quad menus available when you are working in the Edit UVWs dialog, or when you press any combination of SHIFT, CTRL, or ALT while right-clicking in any standard viewport.

These additional menus provide quick access to tools directly under your cursor. You will find these handy when you work in expert mode, without the command panel visible.

You can create or edit any of these menus from the quad set list in the Quads panel of the Customize User Interface dialog; however, they cannot be deleted.

These are the additional quad menus and their default settings:

CTRL+right-click: Provides several modeling tools that let you create and edit many geometries, including standard primitives and editable geometries.

SHIFT+right-click: Snaps. Provides access to snap options and settings. See Grid and Snap Settings dialog.

ALT+right-click: Keyframe Tools. Provides several animation tools. The default actions let you create position, rotation, and scale keys, as well as open Track View on selected objects and start Wire Parameters.

UVW Unwrap: Appears when you right-click in an Edit UVW dialog. This menu provides quick access to many of the commonly used UVW actions.

SHIFT+ALT+right-click: Empty by default. Use the Quads panel to customize it.

SHIFT+CTRL+right-click: Empty by default. Use the Quads panel to customize it.

SHIFT+CTRL+ALT+right-click: Empty by default. Use the Quads panel to customize this menu.


Status Bar Controls

The gmax window contains an area at the bottom for prompt and status information about your scene and the active command. It also has button controls for locking selections, for snap and grid settings, and for display degradation.

The controls for time tags and plug-in keyboard shortcuts are also located in this part of the interface. There is a coordinate display area that you can type values into and on the left, a two-line interface to the MAXScript Listener.

Prompt Line

Status Line

Time Slider

Keyboard Shortcut Override Toggle

Selection Lock Toggle

Time Tag

Coordinate Display

Track Bar

MAXScript Mini Listener

Grid Setting Display

Window/Crossing Toggle

Degradation Override

2D Snap, 2.5D Snap, 3D Snap

Angle Snap

Percent Snap

Spinner Snap


Prompt Line (Status Bar)

Prompt Line

The prompt line, located at the bottom of the screen under the status bar, provides ongoing feedback, based on the current cursor position and the current program activity. When you don’t know what to do next, look down here.

Depending on what you are doing, the prompt line displays instructions that tell you what the program expects or what you can do next. For example, when you click the Move button, the prompt line reads "Click and drag to select and move objects."

Tool tips are also displayed on the prompt line as your cursor passes over icons in any toolbar and the status bar.


MAXScript Mini Listener

Click the tag bar, to the left of the status and prompt lines, and drag it to the right to display the MAXScript Mini Listener.

The MAXScript Mini Listener is a single-line view of the contents of the MAXScript Listener window.

The MAXScript Listener window is divided into two panes: one pink, and one white. The pink pane is the MacroRecorder pane. When the MacroRecorder is enabled, everything that is recorded is displayed in the pink pane. The pink line in the Mini Listener shows the latest entry into the MacroRecorder pane.

The white pane is the Scripter window where you can create scripts. The last line you type in the white area of the Listener will appear in the white are of the Mini Listener. Use the arrow keys to scroll the display in the Mini Listener.

You can type directly into the white area of the Mini Listener, and the command executes in the gmax viewport.

Right-click either of the Mini Listener lines to open the floating MAXScript Listener window. It will also display a list of the last 20 commands recorded. You can choose any of these commands and press ENTER to execute them.

For more information about the MAXScript Listener window, as well as about creating scripts, see the MAXScript Reference: choose Help > MAXScript Reference.

Procedures

Example: To create a sphere using the Mini Listener:

  1. Click the tag bar at the left end of the prompt line, and drag it to the right to expand the Mini Listener.

  2. In the white, lower line, type sphere radius: 50 and press ENTER.

    A sphere appears in the viewport.

Example: To redo a command using the Mini Listener:

  1. Click the tag bar at the left side of the prompt line, and drag it to the right to expand the Mini Listener.

  2. Right-click the Mini Listener and choose Open Listener Window.

  3. From the MacroRecorder menu, choose Enable.

  4. Using the command panel, create a sphere in the perspective viewport.

  5. Convert the sphere to an Editable Mesh.

  6. Delete the sphere.

  7. Make a box.

  8. Right-click the Mini Listener window. Choose macros.run "Modifier Stack" "Convert_to_Mesh" from the list and press ENTER. The box has been collapsed to an editable mesh.

Example: To make a script and add it to a toolbar:

For this very simple example, you’ll make a script that collapses an object to an editable mesh, and then create a toolbar icon to run the script.

  1. Right-click the Mini Listener, and choose Open Listener Window.

  2. From the MacroRecorder menu select Enable. Close the listener window.

  3. Right-click on the Main Toolbar and turn on the tab panel.

  4. Click the Modeling tab in the tab panel.

  5. Create a box in the Perspective viewport.

  6. Collapse the box.

  7. In the Mini Listener, click and highlight macros.run "Modifier Stack" "Convert_to_Mesh".

  8. Drag the highlighted script from the Mini Listener to the Modeling tab in the tab panel.

Interface

MacroRecorder Line: The pink upper line displays the last thing recorded by the MacroRecorder. If the MacroRecorder is not enabled, nothing will appear in this line.

Scripter Line: The white lower line displays the last entry typed into the Scripter window. You can type directly into this line and execute the commands in the viewports

History List: Right-clicking either of the Mini Listener lines displays a history of the last twenty commands recorded by the Macro Recorder (provided it has been enabled). Click any of these commands to execute them in viewport.

Open Listener Window: Right-clicking either of the Mini Listener lines displays a dialog that allows you to open the MAXScript Listener window. You can also open the Listener using the Utilities panel > MAXScript rollout. You can display the Listener window in a viewport by right-clicking the viewport label, then choosing Views > Extended > MAXScript Listener.


Status Line

Status bar > Status line

The number and type of object display on the status line. The status line is located at the bottom of the screen, just above the prompt line.

If multiple objects are selected and all are of the same type, the number and type of the objects are displayed: "2 cameras, 3 lights" for example. If multiple objects of different types are selected, the status line displays the number plus the word "objects": "6 objects" for example.


Time Slider

Status line > Time Slider

The time slider shows the current frame and lets you move to any frame in the active time segment.

Procedures

To move to any exact frame in the animation, do one of the following:

  • Move the time slider right or left until the frame number is displayed on the time slider.

  • Enter the frame number into the current frame field in the time controls.

To move ahead or back a frame at frame at a time, do one of the following:

  • Click the increment arrows at either end of the time slider

  • Use the Next frame/Previous frame buttons in the time controls.

To move ahead or back many frames at a time:

  • Click in the empty track to either side of the time slider. The time slider will jump to your cursor position. This is a faster way of moving in time than dragging the time slider.

To move to the first or last frame of the active time segment:

  • Use the time control buttons Go to Start or Go to End.

To display SMPTE time code on the time slider:

  • Click Time Configuration in the time controls, and then under Time Display, choose SMPTE.

To display subframes on the time slider:

  • Click Time Configuration in the time controls, and then under Time Display choose Frames:TICKS or MM:SS:TICKS.

    Each frame is divided into subframes.

Interface

By default, the active time segment is from frame 0 to frame 100. The slider bar displays time in frames, SMPTE numbers, or other measurements, depending on the current setting in the Time Configuration dialog.

The slider bar displays the current frame, followed by a slash (/), followed by the total frames in the active time segment. For example 25/100 means frame 25 of 100 frames. The current frame also appears in the current frame field. If animation exists in the scene, it's played back as you drag the time slider.

The buttons on either side of the time slider bar move one frame to the left and one frame to the right, like the Previous Frame and Next Frame buttons in the time controls. If Key Mode Toggle is on, these buttons duplicate the Previous Key and Next Key buttons.

Key Mode can jump to all the keys or only the transform keys, depending on the Key steps setting in the Time Configuration Dialog.


Track Bar

The track bar is located between the time slider and the status bar.

The track bar provides a timeline showing the frame numbers (or appropriate display units). It provides a quick alternative to Track View for moving, copying and deleting keys, and changing key properties. Select an object to view its animation keys on the track bar. The track bar also displays keys for multiple selected objects.

The keys are displayed as semi-transparent colored bars. The color can be customized in the Customize User Interface Dialog, and depends on the selected/unselected state of the key. The frame indicator is a similar bar displayed in blue.

A key on the track bar can represent any number of animated parameters for the selected object(s). Transformations, modifiers, and animated material parameters may all have keys at a particular frame.

Right-click a key on the track bar to display a list of all keys in the selected frame for the object selection in the track bar pop-up menu. Select a key type in the track bar menu to display its key properties dialog. Delete keys and filter the track bar display using options in the track bar menu.

The track bar right-click menu contains a submenu that lists any procedural controllers (list controllers, expression, noise, and so on) assigned to the current object selection. If you select one of the controllers from the submenu, the properties dialog for that controller displays in a modeless dialog.

The track bar can display a waveform (.wav file) that has already been assigned to the sound object in Track View. To display this feature, right-click the track bar, and choose Show Sound Track from the Configure submenu. If there is no waveform currently assigned to the sound object or if you are using a third-party sound object plug-in that is not compatible with the waveform display, this part of the track bar will be grayed out.

The animation range can be modified by pressing CTRL and ALT while dragging the track bar. Hold the left mouse button to slide the start of the range, the right mouse button to slide the end of the range, and the middle mouse button to change both the start and end frames together. A tooltip at the cursor and a status bar message will indicate the range you are setting.

Note: While the animation button is pressed, the track bar is highlighted red, to indicate that the software is in animate mode.

Procedures

To select keys on the track bar:

  • Click a key to select it.

  • Drag a window around a selection of keys to region-select multiple keys.

    If the track bar right-click menu > Configure > Show Selection Range option is on, when multiple keys are selected, the range of the selected keys is shown in the selection range bar at the bottom of the track bar. You can then scale the selected keys proportionally by dragging either end of the selection range bar, or move the keys by dragging the center of the bar.

To move or clone keys on the track bar:

While keys are moved or cloned, small lines on the track bar mark the original position of the keys. All keys at a particular frame are moved simultaneously using the following procedures.

  • Drag a key selection to move it in time.

  • Hold down SHIFT, then drag a key(s) to clone keys.

  • Right-click to abort a move or clone operation.

To move a single key from a frame with multiple keys:

If, for example, a frame has both a transform key and a material key for the selected object, and only the transform key must move, display the transform properties dialog and use the Time parameter to move the transform key.

  1. Right-click a key on the track bar and select a key on the pop-up window key list.

    A key properties dialog displays.

  2. Change the Time parameter in the key properties dialog.

    The key slides along the track bar to a new location.

To delete keys on the track bar:

  • Make a Key Selection on the track bar and press DELETE.

    All selected keys are deleted.

  • Make a Key Selection on the track bar, right-click anywhere on the track bar to display the track bar menu, and then select Delete Selected Keys on the pop-up window.

    All selected keys are deleted.

To delete a single key type on a frame with multiple keys:

An object can have many keys for different animated parameters at a particular frame. Use this procedure to delete a key for a single parameter.

  1. Right-click over a selected or unselected key on the track bar.

    A pop-up window displays.

  2. Move the mouse over Delete Key, then select a key to delete in the submenu.

To change the length of the active time segment:

You can change the animation length using track bar.

  • Hold CTRL + ALT and drag on the track bar with the left mouse button to change the active time segment start frame, with the right mouse button to change the active time segment end frame, and with the center mouse button to change the active time segment start and end frames simultaneously.

To hide or show the track bar:

  • Choose Customize > Show UI > Show Track Bar.

    This menu item is a toggle: a check mark shows that the track bar is currently displayed.

Interface

Track Bar

  • Make an object selection in the viewports to display the object's keys on the track bar.

  • Selected keys are white; unselected keys are red.

  • Drag from an empty area of the track bar to region-select keys.

  • Drag a key to move it in time.

  • Hold SHIFT and drag a key to clone it.

  • Hold CTRL+ALT and drag on the track bar to change the active time segment, that is, the animation range displayed on the track bar.

    Dragging with the left mouse button will change the start of the range, dragging with the right mouse button will change the end of the range, and dragging with the middle mouse button will change both the start and the end of the range.

  • Right-click to abort a move or clone operation.

  • During a move or clone operation, small lines represent the original key locations.

  • The cursor changes to a cross over unselected keys.

  • The cursor changes to a two-sided arrow over selected keys, signifying a move operation is possible.

  • Right-click over a key to display the track bar menu.

    Some commands are unavailable in the track bar menu if you right-click over an empty part of the track bar.

Track bar menu

Right-click a key on the track bar to display the track bar menu.

List: Displays the object name and key type for all keys at the current position. Select any of the keys in the list at the top of the track bar menu to display a key properties dialog. For more information on this dialog, see Key Info (Basic) and Key Info (Advanced).

  • A key with a check next to the name indicates the key is shared with other instances in the list. Two selected objects might share the same Twist modifier, for example.

  • The list displays keys for all selected objects. If there are more than 10 keys, then the list turns to a submenu under Key Properties in the track bar menu.

  • If there is no key properties dialog for a key type, the key is unavailable.

Controller Properties: Displays a submenu that contains a list of all of the procedural controllers (list controllers, expression controllers, noise, etc.) assigned to the object selection.

If you select one of the controllers from the submenu, the properties dialog for that controller displays in a modeless dialog.

Delete Key: Displays a submenu identical to the key properties list at the top of the track bar menu. Select a key type or choose All to delete one or all of the keys.

All: Deletes all keys at the current position.

Keys do not need to be selected on the track bar in order to use Delete Key. Keys are deleted from the track bar key over which you right-clicked.

Delete selected keys: Deletes selected keys.

A key or keys must be selected on the track bar. If no keys are selected, this command is unavailable.

Filter: Displays a Filter submenu. Select a filter to filter the track bar display; display only transformation keys, for example.

Right-click anywhere on the track bar, place the cursor over Filter in the track bar menu to display the Filter submenu, then choose a filter. According to the filters set, keys will disappear on the track bar.

All Keys: Displays all keys.

All Transform Keys: Displays only keys for position, rotation and scale.

Current Transform: Displays only keys that use the currently selected transformposition, rotation or scale.

Object: Displays object modifier keys. Excludes transformation and material keys.

Material: Displays material keys for the material assigned to the selected object(s).

Configure: Displays a Configure submenu, which lets you change the track bar display.

Show Frame Numbers: Displays frame numbers in the track bar.

Show Selection Range: Displays a selection range bar below the track bar, whenever multiple keys are selected.

You can scale all selected keys by dragging either end of the selection range. This lets you change the length of an animation segment while maintaining the relative distance between animation keys. You can also move the selected keys in time by dragging the selection range bar.

Show Sound Track: Displays the waveform (.wav file) that is assigned to the sound object in Track View.

Snap to Frames: Keys snap to frame numbers when moved. If turned off, you can place keys between frames.

Go to Time: Moves the time slider to the cursor position.

Right-click anywhere on the track bar, then click Go to Time.


Keyboard Shortcut Override Toggle

Status bar > Keyboard Shortcut Override Toggle

The Keyboard Shortcut Override Toggle lets you toggle between using only the "Main User Interface" shortcut keys and using both the main shortcuts and shortcut keys for functional areas such as Editable Meshes, Track View, and so on.

When the Override toggle is off, only the Main User Interface shortcuts are recognized. When Override is on, both main UI and functional area shortcuts are recognized; however, if there is a conflict between a shortcut assigned to a feature and one assigned to the main UI, when Override is on, the feature's shortcut takes precedence.

You can customize keyboard shortcuts by using the Keyboard panel of the Customize User Interface dialog. The lists in the keyboard panel show which shortcuts have been assigned to which command or feature.

See also

Default Keyboard Shortcuts


Selection Lock Toggle (Status Bar)

Selection Lock Toggle

Status bar > Selection Lock Toggle

Keyboard > SPACEBAR

Selection Lock Toggle toggles selection locking on and off. Lock selections so you don’t inadvertently select something else in a complex scene.

When your selection is locked, you can drag the mouse anywhere on screen without losing your selection. The cursor displays the current selection icon. When you want to deselect or alter your selection, click Lock Selection again to turn off locked selection mode.

When you want to select something and you can’t, it's frequently because you have locked your selection.

This button is off by default.

Click to turn it on (it turns yellow). When Lock Selection is on, you can click anywhere in the screen and the program interprets it as clicking the selected object(s). This is useful when you want to keep objects selected while you make a different viewport active or when the selection is tiny, or crowded and difficult to select.

Procedures

To transform an object without touching it:

  1. Use the Select by Name icon in the main toolbar or the H key to select the object by name

  2. Choose the transform icon (move, rotate or scale) from the main toolbar

  3. Press the SPACEBAR to lock the selection set

  4. Press and drag anywhere in the viewport.

    The object transforms even though your cursor is not touching it.

To avoid accidentally canceling a selection:

  1. Make your object selection.

  2. Click the Lock button in the status line, or press SPACEBAR to turn on Locked Selection mode.

To exit sub-object selection mode, do one of the following:

  • In the Modifier Stack display, choose the object level.

  • Open another command panel. This turns off Sub-Object selection.

    If you've turned off Sub-Object selection and object selection is still not restored, one of the following may be true:

  • Your selection is locked. Turn off the Lock button on the prompt line.

  • You've set the Selection Filter in the toolbar to a specific category of object, so you can't select any of the other categories. To fix this, select All in the Selection Filter list.


Coordinate Display

Status bar > Coordinate Display area

The Coordinate Display area shows the position of the mouse in world coordinates whenever you are not actively manipulating an object.

When you are actively transforming an object, you can type coordinates directly in the Coordinate Display Fields. You can do this in two modes, Absolute and Offset, just the same as the Type-in Transform window.

Click the Absolute or Offset buttons to change between modes. Absolute positions the object in World space; offset moves the object a distance relative to its existing position. When the offset button is on, the Type-In Transform in the coordinate display respects the Reference coordinate system.

Use the Tab key to move from field to field, when typing in the coordinate display fields.

See also

Units Setup Dialog

Procedure

To display the position of the mouse in feet or metric units:

  1. Choose Customize > Units Setup.

  2. Turn on one of the main categories (Metric, US Standard, Custom, or Generic Units) and choose from the drop-down list.

    The coordinate display is now in labeled units.

To move the position of an object to the center of the world:

  1. Select an object in the viewport.

  2. Right-click and select Move from the quad menu

  3. Swipe the X coordinate field to select the numbers, then enter 0. Press Tab.

  4. Enter 0 in the Y coordinate field, and press Tab.

  5. Enter 0 in the Z coordinate field.

Interface

When you transform an object, the status line displays the pertinent information, depending on the type of transform.

Move: Displays the offset XYZ coordinates based on the current coordinate system. For example, if you're moving an object and you're constrained to the X axis, only the X readout will change, displaying the offset of the move along the local X axis.

Rotate: Displays the offset angle in degrees about the axis or axes the rotation is performed around. This is dependent on both the axis coordinate system, and the local/center toggle button.

Scale: Displays the offset XYZ scale in percentages.

You can get the absolute as well as offset information through the Transform-Type-in on the Tools menu.


Grid Setting Display

Status bar > Grid Setting Display

The grid setting display shows the size of one grid square. This value is constant in the active viewport. It does not change if you zoom in very close or zoom out very far.

Procedure

To change the size of one grid square, do one of the following:

  • Right-click the 3D snap toggle directly below the Grid Settings Display.

  • On the Home Grid tab, change the Grid Spacing values.

    That value is displayed.


Window/Crossing Selection

Status bar > Crossing Selection or Window Selection on the Selection toggle.

Edit menu > Region > Window or Crossing

The Selection toggle switches between window and crossing modes when you select by region.

  • In Window mode, you select only the objects within the selection.

  • In Crossing mode, you select all objects that are within the region, plus any objects crossing the boundaries of the region. The same meaning holds true for sub-object selection.

Tip: If you're making sub-object selections of faces and you select more faces than you want, make sure Crossing is off and Window is on.

The Selection Region flyout on the toolbar allows you to create differently-shaped boundaries. This setting is saved in the gmax.ini file.


Degradation Override

Status bar > Degradation Override

When on (the default), Degradation Override supersedes the adaptive degradation that can occur when you transform geometry, change the view, or play back an animation in a shaded viewport. In this case, the geometry remains shaded even if that slows down viewport display and animation playback. Animation playback might drop frames if the graphics card cannot display frames in real time.

Turn off Degradation Override if you have big models you need to navigate around and if you are finding performance to be sluggish.

When Degradation Override is off, the button shows a wireframe box. Adaptive degradation causes shaded objects to be replaced by a quicker display mode. By default, shaded objects are replaced by their bounding boxes. You can change the display option, and set other adaptive degradation parameters, in the Viewport Configuration dialog (Customize menu > Viewport Configuration >Adaptive Degradation).

Note: When you use arc rotate in a shaded viewport while Degradation Override is off, objects degrade to bounding boxes regardless of the adaptive degradation settings.

Procedures

To turn off or override adaptive degradation, do one of the following:

  • Click Degradation Override.

  • Press O (the letter "o").


2D Snap, 2.5D Snap, 3D Snap

Status bar > Grid and Snap panel > 2D Snap, 2.5D Snap, or 3D Snap on the Snaps flyout

The buttons on this flyout provide control over the range of 3D space where snaps are active.

Snaps flyout

Object Snapping

Object snapping lets you snap to specific portions of existing geometry during creation and transforms of objects or sub-objects. You can also snap to the grid, and you can snap to tangents, midpoints, pivot points, face centers and other options.

The mode you choose maintains its state when you switch levels.

Transforming Around Snap Points

When snapping is on (but Animate is off), rotations and scales are performed about the snap point. For example, if you're using Vertex snapping and rotating a box, you can rotate it about any of its corner vertices.

When the Animate button is on and either Select And Rotate or Select And Scale is selected, the Snap Toggle button is disabled, and rotation and scaling is performed about the pivot point of the object.

Relative and Absolute Snaps

The mouse snaps absolutely to the active snap types. Relative snapping is also available. As a default, when you turn on the Snap Toggle button, only the Grid Points snap type is active. If you perform a Move operation, the cursor will snap to the grid, but you can select and pick up an object that's not aligned to the grid. When you move the object and snap it to grid points, the object's original position relative to the grid is maintained as an offset to each grid point, providing relative snapping.

To move the same object in an absolute fashion, add the Vertex snap type. Then, when you select the object to move, you select one of its vertices, and snap that vertex to any grid point, resulting in an absolute snap.

You can also achieve variations on relative snaps by turning on the Selection Lock Toggle button in the status line.

A wide variety of snap types are available from the Snaps dialog that you use to activate different snap types as you work.

See also

Snap Override

Snap Options Settings

Procedures

To turn snap on an off during a transform:

  • Press S to toggle snap off when it gets in the way.

To use snaps to move a relative distance:

  1. Turn on Snaps with the S key, or by clicking the Snaps toggle.

  2. Lock your selection set with the SPACEBAR, or by clicking Lock Selection on the status bar.

  3. Wherever you click in the viewport, the snap will stay relative to the distance of your cursor to the object.

To use snaps to move an absolute distance:

  1. Turn on Snaps with the S key or by clicking the Snaps toggle.

  2. Click the selection. Snap uses the point you click for the snap source.

  3. Move to whatever target snap you desire. The object will snap to an absolute distance.

Interface

This flyout button provides three modes:

2D Snap: The cursor snaps only to the active construction grid, including any geometry on the plane of that grid. The Z axis, or vertical dimension, is ignored.

2.5D Snap: The cursor snaps only to the vertices or edges of the projection of an object onto the active grid.

Suppose you create a grid object and make it active. You then position the grid object so you can see through the grid to a cube further off in 3D space. Now, with 2.5D set, you can snap a line from vertex to vertex on the distant cube, but the line is drawn on the active grid. The effect is like holding up a sheet of glass and drawing the outline of a distant object on it.

3D Snap: This is the default. The cursor snaps directly to any geometry in 3D space. 3D snapping lets you create and move geometry in all dimensions, ignoring the construction plane.

Right-click this button to display the Grid and Snap Settings , which lets you change snap categories and set other options.


Angle Snap

Status bar > Grid and Snap panel > Angle Snap

Angle snap determines the incremental rotation for a number of features in gmax, including the standard Rotate transform. As you rotate an object (or group of objects), the object moves around a given axis in the increment you set.

Angle snap also affects Pan/Orbit camera controls, FOV and Roll camera settings, and Hotspot/Falloff spotlight angles.

Procedures

To turn angle snap on:

  • Click Angle Snap on the prompt line.

    When turned on, angle snap affects all rotational transforms.

    When you move an object with snap set, a pair of buttons in the status line determine the kind of snapped move you can make.

To rotate an object an even number of degrees:

  • Turn Angle Snap and rotate the object. The rotations take place in five-degree increments as a default.

To rotate an object a precise degree of rotation, do one of the following:

  • Click Select and Rotate, then right-click it to display the Type In Transform dialog. Enter the exact rotation you want.

  • Right-click Angle Snap and select the Options panel. Set the Angle snap in the General area to the precise degree of rotation you need, then rotate the object. It snaps to the angle you’ve entered.

Interface

The angle increment is set on the Options page of the Grid and Snap Settings dialog. Right-click the Angle Snap button to display the Options page of the Grid and Snaps Settings dialog. The default is 5 degrees.


Percent Snap

Prompt line > Grid and Snap panel > Percent Snap

Percent Snap increments scaling of objects by the specified percentage.

Interface

The snap percent increment is set in the Grid and Snap Settings dialog. The default is 10 percent. Right-click the Percent Snap button to display the Grid and Snap Settings dialog.

This is a general-purpose snap system that applies to any operation involving a percentage, such as scaling or squashing.


Spinner Snap

Prompt line > Grid and Snap panel > Spinner Snap

Spinner Snap sets the single-click increment or decrement value for all of the spinners in the system.

Procedure

To set and toggle spinner snap:

  1. Do one of the following:

    • Choose Customize/Preferences and click the General tab on the Preference Settings dialog.

    • Right-click the Spinner Snap button in the status line.

      Either method brings up the General panel. The two controls for spinner snap are in the Spinners area of this panel.

  2. Set a value in the Spinner Snap field.

  3. Select Use Spinner Snap.

    When you exit the dialog, the Spinner Snap button is turned on.

    The Spinner Snap button is turned on or off, depending on whether you toggle the “Use Snap” radio button in the dialog

  4. As you work, use the Spinner Snap button to toggle the alternate setting.

Interface

The amounts for Spinner Snap are controlled by settings in the General panel of the Preferences dialog. Default=1.


Time Tag

Prompt line > Add Time Tag

Time tags are text labels that you can assign to any point in time in your animation. They let you easily jump to any point in your animation by selecting its tag name. The tags can be locked to be relative to other time tags so that the movement of one time tag will update the time position of another.

The time tags are not attached to keyframes. They are simply a way to name events that occur in your animation and navigate to them. If you move your keyframes, you will need to update your time tags accordingly.

Interface

Left-click or right-click the Time Tag box to display a menu with the following items:

Add Tag: Displays a dialog that lets you define a tag name for the current location in time.

Edit Tag: Displays a dialog that lets you rename, delete, or edit any defined tag.

The remainder of the menu displays frame numbers and their tag names. Choose a tag name to jump to the spot in time defined by the tag.


Add Time Tag Dialog

Prompt line > Click in the Time Tag box. > Add Tag

Use the Add Time Tag dialog to define a tag name for the current spot in time.

Procedure

To use time tags:

  1. Move to the spot in time where you want to add a tag.

  2. Click in the Time Tag box, and choose Add Tag from the menu.

  3. In the Add Time Tag dialog, enter the name of the tag. Choose whether to lock it to time and whether to make it relative to another tag, and click OK.

    The name of the tag appears in the tag slot, and will reappear whenever you go to that spot in time.

    To jump to a defined tag, click the Time Tag slot and choose the tag name from the list.

    To rename, delete, or change the properties of a tag, click the Time Tag slot and choose Edit Tag.

Interface

Tag Time: Displays the current frame, to which the tag will be assigned.

Tag Name: Enter the name of the tag. You can create a long tag name in this field, but the tag slot will display only 15 characters.

Lock Time: Locks the tag to the current frame, regardless of subsequent scaling of time.

For example, with Lock Time off, if you have a tag named "Forty" at frame 40, and you scale time up 200 percent, the Forty tag will be at frame 80. If Lock Time is on, the Forty tag remains at frame 40.

Relative To: Lets you assign another tag to which the current tag will maintain a relative offset.

For example, if you have a tag at frame 10 called First and you create a second tag at frame 30 called Second, if you move the position of First to frame 25, Second will move to frame 45 to maintain the 20-frame offset between the two tags.

This is a one-way offset. If you change the time position of the second tag in the example, the first tag is not affected. Circular dependencies are not allowed: you can't have First relative to Second and Second relative to First.


Edit Time Tag Dialog

Prompt line > Click in the Time Tag box > Edit Tag

Use the Edit Time Tag dialog to alter the properties of any of the defined tags.

Procedure

To edit a time tag:

  1. Click in the Time Tag box and choose Edit Tag from the menu.

  2. Choose the time tag you want to edit from the list.

  3. Use controls in the Edit Time Tag dialog to rename it, or move it in time relative to another time tag.

Interface

All of the current tags, along with their associated frame numbers, appear in the window at the top of the Edit Time dialog. Select the tag to edit, then adjust the controls below the window.

Tag Name: Use this field to rename the selected tag. You can create a long tag name in this field, but the tag slot will display only 15 characters.

Time: Lets you change the time where the tag is assigned.

Lock Time: Locks the tag to the current frame, regardless of subsequent scaling of time. For example, with Lock Time off, if you have a tag named Forty at frame 40, and you scale time up 200 percent, the Forty tag will be at frame 80. If Lock Time is on, the Forty tag remains at frame 40.

Relative To: Lets you assign another tag to which the current tag will maintain a relative offset. For example, if you have a tag at frame 10 called First and you create a second tag at frame 30 called Second, if you move the position of First to frame 25, Second will be moved to frame 45 to maintain the 20-frame offset between the two tags.

This is a one-way offset. If you changed the time position of the second tag in the previous example, the first tag is not affected. In addition, circular dependencies are not allowed. You can't have First relative to Second and Second relative to First.

Delete Tag: Deletes the selected tag.


Animate Button

Status bar > Time controls > Animate button

Keyboard > N

The Animate button turns keyframing mode on or off. All movement, rotation, and scale changes are keyframed while the Animate button is on. When it's off, these changes are applied to frame 0.

The Animate button is red when it’s on. The active viewport is also outlined in red when the Animate button is on. The time slider turns red when the Animate button is on. All this to remind you that you are in Animate mode, and that you are setting keyframes with your actions.

Warning: Be sure to turn the Animate button off after keyframing, or you may inadvertently create unwanted animation. If you do, use Undo to remove the unwanted animation. Be careful; it’s easy to forget.

Within an existing animation, you can create keyframes for transforms without the use of the Animate button by right-clicking the time slider and then setting the source and destination time. For example, you can use this function to copy an existing Move key to a later frame, so an object pauses its motion momentarily (to keep the object still, you must use linear interpolation). You can also set keyframes for other animatable parameters in Track View and the Motion panel without using the Animate button.

See also

Using the Animate Button

Procedures

To animate an object:

  1. Turn on the Animate button.

    The Animate button and the highlight border around the active viewport both turn red.

  2. Drag the time slider to a time other than 0.

  3. Do one of the following:

    • Move, scale, or rotate an object.

    • Change an animatable parameter.

      For example, assume you start with a cylinder that has not been animated yet and therefore has no keys. You then turn on the Animate button, and on frame 20 you rotate the cylinder 90 degrees about its Y axis. This action creates Rotation keys at frames 0 and 20. The key at frame 0 stores the original orientation of the cylinder, while the key at frame 20 stores the animated rotation of 90 degrees. When you play the animation in the viewport, the cylinder rotates 90 degrees about its Y axis over 20 frames.

  4. Turn off the Animate button when you are done.

Example: To animate an object between three points:

  1. Turn on the Animate button.

  2. Drag the time slider (to frame 25, for example).

  3. Move the object from point A to point B.

    A Move key is created at frames 0 and 25. The establishing key at frame 0 describes the object's position at point A. The key at frame 25 describes the object's position at frame 25.

  4. Drag the time slider (to frame 50, for example).

  5. Move the object from point B to point C.

    A Move key is created at frame 50 that describes the object's position at point C.

  6. Click the Playback button.

  7. The object moves from point A to point B over frames 0 to 25, then proceeds to point C over frames 26 to 50.

  8. The Playback button turns into a Stop button. Click it to stop playback.

    The position of the object in between the keyframes is determined by the interpolation type used by the controller. Right-click the keys in Track bar and select the transform key to see the controls for adjusting the timing of the in-betweens.

  9. Turn off the Animate button.

To remove the animation from a scene and start again:

  1. Choose File menu > New.

  2. In the New Scene dialog, turn on Keep Objects And Hierarchy.

    All the objects remain in the scene but all keyframes have been removed.

To animate a deformation curve of a loft object:

  1. Turn on the Animate button.

  2. Set a current frame with the time slider.

  3. Select one or more control points in the deformation curve of a loft object.

  4. Use the Move Control Point or Scale Control Point buttons to transform the control points.

To animate a hierarchy with IK interactively:

  1. Select any hierarchy that does not already have an IK Solver applied.

  2. Click IK on the Hierarchy panel.

  3. Turn on the Animate button.

  4. On the Inverse Kinematics rollout, turn on Interactive IK.

  5. Select and move objects in the IK structure on different frames.

    Note: This will work on linked hierarchies and bones that do not already have an IK Limb Solver applied. This technique allows you to animate hierarchies using IK methods without applying any IK solver.


Go To Start

Status bar > Time controls > Go To Start

Keyboard > HOME

Go To Start moves the time slider to the first frame of the active time segment. The active time segment is set in the Start Time and End Time fields of the Time Configuration dialog.


Previous Frame

Status bar > Time controls > Previous Frame

Keyboard > , (comma)

Previous Frame moves the time slider back one frame.

If Key Mode is on, the time slider moves to the previous keyframe. Keyframe options are set in the Key Steps group of the Time Configuration dialog. If Use TrackBar is turned on, Previous Frame jumps to the previous key of any kind. If Use TrackBar is turned off, Previous Frame will jump to the previous transform key, ignoring any other type of keys.


Play/Stop

Status bar > Time controls > Play

Stop

Keyboard > / (to play); ESC (to stop)

The Play button plays the animation in the active viewport. If you click another viewport to make it active, the animation continues playing in that viewport. When the animation is playing, the Play button becomes a Stop button. The Play button has a flyout for playing only the animation of selected objects.

Tip: You can play the animation in all the viewports simultaneouly by turning off Active Viewport Only in the Time Configuration dialog. Click the button again to stop playing the animation.

Procedures

To play the animation in the viewport:

  1. Activate the viewport where you want to play the animation.

  2. Click the Play button.

    The animation plays in the viewport. The Play button becomes a Stop button.

  3. Click Stop to end the playback.

    The speed of the animation playback is determined by the settings in the Time Configuration dialog, the complexity of the scene and the speed of the graphics card and processor.

To play the animation looped backward:

  1. Click the Time Configuration button on the status bar.

  2. In Time Configuration dialog > Playback group, turn off Real Time.

    The Direction buttons are now available.

  3. Turn on Reverse.

  4. Click the Play button.

    The animation plays backwards.

  5. To play the animation front-to-back and then back-to-front in a continuous loop, turn on Ping-Pong as the Direction.

To play the animation of a selected object only:

  1. In a viewport, select a single animated object or a set of animated objects.

  2. Click Play Selected on the Play/Stop flyout.

    Only the selection is animated in the viewport.

  3. Click the Stop button or press ESC to end playback.

Interface

The Play/Stop flyout contains two buttons. Both buttons become a Stop button when in use.

Play: Plays the animation in the currently active viewport.

Play Selected: Plays the animation for selected objects only in the currently active viewport.

Stop Animation: Replaces the Play button when an animation is playing. Click to stop the playback.

Stop Animation (Selected): Replaces the Play Selected button when an animation is playing. Click to stop the playback.


Next Frame

Status bar > Time controls > Next Frame

Keyboard > . (period)

Next Frame moves the time slider ahead one frame.

If Key Mode is on, the time slider moves to the next keyframe. Keyframe options are set in the Key Steps group of the Time Configuration dialog. If Use TrackBar is turned on, Next Frame will jump to the next key of any kind. If Use TrackBar is turned off, then Next Frame will jump to the next transform key, ignoring any other type of keys.


Go To End

Status bar > Time controls > Go To End

Keyboard > END

Go To End moves the time slider to the last frame of the active time segment. The active time segment is set in the Start Time and End Time fields of the Time Configuration dialog.


Current Frame (Go To Frame)

Status bar > Time controls > Current Frame (and Go To Frame)

Current Frame displays the current frame number, indicating the position of the time slider. You can also enter a frame number in this field to go to that frame.

Procedure

To move to a particular frame, do one of the following:

  • Type the frame number and press ENTER to go to the specified frame.

  • Move the time slider and observe the frame number updating on the time slider.


Key Mode

Status bar > Time controls > Key Mode

Key Mode lets you jump directly between keyframes in your animation. By default, Key Mode uses the keys visible as gray circles in the track bar below the time slider. Other options are available on the Time Configuration dialog.

Any time you have the Animate button turned on and you have made a change to an object’s create parameters or performed a transform, or have changed a material or any modifier applied to that object, you have created a keyframe. Key Mode can respect all keyframes, or it can be limited to move to only transform keys.

The Key Steps settings in the Time Configuration dialog determines this. When Key Steps are set to Use TrackBar, then Key mode will jump ahead or back to keyframes of any type. When Key Steps is not set to Use TrackBar, Key Mode will respect only transform keys.

Procedures

To use Key Mode:

  1. Turn on Key Mode.

    The button turns blue when key mode is active.

  2. Use the Previous Frame and Next Frame buttons to move from one keyframe to the next.

    If you are not jumping to the keys, be sure the object is selected in the viewport.

    If you are still not jumping to the keys, configure Key Mode to Use TrackBar.

To configure Key Mode:

  1. Click Time Configuration. You can also right-click the Key Mode button.

  2. Select options in the Key Steps group.

    If you turn on Use TrackBar and turn Key Mode on, then clicking Next Key advances to the next key for the selected object. This will respect every type of key that appears in the track bar. If you turn Use TrackBar off, only transform keys are used by key mode.


Time Configuration

Status bar > Time controls > Time Configuration > Time Configuration dialog

The Time Configuration dialog provides settings for frame rate, time display, playback, and animation. You use this dialog to change the length of your animation, or stretch or rescale it. You also use it to set the start and end frames of the active time segment, and stretch or rescale your animation.

See also

Setting Time Segments

Procedures

To display the Time Configuration dialog:

  • Click the Time Configuration button, directly under the Go to End button in the lower-right corner of the gmax display.

To define the active time segment:

  1. Click Time Configuration.

  2. Set Start Time to specify the beginning of your active time segment.

  3. Do one of the following:

    • Set End Time to specify the end of your active time segment.

    • Set Length to specify the amount of time in the active time segment and automatically set the correct End Time.

      You can enter positive or negative values in any spinner, but you must use the same format used by the time display.

      You can change the active time segment without affecting the keys you've created. For example, if you have keys scattered over a range of 1000 frames, you can narrow your active time segment to work on only frames 150-300. You can only work on the 150 frames in the active segment, but the remainder of the animation stays intact. Returning the active segment from 0 to 1000 restores access and playback of all the keys.

      Changing the active time segment has the following effects:

    • Restricts the range of time you can use with the time slider.

    • Restricts the range of time displayed when using the animation playback buttons.

      The default setting for the active time segment runs from frames 0 to 100, but you can set it to any range.

To stretch out your existing animation over a longer time:

  1. In the Time Configuration dialog > Animation group, click Re-scale Time.

  2. Change the value in Length to be the number of frames you want the action to fill.

  3. Click OK.

    The animation is rescaled to the new number of frames.

    This also works to compress animations into a shorter space of time. To avoid losing frames during the rescaling, see “To use sub-frame animation” in this set of procedures.

To add frames onto your existing animation:

This procedure adds new frames to the end of your animation, without affecting your existing work.

  1. In the Time Configuration dialog > Animation group > End Time field, enter the number of the last frame of the animation.

    For example, if your existing animation is 100 frames long and you want to add 50 frames, enter 150.

  2. Click OK.

    The number you entered is now the new length of the animation, shown on the time slider.

To move to an exact time in your animation:

  • In the Time Configuration dialog > Animation group, enter the frame number in the Current Time field, and press ENTER.

    The viewport updates to this frame.

To set the frame rate of your animation:

  • In the Time Configuration dialog > Frame Rate group, do one of the following:

    • Choose one of the standard frame rates such as PAL or NTSC.

    • Choose Custom and specify a frame rate in the FPS (frames-per-second) field.

To configure viewport playback:

  • In the Time Configuration > Playback group, turn on or off the Real Time and Active Viewport Only boxes.

To play your animation in reverse or back and forth:

  1. In the Time Configuration > Playback group, turn off the Real Time.

  2. Choose the direction of the animation playback by selecting Forward, Reverse, or Ping-Pong.

  3. Play the animation in the viewport using the Play button or the / key.

To play your animation only once:

  1. In the Time Configuration > Playback group, turn off Real Time and Loop.

  2. Choose the direction of the animation playback by selecting Forward, Reverse or Ping-Pong.

  3. Play the animation in the viewport using the Play button or the / key.

    The animation will play once and stop.

To play your animation in multiple viewports:

  1. In the Time Configuration > Playback group, turn off Active Viewport Only. Click OK.

  2. Play your animation.

    The animation now plays in all four viewports.

To use sub-frame animation:

  1. In the Time Configuration > Time Display group, turn on FRAME:TICKS or MM:SS:TICKS. Click OK.

  2. Move the time slider to set keyframes in between keys.

    Tip: Use this when you scale an animation down from a longer length to insure that you won’t lose any keys. You can then move the keys to frames and revert to frames without ticks.

To play an animation with sound:

  • In the Time Configuration > Playback group, be sure you have Real Time turned on. If Real Time is not on, the sound will not play back during the animation.

Interface

These are the controls for the Time Configuration dialog. You can display this dialog by right-clicking any of the time control buttons to the right of the Animate button.

Frame Rate group

These four option buttons, labeled NTSC, Film, PAL, and Custom let you set the frame rate in frames-per-second (FPS). The first three buttons force the standard FPS for that choice. The Custom button lets you specify your own FPS by adjusting the spinner.

Time Display group

Specifies the method for displaying time in the time slider and throughout the program (in frames, in SMPTE, in frames and ticks, or in minutes, seconds, and ticks). For example, if the time slider is at frame 35, and the Frame Rate is set to NTSC, the time slider would display the following numbers for the different Time Display settings:

  • Frames: 35

  • SMPTE: 0:1:5

  • FRAME: TICKS: 35:0

  • MM:SS: TICKS: 0:1:800

SMPTE is the Society of Motion Picture Technical Engineers standard used to measure time for video and television production.

Playback group

Real Time: Causes viewport playback to skip frames to keep up with the current Frame Rate setting. There are five playback speeds. 1x is normal speed, 1/2x is half speed and so on. The speed settings affect only the playback in the viewports.

When Real Time is not selected, all frames are displayed during viewport playback.

Active Viewport Only: Causes playback to occur only in the active viewport. When clear, all viewports display animation.

Loop: Controls whether the animation playback occurs only once, or over and over repeatedly. Real Time must be off, before Loop can be turned on. When Loop is on, playback will honor direction setting for the loop. When Real Time and Loop are both off, playback will happen once and stop. Clicking play once will rewind to the first frame and play again.

Direction: Set the animation to play forward, reverse, or ping-pong. This only affects the playback in the interactive renderer. These options are only available when Real Time is turned off. These settings can be recalled by saving to a maxstart.max file.

Animation group

Start Time/End Time: Sets the active time segment displayed in the time slider. Choose any time segment before or after frame 0. For example, you can set an active time segment from -50 to 250.

Length: Displays the number of frames in the active time segment. If you make this greater than the total frames in the active segment, the End Time field increases accordingly.

Frame Count: Always the length plus one.

Current Time: Specifies the current frame for the time slider. As you adjust this, the time slider moves accordingly and the viewport updates.

Re-scale Time: Stretches or shrinks the animation for the active time segment to fit into the new time segment you specify. Relocates the position of all keys in all tracks. As a result, the animation plays over a greater or lesser number of frames, making it faster or slower.

Key Steps group

Controls in this group let you configure the method used when you turn on Key Mode.

Use TrackBar: Allows key mode to honor all keys in the track bar. This includes any parameter animation in addition to transform keys.

To make the following controls available, turn off Use TrackBar.

Selected Objects Only: Considers only the transforms of selected objects when you use Key Steps mode. If you turn this off, the transforms of all (unhidden) objects in the scene are considered. Default=on.

Use Current Transform: Disables Position, Rotation, and Scale and uses the current transform in Key Mode. For example, if the Rotate button is selected in the toolbar, you stop at each rotation key. If none of the three transform buttons are on, Key Mode considers all transforms.

To make the following control available, turn off Use Current Transform.

Position, Rotation, Scale: Specifies which transforms are used by Key Mode. Clear Use Current Transform to make the Position, Rotation, and Scale check boxes available.


Viewports

When you start gmax, the main screen contains four equal-sized viewports. The one in the lower right is a perspective view, and the others correspond to the three views: top, front, left. By default, the perspective view is Smooth and Highlights. You can choose different views to display in these four viewports as well as different layouts from the viewport right-click.

Viewport Layouts

You can choose from other layouts different from the default configuration. To choose a different layout, right-click on the viewport label and click Configure. Choose the layout tab of the Viewport Configuration dialog to see and select the alternative layouts.

Typical viewport layout

Active Viewport Borders

One viewport, marked with a highlighted border, is always active. This is where commands and other actions take effect. Only one viewport at a time can be active. Other viewports are set for observation only; unless disabled, they simultaneously track actions taken in the active viewport. When the Animate button is on, the active viewport border changes from white to red.

In general, a viewport becomes active as you work in it. You can move an object in one viewport, then drag the same object in another viewport to continue the move.

Viewport Labels

Viewports are labeled in the upper-left corner. You can control many aspects of a viewport by right-clicking the viewport label to display the viewport right-click menu.

Dynamic Resizing of Viewports

You can resize the four viewports. so they are not of equal proportions. To resize the viewports, press and drag in the center of the four viewports on the splitter bars. Move the center to change the proportions. To return to the original layout, right-click the intersection of the dividing lines and click Reset Layout from the right-click menu.

These proportions are saved in the scene however, they will reset when you change the viewport layout.

World Space Tripod

The three-color world space tripod is visible in the lower-left corner of each viewport. The colors correspond to the three axes of world space: red=X, green=Y, and blue=Z. The axes are labeled in these same colors. The tripod always refers to world space, regardless of the current reference coordinate system.

The world space tripod is on by default. To turn off this feature, see “To turn off the world space tripod in all viewports” in the following procedures.

Viewport Tooltips for Object Names

When you’re working with objects in a viewport and pause the cursor over any unselected object, a tooltip appears with the name of that object. These tooltips are disabled when you work in sub-object mode.

Tooltips are on by default. To turn off this feature, see “To turn off object name tooltips” in the following procedures.

See also

Viewport Controls

Procedures

To make a viewport active, do one of the following:

  • Click in any viewport.

    If you click an object in the viewport, it is selected. If you click a space where there are no objects, any selected objects are deselected.

  • Right-click in any viewport.

    Right-click activates a viewport without changing the selection state of objects.

To switch between single and multiple viewports:

Activate the viewport you want to minimize or maximize, and do one of the following:

  • On the keyboard, press the W key.

  • Click the Min/Max Full Screen Toggle button in the lower-right corner of the gmax window.

To resize the viewports:

  1. Press and drag at the center of the four viewport on the intersection of the horizontal and vertical splitter bars.

  2. Move the center to any new location.

    • To reset the viewports, right-click the same point again and choose Reset Layout from the right-click menu.

To change the number of viewports and their arrangement:

  1. Right-click any viewport label. Select Configure from the right-click menu.

  2. In the Viewport Configuration dialog, click the Layout tab.

  3. Select a layout from the 14 choices at the top of the dialog.

  4. Assign what each viewport will display in the lower window of the dialog.

  5. Click OK to make the change.

To turn off the world space tripod in all viewports:

  1. Choose Customize menu > Preferences to display the Preferences dialog.

  2. Click the Viewports tab.

  3. In the Viewport Parameters group, turn off Display World Axis.

  4. Click OK to make the change.

To turn off object name tooltips:

  1. Choose Customize menu > Preferences to display the Preferences dialog.

  2. Click the General tab.

  3. In the UI Display group, turn off Enable Viewport Tooltips.

  4. Click OK to make the change.


Viewport Right-Click Menu

Right-click any viewport label. > Viewport right-click menu

The viewport right-click menu, also referred to as the Viewport Properties menu, contains commands that let you change what is shown in the active viewport. This is a shortcut menu. Some of the options are also available on the Configuration dialog.

You can do the following from this menu:

  • Set the type of shading displayed in the viewport (for example, Wireframe, Smooth, or Edged Faces).

  • Change the view to any available viewport type (for example, Perspective, Top, Bottom, User, Light, Camera, Grid, or Shape).

    When your scene contains cameras or lights with targets, the viewport right-click menu gives you selection options for the components. For example, when you right-click the label of a target camera viewport, you see two new commands, Select Camera and Select Camera Target, that let you select the camera or target used by that view.

  • Undo or redo a view change.

  • Turn on texture correction if your display is not Open GL.

  • Disable the view entirely so it doesn’t update when you work in other viewports.

  • Toggle the display of the grids and viewport background.

    Note: A grid object must be active before you can select it from its viewport.

  • Display the Asset Manager, MAXScript Listener, or Track View in a viewport.

  • Turn on Viewport Clipping. This interactively sets a near and far range for the viewport. Geometry within the viewport clipping range is displayed. Faces outside the range are not displayed.

Procedures

To hide or show the home grid, do one of the following:

  • Choose Views menu > Grids, and click Show Home Grid.

  • Right-click a viewport label.

    Click Show Grid to reverse the current display of the home grid in that viewport.

    Keyboard > G (for single viewport)

    Keyboard > SHIFT + G (for all viewports)

To change a viewport to Camera view:

Note: This procedure requires at least one camera object in your scene.

  1. Right-click a viewport label.

  2. Click Views.

  3. Choose one of the cameras in the Views list.

    This assigns the camera to the viewport and changes the label to the camera name.

    A camera viewport tracks the view through the perspective of that camera. As you move the camera (or target) in another viewport, you see the scene swing accordingly. If you alter the camera's field of view, you see the changes as they are applied.

To display Track View in a viewport:

  1. Right-click a viewport label to access the Viewport Properties menu.

  2. Click Views > Track View > New, or choose the name of the Track View you want to display.

    Keyboard > E

    Advantages of displaying Track View in a viewport include:

    • Displays permanently in one place.

    • Doesn't overlap other parts of the gmax interface.

    • Lets you quickly switch back and forth to other viewport types.

To display Asset Browser or MAXScript Listener in a viewport:

  1. Right-click any viewport label to access the Viewport Properties menu.

  2. Click Extended > Asset Browser or MAXScript Listener.

To access the Layout panel, do one of the following:

  • Choose Customize menu > Viewport Configuration, then click the Layout tab.

  • Right-click a viewport label, and choose Configure, then click the Layout tab.

To change a viewport to a Shape view:

Note: This procedure requires at least one Shape object in your scene.

  1. Right-click a viewport label to access the Viewport Properties menu.

  2. Choose Views > Shape.

To use viewport clipping:

  1. Right-click a viewport label, and then choose Viewport Clipping.

    The viewport displays the viewport clipping controls.

  2. Move the lower slider up until the geometry is clipped in the viewport by the near clipping plane.

  3. Adjust the upper slider to clip the geometry with the far clipping plane.

To fix texture display problems in a viewport:

  • Right-click a viewport label, and then choose Texture Correction.

    If you have maps on materials that are not displaying in the viewport, you need to turn on Show Map in Viewport in the Material Editor for each material that has this problem.

To change quickly between snap options:

  1. With nothing selected, hold SHIFT and right-click anywhere in the viewport.

    The Snaps shortcut menu is displayed.

  2. Choose any of the Standard snap options. You can also toggle whether snaps use transform constraints.

Interface

Smooth+Highlight: Displays the smoothness and lighting of objects. You can also display maps on the surface of objects. This happens on a map-by-map basis, but you can display as many maps as you want simultaneously in the viewport. Maps only display on objects that have mapping coordinates.

Note: This and other shaded viewport options support self-illuminated materials and 32 lights.

Wireframe: Displays objects as edges only, as if they were made from wire. Wire color is determined by object color (default).

Other: Displays a cascading menu of other shading modes. These include:

  • Smooth: Displays smoothing, but doesn’t show highlights.

  • Facets+Highlights: Displays highlights, but doesn’t show smoothing.

  • Facets: Shades faces, but doesn’t display smoothing or highlights.

  • Lit Wireframe: Displays edges as wireframe, but shows lighting.

  • Bounding Box: Displays objects as a bounding box only.

Edged Faces: Available only when the current viewport is in a shaded mode. Displays the wireframe edges of objects along with the shaded surfaces. This is helpful for when you want to edit meshes in a shaded display.

Edges are displayed using the object wireframe color, while surfaces use material colors (if assigned). This lets you create contrasting colors between the shaded surfaces and the wireframe edges. You can switch these assignments in the Display Color rollout.

Show Grid: Turns on and off the display of the home grid. Does not affect other grid display.

Keyboard > SHIFT+G

Show Background: Turns on and off the display of any viewport background image. To specify an image, choose Views menu > Viewport Background.

Viewport Clipping: Interactively sets a near and far range for the viewport. Geometry within the viewport clipping range is displayed. Faces outside the range are not displayed. This is useful in complex scenes where you want to work on details that are obscured from view. Turning on viewport clipping displays two red slider arrows on the edge of the viewport. Adjusting the lower arrow sets the near range, and the upper arrow sets the far range. Tick marks indicate the extents of the viewport. Viewport Clipping can also be turned on and off in the Viewport Configuration dialog.

Texture Correction: Available only when the viewport is shaded and at least one object's map is displayed. Redraws the viewport using pixel-interpolation (perspective corrected). This state remains in effect until you force the viewport to redraw for any reason.

Note: If you are using an OpenGL display card, this command is always on.

Disable View: Disables the active viewport. A disabled viewport behaves like any other viewport while it is active. However, when you change the scene in another viewport, the view in the disabled viewport does not change until you activate it. Use this function to speed up screen redraws when you are working on complex geometry.

Keyboard > D

Views: Displays a secondary menu that allows you to choose another view to display in the viewport: (Front, Top, Back, etc.).

Use Keyboard shorts for quicker viewport display change. Use the first letter of the viewport label as the keyboard shortcut (F for Front, for example). Exception is K for back.

Undo: Undoes the last viewport change.

Redo: Cancels the last viewport undo.

Configure: Displays the Viewport Configuration dialog, which contains many options for further control of the viewports.


Viewport Controls

At the right end of the status bar are the buttons that control the display and navigation of the viewport window. They also provide animation and time controls, as well as playback controls for animation within the viewport.

Some of the buttons change for camera and light viewports. The Field of View button changes for Perspective viewports.

The state of the navigation-button flyouts for all viewport types is saved in the gmax.ini file.

Viewport Animation Controls

All viewports display the following animation and time controls.

Animation Controls

Animate Button

Go to Start

Previous Frame

Play/Stop

Next Frame

Go to End

Time Controls

Current Frame (and Go to Frame)

Key Mode

Time Configuration

Viewport Navigation Controls

The navigation controls depend on the active viewport. Perspective, orthographic, camera, and light viewports all have specialized controls. Orthographic includes User viewports as well as viewports like Top, Front, and so on. The Zoom Extents All flyout and Min/Max Toggle, available in all viewports, are included with the perspective and orthographic viewport controls.

Many of these controls are modal, meaning they stay on for repeated use. The buttons highlights when on. To turn them off, press ESC, right-click in a viewport, or choose another tool.

Note: The state of the navigation-button flyouts for all viewport types is saved in the gmax.ini file.

Perspective and Orthographic Viewport Controls

Zoom

Zoom All

Zoom Extents/Zoom Extents Selected

Zoom Extents All/Zoom Extents All Selected

Field of View (Perspective) or Region Zoom

Pan

Arc Rotate/Arc Rotate on Selection/Arc Rotate Sub-Object

Min/Max Toggle

Camera Viewport Controls

Camera Viewport Controls

Dolly Camera, Target, or Both

Perspective

Roll Camera

Zoom Extents All, Zoom Extents All Selected

Field-of-View

Truck Camera

Orbit/Pan Camera

Min/Max Toggle

Light Viewport Controls

Light Viewport Controls

Dolly Light, Target, or Both

Light Hotspot

Roll Light

Zoom Extents All, Zoom Extents All Selected

Light Falloff

Truck Light

Orbit/Pan Light

Min/Max Toggle


Perspective and Orthographic Viewport Controls

Right-click any viewport label. > Views > Choose a perspective or orthographic view.

Right-click any viewport label. > Views > Grid > Choose any grid view.

Select a shape. > Right-click any viewport label. > Views > Shape

Keyboard > P (Perspective), U (User), F (Front), K (Back), T (Top), B (Bottom), L (Left), R (Right)

Perspective, orthographic, user, grid, and shape viewports all share the same viewport controls.

Perspective and orthographic viewport controls include the following. Two of these controls are available in all viewports.

Zoom

Zoom All

Zoom Extents

Zoom Extents All (available in all viewports)

Field-of-View (Perspective Viewport)

Region Zoom

Pan

Arc Rotate

Min/Max Toggle (available in all viewports)

Procedure

To undo changes to a perspective or orthographic viewport, do one of the following:

  • Right-click the viewport label and choose Undo. The type of Undo is specifically named on the menu (for example, Undo Zoom Extents).

  • Press SHIFT+Z.

    Note: This is different from camera and light viewports, which require the use of Undo on the Main toolbar, or CTRL+Z.


Zoom (Viewport Navigation Control)

Zoom

Viewport Navigation controls > Zoom

Keyboard > Z turns on Zoom; Keyboard > [ zooms in; ] zooms out

Zoom adjusts view magnification in the active viewport where you drag. By default, this button zooms in and out of the center of the viewport.

Tip: If you use the Microsoft IntelliMouse or a compatible pointing device, you can roll the wheel to zoom in and out in the active viewport. The zoom center is the current cursor position.

Procedures

To zoom a view:

  1. Activate a Perspective or Orthographic viewport.

  2. Click Zoom.

    The button highlights when it is on.

  3. Drag in a viewport to change magnification.

    • Drag up to increase magnification.

    • Drag down to decrease magnification.

  4. Press ESC or right-click to turn off the button.

To increase zoom speed:

  • Hold down CTRL while you drag in a viewport.

To turn on an automatic zoom mode:

  • On the keyboard, hold down CTRL+ALT, then hold down the middle mouse button and drag in a viewport. This does not activate the Zoom button.

To zoom to the cursor position:

  • On the keyboard, press [ (left bracket) to zoom in, and ] (right bracket) to zoom out.


Zoom All

Viewport Navigation controls > Zoom All

Zoom All lets you adjust view magnification in all non-Camera viewports.

By default, Zoom All zooms in and out of the center of the viewports.

Procedures

To zoom all views:

  1. Activate a Perspective or Orthographic viewport.

  2. Click Zoom All.

    The button turns green when it is on.

  3. Drag in a viewport to change magnification in all viewports.

    • Drag up to increase magnification.

    • Drag down to decrease magnification.

  4. Press ESC or right-click to turn off the button.

To zoom all viewports except the Perspective viewport:

  1. Hold down the CTRL key and click Zoom All.

  2. Drag in a viewport to zoom all the viewports except the Perspective.

    Note: You can drag in a Perspective viewport, but you only see the zoom in Orthographic viewports.


Zoom Extents, Zoom Extents Selected

Activate a Perspective or Orthographic viewport. > Viewport Navigation controls > Zoom Extents flyout

Keyboard > ALT+CTRL+Z

Zoom Extents centers all visible objects in an active Perspective or Orthographic viewport. This control is useful when you want to see every object in a scene in a single viewport.

Zoom Extents Selected centers a selected object, or set of objects, in an active Perspective and Orthographic viewport. This control is useful when you want to navigate to small objects lost in a complex scene.

Procedures

To zoom all objects in one viewport:

  1. Activate the Perspective or Orthographic viewport you want to zoom.

  2. Click Zoom Extents.

    The viewport displays all objects in the scene.

To zoom on a specific object:

  1. Activate the Perspective or Orthographic viewport you want to zoom.

  2. Select the object by clicking it, or press H to select it by name.

  3. Click Zoom Extents Selected.

    The viewport displays the selected object.

To exclude an object from Zoom Extents:

Use this procedure, for example, to ignore lights that are far away from the other objects in the scene.

  1. Click an object to select it.

  2. Right-click the object and choose Properties.

  3. In the Display Properties group, turn off the By Layer button.

  4. Turn on Ignore Extents.

    The object will now be excluded by Zoom Extents and Zoom Extents Selected.

Interface

Zoom Extents: Centers and magnifies views in the active viewport so all the visible objects in scene are shown. Objects can be excluded from zoom extents all if the Ignore Extents box is turned on under Object Properties.

Zoom Extents Selected: Centers and magnifies the view in the active viewport so just the selected objects or sub-object selections in the scene are shown. If no objects are selected, the effect is the same as a normal Zoom Extents.


Zoom Extents All, Zoom Extents All Selected

Activate any viewport. > Viewport Navigation controls > Zoom Extents All flyout

Keyboard > SHIFT+CTRL+Z

The Zoom Extents All flyout is available in all viewports. The flyout has two options:

  • Zoom Extents All centers all visible objects in all viewports. This control is useful when you want to see every object in a scene in every available viewport.

  • Zoom Extents All Selected centers a selected object, or set of objects, in all viewports. This control is useful when you want to navigate to small objects lost in a complex scene.

Procedures

To zoom all objects in a scene:

  1. Activate any viewport.

  2. Click Zoom Extents All.

    The viewports display all objects in the scene.

To zoom on a specific object:

  1. In any viewport, select the object by clicking it, or press H to select it by name.

  2. Click Zoom Extents All Selected.

    The viewports display the selected object.

To exclude an object from Zoom Extents All:

Use this procedure, for example, to ignore lights that are far away from the other objects in the scene.

  1. Click an object to select it.

  2. Right-click the object and choose Properties.

  3. In the Display Properties group, turn off the By Layer button.

  4. Turn on Ignore Extents.

    The object will now be excluded by Zoom Extents All and Zoom Extents All Selected.

Interface

Zoom Extents All: Centers and magnifies views so all the visible objects in the scene are shown in all viewports.

Zoom Extents All Selected: Centers and magnifies views so just the selected objects or sub-object selections in the scene are shown in all viewports. If no objects are selected, the effect is the same as Zoom Extents All.


Field of View

Activate a Camera viewport. > Viewport controls > Field of View

Activate a Perspective viewport. > Viewport controls > Field of View (from Field of View flyout)

Above: Narrow field of view
Below: Wide field of view

Field-of-View (FOV) adjusts the amount of the scene that is visible in a viewport and the amount of perspective flare. The effect of changing FOV is similar to changing the lens on a camera:

  • As the FOV gets larger, you see more of your scene and the perspective becomes distorted, similar to using a wide-angle lens.

  • As the FOV gets smaller, you see less of your scene and the perspective flattens, similar to using a telephoto lens.

Although the effect of Field of View appears similar to a zoom, the perspective is actually changing, resulting in increased or decreased distortion in the viewport.

In a Perspective viewport, Field of View defines the width of your view as an angle with its apex at your eyepoint and the ends at the sides of the view.

In a Camera viewport, Field-of-View controls the width of the area a camera views, and represents the arc of the camera's horizon in degrees. For a selected camera, you can adjust its FOV and Lens parameters directly to fine-tune the FOV you set in the viewport. See “To use Field of View with Camera parameters” in the following procedures.

Procedures

To adjust the field of view in a viewport:

  1. Activate a Perspective or Camera viewport.

  2. Click Field-of-View.

    The button highlights when it is on.

  3. Drag in the viewport to adjust the FOV angle.

    • Dragging down widens (increases) the FOV angle, reduces lens length, displays more of your scene, and exaggerates perspective.

    • Dragging up narrows (decreases) the FOV angle, increases lens length, displays less of your scene, and flattens perspective.

  4. Press ESC or right-click to turn off the button.

To enter an FOV value in a Perspective view:

  1. Activate a Perspective viewport.

  2. Right-click Field-of-View to display the Viewport Configuration dialog.

  3. Click the Rendering Methods tab.

  4. In the Perspective User View group, enter an angle in the FOV field.

  5. Click OK to make the change.

To use FOV with Camera parameters:

  1. Activate a Camera viewport.

  2. Press H and select the viewport’s camera in the Select By Name dialog.

  3. Open the Modify panel to view the camera’s Parameters rollout.

  4. As you drag Field-of-View in the viewport, the FOV and Lens parameters update interactively.

  5. Set the FOV and Lens parameters directly, or click a button in the Stock Lenses group.

    Note: Only the FOV value is saved with the camera. The Lens value (focal length) is another way to express and select the FOV.

    See Common Camera Parameters.

    Note: Using the Perspective button in a Camera viewport also changes the FOV in concert with dollying the camera.


Region Zoom

Activate an Orthographic viewport. > Viewport navigation controls > Region Zoom

Activate a Perspective viewport. > Viewport navigation controls > Region Zoom (from Field of View flyout)

Keyboard > CTRL+W

Zoom Region magnifies a rectangular area you drag within a viewport. This control is available only when the active viewport is an Orthographic, Perspective or User- Axonometric View. It is not available for Camera viewports.

Zoom Region stays active until you right-click or select another command.

Procedures

To zoom a region:

  1. Activate an Orthographic or Perspective viewport.

  2. Click Zoom Region or press CTRL+W.

    When you zoom a region in a perspective viewport, select Zoom Region from the Field of View flyout.

  3. Drag a rectangular region in any viewport displaying a non-camera view.

    When you release, the region is magnified to fill the viewport.

Note: When using the Region Zoom in Perspective view, the zoom rectangle is at a fixed distance from the camera. For this reason, if you draw the rectangle large enough, you can zoom out from the scene.


Pan (Viewport Control)

Pan

Activate a Perspective or Orthographic viewport. >Viewport Navigation controls > Pan

Keyboard > CTRL+P; Keyboard > I pans so the cursor location becomes the center of the viewport

Pan moves the view parallel to the current viewport plane.

Pan is modal(it stays active until you right-click or select another command).

To constrain panning of any viewport to a single axis, hold down the SHIFT key. The pan is constrained to the axis you first move while the SHIFT key is down.

To accelerate panning, hold down the CTRL key.

You can also pan by dragging in a viewport while pressing the middle button of a three-button mouse. This lets you pan without turning on the Pan button.

Procedures

To pan a non-Camera viewport:

  1. Activate a Perspective or Orthographic viewport.

  2. Do one of the following:

    • Click Pan.

    • Press CTRL+P.

    • Press the middle mouse button.

  3. Drag in the viewport in the direction you want to move.

To accelerate panning:

  • Hold down the CTRL key as you pan.

To constrain panning to a single axis:

  • Hold down the SHIFT key as you pan.

    The pan is constrained to the first axis you use.

    If you drag vertically at first, the pan or orbit is constrained to be vertical; if you drag horizontally at first, the constraint is horizontal.

    The Zoom Extents All flyout and the Full-Screen toggles remain visible. These controls aren't specific to Camera views. Clicking Zoom Extents All affects other kinds of viewports but does not affect Camera viewports.


Arc Rotate/Arc Rotate Selected/Arc Rotate Sub-Object

Activate a Perspective or Orthographic viewport.> Viewport Navigation controls > Arc Rotate flyout

Keyboard > CTRL+R

The Arc Rotate buttons, on the Arc Rotate flyout, spin the viewpoint freely around a center. Three Arc Rotate variants are available: Arc Rotate, Arc Rotate Selected, and Arc Rotate Sub-Object.

Arc Rotate is modal and remains active until you right-click or choose another command.

Arc Rotate respects Angle Snap. . If you turn on Angle Snap, the Arc Rotate mouse pointer displays a magnet, and the rotation snaps by the angle increment set in Preferences > Viewports Move/Rotate Transforms group > Viewport Arc Rotate Snap Angle.

Procedures

To use Arc Rotate:

  1. Activate a Perspective or Orthographic viewport.

  2. Click any of the three Arc Rotate buttons.

    A view rotation “trackball” is displayed as a green circle with handles placed at the quadrant points.

  3. Drag the mouse on and around the trackball to produce different types of view rotations. The cursor changes to indicate what type of rotation you are about to perform.

    • Drag the handles to keep the rotation either horizontal or vertical.

    • Drag inside the trackball to rotate the view freely within the viewport. When the cursor crosses outside the trackball during dragging, spinning rotation occurs. When the cursor crosses back into the trackball, free rotation is again in effect.

    • Drag outside the trackball to rotate the view about the depth axis that is perpendicular to the screen.

  4. Press ESC or right-click to end Arc Rotate.

To constrain rotation to a single axis:

  • Hold down the SHIFT key as you rotate.

    The rotation is constrained to the first axis you use.

To rotate a view with arrow keys:

  1. Press CTRL+R to activate Arc Rotate mode.

  2. Press the following keys to rotate the view.

    • LEFT ARROW and RIGHT ARROW rotate the view horizontally.

    • UP ARROW and DOWN ARROW rotate the view vertically.

    • SHIFT+LEFT ARROW and SHIFT+RIGHT ARROW roll the view.

To rotate with keyboard and mouse:

  • Press the ALT key and the middle mouse button at the same time, and then drag in a viewport. This does not turn on the Arc Rotate button.

Interface

Arc Rotate: Uses the view center as the center of rotation. If objects are near the edges of the viewport, they may rotate out of view.

Arc Rotate Selected: Uses the center of the current selection as the center of rotation. The selected object remains at the same position in the viewport while the view rotates around their center.

Arc Rotate Sub-Object: Uses the center of the current sub-object selection as the center of rotation. The selection remains at the same position in the viewport while the view rotates around its center.


Min/MaxFull-Screen Toggle

Min/Max Toggle

Activate any viewport. > Viewport navigation controls > Min/Max Toggle

Keyboard > W

Min/Max Toggle switches any active viewport between its normal size and full-screen size.

Tip: The keyboard shortcut W is especially useful for quick toggles.


Camera Viewport Controls

Right-click any viewport label. > Views > Choose a camera.

Keyboard > C

A camera viewport shows the view from the camera, looking at its target (even free cameras).

Camera viewport controls include:

Dolly Camera, Target, or Both

Perspective

Roll Camera

Zoom Extents All, Zoom Extents All Selected

Field-of-View

Truck Camera

Orbit/Pan Camera

Min/Max Toggle

Activate camera or light views from the viewport right-click menu, under Views. If there are more than ten cameras or lights listed, the last entry in the list is "More Cameras" or "More Lights." Choose this to display the Choose a View dialog, which shows the complete list.

If you press C to activate a Camera view and you have more than one camera in the scene (and no camera is selected), choose a camera from the Select Camera dialog that appears.

Note: Switching to or from a camera view clears the Undo/Redo lists.

Procedure

To undo changes to a camera viewport, do one of the following:

  • Click Undo on the Main toolbar.

  • Press CTRL+Z.

    Note: This is different from orthographic viewports, which require the use of Views menu > Undo, or SHIFT+Z.


Dolly Camera, Target, or Both

Activate a Camera viewport. > Viewport navigation controls > Dolly Camera or Dolly Target or Dolly Camera + Target

Dollying a camera

The buttons on this flyout replace the Zoom button when a Camera viewport is active. Use them to move the camera and/or its target along the camera's main axis, toward or away from what the camera is pointing at.

A free camera moves along its depth axis in the direction its lens is pointing. Unlike a target camera, its target distance remains fixed, no matter how far you dolly.

Note: The three buttons of the Dolly Camera flyout are available when a target camera viewport is active. When a free camera viewport is active, the button appears as a flyout, but only Dolly Camera is available for this type of camera. If you activate a target camera viewport, the three buttons are again available.

See also

Dolly Light

Procedure

To dolly a camera:

  1. Activate a Camera viewport.

  2. Click one of the buttons on the Dolly Camera flyout.

    The button turns green when it is on.

  3. Drag to move the camera.

    • Drag up to move the camera forward along its line of sight.

    • Drag down to move the camera backward along its line of sight.

  4. Press ESC or right-click to turn off the button.

Interface

The Dolly Camera flyout consists of the following individual buttons:

Dolly Camera: Moves only the camera to and from its target. If you go past the target, the camera flips 180 degrees and moves away from its target.

Dolly Target: Moves only the target to and from the camera. You see no visual change in the camera viewport, unless you dolly the target to where it passes through the camera to the other side, at which point the camera view is reversed. However, changing the relative position of the target to the camera affects other adjustments, such as Orbit Camera, which uses the target as its rotational pivot.

Dolly Camera + Target: Moves both the target and the camera to and from the camera.


Perspective

Activate a Camera viewport. > Viewport navigation controls > Perspective

Adjusting perspective

Perspective performs a combination of FOV and Dolly for target cameras and free cameras. It increases the amount of perspective flare, while maintaining the composition of the scene.

Note: This button replaces the Zoom All button when a Camera viewport is active.

Tip: Hold down the CTRL key to magnify the effect of the mouse on perspective adjustment.

A target camera can pass through its target object while you are using Perspective. When this happens the FOV reaches its maximum angle of 180 degrees at the target location and cursor motion is reversed until you release the drag.

A free camera continues moving along an infinite path but uses an implied target position to control the FOV change rate. This implied target is defined as a point specified by the Target Distance field in the Parameters rollout for the free camera.

Procedure

To change perspective for a camera:

  1. Activate a Camera viewport.

  2. Click Perspective.

    The button turns green when it is on.

  3. Drag to change FOV and dolly simultaneously.

    • Drag up to move the camera closer to its target, widen the FOV, and increase perspective flare.

    • Drag down to move the camera away from its target, narrow the FOV, and decrease perspective flare.

  4. Press ESC or right-click to turn off the button.


Roll Camera

Activate a Camera viewport. > Viewport navigation controls > Roll Camera

Rolling a camera

Roll Camera rotates the camera about the horizontal plane. Drag the mouse horizontally to roll a Target camera or to rotate a Free camera about its local Z axis.

Note: This button replaces the Zoom Extents button when a Camera viewport is active.

Procedure

To roll a camera:

  1. Activate a Camera viewport.

  2. Click Roll Camera.

    The button turns green when it is on.

  3. Drag horizontally to roll the view.

  4. Press ESC or right-click to turn off the button.


Truck Camera

Activate a Camera viewport. >Viewport navigation controls > Truck Camera

Trucking a camera

Truck Camera moves the camera (and its target) parallel to the view plane.

This button replaces the Pan button when a Camera viewport is active.

For a target camera, dragging the mouse moves the locked camera and its target parallel to the Camera view. For a free camera, dragging the mouse moves the camera along its XY-axis.

Procedure

To constrain trucking of any viewport to a single axis, hold down the SHIFT key. The truck is constrained to the first axis you move while the SHIFT key is down.

To accelerate trucking, hold down the CTRL key.

To truck a camera:

  1. Activate a Camera viewport.

  2. Click Truck Camera.

    The button turns green when it is on.

  3. Drag to move the camera and its target.

    The camera and its target move parallel to the view plane, which is perpendicular to the camera's line of sight.

  4. Press ESC or right-click to turn off the button.

To constrain trucking to a single axis:

  • Hold down the SHIFT key.

    The truck is constrained to the first axis you use.


Orbit/Pan Camera

Activate a Camera viewport. > Viewport navigation controls > Orbit Camera

Orbiting a camera

Panning a camera

The buttons on this flyout let you rotate a camera about the target (Orbit) or rotate the target about the camera (Pan).

Note: This button replaces the Arc Rotate button when a Camera viewport is active.

You can constrain the rotation to a single axis by first pressing SHIFT before beginning the rotation. The rotation is constrained to the axis you begin rotating about.

To accelerate panning, hold down the CTRL key before you pan.

Procedures

To pan a camera:

  1. Activate a Camera viewport.

  2. Click Pan Camera.

    The button turns green when it is on.

  3. Drag to rotate the view about the camera.

    • Dragging rotates the view freely using the world X and Y axes.

    • Press SHIFT and drag horizontally to lock view rotation about the world Y axis. This produces a horizontal pan.

    • Press SHIFT and drag vertically to lock rotation about the world X axis. This produces a vertical pan.

  4. Press ESC or right-click to turn off the button.

To pan with the middle mouse button:

  • Hold down the middle mouse button and drag.

    Pan mode is automatically switched on.

To orbit a camera:

  1. Activate a Camera viewport.

  2. Click Orbit Camera.

    The button turns green when it is on.

  3. Drag to rotate the view around the target.

    • Dragging rotates the view freely using the world X and Y axes.

    • Press SHIFT and drag horizontally to lock view rotation about the world Y axis. This produces a horizontal orbit.

    • Press SHIFT and drag vertically to lock rotation about the world X axis. This produces a vertical orbit.

  4. Press ESC or right-click to turn off the button.

Interface

Orbit Camera: Rotates a target camera about its target. Free cameras use the invisible target, set to the target distance specified in the camera Parameters rollout.

Pan Camera: Rotates the target about a target camera. For a free camera, rotates the camera about its local axes.


Light Viewport Controls

Right-click any viewport label. > Views > Choose a light.

Keyboard > $

A Light viewport shows the view from a spotlight or directional light, looking at its target.

Light viewport controls include:

Light Viewport Controls

Dolly Light, Target, or Both

Light Hotspot

Roll Light

Zoom Extents All, Zoom Extents All Selected

Light Falloff

Truck Light

Orbit/Pan Light

Min/Max Toggle

Note: Switching to or from a camera view clears the Undo/Redo lists.

Field-of-View

Truck Camera

Orbit/Pan Camera

Procedures

To set a Light viewport:

  1. Activate the viewport you want to show the view from a spotlight or directional light in the scene.

  2. Do one of the following:

    • Press the keyboard shortcut $.

  3. If you have more than one spotlight or directional light in the scene (and none is selected), gmax displays the Select Light dialog: choose the light you want.

    • Right-click the Viewport label. Choose Views and then choose the light from the Views sub-menu.

  4. If there are more than 10 lights listed, the last entry is "More Lights." Choose this to display the Choose a View dialog, which shows the complete list.

To undo changes to a light viewport, do one of the following:

  • Click Undo on the main toolbar.

  • Press CTRL+Z.

    Note: This is different from orthographic viewports, which require the use of Views menu > Undo, or SHIFT+Z.


Dolly Light, Target, or Both

Dolly Light

Activate a Light viewport. Viewport navigation controls > Dolly Light

Dollying a light

Dolly Light, on the Dolly Light flyout (see below) moves the light or its target or both along the light’s main axis, toward or away from what the light is pointing at. A free light moves along its depth axis in the direction its lens is pointing. On a target light, the target distance remains fixed, no matter how far you dolly.

When you dolly a light, the light source moves closer to and away from its target. Because spotlights have conical beams, dollying a spotlight closer to its target shrinks the area illuminated at the target. Similarly, dollying a spotlight away from its target expands the area illuminated at the target.

Note: The three buttons of the Dolly Light flyout are available when a target light viewport is active. When a free light viewport is active, the button appears as a flyout, but only Dolly Light is available for this type of light. If you activate a target light viewport, the three buttons are again available.

Note: The buttons on this flyout replace the Zoom button when a Light viewport is active.

See also

Dolly Camera

Procedure

To dolly a light:

  1. Activate a Light viewport.

  2. Click Dolly Light.

    The button turns green when it is on.

  3. Drag to move the light.

    • Drag up to move the light forward along its line of sight.

    • Drag down to move the light backward along its line of sight.

  4. Press ESC or right-click to turn off the button.

Interface

The Dolly Light flyout consists of the following buttons:

Dolly Light: Moves only the light to and from its target. If you go past the target, the light flips 180 degrees and moves away from its target.

Dolly Target: Moves only the target to and from the light. You see no visual change in the light viewport, unless you dolly the target to where it passes through the light to the other side, at which point the light view is reversed. However, changing the relative position of the target to the light affects other adjustments, such as Orbit Light, which uses the target as its rotational pivot.

Dolly Light + Target: Moves both the target and the light to and from the light.


Light Hotspot

Activate a Light viewport. > Viewport navigation controls > Light Hotspot

The streetlight has a narrow hotspot but a wide falloff area.

Widening the hotspot creates a brighter light.

Light Hotspot lets you adjust the angle of a light's hotspot. This button replaces the Zoom All button when a light viewport is active.

Click this button, then move the mouse in the light viewport to make the cone of the hotspot narrower or wider (the hotspot cone is shown in blue, the falloff cone is in gray).

Hold down the CTRL key while moving the mouse to lock the initial angle separation of the hotspot and falloff cones.

You can't adjust the hotspot larger than the falloff, because that would change the falloff value. Likewise, when you reduce the falloff, it stops at the hotspot size.

To override the separation of the hotspot and falloff parameters and cause the parameters to affect each other, hold down the SHIFT key.

Procedure

To change a light's hotspot:

  1. Set up a Perspective viewport so you can see the light in 3D space.

  2. Activate a Light viewport.

  3. Press H to display the Select Objects dialog. Select the light.

    The light and its cones should be visible in the Perspective viewport.

  4. Click Light Hotspot.

    The button turns green when it is on.

  5. Drag in the Light viewport to change the hotspot angle.

    The blue hotspot cone expands and contracts as you drag.

    • Drag down to widen (increase) the hotspot angle and illuminate more of the scene.

      The hotspot grows inside the falloff as its angle increases. By default, the hotspot can be no larger than the falloff cone.

    • Hold down SHIFT as you drag to override the default. This lets the falloff cone increase in size as you increase the size of the hotspot cone.

    • Drag up to narrow (decrease) the hotspot angle and illuminate less of the scene.

    • Hold down CTRL as you drag to lock the initial angle separation of the hotspot and falloff cones.

  6. Press ESC or right-click to turn off the button.


Roll Light

Activate a light viewport. > Viewport navigation controls > Roll Light

Rolling a light

Roll Light rotates the light about its own line of sight (the light's local Z-axis).

Although Roll does change the light view, it affects the light object only if the light casts a rectangular beam or is a projector.

Drag the mouse horizontally to roll a target light or rotate a free light about its local Z-axis.

Note: This button replaces the Zoom Extents button when a light viewport is active. Procedure

To roll a light:

  1. Activate a Light viewport.

  2. Click Roll Light.

    The button turns green when it is on.

  3. Drag horizontally to roll the view.

  4. Press ESC or right-click to turn off the button.


Light Falloff

Activate a Light viewport. > Viewport navigation controls > Light Falloff

The streetlight has a narrow hotspot but a wide falloff area.

Making the falloff even wider illuminates a larger area.

Light Falloff adjusts the angle of a light's falloff. This button replaces the Region Zoom button when a light viewport is active.

Click Light Falloff, then move the mouse in the light viewport to make the falloff narrower or wider (the falloff extents are shown in gray, the falloff is in blue).

Hold down the CTRL key while moving the mouse to lock the initial angle separation of the hotspot and falloff cones.

You can't adjust the hotspot larger than the falloff, because that would change the falloff value. Likewise, when you reduce the falloff, it stops at the hotspot size.

To override the separation of the hotspot and falloff parameters and cause the parameters to affect each other, hold down the SHIFT key.

Procedure

To change a light's falloff:

  1. Set up a Perspective viewport so you can see the light in 3D space.

  2. Activate a Light viewport.

  3. Press H to display the Select Object dialog. Select the light.

    The light and its cones should be visible in the Perspective viewport.

  4. Click Light Falloff.

    The button turns green when it is on.

  5. Drag in the Light viewport to change the falloff angle.

    The gray falloff cone expands and contracts as you drag.

    • Drag down to widen (increase) the falloff angle and illuminate more of the scene.

    • Drag up to narrow (decrease) the falloff angle and illuminate less of the scene.

      As its angle decreases, the falloff shrinks around the hotspot. By default, the falloff cone can be no smaller than the hotspot cone.

    • Hold down SHIFT as you drag to override the default. This lets the hotspot cone decrease in size as you decrease the size of the falloff cone.

    • Hold down CTRL as you drag to lock the initial angle separation of the hotspot and falloff cones.

  6. Press ESC or right-click to turn off the button.


Truck Light

Activate a light viewport. > Viewport navigation controls > Truck Light

Trucking a light

Truck Light moves a target light and its target parallel to the light view, and moves a free light along its XY axis.

To accelerate trucking, hold down the CTRL key.

Note: This button replaces the Pan button when a light viewport is active.

Procedures

To truck a light:

  1. Activate a Light viewport.

  2. Click Truck Light.

    The button turns green when it is on.

  3. Drag to move the light and its target.

    The camera and its target move parallel to the view plane, which is perpendicular to the camera's line of sight.

  4. Press ESC or right-click to turn off the button.

To constrain trucking to a single axis:

  • Hold down the SHIFT key.

    The truck is constrained to the first axis you use.


Orbit/Pan Light

Activate a light viewport. > Viewport navigation controls > Orbit/Pan Light flyout

Orbiting a light

Panning a light

Orbit rotates a light about the target. Pan rotates the target about the light.

To constrain panning or orbiting to a single axis, hold down the SHIFT key. The pan or orbit is constrained to the axis you first move while the SHIFT key is down.

To accelerate panning or orbiting, hold down the CTRL key before you pan or orbit.

Note: This button replaces the Arc Rotate button when a light viewport is active.

Procedures

To orbit a light:

  1. Activate a Light viewport.

  2. Click Orbit Light.

    The button turns green when it is on.

  3. Drag to rotate the view around the target.

    • Dragging rotates the view freely using the world X and Y axes.

    • Press SHIFT and drag horizontally to lock view rotation about the world Y axis. This produces a horizontal orbit.

    • Press SHIFT and drag vertically to lock rotation about the world X axis. This produces a vertical orbit.

  4. Press ESC or right-click to turn off the button.

To pan a light:

  1. Activate a Camera or Light viewport.

  2. Click Pan Light.

    The button turns green when it is on.

  3. Drag to rotate the view about the camera or light.

    • Dragging rotates the view freely using the world X and Y axes.

    • Press SHIFT and drag horizontally to lock view rotation about the world Y axis. This produces a horizontal pan.

    • Press SHIFT and drag vertically to lock rotation about the world X axis. This produces a vertical pan.

  4. Press ESC or right-click to turn off the button.

To pan with the middle mouse button:

  • Hold down the middle mouse button and drag.

    Pan mode is automatically switched on.

Interface

Orbit Light: Rotates the light about its target. Free lights use the invisible target, set to the target distance specified in the Modify panel > Spotlight Parameters or Directional Parameters rollout.

Pan Light: For a target light, rotates the target about the light. For a free light, rotates the light about its local axes.


Command Panels

The command panels are six user-interface panels that give you access to most of the modeling features of gmax, as well as some animation features, display choices, and miscellaneous utilities. Only one command panel is visible at a time. To display a different panel, you click its tab at the top of the Command Panel.

These are the six command panels:

  • Create panel

    Contains controls for creating objects: geometry, cameras, lights, and so on.

  • Modify panel

    Contains controls for applying modifiers to objects and editing editable objects such as meshes.

  • Hierarchy panel

    Contains controls for managing links in a hierarchy, joints, and inverse kinematics.

  • Motion panel

    Contains controls for animation controllers and trajectories.

  • Display panel

    Contains controls that let you hide and unhide objects, along with other display options.

  • Utilities panel

    Contains miscellaneous utility programs, most of which are plug-ins to gmax.

By default, the command panel appears at the right of the gmax window. You can "dock" them along other edges of the gmax window, or make them a floating window. See Customizing the User Interface.


Object Name and Wireframe Color

Command panels > Name field and Color swatch

The Name And Color fields let you rename objects and change their wireframe color.

The name and color fields appear at the top of all command panels besides the Create panel. On the Create panel, the fields are contained in a rollout. You can change an object's name or color from any of these locations.

Interface

Name (text field): Displays the name of the selected object and lets you enter a new name from the keyboard. Available only when a single object is selected.

Color (swatch): Displays the selected object's wireframe color and lets you select a new one. The wireframe color is the one used to display the object in viewports. Click the color swatch to display the Object Color Dialog.


Create Panel

Command panels > Create panel

The Create panel provides the controls for creating objects. This is the first step in building a new scene in gmax.

The Create panel groups the kinds of objects you create into six categories. Each category has its own button. Within each category there can be several different subcategories of objects. A drop-down list lets you choose among object subcategories, and each kind of object has its own button, which you click to begin creation.

These are the categories of objects that the Create panel provides:

  • Geometry

    Geometry is the renderable geometry of the scene. There are geometry primitives such as Box, Sphere, Pyramid, Booleans, and Lofts.

  • Shapes

    Shapes are spline curves. They have only one local dimension, although they can exist in 2D space, such as a Rectangle shape, or 3D space, such as a Helix.

    You use shapes for constructing other objects such as Lofts, or for motion trajectories.

  • Lights

    Lights illuminate the scene and improve its realism. There are several kinds of lights, each of which models different types of lighting in the real world.

  • Cameras

    Camera objects provide a view of the scene. The advantages of cameras over the views in the standard viewports are that cameras have controls similar to real-world cameras, and that you can animate a camera's position.

  • Helpers

    Helper objects are aids to constructing a scene. They help you position, measure, and animate the scene's geometry.

  • Systems

    Systems combine objects, controllers, and hierarchies to provide geometry associated with some kind of behavior.


Modify Panel

Command panels > Modify panel

From the Create panel of gmax, you place basic objects in your scene, including 3D geometry, 2D shapes, lights and cameras, and helpers. As you do this, you give each object its own set of creation parameters, which define its geometry and other characteristics depending on the type of object. Once placed in a scene, objects carry their creation parameters with them. You can change these parameters on the Modify panel.

You also use the Modify panel to assign modifiers. Modifiers are tools for reshaping an object. While they mold the final appearance of the object, modifiers do not change its underlying creation parameters. See the list of available modifiers.

You use the Modify panel to:

  • Change the creation parameters for existing objects.

  • Apply modifiers to adjust the geometry of an object or a set of objects.

  • Change the parameters of modifiers and select their components.

  • Delete modifiers.

  • Convert a parametric object to an editable object; see Modifier Stack.

The Modify panel stays in view until you dismiss it by clicking the tab of another command panel. The contents of the panel with its options and controls update when you select an object, giving you access only to what you can modify about that object.

What you can modify depends on whether an object is classed as a geometric primitive like a sphere, or as another kind of object, such as a light or camera. Each category has its own range of possibilities. The contents of the Modify panel are always specific to the category as well as to the selected object. When you make a change from the Modify panel, you immediately see the results transferred to the object.

You can change or delete modifiers by using the modifier stack.

See also

List of Available Modifiers

Procedure

To use the Modify panel:

  1. Select an object.

  2. On the Command Panel, click the Modify tab to display the Modify panel.

    The name of the object appears at the top of the Modify panel, and the remainder of the panel displays settings for the object or the modifier at the top of its stack.

  3. You can now do any of the following:

    • Change the parameters for the object. As you change these parameters, the object updates in the viewports.

    • Apply a modifier to the object.

    • Change the parameters for a modifier. As you change these parameters, the object updates into the viewports.

    • Collapse the stack to create an editable mesh or other editable surface.


Modifier Stack

Make selection. > Modify panel

The modifier stack ("stack" for short) contains the accumulated history of an object, including its creation parameters and the modifiers applied to it. At the bottom of the stack is the original object. Above the object are the modifiers, in order from bottom to top. This is the order in which modifiers are applied to the object's geometry.

Object with two modifiers applied to it in the stack

See also

Applying Modifiers

Using the Modify Panel

Using the Modifier Stack

Modifier Types Defined

World-Space Modifiers (WSMs)

List of Available Modifiers

Instances and References in the Modifier Stack Display

In the modifier stack display, objects and modifiers appear in normal type unless they are an instance or a reference. Here is how instances and references appear in the stack display:

  • The name of an instanced object appears in boldface.

  • The name of a modifier appears in boldface if it is part of an instanced pipeline.

Left: Plain object displayed in plain text
Right: Object instance displayed in boldface

Left: Pipeline displayed in plain text
Right: Pipeline instance displayed in boldface

  • If a modifier is applied to two or more pipelines, it is called an instanced modifier. Its name appears in italic.

  • If a modifier is instanced and part of an instanced pipeline, its name appears in boldface and italic.

Left: Instanced modifier displayed in italic (modifier applied to two objects)
Right: Instanced modifier in an instanced pipeline displayed in italic and boldface

  • A referenced object appears with a dark bar above it. Modifiers below the bar are part of the current pipeline. Modifiers above the bar are unique to the reference object.

    Note: You can also create instances of a reference. In this case, the modifier above the reference bar apply to the reference and to its instances.

  • A modifier above the reference object bar can itself be an instance and appear in other pipelines, in which case its name would be italic (either plain or boldface).

Left: Object reference shows a bar in the pipe
Right: Modifier applied to reference is not bold, as it is unique to this reference

The Make Unique button makes a pipeline or a modifier instance unique. When you highlight the base object and then click Make Unique, the whole pipeline becomes unique. When you highlight a bold modifier and then click Make Unique, this also makes the pipeline unique. If the modifier is an instanced modifier that belongs to an instanced pipeline (it appears in boldface and italic), clicking Make Unique makes the modifier unique but not the entire pipeline (the modifier's name is no longer italic, but it is still bold).

See also

How Instanced Modifiers Work

Understanding Object Data Flow

Procedures

To adjust an object's creation parameters:

  1. Choose the object by clicking its name in the stack.

    Primitive objects have a Parameters rollout. Other kinds of objects (such as meshes) have a variety of rollouts.

  2. Use the controls in the rollouts to adjust the object.

To apply a modifier to an object:

  1. Select the object.

  2. Do one of the following:

    • Choose the name of the modifier from the drop-down modifier list.

    • Drag the name of the modifier from the stack display or the drop-down modifier list to the object in a viewport.

      SHIFT+drag from the stack display moves the modifier, removing it from the original object and applying it to the new one.

      CTRL+drag from the stack display copies the modifier, creating an instanced modifier applied to both the original object and the new one.

    • If the modifier buttons are visible and the modifier you want is one of them, click the button.

    • Choose the modifier from the Modifiers menu.

To remove a modifier:

  1. Choose the modifier by clicking its name in the stack.

    The modifier's name is highlighted, and its control rollouts appear below the modifier stack.

  2. Do one of the following:

    • Click Remove modifier from the stack.

      This button is one of the tools beneath the display of the modifier stack.

    • Right-click the modifier's name in the stack, and choose Delete.

To turn the effect of a modifier off, do one of the following:

  • Click to turn off the lightbulb icon to the left of the modifier's name in the stack.

    When you apply a modifier, the lightbulb icon is on by default.

  • Right-click the modifier in the stack display, and choose Off.

To turn the effect of a modifier back on, do one of the following:

  • Click to turn on the dark lightbulb icon to the left of the modifier's name in the stack.

  • Right-click the modifier in the stack display, and choose On.

To change the size of the modifier stack display:

  1. Move the cursor over the shaded bar below the tool buttons beneath the stack list.

    The cursor changes to an up-and-down resize arrow (as it does on the borders of a resizable window).

  2. Drag the bar up or down to change the size of the stack display in the Modify panel.

To change a modifier's position in the stack:

  1. Right-click the modifier's name in the stack, and choose Cut.

  2. Right-click the name of the modifier you want the modifier to appear after (that is, above), and choose Paste.

    You can also drag-and-drop the modifier to a different location in the stack.

    Note: The original object is always at the bottom of the stack, and world-space modifiers are always at the top.

To use the modifier buttons:

  • Click Configure Modifier Sets, and choose Show Buttons.

    This menu item is a toggle. It is either on or off. When you turn on Show Buttons, the current button set appears between the drop-down modifier list and the stack display.

    See Configure Button Sets Dialog for more information.

To turn the modified object into an editable mesh, do one of the following:

  • Right-click the modifier stack, and choose Collapse All.

    A warning dialog appears to remind you that collapse is not undoable, and give you the option of performing a Hold before creating the mesh.

  • Right-click the object in a viewport, and choose Convert To > Convert to Editable Mesh in the quad menu.

    Tip: You can also turn a modified object into an editable patch or editable polygon surface. Use the quad menu to do this.

To adjust a modifier's component such as its gizmo or center point:

  1. Click the plus-sign icon to display the modifier's hierarchy.

  2. Choose the component you want to adjust, such as the Gizmo.

    The component highlights to show it is active.

  3. Adjust the component.

    For example, you might use transforms to move a gizmo or a center point.

  4. When done, you can click the minus-sign icon to hide the hierarchy display. The modifier itself is highlighted again.

    Tip: You can also right-click the stack and use Show All Subtrees to view the entire hierarchy, and Hide All Subtrees to view only objects and modifiers.

To go to a sub-object level for complex objects:

  1. Click the plus-sign icon to display the object's hierarchy.

  2. Choose the sub-object level you want to adjust.

    The sub-object level highlights to show it is active.

    Keyboard shortcut: INS cycles through the difference sub-object levels.

  3. Adjust sub-objects.

    When you add a new sub-object type, the modifier stack updates to show the new sub-object levels.

  4. To leave the sub-object level, click to select the name of the top-level object or a different top-level object.

    Tip: You can also right-click the stack and use Show All Subtrees to view the entire hierarchy, and Hide All Subtrees to view only objects and modifiers.

Interface

Modifier List

The modifier list is a drop-down list that lets you choose a modifier to add to the stack. When you choose an object-space modifier from this list, it appears above the object, or above the modifier that was currently selected in the stack. When you choose a world-space modifier from this list, it appears at the top of the stack.

For the distinction between object space and world space, see Modifier Types Defined and Object Space and World Space.

Use Pivot Points: The first item in the modifier list is the Use Pivot Points toggle. It is unavailable unless multiple objects are selected.

When turned on, gmax uses the pivot point of each object as the center of a modifier's operation. For example, if you bend a line of trees around the Z axis, they all bend along their trunks.

When turned off, gmax calculates a central pivot point for the entire selection set and modifies the selection as a whole. For example, if you bend a line of trees around the Z-axis, trees at the end of the line deform more than those at the center where the pivot is located.

Note: You must turn on Use Pivot Points before you apply the modifier to multiple objects. You can't change the setting afterward, although you can delete the modifier and start over without deselecting the selection set.

Modifier Buttons

Between the modifier list and the stack display, you can display up to 32 buttons. The buttons are a shortcut way to add modifiers to the stack.

To display the modifier buttons, click Configure Modifier Sets (below the stack display) and choose Show Buttons.

To customize the button set, click Configure Modifier Sets (below the stack display) and choose Configure Modifier Sets.

When a modifier's button is visible, clicking the button applies the modifier to the stack. Object modifiers are applied immediately above the currently selected object or modifier. World space modifiers are applied at the top of the stack.

Stack Display

The modifier stack is organized as follows:

  • At the bottom of the stack, the first entry always lists the object type. Click this entry to display the object's creation parameters so you can adjust them.

    When you click to choose an entry in the modifier stack, its background highlights to show that the entry is current, and that the object's or modifier's parameters are available for adjusting, in rollouts that appear beneath the stack display.

  • Above the object itself are entries for object modifiers. Click a modifier entry to display the modifier's parameters so you can adjust them.

    This section lets you go back to any modifier you've applied and rework its effect on the object. You can also delete the modifier from the stack, canceling its effect.

    Reminder: gmax applies transforms after it applies object modifiers but before it applies world-space modifiers.

To the left of each modifier in the stack is a lightbulb icon. When the bulb appears white, the modifier is applied to the stack below it. When the bulb appears gray, the modifier is turned off. Click to toggle the on/off state of the modifier.

If the modifier has sub-controls such as a center or a gizmo, the stack also shows a small plus/minus icon. Click this icon to open or close the hierarchy.

Opening a modifier's hierarchy to access sub-controls

When the hierarchy is open, you can select a sub-control, such as a gizmo, and then adjust it. The available sub-controls vary from modifier to modifier.

Objects that have a sub-object hierarchy, such as editable meshes also show a collapsible hierarchy in the modifier stack.

Opening an object's hierarchy to access sub-object levels

To work at a sub-object level, click to open the hierarchy, then click to select the sub-object level. Controls for that particular level or type of sub-object appear in rollouts below the stack display.

(Certain types of sub-object display an icon at the right of the stack, to help you see which sub-object type you are adjusting.)

Tool Buttons

Below the stack display is a row of buttons for managing the stack.

Pin Stack: Locks the stack to the currently selected object so it remains with that object regardless of subsequent changes in selection. The entire Modify panel is locked to the current object as well.

Pin Stack is useful for transforming another object while keeping your place in the modified object's stack.

Show End Result: Shows the selected object as it will appear after all modifications in the stack have taken place, regardless of your current position in the stack. When this toggle is turned off, the object appears as modified up to the current modifier in the stack.

Make Unique: Converts an instanced modifier to a copy that's unique to the current object. See Make Unique.

Remove Modifier: Deletes the current modifier.

Configure Modifier Sets: Click to display the pop-up Modifier Sets menu.


Modifier Stack Right-Click Menu

Modify panel > Modifier stack display > Right-click a modifier or object.

Some commands for managing modifiers are available by right-clicking the modifier stack display. Some options are unavailable if they don't apply to the current modifier. For example, Make Unique is available only if you select an instanced modifier.

The main uses of the right-click menu for the modifier stack are:

  • Renaming modifiers

  • Rearranging modifiers using cut, copy, and paste

    You can cut, copy, and paste multiple modifiers at one time. You can also cut and copy discontiguous selections of modifiers.

  • Creating instances of modifiers

  • Collapsing the stack into a surface object such as an editable mesh

  • Controlling whether modifiers are on or off

The right-click menu for the modifier stack replaces the Edit Stack dialog.

Collapsing the Stack

Collapsing the stack removes modifiers from the object. Collapsing a stack typically converts an object into an editable version of the original object (unless the object was editable to begin with). Collapse To is unavailable unless you select one or more modifiers in the stack. Using Collapse To removes all stack items from the creation parameters to and including the uppermost selected stack item.

Following are suitable reasons to collapse a stack:

  • To simplify the scene geometry.

  • To discard applied modifiers, and convert the object to an editable mesh while retaining the results of any applied modifiers.

  • To conserve memory.

After you collapse an object's stack, you can no longer parametrically adjust either its creation parameters or its individual modifiers. Animation tracks that were assigned to such parameters also disappear.

Procedures

To move one or more modifiers:

  1. Select one or more modifiers in the modifier stack display.

    To select multiple modifiers, click to select one modifier, then hold down CTRL and click to select the others. Holding down SHIFT selects the two modifiers you click and all modifiers in between them.

  2. Right-click and choose Cut.

  3. Select a modifier above which to paste the cut modifiers. (This can also be the object at the bottom of the stack.)

  4. Right-click and choose Paste.

    The modifiers are pasted above the current selection.

To copy one or more modifiers:

  1. Select one or more modifiers in the modifier stack display.

    To select multiple modifiers, click to select one modifier, then hold down CTRL and click to select the others. Holding down SHIFT selects the two modifiers you click and all modifiers in between them.

  2. Right-click and choose Copy.

  3. Select an item above which to paste the cut modifiers.

  4. Right-click and choose Paste.

    The copied modifiers are pasted above the current selection.

    Choose Paste Instanced to make the pasted modifiers instances of those you copied.

To copy modifiers from one object to another:

  1. Select one or more modifiers in the modifier stack display of the first object.

    To select multiple modifiers, click to select one modifier, then hold down CTRL and click to select the others. Holding down SHIFT selects the two modifiers you click and all modifiers in between them.

  2. Right-click and choose Copy.

  3. Select the second object.

  4. In the second object's modifier stack display, select an item above which to paste the copied modifiers.

  5. Right-click and choose Paste.

    The modifiers from the first object are pasted above the current selection in the second object.

    Choose Paste Instanced to make the pasted modifiers instances of those you copied.

Interface

Rename: Lets you change the name of the modifier. For example, you might change the name Bend to the more specific "First 45-degree bend." After choosing Rename, enter the new name in the stack display, and then press ENTER. Pressing ESC cancels the name change.

Delete: Deletes the modifier from the stack. The modifier is not available for pasting.

Cut: Cuts the modifier from the stack. The modifier is removed, but is available for pasting.

Copy: Makes a copy of the modifier that is available for pasting.

Paste: Pastes the modifier into the stack. The modifier appears above the currently selected object or modifier, unless it is a world space modifier, in which case it is pasted at the top of the stack.

You can paste a modifier from one object into the stack of a different object.

Paste is unavailable when more than one modifier is selected in the stack.

Paste Instanced: Pastes an instance of the modifier into the stack. The modifier instance appears above the currently selected object or modifier, unless it is a world space modifier, in which case it is pasted at the top of the stack.

You can paste a modifier instance from one object into the stack of a different object.

Paste Instanced is unavailable when more than one modifier is selected in the stack.

Make Unique: Converts an instanced modifier to a copy that's unique to the current object. This button is unavailable unless the modifier you right-clicked is instanced. See Make Unique.

Collapse To: Collapses a portion of the stack. Collapse To is unavailable unless you select one or more modifiers in the stack. Using Collapse To collapses all stack items from the object itself, up to and including the uppermost selected stack item. If there are modifiers above the uppermost selection, they are not changed.

The result of a collapse depends on the base object. A geometric primitive, with or without modifiers, collapses into an editable mesh. Editable Polymeshes collapse to editable polymeshes.

World-space modifiers don't collapse along with the rest of the stack.

Collapse All: Collapses the entire stack.

The result of a collapse depends on the base object. A geometric primitive, with or without modifiers, collapses into an editable mesh. Editable Polymeshes collapse to editable polymeshes.

World-space modifiers don't collapse along with the rest of the stack.

On: Turns on the effect of the modifier.

The lightbulb icon to the left of the modifier name shows "on."

Off: Turns off the currently selected modifiers without deleting them. This can help you see the object without the effect of its modifiers.

The lightbulb icon to the left of the modifier name shows "off."

Make Reference: If the object is an instance, converts it to a reference. This option is available only when the base object is selected, and only when the base object is a reference.

When you make an instanced object into a reference, a heavy, "derived object" bar appears at the top of the stack. You can select this bar and apply modifiers above it. Modifiers applied above the bar affect the reference object only, and not its parent object.

Gray bar denotes a reference object at the base of the stack

Show All Subtrees: Expands the display of every hierarchical item in the stack display, so that all items in the stack are visible, including sub-objects.

Hide All Subtrees: Hides the subtree of every hierarchical item in the stack display, so that only objects, modifiers, and space warp bindings are visible.


Make Unique

Modify panel > Tool buttons > Make Unique

Modify panel > Right-click an instanced modifier in the stack display. > Make Unique

Make Unique lets you convert an instanced modifier to a copy that's unique to the current object. A modifier is instanced when it is applied to multiple selected objects. You can also use Make Unique to make instanced or referenced objects unique.

Procedures

Example: To use the Make Unique options with an instanced modifier:

  1. Create a cylinder with some height segments, and then use Shift+Move to create three copies, resulting in four identical cylinders.

  2. Select all four cylinders, apply the Bend modifier, and adjust the Angle setting just enough to see the results of the bend.

    You now have four cylinders with a single instance of a Bend modifier applied to them.

  3. Choose Edit menu > Hold.

    This lets you return to the current state of the scene at any time without using Undo.

  4. Select two of the cylinders and click Make Unique.

  5. Choose Yes in the resulting dialog.

    At this point, the two selected cylinders each have unique Bend modifiers, while the remaining two cylinders share the original Bend. You can see this by selecting each cylinder and changing the Bend Angle setting.

  6. Choose Edit menu > Fetch, and answer Yes.

  7. Select two cylinders again, and click Make Unique.

  8. Choose No in the resulting dialog.

    The two selected cylinders now share an instance of a Bend modifier, but it's a different instance than that shared by the other two cylinders. Again, you can see this by selecting each of the cylinders and changing the Bend Angle spinner. You can also turn on Show Dependencies in the Views menu to see the relationship between the four cylinders and the Bend modifier.

Example: To use Make Unique with an instanced object/modifier combination:

  1. Create a cylinder with some height segments.

  2. Apply a Bend modifier and adjust the Angle just enough to see the results of the bend.

  3. Use Shift-Move with the Instance option to create an instanced object/modifier combination.

  4. Change the Bend Angle setting on one of the instances to demonstrate that the cylinders and modifiers are truly instanced.

    Both cylinders bend.

  5. Select one of the instances, and then, in the modifier stack choose either the Bend modifier or the cylinder itself.

  6. Click Make Unique.

    When you change the Bend Angle setting or cylinder base parameters for one of the objects, the other doesn't change.

    Note: When you instance an object/modifier combination, all duplicates are instances of a single master node containing the original object and modifier. In such cases, you cannot selectively make the object or its modifier unique. Clicking Make Unique for one or the other, makes both unique.

Interface

Make Unique: Detaches objects and modifiers (and combinations) logically from the master node of which they're instances or references.

Go to the object or modifier level in the stack for an instanced or referenced object or modifier (respectively), and click Make Unique.

For instanced object/modifier combinations, in the modifier stack, choose either the modifier or the object itself.

Make Unique is unavailable when a selected object is not an instance or reference, when it doesn't contain an instanced modifier, or when all objects in the selection don't have an instanced modifier in common.

Making New Instances

When you click the Make Unique button for a selection of two or more objects, a dialog appears that asks: Do you want to make the selected items unique with respect to each other? This gives you a choice of how you want to make the objects unique.

  • Yes: Makes the instanced modifiers assigned to the objects in the selection unique for each object in the selection.

  • No: All instanced modifiers assigned to the objects in the selection remain instanced across the selected objects, but become unique from other objects not in the selection.


Modifier Sets Menu

Modify panel > Configure Modifier Sets button

The button sets menu gives you options for managing and customizing shortcut buttons for applying modifiers.

Procedures

To display the current button set on the Modify panel:

  • Click Configure Modifier Sets, and then choose Show Buttons to turn on this item.

    This item is a toggle. Choosing Show Buttons a second time turns off the button display, and so on.

To configure a new modifier set:

  • Click Configure Modifier Sets, and then choose Configure Modifier Sets.

To change from one button set to another:

  • Click Configure Modifier Sets, and then choose the modifier set name from the lower part of the menu.

Interface

Configure Modifier Sets: Displays the Configure Modifier Sets dialog to let you create a new, customized button set.

Show Buttons: When on, buttons for the current modifier set are displayed between the modifier list and the stack display. Default=off.

Show All Sets in List: When on, the Modifier List is organized by sets. When off, the Modifier List is organized simply into World-Space Modifiers and Object-Space Modifiers, and is otherwise alphabetical except that the current set appears at the top of the list. Default=on.

Saved button sets: The bottom part of the Button Sets menu lists the names of saved button sets. Choose one of these sets to make it the current button set. The current set is displayed as buttons when Show Buttons is on. The Modifier List drop-down is organized by sets when Show All Sets In List is on.


Configure Modifier Sets Dialog

Modify panel > Configure Modifier Sets button > Configure Modifier Sets

This dialog lets you create custom modifier and button sets for the Modify panel.

Procedures

To choose a modifier and button set to edit:

  • Choose a button set from the Sets drop-down list.

To create a new modifier and button set:

  1. Create a custom button set in the Modifiers group box. You use these controls:

    • Use Total Buttons to change the number of buttons.

    • Drag a modifier from the Modifiers list to a button.

    • Highlight a button, and then double-click a modifier in the Modifiers list. (When you assign a button by double-clicking, the highlight moves to the next button in the Modifiers group.)

  2. Enter the new set's name in the Sets edit field.

  3. Click Save.

  4. Click OK to leave the Configure Modifier Sets dialog.

To customize the current modifier and button set:

  1. Use Total Buttons to choose the number of buttons in the set.

  2. Assign buttons by dragging the names of modifiers in the dialog's Modifiers list to buttons in the Modifiers group box.

  3. Click OK.

    gmax updates the Modifiers list. You can customize the set without saving it, but if you save a new set under a new name, you can use it later.

Interface

Modifiers: Lists all modifiers currently available. It's organized into these categories: MAX STANDARD, Deformations, Surface Tools, MAX EDIT, MAX SURFACE, MAX ADDITIONAL and WORLD-SPACE MODIFIERS. To add a modifier to the current button set, drag the modifier's name from this list onto a button in the Modifiers group box.

Sets: This edit field and drop-down list lets you choose the modifier set to edit. To create a new button set, enter the name in the edit field, and then click Save.

Save: Saves the current button set.

Delete: Deletes the current button set.

Important: You can't undo deleting a button set.

Total Buttons: Sets the number of buttons in the button set. A button set can have up to 32 buttons.

Modifiers group box

Previews how the button set will appear on the Modify panel. Because the box shows only 16 buttons at a time, a scroll bar on the right lets you see any remaining buttons.

To change a button, drag the name of a modifier from the Modifiers list to a button in this group box, or click the button (its border highlights) and then double-click the modifier name.


Hierarchy Panel

Command panels > Hierarchy panel

The Hierarchy panel provides access to tools to adjust the hierarchical linkage between objects.

By linking one object to another, you create a parent-child relationship. Transformations applied to the parent are also transmitted to the child. By linking more objects to both parent and child objects you can create complex hierarchies.

Common uses of linking are:

  • Creating complex motions.

  • Simulating jointed structures.

  • Providing the basis for inverse kinematics.

  • Setting rotational and sliding parameters for Bones.

Robot leg assembled as a hierarchy

The Hierarchy panel is divided into three areas:

Pivot

IK

Link Info

Note: For important background information on hierarchies and kinematics, see: Introduction to Hierarchies and Forward Kinematics and Introduction to Inverse Kinematics (IK).


Motion Panel

Select an object. > Command panels > Motion panel

The Motion panel provides tools to adjust the motion of the selected object. Key timing and easing in and out of a key are parameters that you can adjust with tools on the Motion panel, for example. The Motion panel also provides an alternative to Track View for assigning animation controllers.

Additional rollouts display in the Motion panel if an assigned animation controller has parameters. If a Path constraint is assigned to the position track of an object, then a Path Parameters rollout is added to the Motion panel. A Link constraint displays a Link Parameters rollout, a Position XYZ controller displays a Position XYZ Parameters rollout, and so on.

Trajectories

Click Trajectories to chart a path that an object will travel along in the viewports. Yellow dots along the path represent frames, giving you an idea of velocity and easing. By turning on Sub-Object Keys, keys can be moved in space, key properties can be changed, the trajectories will reflect all the adjustments you make.

Interface

Parameters

Provides an alternative to Track View for adjusting transform controllers and key information.

Assign Controller Rollout

PRS Parameters

Key Info (Basic)

Key Info (Advanced)

Trajectories

Provides tools for working with objects' trajectories.

Trajectories


Assign Controller Rollout

Select an object. > Motion panel > Parameters > Assign Controller rollout

The Assign Controller rollout assigns and appends different transform controllers to individual objects. You can also assign controllers in Track View.

Animation Controllers are plug-ins that handle all of the animation tasks in the software. For a complete list of available Animation Controllers, see Assign Controller.

Procedure

To assign a controller:

  1. Select an object.

  2. On the Motion panel, click Parameters, and open the Assign Controller rollout.

  3. Select the rotation track in the Assign Controller list.

  4. Click the Assign Controller button, and then select Euler XYZ from the Assign Controller dialog.

    The default TCB Rotation Controller is replaced with the Euler XYZ controller.

Interface

Assign Controller: Displays the Assign Controller dialog. If no track is selected, the Assign Controller button is unavailable.

Assign Controller Dialog: Select a controller from a list of available controllers in this dialog.

Depending on the type of track you've selected, the Choose Controller dialog displays a subset of the different types of controllers. Rotation controllers, for example, are only available for rotation tracks.


Display Panel

Command panels > Display panel

The Display panel provides access to tools that control the display of objects in the scene.

Use the Display panel to hide, unhide, freeze, or unfreeze objects, alter their display characteristics, speed up viewport displays, and simplify your modeling procedures.

Note: A target is considered part of its light or camera for purposes of hiding and unhiding.

Display Color Rollout

Hide by Category Rollout

Hide Rollout

Freeze Rollout

Display Properties Rollout

Link Display Rollout


Display Floater

Tools menu > Display Floater

This modeless dialog contains most of the functions on the Display panel. You can leave the Display floater up while you work in your scene, making it easier to change viewport displays without changing the current command panel.

Interface

The Display floater has two panels: Hide/Freeze and Object Level.

Hide/Freeze panel

Hide group

Selected: Hides the selected object(s).

Unselected: Hides all visible objects except the selected ones. Use this to hide all the objects except the one you are working on.

By Name: Lets you select the objects to hide by name.

By Hit: Causes any object you click in the viewport to be hidden. If you hold the CTRL key while selecting an object, that object and all of its children are hidden. To exit Hide by Hit mode, right-click, press ESCAPE, or select a different function. This mode is automatically turned off if you hide all objects in the scene.

Unhide group

All: Unhides all hidden objects. The unhide buttons are only available when you have specifically hidden one or more objects. They won't unhide objects hidden by category.

By Name: Displays a dialog in which you can unhide objects you select from a list.

Freeze group

Selected: Freezes the selected object(s) so they cannot move in the viewport.

Unselected: Freezes all visible objects except the selected ones. Use this to quickly freeze all the objects except the one you're working on.

By Name: Lets you select the objects to freeze by name.

By Hit: Causes any object you click in the viewport to be frozen. If you hold the CTRL key while selecting an object, that object and all of its children are frozen. To exit Freeze by Hit mode, right-click, press Escape, or select a different function. This mode is automatically turned off if you freeze all objects in the scene.

Unfreeze group

All: Unfreezes all frozen objects.

By Name: Displays a dialog in which you can unfreeze objects you select from a list.

By Hit: Causes any object you click in the viewport to be unfrozen. If you hold the CTRL key while selecting an object, that object and all of its children are unfrozen.

Hide Frozen Objects: Toggles display of frozen objects on and off. You don’t have to unfreeze objects to hide them; you can use Hide Frozen Objects instead to hide or unhide frozen objects in a single step.

Object Level panel

Hide by Category group

Toggles the display of objects by their category (objects, cameras, lights, and so on). Choose the check boxes to hide objects of that category. Use the All, None, and Invert buttons to change the settings of the check boxes.

Display Properties group

Provides controls that alter the display of selected objects.

Display as Box: Toggles the display of selected objects, including 3D objects and 2D shapes as bounding boxes. Produces minimum geometric complexity.

Backface Cull: Toggles the display of faces with normals pointing away from view. When selected, you see through the wireframe to the back faces. Applies only to Wireframe viewport display.

Edges Only: Toggles the display of face edges. When set, only faces appear. When clear, all mesh geometry appears. Applies only to Wireframe viewport display.

Vertex Ticks: Displays the vertices in the selected geometry as tick marks.

If the current selection has no displayed tick marks, the check box is clear. If some of the vertices in the current selection display tick marks, the check box contains a gray X. If all vertices in the current selection display tick marks, the check box contains a black X.

Trajectory: Toggles trajectory display for the selected object so you can display its trajectory wherever you are in the software.

See-Through: When turned on, this toggle makes the object or selection translucent in viewports. It simply lets you see what’s behind or inside an object in a crowded scene. Use this when you need to see inside an object, such as a character with bones inside. Default=off.

This option is also available from the Display panel and the Object Properties dialog.

You can customize the color of see-through objects by using the Colors panel of the Customize > Customize User Interface dialog. Choose Geometry from the Elements list, and then choose See-Through.

Keyboard shortcut (default): ALT+X

Ignore Extents: Allows an object to be excluded from a zoom extents operation. Choose this when you have lights or other distant objects that you don’t want to use when you do a zoom extents.

Show Frozen in Gray: When on, the object turns gray in viewports when you freeze it. When off, viewports display the object with its usual color or texture even when it is frozen. Default=on.


Utilities Panel

Command panels > Utilities panel

The Utilities panel gives you access to a variety of utility programs. gmax utilities are provided as plug-ins. gmax ships with the utilities listed below. Some utilities are might be available from third-party developers, so your setup of gmax might include utilities not described here. Look for documentation describing these additional plug-ins by choosing Help > Additional Help.

Note about the MAXScript and Visual MAXScript utilities: Documentation for these utilities is contained in a separate help system. To access the MAXScript Reference, choose Help > MAXScript Reference. See also About MAXScript.

List of Utilities

Asset Browser Utility

Assign Vertex Colors Utility

Follow/Bank Utility

MapPath Editor Utility

gmax File Finder Utility

Polygon Counter Utility

Reset XForm Utility

Resource Collector Utility

UVW Remove Utility

Interface

The Utilities panel contains one rollout for managing and invoking utilities. While a utility is running, additional rollouts can appear. Some utilities use a dialog rather than rollouts.

The Utilities rollout contains the following controls at the top:

More: Displays a Utilities dialog that lists all utilities not already displayed in buttons on the Utilities panel. Highlight a utility in the list and then click OK to display its controls in the Utilities panel. (You can also double-click the utility's name.)

Sets: Displays a list of button sets to choose from. By default, there is only one button set, called gmax Default. You can create custom button sets by clicking Configure Button Sets.

Configure Button Sets: Displays the Configure Button Sets dialog, where you can create custom button sets of up to 32 buttons.

Named utility buttons: These buttons show a selection of utilities. Click one of these buttons to run a utility. The utility's parameters can appear in rollouts below the Utilities rollout. Some utilities use a dialog rather than rollouts.

While a utility is running, its button remains active until you click it again to turn it off and close the utility, or when you click a different utility's button.

Many utilities have a Close button that appears at the bottom of their rollout. This is another way to close a utility. If the utility controls appear in a dialog rather than a rollout, closing the dialog closes the utility.


Utilities Dialog

Utilities panel > Utilities rollout > More... button

This dialog lists all utilities that are not already displayed in current button set of the Utility rollout.

Procedures

To run a utility shown in the Utilities dialog, do one of the following:

  • Choose a utility in the list and then click OK.

  • Double-click the utility's name.

Interface


Configure Button Sets Dialog (Utilities)

Configure Button Sets Dialog

Utilities panel > Utilities rollout > Configure Button Sets button

This dialog lets you create custom button sets for the Utilities panel. Once created, these utility sets are available from the Sets button on the Utilities panel.

Procedures

To customize the current button set:

  1. Use Total Buttons to choose the number of buttons in the set.

  2. Assign buttons by dragging the names of utilities in the Utilities list to buttons in the Utilities group box.

  3. Clear buttons by dragging them to the Utilities list on the left.

  4. Click OK.

    gmax updates the Utilities rollout. You can customize the button set without saving it, but if you save a new button set under a new name, you will be able to use it later.

    Tip: Don't alter the gmax Default button set. Create a new one instead.

To create a new button set:

  1. Create a custom button set as described in the previous procedure.

  2. Enter a new button set name in the Sets edit field.

  3. Click Save.

To choose a button set to modify:

  • Choose a button set from the Sets drop-down list.

Interface

Utilities List: This lists all the utilities currently available to gmax.

Sets edit field and drop-down list: Lets you choose the button set to modify. By default, there is a single button set called gmax Default.

Tip: Don't alter the gmax Default button set. Create new sets as the need arises.

Save: Saves the current button set.

Delete: Deletes the current button set.

Caution: You can't undo deleting a button set.

Total Buttons: Sets the number of buttons in the button set. A button set can have up to 32 buttons.

Utilities group

This group previews how the button set will appear in the Utilities rollout. A scroll bar on the right lets you see other buttons when the set has more than eight.

To change a button, drag the name of a utility from the Utilities list to a button in this group.


New Script

MAXScript menu > New Script

New Script opens a new MAXScript Editor window. Use this window for writing a new script.

For detailed information about the MAXScript utility, open the MAXScript Reference, available from Help menu > MAXScript Reference.


Open MAXScript

Open Script

MAXScript menu > Open Script

Open Script opens a common file open dialog for choosing an existing script. A new MAXScript Editor window then displays the selected script.

For detailed information about the MAXScript utility, open the MAXScript Reference, available from Help menu > MAXScript Reference.


Run Script

MAXScript menu > Run Script

Opens a common File Open dialog for choosing an existing script. MAXScript then reads and executes the selected script. Any output is printed to the Listener window.

For detailed information about the MAXScript utility, open the MAXScript Reference, available from Help menu > MAXScript Reference.


MAXScript Listener

MAXScript menu > MAXScript Listener

Mini Listener > Right-click menu > Open Listener Window

Keyboard > F11

The MAXScript Listener window is an interactive interpreter for the MAXScript language and works similar to a DOS command prompt window. You enter MAXScript commands in this window, and when you press ENTER they are executed immediately.

The Listener window is appropriate for performing interactive work and developing small code fragments. Each command you execute in the Listener is actually an expression with a result which the Listener prints out after each execution. You can enter any MAXScript expression or sub-expression in the Listener for evaluation, and the Listener prints out its result.

The Listener is divided into two panes. The top (pink) pane is the Macro Recorder pane, and the bottom (white) pane is the output pane. When the Macro Recorder is enabled, everything recorded is displayed in the Macro Recorder pane. The output of results from scripts are displayed in the output pane. The output of code executed in the Macro Recorder pane is always directed to the output pane so as not to clutter the recordings. Both panes allow you to cut-and-paste, drag-and-drop, edit, select, and execute code. You can resize the panes by dragging on the split bar between them.

The left-end of the status bar contains a resizable Mini Listener. If the Mini Listener is not visible, drag on the vertical split bar at the left edge of the status bar to reveal the Mini Listener. The Mini Listener panes act as single-line sliding windows for the current line in the corresponding Listener panes. The Mini Listener panes always show what you are typing or where the edit cursor is placed in the Listener panes. Conversely, anything you type into a Mini Listener pane is entered into the corresponding Listener pane at the current edit cursor position.

You can install the Listener into any viewport by right-clicking the viewport label, choosing Views > Extended, and then MAXScript Listener.

For detailed information about the MAXScript utility, open the MAXScript Reference, available from Help menu > MAXScript Reference.


Macro Recorder

MAXScript menu > Macro Recorder

The MAXScript Macro Recorder captures many of the actions performed by the user, and generates the MAXScript commands that correspond to those actions. Output from Macro Recorder is displayed in the Macro Recorder pane of the MAXScript Listener window. Several filtering options are available that control what types of user actions are recorded, whether the generated MAXScript commands contain explicit object references or are selection-relative, and whether the generated MAXScript commands contain explicit or relative transforms and coordinates. These options are set using the MacroRecorder menu in the Listener window. The default option settings are specified in the MAXScript page of the gmax Preferences dialog, as described in MAXScript Preferences Settings. These settings can also be changed or set by editing the [MAXScript] section of the gmax.ini file.

While many areas in the software generate Macro Recorder output, there are also many areas that do not. In general, most of the buttons on the software’s menu Bar, toolbars, status bar, Create panel, and Modify panel will generate Macro Recorder output. If the button invokes a secondary dialog, changing setting or performing actions in the secondary dialog typically do not generate Macro Recorder output. In the Create and Modify panels, Macro Recorder output will be generated if the object or modifier can be created by MAXScript. In some cases, the plug-ins implementing an object or modifier has not been updated to support Macro Recorder, so that object or modifier will not generate Macro Recorder output.

MAXScript supports text drag-and-drop onto toolbars to create Macro Script buttons. You can select and drag text from any text window, such as the Listener window panes or Editor windows, onto any visible toolbar. The cursor changes to an arrow with a + sign when it is OK to drop the text. If you drop it, a Macro Script button is added to the toolbar with the dropped text as the body of the Macro Script. The classic case here would be to drag text from the Macro Recorder pane onto a toolbar to make a button that does the sequence of events just recorded.

For detailed information about the MAXScript utility, open the MAXScript Reference, available from Help menu > MAXScript Reference.


Visual MAXScript (see MAXScript Reference)

Visual MAXScript

Utilities panel > Utilities rollout > Visual MAXScript

Visual MAXScript is a powerful addition to the gmax scripting language, making the MAXScript feature easier to learn and use. With Visual MAXScript, you can quickly create UI elements and layouts for scripting.

For detailed information about Visual MAXScript, open the MAXScript Reference, available from Help menu > MAXScript Reference


Customizing the User Interface

You can rearrange the components of the gmax user interface, including the menu bar, tab panel, toolbars, and command panel. You can also dynamically resize the viewport windows. You can create your own custom toolbars and quad menus. You can also customize the colors used in the User Interface.

The procedures in this topic tell how to rearrange and resize UI components. Various other customization options are available from the Customize Menu.

See also

Customize User Interface Dialog

Load Custom UI Scheme

Save Custom UI Scheme

Revert to Startup Layout

Configure Paths

Preferences

Procedures

To resize the viewport windows:

  • With your cursor, click on the splitter bar between any two viewports, or at the intersection of all four viewports, and drag to a new location. When you release the mouse, the new viewport layout is defined.

    The dividers are saved in the scene, but are reset when you change the layout. This feature does not allow you to define new layouts, only to adjust the proportions of the currently existing ones.

To reset the viewport windows to the default layout:

  1. Right-click on the splitter bar between the viewports.

    The Reset Layout button will be displayed.

  2. Click this button to restore the viewports to the default layout.

To expand the command panel:

  • Move the cursor over the edge of the docked command panel that is nearest the viewports. The cursor changes to a double arrow. Drag the cursor to increase or decrease the width of the command panel.

    The command panel grows or shrinks in increments. Unless the command panel is hidden, there is always at least one column. Each increment is the width of a single column. When the command panel is docked, the columns must fit within the 3ds max window.

    Multiple command panels are useful when working with objects that have many controls.

To rearrange the order of rollouts in the command panel:

  • Click the rollout title bar, and drag to another location on the command panel. A thick line indicates where the rollout will be placed. When the mouse button is released, the rollout is moved to the indicated location, and the other rollouts are shifted appropriately.

    Note: The order of rollouts is saved in the file RollupOrder.cfg (in ASCII format), which is located in the UI directory.

To float a toolbar, do one of the following:

  • Click the toolbar label, and drag away to the viewport. The toolbar is now floating; you can reposition, resize, or dock it.

  • Right-click a docked toolbar's tag bar (a narrow line displayed when the toolbar is docked), and then choose Float.

To float the command panel, do one of the following:

  • Right-click the blank area at the upper-right corner of the command panel, and then choose Float.

  • Click a corner of the upper portion of the command panels and drag it into the viewport.

    Tip: Use Lock UI Layout if you find you repeatedly float the command panel or toolbars accidentally.

To resize a floating command panel horizontally:

  • Move the cursor over the left or right edge of the floating command panel. The cursor changes to a double arrow. Drag the cursor to increase or decrease the width of the command panel.

    The command panel grows or shrinks in increments. Unless the command panel is hidden, there is always at least one column. Each increment is the width of a single column. When the command panel is floating, you can display as many columns as you want.

To resize the floating command panel vertically:

  • Move the cursor over the top or bottom edge of the floating command panel. The cursor changes to a double arrow. Drag the cursor to increase or decrease the height of the command panel as you do for other windows on the desktop.

To dock a floating menu bar or command panel, do one of the following:

  • Drag the panel by its title bar to the top, bottom, left, or right edge of the gmax window. The mouse cursor and the panel outline change shape at a docking location. Release the mouse.

  • Right-click over the title bar, choose Dock from the pop-up menu, and then Top, Bottom, Left, or Right.

    The toolbar and menu bar dock automatically if they approach a "dockable" location. The toolbars and menu bar can dock at the top or bottom, left or right of the viewports. They can also dock on either side of the Command panel.

To hide or display a panel, do one of the following:

  • When a panel is floating, you can hide it by clicking the X control in the upper-right corner.

  • To display a hidden panel, right-click in any tab panel and choose the panel’s name from the pop-up menu. You can also hide a panel by choosing its name from the pop-up menu. Displayed panels are listed with a check mark, and hidden panels are listed with no check mark.


Show UI

Customize menu > Show UI

The Show UI menu lets you add or remove UI elements from the workspace, so that you can customize your screen as you work. You can turn these elements on and off as you need by selecting them from the menu, maximizing the efficiency of your workspace. The settings are stored in the maxstart.cui file, so they will remain after you shut down and restart the software.

When you select a UI element from the Show UI menu, it will be displayed or hidden, depending on its previous state. If it was hidden when you selected it from the Show UI menu, it will be displayed. If it was displayed when you selected it from the Show UI menu, it will be hidden. The Show UI menu displays a check mark next to the UI element when it is currently being displayed.

Keyboard shortcuts for turning on and off UI elements are displayed next to their corresponding UI elements in the Show UI menu.

The following UI elements can be hidden or displayed from the Show UI menu:

Command Panels

Floating toolbars

Main toolbar

Tab Panels

Track Bar


Lock UI Layout

Customize menu > Lock UI Layout

When the Lock Interface Layout toggle is active, you cannot modify the user interface layout. Use this command to prevent inadvertent user interface changes.

Tip: Use this command if you find you are inadvertently selecting and floating UI elements such as the Command panel.

Procedure

To lock the UI layout:

  • Choose Lock UI Layout from the Customize menu.

    You can no longer move or resize the UI elements. Use this command to prevent user interface changes or if you find yourself accidentally floating toolbars or the command panels on mouse clicks.


Customize User Interface Dialog

Customize menu > Customize User Interface

The Customize User Interface dialog lets you create an entirely customized user interface, including shortcuts, quad menus, menus, toolbars, and colors. You can also add commands and macro scripts by selecting either a text or icon button to represent the command or script on the toolbar or in the tab panel.

Keyboard Panel

Toolbars Panel

Quads Panel

Menus Panel

Colors Panel

For additional procedures, see Customizing the User Interface.


Keyboard Panel (Customize UI)

Keyboard Panel

Customize menu > Customize User Interface > Keyboard panel

The Keyboard panel lets you create your own keyboard shortcuts. You can assign shortcuts to most commands available in the software.

The same shortcuts can be assigned to multiple commands, as long as they occur in different contexts of the software. For example, in Track View, CTRL+C is assigned to Copy Controller; however, in the Main UI, it is assigned to Match Camera to View.

Note: The Keyboard Shortcut Override Toggle must be turned on (the default) for the context-specific shortcuts to work properly. If it is turned off, only the Main UI keyboard shortcuts will be available.

See Also

Default Keyboard Shortcuts

Procedures

To create a keyboard shortcut

  1. Choose Customize Menu > Customize User Interface > Keyboard panel

  2. Use the Group and Category lists to find the action for which you want to create a shortcut.

  3. Click the action in the Action list to highlight it.

  4. In the Hotkey field, enter the keyboard shortcut you want to assign to the action.

  5. Press Assign.

To remove a keyboard shortcut:

  1. Choose Customize Menu > Customize User Interface > Keyboard panel

  2. Click in the Hotkey field, then press the keystroke, for example F4.

    The Assigned To field will display the associated action.

  3. Click the action in the Action list to highlight it.

    If you forget to click the action in the list, remove will not work.

  4. Press Remove.

Interface

Group: Displays a drop-down list that lets you select the context you want to customize, such as Main UI.

Active: Toggles availability of context-specific keyboard shortcuts. When this is turned on, you can use duplicate shortcut keys between contexts within the overall user interface. When this is turned off, the shortcuts defined for the appropriate context will not be available. Default = on.

Category: Displays a drop-down list of all the available categories of user interface actions for the selected context.

Action Window: Displays all the available actions and shortcuts, if defined, for the selected group (context) and category.

Hotkey: Allows you to enter a keyboard shortcut. Once the shortcut is entered, the Assign Button is active.

Assigned To: Displays the action a shortcut is assigned to if the shortcut you've entered is already assigned.

Assign: Activates when you enter a keyboard shortcut in the Hotkey field. When you click assign, it transfers the shortcut information to the Action Window on the left side of the dialog.

Remove: Removes all shortcuts for the selected action in the Action Window on the left side of the dialog.

Write Keyboard Chart: Displays the Save File As dialog. Allows you to save any changes you’ve made to keyboard shortcuts to a .txt file that you can print.

Load: Displays the Load Shortcut File dialog. Allows you to load custom shortcuts, from a .kbd file into your scene.

Save: Displays the Save Shortcut File As dialog. Allows you to save any changes you’ve made to the shortcuts to a .kbd file.

Reset: Resets any changes you’ve made to the shortcuts to the default setup (defaultui.kbd.)


Toolbars Panel (Customize UI)

Toolbars Panel

Customize menu > Customize User Interface > Toolbars panel

The Toolbars panel lets you edit existing toolbars and create your own custom toolbars. You can add, remove, and edit buttons on existing toolbars, or you can delete the toolbars entirely. You can also create custom toolbars with both gmax commands and scripts.

Procedures

To create your own toolbar:

  1. Choose Customize menu > Customize User Interface > Toolbars tab.

  2. Click New.

    The New Toolbar dialog appears.

  3. Enter the name of the toolbar and click OK.

    The new toolbar appears as a small floater.

To add a command to the toolbar:

  1. Choose Customize menu > Customize User Interface > Toolbars tab.

    You can also right-click the label of the toolbar you just created, and then choose Customize.

  2. Choose the toolbar you want to edit from the drop-down list.

  3. There are three ways to add commands to the toolbar:

    • In the Customize User Interface dialog, drag the command from the action list.

      If the action has a default icon assigned to it (it will be next to the command in the action list), the icon will appear as a button on your toolbar. If no icon is assigned to to the command, the name of the command will appear as a button on the toolbar.

    • CTRL-drag buttons from any toolbar onto your toolbar. This creates a copy of the button on your toolbar.

    • ALT-drag buttons from any toolbar onto your toolbar. This moves the button from the original toolbar onto your toolbar.

To record a script and add it to a toolbar:

  1. Open a MAXScript Listener window, by doing one of the following:

    • Choose Utilities panel > MAXScript > MAXScript rollout > Open Listener.

    • Right-click a viewport label, and then choose Views > Extended > MAXScript Listener.

  2. Choose MAXScript menu > Macro Recorder.

  3. Perform the actions you want to record.

  4. Select the lines in the script that you want. Drag those lines directly onto the toolbar.

    Note that your macro might require some minor editing to remove extraneous steps or to refine the procedure.

You can edit the appearance of the text or icons on your toolbars with the Edit Button Appearance command, which is available when you right click on the toolbar button.

Interface

Group: Displays a drop-down list that lets you select the context you want to customize, such as Main UI.

Category: Displays a drop-down list of all the available categories of user interface actions for the selected context.

Action Window: Displays all the available actions for the selected group and category.

Toolbars List: Displays any toolbars you’ve created using the New button.

New: Displays the New Toolbar dialog. Enter the name of the toolbar you want to create and click OK. The new toolbar appears as a small floater.

Once you’ve created a new toolbar, there are three ways to add commands:

  • Drag actions from the Action Window in the Toolbars panel of the Customizable User Interface dialog onto your toolbar.

  • CTRL-drag buttons from any toolbar onto your toolbar. This creates a copy of the button on your toolbar.

  • ALT-drag buttons from any toolbar onto your toolbar. This moves the button from the original toolbar onto your toolbar.

Delete: Deletes the toolbar displayed in the toolbars list.

Rename: Displays the Rename Toolbar dialog. Select a toolbar from the Toolbars list to activate the Rename button. Click Rename, change the name of the toolbar, and click OK. The toolbar name changes in the toolbar floater.

Hide: Toggles the displays of the active toolbar in the toolbars list.

Load: Displays the Load UI File dialog. Allows you to load custom user interface files into your scene.

Save: Displays the Save UI File As dialog. Allows you to save any changes you’ve made to the user interface to a .cui file.

Reset: Resets any changes you’ve made to the user interface to the default setup (defaultui.cui).


Quads Panel (Customize UI)

Quads Panel

Customize menu > Customize User Interface > Quads panel

The Quads panel lets you customize the quad menus. You can create your own quad menu sets, or you can edit existing sets. In the Quads panel, you can customize menu labels, functionality, layout, and shortcuts. The advanced quad menu options let you modify the color and behavior of the quad menu system. You can also save and load custom menu sets.

See also

Additional Quad Menus

Procedures

To create a new quad set:

  1. Choose Customize menu > Customize User Interface > Quads tab

  2. Click New.

    The New Quad Set dialog appears.

  3. Enter the name of the quad set and click OK.

    The new set appears in the Quad set list.

To add a command to a quad set:

  1. Choose Customize menu > Customize User Interface > Quads tab

  2. Select the quad set you want to edit from the drop-down list.

    If you want to change the name of the quad set, click Rename and enter a new name in the Rename Quad Set dialog.

  3. Select the quadrant you want to place the command in.

    You can edit the name of the quadrant by changing the text in the Label area.

  4. Select the appropriate Group and Category from the respective drop-down lists.

  5. Select a command from the action list and drag it into the Quad Menu window.

    Use the same procedure to add menus and separators to your quad set.

To delete a quad set:

  1. Choose Customize menu > Customize User Interface > Quads tab.

  2. Select the quad set you want to delete from the drop-down list.

  3. Click Delete.

To remove a command from a quad set:

  1. Choose Customize menu > Customize User Interface > Quads tab.

  2. Select the quad set you want to edit from the drop-down list.

  3. Select the command you want to remove.

  4. Press the Delete key.

    Use the same procedure to remove menus and separators from your quad set.

    Note: You cannot delete the default viewport quad set.

To move a command in a quad set:

  • Select the command in the quad set list and drag it to a new position in the list.

Interface

Group: Displays a drop-down list that lets you select the context you want to customize, such as Main UI.

Category: Displays a drop-down list of the available categories of user interface actions for the selected context.

Action Window: Displays all the available actions for the selected group and category. To add an action to a specific quad set, select it and drag it to the quad menu window on the right side of this dialog. Right-click on an action in this window to edit the macro script that defines the action (if there is one).

Separator Window: Displays a separator line that can be used to separate groups of menu items in a quadrant. To add a separator line to a specific quad set, select it and drag it to the quad menu window on the right side of this dialog.

Menus Window: Displays the names of all quad menus. To add a menu to a specific quad set, select it and drag it to the quad menu window on the right side of this dialog. Right-click a menu in this window to delete the menu, rename it, or create a new, empty menu.

Quad Set List: Displays the available quad sets.

Additional quad menus appear in this list. They can be edited, renamed, and reorganized; however, they cannot be deleted.

New: Displays the New Quad Set dialog. Enter the name of the quad set you want to create and click OK. The new quad set appears in the Quad Set list.

Delete: Deletes the item displayed in the Quad Set list.

Rename: Displays the Rename Quad Set dialog. Select a quad set from the Quad Set list to activate the Rename button. Click Rename, change the name of the quad set, and click OK to change the name.

Quad Shortcut: Allows you to define a keyboard shortcut for displaying the quad set. Enter the shortcut and click Assign to make the change.

Show All Quads: When on, a viewport right-click shows all four quad menus. When off, a viewport right-click shows only one quad at a time.

Label: Displays the label for the highlighted quadrant (shown in yellow to the left of the Label).

Quad Menu Window: Displays the menu options for the currently selected quad menu and quad set. To add menus and commands, drag options from the Action and Menus windows to this window.

Items included in the quad menu are displayed only when they are available. For example, if your quad menu contains Track View Selected, the command only will display if you have an object selected when you open the quad menu. The quadrant will not be displayed if none of the commands are available when you open the quad menu.

There are several actions available when you right-click any item in the quad menu window:

Delete Menu Item: Removes the selected action, separator, or menu from the quad menu.

Edit Menu Item Name: Opens the Edit Menu Item Name dialog. The Customize Name checkbox must be on to edit the name. Enter the desired name in the name text field and click OK. The item’s name is changed in the quad menu, but not in the quad menu window.

Flatten Sub-Menu: Displays contents of selected sub-menu on top level of quad. When this is selected, the menu name will be followed by the string: [FLAT].

Edit MacroScript: Opens the macro script for the selected action in a MAXScript editor window.

Advanced Options: Opens the Advanced Quad Menu Options dialog.

Load: Displays the Load Menu File dialog. Allows you to load custom menu files into your scene.

Save: Displays the Save Menu File As dialog. Allows you to save any changes you’ve made to the quad menus to a .mnu file.

Reset: Resets any changes you’ve made to the quad menus to the default setup.


Menus Panel (Customize UI)

Menus Panel

Customize menu > Customize User Interface > Menus panel

The Menus panel lets you customize the menus in the software. You can edit existing menus or create your own. You can customize menu labels, functionality, and layout.

Procedures

To create a new menu:

  1. Choose Customize menu > Customize User Interface > Menus tab

  2. Click New.

    The New Menu dialog appears.

  3. Enter the name of the menu and click OK.

    The new menu appears in the menu list.

To add a command to a menu:

  1. Choose Customize menu > Customize User Interface > Menus tab.

  2. Select the Menu you want to edit from the drop-down list.

    If you want to change the name of the menu, click Rename and enter a new name in the Rename Menu dialog.

  3. Select the appropriate Group and Category from the respective drop-down lists.

  4. Select a command from the action list and drag it into the Menu window.

    Use the same procedure to add menus and separators to your menu.

To delete a menu:

  1. Choose Customize menu > Customize User Interface > Menus tab.

  2. Select the Menu you want to delete from the drop-down list.

  3. Press Delete.

To remove a command from a menu:

  1. Choose Customize menu > Customize User Interface > Menus tab.

  2. Select the menu you want to edit from the drop-down list.

  3. Select the command you want to remove.

  4. Press the Delete key.

    Use the same procedure to remove menus and separators from your menus.

To move a command in a menu:

  • Select the command in the menu window and drag it to a new position in the window.

Interface

Group: Displays a drop-down list that lets you select the context you want to customize, such as Main UI or Track View.

Category: Displays a drop-down list of the available categories of user interface actions for the selected context.

Action Window: Displays all the available actions for the selected group and category. To add an action to a specific menu, select it and drag it to the menu window on the right side of this dialog. Right-click on an action in this window to edit the macro script that defines this action (if there is one).

Separator Window: Displays a separator line that can be used to separate groups of menu items. To add a separator to a specific menu, select it and drag it to the menu window on the right side of this dialog.

Menu Window: Displays the names of all menus. To add a menu to another menu (shown in the Menu List), select and drag it to the menu window on the right side of this dialog. Right-click on a menu in this window to delete the menu, rename it, or create a new, empty menu.

Menu List: Displays the default menus as well as any new ones you create or load.

New: Displays the New Menu dialog. Enter the name of the menu you want to create and click OK. The new menu appears in the menu window on the left side of the dialog as well as in the Menu List.

Delete: Deletes the item displayed in the menu list window.

Rename: Displays the Edit Menu Item Name dialog. Select a command in the menu list window and click Rename. This dialog lets you specify a custom name that will be displayed in the menu. If you precede a letter in the custom name with the “&” (ampersand) character, that letter will be used as a menu accelerator.

Menu Window: Displays the menu options for the menu currently selected in the menu list. To add menus and commands (actions), simply select and drag the options from the Action and Menus windows to this window.

There are several actions available when you right-click on any item in the menu window:

Delete Menu Item: Removes the selected action, separator, or menu from the quad menu.

Edit Menu Item Name: Opens the Edit Menu Item Name dialog. The customize name checkbox must be on to edit the name. Enter the desired name in the name text field and press OK. The item’s name is changed in the quad menu, but not in the quad menu window. If you precede a letter in the custom name with the “&” (ampersand) character, that letter will be used as a menu accelerator.

Edit MacroScript: Opens the macroscript for the selected action in a MAXScript editor window.

Load: Displays the Load Menu File dialog. Allows you to load custom menu files into your scene.

Save: Displays the Save Menu File As dialog. Allows you to save any changes you’ve made to the menus to a .mnu file.

Reset: Resets any changes you’ve made to the menus to the default setup. (defaultui.mnu)


Colors Panel (Customize UI)

Colors Panel

Customize menu > Customize User Interface > Colors panel

The Colors panel allows you to customize the look of the software interface. You can adjust the colors for almost every element in the interface, giving you the freedom to design your own unique style.

The quad menu colors cannot be customized from the Color panel. To customize quad menu colors, use the Advanced Quad Menu Options dialog.

Interface

Elements: Displays a drop-down list that lets you select from the following high-level groupings: Track bar, Geometry, Viewports, Gizmos, Objects, Rollouts, Track View, Manipulators, and Grids.

UI Elements List: Displays a list of the available elements for the selected user interface category.

Color: Displays the color for the selected category and element. Click to display the Color Selector dialog where you can change the color. After selecting a new color, click Apply Colors Now to make the change in the interface.

Reset: Resets the color to the default value.

Intensity: Sets a grayscale value for the display of grid lines. 0 is black and 255 is white.

Note: This control is available only when you select the Set By Intensity element from the Grids element. This affects the intensity of the grid lines in the viewports.

Invert: Inverts the grayscale value for the display of the grid lines. Dark gray becomes light gray and vice versa.

Note: This control is available only when you select the Set By Intensity element from the Grids element.

Scheme: Allows you to select whether the main UI colors are set to the default Windows colors or whether they can be customized. If Use Standard Windows Colors is selected, all of the elements in the UI Appearance list are disabled, and you are unable to customize the UI colors.

UI Appearance List: Displays all the elements in the user interface that can be changed.

Color: Displays the color for the selected UI appearance item. Click to display the Color Selector dialog where you can change the color. After selecting a new color, click Apply to make the change in the interface.

Reset: Resets the selected UI appearance item.

Saturation: Sets a saturation scale of enabled or disabled icons in the UI. The higher the saturation, the less gray the color. See Hue/Saturation/Value.

Note: This control is only available when Enabled Icons or Disabled Icons is selected in the UI Appearance list.

Value: Sets the value scale of enabled or disabled icons in the UI. The higher the value, the brighter the color. For more, see Hue/Saturation/Value.

Note: This control is only available when Enabled Icons or Disabled Icons is selected in the UI Appearance list.

Transparency: Sets the transparency value scale of enabled or disabled icons in the UI. The higher the value, the more opaque the icon will be.

Note: This control is only available when Enabled Icons or Disabled Icons is selected in the UI Appearance list.

Invert: Inverts the RGB value for the display of enabled or disabled icons in the UI.

Note: This control is only available when Enabled Icons or Disabled Icons is selected in the UI Appearance list.

Apply Colors Now: Makes any change you have entered using this dialog active in the user interface.

Load: Displays the Load Color File dialog. Allows you to load custom color files into your scene.

Save: Displays the Save Color File As dialog. Allows you to save any changes you’ve made to the user interface colors to a .clr file.

Reset: Resets any changes you’ve made to the colors to the default setup.


Advanced Quad Menu Options

Customize menu > Customize User Interface > Quads panel > Advanced Options

The Advanced Quad Menu Options dialog lets you customize the size and colors of your quad menus. You can also customize other quad menu behaviors such as repositioning, type font, and cursor behavior.

Interface

Settings group

Load: Lets you load a quad options (.qmo) file.

Save: Saves your settings to a .qmo file.

Save as Startup: Saves your current settings as the startup settings.

Reset to Startup: Resets options to default settings (defaultui.qmo).

Colors group

The colors group allows you to customize the colors of your quad menus.

Starting Quadrant: Lets you select which quadrant your cursor starts in when you open the quad menu.

Color list: The customizable elements of the quad menu are listed and separated by quadrant. Click on the color swatch to open a color selection dialog.

If the colors for a quad menu element are locked (indicated by a pressed “L” button), each of the separate quadrants will share the same color; when you change the color in one quadrant, it will change all of the quadrants’ colors.

You can customize each quadrant separately by turning off the lock button for the selected quad menu element.

Display group

Uniform Quad Width: When turned on, all displayed quadrants will be the same width. The width is determined by the widest quadrant.

Mirror Quads: When turned on, text in the quad menus is justified to the inside edge of the menu; the text in the right quadrants is left-justified, and text in the left-quadrants is right-justified.

When turned off, all text in the quad menu is left-justified.

Vertical Margins: Sets the vertical spacing between commands in the quad menu.

Opacity Amount: Sets the opacity of the quad menu.

Note: Opacity is not available in systems running on Windows NT.

Positioning group

Reposition Quad When Off Screen: Automatically repositions the quad menu when you open it with part of the menu off the edge of the screen. The menu is moved so that the entire menu is displayed on the screen.

Move Cursor When Repositioned: Moves your cursor to the new location of the quad menu when it is repositioned.

When this is turned off, you must hold down the mouse button when you right-click to display the quad menu. Once you move the cursor over the menu, you can release the mouse button.

Return Cursor After Repositioned: After you have selected an action from the quad menu, the cursor is returned to the location on the screen where the original right-click was made.

Fonts group

Title Font: Sets the font of the quadrant titles.

Size: Sets the font size of the quadrant titles.

Menu Font: Sets the font of the text inside the quadrants.

Size: Sets the font size of the text inside the quadrants.

Animation group

Type: Sets the animation type for the quad menu from the following options:

  • None: Quad menus display immediately upon right-clicking.

  • Stretch: Quad menus open by expanding one quadrant at a time, in a clockwise manner. They close similarly; contracting one quadrant at a time, in a counter-clockwise manner.

  • Fade: Quad menus open by fading in from transparent to opaque, and close by fading out from opaque to transparent.

Steps: The number of frames used to complete the animated display of the quad menu.

As this value becomes larger, the transition (small to large, transparent to opaque, etc.) becomes more gradual.

Pause: The time between frames during the animated display of the quad menu.

As this value becomes larger, the animated display of the quad menu slows down.


Load Custom UI Scheme

Customize menu > Load Custom UI Scheme

Load Custom UI Scheme displays the Load Custom UI Scheme dialog to load all of the UI customization file types for a given filename at one time. You can select any type of customization file from the dialog, and the software will search for (and load) any other type of customization file with the same name.

The following file types are loaded in a scheme:

  • .cui: Stores UI layout, tab panel, and custom button information.

  • .clr: Stores all color settings (except for quad menu colors)

  • .mnu: Stores menu bar and quad menu contents.

  • .qmo: Stores quad menu colors, layout, and behavior.

  • .kbd: Stores keyboard shortcut assignments.

You can load each of these files individually from their respective panels in the Customize User Interface dialog, however loading schemes makes changing your entire UI much faster and easier.

You can also load a user interface on startup from the desktop by using gmax.exe –c in the Windows Start > Run command line, followed by the name of the customization file.

Procedures

To load a custom UI scheme:

  1. Choose Customize menu > Load Custom UI Scheme.

  2. In the Load Custom UI Scheme dialog, select a type of customization file (.cui, .mnu, .clr, .kbd, or .qop) from the Files Of Type drop-down list.

  3. Choose any file with the appropriate extension.

    The software will search for (and load) any other type of customization file with the same name.

To return to the default scheme:

If you start gmax and its user interface has an unfamiliar layout, you can always return to the default.

  1. Choose Customize > Load Custom UI Scheme.

  2. From the Load UI File dialog that displays, choose defaultui.cui, and then click Open.

    All of the default files are called defaultui.*, so when you select this file, it will load the defaults for each type of customization file.

  3. Choose Customize > Save Custom UI Scheme, pick maxstart.cui, and click Save. This overwrites all of the current customization files. The original settings will be used the next time you restart gmax.

To start gmax with your own custom UI:

  1. Save your custom UI to a .cui file.

  2. Right-click the gmax icon on the Windows desktop and choose Properties.

  3. In the Target field, change gmax.exe to gmax.exe –c, followed by the name of your .cui file.

    Example: gmax.exe –c myfile.cui. Be sure to leave a space between the –c and the file name.

    If you are moving to a different machine, copy your .cui file to the local gmax \ui directory.

    Alternately you can add the path name in the command line.

    Example: gmax.exe –c d:\myUI\myfile.cui

    Another option is to just start gmax normally, then load your .cui file with Load Custom UI.


Load Custom UI Scheme Dialog

Customize menu > Load Custom UI Scheme

Use the standard Windows file open dialog to load the various UI customization files.

Use the Look In field to navigate to other directories. Click the folder to choose it. The files display in the window. Display or hide the details using List or Details buttons. If Details is turned on, you can sort by clicking the column labels in the window.

Use the Files of type drop-down menu to search for other types of customization files. The default is .cui, but you can also search for .clr, .mnu, .qop, and .kbd files.

You can enter the name of the file in the File Name entry field or click in the list to choose one.


Save Custom UI Scheme

Customize menu > Save Custom UI Scheme

Save Custom UI Scheme displays the Save Custom UI Scheme dialog that you use to save user interface settings to a specific file.

When you save a UI scheme, the software automatically saves your settings to each type of customization file. For example, if you save your settings as mysettings.cui in the Save Custom UI Scheme dialog, the software will also save (or create, if they don’t exist) mysettings.clr, mysettings.mnu, mysettings.qop, and mysettings.kbd with the current settings.

Note: If you overwrite maxstart.cui, you will permanently change the appearance of the startup UI.

Procedures

To save a custom UI scheme:

  1. Customize your UI by hiding or moving UI elements, creating custom tabs, toolbars, colors, menus, keyboard shortcuts, or quad settings.

  2. Choose Customize > Save Custom UI Scheme. The UI arrangement is saved to the current customization files or any new filenames that you choose.

To save UI configuration on exit:

  • In the Customize > Preference > Preferences dialog > General panel check Save UI Configuration On Exit.

    When this control is on (the default) and you exit the program, your UI configuration is saved to the CUI file loaded at start, by default, maxstart.cui. When you restart gmax, your panels and toolbars are restored to the positions where you left them. If you turn this check box off, each time you restart gmax, the panels are restored to the state they were in when maxstart.cui was last saved.


Save Custom UI Scheme Dialog

Customize menu > Save Custom UI Scheme

This standard Windows file save dialog lets you save your customized UI scheme.

Use the Save In field to navigate to other directories. You can create a new folder using the New Folder button. You can also display or hide the details using List or Details buttons. If Details is turned on, you can sort by clicking the column labels in the window.

Use the Save As Type drop-down to choose which type of customization file to save. This is not important, since the software saves each type of customization file when you save with this dialog.

You can enter the name of the file in the File Name field or click in the list to choose an existing file to be overwritten. The name of the current UI file is filled in by default.

Note: If the read-only file attribute is turned on, you will get an error message.


Revert to Startup Layout

Customize menu > Revert to Startup Layout

Revert to Startup layout automatically loads _startup.ui, which returns the user interface to its startup settings. This temporary system file is created automatically when you start the program. Use this option to return the UI to startup settings.

By default, gmax uses the maxstart.cui file to determine its startup UI. Alternately, you can specify a startup file at the command line by using gmax.exe –c followed by the name of the CUI file.

If you have Save UI Configuration On Exit turned on in Preferences, the current UI file is overwritten when you exit the program.

Procedures

To revert to the startup UI:

  • Choose Customize > Revert To Startup UI Layout. gmax rearranges UI elements to look as they did when you started the program.


Configure Paths

Customize menu > Configure Paths

The software uses paths to locate different kinds of files, including scenes, image, and MAXScript files. You use the Configure Paths command to display the Configure Paths dialog and customize these paths. This command is useful when you add new subdirectories to help you organize your scenes, images, plug-ins, backups, and so on.

The software saves the paths that the Configure Paths command manages in the gmax.ini file.

Procedure

To use the Configure Paths dialog:

  1. On the Main toolbar, choose Customize > Configure Paths.

    The Configure Paths dialog is displayed.

  2. Click one of the tabs on the dialog.

  3. Highlight a directory name, and click Modify.

    A Choose Directory dialog is displayed.

    Tip: You can also double-click the directory name to display the Choose Directory dialog.

  4. In the Choose Directory dialog, navigate to a directory, and then click Use Path.

  5. On the Configure Paths dialog, click OK.

    The new setting, written to the gmax.ini file, is effective immediately.

Interface

General File Paths

The General panel specifies paths for the standard support files. You can specify one path for each of the following file types.
File Type | Function
AutoBackup | Saves automatic backup scenes
Export | Exports scenes to other file formats
Expressions | Loads and saves text files used by expression controllers
Fonts | Loads font files
Heidi Drivers | Sets location of display drivers for the software
Help | Loads online help files
Images | Loads and saves image files
Import | Imports files from other programs (Importing only available in gmaxdev).
Materials | Loads and saves material libraries
MaxStart | Loads maxstart.gmax, which specifies initial gmax scene settings
PlugCFG | Loads plug-in configuration files
Previews | Loads and saves preview renders (rendering not available in gmax).
Scenes | Loads and saves gmax scene files
Scripts | Loads and saves MAXScripts
Sounds | Loads sound files
Startup Script | Auto-loads MAXScripts
Video Post | Loads and saves Video Post queues (Video Post is not available in gmax).

Plug-In File Paths

The Plug-Ins panel specifies paths for gmax and third-party plug-ins. You can change and extend the functionality of the software by adding new plug-ins. You can set two plug-in path entries in the software:
File Type | Function
Standard MAX plug-Ins | Sets the default plug-in path
Additional MAX plug-Ins | Sets the default third-party plug-in path

For most configurations you should not change the Standard and Additional plug-in paths.

Tip: If you place all of your plug-ins in a single directory, plug-in file management can become disorganized. To organize plug-ins, create a new directory for a plug-in or a small group of plug-ins, and add a path entry for those plug-in files.

Bitmap File Paths

The Bitmaps panel contains path entries in which the software searches for image files. The software uses image files for many purposes, such as material and map definitions, spotlight projections, and environment effects. A gmax scene often uses many image files.

When you load an image file, the software saves the full path name of the image. When the software needs to reload the image, it searches for it in the following order:

  1. The full path saved with the image file

  2. The directory of the current scene

  3. All subdirectories below the current scene

  4. The paths listed in the Bitmaps panel, starting at the top of the list

The default Bitmap path is called Maps. If you save bitmaps in directories other than Maps, then add a path to the Bitmaps path list.

External Reference File Paths (XREFs)

The XRefs panel specifies directory paths for externally referenced files.

You can add, modify, and delete the directories containing XRef files. Move Up and Move Down moves the selected entry up and down the list, which sets the search order.

The default search order is:

  1. The path specified in the XRef object's parameters.

  2. The directory where the current scene was opened from.

  3. The paths specified in the Configure Paths dialog. Paths are checked in the order they appear in the list.

Changing Font Paths

If you change your font paths, you will need to restart gmax before the change can occur. Since fonts are loaded only at first use, changing the font path later in the program has no effect, if the font manager has been used by the program.


General Path Configuration

Customize menu > Configure Paths > Configure Paths dialog > General panel

The General panel of the Configure Paths dialog contains most of the file directories used by the software.

Procedure

To modify a file path:

  1. On the Configure Paths dialog, click General, and then choose a path entry.

  2. Click Modify.

  3. In the Choose Directory dialog, do one of the following:

    • Enter a path in the Path field.

    • Navigate to locate a path.

  4. Click Use Path.

    The new path takes effect immediately.

Interface

Autoback: Sets a default path for automatic backup files. If you use the Auto Backup feature, use either the \autoback directory, which is specific to each running version of the software, or a directory that's not shared by any other machine.

Export: Exports to other file formats.

Expressions: Loads and saves text files used by expression controllers.

Fonts: Loads font files.

Heidi Drivers: Sets a path for the HEIDI drivers. If you have a network of machines, each using a different HEIDI-driven display board, you can point all machines to a single directory. This lets you upgrade your drivers in a single directory for all machines on your network.

Help: Loads help files.

Images: Saves and loads image files.

Import: Imports files from other programs (Importing is only available in gmaxdev).

Materials: Sets a path for a material library .mat files.

MaxStart: Loads gmaxstart.gmax, which provides initial gmax scene settings.

PlugCFG: Loads plug-in configuration files.

Previews: Loads and saves preview renders (rendering not available in gmax).

Scenes: Loads and saves gmax scene files.

Scripts: Loads and saves MAXScripts.

Sounds: Loads sound files.

Startup Scripts: Automatically loads MAXScripts.

Video Post: Loads and saves Video Post queues (Video Post not available in gmax).


Plug-Ins Path Configuration

Customize menu > Configure Paths > Configure Paths dialog > Plug-Ins panel

In the Plug-Ins panel of the Configure Paths dialog, you can add or modify the directory paths of Standard and Additional plug-ins for the software.

Path information is stored in the plugin.ini file.

You can also store plug-ins in separate directories and add their paths in this panel. Changing the list order specifies the search order. Put the most frequently used plug-ins at the top.

Procedures

To modify a plug-in path:

  1. On the Plug-Ins panel, choose a path entry.

  2. Click Modify.

  3. In the Choose Directory dialog, do one of the following:

    • Enter a path in the Path field.

    • Navigate to locate a path.

  4. Click Use Path.

    The new path takes effect immediately.

To add a plug-in path:

  1. On the Plug-Ins panel, click Add.

  2. On the Choose Directory dialog, do one of the following:

    • Enter a path in the Path field.

    • Navigate to locate a path.

  3. Type a description in the Label field.

  4. If you want to include subdirectories in this path, turn on Add Subpaths.

  5. Click Use Path.

    The new path takes effect immediately.

To delete a path:

  1. On the Plug-Ins panel, choose a path entry.

  2. Click Delete.

    The path location is removed


Network Plug-In Configuration

You can include path annotations to additional INI files within the local plugin.ini and the software will process the files as if they were part of the original plugin.ini. This can be very helpful in settings where several systems on a network are using the same plug-ins. The network administrator need only maintain a single remote INI file, rather than having to update each machine individually.

Procedure

To add remote INI files to your local plugin.ini:

  1. Open your local copy of plugin.ini with your preferred text editor.

  2. At the bottom of the file, type [include]

  3. Below [include], type myremote = \\remote_dir\remote_plugin.ini on one line and anotherdir = d:\test\extra_plugin.ini on a separate line.

    Note: You can give any title to the directory (myremote or anotherdir, in this case) and the directory can be any local or remote directory. In addition, the INI file can have any name.

  4. Save plugin.ini and exit the text editor.

    The next time you start the software, it will load plug-ins from the directories defined in plugin.ini, as well as those in any remote INI file that has been included in plugin.ini.

You can add as many remote INI files as you need, making it easy to organize groups of plug-ins.


Bitmap Path Configuration

Customize menu > Configure Paths > Configure Paths dialog > Bitmaps panel

In the Bitmaps panel of the Configure Paths dialog, you can add or modify path directories for bitmap files. This location is used by the Asset Manager to find image files. Bitmaps are used for background images and mapped materials (textures, bump maps, displacement maps, and so on).

The software stores the path of any image you load. When the image is re-loaded, the search order is as follows:

  1. The path saved with the image file.

  2. The directory of the current scene.

  3. The paths listed in the Bitmaps panel, starting at the top of the list.

Note: To save loading time, if a map with the same name is in two different locations (in two different paths), it is loaded only once. This poses a problem only if your scene includes two maps that have different content but the same name. In this case, only the first map encountered will appear in the scene.

Procedures

To modify a bitmap's file path:

  1. On the Bitmaps panel, choose a path entry.

  2. Click Modify.

  3. In the Choose Directory dialog, do one of the following:

    • Enter a path in the Path field.

    • Navigate to locate a path.

  4. Click Use Path.

    The new path takes effect immediately.

To add a bitmap's path:

  1. On the Bitmaps panel, click Add.

  2. On the Choose New Bitmap Path dialog, do one of the following:

    • Enter a path in the Path field.

    • Navigate to locate a path.

  3. If you want to include subdirectories in this path, turn on Add Subpaths.

  4. Click Use Path.

    The new path takes effect immediately.

To delete a bitmap's path:

  1. On the Bitmaps panel, choose a path entry.

  2. Click Delete.

    The path location is removed.

  3. Click Cancel to restore the path.

    This closes the Configure Path dialog without saving any path changes.

To move a path up or down in the list:

  1. On the Bitmaps panel, choose a path entry.

  2. Do one of the following:

    • Click Move Up to move the entry closer to the top of the list.

    • Click Move Down to move the entry closer to the bottom of the list.


XRefs Path Configuration

Customize menu > Configure Paths > Configure Paths dialog > XRefs panel

On the XRefs panel of the Configure Paths dialog, you can add to or modify the directory locations in which the software searches for XRef objects and XRef scenes.

You expand the default locations of XRef files by adding paths to this panel. Use this technique to identify the directories most often used in your scenes.

The software stores the path of any XRef file you load. When the XRef is re-loaded, the search order is as follows:

  1. The path saved with the XRef file.

  2. The directory of the current scene.

  3. The paths listed in the Configure Paths dialog > XRefs panel, starting at the top of the list.

Procedures

To modify an XRef file path:

  1. On the XRefs panel, choose a path entry.

  2. Click Modify.

  3. On the Choose Directory dialog, do one of the following:

    • Enter a path in the Path field.

    • Navigate to locate a path, and click Use Path.

To add an XRef path:

  1. On the XRefs panel, click Add.

  2. On the Choose Directory dialog, do one of the following:

    • Enter a path in the Path field.

    • Navigate to locate a path.

  3. If you want to include subdirectories in this path, turn on Add Subpaths.

  4. Click Use Path.

    The new path takes effect immediately.

To delete an XRef path:

  1. On the XRefs panel, choose a path entry.

  2. Click Delete.

    The path location is removed.

  3. Click Cancel to restore the path.

    This closes the Configure Path dialog without saving any path changes.

To move a path up or down in the list:

  1. On the XRefs panel, choose a path entry.

  2. Do one of the following:

    • Click Move Up to move the entry closer to the top of the list.

    • Click Move Down to move the entry closer to the bottom of the list.


Preferences

Customize menu > Preferences

gmax offers many options for its display and operation. These options are available on the Preference Settings dialog in a series of tabbed panels.

The Preference Settings dialog contains the following panels:

General

Inverse Kinematics

Animation

Files

Gamma

Viewports

MAXScript


General Preferences Settings

Customize menu > Preferences > Preferences dialog > General tab

On the General panel of the Preference Settings dialog, you set options for the user interface and for interactivity.

Interface

Procedures

To set and toggle spinner snap:

  1. Do one of the following:

    • Choose Customize menu > Preferences > Preference Settings dialog > General panel.

    • Right-click the Spinner Snap button in the status line.

      Either method brings up the General panel. The two controls for spinner snap are in the Spinners area of this panel.

  2. Enter a value in the Spinner Snap field.

  3. Turn on Use Spinner Snap.

    When you exit the dialog, turn on Spinner Snap.

  4. As you work, use the Spinner Snap button to toggle between the alternate setting.

To set the Undo level:

  1. Open the Customize menu > Preferences > Preference Settings dialog > General panel.

  2. Change the value of Undo Levels. The default value of Undo Levels is 20.

    The higher the value of Undo Levels, the more system resources are required.

To change the system unit:

  1. Open the Customize menu > Preferences > Preference Settings dialog > General panel.

  2. Change the System Unit Scale value, and click OK.

    The system unit is immediately reset. This setting remains in effect until you change it.

    Warning: You should change this value only if you're working on a scene that's so huge or so tiny that the software can no longer measure distances accurately using the default unit scale. If you change this value, you make the scale of the objects you create incompatible with objects in scenes created with the default unit scale.

Interface

System Unit Scale group

Unit and Measurement fields: Changes the scale of the gmax unit. The unit is the standard measurement throughout gmax. You should change this value only if you're working on a scene so huge or so tiny that the software can no longer measure distances accurately using the default unit scale. If you change this value, you make the scale of the objects you create incompatible with objects in scenes created with the default unit scale.

Automatic Unit Conversion: Scales merged objects from a file with a different system unit scale to maintain their correct size in the scene. For loaded files that have a different system unit scale, you can either re-scale the loaded scene to the current system unit scale, or change the current system unit scale to match the one in the loaded file.

Scaling affects geometry and various environment settings that are scalable and affected by changes in the system unit scale.

  • The Customize menu > Units Setup dialog specifies the display of units in the gmax interface, but not the actual scale of the geometry.

Origin Slider, Distance from Origin, Accuracy

This group provides a scene unit calculator to help you determine the unit scale for your project. The resolution of measurement diminishes as the distance to the origin of space increases, so you need to consider space granularity when you choose a scale for your project. If you're modeling an island, for example, this calculator can help you determine the smallest object you should model on the island. In other words, don't use a unit scale of millimeters if you plan on modeling an island that's many miles across.

When you use the slider or the text field to enter a distance from the origin, the Resulting Accuracy changes to show what the roundoff error will be at that distance.

These controls don't change any unit settings in gmax. They don't reflect the extents of the current scene, either.

Origin Slider: Move the slider for interactive feedback of distance and accuracy. Right-click the scale to reset (moves the slider to 0). Dragging the slider displays the last slider position as a small square on the scale markings.

The slider covers distances from 0 to the maximum distance that's accurate to one system unit.

Distance from Origin: Enter the maximum distance you want to use in your project to determine the maximum accuracy, which is displayed in the Accuracy field. Values consider current settings for system scale and unit.

Note: When you enter a distance by typing, you must press ENTER to update the Resulting Accuracy field. Pressing TAB simply moves focus to Resulting Accuracy, without doing the calculation.

Resulting Accuracy: Enter the minimum resolution you will use to determine the maximum size or distance that is most practical. Values consider current settings for system scale and unit.

For example, if units are in feet and decimal inches in Customize menu > Units Setup, and you type in 1 (1', 1 foot) in the Accuracy field, a value of 22369620'0.0" is displayed in the Distance from Origin field. If you move an object that's one foot across, at this distance away from the origin of space, roundoff error will occur, and the shape of the object will be compromised.

Scene Undo group

Levels: Sets the number of operations you can undo. You can see the operation that will be undone by looking at Undo at the top of the Edit menu.

Reference Coordinate System group

Constant: Sets one coordinate system for Move, Rotate, and Scale on the Main toolbar. The coordinate system displayed in the coordinate dropdown list on the Main toolbar is used.

Normally, each transform switches to the coordinate system used the last time the transform was active.

Plug-In Loading group

Plug-In Loading: When turned on, loads plug-ins on demand, when they are needed.

Sub-Materials Assignment group

Enable: Allows you to drag and drop materials to a Sub-Object selection of faces in an editable mesh. Default=on.

See also Applying Multiple Materials to a Single Object.

Scene Selection group

Auto Window/Crossing by Direction: When this is enabled, the direction that you drag a selection area determines whether it is a window or crossing selection. This works for any selection area (rectangle, circle, or fence).

You can select which direction causes a window selection and which causes a crossing selection in the Scene Selection group. When you drag a window selection, the selection region is displayed with a solid line, however when you drag a crossing selection, the selection region is diplayed with dashed lines.

Right-> Left => Crossing: When you drag a selection region from right-to-left, it is a crossing selection. Conversely, when you drag left-to-right, it is a window selection.

Left-> Right => Crossing: When you drag a selection region from left-to-right, it is a crossing selection. Conversely, when you drag right-to-left, it is a window selection.

UI Display group

Enable Viewport Tooltips: Displays a tooltip when the cursor pauses over a non-selected object in the viewports if you are not in sub-object mode. Tooltips show the names of objects.

Display Cross Hair Cursor: Displays the mouse cursor as a full viewport cross hair, vertical and horizontal lines extending the full extent of the active viewport.

Each movement of the mouse is redrawn, so the crosshair is relatively slow. If you want to create a keyboard shortcut, find Cross Hair Cursor toggle in Customize menu > Customize User Interface > Keyboard panel and specify the keys to use for the shortcut. If you want to change the color of the cross hair cursor, open Customize menu > Customize User Interface > Colors panel > Viewports > Cross Hair Cursor and use the color selector to change the cursor color.

Display NU Scale Warning: Displays a warning alert when you attempt to use Non-Uniform Scale or Squash at the object level. If you don't want a warning to appear, turn off this option.

Display Topology Dependence Warning: Turns of the topology dependence warning. A warning is displayed if an object has modifiers and sub-object selections, and you choose to edit a modifier or the base object at the bottom of the modifier stack, which can adversely affect the objects topology. You can also turn off the warning in the warning dialog. Default=on.

Display Stack Collapse Warning: Turns off the stack collapse warning. A warning is displayed if an object has modifiers and sub-object selections, and you choose to delete a modifier, which can adversely affect the objects topology. You can also turn off the warning in the warning dialog. Default=on.

Save UI Configuration on Exit: Restores panels and toolbars to the positions they were in the last time you used the software. Turn this off to restore panels to the state they were in prior to turning on this option.

Use Large Toolbar Buttons: Toggles between large and small toolbar buttons.

A dialog notifies you to close and restart gmax.

Horizontal Text in Vertical Toolbar: Ensures text buttons are displayed horizontally.

If you create a custom toolbar positioned vertically, and you're using text rather than image buttons, you can choose to display either horizontal or vertical text with this option.

0 Specifies the maximum width of text buttons.

You must turn on the Horizontal Text in Vertical Toolbar option, turn this option on, and then set a maximum display size for the text button in pixels. For custom vertical toolbars with text buttons, this option will limit the size of the text display.

Flyout Time: Sets the pause between the mouse click and the flyout popping up from the button in milliseconds. Increase this setting only if you need an extra-long delay. Don't decrease the setting much or you may not be able to execute button commands before the flyout takes over.

Color Selector: Choose the default color selector, or a third-party plug-in color selector in the list. The color selector you choose here is used throughout gmax whenever you specifiy a color.

Spinners group

Precision: Sets the number of decimal places displayed in a spinner's edit field. Range=0 to 10 (where 0 is no decimal places).

Snap: Sets the click increment/decrement value for all of the spinners in gmax.

Use Snap: Toggles spinner snap on and off.

Wrap Cursor Near Spinner: Limits cursor wrapping to an area close to the spinner when you drag to adjust spinner value.

Command Panel group

Rollup Threshold: Determines how many pixels of a rollout should be scrollable in the command panel before the rollout is shifted into a separate command panel column.

This option is only applicable when there are multiple columns displayed in the command panel.


Inverse Kinematics Preferences Settings

Customize menu > Preferences > Preference Settings dialog > Inverse Kinematics tab

On the Inverse Kinematics panel of the Preference Settings dialog, you set options for both applied and interactive inverse kinematics.

Procedure

To prevent transforming unlinked objects while working in IK mode:

  1. Choose Customize menu > Preferences > Preference Settings dialog > Inverse Kinematics tab.

  2. On the Inverse Kinematics panel, turn off the option labeled Always Transform Children Of The World.

    Single, unlinked objects are hierarchies of one object. An unlinked object is its own root and also a child of the world, so turning off Always Transform Children Of The World prevents you from transforming single objects in IK mode.

Interface

Applied IK/Interactive IK group

The threshold and iterations settings are a trade-off between accuracy and speed. With the two groups of settings you can individually tune the behavior of Interactive IK and Applied IK. Interactive IK provides fast, real-time response, so you should set Interactive IK preferences for speed. Applied IK provides the IK solution to match the follow objects very closely. You should set applied IK preferences for accuracy.

Position: Sets how close the end effector has to get to the follow object or cursor position for the object to be considered a valid solution. The value represents a distance in the current display unit system. Small values increase accuracy but take longer to solve.

Rotation: Sets how accurately the end effector has to match the orientation of the follow object to be considered a valid solution. The value represents a rotation angle in degrees. Small values increase accuracy but take longer to solve.

Iterations: Sets the maximum number of times gmax repeats the IK calculations to find a valid solution. A high iterations value increases the chance that gmax can calculate a valid IK solution, but the calculation takes longer to complete.

Ungrouped controls

Use Secondary Threshold: Compares the second derivative of the end effector to a very small threshold. If the derivitive is within the threshold, IK is terminated.

Always Transform Children Of The World: Applies when IK is turned on in both move and rotate mode. It affects only an object that's a direct child of the world when the object is selected.

For example, if the root of an IK chain is a child of the world, and you're manipulating an object at the end of the chain (the root object itself isn't selected), any constraints set for the root object will be observed. However, if you select the root object and try to move it, its constraints will be ignored.


Animation Preferences Settings

Customize menu > Preferences > Preference Settings dialog > Animation tab

On the Animation panel of the Preference Settings dialog, you set options relating to animation. Options include displaying animated objects in wireframe viewports, the assignment of sound plug-ins, and controller defaults.

Procedures

To change the default transform center:

  1. Choose Customize menu > Preferences > Preference Settings dialog > Animation tab.

  2. Turn off Local Center During Animate in the Animate group.

    This changes the default and activates all the transform center buttons. You can now move about the selection, coordinate center, or local pivot.

To set the key bracket display:

  1. Choose Customize menu > Preferences > Preference Settings dialog > Animation tab.

  2. Use the controls in the Key Bracket Display group to specify how you want key brackets displayed in wireframe viewports.

To specify default controller settings:

  1. Choose Customize menu > Preferences > Preferences Settings dialog > Animation tab.

  2. Click Set Defaults in the Controller Defaults group.

    The Set Controller Defaults dialog appears.

  3. Choose a controller type from the list of available controllers and click the Set button.

    A dialog containing the default settings supported by the selected controller type appears in, for example, the In and Out tangents for a Bezier controller.

  4. Make changes to the controller settings.

    Once you click OK in the Set Controller Defaults dialog, the controller defaults are changed.

    Changes to the controller default settings are written to your gmax.ini file and become the defaults for all newly assigned controllers and all new scenes.

    If you decide that you want to revert to the original gmax defaults for all controllers, you can click Restore To Factory Settings.

Interface

Key Bracket Display group

When you move to a frame, the software displays white brackets around objects that have transform keys at that frame, including cameras and lights. These key brackets only appear in wireframe viewport displays.

All Objects/Selected Objects/None: Specifies which objects will display key brackets.

Use Current Transform: Displays brackets only on those frames containing a key for the transform button (Move, Rotate, or Scale) currently active in the toolbar.

If no transform button is active, a bracket appears when you're on a frame containing any of the three transforms.

Position/Rotation/Scale: Specifies which type of transform displays a bracket. If only Rotation is turned on, brackets appear only on those frames containing Rotation keys. These check boxes become active when Use Current Transform is turned off.

Animate group

Local Center During Animate: Locks the center method to local. Turn off if you want to animate around a non-local center such as world or selection.

Sound Plug-In group

Assign: Displays a dialog listing all sound plug-ins installed in the system. Select a new plug-in to replace the current one.

Controller Defaults group

Sets the default values for animation controllers capable of supporting default settings. For example, set the default values for tension, continuity and bias in the TCB float controller.

Set Defaults: Displays a dialog listing all controllers that can have their default values changed. The Set button becomes available when you choose a controller class from the list. Choose this button to display a dialog, provided by the plug-in controller, in which you set default values.

Restore To Factory Settings: Prompts you to verify if you want to reset all controllers to their default settings. If you choose Yes, the defaults are reset for all controllers currently in the system.


Files Preferences Settings

Customize menu > Preferences > Preference Settings dialog > Files tab

On the Files panel of the Preference Settings dialog, you set options relating to file handling. You also select the program used for archiving. This is where you control the options for log file maintenance. You enable Auto Backup in this dialog to automatically save your work at defined intervals.

Interface

File Handling group

Backup on Save: Creates a backup file if a file of the same name already exists. The existing file is renamed "gmaxback.bak" and placed in the gmax/autoback directory before the save occurs. The automatic backup settings are edited in the Auto Backup group.

Increment on Save: Creates a new copy of the file in the same directory whenever you save the file. The name of the new file is incremented by 1 (filename01.gmax, filename02.gmax, and so on).

Compress on Save: Saves the GMAX file in a compressed format. Depending on the details of the file, the compressed file can be as small as 1/5th the size of its uncompressed equivalent.

You can determine whether a GMAX file is compressed or not by bringing up Properties of the file in Windows Explorer. On the Contents panel, under General, you'll see whether the file is compressed or uncompressed.

Save Viewport Thumbnail Image: Saves a 64-pixel thumbnail of the active viewport when you save each MAX file. The Asset Browser reads thumbnails. Saving thumbnails adds about 9K to each GMAX file.

Display Obsolete File Message: Turns off the "Obsolete data format found - Please resave file" alert that is displayed when you load a GMAX file created in an earlier version of the software.

There is a matching "Do not display this message" check box in the alert itself, and you can also turn off the alert from there.

Recent Files in File Menu: Specifies the number of recently opened files to display at the bottom of the File menu. Range=0 to 9

Auto Backup group

Auto backup is a system that saves your work periodically. In the event of a power failure, if you have not saved your work, you can load in an auto backup (autoback) file from the gmax/autoback directory and continue working with little lost time.

Auto Backup creates auto backup files based on a time interval. The name of an auto backup file is autobakn.gx, where autobak is the main part of the name (autobak is the default), and n is an integer from 1 to 9.

For example, if you've set the system for three auto backup files at one-minute intervals, the autoback system will create autobak1.gx, and then a minute later autobak2.gx, and then autobak3.gx. At the fourth minute, the system overwrites autobak1.gx, and so on.

Enable: Enables the Auto Backup system.

Number of Autobak Files: Determines how many backup files to write before overwriting the first one. Range=1 to 9.

Backup Interval (minutes): Determines the number of minutes between backup file generation.

Auto Backup File Name: This option lets you enter an alternative name for the auto backup file. Auto backup files with a different name still have the file name extension .gx. Default="Autobak".

Log File Maintenance group

The following controls affect the gmax.log file.

Never Delete Log: Determines how long the log file is maintained. When you choose Never Delete, the gmax.log file remains on the hard disk and continues to grow.

Maintain Only...Days: Resets the file to zero bytes every set number of days as specified in the Days field.

Maintain Only... Kbytes: Resets the file to zero bytes when it reaches the size specified in the KBytes field.

Errors: Writes fatal errors to the gmax.log file instead of generating Alert dialogs.

Info: Writes general information to the gmax.log file instead of generating Alert dialogs.

Warnings: Writes warning messages to the gmax.log file instead of generating Alert dialogs.

Debug: Writes debug messages to the gmax.log file instead of generating Alert dialogs.

The type of errors covered by these four categories include maps that can't be found, missing UV coordinates, missing output directories, full disks, missing DLLs, disks to which you don't have access, invalid meshes, and obsolete GMAX files

Import Options group

Zoom Extents on Import: Zooms all viewports to scene extents after importing a file. If this is turned off, zoom extents isn't performed.

Archive System group

Program: Specifies the name and location of the program to use for archiving. The program must be independently installed on your system. You can add command-line arguments to follow the executable file name. For example, for the PKZIP program, the arguments might be:

project1.zip c:proj0?.gmax -o


Gamma Preferences Settings

Customize menu > Preferences > Preference Settings dialog > Gamma tab

On the Gamma panel of the Preference Settings dialog, you set options to adjust the Gamma values for input and output images and for the monitor display.

Interface

Enable Gamma Correction: Applies any gamma adjustments you make. Turn off to disable gamma correction.

Load Enable State with gmax Files: Loads the state of Enable Gamma Correction with each GMAX file.

When you choose Load Enable State, and load a GMAX file whose Enable Gamma Correction state differs from the current state, you can make the gamma correction correspond with the setting in the current file or leave the setting as is.

If you have a gmaxstart.gmax file and you choose this option, new sessions of gmax use the Enable Gamma Correction state in the gmaxstart.gmax file. If you turn this option, the gmaxstart.gmax file doesn't affect the state of Enable Gamma Correction.

Display group

You use display gamma for the color selector and color swatches. Take note of the default value before you start making adjustments in case you need to restore it.

Gamma: Adjusts the gamma display for gmax. The field increases or decreases the value (lightness or darkness) of the solid gray center square. Adjust the value until the center square is as close as possible in value to the surrounding checkered square.

If you're creating imagery that will be sent to someone, turn on the Gamma options to assure yourself that the image will look correct at the destination site.

You can also display these gamma settings from the Gamma button in the File Browser dialog.

Bitmap Files group

Input Gamma: The system input gamma that gmax uses to process bitmaps if that bitmap type doesn't override the gamma with its own gamma value. You use the Input Gamma to invert the gamma of bitmaps coming into gmax (for example, texture maps).

Tip: If you have gamma enabled when loading texture maps, set your input gamma to the same value as your display gamma, or your maps will be too bright.

Output Gamma: The system output gamma that gmax uses to process bitmaps if that bitmap type doesn't override the gamma with its own gamma value.


Viewports Preferences Settings

Customize menu > Preferences > Preference Settings dialog > Viewports tab

On the Viewports panel of the Preference Settings dialog, you set options for viewport display and behavior.

See also

gmax Driver Setup

Configure Driver

Interface

Viewport Parameters group

Use Dual Planes: Uses the front/back plane system when redrawing the viewport. The selected object is manipulated in the front plane and is redrawn, while other objects remain on the back plane and are not redrawn. This default setting provides the fastest redraws under normal circumstances. If your assigned display driver doesn't support dual planes, this option is not available.

Turn off this setting to improve redraw speed if you are rotating the whole scene or moving a camera through the scene (usually situations in which the whole viewport needs to be redrawn anyway).

Show Vertices As Dots: Lets you choose between small and large dots to display vertex selections.

Draw Links as Lines: Displays the hierarchical links between parent and child objects as plain lines, rather than shapes when Display panel > Link Display rollout > Display Link is turned on.

Backface Cull on Object Creation: Determines whether to display faces with normals pointing away from view. When turned on, you see through the wireframe to the back-faces. This option applies to wireframe viewport displays only. In most cases, you'll want this item turned on.

  • This control affects only the created objects, and you can reverse the effect on each object by changing the Backface Cull setting in the Object Properties dialog for that object.

  • You can globally change the display of backface culling in the viewports by turning on Force 2-Sided on the Rendering Method panel of the Viewport Configuration dialog.

Attenuate Lights: Turns the display of attenuation effects on or off from start to end in the interactive viewport renderer. When turned off, attenuated lights behave as though there was no attenuation. Default=off.

Mask Viewport to Safe Region: By default, the viewport area outside the outermost safe frame displays the contents of the viewport. When this box is turned on, that area is left blank.

Update Background While Playing: Turns on the updating of bitmaps in the viewport background when you play an animation. This feature is not available in gmax.

Filter Environment Backgrounds: Affects the background displayed in the viewport only when the Viewport Background control is turned on in the Viewport Background dialog.

When you turn on Filter Environment Backgrounds, the environment background is filtered in the viewport, resulting in an antialiased image. When you turn it off, the background image is not filtered, resulting in an aliased, pixelated image.

  • Filtering slows down the recalculation of the viewport background image about 30 to 40 percent. Unless you really need that smooth display, it's best to leave the option turned off.

  • This option doesn't affect the viewport backgrounds when you turn on Use Environment Background.

Low-Res Environment Background: Reduces the size of the environment background map by half, and then magnifies it to the size needed for the viewport. This results in a chunkier, pixelated appearance, but speeds the rendering in the viewport four times (because it halves the width and the height of the original image).

Unless you need fine detail in your environment background, it's best to leave this item turned on.

Display World Axis: Displays a world axis in the lower-left corner of all viewports when turned on. Default=on.

Grid Nudge Distance: Sets the nudge distance for the Nudge Grid Down and Nudge Grid Up keys, which you can use to nudge selected objects into position.

Non Scaling Object Size: Sets the display size of cameras, lights, and other nonscaling objects. Default=1.

Move/Rotate Transforms group

Controls the way you can move selected objects with the mouse in a non-orthographic view such as Perspective.

Intersection: Shoots a ray from the mouse point into the screen. This makes moving objects easier, but as you move toward the horizon, the object moves great distances.

Projection: Projects the motion of the mouse onto the plane. This ensures that there are no singularities at the horizon, and that motion is always smooth and stable. However, it can become difficult to move objects when the plane is not parallel to the screen.

Persp Sens: Sets mouse sensitivity for projection transforms.

Rotation Incr: Specifies the amount of rotation generated by moving the mouse 1 pixel. Lower this value for angular rotations smaller than the default .5 degrees. The lower this value, the more mouse movement is needed to rotate objects.

Viewport Arc Rotate Snap Angle: Sets the amount of rotation in degrees.

Turn on Angle Snap on the status bar, and then use Arc Rotate to rotate a viewport. The viewport rotation snaps by the value set here. The Arc Rotate cursor displays a small magnet in the upper left to indicate that Angle Snap is turned on.

Ghosting group

Ghosting Frames: Specifies the number of ghost images that appear before and after the current frame when you choose Show Ghosting from the Views menu. If you display ghosts both before and after the current frame, the total number of ghosts is twice this number.

Display Nth Frame: Specifies the number of frames between the appearance of each ghost. The smaller this number, the closer the ghost images appear to each other.

Ghost Before Current Frame: Displays only ghost images that occur before the current frame. This makes the ghosts trail the object.

Ghost After Current Frame: Displays only ghost images that occur after the current frame.

Ghost Before and After: Displays ghosts both before and after the current frame.

Ghost in Wireframe: Displays ghosts in black wireframe in shaded viewports. When turned off, the ghosts appear as shaded objects, using the same colors as the wireframe ghosts.

Show Frame Numbers: Displays a frame number in the upper-left corner of each frame.

Mouse Control group

Middle Button: Pan/Zoom: Sets the middle mouse button to pan in the viewport if you have a three-button mouse. If you have a Microsoft Intellimouse, you can also roll the middle wheel to zoom the viewport.

To Zoom with a three button mouse, press CTRL+ALT and drag the center button.

Note: By default, the Intellimouse slows the speed of the mouse when you hold down the wheel button. You can increase the mouse speed in the Mouse Properties dialog in the Windows Control Panel. Choose the Wheel tab, click the Settings button in the Wheel Button group, and turn the slider up to Fast.

Zoom About Mouse Point (Orthographic): When this control is turned on, viewports zoom about the point where you click the mouse. With it turned off, viewports zoom about the center of the view. This applies to orthographic viewports only.

Zoom About Mouse Point (Perspective): When this control is turned on, viewports zoom about the point where you click the mouse. With it turned off, viewports zoom about the center of the view. This applies to perspective viewports only.

Right Click Menu Over Selected Only: Limits the right-click menu display over a selected object. Default=off.

When this option is turned off; you can right-click anywhere in the viewports to display a menu.

Display Drivers group

Currently Installed Driver: Displays the name of the currently installed driver.

Choose Driver: Displays the gmax Driver Setup dialog. Use this dialog to select a different software display driver, or to switch drivers if you installed a hardware accelerator card.

Configure Driver: Displays the Configure Driver dialog, where you can change the driver options for your currently selected driver.

Transform Gizmo group

On: Toggles the viewport display of the Transform gizmo.

Size: Sets the size of the Transform gizmo in world units.

Use Labels: Toggles the display of axis labels (X, Y, Z) in the viewports.

Functionality is maintained, drag a transform gizmo axis to move an object in the viewports.

Use Center Box: Toggles the viewport display and function of the Transform Gizmo Center Box.

Drag the transform gizmo Center box to move an object along the axis that is active on the toolbar.

Use Planes: Toggles the viewport display and functions of the Transform Gizmo plane controls.

In the viewports, planes appear as the corners of a box that frames the Transform gizmo. Drag one of the three corners to move an object along the associated plane (XY, ZX, ZY).

Note: You can change the colors of the Transform gizmo by changing Customize menu > Customize User Interface > Customize User Interface dialog > Colors panel > Gizmo. Each axis has an entry (Transform Gizmo X, Transform Gizmo Y and Transform Gizmo Z). The respective default colors are red, green, and blue.


MAXScript Preferences Settings

Customize menu > Preferences > Preference Settings dialog > MAXScript tab

On the MAXScript panel of the Preference Settings dialog, you set MAXScript and Macro Recorder preferences, enable or disable auto-start and auto-loading of scripts, set the initial heap size, change font style and size used in the MAXScript editor, and manage all the settings for the Macro Recorder.

You can also change these settings by editing the [MAXScript] section of the gmax.ini file.

Note: Two paths to support auto-startup scripts are in the gmax Configure Paths dialog: ..\scripts and ..\scripts\startup. These default directories can be changed in Customize menu > Configure Paths > Configure Paths dialog > General panel, if you would prefer to start scripts from a different directory.

Choose Help > MAXScript Reference for details on MAXScript.

Interface

Startup group

You can start scripts automatically in two ways. You can create a file named startup.ms that contains your startup code. MAXScript searches for this file in the scripts directory first, then the gmax root directory, and finally the directories specified in the Windows PATH environment variable. MAXScript stops searching after it finds the first occurrence of startup.ms.

You can also place the script files you want auto-loaded into the \startup directory inside the \scripts directory. MAXScript loads any script file with the file name extension .ms or any encrypted script file with file name extension .mse.

If you have both a startup.ms file and auto-load files in the \startup directory, MAXScript always loads startup.ms first.

Auto Start MAXScript: Starts MAXScript when gmax starts.

Load Startup Scripts: Loads scripts automatically when gmax starts.

Load/Save Scene Scripts: Enables Scene Script loading and saving.

Load/Save Persistent Globals: Enables load and save Persistent Globals.

MAXScript supports a limited form of variables. You declare that a particular global is persistent and the value it contains is always saved to and restored from scene files as they are opened and closed. In this way you can, for example, keep direct references to objects in the scene in variables. Those references will move across scene save and reload.

Load Controller Scripts: Loads controller scripts.

MAXScript Windows group

Font: Choose a font for the MAXScript editor

Font size: Choose a font size for the MAXScript editor.

Auto Open Listener On Output: Opens the listener upon output.

Memory group

Initial Heap Allocation (Mbytes): Sets the initial heap allocation.

MAXScript carves its own working memory (called a heap) out of the memory that the software allocates. You can add to the heap at any time by increasing the value here.

Macro Recorder Group

Enable Macro Recorder: Enables the Macro Recorder.

gmax starts with the macro recorder disabled and a minimized Macro-Recorder pane in the MAXScript listener window.

You can also enable the Marcro Recorder by turning on MAXScript > Macro Recorder or by turning on Enable in the Macro Recorder menu on the MAXScript Listener toolbar.

This state is stored in the gmax.ini file. Turning it on once keeps it enabled across restarts of the program.

Code Filters group

Command Panel Switchings: Displays command panel switchings in the code.

Tool Selections: Displays tool selection in the code.

Menu Item Selections: Displays menu selection in the code.

Code Generation group

The Code Generation parameters refer to whether or not the script emitted is made selection-relative, if possible, or if it contains object references. By making the script selection-relative, you can apply the recorded script to a different selection, thereby making it more general. Absolute mode always works on the same objects regardless of the current selection.

Explicit Scene Object Names: Uses scene object names in the code.

Selection-relative Scene Object Names: Makes Scene Object Names relative in the code. Default=on.

Explicit Sub-object Sets: Uses explicit sub-object sets in the code.

Selection-relative Sub-object Sets: Uses selection relative sub-object sets in the code. Default=on.

Absolute Transform Assignments: Uses absolute transforms in the code.

Relative Transform Operations: Uses selection relative transform operations in the code.


gmax Driver Setup Dialog

Customize menu > Preferences > Preference Settings dialog > Viewports tab > Display Drivers group > Choose Driver button

You choose and configure graphic display drivers on the Viewports panel of the Preference Settings dialog. This topic explains driver options on the gmax Driver Setup dialog and analyzes trade-offs in performance.

See also

Configure Driver

Configure HEIDI Dialog

Configure OpenGL Dialog

Configure Direct3D Dialog

Interface

On the gmax Driver Setup dialog, some options are unavailable if the corresponding driver is not installed in the system. The currently installed driver is listed in the Display Driver group.

HEIDI

When you choose HEIDI, two additional options become available:

Software Z Buffer: Choose this if you're using software rather than hardware acceleration. This choice is always available.

Custom Driver: Choose this if you're manipulating a lot of wireframe displays and no shaded displays, and if you're using hardware acceleration. Choose a HEIDI hardware display driver from the list.

OpenGL

Choose this option if you're using any form of hardware acceleration. The software will use whatever driver has been installed in your operating system.

The OpenGL driver supports geometry acceleration as well as rasterization acceleration. It's tightly integrated into Windows NT and Windows 2000, and many 3D display cards were specifically designed to accelerate OpenGL operations. OpenGL implementations have all of the scene data necessary to optimize the entire 3D display process.

Because OpenGL is most efficient when run on systems with at least rasterization acceleration, the HEIDI/SZB option may work best on systems with an ordinary 2D display card. However, with a 3D-enabled card, you may see dramatic acceleration using the OpenGL driver.

The disadvantages of the Open GL driver are as follows:

  • All potentially visible scene data must be transferred to the driver, and this can cause a communication bottleneck across the system bus. In particular, this slows down the display of individual primitives (as opposed to strips or polylines, like wireframe displays).

  • Because the OpenGL design supports a wide variety of display systems, there is no guarantee that either incremental scene update methods (partial window blits (Block Image Transfers) or dual planes) will work with a particular implementation of OpenGL.

  • Because lighting and texturing are restricted to OpenGL-specified semantics, mismatches between gmax scene lighting and texturing and what appears in an OpenGL viewport can occur. This applies especially to attenuated lights and non-tiled texture display.)

Direct 3D

Choose this if you have a Direct 3D driver installed on your system. If you don't have this driver installed, this option is unavailable.

The Microsoft Direct3D API supports both rasterization and 3D scene level calls. (At this time, gmax supports only D3D Version 8, which is included in DirectX 8.) D3D calls are accelerated if the display hardware supports this.

Many inexpensive 3D display cards can use this driver efficiently. This driver supports scene data culling efficiently, accelerates texture display (depending on the specific display card), and performs perspective correction.

The driver works with high-color displays, which provide a good trade-off between display quality and memory overhead. Incremental display update works efficiently.

The disadvantages of the Direct 3D driver are as follows:

  • The driver currently runs only under Windows 95, Windows 98, and Windows 2000. (There is no multi processor Windows NT support.) It supports only high-color displays.

  • Dual plane operations are slow (if available), and there can be some additional overhead in minimizing/maximizing viewports due to the way D3D allocates video memory.

Custom

Choose this if you have a custom driver installed on your system. Such custom drivers don't use HEIDI, OpenGL, or Direct3D. If you don't have such a driver installed, this option is not available.


Configure Driver

Customize menu > Preferences > Preference Settings dialog > Viewports tab > Display Drivers group > Configure Driver button

You configure the current display driver using the Viewports panel of the Preference Settings dialog.

Changes to a driver's configuration take effect immediately, and the configuration persists between sessions. However, data downloaded to the graphics card is not regenerated. For example, if you change the texture resolution, the hardware continues to use the previous resolution until you use the Material Editor to reload the texture.

The options in the driver configuration dialog vary, depending on which driver is in use. This reference describes the options for the HEIDI, Direct 3D, and Open GL drivers.

If you use a custom driver, the options depend on what the driver's manufacturer provides. See the manufacturer's documentation for further information.

See also

gmax Driver Setup Dialog

Configure HEIDI Dialog

Configure OpenGL Dialog

Configure Direct3D Dialog


Configure Heidi Dialog

Customize menu > Preferences > Preference Settings dialog > Viewports tab > Display Drivers group > Configure Driver button (when HEIDI is the current driver)

The HEIDI display driver does not require hardware acceleration.

Interface

Redraw Scene On Window Expose: Redraws the whole scene when a dialog over the viewports is moved, resulting in smoother dragging of dialogs such as the Material Editor or Track View.

If your gmax display easily becomes messy or "corrupted," turn this option on and then redraw viewports by choosing Views > Redraw All Views (the default keyboard shortcut for this is the "1" key).

Use Triangle Strips: "Stripifies" the geometry, which can more than double the display speed. In some cases, such as when topology is constantly changed, the time taken to stripify the geometry can cause a slowdown instead. In such cases, turn off this option. Otherwise, leave it on for speed.

Download Texture Size group

64, 128, 256, 512: These buttons specify the size of the bitmaps used to map surfaces in the viewports. The larger the size, the better the resolution but the slower the speed. High speed produces jagged maps and slower speeds produce smooth maps.

Note: When Match Bitmap Size As Closely as Possible is on, these buttons are overrided, however they are still available. The value is still used when procedural textures are converted to bitmaps for viewport texture display.

Match Bitmap Size as Closely as Possible: To allow the viewport to show actual texture resolutions, bitmaps are individually resized in the display. This means that small bitmaps don’t get overexpanded and large bitmaps retain their resolution (but potentially use a lot more video RAM).

Note: Bitmaps can be no larger than 4000 x 4000 pixels (or they will be scaled down to this size) and no smaller than 32 x 32 (or they will be scaled up to this size). Default=off.


Configure OpenGL Dialog

Customize menu > Preferences > Preference Settings dialog > Viewports tab > Display Drivers group > Configure Driver button (when OpenGL is the current driver)

The OpenGL display driver provides options that support hardware acceleration.

Interface

Implementation-Specific Settings group

Redraw Scene On Window Expose: Redraws the whole scene when a dialog over the viewports is moved, resulting in smoother dragging of dialogs such as the Material Editor or Track View. However, redrawing takes some time. Default=on.

If your gmax display easily becomes messy or "corrupted," turn this option on and then redraw viewports by choosing Views > Redraw All Views (the default keyboard shortcut for this is the "1" key).

This option has two subordinate options. How you should set them depends on how the display card handles its back buffer, which is used for refreshing the screen. Turn on one or the other, as appropriate.

Full Screen SwapBuffers Destroys Back Buffer: If, after updating the screen, the display card destroys the back buffer only when there's a single viewport, turn on this sub-option. The OpenGL driver redraws the scene when a single viewport is visible, but doesn't have to redraw when multiple viewports are visible. Default=off.

Windowed SwapBuffers Destroys Back Buffer: If, after updating the screen, the display card destroys the back buffer when multiple viewports are visible, turn on this sub-option. Default=off.

Use Triangle Strips: "Stripifies" all geometric data before sending it to the driver. In some cases, such as when topology is constantly changed, the time taken to stripify the geometry can cause a slowdown instead. In such cases, turn off this option. Otherwise, leave it on for speed. Default=on.

This option has one subordinate option:

Display Wireframe Objects Using Triangle Strips: Default=off.

Allow Dual Plane Support: Uses the front/back plane system when redrawing the viewport. The selected object is manipulated in the front plane and is redrawn, while other objects remain on the back plane and are not redrawn. This default setting provides the fastest redraws under normal circumstances. If your assigned display driver doesn't support dual planes, this option is not available.

Turn off this setting to improve redraw speed if you are rotating the whole scene or moving a camera through the scene (usually situations in which the whole viewport needs to be redrawn anyway).

Use Incremental Scene Updates: Redraws only those scene objects that have changed, or that intersect a region changed by another moving object. When turned off, the entire scene is redrawn for each new frame. Default=on.

If your gmax display becomes messy or "corrupted" as a result of incremental updates, turn this option off and then redraw viewports by choosing Views > Redraw All Views (the default keyboard shortcut for this is the "1" key).

Use BGRA Pixel Format: When on, sends bitmaps using BGRA (blue-green-red-alpha) ordering for pixels. This is the default order for Windows. By default, OpenGL expects RGBA ordering. Because of this, under default conditions, loading textures or backgrounds requires the pixels to be reordered. OpenGL supports an extension that allows it to receive pixels in BGRA order. This means that bitmaps can be displayed directly, without reordering each pixel. Thus, assuming the OpenGL driver has efficient hardware support for BGRA pixels, turning on this option makes loading textures and background im7ages much faster. Default=on.

Use Generalized Vertex Arrays: When on, enables gmax to use custom driver code to render smoothly shaded objects. Typically this is much faster than using standard OpenGL code, but has an effect only when the driver has hardware-specific custom code. Default=on.

Use Wireframe Faces: When on, makes wireframe display accessible to hardware acceleration. Default=on.

This option is intended to allow display card manufacturers to accelerate gmax wireframe displays in a way that is specific to the underlying display hardware. Check with your display card manufacturer to see if enabling this option will yield faster wireframe rendering with your display card.

Appearance Preferences group

Enable Anti-Aliased Lines in Wireframe Views: Draws lines slightly thicker and much smoother. This is best used for wireframe-only views, and especially if you're making a preview of wireframe objects.

Background Texture Size: Unlike the HEIDI driver, which uses bitmaps to display viewport backgrounds directly, the OpenGL driver uses a texture-mapped background rectangle. This allows for smoother zooms and pans in orthographic views and can take less memory than the direct bitmap method. However, background bitmap resolution may be lost. Increase the resolution if you're using a maximized viewport to digitize.

Match Bitmap as Close as Possible: Displays background at full resolution. Default=off.

Download Texture Size: Lets you choose the size of the texture map that's downloaded to the driver for texture-mapped scene objects. Larger maps look better, but use more display card memory.

Note: When Match Bitmap Size as Closely as Possible is on, these buttons are overridden, however they are still available. The value is still used when procedural textures are converted to bitmaps for viewport texture display.

Match Bitmap Size as Closely as Possible: To allow the viewport to show actual texture resolutions, bitmaps are individually resized before they are downloaded to the driver. This means that small bitmaps don’t get overexpanded and large bitmaps retain their resolution (but potentially use a lot more video RAM).

Note: Bitmaps can be no larger than 4000 x 4000 pixels (or they will be scaled down to this size) and no smaller than 32 x 32 (or they will be scaled up to this size). Default=off.

Texel Lookup: Specifies whether to use the nearest pixel or to linearly interpolate the pixel value from the four closest texels. Using the nearest pixel is faster, but using texels produces a higher-quality display. Default=Nearest.

Mipmap Lookup: Specifies whether to use one version of the texture map (None) or to interpolate between a pyramid of progressively smaller maps. With Nearest chosen, the texel lookup is done on the map level nearest the ideal one, and with Linear, the texel values from the two closest map levels are interpolated. Default=None.

Note: When both Texel and Mipmap lookup are set to Linear, a true trilinear weighting of 8 texel values is used for a single pixel display. This is very accurate and helps eliminate aliasing, but it is time consuming if the texture-mapping hardware is not accelerated.


Configure Direct3D Dialog

Customize menu > Preferences > Preference Settings dialog > Viewports tab > Display Drivers group > Configure Driver button (when Direct3D is the current driver)

The Direct3D display driver provides options that support DirectX 8 drivers.

Interface

Implementation-Specific Settings group

Redraw Scene On Window Expose: Redraws the whole scene when a dialog over the viewports is moved, resulting in smoother dragging of dialogs such as the Material Editor or Track View. However, redrawing takes some time. Default=on.

If your gmax display easily becomes messy or "corrupted," turn this option on and then redraw viewports by choosing Views > Redraw All Views (the default keyboard shortcut for this is the "1" key).

This option has two subordinate options. How you should set them depends on how the display card handles its back buffer, which is used for refreshing the screen. Turn on one or the other, as appropriate.

Full Screen SwapBuffers Destroys Back Buffer: If, after updating the screen, the display card destroys the back buffer only when there's a single viewport, turn on this sub-option. The Direct3D driver redraws the scene when a single viewport is visible, but doesn't have to redraw when multiple viewports are visible. Default=off.

Windowed SwapBuffers Destroys Back Buffer: If, after updating the screen, the display card destroys the back buffer when multiple viewports are visible, turn on this sub-option. Default=off.

Use Triangle Strips: "Stripifies" all geometric data before sending it to the driver. In some cases, such as when topology is constantly changed, the time taken to stripify the geometry can cause a slowdown instead. In such cases, turn off this option. Otherwise, leave it on for speed. Default=on.

This option has one subordinate option:

Display Wireframe Objects Using Triangle Strips: Default=off.

Use Generalized Vertex Arrays: When on, enables gmax to use custom driver code to render smoothly shaded objects. Typically this is much faster than using standard Direct3D code, but has an effect only when the driver has hardware-specific custom code. Default=on.

Use Wireframe Faces: When on, makes wireframe display accessible to hardware acceleration. Default=on.

This option is intended to allow display card manufacturers to accelerate gmax wireframe displays in a way that is specific to the underlying display hardware. Check with your display card manufacturer to see if enabling this option will yield faster wireframe rendering with your display card.

Allow Dual Plane Support: Uses the front/back plane system when redrawing the viewport. The selected object is manipulated in the front plane and is redrawn, while other objects remain on the back plane and are not redrawn. This default setting provides the fastest redraws under normal circumstances. If your assigned display driver doesn't support dual planes, this option is not available.

Turn off this setting to improve redraw speed if you are rotating the whole scene or moving a camera through the scene (usually situations in which the whole viewport needs to be redrawn anyway).

Use Incremental Scene Updates: Redraws only those scene objects that have changed, or that intersect a region changed by another moving object. When turned off, the entire scene is redrawn for each new frame. Default=on.

If your gmax display becomes messy or "corrupted" as a result of incremental updates, turn this option off and then redraw viewports by choosing Views > Redraw All Views (the default keyboard shortcut for this is the "1" key).

Appearance Preferences group

Enable Anti-Aliased Lines in Wireframe Views: Draws lines slightly thicker and much smoother. This is best used for wireframe-only views, and especially if you're making a preview of wireframe objects.

Background Texture Size: Unlike the HEIDI driver, which uses bitmaps to display viewport backgrounds directly, the Direct3D driver uses a texture-mapped background rectangle. This allows for smoother zooms and pans in orthographic views and can take less memory than the direct bitmap method. However, background bitmap resolution may be lost. Increase the resolution if you're using a maximized viewport to digitize.

Match Bitmap as Closely as Possible: Displays background at full resolution. Default=off.

Download Texture Size: Lets you choose the size of the texture map that's downloaded to the driver for texture-mapped scene objects. Larger maps look better, but use more display card memory.

Note: When Match Bitmap Size As Closely as Possible is on, these buttons are overridden, however they are still available. The value is still used when procedural textures are converted to bitmaps for viewport texture display.

Match Bitmap Size as Closely as Possible: To allow the viewport to show actual texture resolutions, bitmaps are individually resized before they are downloaded to the driver. This means that small bitmaps don’t get overexpanded and large bitmaps retain their resolution (but potentially use a lot more video RAM).

Note: Bitmaps can be no larger than 4000 x 4000 pixels (or they will be scaled down to this size) and no smaller than 32 x 32 (or they will be scaled up to this size). Default=off.

Texel Lookup: Specifies whether to use the nearest pixel, to linearly interpolate the pixel value from the four closest texels, or to use anisotropic filtering. Using the nearest pixel is faster, but using texels produces a higher-quality display. The Anisotropic filter compensates for the distortion caused by the difference in angle between the texture polygon and the plane of the screen. Default=Nearest.

Mipmap Lookup: Specifies whether to use one version of the texture map (None) or to interpolate between a pyramid of progressively smaller maps. With Nearest chosen, the texel lookup is done on the map level nearest the ideal one, and with Linear, the texel values from the two closest map levels are interpolated. Default=None.

Note: When both Texel and Mipmap lookup are set to Linear, a true trilinear weighting of 8 texel values is used for a single pixel display. This is very accurate and helps eliminate aliasing, but it is time consuming if the texture-mapping hardware is not accelerated.


Units Setup

Customize menu > Units Setup

This command displays the Unit Setup dialog, for establishing the unit display method.


Units Setup Dialog

Customize menu > Units Setup > Units Setup Dialog

The Units Setup dialog establishes the unit display method, giving you the choice between generic units and standard units (feet and inches, or metric). You can also create custom units, which are used whenever you create an object.

The units that you set up are used to measure geometry in your scene. In addition to these units, the software also uses system units as an internal mechanism. Do not change your system units unless you have unacceptable viewport behavior.

Resetting the System Unit

You should reset the system unit if you are working on a scene that is so large or so small that the software can no longer measure distances accurately using the default unit scale.

Tip: If you find you have slow viewport panning or zooming, try resetting the system units.

You change this value in Customize > Preferences > Preferences dialog > General tab > System Unit Scale group. Controls there are designed to help you evaluate the limits of accuracy when you change gmax system units.

The primary benefit of resetting the system units is that the viewports have a limited precision. Changing the System unit scale will allow better viewport display. (Z-buffering, clipping planes, zooming, etc.) If you are modeling a large city, for example, you may have many millions of inches; changing the system unit scale to feet will keep the number down in the thousands.

Warning: Do not reset the system unit unless you have a clear need to do so.

See also

Preference Settings

Procedures

To change units to feet and inches:

  1. Turn on US Standard in Units Setup.

  2. Choose Feet or Inches as Default Units.

  3. Select from among the choices on the drop-down list.

    • If you want feet, choose how the inches will appear, as fractions or decimal.

    • If you choose Fractional Feet or Feet w/ Fractional Inches, choose the fraction on the drop-down list to the right.

To enter fractions in numeric fields:

  • When you enter fractions in numeric fields, they are converted to the correct units. For example, if units are set to Feet w/ Decimal Inches, and Default Units is set to Feet, type 37/45 and press ENTER for the result 0'9.867", or 37/45'.

    Note: To enter a fraction and a units specifier, place the specifier after the divisor. For example, type 17/5', but not 17'/5.

To convert between unit types:

  • You can convert between unit types by entering any valid unit specifier, along with the number, and then pressing ENTER.

    The number is converted to the current unit display type. For example, if units are set to Meters, type 1/2 to get the result 0.5M. However, if you type 1/2' or 6" the result is 0.152M.

Interface

Click one of the option buttons (Metric, US Standard, Custom, or Generic) to activate its settings.

Metric: Click the list and choose a metric unit: Millimeters, Centimeters, Meters, Kilometers

US Standard: Click the list and choose a US Standard unit. If you choose a fractional unit, the adjoining list activates to let you select the fractional component. The decimal units require no additional specification.

Fractional Inches

Decimal Inches

Fractional Feet

Decimal Feet

Feet w/ Fractional Inches

Feet w/ Decimal Inches

For the last two items, you can specify which unit is assumed when you enter a value in a numeric field and press ENTER without including a units specifier, such as ' for feet or " for inches.

For example, if Feet is the default, typing 5 followed by ENTER results in 5 feet. Typing 5" followed by ENTER results in 0'5". If Inches is the default, typing 5 followed by ENTER results in 0'5". Typing 5' followed by ENTER results in 5 feet.

Custom: Fill in the fields to define a custom unit of measurement.

Generic: This is the default option (one inch) and is equal to the system unit used by the software.


Grid and Snap Settings

Customize menu > Grid and Snap Settings

This command displays the Grid and Snap Settings dialog. Use this dialog to choose snap settings when the 3D snap toggle is on.


Grid and Snap Settings Dialog

Customize menu > Grid and Snap Settings

Status bar > Right-click 3D Snap Toggle.

Keyboard > Hold SHIFT and right-click > Snap quadrant.

This modeless dialog establishes settings and options for snaps, the home grid, and user-defined grids.

Note: Controls on the Grid and Snap Settings dialog determine which snap settings are used when you activate snaps by clicking 3D Snap Toggle. Adjusting any of these snap settings does not automatically turn on snaps.

The Grid and Snap Settings dialog contains tabs for:

Snaps Settings

Snap Options

Home Grid Settings

User Grids Settings

Procedure

To change grid and snap settings:

  1. Choose Customize > Grid and Snap Settings and click the appropriate tab.

  2. Select the snap settings.


Snaps Settings

Customize menu > Grid and Snap Settings > Grid and Snap Settings dialog > Snaps tab

Prompt line > Right-click 3D Snap Toggle.

Keyboard > S (toggles snaps on and off)

Snaps give you control when creating, moving, rotating, and scaling objects, because they let you snap to specific portions of existing geometry during creation and transformation of objects or sub-objects. The controls in this dialog set the snap strength and other characteristics such as the snap target.

You can specify the portion of the geometry where you will snap. For example, when Vertex is selected, creation and transforms snap to the vertices of existing geometry. You can select any combination to provide multiple snap points. If Vertex and Midpoint are selected, snaps occur both at vertices and at midpoints. Grid Points is the default snap type when you turn on Snaps (although Snaps are not on by default).

Turn snaps on and off with the S key in the middle of a transform. You can use snaps with free positioning this way.

Snaps work at sub-object levels. For example, you can use snaps to position a gizmo to the object on which you're working, or snap it to other objects in the scene.

Note: You must activate a viewport in order to use snaps. Also, the Z-axis constraints don't apply to the home grid or grid objects, since grids don't have a Z axis.

Settings are stored in the gmax.ini file. The state of the snap settings persists from session to session.

Snaps and Axis Constraints

Snaps take precedence over axis constraints. If you highlight an axis constraint, such as Restrict to X, you can only move the object in X. But if you then turn on snaps, Restrict to X is suspended and not used.

Snaps: Relative and Absolute

The software offers two different types of snap behavior. You can use snaps to move a selection to a snap point, an absolute snap. You can also use snaps to move a selection a relative distance from a snap point. This is called a relative snap.

Procedures

To set grid and snap settings:

  1. Turn on the 3D Snap Toggle button to activate snaps.

  2. Display the Grid and Snap Settings dialog.

  3. In the Snaps tab, select one or more of the types of snaps you want active.

  4. Create an object or transform an object.

    Snap markers appear on existing geometry, and you'll snap to the displayed square snap points.

To display the Snaps shortcut menu:

  • Hold SHIFT and right-click anywhere in any viewport. The Snap quadrant in the quad menu that appears gives you access to transform constraints, snap to frozen, and snap settings.

To use absolute snaps:

  • Click the object with snaps on.

To use relative snaps:

  • Click in the viewport.

    The distance from your cursor to the selection set is used as the relative snap distance. The object snaps that relative distance away from the snap point.

To use both constraint and snaps, do one of the following:

  • Turn on Use Axis Constraints at Grid and Snap Settings dialog > Options tab > Translation group.

  • Hold SHIFT and right-click in the viewport, and then choose Options > Transform Constraints from the Snap quadrant.

Example: To use 3D snaps and rotation transformations together:

  1. Create a box.

  2. Select the box and choose Lock Selection.

  3. Turn on 3D Snaps and click Rotate on the toolbar.

  4. Activate the Perspective viewport and move the cursor over the grid.

    A blue icon displays when the cursor passes over a gridpoint.

  5. When the blue icon displays, click and drag to rotate the box around the selected grid point.

    You can rotate around anything you can snap to.

To turn snaps on and off during an operation:

  • Use the S keyboard shortcut to turn snap on and off.

    Tip: You can select something with snap off, and then turn snap on to snap it to a snap target. Alternately you might want to snap to something, then position it freely wherever you want.

Interface

Use these check boxes on the Snaps tab to turn on any combination of snap settings.

Note: After setting snaps, close the dialog using the Close button in the dialog's upper-right corner. Do not click the Clear All button, or you'll turn off all the snaps.

Override: This label changes to display the temporary snap type used by the Override system. See Snap Override for more information.

Clear All: Clears all of the snaps.

Standard snaps

These are the standard snap types used for grids, mesh, and shape objects. Other snap types, when active, take priority over Grid Points and Grid Lines snaps: if the mouse is equally near a grid point and some other snap type, it will choose the other snap type.

Grid Points: Snaps to grid intersections. This snap type is on by default.

Grid Lines: Snaps to any point on a grid line.

Pivot: Snaps to pivot points of objects.

Bounding Box: Snaps to one of the eight corners of an object's bounding box.

Perpendicular: Snaps to the perpendicular point on a spline, relative to the previous point.

Tangent: Snaps to a tangent point on a spline, relative to the previous point.

Vertex: Snaps to vertices of mesh objects or objects that can be converted to editable meshes. Snaps to segments on splines.

Endpoint: Snaps to the end points of edges on meshes or spline vertices.

Edge: Snaps anywhere along edges (visible or invisible).

Midpoint: Snaps to the middle of edges on meshes and spline segments.

Face: Snaps anywhere on the surface of a face. Back faces are culled, so they have no effect.

Center Face: Snaps to the center of triangular faces.


Snap Override

Customize menu > Grid and Snap Settings > Snaps tab

Snap Override lets you supercede all the currently selected snap types and temporarily use only one, or none, of the snap types currently selected on the Grid and Snap Settings dialog. For example, you might be creating a spline while snapping to Grid Points, but then need to snap one of its vertices to the midpoint of an object.

Procedure

To use Snap Override:

  1. Hold down SHIFT and right-click in a viewport.

  2. Select one of the snap types from the menus in the Snap quadrant to make it the only active snap type.

    If the Grid and Snap dialog is displayed, the "Override OFF" label displays the selected snap type. When you complete the mouse action, "Override OFF" is again displayed in the dialog, and the previously active snap types are active again.

To use Snap Override during a drag operation, do one of the following:

  • Keep the left button pressed, select from the menu with the right button, and then continue the drag operation.

  • Release the left mouse button after the menu appears, select the snap you want with a left-click, move the mouse with no buttons pressed (the geometry remains locked to the mouse), and then click to complete the operation.

Interface

In addition to the available snap types, the snap quadrant contains these items:

Options Sub-menu

Transform Constraints: Turn this off to ignore the current transform constraints. For example, if you're moving a vertex with Restrict to XY Plane on and want to snap the vertex to a point removed on the Z-axis, turn this off. Default=on.

Snap To Frozen: Turn this on to enable snap to frozen objects. Default=off.

Last: Displays the last snap type you chose, letting you easily reselect that snap type and use it again. (This item is disabled if no previous snap type was chosen.)

None: Turns off all snap types for the next mouse action. (This item is disabled if the Snap Toggle is off.)


Snap Options Settings

Snap Options

Customize menu > Grid and Snap Settings > Grid and Snap Settings dialog > Options tab

Prompt line > Right-click 3D Snap Toggle > Grid and Snap Settings dialog > Options tab

The Snap Options tab of the Grid and Snap Settings dialog lets you set options related to snapping.

Procedure

To set snap options:

  1. Choose Customize menu >Grid and Snap Settings.

  2. Click the Options tab.

  3. Set the options as desired.

Interface

Marker Group

Provides settings that affect the visual display of the snap points.

Display: Turn off the display of the snap guides. The snaps still function, but there's no display.

Size: Sets the size, in pixels, of the snap "hit" point. This is the small square that indicates either the source or target snap point.

Color: Click the color swatch to display the Color Selector dialog, where you can set the color of the snap display.

General group

Snap Strength: Sets the strength of the snap, and represents the pixel "search region" around the cursor.

Angle: Sets the increment at which objects are rotated about a given axis (degrees).

Percent: Sets the percentage increment for scale transforms.

Snap to frozen objects: When on, snapping to frozen objects is enabled. Default=off.

Translation group

Use Axis Constraints: Constrains the selected object to move only along the axes specified by the axis constraint buttons. When turned off (the default), the transform axis constraints in the toolbar are ignored, and snapped objects can be translated in any dimension (assuming 3D snapping is used). This is also available from the Snaps shortcut menu, accessed when you hold SHIFT and right-click in any viewport.


Home Grid Settings

Customize menu > Grid and Snap Settings > Home Grid tab

Prompt line > Right-click 3D snap toggle.

The Home Grid panel of the Grid And Snap Settings dialog sets the spacing and other characteristics of the home grid. Choosing useful home grid settings can simplify the construction process. The home grid provides a visual reference to use when creating objects in a scene.

In the software, grids have these primary uses:

  • An aid in visualizing space, scale, and distance.

  • Construction planes where you create and align objects in your scene.

  • A reference system for using grid snaps.

Procedures

To set grid spacing for unit measure:

  1. Choose Customize menu > Grid And Snap Settings from the menu bar.

  2. Click the Home Grid tab. Under Grid Spacing, adjust the value, which is in current units.

    For example, if you have units set to centimeters, you might make one grid space equal to 1.000 (one unit, or one centimeter in this case).

To set major grid divisions for multiple units:

  1. Choose Customize menu > Grid And Snap Settings from the menu bar.

  2. Click the Home Grid tab.

    Under Major Lines Every Nth, adjust the value, which is the number of grid squares between major lines. The minimum is 2.

    For example, if you use a grid spacing of one centimeter, you might use a value of 10 so the major grid divisions represent one decimeter.

    In perspective viewports, the displayed size of the home grid adjusts for different major grid divisions. The home grid itself is unchanged.

To set view update options:

  1. Choose Customize menu >Grid And Snap Settings from the menu bar.

  2. Click the Home Grid tab.

  3. Under Dynamic Update, choose either Active Viewport (the default) or All Viewports.

To allow subdivision below grid spacing:

  1. Choose Customize menu > Grid And Snap Settings from the menu bar.

  2. Click the Home Grid tab.

  3. Turn off Inhibit Grid Subdivision Below Grid Spacing.

  4. When you turn off this box, you can zoom indefinitely "deep" into any plane of the home grid. Each grid square subdivides into the same number of smaller grid spaces.

Interface

Grid spacing: Grid spacing is the size of the grid's smallest square. Use this spinner to adjust the spacing (which is in current units), or enter the value directly.

For example, if you have units set to centimeters, you might make one grid space equal to 1.000 (one unit, or one centimeter in this case).

Major Lines every Nth: The home grid displays heavier or "major" lines to mark groups of grid squares. Use spinner to adjust the value, which is the number of grid squares between major lines, or you can enter the value directly, the minimum is 2.

For example, if you use a grid spacing of one centimeter, you might use a value of 10 so the major grid divisions represent one decimeter.

Inhibit Grid Subdivision Below Grid Spacing: Causes gmax to treat the grid as a fixed set of lines when you zoom in on the home grid. In effect, the grid stops at the grid space setting. If you keep zooming, the fixed grid is lost from view. Zooming out is not affected. When you zoom out, the home grid expands indefinitely to maintain the major grid divisions. Default=on.

When the box is turned off, you can zoom indefinitely into any plane of the home grid. Each grid square subdivides into the same number of smaller grid spaces.

For a grid spacing of one centimeter and a major division of 10, the next level down subdivides into millimeter spaces, and so on.

Dynamic Update: By default, only the active viewport updates as you change values for Grid Spacing and Major Lines every Nth. The other viewports update after you have completed changing the values. Choose All Viewports to have all viewports update as you change the values.


User Grids Settings

Customize menu > Grid and Snap Settings > Grid and Snap Settings dialog > User Grids tab

The User Grids panel controls Grid object automation and AutoGrid settings.

Interface

Grid object automation group

Determines if the software automatically makes grids active upon creation.

Activate grids when creating: Turn on to automatically activate the grid you created.

Tip: If not turned on, you can activate the grid by selecting the grid, then right-clicking and choosing Activate Grid > Selected.

AutoGrid group

AutoGrid allows you to automatically create grids on the surface of objects. The task of creating objects that are aligned to other object surfaces has been simplified. Turn on AutoGrid in the Object Type rollout of a command panel. When you select AutoGrid, the software uses the setting in the User Grids dialog for world or object space.

World space: Aligns grids to world space.

Object space: Aligns grids to object space.


Viewport Configuration

Customize menu > Viewport Configuration

Right-click any viewport label. > Configure

The Viewport Configuration command displays the Viewport Configuration dialog. You use controls on this dialog to set options for viewport control.

All the configuration options are saved with the .gmax file. To configure startup settings for your file, you can save a maxstart.gmax file. If this file exists, the software uses it for the program’s default settings.


Viewport Configuration Dialog

Customize menu > Viewport Configuration

Right-click any viewport label. > Configure

Viewport configuration options are available in a series of tab panels on the Viewport Configuration dialog:

Rendering Method

Layout


Rendering Method (Viewport Configuration Dialog)

Rendering Method

Customize menu > Viewport Configuration > Viewport Configuration dialog > Rendering Method tab

Right-click a viewport label. > Configure > Viewport Configuration dialog > Rendering Method tab

You set the rendering method for either the current viewport or all viewports on the Rendering Method panel of the Viewport Configuration dialog.

Procedures

To set the viewport rendering method:

  1. Choose Customize menu > Configure > Viewport Configuration dialog > Rendering Method tab.

  2. Click to choose the desired rendering level and any options available for that level.

  3. Choose what to apply to the rendering level.

    • Active Viewport Only applies the rendering method to the active viewport. This choice is always the default.

    • All Viewports applies the rendering method to all configured viewports.

    • All But Active applies the rendering method to all viewports except the active one.

      Tip: This option lets you work in full detail in the current view and easily set other views to Wireframe or Bounding Box for quicker interactive display.

To enter an FOV value in a perspective view:

  1. Activate a viewport with a Perspective view.

  2. Right-click the viewport label and choose Configure to display the Viewport Configuration dialog > Rendering Method tab.

  3. Enter an angle in the Field Of View field.

Interface

When you open this dialog, the settings reflect the current viewport settings.

Rendering Level group

Determines how the software displays objects.

Smooth+Highlights: Renders objects with smooth shading and displays specular highlights.

Smooth: Renders objects with smooth shading only.

Facets+Highlights: Renders objects with flat shading and displays specular highlights.

Facets: Renders objects with flat shading only.

Lit Wireframes: Renders objects as wireframes with flat shading.

Wireframe: Draws objects as wireframes with no shading applied.

Bounding Box: Draws objects as bounding boxes with no shading applied. A bounding box is defined as the smallest box that completely encloses an object.

Edged Faces: Available only when the current viewport is in a shaded mode, such as Smooth, Smooth+Highlights, Facets+Highlights, or Facets. When Edged Faces is on in these modes, the wireframe edges of objects appear along with the shaded surfaces. This is helpful for editing meshes in a shaded display.

Edges are displayed using the object wireframe color, while surfaces use material colors (if a material is assigned). This lets you create contrasting colors between the shaded surfaces and the wireframe edges. You can switch these around in the Display Color rollout in the Display panel.

Transparency group

None: Objects with transparency assigned appear completely opaque, regardless of the transparency settings.

Stipple: Objects with transparency assigned are displayed with a “screen door” transparency effect.

Blend: Objects with transparency assigned are displayed with a two-pass transparency effect.

This option is smoother.

Apply To group

Applies the current settings to the active viewport only, to all viewports, or to all the viewports except the active one.

Rendering Options group

These check boxes modify either the shading modes or the wireframe modes. They refer to the viewport shading.

Disable View: Disables the active viewport. A disabled viewport behaves like any other viewport while active. However, when you change the scene in another viewport, the view in the disabled viewport does not change until you next activate it. Use this function to speed up screen redraws when you are working on complex geometry.

Disable Textures: Select to turn off display of texture maps assigned to objects. Turn off to show the maps assigned to objects.

Texture Correction: Redraws the viewport using pixel interpolation (perspective-corrected). The redrawn image remains until you force the viewport to redraw for any reason. This command has an effect only when the viewport is shaded and at least one object's map is displayed.

Z-Buffer Wireframe Objects: Draws the wires ordered according to depth in the scene. Otherwise wires may be drawn out of order to speed the viewport display. This option is generally needed only when sub-object selections are "hidden" by lines drawn out of order. For example, you select the front edges of a box, but they don’t appear highlighted in red, because the white lines from the rear may get drawn last. Activate this only if you find that selections are obscured or if you need the viewport redrawn from back to front.

Force 2-Sided: Set to render both sides of faces. See 2-Sided. Turn off to render only faces with normals toward the viewer. Usually, you'll want to keep this option off to speed redraw time. You might want to turn it on if you need to see the inside as well as the outside of objects, or if you've imported complex geometry in which the face normals are not properly unified.

Default Lighting: Turn on to use default lighting. Turn off to use the lights created in the scene. If no lights exist in the scene, the default lighting is used automatically, even when this check box is off. Default=off.

Sometimes the lighting you create in the scene makes the objects difficult to see in the viewport. The default lighting displays the objects under an even illumination. You can select either 1 light (default) or 2 lights.

  • 1 Light: Provides an over-the-shoulder light with 20% faster redraws at the expense of less natural illumination.

  • 2 Light: Provides more natural illumination, but slower viewport performance.

Shade Selected Faces: Faces selected in the viewport are displayed in a red semitransparent state when this is turned on, letting you see the faces you’ve selected when the Shading Mode is Smooth+Highlighted.

Use Selection Brackets: Toggles the display of white selection brackets in the viewport display. Turn this off in complex scenes when the display of multiple selection brackets obscures the required view of selected objects.

Display Selected with Edged Faces: Toggles the display of highlighted edges for selected objects when the viewport is in a shaded mode, such as Smooth, Smooth+Highlights, Facets+Highlights, or Facets. When on in these modes, the wireframe edges of selected objects appear along with the shaded surfaces. This is helpful when selecting multiple objects or small objects.

Viewport Clipping: When turned on, interactively sets a near and far range for viewport display. Two red arrows at the edge of the viewport allow you to determine where the clipping will occur. Red tick marks correspond to the extents of the viewport, the lower tick is the near clipping plane, and the upper tick sets the far clipping plane.

Fast View Nth Faces: When turned on, speeds screen redraw by displaying fewer faces. The Nth Faces spinner sets the number of faces that are displayed when the Fast View mode is active. For example, a setting of 3 displays every third face.

Perspective User View group

Field Of View: Sets the field of view angle for a Perspective viewport. This spinner is not available when any other viewport type is active. You can change the Camera field of view in the Modify panel.


Layout (Viewport Configuration Dialog)

Layout

Customize menu > Viewport Configuration > Viewport Configuration dialog > Layout tab

Right-click a viewport label. > Configure > Viewport Configuration dialog > Layout tab

You specify the division method of viewports, and assign specific types of views to each viewport on the Layout panel of the Viewport Configuration dialog.

The layout is saved with the .gmax file, so you can store different layouts in separate .gmax files. Load the file you want, then merge in the contents of other files to maintain the layout.

Through MAXScript, there are commands to set the current layout to any of the 14 available setups. You can also activate any viewport and set the view type. This enables you to create macros and custom user interface buttons to set any layout you choose.

Interface

The Layout panel is arranged in two general areas. At the top are icons representing the possible division methods. Below these is a screen representation of the currently selected layout. Click an icon to select the division method, which appears in the larger screen representation.

To assign specific views, click in the viewport in the screen representation. Choose a viewport type from the menu that displays.


Default Keyboard Shortcuts

The tables in these topics show the default keyboard shortcuts. If an entry in a table shows no default shortcut in the right-hand column, this means that no default keyboard shortcut is assigned, but you can create a shortcut for yourself.

Default keyboard shortcuts exist in these feature areas:

Main User Interface (UI)

Material Editor

Track View

Edit/Editable Mesh

Edit/Editable Patch

Edit/Editable Spline

Free-Form Deformations (FFD)

Unwrap UVW

Note: To use keyboard shortcuts other than the Main User Interface shortcuts, the Keyboard Shortcut Override Toggle on the status bar must be turned on.

Customizing Keyboard Shortcuts

Main menu > Customize > Customize User Interface > Customize User Interface dialog > Keyboard panel

To customize keyboard shortcuts, use the Keyboard panel of the Customize User Interface dialog.


Main User Interface Shortcuts

See also

Default Keyboard Shortcuts

Keyboard Panel

Customize User Interface Dialog

Note: In the Customize User Interface dialog, "RMB" stands for "right mouse button": in other words, a right-click.

Noncustomizable Keyboard Shortcut Function | Keyboard Shortcut
Numeric Expression Evaluator | CTRL+N while the cursor is in a numeric field

User Interface Function | Keyboard Shortcut
Activate Grid (Context) |
Activate Grid Object |
Activate Home Grid |
Activate Home Grid (Context) |
Adaptive Degradation Toggle | O (the letter "o")
Adaptive Perspective Grid Toggle | SHIFT+CTRL+A
Add a Custom Attribute |
Add Bones (Skin) |
Add Cross Section (Skin) |
Add Default Lights to Scene |
Add Quad (Patch) |
Add Tri (Patch) |
Additional Help |
Advanced Quad Option Menu |
Affect Diffuse Toggle |
Affect Region Modifier |
Affect Specular Toggle |
Align | ALT+A
Align Camera |
Align Grid to View |
Align to View |
Ambient Only Toggle |
Angle Snap Toggle | A
Animate Mode Toggle | N
Animation 1 (ALT+right-click) |
Animation 2 |
Apply Inverse Kinematics |
Arc Shape |
Archive |
Array |
Asset Browser |
Attach (Mesh) |
Attach (Patch) |
Attach (Spline) |
Attach List (Poly) |
Attach Multiple (Spline) |
Attachment Constraint |
Authorize gmax |
Auto Smooth Polygon (Poly) |
AutoGrid |
Back View | K
Backface Cull Toggle |
Background Lock Toggle | ALT+CTRL+B
Backup Time One Unit | , (comma)
Bend Modifier |
Bevel Element (Patch) |
Bevel Face (Mesh) |
Bevel Modifier |
Bevel Patch (Patch) |
Bevel Polygon (Mesh) |
Bevel Polygon (Poly) |
Bevel Profile Modifier |
Bind (Patch) |
Bind (Spline) |
Bone Options |
Bones IK Chain |
Boolean Compound Object |
Border Sub-object Mode |
Bottom View | B
Box Mode Selected Toggle |
Box Object |
Break Vertex (Patch) |
Break Vertices (Mesh) |
Break Vertices (Poly) |
Break Vertices (Spline) |
Camera Map (WSM) |
Camera Map Modifier |
Camera Point Object |
Camera View | C
Cap (Poly) |
Cap Holes Modifier |
Capsule Object |
Center Point Cycle |
Chamfer Edge (Mesh) |
Chamfer Edge (Poly) |
Chamfer Vertex (Mesh) |
Chamfer Vertex (Poly) |
Chamfer Vertex (Spline) |
Circle Shape |
Clear All Smoothing Groups (Patch) |
Clear All Smoothing Groups (Poly) |
Clone |
Close (Spline) |
Collapse (Mesh) |
Collapse (Poly) |
Collapse Stack |
Cone Object |
Configure Paths |
Conform Compound Object |
Conform Space Warp |
Connect (Spline) |
Connect Compound Object |
Connect to Support |
Controller Defaults Dialog |
Convert to Editable Mesh |
Convert to Editable Patch |
Convert to Editable Polygon |
Convert to Editable Spline |
Convert to Patch Modifier |
Copy Envelope (Skin) |
Create (Patch) |
Create a Key for all Transforms |
Create a Position Key |
Create a Position Key on X |
Create a Position Key on Y |
Create a Position Key on Z |
Create a Rotation Key |
Create a Rotation Key on X |
Create a Rotation Key on Y |
Create a Rotation Key on Z |
Create a Scale Key |
Create a Scale Key on X |
Create a Scale Key on Y |
Create a Scale Key on Z |
Create Bones System |
Create Command Mode |
Create Explicit Key Position X |
Create Explicit Key Position Y |
Create Explicit Key Position Z |
Create Explicit Key Rotation X |
Create Explicit Key Rotation Y |
Create Explicit Key Rotation Z |
Create Explicit Key Scale X |
Create Explicit Key Scale Y |
Create Explicit Key Scale Z |
Create Faces (Mesh) |
Create Key |
Create Keys Based off of a Source |
Create Line (Spline) |
Create Mode |
Create Polygon (Poly) |
Create Polygons (Mesh) |
Create Position Lock Key |
Create Rotation Lock Key |
Create Shape from Edges (Mesh) |
Create Shape from Edges (Patch) |
Create Shape from Edges (Poly) |
Create Vertices (Mesh) |
Create Vertices (Poly) |
Cross Hair Cursor Toggle |
Cross Insert (Spline) |
CrossSection Modifier |
Custom (SHIFT+ALT+right-click) |
Custom (SHIFT+CTRL+ALT+right-click) |
Custom (SHIFT+CTRL+right-click) |
Customize Toolbars |
Customize User Interface |
Cut Edge (Mesh) |
Cut Edge (Poly) |
Cut Faces (Mesh) |
Cut Polygon (Poly) |
Cut Polygons (Mesh) |
Cut Vertex (Poly) |
Cycle Selection Method | CTRL+F
Cycle Vertices (Spline) |
Cylinder Object |
Deactivate All Maps |
Default Lighting Toggle | CTRL+L
Default Viewport Quad |
Deflector Space Warp |
Delete a Position Key on X |
Delete a Position Key on Y |
Delete a Position Key on Z |
Delete a Rotation Key on X |
Delete a Rotation Key on Y |
Delete a Rotation Key on Z |
Delete a Scale Key on X |
Delete a Scale Key on Y |
Delete a Scale Key on Z |
Delete All Position Keys |
Delete All Rotation Keys |
Delete All Scale Keys |
Delete Mesh Modifier |
Delete Objects | DELETE
Delete Patch (Patch) |
Delete Patch Edge (Patch) |
Delete Patch Element (Patch) |
Delete Patch Modifier |
Delete Patch Vertex (Patch) |
Delete Segment (Spline) |
Delete Spline (Spline) |
Delete Spline Modifier |
Delete Track View |
Delete Vertex (Spline) |
Detach (Mesh) |
Detach (Patch) |
Detach (Poly) |
Detach Element (Patch) |
Detach Segment (Spline) |
Detach Spline (Spline) |
Directional Light |
Disable Scene Redraw Toggle |
Disable Viewport | D
Displace Modifier |
Display Command Mode |
Display Edges Only Toggle | CTRL+E
Display First Tab | ALT+1
Display Floater |
Display Selected with Edged Faces |
Display Vertices Toggle |
Divide (Spline) |
Divide Edges (Mesh) |
Divide Edges (Poly) |
Divide Faces (Mesh) |
Divide Polygon (Poly) |
Divide Polygons (Mesh) |
Dolly Mode |
Donut Shape |
Draw Cross Sections on Top (Skin) |
Draw Envelope on Top (Skin) |
Dual Planes Toggle |
Dummy Object |
Edge Sub-object Mode |
Edit Mesh Modifier |
Edit Modifier Stack |
Edit Named Selections |
Edit Patch Modifier |
Edit Spline Modifier |
Edit Triangulation (Poly) |
Element Sub-object Mode |
Ellipse Shape |
Environment Dialog |
Exclude Verts (Skin) |
Exit gmax |
Expert Mode Toggle | CTRL+X
Explode (Spline) |
Export File |
Export Selected |
Extend (Spline) |
Extrude Edge (Mesh) |
Extrude Edge (Patch) |
Extrude Edge (Poly) |
Extrude Element (Patch) |
Extrude Face (Mesh) |
Extrude Modifier |
Extrude Patch (Patch) |
Extrude Polygon (Poly) |
Extrude Polygons (Mesh) |
Face Extrude Modifier |
Face Sub-object Mode |
Fetch | ALT+CTRL+F
FFD 2x2x2 Modifier |
FFD 3x3x3 Modifier |
FFD 4x4x4 Modifier |
FFD Box Modifier |
FFD Cylinder Modifier |
FFD Select Modifier |
FFD(Box) Space Warp |
FFD(Cyl) Space Warp |
Field-of-View Mode |
File Properties |
File Replace |
Fillet (Spline) |
Fillet/Chamfer Modifier |
Filter Cross Sections (Skin) |
Filter Envelopes (Skin) |
Filter Vertices (Skin) |
Flip Faces (Mesh) |
Flip Normals Mode (Patch) |
Flip Normals Selected (Mesh) |
Flip Normals Selected (Patch) |
Flip Normals Selected (Poly) |
Flip Polygon (Mesh) |
Forward Time One Unit | . (period)
Free Camera |
Free Spotlight |
Freeze By Hit |
Freeze By Name |
Freeze Selection | 6
Freeze Unselected |
Front View | F
GeoSphere Object |
Go to End Frame | END
Go to Start Frame | HOME
Grid Align (Mesh) |
Grid Align (Poly) |
Grid and Snap Settings |
Grid Coordinate System |
Grid Object |
Grid View |
Group |
Group Attach |
Group Close |
Group Detach |
Group Explode |
Group Open |
Helix Shape |
Help Menu About Box |
Hide (Mesh) |
Hide (Patch) |
Hide (Poly) |
Hide (Spline) |
Hide By Hit |
Hide By Name |
Hide Cameras Toggle | SHIFT+C
Hide Frozen Objects Toggle |
Hide Geometry Toggle | SHIFT+O (the letter "o")
Hide Grids Toggle) | G
Hide Helpers Toggle | SHIFT+H
Hide Lights Toggle | SHIFT+L
Hide Selection |
Hide Shapes Toggle |
Hide Unselected |
Hierarchy Command Mode |
Hold | ALT+CTRL+H
Hose Object |
HSDS Modifier |
Ignore Extents Toggle |
IK Chain FK Snap |
IK Chain IK Snap |
IK Chain Snap Action |
IK Limb Solver |
IK Terminator Toggle |
Import File |
Include Verts (Skin) |
Insert Selection (Spline) |
Insert Selection (Mesh) |
Inverse Kinematics Mode Toggle |
Invisible Edge (Mesh) |
Isolate Tool |
Isometric User View | U
Keyboard Shortcut Override Toggle |
Last File 1 |
Last File 2 |
Last File 3 |
Last File 4 |
Last File 5 |
Last File 6 |
Last File 7 |
Last File 8 |
Last File 9 |
Lathe Modifier |
Lattice Modifier |
Launch gmax Material Editor |
Left View |
Light Include/Exclude Tool |
Light Lister Tool |
Light On/Off Toggle |
Lighting (CTRL+ALT+right-click) |
Line Shape |
Link Constraint |
Link Mode |
Linked XForm Modifier |
Load Custom UI |
Load Custom UI Scheme |
Load Menu File |
Local Coordinate System |
Lock User Interface Toggle | ALT+0 (zero)
LOD Tester Tool |
Loft Compound Object |
Look-At Constraint |
Macro Recorder Toggle |
Make First (Spline) |
Make Planar (Mesh) |
Make Planar (Poly) |
Match Camera To View | CTRL+C
Material by Element Modifier |
Material Editor | M
Material Modifier |
Material/Map Browser |
Maximize Viewport Toggle | W
MAXScript Listener | F11
MAXScript Reference |
Merge Animation |
Merge File |
Mesh Select Modifier |
Meshsmooth (Poly) |
MeshSmooth Modifier |
Middle Mouse Button Toggle |
Mirror Both H&V (Spline) |
Mirror Horizontally (Spline) |
Mirror Modifier |
Mirror Tool |
Mirror Vertically (Spline) |
Modeling 1 (CTRL+right-click) |
Modeling 2 |
Modifiers |
Modify Command Mode |
Modify Mode |
Morpher Modifier |
Motion Command Mode |
Move |
Move Mode |
New Scene | CTRL+N
New Script |
New Track View |
Next Modifier |
Next/Previous Key Mode Toggle |
NGon Shape |
Noise Modifier |
Noise Position Controller |
Noise Rotation Controller |
Noise Scale Controller |
Non-uniform Scale |
Normal Align | ALT+N
Normal Modifier |
Normalize Spline Modifier |
Nudge Grid Down | MINUS SIGN (numeric keypad)
Nudge Grid Up | PLUS SIGN (numeric keypad)
NURMS Toggle (Poly) |
Offset Snap | ALT+CTRL+SPACEBAR
Omni Light |
Open File | CTRL+O (the letter "o")
Open Script |
Optimize Modifier |
Orientation Constraint |
Outline (Spline) |
Pan Camera Mode |
Pan Non-Camera View Mode |
Pan View | CTRL+P
Pan Viewport | I (the letter "i")
Parameter Wiring Dialog |
Parent Coordinate System |
Paste Envelope (Skin) |
Paste to All Envelopes (Skin) |
Patch Select Modifier |
Patch Sub-object Mode |
PatchDeform Modifier |
Path Constraint |
PathDeform Modifier |
Perspective Mode |
Perspective User View | P
Pitch Viewport Down Big |
Pitch Viewport Down Small |
Pitch Viewport Up Big |
Pitch Viewport Up Small |
Place Highlight | CTRL+H
Plane Object |
Play Animation | / (forward slash)
Plug-in Information |
Plug-in Manager |
Point Object |
Polygon Counter | Q
Polygon Sub-object Mode |
Position Constraint |
Preferences |
Preserve Modifier |
Preview Depth of Field in Viewport |
Previous Modifier |
Properties |
Protractor Object |
Quad Patch Object |
Quad Swap to Animation |
Quad Swap to Default |
Quad Swap to Modeling |
Quad Swap to Rendering |
Rectangle Shape |
Redo Scene Operation | CTRL+A
Redo Viewport Operation | SHIFT+A
Redraw All Views | 1 ("one")
Refine (Spline) |
Refine Connect (Spline) |
Relax Modifier |
Remove Cross Section (Skin) |
Remove Isolated Vertices (Mesh) |
Remove Isolated Vertices (Poly) |
Remove Multiple Bones (Skin) |
Reset Background Transform |
Reset File |
Reset Plane (Poly) |
Restore Active View |
Restrict Direction Cycle |
Restrict Plane Cycle | F8
Restrict to X | F5
Restrict to Y | F6
Restrict to Z | F7
Retriangulate (Poly) |
Reverse (Spline) |
Revert to Startup Menu |
Revert to Startup UI |
Right View | R
Ripple Modifier |
Roll Mode |
Roll Viewport CCW Big |
Roll Viewport CCW Small |
Roll Viewport CW Big |
Roll Viewport CW Small |
Rotate |
Rotate Mode |
Rotate View Mode | CTRL+R, V
Run Script |
Sample 4x1 |
Sample 4x5 |
Sample 4xN |
Save Active View |
Save Custom UI |
Save Custom UI As |
Save Custom UI Scheme |
Save File | CTRL+S
Save File As |
Save Incremental (+) (with incremented file name) |
Save Menu File |
Save Menu File As |
Save Selected |
Saved Track View 1 |
Saved Track View 10 |
Saved Track View 11 |
Saved Track View 12 |
Saved Track View 13 |
Saved Track View 2 |
Saved Track View 3 |
Saved Track View 4 |
Saved Track View 5 |
Saved Track View 6 |
Saved Track View 7 |
Saved Track View 8 |
Saved Track View 9 |
Scale |
Scale Cycle |
Scale Mode |
Scatter Compound Object |
Screen Coordinate System |
See-Through Display Toggle | ALT+X
Segment Sub-object Mode |
Select All |
Select Ancestor | PAGE UP
Select and Manipulate |
Select By Color |
Select by Crossing |
Select by Material ID (Patch) |
Select by Window |
Select Child | PAGE DOWN
Select Children |
Select End Point (Skin) |
Select Include Verts (Skin) |
Select Invert |
Select Mode |
Select Next Bone (Skin) |
Select None |
Select Open Edges (Mesh) |
Select Open Edges (Patch) |
Select Previous Bone (Skin) |
Select Start Point (Skin) |
Select Target (Cameras) |
Select Target (Lights) |
Select-By-Name Dialog | H
Selected By Smoothing Group (Patch) |
Selection Floater |
Selection Lock Toggle | SPACEBAR
Separator |
Shade Selected Faces Toggle | F2
Shade Selected Toggle |
Shadows On/Off Toggle |
Shape Viewport |
ShapeMerge Compound Object |
Show All Grids Toggle | SHIFT+G
Show Background Toggle |
Show Command Panel Toggle | 3, Q
Show Dependencies |
Show Floating Toolbars Toggle | 4
Show Ghosting Toggle |
Show Home Grid |
Show Key Times Toggle |
Show Main Toolbar Toggle | ALT+6
Show Safeframes Toggle | SHIFT+F
Show Selection Bracket Toggle |
Show Tab Panel Toggle | 2, Y
Show Time Slider |
Show Track Bar Toggle |
Show Trajectories Toggle |
Show Transform Gizmo |
Show Viewport Tooltips Toggle |
Skew Modifier |
Skin Modifier |
Slice Modifier |
Slice Plane (Mesh) |
Slice Plane (Poly) |
Smooth Modifier |
SMPTE / Frames Toggle |
Snap (SHIFT+right-click) |
Snap Menu |
Snap Percent Toggle | SHIFT+CTRL+P
Snap Toggle | S
Snaps Cycle | ALT+SPACEBAR
Snapshot |
Sound Toggle | \ (backslash)
Spacing Tool | SHIFT+I (letter "i")
Sphere Object |
Spinner Drag Update Toggle |
Spinner Snap Toggle |
Spline Select Modifier |
Spline Sub-object Mode |
Split (Poly) |
Spot/Directional Light View | SHIFT+4
Star Shape |
Start Parameter Wiring |
Subdivide Edge (Patch) |
Subdivide Element (Patch) |
Subdivide Patch (Patch) |
Sub-object Level Cycle | INSERT
Sub-object Menu |
Sub-object Selection Toggle | CTRL+B
Subtract (Spline) |
Summary Info |
Surface Constraint |
Surface Modifier |
SurfDeform (WSM) |
SurfDeform Modifier |
Tape Measure Object |
Taper Modifier |
Target Camera |
Target Directional Light |
Target Spotlight |
Target Weld (Mesh) |
Target Weld (Patch) |
Target Weld (Poly) |
Teapot Object |
Tessellate (Poly) |
Tessellate Modifier |
Text Shape |
Texture Browser |
Texture Correction | CTRL+T
Time Configuration |
Time Slider Capture Toggle |
Top View | T
Torus Object |
Track View Floater |
Track View Selected |
Track View Viewport | E
Transform Gizmo Center Toggle |
Transform Gizmo Labels Toggle |
Transform Gizmo Planes Toggle |
Transform Gizmo Size Down | = (equals sign)
Transform Gizmo Size Up | - (minus sign)
Transform Gizmo Toggle | X
Transform Type-In Dialog | F12
Tri Patch Object |
Trim (Spline) |
Trim/Extend Modifier |
Truck Mode |
Tube Object |
Turn Edges (Mesh) |
Tutorials |
Twist Modifier |
Unbind (Patch) |
Unbind (Spline) |
Undo Scene Operation | CTRL+Z
Undo Viewport Operation | SHIFT+Z
Unfreeze All | 7
Unfreeze by Hit |
Unfreeze by Name |
Ungroup |
Unhide All |
Unhide All (Mesh) |
Unhide All (Patch) |
Unhide All (Poly) |
Unhide All (Splines) |
Unhide by Name | 5
Unify Normals (Mesh) |
Unify Normals (Patch) |
Unit Setup |
Unlink Mode |
Unwrap UVW Modifier |
Unwrap UVW Quad |
UOmniFlect Space Warp |
Update Background Image | ALT+SHIFT+CTRL+B
User Reference |
Utility Command Mode |
UVW Map Modifier |
UVW XForm Modifier |
Vertex Paint Modifier |
Vertex Sub-object Mode |
View Align (Mesh) |
View Align (Poly) |
View Coordinate System |
View Edged Faces Toggle | F4
View File |
Viewport Background | ALT+B
Viewport Box Mode Toggle | SHIFT+B
Viewport Clipping |
Viewport Configuration |
Visible Edge (Mesh) |
Volume Select Modifier |
Wave Modifier |
Weld Vertices (Mesh) |
Weld Vertices (Patch) |
Weld Vertices (Poly) |
Weld Vertices (Spline) |
Window/Crossing Toggle |
Wireframe / Facet All Toggle |
Wireframe / Facet Shading Toggle |
Wireframe / Smooth Shading Toggle |
Wireframe / Smooth+Highlights Toggle | F3
Wireframe / Smooth+Highlights All Toggle |
World Coordinate System |
XForm Modifier |
XRef Objects |
XRef Scenes |
Yaw Viewport CCW Big |
Yaw Viewport CCW Small |
Yaw Viewport CW Big |
Yaw Viewport CW Small |
Zoom All Mode |
Zoom Extents | ALT+CTRL+Z
Zoom Extents All | SHIFT+CTRL+Z
Zoom Extents Selected |
Zoom Extents Selected All |
Zoom In 2X | SHIFT+PLUS SIGN (numeric keypad)
Zoom In 2X All |
Zoom Mode | Z
Zoom Out 2X | SHIFT+MINUS SIGN (numeric keypad)
Zoom Out 2X All |
Zoom Region Mode | CTRL+W
Zoom to Selected Bone (Skin) |
Zoom to Selected Gizmo (Skin) |
Zoom Viewport In | [ (open square bracket)
Zoom Viewport Out | ] (closed square bracket)


Track View Shortcuts

To use Track View keyboard shortcuts, the Keyboard Shortcut Override Toggle on the status bar must be turned on.

See also

Track View

Default Keyboard Shortcuts

Keyboard Panel

Customize User Interface Dialog

Track View Function | Keyboard Shortcut
Access Hierarchy Select Name Field |
Access Time Field |
Access Track Name Field |
Access Value Field |
Add Keys | A
Add Note Track |
Add Visibility Track |
Align Keys |
Apply Ease Curve |
Apply Multiplier Curve |
Assign Controller |
Copy Controller |
Copy Time |
Cut Time |
Delete Ease/Multiplier Curve |
Delete Note Track |
Delete Visibility Track |
Ease Curve Out-of-Range Types |
Ease/Multiplier Curve Enable Toggle |
Edit Keys Mode | E
Edit Ranges Mode | F3
Edit Time Mode | F2
Exclude Left End Point Toggle |
Exclude Right End Point Toggle |
Expand Object Toggle | O (the letter "o")
Expand Track Toggle |
Filters |
Freeze Nonselected Curves |
Function Curves Mode | F5, F
Insert Time |
Lock Selection | SPACEBAR
Lock Tangents Toggle |
Make Controller Unique |
Modify Subtree Toggle |
Move Highlight Down | DOWN ARROW
Move Highlight Up | UP ARROW
Move Keys |
Move Keys Horizontal |
Move Keys Vertical |
Move Object Down |
Move Object Up |
Multiplier Curve Out-of-Range Types |
Nudge Keys Left | LEFT ARROW
Nudge Keys Right | RIGHT ARROW
Pan |
Parameter Curve Out-of-Range Types |
Paste Controller |
Paste Time |
Position Ranges Mode | F4
Properties |
Reduce Keys |
Reverse Time |
Scale Keys/Time |
Scale Values |
Scroll Down | CTRL+DOWN ARROW
Scroll Up | CTRL+UP ARROW
Select Time |
Show Selected Key Statistics |
Show Tangents Toggle |
Slide Keys |
Snap Frames |
Track View Utilities |
Zoom |
Zoom Horizontal Extents |
Zoom Horizontal Extents Keys |
Zoom Region |
Zoom Selected Object |
Zoom Time |
Zoom Value Extents |
Zoom Values |


Material Editor Shortcuts

To use Material Editor keyboard shortcuts, the Keyboard Shortcut Override Toggle on the status bar must be turned on.

See also

Material Editor

Default Keyboard Shortcuts

Keyboard Panel

Customize User Interface Dialog

Material Editor Function | Keyboard Shortcut
Access Editable Name Field |
Assign Material to Selection |
Background |
Backlight |
Change Material/Map Type |
Copy/Rotate Drag Mode Toggle |
Custom Background Toggle |
Cycle 3X2, 5X3, 6X4 Sample Slots |
Get Material |
Go Backward to Sibling |
Go Forward to Sibling |
Go to Parent |
Launch Magnify Window |
Make Material Copy |
Make Preview |
Manual Update Toggle |
Options |
Pick Material from Object |
Put Material to Scene |
Put to Library |
Render Map |
Reset Sample Slot Rotation |
Save Preview |
Select by Material |
Show End Result |
Show Map in Viewport |
Undo Scene Operation | CTRL+Z
Update Active Material |
Video Color Check |
View Preview |


Edit/Editable Mesh Shortcuts

To use keyboard shortcuts for Edit Mesh and Editable Mesh objects, the Keyboard Shortcut Override Toggle on the status bar must be turned on.

See also

Editable Mesh

Edit Mesh Modifier

Default Keyboard Shortcuts

Keyboard Panel

Customize User Interface Dialog

Edit/Editable Mesh Function | Keyboard Shortcut
Attach List |
Attach Mode |
Auto Edge |
Auto Smooth |
Bevel Mode | CTRL+V, CTRL_B
Break Vertices |
Chamfer Mode | CTRL+C
Collapse |
Copy Named Selection |
Create Mode |
Cut Mode | ALT+C
Delete Isolated Vertices |
Detach | CTRL+D
Divide Mode |
Edge Invisible | CTRL+I
Edge Level | 2
Edge Turn | CTR+T
Edge Visible |
Element Level | 5
Explode |
Extrude Mode | CTRL+E
Face Level | 3
Flip Normal Mode |
Flip Normals |
Grid Align |
Hide Selected |
Ignore Backfiring in Selections |
Ignore Visible Edges (for Polygons) |
Make Planar |
Next Sub-object Level |
Object Level |
Paste Named Selection |
Polygon Level | 4
Previous Sub-object Level |
Refine Cut ends |
Select By Vertex Toggle |
Select Open Edges |
Set Vertex Color |
Set Vertex Illumination |
Show Normals |
Slice |
Slice Plane |
Soft Selection |
Soft Selection Affect Backfacing |
Splits |
Unhide All |
Unify Normals |
Vertex Level | 1
View Align |
Weld Selected | CTRL+W
Weld Target Mode | ALT+W


Edit/Editable Patch Shortcuts

To use keyboard shortcuts for Edit Patch and Editable Patch objects, the Keyboard Shortcut Override Toggle on the status bar must be turned on.

See also

Editable Patch

Edit Patch Modifier

Default Keyboard Shortcuts

Keyboard Panel

Customize User Interface Dialog

Edit/Editable Patch Function | Keyboard Shortcut
Edit/Editable Patch Menu |


Edit/Editable Spline Shortcuts

To use keyboard shortcuts for Edit Spline and Editable Spline objects, the Keyboard Shortcut Override Toggle on the status bar must be turned on.

See also

Editable Spline

Edit Spline Modifier

Default Keyboard Shortcuts

Keyboard Panel

Customize User Interface Dialog

Edit/Editable Spline Function | Keyboard Shortcut
Edit/Editable Spline Menu |


Free-Form Deformation (FFD) Shortcuts

To use keyboard shortcuts for Free-Form Deformation (FFD) modifiers, the Keyboard Shortcut Override Toggle on the status bar must be turned on.

See also

FFD Modifiers

FFD (Box/Cylinder) Modifiers

Default Keyboard Shortcuts

Keyboard Panel

Customize User Interface Dialog

Free-Form Deformations Function | Keyboard Shortcut
Switch To Control Point Level | ALT+SHIFT+C
Switch To Lattice Level | ALT+SHIFT+L
Switch To Set Volume Level | ALT+SHIFT+S
Switch To Top Level | ALT+SHIFT+T


Unwrap UVW Shortcuts

To use keyboard shortcuts for the Unwrap UVW modifier, the Keyboard Shortcut Override Toggle on the status bar must be turned on.

See also

Unwrap UVW Modifier

Default Keyboard Shortcuts

Keyboard Panel

Customize User Interface Dialog

Unwrap UVW Function | Keyboard Shortcut
Break Selected Vertices | CTRL+B
Detach Edge Vertices | CTRL+D
Edit UVWs | CTRL+E
Filter Selected Faces | CTRL+SPACE
Flip Horizontal | ALT+SHIFT+CTRL+B
Flip Vertical | ALT+SHIFT+CTRL+V
Freeze Selected | CTRL+F
Get Face Selection From Stack | ALT+SHIFT+CTRL+F
Get Selection From Faces |
Hide Selected | CTRL+H
Load UVW | ALT+SHIFT+CTRL+L
Lock Selected Vertices | SPACEBAR
Mirror Horizontal | ALT+SHIFT+CTRL+N
Mirror Vertical | ALT+SHIFT+CTRL+M
Move Horizontal | ALT+SHIFT+CTRL+J
Move Vertical | ALT+SHIFT+CTRL+K
Pan | CTRL+P
Pixel Snap | S
Planar Map Faces/Patches | | (vertical bar)
Reset UVWs | ALT+SHIFT+CTRL+R
Save UVW | ALT+SHIFT+CTRL+S
Scale Horizontal | ALT+SHIFT+CTRL+I (the letter "i")
Scale Vertical | ALT+SHIFT+CTRL+O (the letter "o")
Texture Vertex Contract Selection | - (minus sign)
Texture Vertex Expand Selection | + (plus sign)
Texture Vertex Move Mode | Q
Texture Vertex Rotate Mode | W
Texture Vertex Scale Mode | E
Texture Vertex Weld Selected | ALT+CTRL+W
Texture Vertex Target Weld | CTRL+W
Unfreeze All | ALT+F
Unhide All | ALT+H
Unwrap Options | CTRL+O (the letter "o")
Update Map | ALT+SHIFT+CTRL+M
Zoom | Z
Zoom Extents | ALT+CTRL+Z
Zoom Region | CTRL+Z
Zoom Selected Elements | ALT+SHIFT+CTRL+Z
Zoom to Gizmo | SHIFT+SPACEBAR


Glossary

This section of the Help system contains explanations of various concepts and terms used in the reference, arranged alphabetically.

You’ll get these same explanations when you click hypertext links in the help topics.

You can browse through the glossary terms by clicking the links in the list below. You can scroll to another alphabetic group by using the buttons above.

#

2-Sided

A

Active Time Segment

Adaptive Degradation

Affine Transformation

Align Flyout

Ambient Color

Ambient Light

Animation

Animation Controllers/Transform Controllers

Arc Rotate Flyout

Array Flyout

Aspect Ratio

Asset Browser

Attenuation

Axis Tripod

Axonometric Views

B

B-Spline

Barycentric Coordinates

Bezier Curve

Bitmap

BMP File

Boolean Operation

Bound Vertex

Bounding Box

C

Clipping Planes

Cool

D

Diffuse Color

Dock

Dummy Object

DXF Files

E

Ease Curve

Editable Mesh

Editable Poly

Element

End Effector

Extents

F

Field of View

Field of View Flyout

First Vertex

Float

Flyout

Follow Object

Forward Kinematics

FOV Direction Flyout

Frame Rate

Freeze/Unfreeze

Function Curve

G

Gamma Correction

Gizmo/Center

Grid Object

H

Hierarchical Linkage

Home Grid

Horizon

Hot

Hotspot/Falloff

I

IK Solution

Instance

Inverse Kinematics

J

JPEG Files

K

Keyframes/Keys

Kinematic Chain

L

Launch Script

Listener Window

Local Coordinate System

Lofting

M

Map Bias

Map Channel

Mapping Coordinates

Maps

Material ID

Materials

MAXScript

Modal/Modeless

Modifier Stack

Modifiers

Morphing

MSP (MAXScript Package) Files

Multiplier

Multiplier Curve

N

Normals

NTSC

O

Object

Object-Space Modifiers

Omni Light

Operand

Origin

Orthographic Views

Out-of-Range Types

Overshoot

P

PAL

Parametric

Patch

Path

Perspective Views

Pivot Point

Pixel

Plug-ins

Precedence

PRJ/3DS Files

Projector Light

Q

Quadtree

R

Ray-Trace Bias

Ray-traced Shadows

Real Time

Red, Green, Blue/Hue, Saturation, Value

Reference

Restrict to Plane Flyout

S

Sample Range

Script

Script Editor Window

Scripted Utility Panel

Scripting

Select and Scale Flyout

Selection Region Flyout

Self-Illumination

Shadow Maps

Shapes and Splines

SHP Files

Smoothing Groups

SMPTE

Spacing Tool

Specular Color

Specular Level and Glossiness Settings

Spline

Startup Script

Sub-Object

Sub-Object Level

T

Tangents

Targa Files

TCB (Tension, Continuity, Bias)

Texel

Ticks

TIFF Files

Tile/Mirror

Track View Hierarchy Icons

Tracks

Trajectory

Transforms

Truecolor

U

Use Center Flyout

UVW Coordinates

V

Vectors/Vector Handles

Viewport (Interactive) Renderer

W

World Coordinate System

World-Space Modifiers

X

XRef

Y

Z

Zoom Extents All Flyout

Zoom Extents Flyout


2-Sided (Glossary)

Glossary

2-Sided

Two cubes with their top surface removed.
The one on the right is shown single-sided.
The one on the left is shown as 2-sided.

In gmax, faces and polys are one-sided. The front is the side with the surface normal. The back side of the face is invisible in the viewports; the face appears to be missing when viewed from the back. Objects are usually created with the surface normals facing outward, but it is possible to create objects with the faces flipped or to import complex geometry in which the face normals are not properly unified.

To see both sides of a face, turn on the Force 2-Sided option in the Viewport Configuration dialog.

You can also change normals explicitly by using the Normal modifier.


Active Time Segment (Glossary)

Glossary

Active Time Segment

The active time segment is the total range of frames that you can access using the time slider.

By default, the active time segment runs from frames 0 to 100, but you can set it to any range. In addition, the active time segment can include negative frame numbers, so you can create keys before frame 0 and work in negative time.

You can change the active time segment whenever you want without affecting the keys you've already created. You might think of it as a window in time, specifying only that portion of your animation in which you want to work. Thus, if you have keys scattered over a range of 1000 frames, you can narrow your active time segment to work on only frames 200-300 without affecting the keys outside of the segment.


Adaptive Degradation (Glossary)

Glossary

Adaptive Degradation

Adaptive Degradation dynamically drops the rendering level in shaded viewports, based on display performance. Adaptive degradation takes effect while you work in a shaded viewport transforming objects, changing the view, or playing back an animation.

The Degradation Override button, on the status bar, overrides adaptive degradation so that the active viewport is always shaded, even if this slows performance or causes animation playback to drop frames.

You can set the parameters that control the trade-off between display quality and display speed. The selected levels determine which rendering levels the software falls back to when it cannot maintain the desired display speed. You can choose as many levels as you want, but you are advised to choose only one or two levels for each type of degradation.

Note: When you use Arc Rotate in a shaded viewport while Degradation Override is off, objects degrade to bounding boxes regardless of the adaptive degradation settings.


Affine Transformation (Glossary)

Glossary

Affine Transformation

A geometric transformation, move, rotation, or scale that can alter distances between points or angles between lines, but preserves straight lines and the parallel relation between parallel lines. gmax transform operations are affine transformations.


Align Flyout (Glossary)

Glossary

Align Flyout

The Align flyout, available from the toolbar, provides access to five different tools for aligning objects. These are, from top to bottom:

Align

Normal Align

Place Highlight

Align Camera

Align to View


Ambient Color (Glossary)

Glossary

Ambient Color

Ambient color is the color of an object where it is in shadow.

This color is what the object reflects when illuminated by ambient light rather than direct light.

You can lock a material's ambient color to its diffuse color so that changing one automatically changes the other.


Ambient Light (Glossary)

Glossary

Ambient Light

Left: No ambient light
Middle: Default ambient light
Right: User-adjusted ambient light

Ambient light is the general light that illuminates the entire scene. It has a uniform intensity and is uniformly diffuse. It has no discernible source and no discernible direction.

By default, there's a small amount of ambient light in every scene. If you examine the darkest shadows on your model with the default ambient light setting, you can still make out the surface because it's lit by the ambient light.

Often, the best practice in lighting is to set your ambient lighting to black, set up all your lights, and then decide at the end if you need to apply general lighting.


Animation (Glossary)

Glossary

Animation

Animation, like movies and television, is based on a principle called "persistence of vision." If you view a series of related still images in quick succession, your brain perceives them as continuous motion. gmax refers to each image as a frame.

Historically, the major difficulty in creating animations has been that the animator must produce a large number of frames. Depending on the quality you want, one minute of animation might require between 720 and 1800 separate still images. Creating images by hand is a big job. That's where keyframing comes in.

Most of the frames in an animation are routine, incremental changes from the previous frame directed toward some predefined goal. Early animation studios quickly realized they could increase the productivity of their master artists by having them draw only the important frames, called keyframes. Assistants could then figure out the frames that were required in between the keyframes. These frames were (and still are) called tweens.

Use gmax as your animation assistant. As the master animator, you create the keyframes that record the beginning and end of each transformation. The values at these keyframes are called keys. The software calculates the interpolated values between each key value, resulting in tweened animation.

gmax is not limited to animating transformations (such as position, rotation, and scale). It can animate just about any parameter you can access. Thus, you can animate modifier parameters, such as a Bend or a Taper angle, material parameters, such as the color or transparency of an object, and much more.


Animation Controllers/Transform Controllers (Glossary)

Glossary

Animation Controllers/Transform Controllers

All animation in gmax is performed through animation controllers. The most common animation controllers, those for move (position), rotate, and scale, are also referred to as transform controllers.

Each animation track has its own controller, and each controller can be different.

In the Track View hierarchy list, the controller tracks are represented by the green-arrow icons. You can see which specific controllers are assigned to each track by turning on the controllers display in the Track View (right-click Filters in the Track View toolbar, and choose Controller Types from the list). The controller names appear beside the tracks to which they're assigned.

You can assign different controllers to the tracks, affecting the way they respond. The Bezier controller, assigned by default to all Position tracks, lets you move objects using the Select and Move transform tool, and converts those movements into Bezier splines. You can adjust the splines in Function Curve editing mode.


Arc Rotate Flyout (Glossary)

Glossary

Arc Rotate Flyout

The Arc Rotate flyout displays the Arc Rotate button, the Arc Rotate Selected button, and the Arc Rotate Sub-Object button. Use these to rotate your viewpoint around the view.


Array Flyout (Glossary)

Glossary

Array Flyout

The Array flyout, available from the main toolbar, provides access to three different tools for creating arrays of objects. These are, from top to bottom:

Array

Snapshot

Spacing Tool


Aspect Ratio (Glossary)

Glossary

Aspect Ratio

Various aspect ratios

ratio describes the proportions of a still image or the frames in a movie, expressed as the ratio of width to height. For example, pre-1950s movies and 35 mm slides have an aspect ratio of 4:3.

Aspect ratio is usually expressed either as a ratio of width over height (for example, 4:3) or as a real value relative to 1 (for example, 1.333).

When you make a spotlight a projector, set the spotlight's aspect ratio to match the aspect ratio of the image it's projecting (with the Bitmap Fit button). If you don't, the software stretches (and distorts) the bitmap to fill the projector cone.


Asset Browser (Glossary)

Glossary

Asset Browser

The Asset Browser provides access from your desktop to design content on the World Wide Web. From within gmax, you can browse the Internet for texture samples and product models. This includes bitmap textures (BMP, JPG, TIF, and TGA), or geometry files (GMAX, 3DS, and so on). You can drag these samples and models into your scene for immediate visualization and presentation. You can snap geometry into predefined locations, or drag and drop them interactively in your scene. You can also use the Asset Browser to browse thumbnail displays of bitmap textures and geometry files on your hard disk or shared network drives. Then you can either view them or drag and drop them into your scene or into valid map buttons.

Note: The thumbnail display of a geometry file is a bitmap representation of a view of the geometry. Since the thumbnail display is not a vector-based representation, you can't rotate it or perform zooms on it.

You can drag and drop many graphic images that are embedded in a Web page into your gmax scene. The exception is images or regions of a Web page that are tagged as hyperlinks or other HTML controls (such as when a bitmap is tagged as a button).

Important: Downloaded content may be subject to use restrictions or license of site owner. User is responsible for obtaining all content license rights.

For complete details, see Asset Browser.


Attenuation (Glossary)

Glossary

Attenuation

Image on right has attenuation

In the real world, light diminishes over distance. Objects far from the light source appear darker; objects near the source appear brighter. This effect is known as attenuation.

In nature, light attenuates at an inverse square rate; that is, its intensity diminishes in proportion to the square of the distance from the light source. It is common for attenuation to be even greater when light is dispersed by the atmosphere, especially when there are clouds or fog present.

By default, attenuation is not used by the lights you create in gmax. Consequently, the distance of the light to the object is meaningless. Only the angle of the light to the surface has any effect unless you turn on attenuation.

gmax lets you explicitly set where attenuation begins and where it ends. This is partly so you don't have to worry about setting up strictly realistic distances between light objects and the objects they illuminate. More importantly, this feature lets you fine-tune the effect of attenuation. In outdoor scenes, attenuation can enhance the effect of distance. In an indoor setting, attenuation is useful for low-intensity light sources such as candles.

Note: Light attenuation is not visible in the gmax viewports. It might or might not be supported by your target game engine.


Axis Tripod (Glossary)

Glossary

Axis Tripod

An axis tripod appears in the viewports whenever you select one or more objects, to assist you visually in your transforms.

The tripod consists of three lines, labeled X, Y, and Z, and shows you three things:

  • The orientation of the tripod reveals the orientation of your coordinate system.

  • The location of the junction of the three axis lines shows you where your transform center is.

  • The highlighted red axis lines show you the axis or axes to which the transform is constrained. For example, if only the X axis line is red, you can move objects only along the X axis.

You can toggle the display of the axis tripod in all viewports by turning off Display World Axis, on the Viewports panel of the Preference Settings dialog.

See also

Using Transform Gizmos


Axonometric Views (Glossary)

Glossary

Axonometric Views

Axonometric view of the ice-cream shop

A projected view of 3-dimensional space that displays from one to three sides of an object. The lines in an axonometric view do not converge to vanishing points as they do in a perspective view, so lines that are parallel in 3D space are parallel in the view. For this reason, diagonal and curved lines can appear to be distorted.

Isometric and orthographic views are special cases of axonometric views.


B-Spline (Glossary)

Glossary

B-Spline

B-spline (basis spline) is a kind of spline generated by so-called basis functions. The advantage of the B-spline over the Bezier curve (which is a special case of B-splines) is that the control vertices (CVs) of a B-spline affect only their local region of the curve or surface.


Barycentric Coordinates (Glossary)

Glossary

Barycentric Coordinates

Given a triangle between points A, B, and C, each point X on the surface of the triangle can be represented by a weighted sum of the corners:

X = a*A + b*B + c*C

where a, b, and c are numbers between 0 and 1 and a+b+c = 1.

These numbers are called the barycentric coordinates of the point X. There is one unique set of barycentric coordinates for each point on the triangle.

Examples

The center of gravity of the triangle is given by the barycentric coordinates (1/3, 1/3, 1/3): X = 1/3 A + 1/3 B + 1/3 C = (A+B+C)/3.

If one of the barycentric coordinates is zero, the point X must lie on the opposite edge. For instance:

if a=0, X = b*B + c*C

where b+c=1

This means that X is on the line segment BC.

If a=1, on the other hand, then b=c=0, and X must be exactly the point A.


Bezier Curve (Glossary)

Glossary

Bezier Curve

Bezier curve and the control points and tangent vectors about each vertex

A curve modeled using a parametric polynomial technique. Bezier curves can be defined by many vertices. Each vertex is controlled by two other points that control the endpoint tangent vectors. Bezier curves were developed by P. Bezier for computer modeling in automobile design. They are a special case of B-splines.


Bitmap (Glossary)

Glossary

Bitmap

Various bitmap images

A bitmap is a still image produced by a fixed matrix of colored pixels, like a mosaic. You can use bitmaps as textures for materials. Bitmaps are useful for creating many kinds of materials, from wood grains and wall surfaces to skin and feathers.

In gmax you can use the following bitmap file formats:


Boolean Operation (Glossary)

Glossary

Boolean Operation

The fence is operand A, and the cat is operand B
Upper left and right: A minus B
Second to upper left: B minus A
Second to lower left: Union
Lower left: Intersection

A Boolean object combines two objects by performing a Boolean operation on them. In gmax, a Boolean object is made from two overlapping objects. The original two objects are the operands (A and B) and the Boolean object itself is the result of the operation.

For geometry, the Boolean operations are:

  • Union: The Boolean object contains the volume of both original objects. The intersecting or overlapping portion of the geometry is removed.

  • Intersection: The Boolean object contains only the volume that was common to both original objects (in other words, where they overlapped).

  • Subtraction (or difference): The Boolean object contains the volume of one original object with the intersection volume subtracted from it.


Bounding Box (Glossary)

Glossary

Bounding Box

The bounding box is the smallest box that encloses the maximum dimensions or extents of an object.

You can display selected objects in the scene as bounding boxes to speed up screen redraw. Use the Object Properties dialog, the Tools > Display Floater, or the Display Properties group in the Display panel.

The Align command uses the maximum and minimum extents of the object's bounding box to align objects.


Bound Vertex (Glossary)

Glossary

Bound Vertex

Binding spline vertices via the Refine and Bind functions in Editable Spline (Vertex) is useful for connecting splines when building a spline network for use with the Surface Modifier.

Bound vertices are black, allowing them to be easily distinguished from standard vertices. You cannot move a bound vertex directly. However, changing the segment length by scaling it or by moving a connected vertex causes the bound vertex to shift its position in order to remain at the segment's midpoint. You can change a bound vertex's type (right-click the vertex, and then choose the type from the bottom of the right-click menu), and if you convert it to a Bezier or Bezier corner, you can manipulate its handles.


Clipping Planes (Glossary)

Glossary

Clipping Planes

Clipping planes let you exclude some of a scene's geometry to view only certain portions of the scene. Each camera and viewport has a near and a far clipping plane. Objects closer than the near clipping plane or farther than the far clipping plane are invisible.

Clipping planes are useful for viewing selected portions of a scene that have a lot of complex geometry.

Clipping plane settings are part of the camera's creation parameters. The location of each clipping plane is measured along the camera's line of sight (its local Z axis) in the current units for the scene.


Codec (Glossary)

Glossary

Codec

Short for compressor/decompressor. An algorithm for compressing and decompressing digital video data, and the software that implements that algorithm.


Containers (Glossary)

Glossary

Containers

Containers are Track View items with multiple branches that provide a complete definition of something in your scene.

Container items that appear in the Track View include:

  • Materials definitions with all parameters, maps, and sub-materials.

  • Maps containers with all map types and map parameters.

  • Single Map containers with a single map type and its associated parameters.

  • Object containers directly below a named object item defining the creation parameters of an unmodified object.

  • Modified Object containers holding all of the modifiers applied to an object as well as the creation parameters.


Cool (Glossary)

Glossary

Cool

It's useful to be able to edit a material in the Material Editor and have it immediately updated in the scene. Sometimes you want to work on a material without affecting the scene. You want to adjust a material until you're sure that it's what you want, and then reassign it. In other words, you want to cool a hot material.

You cool a material by copying it in the Material Editor. Choose the material, and then click Copy. This creates a new material that is not applied to objects in the scene, but has the same settings as the hot material. You can now adjust the cool material, and compare it with the hot material. If you like the changes you've made, you can then apply the new material to the scene.


Diffuse Color (Glossary)

Glossary

Diffuse Color

Vase has a mapped diffuse color.

The diffuse color is the color that an object reflects when illuminated by "good lighting," that is, by direct daylight or artificial light that makes the object easy to see.

When we describe an object's color in conversation, we usually mean its diffuse color. The choice of an ambient color depends on the kind of lighting: for moderate indoor lighting it can be a darker shade of the diffuse color, but for bright indoor lighting and for daylight, it should be the complement of the primary (key) light source. The specular color should be either the same color as the key light source, or a high-value low-saturation version of the diffuse color.


Dock and Float (Glossary)

Glossary

Dock and Float

These terms describe manipulations to user interface elements, such as toolbars.

You dock a toolbar, for example, when you align it with the edge of another interface element, typically a window or pane.

You float a toolbar when you detach it from a stationary position, and reposition it elsewhere on the desktop.


Dummy Object (Glossary)

Glossary

Dummy Object

A dummy object is an object that you use as an animation helper. The primary use of the dummy helper object is to assist you in creating complex motions and building complex hierarchies. Dummies are “invisible”; that is, they are never shaded. Because dummies aren’t shaded, they are an excellent choice for offset joints, connectors between objects, and handles for manipulating complex hierarchies.

Breaking complex motions into simple components often makes it easier to go back and edit your animations. For example, consider animating a bouncing ball moving around your scene. You could animate the ball by properly positioning it throughout the scene on many frames. The drawback is that it would be very difficult for you to go back and adjust the height of the bounce or the path the ball takes through the scene. You would have to edit the motion of the ball on many frames to make even a simple change.

Using a dummy object easily solves this problem by breaking the motion into two simple components. One component is the bounce of the ball. The other is the path through the scene.


DXF Files (Glossary)

Glossary

DXF Files

DXF files are used to import objects from AutoCAD (and other programs that support this file format) into gmax dev.

Keep the following in mind when you are creating your DXF geometry, and when you are deciding whether to convert by layer, color, or entity:

  • With AutoCAD Release 12, if you are using the AutoCAD Advanced Modeling Extension (AME), use the SOLMESH command on your AME models prior to saving the .dxf file.

  • With AutoCAD Release 13, you can use the 3DSOUT command to convert an AutoCAD drawing to mesh objects. This command creates a 3D Studio R4 file that you can import into gmax dev.

  • After importing a DXF file, you might want to divide the resulting gmax objects into smaller objects.

Entities that are frozen or turned off are ignored.

The successful unification of face normals depends on the welding of coincident vertices. Sometimes, depending upon the precision of the model as it was created in AutoCAD, the vertices may not be close enough to be considered "coincident." They will not be welded, and the faces will not be properly unified. In this case, increase the Weld Threshold value in the Import DXF File dialog.

Converting by layer can result in objects consisting of many elements. In certain cases, some of these elements may have all of their face normals flipped the wrong way. You can detect this in the software by turning off Backface Cull in the Display panel. Use the Normal modifier to correct this.

If you do not want to flip normals, you can either use 2-sided materials, or turn on the Force 2-Sided option in the Viewport Configuration dialog.

If you are loading a large scene containing thousands of entities (such as 3D faces) and have chosen to load an object by entity, the conversion can take a long time. It also produces a huge number of objects to handle in the software. To avoid this, organize your DXF file so that these kinds of entities are grouped by layer, then make the conversion by layer rather than by entity.


Ease Curve (Glossary)

Glossary

Ease Curve

Ease curves vary the timing of a superior function curve. A normal function curve charts an animated parameter value over time. An Ease curve charts changes to the time of a function curve over time.

The horizontal scale of an Ease curve represents normal time, just as it does for all function curves. The vertical scale of an Ease curve represents the time scale of the superior function curve the Ease curve is applied to. Changing the shape of an Ease curve changes the way time is interpreted by the affected function curve.

An Ease Curve Example

Imagine you have animated a bird flying around the sky. After viewing the animation you decide that you want to change the position of the bird so it moves quickly at the beginning of the animation and then slows to a leisurely pace towards the end.

You could accomplish this change by editing position keys, ranges, and function curves but it would require more work than using an Ease curve. Applying an Ease curve to the Position track provides a quick and easy solution.

Dragging the Ease curve causes time to compress near the beginning of the animation and stretch out near the end. You can tell that the bird's motion starts out fast and then slows down by looking at the effect the Ease curve has on the Position function curves.


Editable Mesh (Glossary)

Glossary

Editable Mesh

An editable mesh is a type of deformable object in gmax. An editable mesh is a trimesh; that is, it uses triangular polygons. Editable meshes are useful for creating simple, low-polygonal objects or control meshes for MeshSmooth modeling. You can convert a patch surface to an editable mesh. Editable meshes require little memory, and are a natural method of modeling with polygonal objects.


Editable Poly Glossary

Glossary

Editable Poly

An editable poly is a type of deformable object in gmax. An editable poly is a polygonal mesh; that is, unlike an editable mesh, it uses polygons of more than three sides. Editable polys are useful in that they avoid invisible edges. For example, if you use a cut-and-slice operation with editable polys, the program doesn't insert extra vertices along any invisible edge. You can convert editable meshes, splines, primitives, and patch surfaces to editable polys.


Element (Glossary)

Glossary

Element

The antler is one element of the moose head.

An element is one of two or more individual mesh objects (that is, groups of contiguous faces) grouped together into one larger object. For example, if you attach one sphere to another, you create one mesh object from the two spheres. Each sphere is now an element of the object. Any function you perform on that object affects both elements. However, you can manipulate the elements independently using the Element sub-object level.


End Effector (Glossary)

Glossary

End Effector

A kinematic chain is a single branch of a hierarchy used for animation with inverse kinematics (IK). The chain starts with a selected child object and travels up through ancestors until it reaches the base of the chain. The selected child object at the start of a kinematic chain is called the end effector.

Another way of looking at it is to realize that for any IK solution you explicitly move one object. gmax uses IK calculations to move and rotate all other objects in the kinematic chain to react to the object you moved. The object that you move is the end effector.


Extents (Glossary)

Glossary

Extents

White box shows the extents of the model ship.

An object's extents are its maximum dimensions in X, Y, and Z. These are the dimensions of the rectangular bounding box that surrounds the object.


Field of View (Glossary)

Glossary

Field of View

Above: Narrow field of view
Below: Wide field of view

Use Field of View (FOV) to change the amount of the scene visible and the amount of perspective flare applied to a Perspective or Camera view. The Field of View button appears in the viewport navigation control panel when a Perspective or Camera view is active.

Field of View defines the width of your view as an angle with its apex at your viewpoint and the ends at the sides of the view. The effect of changing FOV is similar to changing the lens on a camera. As the FOV gets larger you see more of your scene and the perspective becomes distorted, similar to using a wide-angle lens. As the FOV gets smaller you see less of your scene and the perspective flattens, similar to using a telephoto lens.

A Perspective view uses an imaginary camera with only one setting, FOV. The FOV angle for the active Perspective view is displayed in the Rendering Methods panel of the Viewport Configuration dialog. You can type a value in the FOV field of the dialog to precisely set FOV for the active Perspective view.


Field of View Flyout (Glossary)

Glossary

Field of View Flyout

The Field of View flyout is available only with Perspective viewports. The flyout has two options:

  • Field of View (FOV): Adjusts the amount of the scene that is visible in a viewport and the amount of perspective flare.

  • Region Zoom: Magnifies a rectangular area you drag within a viewport.


First Vertex (Glossary)

Glossary

First Vertex

First vertex of a spline

When you create a spline object, the software numbers the vertices from 1 to the total number of vertices in the spline, according to the order of creation. When the spline is displayed in viewports, the first vertex has a box around it.

The first vertex is commonly used as an alignment marker when you place two or more shapes on different path levels when lofting. If you place different shapes on different path levels and you don't align their first vertices, the resulting mesh object is twisted.

To avoid twisting, you can align the first vertices by rotating the splines as necessary. Alternatively, you can change the position of a spline's first vertex by using the Make First button in the Edit Spline modifier (at the Vertex sub-object level).


Flyout (Glossary)

Glossary

Flyout

Examples of flyouts

A flyout is an icon-based menu available from any button that has a small black triangle in the lower-right corner. To access the flyout, click the button and hold or drag a short distance. Then, to activate a flyout menu item, drag to the item and release. As you drag, you can see each item's name on the prompt line of the status bar.


Follow Object (Glossary)

Glossary

Follow Object

You can bind an object in your hierarchy to any other object (often an object not in the same hierarchy). This other object is called the follow object.

The bound object tries to match the position and orientation of its pivot point to the position and orientation of the follow object's pivot point.

For example, you might want to animate a figure that always points to another object. Bind the hand of the figure to the other object. Turn IK on and as you move the object the hand and arm of the figure move to point at it.


Forward Kinematics (Glossary)

Glossary

Forward Kinematics

The default method of manipulating a hierarchy uses a technique called forward kinematics. The basic principles employed by this technique are:

  • Hierarchical linking from parent to child

  • Placement of pivot points to define the connecting joint between linked objects

  • Inheritance of position, rotation, and scale transforms from parent to child

In forward kinematics, when a parent object moves, its children must follow. If the child wants to go off on its own, the parent remains behind. For example, in a hierarchical linkage of a human figure, when the torso (the parent) bends over, the head (the child) moves along with it, but you can turn the head without affecting the torso.


FOV Direction Flyout (Glossary)

Glossary

FOV Direction Flyout

The FOV Direction flyout lets you choose which direction a camera uses to measure its field of view (FOV). This control is one of the common camera parameters.

The default is horizontal. The other options are vertical or diagonal.


Frame Rate (Glossary)

Glossary

Frame Rate

The frame rate of an animation is generally expressed in frames per second (fps). This is the number of frames displayed for every second of real time.

Different recording devices output different frame rates, but the standard rates are as follows:

NTSC video: 30 frames per second

PAL video: 25 frames per second

Film: 24 frames per second

You can change the frame rate for your output at any time, outputting the correct number of frames to maintain the correct playback speed for your animation.

You can switch back and forth between frame rates at any time without losing animation data.


Freeze/Unfreeze (Glossary)

Glossary

Freeze/Unfreeze

On the right, the trash can and streetlight are frozen.

You can freeze any selection of objects in your scene. By default, frozen objects, whether wireframe or rendered, turn a dark gray. They remain on screen, but can't be selected, and therefore can't be directly transformed or modified. Freezing lets you protect objects from accidental editing and speeds up redraws.

Frozen objects are similar to hidden objects. Linked, instanced, and referenced objects behave when frozen just as they would if unfrozen. Frozen lights and cameras and any associated viewports continue to work as they normally do.

In gmax, you can choose to have frozen objects retain their usual color or texture in viewports. Use the Show Frozen In Gray toggle in the Object Properties dialog.


Function Curve (Glossary)

Glossary

Function Curve

Function curves are editable splines that represent animation values in a line-graph format. They provide a valuable way of both visualizing and editing your animation tracks.

Function curves appear in the Track View, and provide the best method of viewing and editing animation tracks. With the function curve display, you can actually see the characteristics of the animation as they change over time. The steepness of the curve indicates the velocity of an object in the scene. If the curve steepens, the object is accelerating. If the curve flattens out, the object is slowing.

You can display key dots in function curves, as well as in the key editing displays. In function curves, the key dots appear as small, black squares. The two ways to turn on their display are to click the green icon beside the track label, or to click the function curve itself.

There are two basic ways to edit function curves. You can either change the position of the key dots, thereby altering the curve, or you can edit the tangents and the values of the keys themselves.


Gamma (Glossary)

Glossary

Gamma Correction

Changing gamma value to match a monitor's middle gray

Gamma correction compensates for the differences in color display on different output devices so that images look the same when viewed on different monitors.

A gamma value of 1 corresponds to an "ideal" monitor; that is, one that has a perfectly linear progression from white through gray to black. However, the ideal display device doesn't exist. Computer monitors are "nonlinear" devices. The higher the gamma value is set, the greater the degree of non-linearity. The standard gamma value for NTSC video is 2.2. For computer monitors, gamma values in the range of 1.5 to 2.0 are common.

Two basic procedures are required to compensate for changes in gamma:

  • Calibrate your output display devices so that the mid-tones generated by the software are accurately duplicated on your display device. You do this in the Gamma panel of the Preferences dialog (Display Gamma).

  • Determine the gamma value to be applied to files input into the software, such as texture maps. This control is also in the Gamma panel of the Preferences dialog (Files Gamma).

The most important rule about gamma correction is to do it only once. If you do it twice, the image quality is over bright and loses color resolution.

Files coming into the software from programs such as Adobe Photoshop will have been gamma-corrected already. If you've been viewing the files on the same monitor and they look good, you won't need to set input file gamma.


Gizmo/Center (Glossary)

Glossary

Gizmo/Center

Examples of gizmos:
Left: Gizmo for a bend modifier
Right: Gizmo for UVW mapping

Many modifiers display in viewports as a box-like apparatus called a gizmo, which initially surrounds the selected object. A gizmo acts like a kind of container that transfers the modification to the object to which it's attached.

You can move, scale, and rotate a gizmo as you would any object, altering the effect of the modifier on the object.

A modifier has its own center, marked with a 3D-pivot point like other objects in gmax. You can move a modifier's center, altering the effect of the modifier on the object.


Grid Object (Glossary)

Glossary

Grid Object

One grid establishes the pitch of the boat, another the pitch of the ship.

A grid object is a type of helper object you can create whenever you need a local reference grid or construction plane somewhere other than the home grid.

You can have any number of grid objects in your scene, but only one can be active at a time. When active, a grid object replaces the home grid in all viewports.

You can freely move and rotate grid objects, placing them at any angle in space, or attach them to objects and surfaces. You can also change viewports to display a plan or top view of any active grid object.

Grid objects can be named and saved like other objects, or used once and deleted.


Hierarchical Linkage (Glossary)

Glossary

Hierarchical Linkage

gmax uses a family tree analogy to describe the relationship between objects linked together in a hierarchy.

Parent: An object that controls one or more children. A parent object is often controlled by another superior parent object.

Child: An object controlled by its parent. A child object can also be a parent to other children. An object that doesn't have any parent is by default a child of the world. (The "world" is an imaginary object that acts as the root of all other objects in the scene.)

Ancestors: The parent and all of the parent's parents of a child object.

Descendents: The children and all of the children's children of a parent object.

Hierarchy: The collection of all parents and children linked together in a single structure.

Root: The single parent object that is superior to all other objects in the hierarchy. All other objects are descendents of the root object.

Subtree: All of the descendents of a selected parent.

Branch: A path through the hierarchy from a parent to a single descendent.

Leaf: A child object that has no children of its own. The lowest object in a branch.

Link: The invisible connection between a parent and its child. The link is a conduit for transmitting position, rotation, and scale information from parent to child.

Pivot: Defines the local center and coordinate system for each object. You can think of links as connecting the pivot of a child object to the pivot of its parent.


Home Grid (Glossary)

Glossary

Home Grid

Using the home grid to position houses

Grids are two-dimensional arrays of lines similar to graph paper, except that you can adjust the spacing and other features of the grid to the needs of your work.

Grids have these primary uses:

  • As an aid in visualizing space, scale, and distance

  • As a construction plane where you create and align objects in your scene

  • As a reference system for using snap

The home grid is the basic reference system, defined by three fixed planes on the world coordinate axes. The home grid is visible by default when you start the software, but can be turned off with an option in the right-click viewport menu. You can use any view of the home grid as a construction plane or you can create a grid object and use that as a construction plane instead.


Horizon (Glossary)

Glossary

Horizon

Horizon in the distance of a scene

The horizon of a scene is the edge of vision at the height of the camera, parallel with the world coordinate plane. You can view the horizon in camera viewports.

A camera is level when it and its target are the same height from the world coordinate plane. In other words, the camera's local Z axis is parallel to the world plane. When the camera is level, the horizon line is centered in the viewport. As the camera tilts up, the horizon line lowers; as it tilts down, the horizon line raises.

The horizon line can help you match the perspective of your scene to the perspective of a still image. In general, matching perspective involves the following steps:

  • Display the horizon line. Use it to help you adjust the camera and target so they are level.

  • Display the image in the camera viewport. Use Views menu > Background Image.

  • Orbit the camera until the perspective of the scene roughly matches that of the still image.

  • Adjust the camera's perspective to fine-tune the perspective match.

  • Move the camera or target to position the scene against the background.

If you raise or lower the camera, raise or lower the target by an equal amount, in order to keep them level and maintain the horizon.


Hot (Glossary)

Glossary

Hot

A hot material is one that is instanced in both the scene and the Material Editor. When you get a material from an object, that material is hot. Any changes you make to the hot material are reflected in the scene wherever that material is applied.

To edit a material without changing the scene, you can get the hot material from an object, then make a copy of it. The copy will not be hot.


Hotspot/Falloff (Glossary)

Glossary

Hotspot/Falloff

The streetlight has a narrow hotspot but a wide falloff area.

You've seen how a flashlight or a theater follow spot casts a circle of light. Depending on the quality of the flashlight, or the adjustment of the follow spot, the edge of the cast pool of light is either blurred or sharp.

In the case of a blurred pool of light, the bright circle in the center is the hotspot, which has an even intensity. The outer extremity of the light, where it meets the darkness, is the falloff. The difference in circumference between the hotspot and the falloff determines the relative sharpness of the pool of light. For example, if the hotspot and falloff are nearly the same size, the pool of light has a sharp edge.

The hotspot angle of a spotlight must always be smaller than the falloff angle. Put another way, the hotspot must always be inside the falloff.

You can hold down the SHIFT key to have the hotspot and falloff values affect each other. If you increase the hotspot to be larger than the falloff, the falloff is increased as well. Likewise, if you reduce the falloff to be smaller than the hotspot, the hotspot is also reduced.


Red, Green, Blue/Hue, Saturation, Value (Glossary)

Glossary

Red, Green, Blue / Hue, Saturation, Value

There are two sets of color sliders in the Color Selector: the red/green/blue (RGB) set and the hue/saturation/value (HSV) set. You can use either set or both to mix a particular color. As you adjust the color sliders, their RGB and HSV numeric values appear in the spinners.

There are separate RGB and HSV spinners as light parameters.

RGB Sliders

Each of the RGB sliders is a band of red, green, or blue (the primary light colors) shaded from black to the full intensity of the color. When you move any slider, it mixes with the values of the other two, and the result appears in the swatch beneath the sliders.

For example, if you move the Red slider all the way to the right (value 255) and leave the other two at the left (0), the active swatch turns red. If you then move the Green slider all the way to the right, the swatch turns yellow. If you move all three sliders to 0, the result is black; if all three are at 255, the result is white; and all three at any point of equal value produce shades of gray.

HSV Sliders

If you prefer the hue/saturation/value color system, you can use the HSV sliders to mix color. First move the Hue slider to the color band you want (if the Value and Saturation sliders are set to low values, you don't see an immediate result in the swatch). Move the Value slider to set the brightness, or intensity of the color. Move the Saturation slider to determine the purity of the color. The higher the saturation, the less gray the color.


IK Solution (Glossary)

Glossary

IK Solution

Inverse kinematics (IK) uses a goal-directed method where the animator positions a child object and the program calculates the position and orientation of the parent objects. The final position of the hierarchy after all of the calculations have been solved is referred to as the IK solution.

Applied IK requires that one or more parts of your IK structure be pinned to animated follow objects. Once pinned, you select any object in your kinematic chain and click the Apply IK button. The software then calculates the IK solution for each frame of the animation and places transform keys for every object in the IK chain.


Instance (Glossary)

Glossary

Instance

An instance is an interchangeable clone of the original. Modifying an instanced object is the same as modifying the original.

Instances are not only alike in geometry, but also share modifiers, materials and maps, and animation controllers. When you change one instance by applying a modifier, for example, all the other instances change with it.

Each instance has its own set of transforms and object properties; these are not shared among instances.

Within the program, instances derive from the same master object. What you're doing is applying a single modifier to a single master object. In the viewport, what you see as multiple objects are multiple instances of the same definition.

If you wanted to create a school of swimming fish, you might begin by making many instanced copies of a single fish. You could then animate the swimming motion by applying a ripple modifier to any fish in the school. The whole school would swim with exactly the same motions.


Viewport (Interactive) Renderer (Glossary)

Glossary

Viewport (Interactive) Renderer

The interactive renderer, used for the viewports, is designed for speed so you can easily manipulate your objects in a shaded environment.

When you design your materials, for example, you have two levels of visual feedback. The first level is the shaded viewport. The next level is the game engine itself.

Viewing mapped materials can slow the viewport display, it's up to you to decide which map (if any) you want to display. To display a specific map, you go to that map's controls in the Material Editor, and then turn on its display.


Inverse Kinematics (Glossary)

Glossary

Inverse Kinematics

Inverse kinematics (IK) is a positioning and animation method that is built on top of the concepts of hierarchical linking. To understand how IK works you must first understand the principles of hierarchical linking and forward kinematics.

Inverse kinematics starts with linking and pivot placement as its foundation and then adds the following principles:

  • Joints are constrained with specific positional and rotational properties.

  • Position and orientation of parent objects is determined by the position and orientation of child objects.

Because of these added constraints, IK requires greater thought about how you link your objects and place pivots. Where many different solutions for linking objects might be suitable for forward kinematics, there are usually just a few good solutions for any given IK approach. The best solution depends on consideration of both the nature of the hierarchy, and how that hierarchy will be animated.

Inverse kinematics is often easier to use than forward kinematics and you can quickly create complex motions. However, you sacrifice some of your control to the automation of the IK functions.


Keyframes/Keys (Glossary)

Glossary

Keyframes/Keys

The red boxes indicate keyframes, the dotted line shows the interpolated trajectory.

Keyframes record the beginning and end of each transformation of an object or element in the scene. The values at these keyframes are called keys.

For example, if you have a box that has not been animated, no keyframes (or keys) exist for it. If you turn on the Animate button, move to frame 20, and rotate the box 90 degrees, Rotate keys are created at frames 0 and 20.

The key at frame 0 represents the orientation of the box before it was rotated, while the key at frame 20 represents the orientation of the box after it was rotated 90 degrees. When you play the animation, the box rotates from 0 to 90 degrees over 20 frames.


Kinematic Chain (Glossary)

Glossary

Kinematic Chain

Inverse kinematics calculates the position and orientation of objects in a kinematic chain.

The kinematic chain is defined as a single branch of the hierarchy that starts with a selected child object and continues up through its ancestors until it reaches the base of the chain. The base of the chain is either the root of the entire hierarchy or an object that you specify as a terminator for the chain.

gmax automatically determines the kinematic chain when you turn on IK via the Motion panel.


Launch Script (Glossary)

Glossary

Launch Script

A launch script is a MAXScript script that you run from the command line with the -U switch, instead of using the Utilities panel.

You use a launch script to run batch operations in the software. For example, you might have a batch process in which the script opens a sequence of files, changes the materials in all the files, and resaves them, all without using the user interface.


Listener Window (Glossary)

Glossary

Listener Window

In MAXScript, the listener window is a command-line window that lets you type in and execute MAXScript commands interactively. In other words, you run the script as you go along, rather than running a pre-saved text file.

You open the listener window using the MAXScript Listener command on the MAXScript menu.


Local Coordinate System (Glossary)

Glossary

Local Coordinate System

A book in object space rests on a table in world space.
The book has its own, local coordinate system.

The local coordinate system is the coordinate system that relates specifically to the selected object.

Each object has its own local center and coordinate system as defined by the location and orientation of the object's pivot point. The local center and coordinate system of an object combine to define its object space.

The direction of the object's X, Y, and Z axes depend on the current transforms of the object. Contrast with the world coordinate system.

You can see the difference between the two coordinate systems when you unintentionally rotate an object, such as the wheel on a car model, around the world axis instead of the object's local axis. The wheel immediately flies off in a large arc because the center of the rotation is at the origin of the world coordinates.

To rotate the wheel correctly, first change the coordinate system to Local, using the pop-up list in the toolbar. The wheel then rotates around its own hub, which is the origin of its local coordinates.


Lofting (Glossary)

Glossary

Lofting

A circle is lofted along a path to construct a tubular shape.

Lofting is an important method for 3D object creation. You create shape objects to serve as a path and any number of cross-sectional shapes. The path becomes the framework that holds the cross-sections forming your loft object.

Once you create a loft object you can change and animate its parameters and sub-objects:

  • Add and replace cross-section shapes or replace the path.

  • Change or animate the parameters of the path and shapes.

  • Change or animate the surface parameters of the loft object.

The lofting process first requires that you create shape objects to serve as the path and cross-sections of your loft object.

The term lofting comes from early shipbuilding. A large framework called a loft was built to hold the hull of a ship while it was assembled. The process of hoisting the ribs (cross-sections) of the hull into the loft became known as lofting.

A traditional method for building three-dimensional models of a modern vehicle design is to draw cross-sections at a number of key points. These cross-sections are cut out to form two-dimensional templates that are then placed on a rail. The model builders fill in the space between the templates to generate the surface of the model.

You create loft objects using a similar process. You first create two or more spline objects. One of these splines will be the rail, which is referred to as the path. The rest of the splines are the cross-sections of your object, which are called shapes. As you arrange your shapes along the path, the software generates a surface between the shapes.


Map Bias (Glossary)

Glossary

Map Bias

On the right, increased map bias makes the dog appear to float.

Map bias moves the shadow toward or away from the shadow-casting object (or objects).

By default, this value is 1.0 world coordinate unit. Increasing the bias moves the shadow away from the object, and decreasing the bias moves the shadow closer to the object. The Map Bias value can be any positive floating-point number.

For example, if a shadow-casting object intersects another object but its shadow doesn't meet properly at the intersection, the bias is too high. This effect varies with the angle of the spotlight to the object. Extremely shallow spotlight angles usually require higher bias values.

Another purpose of bias is to avoid problems with objects that cast shadows onto themselves. If you see streaks or moiré patterns on the surface of the object, the bias value is too low. If you increase the bias so much that the shadow becomes disconnected from the object, reduce the bias and increase the shadow map Size value instead.

Note: The gmax viewports don't display shadows, and cannot show the effect of this setting. Your target game engine might or might not provide support for shadow map bias.


Mapping Coordinates (Glossary)

Glossary

Mapping Coordinates

Decoration on the vase is a map positioned by rotating the UVW Map modifier gizmo.

Mapping coordinates specify the placement, orientation, and scale of a map on the geometry.

If you apply a mapped material to an object that has no mapping coordinates, gmax assigns default mapping coordinates. The built-in mapping coordinates are designed for each object type. The box mapping coordinates place a duplicate map on each of its six sides. For the cylinder, the image is wrapped once around its sides, and duplicates of the image are distorted at the end caps. A sphere has the image wrapped once around the sphere, and then gathered at the top and bottom. Shrink-wrap mapping is also spherical, but truncates the corners of the map and joins them all at a single pole, creating only one singularity.

There are a couple of ways to apply mapping coordinates:

  • Set the Generate Mapping Coords option in the creation parameters rollout of any standard primitive. This option provides mapping coordinates specifically designed for the primitive. Because mapping coordinates require additional memory, turn them on only when you need them.

  • Apply a UVW Map modifier. You choose from several types of mapping coordinate systems and customize the placement of the mapping coordinates on the object by positioning a mapping icon. In addition, you can animate the transformations of the mapping coordinates.


Map Channel (Glossary)

Glossary

Map Channel

Left: Scene uses different map channels to place different copies of the same maps in different locations.
Right: The three maps used to create the streets and the traffic markers painted on them

A map channel associates a map with an object's mapping coordinates.

When you turn on Generate Mapping Coordinates for an object, the coordinates use map channel 1. You can assign new map channels with new mapping coordinates by applying a UVW Map modifier to the object. Map channel values can range from 1 to 99.

A map's map channel value identifies which of an object's mapping coordinates to use. Different map channels allow maps for the same object to use different coordinates. For example, you might use one channel for diffuse mapping and a different one for bump mapping. See Mapping Material Components.

Different map channels can have different U and V tiling values, different U and V offsets, and so on. In the UVW Map modifier, you can also set different map channels to have different mapping types (planar, cylindrical, spherical, and so on).


Maps (Glossary)

Glossary

Maps

Mapped materials make objects more convincing.

The images you assign to materials are called maps. You can assign standard bitmaps such as .bmp, .jpg, or .tga files.

You can assign maps to each of the components that make up a material. Materials that contain one or more images are called mapped materials. By assigning the maps to different attributes of the materials, you can affect the color, the opacity, the smoothness of the surface, and more.


Material ID (Glossary)

Glossary

Material ID

Figure mapped using a multi/sub-object material:
material IDs identify the component sub-materials.

A surface's material ID is the value that determines which sub-material the surface will use when you apply multiple maps to an object.

Geometric primitives have default material identification number assignments, just as they have default smoothing groups. The default material ID assignment depends on the type of geometry. Most curved objects such as spheres have a single material ID. Boxes have six IDs, one for each side. Cylinders have 3: ID number 1 and 2 for the two caps, and ID number 3 for the sides.

When you apply a multi/sub-object material, the materials will match the order of sub-materials to the material ID numbers on the faces of the object. Faces keep a record of the ID number, and not of the material name.

You can use material IDs for continuous surfaces that require separate paints or finishes. For example, a car constructed from different types of materials, such as a colored metal body, chrome parts, glass windows, and so on.

Tip: You can use the Material modifier to assign material ID numbers. Also you can reassign material IDs using the Editable Mesh > Surface Properties rollout, or Edit Mesh modifier > Edit Surface rollout.


Materials (Glossary)

Glossary

Materials

A material comprises various settings that you assign to the surface or faces of an object so that it appears a certain way. Materials affect the color of objects, their glossiness, their opacity, and so on.

A material consists of ambient, diffuse, and specular components. You can assign maps to the various components of a material.


MAXScript (Glossary)

Glossary

MAXScript

MAXScript is the general-purpose scripting language for 3ds max and related products such as gmax. While it works the same for all products, some functions are specific to each. You can use MAXScript to automate many tasks, including modeling, animation,and material construction. You can also use MAXScript to add custom command-panel rollouts to the user interface.

The interface to MAXScript is on both the MAXScript menu and the Utilities panel.


Modal/Modeless (Glossary)

Glossary

Modal/Modeless

Modal is a command state or dialog that affects all operations. You must change the mode or dismiss the dialog before doing any operations that don't pertain to that mode.

Modeless means a nonexclusive command state or dialog. You can do other operations and commands without changing the mode or dismissing the dialog.

For example, the Track View dialog is modeless, while the Open File dialog is modal.


Modifier Stack (Glossary)

Glossary

Modifier Stack

Examples of the modifier stack display
Left: Object with two modifiers applied to it
Right: Mesh showing its sub-object hierarchy, and Edge sub-object level chosen

The modifier stack is the key to managing all aspects of object modification. You use the stack to:

  • View and manipulate the sequence of modifiers

  • Find a particular modifier

  • Adjust a modifier's parameters or object's creation parameters

  • Access an object's sub-object levels

  • Access a modifier's components (or sub-modifiers)

  • Activate or deactivate a modifier

  • Delete or disable a modifier

The effect of modifiers is directly related to their sequence, or order, in the stack.

Where you put a modifier in the stack is critical, because the program applies modifiers in their stack order, beginning at the bottom, and carries the cumulative change upward.

By clicking any entry in the stack, you go back to the point where you made that modification. You can then rework your decisions or discard the modification entirely by deleting it. You can also insert a new modifier in the stack at that point.


Modifiers (Glossary)

Glossary

Modifiers

Example: effects of the twist modifier on an object

Modifiers, as the name implies, modify an object's geometrical structure, deforming it in some way. For example, when you apply a Taper modifier to the end of a cylinder, the vertices near the end move closer together. A modifier makes changes in the geometry that stay in effect until you adjust or delete the modifier.

There are other general things to know about using modifiers:

  • You can apply an unlimited number of modifiers to an object or part of an object.

  • When you delete a modifier, all of its changes to the object disappear.

  • You can move and copy modifiers to other objects using controls in the modifier stack display.

  • The order or sequence in which you make modifications is important. Each modification affects those that come after it. Applying a bend before a taper can create a distinctly different result from doing so in the reverse order.


Morphing (Glossary)

Glossary

Morphing

Morphing makes the clock appear to melt.

Morphing is a term derived from "metamorphosis," which means to change physical shape or form.

The purpose of the morph object in gmax is to create an animated object that changes shape by morphing between two or more objects. Although it appears that a single object is changing form, in reality the morphing process translates the position of the vertices from their arrangement in one object to the arrangement in another, relative to their local coordinate system.

Consequently, all objects chosen to make up a morph object must have the same number of vertices. Equal vertex count can be achieved by cloning an object, and then altering the geometry of the clones without changing their vertex count.


MSP (MAXScript Package) Files (Glossary)

Glossary

MSP (MAXScript Package) Files

A MAXScript Package (MSP) combines the set of files that make up a scripted tool into a single file. An MSP file can contain bitmaps, script sources, icons, and so on.

For more information about MSP files, see the MAXScript Reference:

Help menu > MAXScript Reference


Multiplier (Glossary)

Glossary

Multiplier

Left: Default light multiplier of 1.0
Right: Multiplier of 5.0 causes burned colors

The Multiplier value in every light lets you increase the intensity, or brightness of the light beyond its standard range.

Since increased Multiplier values tend to wash out, or "burn" portions of the image, you're better off adding lights, or reducing the intensity of other lights when you need to adjust the brightness of areas in your scene. Remember that you can adjust the intensity of a light using its V(alue) spinner. In most cases, it's better to adjust the V spinner than to alter the default Multiplier value.

Left: Spotlight with negative multiplier subtracts light from the scene.
Right: Multiplier of 0 and a negative density on a shadow whose color is white creates the effect of a negative shadow.

An unusual characteristic of the Multiplier is that you can use negative values to create negative light. You can use negative lights to further control the lighting in your scene. For example, you might want a darker area in the corner of a room.

A negative Multiplier value reverses the color of the light, so a red light would become cyan (the complementary color). In addition, the map image in a projector light becomes a negative image.


Multiplier Curve (Glossary)

Glossary

Multiplier Curve

Ease and multiplier curves are special function curves that you use to apply animated time and value displacements to other function curves.

Working with keys and function curves, you apply localized changes to your animation at specific times. Using Ease and Multiplier curves, you apply global effects across the entire range of an animation.

The buttons for applying and working with Ease and Multiplier curves are visible at the right-end of the Track View toolbar when Function Curves mode is active.

The value of a multiplier curve is a scale factor applied to the value of its superior function curve.

  • The default value of a Multiplier curve is a horizontal line with a value of 1.0.

  • Values greater than 1.0 increase the value of the function curve.

  • Values below 1.0 decrease the value of the function curve.

  • Values less than 0.0 negatively scale the value of the function curve.


Normals (Glossary)

Glossary

Normals

The normal of each face can point in a different direction.

A normal is a vector that defines which way a face or vertex is pointing. The direction of the normal indicates the front, or outer surface of the face or vertex.

You can manually flip or unify face normals to fix surface errors caused by modeling operations or by importing meshes from other programs.


NTSC (Glossary)

Glossary

NTSC

NTSC (National Television Standards Committee) is the name of the video standard used in North America, most of Central and South America, and Japan. The frame rate is 30 frames per second (fps) or 60 fields per second, with each field accounting for half the interleaved scan lines on a television screen.


Object-Space Modifiers (Glossary)

Glossary

Object-Space Modifiers

Object space is the coordinate system unique to each object in your scene. An object-space modifier, as opposed to a world-space modifier, directly affects an object using the object's local coordinates.

Object-space modifiers appear directly above the object in the modifier stack, and their effect can depend on the order they appear in the stack.


Omni Light (Glossary)

Glossary

Omni Light

Left: Top view of an omni light
Right: Perspective view of the same light

Omni lights provide a point source of illumination that shoots out in all directions. They're easy to set up, but you can't restrict the focus of their beam. You can, however restrict which objects are illuminated by an omni light.

When no lights exist in your scene, two invisible omni lights are turned on by default to provide overall illumination in the scene. However, as soon as you create your own light in the scene, the two default lights are turned off.

You can apply attenuation to omni lights.


Operand (Glossary)

Glossary

Operand

An operand is one of a pair of objects upon which an operation such as Boolean is to be done. In the Boolean operation, the first operand is called operand A, and the second operand is called operand B.


Origin (Glossary)

Glossary

Origin

Origin is the 0,0,0 point where the X, Y, and Z axes intersect.

A coordinate system assigns an arbitrary point in space as the origin, and sets each axis at that point to zero.

In the world coordinate system, numbers increase from the origin to the right along the X axis, upward along the Y axis, and away from you on the Z axis.

Numbers decrease (-1, -2, -3, etc.) to the left along the X axis, downward along the Y axis, and toward you along the Z axis. The distance between each number is called a unit of measurement.

You can combine the measurements of all three axes to mark specific locations in 3D space. The combined measurements are called coordinates. Thus, at the origin, the coordinates are X: 0, Y: 0, Z: 0.

From the origin, the coordinates at a location 100 units to the right, 150 units up, and 60 units away are X: 100, Y: 150, Z: 60.


Orthographic Views (Glossary)

Glossary

Orthographic Views

Orthographic views of the ice-cream shop

Whether produced on computer or paper, most 3D design relies on 2D representations or "orthographic" views for accurate description of objects and their positioning. Maps, plans, cross-sections, and elevations are all orthographic views. In familiar terms, you might think of these views as "flat" or "straight-on," or as "looking at right angles."

Orthographic views are two-dimensional, each defined by two world coordinate axes. Combinations of these axes produce three pairs of orthographic views: top and bottom; front and back; left and right.

Orthographic views are a special case of axonometric views.


Out-of-Range Types (Glossary)

Glossary

Out-of-Range Types

When you specify values and keys for a controller, you are defining animation over a range of time. You choose Out-of-Range Types to determine how the animation continues outside a specified range. Out-of-Range choices include holding a constant value, and various ways of repeating the animated range.

The easiest way to work with Out-of-Range Types is in the Track View Function Curve mode.

You use the Parameter Out-of-Range dialog to project the pattern of the key dots in the selected track. These patterns are applied to the animation outside the range of all keys in the track. This is why they're called out-of-range types.

By default, tracks use a constant out-of-range type. This means that the track values before and after the range of keys remain constant. For example, in a 100-frame animation with keys up to frame 20, the X, Y, and Z values after frame 20 remain the same for the rest of the animation. The objects in this example do not move from frame 20 to frame 100.

Applying the Cycle out-of-range type will make the key pattern in frames 0-20 repeat cyclically for the remaining 80 frames.


Overshoot (Glossary)

Glossary

Overshoot

Above: No overshoot
Below: Overshoot turned on

The Overshoot option causes a spotlight to flood beyond its falloff area, and cast light in all directions. With Overshoot turned on, the spotlight casts light in all directions but casts shadows only within its falloff cone.

The Overshoot control effectively turns the spotlight into a hybrid between an Omni light and a spotlight. With Overshoot set, the spotlight casts light in all directions as an Omni light does but still casts shadows or projections as other spotlights do. The shadows and projections are limited to the falloff region: outside the cone of the spotlight, Overshoot casts light but does not cast shadows or projections.

Overshoot is useful when you want to light a large area but need to cast shadows in only a small part of that area. Set the falloff to include the area where shadows must appear, and then turn on Overshoot to light the rest of the scene.


PAL (Glossary)

Glossary

PAL

PAL (Phase Alternate Line) is the video standard used in most European countries. The frame rate is 25 frames per second (fps) or 50 fields per second, with each field accounting for half the interleaved scan lines on a television screen.


Parametric (Glossary)

Glossary

Parametric

A tube is one example of a parametric object. Varying its parameters creates varying geometry.

Unlike physical building blocks, with fixed shape and size, the geometric primitives (box, sphere, torus, etc.) are parametric; you can change their dimensions, segment settings, and other features after you create them. Parametric objects respond to changes in their parameters by dynamically updating their properties.

Changing parameters can dramatically alter the structure of an object. For example, you can turn a cylinder into a prism by reducing the number of sides and setting the Smooth option off. Alternatively, you can turn a cone into a four-sided pyramid using the same technique.

You can animate almost all creation parameters for geometric primitives, and interactively change their settings during animation playback.


Patch (Glossary)

Glossary

Patch

A patch is a type of deformable object. A patch object is useful for creating gently curved surfaces, and provides very detailed control for manipulating complex geometry.

When you apply an Edit Patch modifier to an object or convert it to an editable patch object, the software converts the object's geometry into a collection of separate Bezier patches. Each patch is made up of three or four vertices connected by edges, defining a surface. Patches also have interior vertices that you can control, or let the software control for you.

You control a patch surface's shape by manipulating the vertices and edges. The surface is the renderable geometry of the object.


Path (Glossary)

Glossary

Path

A path is the line (or other shape) along which shapes are lofted to create 3D Loft objects.

Get Path (Lofting)

A circle is lofted along a path to construct a tubular shape.
Get Path chooses the path spline.

You use Get Path as a loft creation method when you want the path to move to the location of the selected shape. For example, you use this method if you have created a shape at the exact location where you want the base of your loft object to be. You use Get Path to create a loft at that location.

Get Path causes the path shape to move and rotate to align itself with the first shape on the path:

  • The first vertex on the path is located at the first shape's pivot point.

  • The tangent to the first vertex on the path is aligned with the positive Z axis of the first shape.

  • The local Z axis of the path is aligned with the local Y axis of the first shape.

  • The local coordinate system of the resulting loft object equals the local coordinate system of the path after it has been aligned with the first shape.

Sometimes, aligning the tangent of the path with the positive Z axis of the first shape does not produce the result you want. You can flip the orientation of the path by pressing CTRL while getting the path. Pressing CTRL aligns the path so that the tangent to the first vertex of the path is aligned with the negative Z axis of the shape.


Perspective Views (Glossary)

Glossary

Perspective Views

Perspective view of the ice-cream shop

Perspective views most closely resemble human vision. Objects appear to recede into the distance, creating a sense of depth and space. For most 3D computer graphics, this is the view used in the final output that the client sees onscreen or on the page.

There are three ways to create a perspective view in a viewport: Perspective view, Camera view, and Light view.

A perspective viewport, labeled Perspective, is one of the default viewports. You can change any active viewport to this eye-like point of view by pressing the keyboard shortcut P.

Camera view requires that you first create a camera object in your scene. The Camera viewport tracks the view through the perspective of that camera. As you move the camera (or target) in another viewport, you see the scene swing accordingly. If you alter the camera's field of view on the Modify command panel, you see the changes as they are applied.

Light view works much like a targeted Camera view. You first create the spotlight or directional light and then set the viewport to that light. What you see in the viewport is the view from the light looking into the scene. This is very useful for adjusting the correct distances of hotspot and falloff for the light.


Pivot Point (Glossary)

Glossary

Pivot Point

Pivot point sets hand to the center of the clock face.

The transform center, or pivot point, is the spot about which a rotation takes place, or to and from which a scale occurs.

All objects have a pivot point. You can think of the pivot point as representing an object's local center and local coordinate system.

The pivot point of an object is used for a number of purposes:

  • As the center for rotation and scaling when the Pivot Point transform center is selected

  • As the default location of a modifier center

  • As the transform origin for linked children

  • As the joint location for IK

You can display and adjust the position and orientation of an object's pivot point at any time using the Pivot functions in the Hierarchy command panel. Adjusting an object's pivot has no effect on any children linked to that object.


Pixel (Glossary)

Glossary

Pixel

A pixel (short for Picture Element) is a single point in a graphic image. Graphics monitors display pictures by dividing the screen into thousands (or millions) of pixels, arranged in rows and columns.


Plug-Ins (Glossary)

Glossary

Plug-Ins

A plug-in is a feature or functionality supplied by an independent program or component. Plug-ins can be supplied by third-party vendors or independent software developers.

The open architecture provides an API (application programming interface) designed to make it easy for other companies to write plug-ins that extend the functionality of the core program.


Precedence (Glossary)

Glossary

Precedence

You control the IK solution by setting joint precedence to determine which joints contribute the most to the IK solution and which joints contribute the least.

Joints with high precedence values are calculated first, and, therefore, contribute more motion to the IK solution. Joints with low precedence values are calculated last, and, therefore, contribute the least motion to the IK solution.

Joints with equal precedence values are calculated by their order in the hierarchy. Joints deeper in the hierarchy (closer to the end effector) are calculated first and joints closer to the root are calculated last.


PRJ/3DS Files (Glossary)

Glossary

PRJ and 3DS Files

PRJ is the 3D Studio R4 (for DOS) project-file format and 3DS is the 3D Studio R4 mesh-file format. You can import both these types of files as well as DXF and SHP files into gmax dev.

See also:

Importing 3DS Files

Importing PRJ Files

Importing PRJ and 3DS Files

When you import a 3DS file, you get the following:

  • Backgrounds (solid, gradient, and bitmap).

  • Ambient light level.

  • All map channels that are enabled. Map channels that are turned off in the .3ds file do not import.

  • All map parameters, including UV transforms, Negative, Mirror, and Rotation. Some Map Parameters such as Blur, Luma, and RGB and Alpha work much differently. These values are converted to new values that produce a similar effect.

  • When materials with both Texture 1 and Texture 2 are imported, a composite texture is created and added to the Standard material's Diffuse channel.

  • 3DS/DOS IK joint parameters.

  • 3DSurfer patch data.

The following information is not imported from a 3DS file:

  • Morph keys

  • Keyframer instances

  • Map channels that are turned off

  • Custom .CUB-format cubic maps

  • Decal transparency using the RGB color of the upper-left pixel of the map

When you import a PRJ file, you get all of the above, plus the following:

  • Shapes


Projector Light (Glossary)

Glossary

Projector Light

Shadows created by projecting image of palm trees

By adding a map to a light, you turn it into a projector. You can assign a single image, or you can assign an animation to create the effect of either a slide projector or a movie projector.

You can also use projector maps to project black and white bitmaps to simulate shadows seen through leaves or window frames, in the same way that gobos are used in theater lighting.

You're not limited to circular projectors. Since you're usually projecting a rectangular image, you can use a rectangular light to project it. You can use the Bitmap Fit option to adjust the aspect ratio of the light beam to match that of the projected image.

When you use projection lights, it's often helpful to adjust their roll angle. You can do this with the navigation controls.


uadtree (Glossary)

Glossary

Quadtree

A quadtree is a data structure used to calculate ray-traced shadows.

The quadtree represents the scene from the point of view of the light. The root node of the quadtree lists all objects that are visible in that view. If too many objects are visible, the node generates four other nodes, each representing a quarter of the view, each with a list of objects in that portion. This process continues adaptively, until each node has only a small number of objects, or the quadtree's depth limit (which can be set for each light) is reached.

Each shadow-casting light ray needs to test intersection with the objects in only one of the leaf nodes of the quadtree. This helps speed up the ray-tracing process. In general, increasing the maximum quadtree depth can speed up ray-tracing at a cost of memory.

The maximum size of a quadtree is the square of two to the power of the maximum quadtree depth. At a depth of 7, the largest quadtree has 128 x 128 leaf nodes; at a depth of 10, the largest quadtree has a size of 1028 x 1028 leaf nodes, and so on. (On the other hand, because each successive node contains fewer objects, the size of a node's record decreases the deeper it is in the tree.)

Note: An omni light can generate up to six quadtrees, so omni lights that cast ray-traced shadows use more memory than spotlights do.


Ray-Trace Bias (Glossary)

Glossary

Ray-Trace Bias

On the right, increased map bias makes the dog appear to float.

A single parameter, Ray-Trace Bias, affects the generation of ray-traced shadows. You set this parameter in the Shadow Parameters rollout.

The Ray-Traced bias control in the Shadow Parameters rollout moves the shadow toward or away from the shadow-casting object (or objects). By default, this value is 1 unit.

Increasing the bias moves the shadow away from the object, and decreasing the bias moves the shadow closer to the object. The Ray-Trace Bias value can be any positive floating-point number.

For example, if a shadow-casting object intersects another object but its shadow doesn't meet properly at the intersection, the bias is too high. This effect varies with the angle of the spotlight to the object. Extremely shallow spotlight angles usually require higher bias values.

Another purpose of bias is to avoid problems with objects that cast shadows onto themselves. If you see streaks or moiré patterns on the surface of the object, the bias value is too low.

Note: The gmax viewports don't display shadows, and cannot show the effect of this setting. Your target game engine might or might not provide support for ray-trace bias.


Ray-traced Shadows (Glossary)

Glossary

Ray-Traced Shadows

Example of ray-traced shadows

Ray-traced shadows are generated by tracing the path of rays sampled from a light source. Ray-traced shadows are more accurate than shadow-mapped shadows. They always produce a hard edge.

Ray-traced shadows are more realistic for transparent and translucent objects.

Because ray-traced shadows are calculated without a map, you don't have to adjust resolution as you do for shadow-mapped shadows. The parameters for ray-traced shadows adjust the shadow's position (known as ray-trace bias) and the depth of the quadtree used to calculate ray tracing.

Note: The gmax viewports don't display shadows, and cannot show the effect of this feature. Your target game engine might or might not provide support for ray-traced shadows.


Real Time (Glossary)

Glossary

Real Time

By default, viewport animations play in real time, skipping frames where necessary.

You can turn this off by clicking Time Configuration in the time controls, and then turning off Real Time in the Playback group box of the Time Configuration dialog.

When Real Time is turned off, all frames are displayed during playback. The playback may appear slow, but you'll know that you're seeing every frame.

You can also speed viewport animation by minimizing your viewports to quarter size.


Reference (Glossary)

Glossary

Reference

References are like "one-way" instances. Referenced objects are based on the original object, as are instances, and can have their own unique modifiers. Any modification made to the original object is passed on to its references, but any modification made to a reference is not passed back to the original.

The one-way effect is useful, since you can maintain an original that will affect all its references, while the references themselves can take on individual characteristics.

If you are modeling heads, for example, you might want to keep a family resemblance in your characters. You could model basic features on the original, then model specifics on each reference.

In the modifier stack, a blank line distinguishes the reference from its parent object, so you can see that the effect of modifiers added to the reference, which appear above the blank line, will not affect the parent object or other references to it.


Restrict to Plane Flyout (Glossary)

Glossary

Restrict to Plane Flyout

The Restrict to Plane flyout, available from the toolbar, lets you limit all transformations (move, rotate, scale) to the XY, YZ, or ZX axes (by default, parallel with the Top view). Cycle through the planar constraints (XY, YZ, ZX) using the F8 keys.

You can also select planar constraint by using the Transform Gizmo. Instead of clicking the tripod heads, choose the corner marks that are part of the gizmo. You can cycle through constraints by selecting the other sets of corner marks to choose the alternate planes.

When you move an object along a plane that is head-on to your view, the object moves along the single available axis shown in the view.

Note that constraints are set on a transform-by-transform basis, so select the transform before you select the axis constraint. If you do not want the constraints to change, turn on Customize menu > Preferences > General tab > Reference Coordinate System group > Constant.

The axis constraints are stored separately at object and sub-object levels. If you set these three controls one way while in sub-object mode and another way while in object selection level, when you return to sub-object mode, they're restored to the way they were previously set. For example, if you're using XY constraints at object level, then switch to sub-object level and use Z constraint, when you return to object level, XY will be restored.


Sample Range (Glossary)

Glossary

Sample Range

Low sample range can cause jagged-edged shadows.

Higher sample range causes soft-edged shadows.

Sample Range affects the softness of the edge of shadow-mapped shadows. The sample range determines how much area within the shadow is averaged.

Small values reduce the area that is averaged, effectively bringing the edge of the shadow inward, producing sharper-edged shadows. Sharper edges can cause aliasing.

Large values extend the area that is averaged, effectively bringing the edge of the shadow outward, producing softer-edged shadows. Soft-edged shadows have more antialiasing. The effect is somewhat like the falloff of a soft-edged spotlight.

The default Sample Range value is 4. The Sample Range value can be any floating-point number from 0 to 20. Values of 2 to 5 are recommended. Values below 3 can produce coarse-edged shadows. You can reduce this effect by increasing the map size.

Values greater than 5 can produce streaking and moiré patterns. You can reduce this effect by increasing the map size or the Bias value.

Note: The gmax viewports don't display shadows, thus cannot show the effect of this setting. Your target render engine might or might not provide support for sample range.


Script (Glossary)

Glossary

Script

A sequence of instructions used to automate a task. Scripts are typically text files containing coded instructions for a particular application.

In gmax, the MAXScript utility supports a scripting language.

MAXScript scripts have the file name extension .ms. By default, they are saved in the Scripts folder.


Script Editor Window (Glossary)

Glossary

Script Editor Window

A text editing window provided with the MAXScript scripting system. A script editor window can edit any kind of ASCII text file, but is particularly suited to building and modifying MAXScript script files.

You open a script editor using the Open Script or New Script commands from the MAXScript menu.


Scripted Utility Panel (Glossary)

Glossary

Scripted Utility Panel

A scripted utility panel is a custom command-panel rollout created using the MAXScript scripting language. The let you create a graphical user interface to a MAXScript script.

Scripted utility panels are available through the Utilities drop-down menu in the MAXScript rollout of the Utilities panel.


Scripting (Glossary)

Glossary

Scripting

A scripting language is a programming language embedded in a host application, and used to automate tasks within the application. gmax provides MAXScript as its scripting language.

MAXScript controls are located on the Utilities panel.


Select and Scale Flyout (Glossary)

Glossary

Select and Scale Flyout

The Select and Scale flyout provides access to three tools you can use to change object size. These are, from top to bottom:

Select and Uniform Scale

Select and Non-Uniform Scale

Select and Squash


Selection Region Flyout (Glossary)

Glossary

Selection Region Flyout

The Selection Region flyout provides access to three methods you can use to select objects by region. Clicking the Selection Region button displays a flyout containing the Rectangle, Circular, and Fence Selection Region buttons.

For all three methods, you can select either objects that are completely within the selection region (window method), or objects that are within or touched by the selection shape (crossing method). Toggle between the window and crossing selection methods by using the Crossing Selection button in the status bar.


Self-Illumination (Glossary)

Glossary

Self-Illumination

The lamp on the right uses self-illumination to brighten the bulb and the glass panes.

Self-Illumination creates the illusion of incandescence by replacing any shadows on the surface with the diffuse color. At 100 percent, the shadows are completely replaced by the diffuse color, creating the illusion of self-illumination.

Lights illuminate your scene, but they don't appear as visible light sources. You can use self-illuminated materials on objects that represent lights to provide things like car headlights, and so on.

A self-illumination map lets you use a map to affect the intensity in different areas of the self-illuminated surface. Like many other map types, only the intensity of the map values affects self-illumination. White provides the most, while black blocks the illumination completely.

It's often a good idea to design a self-illumination map to match your diffuse map. For example, the diffuse map might have small, yellow rectangles to represent windows, while the self-illumination map consists of matching white rectangles against black to illuminate the yellow windows.


Shadow Maps (Glossary)

Glossary

Shadow Maps

Example of shadow-mapped shadows

A shadow map is a bitmap that's projected from the direction of a light source. Shadow maps don't show the color cast by transparent or translucent objects. On the other hand, shadow maps can have soft-edged shadows, which ray-traced shadows cannot. This method can require less calculation time than ray-traced shadows, but it's less accurate.

You can adjust the shadow map settings to achieve a sharper shadow. This involves changing the resolution and the pixel sampling of the shadow's bitmap. Because shadow-map shadows are only bitmaps, you need to keep in mind their resolution in relation to your distance from the shadow, and the detail required by the shadow. If the resolution is too low, and the camera too close, the shadow might look more like sooty smudges.

If shadows appear too coarse, increase the map size. The size can range from 0 to 10,000. However, be aware that greater size requires more memory and can take longer to generate. A 4096-line shadow map occupies 64 MB of memory (4096 x 4096 x 4).

The default shadow map size is 256.

The bitmap used by shadow maps must fill the area covered by the falloff of the spotlight. The wider the falloff, the coarser the shadow appears. Keep the falloff as tight as possible given the requirements of your scene.

Note: The gmax viewports don't display shadows, and cannot show the effect of this feature. Your target game engine might or might not provide support for shadow maps.


Shapes and Splines (Glossary)

Glossary

Shapes and Splines

Spline

A shape is an object made up of one or more splines. A spline is a collection of vertices and connecting segments that form a line or curve. By adjusting values in the vertices, you can make portions of the line curved or straight.

Shapes don't usually appear in the scene. They're used in the software for the following purposes:

  • As the foundation for extruded objects, by applying an Extrude modifier to the shape.

  • As the foundation for a spun object, by applying a Lathe modifier to a shape.

  • As the components that make up a Loft object, by combining a shape as a path, and one or more shapes as cross-sections along the path.

  • As an animation path for an object by assigning a Path constraint to the object, and then picking a shape as the path.

  • As one method of linkage for inverse kinematic chains.

Get Shape (Lofting)

A circle is lofted along a path to construct a tubular shape.
Get Shape chooses the contour spline.

You use Get Shape as a loft creation method when you want the shape to move to the location of the selected path. For example, you use this method if you have created a path at the exact location where you want your loft object to be. You use Get Shape to create a loft at that location.

Get Shape causes the shape to move and rotate to align itself with the current level of the path. The exact orientation of the shape is controlled by two other loft settings named Contour and Banking.

The following describes the orientation of the first shape at level 0:

  • The pivot point of the shape is located on the path at the current path level.

  • The positive Z axis of the shape is aligned with the tangent to the path at the current path level.

  • The local Y axis of the shape is aligned with the local Z axis of the path.

Sometimes, aligning the positive Z axis of the shape with tangent of the path does not produce the result you want. You can flip the orientation of the shape by pressing CTRL while getting the shape. Pressing CTRL aligns the shape so that the negative Z axis of the shape is aligned with the tangent to the path.


SHP Files (Glossary)

Glossary

SHP Files

SHP is the 3D Studio R4 (DOS) shape-file format. You can import these files into gmax dev.

The .shp file contains polygons created in 3D Studio's 2D Shaper.

When importing an SHP file that contains multiple shapes, the software gives you the option to either merge them all into one object or make multiple incoming objects.

The shape importer looks at the vectors on incoming splines, and if they're collinear within a couple of percentage points, it changes the angle to a smoothed Bezier (otherwise, it's a Bezier corner).


Smoothing Groups (Glossary)

Glossary

Smoothing Groups

Left: The bottle has no smoothing.
Middle: Smoothing is assigned only to the highlighted group of faces.
Right: The bottle is smoothed using three different smoothing groups: on the body, the neck, and the top edge.

Smoothing groups define whether a shaded surface appears to contain sharp edges or smooth surfaces.

Smoothing groups are numbers assigned to the faces or patches of an object. Each face or patch can carry any number of smoothing groups up to the maximum of 32. If two faces or patches share an edge and share the same smoothing group, they will appear as a smooth surface. If they don't share the same smoothing group, the edge between them appears as a corner.

You can manually change or animate smoothing group assignments.


SMPTE (Glossary)

Glossary

SMPTE

SMPTE (Society of Motion Picture and Television Engineers) is the standard time display format for most professional animation work.

From left to right, the SMPTE format displays minutes, seconds, and frames, delineated by colons. For example:

2:16:14

represents 2 minutes, 16 seconds, and 14 frames.

As you move through time in a SMPTE display, when the seconds field increments, the frames field recycles to 0 and starts over. For example, given an NTSC frame rate of 30 frames per second, as you move through time, the frames field counts from 0 to 29, at which point the seconds field increments by 1, and the frames field begins again at 0.

As with the Frames display format, the SMPTE format lets the time slider move at single-frame increments.


Spacing Tool (Glossary)

Glossary

Spacing Tool

Spacing tool distributes the vases along the sides of the curved street. The vases are all at the same distance from each other; fewer of them appear on the shorter side.

Lets you distribute objects along a path defined by a spline or pair of points. The distributed objects can be copies, instances, or references of the current selected object. You define a path by picking a spline or two points and by setting a number of parameters. You can also specify how the spacing between objects is determined and whether the insertion points of the objects align to the tangent of the spline.


Specular Level and Glossiness Settings

Extremes of the Specular Level and Glossiness settings:
Top sphere: Specular Level = 100; Glossiness = 100
Left sphere: Specular Level = 50; Glossiness = 50
Right sphere: Specular Level = 0; Glossiness = 0

A material's shininess (or dullness) depends on the size and intensity of its specular highlight. In the Material Editor, the Glossiness spinner affects the size of the specular area, and the Specular Level spinner affects the intensity of the shininess.

When Specular Level is too high, and Glossiness is too low, you can get harsh backlights on your surfaces. The Soften option mitigates this.


Spline (Glossary)

Glossary

Spline

Top: Spline
Middle: A segment of the spline
Bottom: Vertices of the spline

A type of curve that is interpolated between two endpoints and two or more tangent vectors. The term dates from 1756, and derives from a thin wood or metal strip used for drafting curves in architecture and ship design.


Startup Script (Glossary)

Glossary

Startup Script

When gmax is first started, MAXScript searches for any startup script files, which it then automatically loads and runs. This feature is useful if you have function libraries you always use and want preloaded, or if you want to establish custom UI settings, define scripted plug-ins, or load scripted utility rollouts.

MAXScript first searches for .mcr (macroScript definition files) in the ui\macroscripts directory. These macroScript definitions are not compiled at this time; rather they are just scanned to identify the macroScripts that have been defined.

MAXScript next searches for .ms, .mse, and .mzp files in the plug-in path directories (defined in the Configure Paths dialog) and their subdirectories, and compiles these files. The gmax base scene and user interface have not been created at this point, so no viewport or scene commands should be executed in these files. These files should primarily define scripted plug-ins and utility functions.

Any utility functions used by the macroScripts defined when reading the ui\macroscripts directory should be defined in a .ms or .mse file in one of these directories. You can prevent a nested directory from being scanned by placing its name in parentheses, for example "(old-versions)", allowing you to enable and disable scripts in handy directory-based groupings.

At this point, gmax creates the base scene and user interface. Any macroScripts used by buttons in the user interface are compiled at this time.

The automatic loading of the following startup script files can be deactivated by turning off the Auto Start MAXScript option in the MAXScript page of the Preferences dialog, as described in MAXScript Preferences Settings.

MAXScript first searches for a file named startup.ms in the following directories, in this order:

  1. The Scripts directory (defined in the Configure Paths dialog)

  2. The Startup Scripts directory (defined in the Configure Paths dialog)

  3. The gmax executable main directory

  4. The Windows NT 32-bit system directory (system32)

  5. The Windows 16-bit system directory (system)

  6. The Windows directory

  7. The directories that are listed in the PATH environment variable

MAXScript stops searching when it finds the first occurrence of startup.ms.

MAXScript then recursively scans the Startup Scripts directory (defined in the Configure Paths dialog) and directories nested within them for .ms, .mse, and .mzp script files and loads them. In this pass, any script files with the name startup.ms are ignored. You can prevent a nested directory from being scanned by placing its name in parentheses, for example "(old-versions)", allowing you to enable and disable scripts in handy directory-based groupings.

If you specify a script to run in the command line (-U MAXScript script_name), the script is executed at this point. (See the MAXScript Reference topic "Running Scripts From The Command Line").


Sub-Object (Glossary)

Glossary

Sub-Object

1 - Sub-object selection selects only part of the object

A sub-object is a subset of an object's geometry. Many objects have various types of sub-objects that you can work with independently. For example, an editable mesh object's sub-objects are vertices, edges, faces, polygons, and elements. To access sub-objects, go to the Modifier panel. In the modifier stack display click the plus-sign icon to display an object's hierarchy, and then choose the sub-object level from the hierarchy. At the sub-object level you can select sub-objects, transform the selections, apply modifiers, and so on.

Many topics in the online reference deal with sub-objects. To see a list of sub-object-related topics, search on the term "sub-object" (include the quote marks in the keyword).


Sub-Object Level (Glossary)

Glossary

Sub-Object Level

Edge sub-object level chosen while editing a mesh

Some types of objects let you change to a sub-object level to edit their component parts. For example, editable meshes have Vertex, Edge, Face, Polygon, and Element sub-object levels.

You change the active sub-object level using the Modifier Stack display on the Modify panel.


Tangents (Glossary)

Glossary

Tangents

The tangent of a function curve affects the interpolated values between keys of an animation. Most animation controllers use fixed tangents to define the function curve at a key location.

By default, gmax assigns smooth tangents to the keys in a Position function curve. This is the reason that an animated object moves in smooth curves through the key frames. gmax assigns smooth tangents because they usually provide the most natural motion.

Of course, you also need a way to add some corners and abrupt turns when you need them. The Linear controllers use a discontinuous tangent that points at the preceding and following keys, producing an abrupt change in motion at that key.

The two large flyout buttons at the bottom of the Key Info dialog provide five different types of predefined tangent types, plus a sixth type that lets you create your own custom tangents.

If you look at a single key dot and the line running through it, the line on the left side of the key dot is the incoming tangent, and the line on the right is the outgoing tangent. Using the tangent flyout buttons, you can assign a different tangent type to the incoming and the outgoing lines for each key dot.

The button on the left assigns the incoming tangent at the left side of the selected key dot, and the button on the right assigns the outgoing tangent on the right side of the selected key dot.


TCB (Tension, Continuity, Bias) (Glossary)

Glossary

TCB (Tension, Continuity, Bias)

The TCB Position controller provides Tension, Continuity, and Bias controls of the splines of a function curve.

TCB controllers also produce curve based animation much like Bezier controllers. However, TCB controllers do not use tangent types or adjustable tangent handles. They use fields to adjust the Tension, Continuity, and Bias of the animation.

Tension controls the amount of curvature in the animation curve.

High Tension produces a linear curve. It also has a slight Ease To and Ease From effect.

Low Tension produces a very wide, rounded curve. It also has a slight negative Ease To and Ease From effect.

The default value of 25 produces an even amount of curvature through the key.

Continuity controls the tangential property of the curve at the key. The default setting is the only value that produces a smooth animation curve through the key. All other values produce a discontinuity in the animation curve causing an abrupt change in the animation.

High Continuity values create curved overshoot on both sides of the key. Low Continuity values create a linear animation curve.

Low continuity creates a linear curve similar to high tension except without the Ease To and Ease From side effect.

The default value of 25 creates a smooth continuous curve at the key.

Bias controls where the animation curve occurs with respect to the key.

High Bias pushes the curve beyond the key. This produces a linear curve coming into the key and an exaggerated curve leaving the key.

Low Bias pulls the curve before the key. This produces an exaggerated curve coming into the key and a linear curve leaving the key.

The default value of 25 distributes the curve evenly to both sides of the key.


Texel (Glossary)

Glossary

Texel

A texel (short for Texture Element) is the base unit of a textured graphic, which defines the surface of a three-dimensional object. The base unit of the surface of a 3D object would be a texel, while a 2D object would consist of pixels.


Ticks (Glossary)

Glossary

Ticks

Ticks are the way the software views increments of time. There are 4800 ticks in a second, so you can actually access time down to 1/4800th of a second.

Given a standard, NTSC video frame rate, there are 30 frames in a second, and therefore 160 ticks in each frame.

When you use the FRAME:TICKS display format, time is shown in frames and ticks, delineated by a colon. This format lets you adjust the time slider in sub-frame increments of 1/160th of a frame. As you move through time, the ticks field counts from 0 to 159, at which point the frames field increments by one, and the ticks field returns to 0.

You can step forward or backward at single increments by clicking the single-frame buttons among the playback buttons.

When you use the MM:SS:TICKS Display format, you see minutes (MM), seconds (SS), and ticks, each separated by colons.

As you move through time in this display format, the ticks field counts from 0 to 4799, at which point the seconds field increments and the ticks field returns to 0.

You can step forward or backward at single increments by clicking the single-frame buttons on either side of the playback button.


Tile/Mirror (Glossary)

Glossary

Tile/Mirror

Left: A bitmap
Middle: Tiling the bitmap
Right: Tiling and mirroring the bitmap

Tiling and mirroring are useful for creating patterns based on a simple image. Use them when you need wallpaper and other repetitive designs.

You set tiling values in the UVW Map modifier.

The Mirror option is a variation on the Tile option. Tile repeats the image side-by-side, while Mirror flips the image repeatedly.


Track View Hierarchy Icons (Glossary)

Glossary

Track View Hierarchy Icons

The Track View hierarchy follows the traditional example of organizational headings in an outline. The highest levels of the hierarchy represent the main groupings in gmax of Sound, Environment, Materials, and Objects. Lower levels of the hierarchy progress through the details of your scene, such as individual materials, material maps, and map parameters.

Each type of item in the Track View Hierarchy List is represented by an icon. You can use these icons to quickly identify what each item represents.

Sound: Green cones indicate sound parameters. gmax provides only one sound source in Track View.

Material: Blue spheres indicate material definitions. All branches below a material definition are part of that material. Because a material can be composed of multiple materials it is possible to have nested material definitions in Track View. Blue spheres also appear in an object's modifier branch when a material is assigned to an object.

Map: Green parallelograms indicate map definitions.

Object: Yellow cubes indicate objects in the scene. Branches below the square icon beside a yellow cube contain linked descendents of the object. Branches below the circle icon beside a yellow cube contain transforms and modifications applied to the object.

Container: Blue cylinders indicate a container of other items. Branches below a blue cylinder can contain any number of other items. Containers are how gmax organizes complex items in the Hierarchy List.

Modifier: Orange diamonds indicate modifiers. Branches below a modifier contain the modifier's sub-objects and parameters.

Controller: Green triangles indicate controllers. Controllers are the animation workhorses of Track View. They contain the animated values for all parameters and are the only item in the Hierarchy List that can have a track containing keys.

Certain types of controllers can contain other controllers. Examples of these are Transform Controllers and List Controllers.


Tracks (Glossary)

Glossary

Tracks

Every item in the Track View hierarchy has a track that displays what happens to the item over time.

There are two types of tracks:

  • Range tracks indicate when items below the track are animated. A range bar in the track displays the range of time over which the animation occurs.

  • Animation tracks contain the actual animated values for an item. Only controller items have an animation track.

The values in an animation track are usually displayed as keys. Some controllers don't use keys and instead display their values as a range bar or some other graphic symbol. For example, the Wave Form item displays a sound file as a two-channel sound wave.

Animation tracks are also the only track type that can be displayed as a function curve.


Trajectory (Glossary)

Glossary

Trajectory

Scooter following a trajectory

Whenever an object moves through world space, you can view its trajectory. A trajectory is the visible path the object makes because of its movement. You can think of a trajectory as a three-dimensional function curve for the Position track of an object.

Object trajectories appear with the following properties:

  • The trajectory curve is drawn in blue.

  • Frame increments are displayed as yellow dots on the curve.

  • Position keys are displayed as white boxes surrounding the appropriate frame dot on the curve.

  • Selected keys are displayed in gray.


Transforms (Glossary)

Glossary

Transforms

Moving, rotating, and scaling a figure

When you create any object, gmax records its position, rotation, and scale information in an internal table called a transformation matrix. Subsequent position, rotation, and scale adjustments are called transforms.

An object's actual position within the world coordinate system is always calculated in relation to its internal, or local coordinate system, which is based on the object's transformation matrix. The origin of the local coordinate system is the center of the object's bounding box.

An object can carry any number of modifiers, but only one set of transforms. Although you can change transform values from frame to frame, each object always has only one position, one rotation, and one scale transform.

You can animate your transforms by turning on the Animate button and then performing the transform at any frame other than frame 0. This creates a key for that transform at the current frame.


Truecolor (Glossary)

Glossary

Truecolor

Describes hardware and software that can support up to 16M color values. Also known as 24-bit or (with alpha channel data for transparency) 32-bit color.


Use Center Flyout (Glossary)

Glossary

Use Center Flyout

The Use Center flyout provides access to three methods you can use to determine the geometric center for scale and rotate operations. They are, from top to bottom:

Use Pivot Point Center

Use Selection Center

Use Transform Coordinate Center


UVW Coordinates (Glossary)

Glossary

UVW Coordinates

Local UV coordinates shown on a surface

Material maps are a 2D plane assigned to a 3D surface. Consequently, the coordinate system used to describe the placement and transformation of maps is different from the X, Y, and Z axis coordinates used in 3D space. Specifically, mapping coordinates use the letters U, V, and W; the three letters preceding X, Y, and Z in the alphabet.

The U, V, and W coordinates parallel the relative directions of X, Y, and Z coordinates. If you look at a 2D map image, U is the equivalent of X, and represents the horizontal direction of the map. V is the equivalent of Y, and represents the vertical direction of the map. W is the equivalent of Z and represents a direction perpendicular to the UV plane of the map.

You might question why you need a depth coordinate like W for a 2D plane. One reason is because it's sometimes useful to be able to flip the orientation of a map, relative to its geometry. To do this, you need the third coordinate.


Vectors/Vector Handles (Glossary)

Glossary

Vectors/Vector Handles

Kinds of vector handles:
1: Corner
2: Smooth
3: Bezier
4: Bezier corner

Vectors are secondary control points connected to vertices on a spline or patch object. They are also referred to as handles or vector handles.

Vector handles are visible as small green squares when you select a vertex. However, if the Vectors filter is checked (for a patch object), handles can be selected and transformed without selecting a vertex first. A transform cursor appears when you move onto a vector.

Each vertex in a shape can be one of four types:

Smooth: Forces the segments into a smooth curve tangent to the vertex.

Corner: Allows the segments on either side of the vertex to be at any angle.

Bezier: Provide handles, but forces the segments into a tangent through the vertex.

Bezier Corner: Provides handles, and allows the segments on either side of the vertex to be any angle.


World Coordinate System (Glossary)

Glossary

World Coordinate System

A book in object space rests on a table in world space.
The table uses the world coordinate system.

The coordinate system for world space or the model space as a whole.

World space is the universal coordinate system for all objects in the scene. When you look at the home grid in the viewports, you see the World Space coordinate system. World space is constant and immovable.

In the World coordinate system seen from the front, the X axis runs in a positive direction to the right, the Z axis runs in a positive direction upward, and the Y axis runs in a positive direction away from you.


World-Space Modifiers (Glossary)

Glossary

World-Space Modifiers

World space is the universal coordinate system that applies to the entire scene. A world-space modifier, as opposed to an object-space modifier, affects an object but uses world coordinates.

World-space modifiers always appear at the top of the modifier stack. Their effect is independent of their order in the stack.

See also

World Space Modifiers (WSMs)


XRef Files (Glossary)

Glossary

XRef (3ds max Externally Referenced File)

An XRef in gmax is an externally referenced file. A scene can contain XRefs to other objects or other scenes.

XRefs allow multiple animators and modelers to work on one scene at the same time without interfering with each other's work.


Zoom Extents All Flyout (Glossary)

Glossary

Zoom Extents All Flyout

The Zoom Extents All flyout displays the Zoom Extents All button and the Zoom Extents All Selected button that let you center and magnify the view in all viewports to display all visible or selected objects. See Zoom Extents All, Zoom Extents All Selected.


Zoom Extents Flyout (Glossary)

Glossary

Zoom Extents Flyout

The Zoom Extents flyout displays the Zoom Extents button and the Zoom Extents Selected button that let you center and magnify the view in the active viewport to display all visible or selected objects. See Zoom Extents, Zoom Extents Selected.


Binding Objects (IK)

Use the binding functions to cause an object to attempt to maintain its position and orientation relative to the world or to another object. A bound object will resist motion in the kinematic chain until the chain is stretched near its limits and the bound object must move to complete the IK solution.

On the left, the sword is independent of the figure.
On the right, the hand is bound to the sword's position.

Setting Binding Options

You can bind an object by position, orientation, or both. Once an object is bound you can set binding axes, weight, and whether the binding is absolute or relative.

Bind Position: Causes an object to attempt to maintain its location or to match the location of a follow object.

Bind Orientation: Causes an object to attempt to maintain its rotational orientation or to match the orientation of a follow object.

Relative: Changes how an object reacts to a bound follow object. See the following discussion about binding an object to a follow object.

Axis and Weight: Set these options to control which axes are affected by the binding and the binding’s influence over other bindings in the kinematic chain.

Binding an Object to the World

You can bind an object to the world if you want the object to hold its position and orientation as long as possible during IK operations.

If you are animating a walking figure you want one foot to remain in place while you position the other foot. Without binding, the whole hierarchy would have a tendency to slide around when you attempt to position a foot. Binding both feet to the world ensures that the unselected foot stays in place while you position the other foot.

Binding an Object to a Follow Object

You can bind a selected object in your hierarchy to any other object that is not a descendant of the selected object. This other object is called the follow object.

The behavior of the bound object varies depending on the state of the Relative buttons next to the bind options.

  • When Relative is inactive, the bound object tries to match the exact position and orientation of its pivot point to the position and orientation of the follow object’s pivot point.

  • When Relative is active, the bound object mimics any changes in position or rotation of the follow object but does not try to match it exactly.

You might want to animate a figure that always points to another object. Bind the hand of the figure to the other object with Relative active. Turn IK on, and as you move the object, the hand and arm of the figure move to point at it.

Unbinding Objects

If you decide that you do not want an object to be bound you can either turn off the Bind Orientation and Bind Position boxes, or unbind the object from its follow object.

  • If you turn off the binding options, you disable the effect of binding without removing the binding to a follow object. This method is handy if you decide to reposition a follow object after you have bound an object to it.

  • If you unbind an object, it permanently removes the binding to a follow object.


Choosing Child-to-Parent Precedence

Choosing Child-to-Parent Precedence (IK)

Child->Parent precedence causes joints closest to where a force is applied (the end effector) to move more than joints that are farther away from the force. Like the default precedence, Child->Parent precedence produces a natural result that is suitable for many IK solutions.

The difference is that Child–>Parent precedence assigns unique values to each object in the kinematic chain (default precedence uses the value of 0 for every object). Child–>Parent precedence is more flexible if you want to go back and manually change precedence values.

The figures show values for child-to-parent precedence.

Assigning Child->Parent Precedence

Clicking Child–>Parent sets joint precedence based on a child having a higher precedence than its parent. The values are calculated by setting the root of the entire hierarchy to a precedence value of 0 and each child to a value equal to 10 times its depth from the root.

You almost always assign Child->Parent precedence to an entire kinematic chain. The chain for the structure in the figure uses the body as the root object and the duck as the end effector.

Each object receives a value equal to its depth from the root of the hierarchy times 10. Note that precedence value calculation is based on the root of the hierarchy whether or not the root is selected as part of the kinematic chain.

You might want to assign Child->Parent precedence to just a single object in the kinematic chain. For example, if you have been manually changing precedence values, you might want to set an object to its original Child->Parent value. The value assigned to the object is equal to its depth from the root of the hierarchy times 10.


Choosing Parent-to-Child Precedence (IK)

Parent->Child precedence causes joints closest to where a force is applied (the end effector) to move less than joints farther away from the force. This is the opposite of Child->Parent precedence. Parent->Child precedence assigns the highest precedence to the base object and the lowest precedence to the end effector.

You might use this type of precedence for a number of special cases. For example:

  • When joints near the end effector are less flexible than joints near the base. You use Parent->Child precedence in conjunction with limits and damping. For more information about the latter two, see Setting Joint Resistance and Spring Back.

  • When animating a kinematic chain where the real-world object is moved by applying force to the base of the chain. Imagine an animal's tail. Using IK you animate the tail by moving the tip of the tail. However, a real animal moves its tail using muscles at the tail's base. The real-world motion is applied from the base to the tip in a Parent->Child order.

The figures show values for parent-to-child precedence.

Assigning Parent->Child Precedence

Clicking Parent->Child sets joint precedence based on a child having a lower precedence than its parent. The values are calculated by setting the root of the entire hierarchy to a precedence of 0 and each child to a value equal to -10 times its depth from the root.

You almost always assign Parent->Child precedence to an entire kinematic chain. The chain for the structure in the above figure uses the body as the root object and the duck as the end effector. Using Parent->Child precedence, the feet are assigned a precedence of -50 and the duck is assigned a precedence of -140.

You might want to assign Parent->Child precedence to a single object in the kinematic chain. The value assigned to the object is equal to its depth from the root of the hierarchy times -10.


Comments?

Using this form sends your comments to the Discreet Technical Publications group responsible for this documentation.

Topic title and location:
Name (optional):
Email:
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!


Copying, Pasting, and Mirroring Joint Parameters (Inverse Kinematics)

Make a selection. > Hierarchy panel > IK > Object Parameters rollout > Copying, Pasting and Mirroring joint parameters

Use the Copy and Paste buttons in the Object Parameters rollout to copy and paste the joint settings between IK controllers. You can also copy joint settings from a non-IK controller to an IK controller, but you can't copy from an IK controller to a non-IK controller. With an IK solver hierarchy, you can paste to a multiple selection of joints.

Use Mirror Paste to mirror the IK joint settings about the X, Y, or Z axis during a Paste operation. It consists of four buttons: one each for the X, Y, and Z axes, and a None option that prevents mirroring altogether.

You can also mirror the IK joints using the Mirror tool on the main toolbar. Turn on Mirror Bones to successfully mirror the IK setup.

See also

Sliding and Rotational Joints

Procedure

To copy and paste joint parameters:

  1. Select an object in a kinematic chain.

  2. Set sliding or rotational joint parameters.

  3. Click Copy in either the Sliding Joints or Rotational Joints group on the Object Parameters rollout.

  4. Select a different object in the kinematic chain.

  5. Select an axis to mirror in the Mirror Paste group.

  6. Click paste in either the Sliding Joints or Rotational Joints group on the Object Parameters rollout.

    Both Sliding Joints and Rotational Joints maintain separate clipboards. The copied joint parameters are saved in the clipboard until you replace them with new copied parameters.

Interface

Sliding Joints group

Use these buttons to copy sliding joint parameters from one object to another. These buttons are not available for Path joints.

Rotational Joints group

Use these buttons for copying rotational joint parameters from one object to another.

Mirror Paste group

Use to mirror the IK joint settings about the X, Y, or Z axis during a Paste operation.


Geometry

Create panel > Geometry

The Geometry button lets you create a variety of 3D objects. These are the basic building components of scenes.

Creation Method Rollout

Often you have a choice of how you create an object. For example, you can use either the center (radius) or edge (diameter) to define the size of a Circle shape.

There's always a default creation method. If you want to use an alternate method, choose the option before you create the object. The creation method has no effect on a finished object; the options are for your convenience during creation.

Standard Primitives

Compound Objects

Patch Grids

See also

Creating Primitives from the Keyboard


Helpers

Create panel > Helpers

Helper objects play a supporting role, like stage hands or construction assistants. There are two sets of helpers available from the Object Set list.

Standard

Manipulators


Save User Interface

Tools menu > Customize > Save User Interface

Save User Interface saves the current UI configuration to the current UI file.

See also

Save User Interface As


IK Display Options Rollout (IK Limb Solver)

Here are the controls to turn on and off a variety of gizmos in the viewport. The Goal and End effectors, the vector handle of the swivel angle manipulator, and the IK solver display itself, are all located in this rollout.

Procedures

To see multiple IK solvers in a single chain:

  1. In a chain with multiple IK solvers, select a goal in the viewport.

  2. In the IK Display Options rollout, turn on IK Solver Display Enabled.

  3. Select a second goal and repeat the process.

    Each goal's display remains on whether it is selected or not.

Interface

End Effector Display group

Controls the appearance of the end effectors in the IK chain. Off by default.

Enabled: Turns the end effectors display on or off.

Size: Controls the size of the end effector gizmo in the viewport.

Goal Display group

Controls the appearance of the goals in the IK chain. On by default.

Enabled: Turns the goals display on or off.

Size: Controls the size of the goal gizmo in the viewport.

Swivel Angle Manipulator group

Controls the display of the swivel angle manipulator in the IK chain. On by default. Turn this on, then turn on Manipulate mode to see the swivel angle manipulator.

Enabled: Turns the swivel angle manipulators on or off.

Size: Controls the size of the manipulator's handle in viewports.

Length: Controls the length of the manipulator in viewports.

IK Solver Display group

Controls the appearance of the IK Solver display, the line drawn between the start and end joints. Turn this on when you have multiple chains that you want to see at the same time.

Enabled: Turns on or off the IK Solver display.


IK Solver Properties Rollout (IK Limb Solver)

Select end effector of an HI chain. > Motion panel > Parameters button > IK Solver Properties rollout

Here are the additional controls for the HI IK solver. The IK Solver Plane is controlled here through the Swivel Angle, which can be animated directly or via a target object.

In the Parent Space group you can choose to whether the IK goal or the start joint will be used as the parent space for the swivel angle. If IK Goal is selected (which is the default), then the Swivel Angle of the chain is defined in the parent space of its goal. If Start Joint is chosen, then the Swivel Angle will be relative to the parent space of the start joint. These two options allow a much better control of the swivel angle on a chain with two IK Limb solvers. For example, the first IK solver on the upper part of a chain can use a Swivel Angle in the Parent Space of the Start Joint, while the second IK solver on the lower part of the chain uses the Parent Space of the IK Goal. In this case, the change of the Swivel Angle for one chain won’t change the orientation of the other one.

In the Thresholds and Solutions group you can tune the IK solution. The Position Threshold sets a limit in units of how far the goal can be moved from the end effector, the Rotation does the same in angle degrees.

The Solutions group Iterations is the maximum number of attempts the IK solution will perform before giving up.

If you IK animation seems to jitter, try increasing the Iterations to 200. Increasing the Iterations will slow down the computational time, but should produce better results.

Manipulator for the Swivel Angle

You can adjust the swivel angle with the spinner in this rollout, or you can adjust it with a manipulator. To do so, turn on Select and Manipulate. The swivel angle manipulator is displayed as a handle in viewports.

Swivel angle manipulator

When you move the mouse over the manipulator, it turns red. At this point, you can drag the manipulator to change the swivel angle. The Animate button can be active while you do this.

You can also animate the swivel angle by using a target object. Pick an object for the target, then animating the object will animate the swivel angle.

The swivel angle manipulator is a standard plane angle manipulator. The HI IK solver has its own controls for displaying this manipulator. These are on the IK Display Options rollout.

Interface

IK Solver Plane group

Swivel Angle: Controls the Solver Plane which determines the direction of the knee or elbow in a human limb. The Swivel Angle can be manipulated in the viewport by turning on Swivel Angle Display in the Display Options rollout, and then turning on Manipulate Mode. When the swivel angle manipulator is displayed in the viewport, you can interactively animate the handle to animate the solver plane.

Pick Target: Lets you select another object to use to animate the Swivel Angle.

Use: Turns the use of the Target on and off.

Parent Space: Defines what space the Swivel Angle is relative to. Use this on chains with multiple solvers, so the swivel angle manipulations on one chain will not affect the second.

IK Goal: Defines the Swivel Angle parent space relative to the IK Goal.

Start Joint: Defines the Swivel Angle Parent Space relative to the Start Joint.

Thresholds group: Use to define the tolerances the system uses for its calculations.

Position: Sets a limit in units of how far the goal can be moved from the end effector. Keep these numbers low.

Rotation: Sets a limit in degrees of how far the goal can be rotated away from the end effector rotation. Keep these numbers low for best results.

Note that adjusting the Rotation threshold on the IK Limb Solver has no effect. It is up to the plug-in solver’s discretion as to whether or not they will support a rotation component in the IK solution.

Solutions group: Use to control the precision of the animation. Increase the iterations when the IK solution produces an animation that appears rough or jittered.

Iterations: The number of attempts an IK solution will make to find the best match between the goal and the end effector positions. Increase this number if you are seeing jumpy animation.


IK Solver Rollout (IK Limb Solver)

Select end effector of an IK Limb chain. > Motion panel > Parameters button > IK Solver rollout

The IK Limb solver is a analytical solver that is fast to use on chains of two bones or objects, no matter how long is your animation. The IK Limb solver uses a goal to manipulate the end of the chain. It uses a preferred angle that specifies a preference regarding which direction the link will rotate: positive or negative. The preferred angle can also be considered as the initial angle; that is, the angle at which the link was rotated at the time the solver was applied.

The IK solution takes place in a plane, known as the solver plane. The angle of the solver plane is controlled by a parameter called the swivel angle.

Changing the swivel angle

The angle of the solver plane is actually calculated in one of two coordinate systems: the Start Joint Parent space or the IK Goal Parent space. World space is not an explicit option; however, you can easily configure the IK chain to work in world space by choosing the IK Goal Parent option and making sure that the IK goal is unlinked (has no hierarchical parent). In this case, the IK goal’s parent is the world, and therefore, the solver plane will be computed in world space.

The swivel angle is animatable. You can adjust it directly, or with a manipulator. Or you can target the swivel angle to a object and animate that to affect the swivel angle. These parameters are on the IK Solver Properties rollout.

The IK Solver is designed to let the animator jump back and forth between forward and inverse kinematics quickly and conveniently, with tools to automatically enable IK and snap the goal to the end effector.

Procedures

To turn off IK on a chain:

  1. Select the goal of a chain with an IK Limb Solver.

  2. In the motion panel IK Solver rollout, turn off Enabled.

    IK is now off, so you can select and rotate any of the objects in the chain. Turning IK on and off is animatable using the Animate button.

To mix IK and FK in a single animation track:

  1. Apply an IK Limb Solver to a hierarchy or bone system of two members.

  2. Turn on the Animate button and move the time slider ahead in time.

  3. Select the goal of the IK Chain, and open the motion panel.

  4. Select and move the goal to animate the IK chain with Inverse Kinematics.

  5. Advance the time slider again.

  6. In the IK Solver Rollout, turn off Enabled and IK for FK Pose.

  7. Select and rotate the root. The entire hierarchy rotates freely. You are now adding keyframes using FK.

To match the goal and the end effector positions:

  • If the goal and end effector become separated, click IK/FK Snap and the goal will move to match the end link of the chain.

  • If AutoSnap is turned on, clicking on the goal will automatically perform the snap action, matching the goal and end effector positions.

Interface

IK Solver group

The items in this group provide the ability to set the start and end points of the selected IK solver chain. There are also controls in this rollout that allow you to use IK manipulation to create forward kinematic rotational keyframes on the hierarchy objects, and there are buttons to align the goal and the end effector.

Solver field: Allows selection of IK Solver. Only the IK Limb Solver is available in gmax.

Enabled: Turns IK control of the chain on and off.

The IK Controller has an FK sub controller. When Enabled is selected, the FK sub-controller values are overwritten by the IK controller. When Enabled is turned off, the FK values are used. You can animate Enabled On and Off.

Use this to turn off the chain control by the goal, when you want to do forward rotations.

IK for FK Pose: Lets you turn on IK in middle of FK manipulation. When Enabled is off and IK for FK Pose is on, moving the goal will turn on IK automatically in the middle of an FK manipulation. The result of this is that all the FK sub-controllers receive values from the IK solution. Keys are placed on the hierarchy objects or the bones, not on the goal. When both Enabled and IK for FK Pose are turned off, moving the goal does not affect the chain at all.

IK/FK Snap: Pressing this button performs an IK snap when in FK mode, and an FK snap in IK mode.

IK Snap: If the goal has moved away from the end of the chain, pressing IK/FK Snap moves the goal to coincide with the end link position.

FK Snap: The values of FK sub-controllers are suppressed by the solution of IK when IK is on (Enabled is on). Their values don't always correspond to the current pose of the chain. If you turn off Enabled, the values of FK sub-controllers will suddenly take over. This can cause the chain to jump. FK Snap, before Enabled is turned on, forces the FK sub-controllers to assume values from the current pose (which is determined by the IK.) This eliminates the jump in the chain's animation.

Auto Snap: When Auto Snap is turned on, an IK/FK snap will automatically be applied before you turn Enabled on or off. If Auto Snap is not turned on, you will have to press IK/FK Snap before changing Enabled, otherwise the chain will jump.

Bone Joints group: Allows you to change the ends of the IK chain.

Pick Start Joint: Defines one end of the IK chain. Select from the viewport or by name (press H).

Pick End Joint: Defines the other end of the IK chain. The direction of the chain is defined by the hierarchy, not by Start and End Joint. Select from the viewport or by name (press H).

Tip: The Order of the Hierarchy determines the direction of the chain. You cannot reverse the direction of the chain by picking Bone 10 as the start and Bone 1 as the end.


Object (Glossary)

Glossary

Object

An assortment of geometric primitive objects

"Object" means an object in the scene, such as primitive geometry like boxes and spheres, more complex geometry such as Booleans, and so on. Geometric objects are what a game engine renders. A scene can also contain nonrenderable objects such as lights, cameras, and helpers.

You add objects to a scene by using the Create panel.


Object Parameters Rollout (Inverse Kinematics)

Select an object in a hierarchy > Hierarchy panel > IK > Object Parameters rollout

The Object Parameters rollout lets you set IK parameters for an entire bone chain. This topic covers the Terminator check box; other parameters on the Object Parameters rollout are covered in the following topics:

Position/Orientation/Bind to Follow Object Groups

Precedence

Copying, Pasting and Mirroring Joint Parameters

Sliding and Rotational Joints

Procedure

To create a terminator in a Interactive IK chain:

  1. Select an object in a hierarchy that that you want to be the terminator.

  2. In the Object Parameters rollout, turn on Terminator.

  3. Turn on and use either Interactive IK or Apply IK.

    The terminated object will not be affected.

Interface

Terminator: Sets the base of an IK chain by defining one or more selected objects as terminators.

Turn on Terminator to stop calculation of the kinematic chain before it reaches the root object of the hierarchy. A terminator object stops calculation at the terminator's child object; the terminator itself is not affected by the IK solution. This gives you very precise control over the behavior of the kinematic chain.

See Also

Auto-Termination


Patch Deform

Select an object. > Modify panel > Modifiers List > Animation Modifiers > PatchDeform

Select an object. > Modifiers menu > Animation Modifiers > PatchDeform

The PatchDeform modifier deforms an object based on the contours of a patch object. This modifier works similarly to the PathDeform modifier, but uses a quad-based patch object instead of a spline shape.

To use the PatchDeform modifier, apply it to the object you want to deform, click the Pick Patch button, and then select a patch object. Deform the object by adjusting the various controls in the Patch Deform panel.

Not all objects can be used with PatchDeform. Objects that are valid PatchDeform targets include: Plane, Cylinder, Cone and Torus.

Procedure

To use the PatchDeform modifier:

  1. Select an object.

  2. Apply PatchDeform.

  3. On the Parameters rollout, click Pick Patch.

  4. Select a patch object.

    Deform the object by adjusting the controls in the Patch Deform panel and by editing the patch object.

Interface

Modifier Stack

Gizmo: At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the modifier. The PatchDeform gizmo is a representation of the deforming patch object, so transforming it determines which part of the patch affects the modified object.

Parameters rollout

Patch Deform group

Provides controls that let you pick the patch and adjust the object's position and deformation along the gizmo copy of the patch.

Patch: Displays the name of the selected patch object.

Pick Patch: Click this button, and then select the patch object you want to use for the deformation. A gizmo is created for the object that matches the patch. Once you assign the patch gizmo, you can adjust the deformation using the remaining controls in this rollout.

Note: PatchDeform can only be used with a rectangular quad patch form. The software makes no distinction between quad-style patches and patch meshes. Examples of suitable patches are the primitive quad patch object, the primitive cylinder, and the primitive sphere. (The cylinder and sphere actually have tri-patches at each end, but since they are at the end of the list of patches, PatchDeform just ignores these extra faces.)

U Percent: Moves the object along the U (horizontal) axis of the gizmo patch, based on a percentage of the U distance. This spinner defaults to a setting of 50 percent, which places the object at the center of the gizmo patch. A setting of 0 percent places the object at the left edge of the gizmo patch, as seen from the viewport where the patch was created.

U Stretch: Scales the object along the U (horizontal) axis of the gizmo patch.

V Percent: Moves the object along the V (vertical) axis of the gizmo patch, based on a percentage of the V distance. A setting of 0 percent places the object at the bottom of the gizmo patch.

V Stretch: Scales the object along the V (vertical) axis of the gizmo patch.

Rotation: Rotates the modified object with respect to the gizmo patch.

Patch Deform Plane group

XY/YZ/ZX: Choose a two-axis plane of the object to make parallel with the XY plane of the gizmo patch.

Flip: Reverses the gizmo direction.


Path Deform

Select an object. > Modify panel > Modifier List > Animation Modifiers > PathDeform

Select an object. > Modifiers menu > Animation Modifiers > PathDeform

The PathDeform modifier deforms an object using a spline curve as a path. You can move and stretch the object along the path, and rotate and twist it about the path.

Path Deform adds a wiggle to the snake.

Generally, you use the PathDeform modifier when you want to keep an object in place while deforming to a path.

To use the PathDeform modifier, you apply it, then click the Pick Path button and select a shape or curve consisting of a single open or closed spline. Once the object is assigned to the path, you can adjust the parameters to deform or animate the object along a gizmo copy of the path.

Procedures

To use the PathDeform modifier:

  1. Select an object.

  2. Apply PathDeform.

  3. On the Parameters rollout, click Pick Path.

  4. Select a spline curve.

    Deform the object by adjusting the various controls in the Path Deform panel and by editing the path object.

Example: To use the PathDeform modifier to curve text:

  1. In the Top viewport, create a circle with a radius of 100 units.

  2. In the Front viewport, create a text shape with six or seven letters, and a size of 25. (You can use the default "MAX Text".)

  3. Apply an Extrude modifier to the text shape and set Amount to -5.0.

  4. On the main toolbar, set the Reference Coordinate System to Local.

    Looking at the axis tripod for the extruded text object, you can see that its Z axis runs from back to front, relative to world space.

  5. Apply a PathDeform object-space modifier to the text object, click the Pick Path button, and then select the circle.

    A circular gizmo is displayed. The circle runs through the local Z axis of the text object. Because of its orientation, its effect is minimal, but you can see a slight wedge-shaped deformation from the top view.

  6. In the Path Deform Axis group, choose the Y option, and then the X option.

    The circle gizmo rotates to run through the specified axes, deforming the text object differently with each change.

  7. Adjust the Percent spinner to view its effect, and then set it to 0. Try the same with Stretch, Rotation, and Twist, and then restore them to their original values. (Tip: Use the CTRL key with Twist to amplify the effect.)

  8. Turn Flip on and off to switch the direction of the path.

  9. In the stack display, choose the Gizmo sub-object level, and move the gizmo path around.

    The text object is further deformed by its relative position to the gizmo.

  10. In the stack display, turn off sub-object selection by selecting the original circle shape.

  11. Adjust the circle's radius.

    The deformation of the text object changes because its gizmo is an instance of the shape object.

Interface

Modifier Stack

Gizmo: At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the modifier. The PathDeform gizmo is a representation of the deforming path object, so transforming it determines which part of the path affects the modified object.

Parameters rollout

Path Deform group

Provides controls that let you pick a path and adjust an object's position and deformation along the path.

Path: Displays the name of the selected path object.

Pick Path: Click this button and then select a spline curve to use as the path. The gizmo that appears is shaped like the path and is aligned with the local Z axis of the object. Once you assign the path, you can adjust the deformation of the object using the remaining controls in this rollout. The path you pick should contain a single, open or closed curve. If you use a path object consisting of multiple curves, only the first one is used.

Percent: Moves the object along the gizmo path based on a percentage of the path length.

Stretch: Scales the object along the gizmo path, using the object's pivot point as the base of the scale.

Rotation: Rotates the object about the gizmo path.

Twist: Twists the object about the path. The twist angle is based on the rotation of one end of the overall length of the path. Typically, the deformed object takes up only a portion of the path, so the effect can be subtle.

Path Deform Axis group

X/Y/Z: Choose one to rotate the gizmo path to align with a specified local axis of the object.

Flip: Reverses the gizmo path 180 degrees about the specified axis.


Position/Orientation/Bind to Follow Object (Inverse Kinematics)

Make a selection. > Hierarchy panel > IK > Object Parameters rollout > Position/Orientation/Bind to Follow Object groups

Use the controls in these group boxes to bind objects in a HD IK chain to the world or to follow objects. Use the various options to modify the behavior of the bindings.

Use weighted and axis-specific binding controls to create different weights for each binding, and to specify which axes the bound follow object influences. Use the R (Relative) buttons to establish a relative offset with Bind Position and Bind Orientation.

Binding an Object to a Follow Object

Binds a selected object in your hierarchy to any other object that is not a descendant of the selected object. This other object is called the follow object.

Procedures

To bind an object to the world:

  1. Select the object to be bound.

  2. Click IK in the Hierarchy panel and expand the Object Parameters rollout.

  3. Select one or both of the Bind boxes.

    • Turn on Bind Position to cause the object to attempt to maintain its current location.

    • Turn on Bind Orientation to cause the object to attempt to maintain its current orientation.

To bind an object to a follow object:

  1. Turn on Bind and select the object in a kinematic chain to be bound.

  2. Drag to the follow object and release.

  3. Turn on Bind Orientation if you want the bound object to match the rotation of the follow object. Bind Position is automatically selected.

    Turn off an axis (Axis: XYZ). The specified axis is no longer influenced by the follow object or the New IK Position end effector.

    Use Weight to set the relative influence of multiple follow objects or end effectors, and thus their priority in solving the IK solution. The higher the relative Weight value, the higher the priority.

    Note: As you drag, a dotted line is drawn from the pivot point of the selected object to the cursor. When the cursor is over a valid follow object, it changes to a push-pin cursor. Release to set the follow object. The name of the follow object will appear in the text area.

To unbind an object:

  • Select the object to unbind. Click Unbind.

    In the text area, the name of the follow object is replaced with the word "None."

Interface

Position group

Bind Position: Binds the selected object in the hierarchy to the world (attempts to maintain its location), or to a follow object, if one has been assigned. If a follow object has been assigned, then the translation of the follow object affects the IK solution.

Orientation group

Bind Orientation: Binds the selected object in the hierarchy to the world (attempts to maintain its orientation), or to a follow object, if one has been assigned. If a follow object has been assigned, then the rotation of the follow object affects the IK solution.

R: Establishes a relative position offset or rotation offset between follow object and end of the chain.

Axis X/Y/Z: If one of these is turned off, the specified axis is no longer influenced by the follow object.

For example, if you turn off the X axis in the Position group, movement of the follow object (or end effector) along the X axis has no effect on the IK solution, but movement along the Y or Z axis has.

Note: These do not constrain the movement of the follow object or end effector.

Weight: Sets the influence of the follow object on its assigned object, and on the rest of the chain. A setting of 0 turns off the binding. Using this value you can set the relative influence of follow objects and their priority in solving the IK solution. The higher the relative Weight value, the higher the priority.

The Weight settings are relative; there's no point in using them if there's only one follow object or end effector in your IK hierarchy.

However, if you have a single HD IK chain with both Position and Rotation end effectors on a single joint, you can give them different weights to give priority to either the position or rotation solution.

You can adjust the Weight for multiple joints. Select two or more objects in the hierarchy, and the Weight value represents the commonality of the selection set.

Note: Differences in the Weight values only have an effect when there is no solution that satisfies two or more opposing end effectors in the chain. In this case, the end effector with the greatest weight "wins."

Bind To Follow Object group

Controls to bind and unbind an object in a kinematic chain to a follow object.

(Label): Displays the name of the selected follow object. Displays the word "None" if no follow object is set.

Bind: Binds an object in a kinematic chain to a follow object.

Unbind: Unbinds the selected object in a hierarchy from its follow object.


Precedence ( Inverse Kinematics)

Make a selection. > Hierarchy panel > IK > Object Parameters rollout > Precedence

You can use the three joint precedence controls to alter how the IK Solution is calculated.

The default joint precedence is 0. This is suitable for many IK solutions. It assumes that joints closest to where a force is applied (the end effector) will move more than joints farther from the force.

Child->Parent values are calculated by assuming the root of the entire hierarchy has a precedence value of 0 and each child has a value equal to 10 times its depth from the root. In a four-object hierarchy starting with the root, the values would be 0, 10, 20, and 30.

Parent->Child values are calculated by assuming the root of the entire hierarchy has a precedence value of 0 and each child has a value equal to 10 times its depth from the root. In a four-object hierarchy starting with the root, the values would be 0, -10, -20, and -30.

  • Default joint precedence occurs whenever all joints in the kinematic chain have the same precedence value. Assigning a value of 100 to all objects in the kinematic chain is exactly the same as assigning a value of 0.

  • An IK chain of three objects with precedence values of 0, 30, and 200 would have the same solution if the precedence were changed to be 1, 2, and 3.

Procedures

To assign a precedence value to an object manually:

  1. Select an object.

  2. Open the Object Parameters rollout in the Hierarchy panel.

  3. Enter a value in the Precedence field.

To assign Child->Parent precedence to all objects in a kinematic chain:

  1. Select all objects in the kinematic chain.

  2. Open the Object Parameters rollout in the Hierarchy panel.

  3. Click Child>Parent.

To assign Parent->Child precedence to all objects in a kinematic chain:

  1. Select all objects in the kinematic chain.

  2. Open the Object Parameters rollout in the Hierarchy panel.

  3. Click Parent->Child.

To reset the default joint precedence:

  1. Select all objects in the kinematic chain.

  2. Open the Object Parameters rollout in the Hierarchy panel.

  3. Set the value in the Precedence field to 0.

Interface

Three controls set precedence:

Precedence: Manually assigns precedence values to any object in the IK chain. High precedence values are calculated before low precedence values. Precedence values that are equal are calculated in Child>Parent order.

Child->Parent: Automatically sets joint precedence to decrease in value from child to parent. Causes joints closest to where a force is applied (the end effector) to move more than joints farther away from the force.

You almost always assign Child>Parent precedence to an entire kinematic chain.

Child>Parent behaves like the default precedence settings but is more flexible if you want to go back and manually change the settings.

Parent->Child: Automatically sets joint precedence to decrease in value from parent to child. Causes joints closest to where a force is applied (the end effector) to move less than joints farther away from the force.

You almost always assign Child>Parent precedence to an entire kinematic chain.


Setting Joint Precedence (IK)

You set Joint Precedence to control the order in which joint calculations are applied to the kinematic chain. When an IK solution is calculated, the result is dependent on the order of calculation for each joint.

The hoof (a child) has precedence over the leg (its parent).

For any given position of an end effector, there are many possible IK solutions.

The three joint precedence controls in the Object Parameters rollout are:

Precedence: Sets joint precedence manually.

Child->Parent: Automatically sets joint precedence to decrease in value from child to parent.

Parent->Child: Automatically sets joint precedence to decrease in value from parent to child.

Determining Order of Calculations

You control the IK solution by setting joint precedence to determine which joints contribute the most to the IK solution and which joints contribute the least.

  • Joints with high precedence values are calculated first, and contribute more motion to the IK solution.

  • Joints with low precedence values are calculated last and contribute the least motion to the IK solution.

  • Joints with equal precedence values are calculated by order in the hierarchy. Joints closer to the end effector are calculated first and joints closer to the root are calculated last.

Of all of the joint parameters, Joint Precedence is the most subtle.

See also

Using Default Joint Precedence

Choosing Child-to-Parent Precedence

Choosing Parent-to-Child Precedence

Setting Precedence Manually


Setting Joint Resistance and Spring Back (IK)

You control a joint's resistance to motion, and its tendency to return to its original position, by setting Ease, Damping, and Spring Back options.

Moving telescopes with and without damping

Easing a Joint at its Limits

An organic joint, or a worn mechanical joint, moves freely in the middle of its range of motion but moves less freely at the extremes of its range. Use Ease to cause a joint to resist motion as it approaches its From and To limits.

For example, your forearm might move freely in the middle of its range of motion, but it resists movement when you try to squeeze it against your upper arm or extend it all the way out. Ease simulates this effect.

Damping Joint Action

As a joint corrodes, dries out, or is put under a heavy load, it resists motion along its active axes. Damping simulates the natural effect of joint friction or inertia. Enter a value greater than zero in the Damping field to apply resistance over a joint's full range of motion.

As damping increases a joint resists motion and other joints are required to move more. A damping value of 1.0 means there is extreme resistance and a joint will not move on that axis.

For example, a telescope with no damping at all allows each cylinder to move to its maximum limit before the next cylinder moves. If the cylinders have damping values assigned, then each cylinder causes its parent to begin moving before it reaches full extension.

Setting a Joint to Spring Back

When a joint resists motion, it also has a tendency to return towards its at-rest position. You simulate this by setting Spring Back tension in the joints. As the joint moves further from its rest position, an increasingly larger force pulls the joint back, like a spring.

When you set Spring Tension higher, the spring pulls harder as the joint moves farther away from its rest position. Very high settings can turn the joint into a limit, because you can reach the point where the spring is too strong to allow the joint to move any farther.


Setting Precedence Manually (IK)

Some models and animated motions don't fit neatly into a Child->Parent or Parent->Child precedence. In such situations you can manually assign precedence values to any object in the IK chain on a joint-by-joint basis. For example:

  • Animating models with a combination of light, flexible joints and heavy, resisting joints. Imagine a model of heavy iron balls linked together with lengths of chain. Setting the precedence values of the chains higher than the precedence values of the iron balls simulates the balls' inertial resistance to motion.

  • Animating a motion where certain joints must move before other joints. Imagine a golfer's arm where the elbow should remain locked while swinging a golf club. You could accomplish this by setting the precedence of the elbow lower than the precedence of the wrist and shoulder.

High precedence values are calculated before low precedence values. Precedence values that are equal are calculated in Child->Parent order.

The precedence calculations only consider the relative IK values. This means that an IK chain of three objects with precedence values of 0, 30, and 200 would have the same solution if the precedence were changed to 1, 2, and 3.

The figures show precedence values that were assigned manually: the chain for the structure uses the body as the root object and the duck as the end effector.


Sliding and Rotational Joints (IK Limb Solver)

Here are the controls for setting the joint limits when using the IK Limb Solver. You can turn X, Y or Z axes on or off, limit them and set those limits here. This is also where the preferred angle is defined, and adjusted. The preferred angle defines the direction a chain will bend, which angle a chain will tend to rotate toward.

Procedures

Example: To set the direction an IK chain will bend (preferred angle):

To understand setting the preferred angle it helps to use a simple example.

  1. Go to Create Panel > System and turn on Bones.

  2. Turn on Assign to Children and make sure the IK Limb Solver is visible in the Solver name field.

  3. Create a bone chain of three bones in a straight line in the top viewport. (Click twice to set two bones, the third is created automatically as a "nub").

  4. Turn on the Animate button and move the time slider to frame 50.

  5. Select and move the goal so it is close to the root node.

  6. Select any bone in the chain.

    Note: If you miss this step, you won't see the correct rollout.

  7. In the Hierarchy panel press the IK tab, then open the Rotational Joint rollout.

  8. There are 3 axes. Find the one with the preferred angle that is not zero.

  9. Change the preferred angle. If it is negative make it a positive one.

  10. Play the animation, see how changing the preferred angle can redefine the direction of the rotation.

To set rotational joint limits on a hierarchy of objects (other than bones):

  1. Create a hierarchy of objects.

  2. Select any object in the chain.

  3. In the Hierarchy panel, press the IK tab, then open the Rotational Joint rollout.

  4. If you want to limit an axis, turn on Active and Limited and set the values of From and To. The hierarchy will rotate in the viewport.

    Tip: Pressing the From and To labels will instantly rotate the object to those angles.

Interface

Sliding Joints

X, Y, Z Axis groups

Active: Activates an axis (X/Y/Z). Allows the selected object to slide on the activated axis.

Limited: Limits the range of motion allowed on an active axis. Use in conjunction with the From and To spinners. Most joints are limited in their range of motion along an active axis. For example, a piston slides only within the length of its cylinder.

From and To spinners: Determine for position limits. Use in conjunction with the Limited function. Click on the labels From and To will move the object to it's limit position. Use this to check the sliding limits on an object.

Rotational Joints

X, Y, Z Axis groups

Active: Activates an axis (X/Y/Z). Allows the selected object to rotate about the activated axis.

Limited: Limits the range of rotation allowed on an active axis. Use in conjunction with the From and To spinners. Most joints are limited in their range of rotation along an active axis. For example, a wheel rotating around an axle could be limited to rotate around only one axis.

From and To Spinners: Determine for rotation limits. Use in conjunction with the Limited function. Clicking the labels From and To will rotate the object to its limit rotation. Use this to check the rotation limits on an object.

Preferred Angle: Used by the HI Solver to set the initial pose for internal calculations. Determines the direction of rotation preferred by a bone.


Sliding and Rotational Joints Rollouts (Inverse Kinematics)

Make a selection. > Hierarchy panel > IK > Sliding and Rotational Joints rollouts

This rollout displays controls for setting sliding and rotational joint parameters. This rollout displays these controls for hierarchies that do not have any IK Solver. If you do have an IK Limb Solver applied, a different set of controls will be displayed.

In inverse kinematics, joints operate by allowing motion on one or more axes and restricting motion on the remaining axes. You set whether an object can move (slide) on or rotate about a given axis with the Active check box in the joint rollouts. Joints have a maximum of six possible axes: three for position and three for rotation. You constrain the motion of a joint by setting which axes are active.

The setting of IK joint axes overrides any Inherit and Lock settings in Link Info.

Procedures

To activate or deactivate an axis:

  1. Select an object.

  2. Click IK in the Hierarchy panel.

  3. Expand the rollout for a joint type.

  4. Turn on Active for any available axis.

    • When on, the axis is active and the object can move or rotate about that axis.

    • When off, the axis is inactive and the object cannot move or rotate about that axis.

To limit a joint:

  1. Select an object.

  2. Click IK in the Hierarchy panel.

  3. Expand a joint rollout.

  4. Turn on Limited for any active axis. If an axis is inactive the limits settings are ignored.

    • When on, the axis is limited and the object can move or rotate within the range set by the From and To fields.

    • When off, the axis is not limited and the object moves or rotates freely about that axis.

      If you turn on Limited, specify limit values in the From and To fields. When setting limits, the object transforms to the position or rotation defined by the From or To field. When you exit the field or release the spinner, the object returns to its original position.

      You can also view joint limits in the viewport by pressing and holding the mouse button on the From or To label of a limit field. The object will move or rotate to the limit value until you release the mouse button.

Interface

Sliding/Rotational Joints rollouts

The Sliding Joints rollout and Rotational Joints rollout contain similar controls for position and rotation, respectively. Also, each rollout contains identical group boxes for control of the X, Y, and Z axes.

X/Y/Z Axis groups

Active: Activates an axis (X/Y/Z). Allows the selected object to slide on or rotate about the activated axis.

Limited: Limits the range of motion or rotation allowed on an active axis. Use in conjunction with the From and To spinners. Most joints are limited in their range of motion along an active axis. For example, a piston slides only within the length of its cylinder.

Ease: Causes a joint to resist motion as it approaches its From and To limits. Simulates an organic joint, or worn mechanical joint, moving or rotating freely in the middle of its range of motion but moving less freely at the extremes of its range.

From and To Spinners: Determine for position and rotation limits. Use in conjunction with the Limited function.

Spring Back: Activates Spring Back. Each joint has a rest position. As the joint moves further from the rest position, an increasingly larger force pulls the joint back to its rest position, like a spring.

Spring Back (spinner): Sets the rest position for the joint. For rotational joints, this is the orientation of the joint in degrees; for sliding joints, it's the position in units. Adjusting this is similar to adjusting the From/To spinners. You see the orientation/position while performing the adjustment, but when you release the spinner the object returns to its previous state.

Spring Tension: Sets the strength of the "spring." Higher values cause the spring to pull harder as the joint moves further from its rest position. A setting of 0 turns off the spring; very high settings can turn the joint into a limit because you can reach the point where the spring is too strong to allow the joint to move past a certain point.

Damping: Applies resistance over a joint's full range of motion or rotation. Simulates the natural effect of joint friction or inertia. As a joint corrodes, dries out, or is put under a heavy load, it resists motion along its active axes.


Specular Color (Glossary)

Glossary

Specular Color

Changing specular color tints highlights on the shiny surface of the spacecraft.

Specular color is the color of highlights on a shiny surface. The highlights are reflections of the lights that illuminate the surface. For a naturalistic effect, set the specular color to the same color as the key light source, or make it a high-value, low-saturation version of the diffuse color.

In gmax, you can set the specular color to match the diffuse color. This gives a matte effect, making the material appear less shiny.

Matching specular color to the diffuse color makes the surface less shiny.


Terminating Chains (IK)

The kinematic chain is automatically defined using the object you select as the end effector and working up the hierarchical tree to use the root object as the base of the kinematic chain. Sometimes you might not want the kinematic chain to go all the way to the root of the hierarchy. This is especially true when you are animating multi-limbed or branching structures, such as an octopus or a tree.

Terminator option in the Object Parameters rollout

You use the Terminator option in the Object Parameters rollout to stop calculation of the kinematic chain before it reaches the root object of the hierarchy. A terminator object stops calculation at the terminator's child object; the terminator itself is not affected by the IK solution. This gives you very precise control over the behavior of the kinematic chain.

For example, look at the bird in the figure. The bird is linked with its body as the root of the hierarchy. If you use inverse kinematics to move the duck, all objects from the duck to the body will be affected by the IK solution. However, if you define a neck bone as a terminator object, then only the objects from the duck to the neck vertebrae are affected.

With a terminator in the neck, the body of the bird is not affected.


Whitepaper: Swivel Angle of the IK Solver

The fundamental requirement of IK Limb solver is that the solution be history-independent: the solution has to be based on the goal and other incidental parameters solely at their current states.

Swivel Angle Degree of Freedom

When the positional goal is given for a single chain, there remains an obvious degree of freedom: the rotation about the End Effector Axis (EE Axis). The swivel angle is used to describe this degree of freedom quantitatively.

1. start joint
2. End effector
3. EE axis

Solver Plane

Let’s call the plane passing all the joints the Solver Plane. When joints do not lie on a plane, we will define it to be the plane that (A) passes the Start Joint and End Joint and (B) is closest to the remaining joint in a certain sense.

The Swivel Angle describes the degree of freedom of the Solver Plane and it constrains only the Start Joint.

Zero Plane Map

In order to describe the solver plane in terms of a numerical quantity, we have to agree to what 0 means. Given the end-effector position, where is the Zero (Solver) Plane? The Zero Plane Map takes as the argument EE Axis and produces the normal to the zero plane.

The IK system allows individual solver plug-ins to define their own Zero Plane Maps. When not defined, the IK system provides a default one.

The argument to the Zero Plane Map is a unit vector to give the direction of the EE axis. Equivalently, when the EE slides along the EE axis, the solver plane should be fixed. Therefore, the Zero Plane Map defines a vector field on a sphere. Given a point on the sphere, it produces a tangential unit vector to be interpreted as the normal to the zero plane.

1. Normal to the zero plane

Solver Plane Flipping

It is a mathematical fact that there does not exist a continuous vector field on a sphere. No matter how hard you try, there will always be a point on the sphere where neighboring vectors change dramatically. This is where the solver plane will flip when the end effector axis approaches to it.

This is because, on one hand, the IK requirement demands us to assign a fixed vector to the singular point. On the other hand, no matter what vector is assigned, it will be dramatically different from some vectors assigned to the neighboring points.

Intrinsic Reference Frame for the Sphere

In order to define the Zero Plane Map, we need to define a reference frame for the sphere. This reference frame is intrinsic to the joint chain itself.

A sphere can be defined by the center, the horizontal plane, and the meridian (zero longitude). The center is assigned to the start joint.

The pose when all the joint angles assume preferred angles is particularly important. Let’s call it the preferred pose.

We use the solver plane at the preferred pose as the horizontal plane. Since the swivel angle is used to control the start joint, the preferred angles at the start joint are not so intrinsic. The solver plane of the preferred pose (except that the start joint) assumes zero angles are also reasonable.

The EE axis defines the meridian. The sphere is now defined as shown in the following figure:

1. EE axis

All the joints assume preferred angles. The Zero Plane Map is to be defined on this sphere.

The API for the plug-in solver to define its own Zero Plane Map in fact takes the EE axis and the normal to the solver plane at the preferred pose:

virtual const IKSys::ZeroPlaneMap*

GetZeroPlaneMap(const Point3& a0, const Point3& n0) const

where a0 and n0 are the EE axis and solver plane at the preferred pose, respectively. Object of ZeroPlaneMap is a function that assigns a plane normal to each point on the sphere.

Default Zero Plane Map

When not provided by plug-in solvers, (the IK Limb Solver itself is implemented as a plug-in solver) the IK system will provide a default one. This map is defined by the following rules:

  • A: For each point on the equator, the intersection of the horizontal plane and the sphere, the normal vector is defined as the vertical vector, pointing to the same direction as the normal of the solver plane at the preferred pose.

  • B: For any point on the sphere other than the north or south poles, there is a great circle that passes the point and the north, south poles. This circle hits the equator at two points. One point is closer to the given point. The normal vector at the given point is defined as derived from moving tangentially the normal at the closer point on the equator along the great circle to the point.

Obviously, this method won’t extend to the north or south poles. They are the singular points. When the EE axis moves across the poles, the normal will suddenly changes direction; it flips from the users’ viewpoint.

Normally, the preferred pose is the one when the solver is first assigned. So the plane on that one corresponds to the horizontal plane here. Rule A makes sure that the chain will stay on the plane if one moves the goal on the plane.

Rule B means that, when you move the goal along the great circle vertical to the equator, the chain will stay vertical, except when it passes through the poles, which are the singular points of this map.

Parent Space

So far, we have described things as if the whole world comprises only IK elements. In practice, the IK chain and goal can sit at points of separate transformation hierarchies. Ultimately, we need to map the position of the end effector that is described in the world to a point on the sphere. Depending how the sphere is mounted relative to the end effector position, the readings of latitude and longitude are different. The parent transformation space that this sphere is to be placed in is called the Swivel Angle Parent Space, or Parent Space when the context is clear.

The parent space has to be invariant with regard to the IK parameters. Right now, we provide two choices:

  • Start Joint: The Swivel Angle Parent Space is the same as the parent space of the Start Joint.

  • IK Goal: The Swivel Angle Parent Space is the parent space of the IK Goal.

Example 1

If both the start joint and the goal are rooted directly at the world, the choice of Parent Space does not give rise to any difference. In the following example, the start joint is parented to object A.

Start joint parented to A

Assume this is the pose when the IK solver is assigned. So, this is the preferred pose. The plane on that the joints are laid out is the horizontal plane of the (Zero Plane Map) sphere.

  • A: Parent Space is Start Joint.
    In this case the sphere is parented to A. If A is rotated about the drawn axis, the sphere will rotate together with it. The goal is in a separate transformation hierarchy. It will remain and the end effector sticks to it due to the IK solve. Since the (plane) normal is fixed to the sphere, it rotates with A, too. Therefore, the whole chain appears to be rotated together with the parent object.

  • B: Parent Space is IK Goal.
    Suppose that the goal is parented to the world. In this case, the sphere is parented to the world and, hence, stays fixed. Since the normal is fixed to the sphere, the chain will appear stationary when A is rotated.

Example 2

In the following example, we look at a case where there exists a rotation in the parent space when the IK solver is assigned.

Rotation in parent space

Parent A contains a rotation of 90 degrees. This is an abstraction of the case when a user creates four bones without IK solver and later assigns an IK solver from Bone2 to Bone4. If we parent the chain directly to world, it would appear as shown in the right figure: the solver plane becomes horizontal.

  • A: Parent Space is Start Joint.
    The sphere is mounted after the rotation of A and therefore the “horizontal plane” coincides with the chain plane as shown in the viewport. The singular points are perpendicular to the Start Joint with regard to the plane. When the goal/end effector is moved on the plane, it will never hit the singular points and flip.

  • B: Parent Space is IK Goal.
    Again, we assume that the parent space of the goal is the world. The “horizontal plane” of the sphere becomes horizontal, as shown in the right figure. The singular points, the poles, are on the plane that joints are laid out. Therefore, when users move the goal/end effector left to right, or the other around, the end effector will move across the singular point and flip.

A problem of B is that the figure on the right is never shown to the user. They have to envision it in order to understand the flipping.


Update Scene Materials Dialog

Material Editor > Get Material > Material/Map Navigator > Update Scene Materials from Library > Update Scene Materials dialog

The Update Scene Materials dialog lets you use a library to update materials in the scene. It appears only when you click Update Scene Materials From Library in the Material/Map Navigator, and the scene contains materials that have the same name as materials in the library.

Procedures

To update a material in the scene and replace it with a material from the library:

  • In the Update Scene Materials dialog, select the name of the material, and then click OK.

To leave a material in the scene unchanged, do one of the following:

  1. In the Update Scene Materials dialog, make sure the name of the material is not selected, and then click OK.

  2. Click Cancel.

Interface

Material name list: Shows the materials that have the same name in the library and in the scene.

All: Selects all material names in the list.

None: Deselects all material names in the list.


Using Default Joint Precedence (IK)

The default joint precedence is suitable for many IK solutions. It assumes that joints closest to where a force is applied (the end effector) will move more than joints farther from the force.

The default joint precedence is a value of 0 for every joint: all joints have the same precedence value. This default starts calculations with the end effector and progresses up the IK chain until the base object is reached.

Using methods described in the following topics you can change the default precedence values. You can also set your kinematic chain back to its default precedence.

To reset the default joint precedence:

  1. Select all objects in the kinematic chain.

  2. On the Hierarchy panel, expand the Object Parameters rollout.

  3. Set Precedence to 0.

Note: Default joint precedence occurs whenever all joints in the kinematic chain have the same precedence value. Assigning a value of 100 to all objects in the kinematic chain is exactly the same as assigning a value of 0.